## Symbols used:
# ydbar
# yd
# MT2
# yl
# ylbar
# lambdaT2bar
# muH
# g1
# g2
# invepsilonbar
# lambdaT2
# mu
# lam
# yubar
# onelooporder
# g3
# yu

import sys
import os
import numpy as np

import lsme.numeric.matchingresult as matchingresult

class GranadaT2MatchingResult(matchingresult.GenericMatchingResult):
    def __init__(self, name='T2'):
        super().__init__(name)
        self.MT2 = 1
        self.lambdaT2 = np.ones((3))
        self.lambdaT2bar = np.ones((3))
        self.nonvanishing = ['alphaO3G', 'alphaO3W', 'alphaOH', 'alphaOHB', 'alphaOHBox', 'alphaOHD', 'alphaOHG', 'alphaOHW', 'alphaOHWB', 'alphaOdB', 'alphaOdd', 'alphaOdG', 'alphaOdH', 'alphaOdW', 'alphaOed', 'alphaOee', 'alphaOeH', 'alphaOeu', 'alphaOHd', 'alphaOHe', 'alphaOHl1', 'alphaOHl3', 'alphaOHq1', 'alphaOHq3', 'alphaOHu', 'alphaOHud', 'alphaOld', 'alphaOle', 'alphaOledq', 'alphaOlequ1', 'alphaOll', 'alphaOlq1', 'alphaOlq3', 'alphaOlu', 'alphaOqd1', 'alphaOqd8', 'alphaOqe', 'alphaOqq1', 'alphaOqq3', 'alphaOqu1', 'alphaOqu8', 'alphaOquqd1', 'alphaOuB', 'alphaOud1', 'alphaOud8', 'alphaOuG', 'alphaOuH', 'alphaOuu', 'alphaOuW']

    def alphaO3G(self, ):
        return -1/960 * (self.g3)**(3) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2)

    def alphaO3Gt(self, ):
        return 0

    def alphaO3W(self, ):
        return -1/240 * (self.g2)**(3) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2)

    def alphaO3Wt(self, ):
        return 0

    def alphaOH(self, ):
        return (-1/10 * (self.g2)**(4) * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) + 7/64 * (self.g2)**(2) * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] + 1/32 * (self.g2)**(2) * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] + 3/16 * (self.lam)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] + -13/128 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * (self.lambdaT2bar[0])**(2) + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(3) * (self.lambdaT2bar[0])**(3) + 7/64 * (self.g2)**(2) * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] + 1/32 * (self.g2)**(2) * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] + 3/16 * (self.lam)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] + -13/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[1] + 27/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2[1] * (self.lambdaT2bar[0])**(2) * self.lambdaT2bar[1] + -13/128 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * (self.lambdaT2bar[1])**(2) + 27/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * (self.lambdaT2[1])**(2) * self.lambdaT2bar[0] * (self.lambdaT2bar[1])**(2) + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(3) * (self.lambdaT2bar[1])**(3) + 7/64 * (self.g2)**(2) * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] + 1/32 * (self.g2)**(2) * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] + 3/16 * (self.lam)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] + -13/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[2] + 27/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2[2] * (self.lambdaT2bar[0])**(2) * self.lambdaT2bar[2] + -13/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[2] + 27/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.lambdaT2bar[2] + 27/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2[2] * (self.lambdaT2bar[1])**(2) * self.lambdaT2bar[2] + -13/128 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * (self.lambdaT2bar[2])**(2) + 27/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * (self.lambdaT2[2])**(2) * self.lambdaT2bar[0] * (self.lambdaT2bar[2])**(2) + 27/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * (self.lambdaT2[2])**(2) * self.lambdaT2bar[1] * (self.lambdaT2bar[2])**(2) + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(3) * (self.lambdaT2bar[2])**(3) + -1/32 * (self.g2)**(2) * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -1/32 * (self.g2)**(2) * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -1/32 * (self.g2)**(2) * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.ydbar[0,0] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.ydbar[0,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * (self.lambdaT2bar[0])**(2) * self.yd[0,0] * self.ydbar[0,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.ydbar[0,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.ydbar[0,0] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.ydbar[0,0] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.ydbar[0,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * (self.lambdaT2bar[0])**(2) * self.yd[1,0] * self.ydbar[0,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yd[1,0] * self.ydbar[0,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yd[1,0] * self.ydbar[0,0] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[0,0] + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,0] * self.ydbar[0,0] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,0] * self.ydbar[0,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * (self.lambdaT2bar[0])**(2) * self.yd[2,0] * self.ydbar[0,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yd[2,0] * self.ydbar[0,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yd[2,0] * self.ydbar[0,0] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[0,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * (self.yd[0,0])**(2) * (self.ydbar[0,0])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * (self.yd[0,0])**(2) * (self.ydbar[0,0])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[0,0])**(2) * (self.ydbar[0,0])**(2) + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[1,0] * (self.ydbar[0,0])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[1,0] * (self.ydbar[0,0])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[1,0] * (self.ydbar[0,0])**(2) + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[2,0] * (self.ydbar[0,0])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[2,0] * (self.ydbar[0,0])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[2,0] * (self.ydbar[0,0])**(2) + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.ydbar[0,1] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.ydbar[0,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * (self.lambdaT2bar[0])**(2) * self.yd[0,1] * self.ydbar[0,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.ydbar[0,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.ydbar[0,1] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,1] + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,1] * self.ydbar[0,1] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,1] * self.ydbar[0,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * (self.lambdaT2bar[0])**(2) * self.yd[1,1] * self.ydbar[0,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yd[1,1] * self.ydbar[0,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yd[1,1] * self.ydbar[0,1] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[0,1] + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,1] * self.ydbar[0,1] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,1] * self.ydbar[0,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * (self.lambdaT2bar[0])**(2) * self.yd[2,1] * self.ydbar[0,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yd[2,1] * self.ydbar[0,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yd[2,1] * self.ydbar[0,1] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[0,1] + -3/8 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[0,1] + -3/8 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[0,1] + 3/8 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[0,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[0,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[0,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[0,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[1,1] * self.ydbar[0,0] * self.ydbar[0,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[1,1] * self.ydbar[0,0] * self.ydbar[0,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[1,1] * self.ydbar[0,0] * self.ydbar[0,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[0,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[0,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[0,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[2,1] * self.ydbar[0,0] * self.ydbar[0,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[2,1] * self.ydbar[0,0] * self.ydbar[0,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[2,1] * self.ydbar[0,0] * self.ydbar[0,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * (self.yd[0,1])**(2) * (self.ydbar[0,1])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * (self.yd[0,1])**(2) * (self.ydbar[0,1])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[0,1])**(2) * (self.ydbar[0,1])**(2) + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[1,1] * (self.ydbar[0,1])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[1,1] * (self.ydbar[0,1])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[1,1] * (self.ydbar[0,1])**(2) + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[2,1] * (self.ydbar[0,1])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[2,1] * (self.ydbar[0,1])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[2,1] * (self.ydbar[0,1])**(2) + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,2] * self.ydbar[0,2] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,2] * self.ydbar[0,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * (self.lambdaT2bar[0])**(2) * self.yd[0,2] * self.ydbar[0,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.ydbar[0,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.ydbar[0,2] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,2] + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,2] * self.ydbar[0,2] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,2] * self.ydbar[0,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * (self.lambdaT2bar[0])**(2) * self.yd[1,2] * self.ydbar[0,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yd[1,2] * self.ydbar[0,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yd[1,2] * self.ydbar[0,2] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[0,2] + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,2] * self.ydbar[0,2] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,2] * self.ydbar[0,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * (self.lambdaT2bar[0])**(2) * self.yd[2,2] * self.ydbar[0,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yd[2,2] * self.ydbar[0,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yd[2,2] * self.ydbar[0,2] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[0,2] + -3/8 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[0,2] + -3/8 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[0,2] + 3/8 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[0,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[0,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[0,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[0,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[1,2] * self.ydbar[0,0] * self.ydbar[0,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[1,2] * self.ydbar[0,0] * self.ydbar[0,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[1,2] * self.ydbar[0,0] * self.ydbar[0,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[0,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[0,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[0,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[2,2] * self.ydbar[0,0] * self.ydbar[0,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[2,2] * self.ydbar[0,0] * self.ydbar[0,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[2,2] * self.ydbar[0,0] * self.ydbar[0,2] + -3/8 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[0,2] + -3/8 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[0,2] + 3/8 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[0,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[0,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[0,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[0,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[1,2] * self.ydbar[0,1] * self.ydbar[0,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[1,2] * self.ydbar[0,1] * self.ydbar[0,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[1,2] * self.ydbar[0,1] * self.ydbar[0,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[0,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[0,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[0,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[2,2] * self.ydbar[0,1] * self.ydbar[0,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[2,2] * self.ydbar[0,1] * self.ydbar[0,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[2,2] * self.ydbar[0,1] * self.ydbar[0,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * (self.yd[0,2])**(2) * (self.ydbar[0,2])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * (self.yd[0,2])**(2) * (self.ydbar[0,2])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[0,2])**(2) * (self.ydbar[0,2])**(2) + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[1,2] * (self.ydbar[0,2])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[1,2] * (self.ydbar[0,2])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[1,2] * (self.ydbar[0,2])**(2) + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[2,2] * (self.ydbar[0,2])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[2,2] * (self.ydbar[0,2])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[2,2] * (self.ydbar[0,2])**(2) + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.ydbar[1,0] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.ydbar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.ydbar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * (self.lambdaT2bar[1])**(2) * self.yd[0,0] * self.ydbar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yd[0,0] * self.ydbar[1,0] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[1,0] + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,0] * self.ydbar[1,0] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,0] * self.ydbar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yd[1,0] * self.ydbar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * (self.lambdaT2bar[1])**(2) * self.yd[1,0] * self.ydbar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.ydbar[1,0] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,0] + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,0] * self.ydbar[1,0] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,0] * self.ydbar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yd[2,0] * self.ydbar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * (self.lambdaT2bar[1])**(2) * self.yd[2,0] * self.ydbar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yd[2,0] * self.ydbar[1,0] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[1,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * (self.yd[0,0])**(2) * self.ydbar[0,0] * self.ydbar[1,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * (self.yd[0,0])**(2) * self.ydbar[0,0] * self.ydbar[1,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[0,0])**(2) * self.ydbar[0,0] * self.ydbar[1,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * (self.yd[1,0])**(2) * self.ydbar[0,0] * self.ydbar[1,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * (self.yd[1,0])**(2) * self.ydbar[0,0] * self.ydbar[1,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[1,0])**(2) * self.ydbar[0,0] * self.ydbar[1,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[1,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[1,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[1,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[1,0] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[1,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[1,0] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[1,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[1,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[0,1] * self.ydbar[0,1] * self.ydbar[1,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[0,1] * self.ydbar[0,1] * self.ydbar[1,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[0,1] * self.ydbar[0,1] * self.ydbar[1,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[1,1] * self.yd[2,0] * self.ydbar[0,1] * self.ydbar[1,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[1,1] * self.yd[2,0] * self.ydbar[0,1] * self.ydbar[1,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[2,0] * self.ydbar[0,1] * self.ydbar[1,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[1,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[1,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[1,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[0,2] * self.ydbar[0,2] * self.ydbar[1,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[0,2] * self.ydbar[0,2] * self.ydbar[1,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[0,2] * self.ydbar[0,2] * self.ydbar[1,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[1,2] * self.yd[2,0] * self.ydbar[0,2] * self.ydbar[1,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[1,2] * self.yd[2,0] * self.ydbar[0,2] * self.ydbar[1,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[2,0] * self.ydbar[0,2] * self.ydbar[1,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[1,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[1,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[1,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[1,0] * (self.ydbar[1,0])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[1,0] * (self.ydbar[1,0])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[1,0] * (self.ydbar[1,0])**(2) + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * (self.yd[1,0])**(2) * (self.ydbar[1,0])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * (self.yd[1,0])**(2) * (self.ydbar[1,0])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[1,0])**(2) * (self.ydbar[1,0])**(2) + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[1,0] * self.yd[2,0] * (self.ydbar[1,0])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[1,0] * self.yd[2,0] * (self.ydbar[1,0])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[2,0] * (self.ydbar[1,0])**(2) + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.ydbar[1,1] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.ydbar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.ydbar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * (self.lambdaT2bar[1])**(2) * self.yd[0,1] * self.ydbar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yd[0,1] * self.ydbar[1,1] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[1,1] + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,1] * self.ydbar[1,1] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,1] * self.ydbar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yd[1,1] * self.ydbar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * (self.lambdaT2bar[1])**(2) * self.yd[1,1] * self.ydbar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yd[1,1] * self.ydbar[1,1] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,1] + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,1] * self.ydbar[1,1] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,1] * self.ydbar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yd[2,1] * self.ydbar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * (self.lambdaT2bar[1])**(2) * self.yd[2,1] * self.ydbar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yd[2,1] * self.ydbar[1,1] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[1,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[1,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[1,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.yd[1,1] * self.ydbar[0,0] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.yd[1,1] * self.ydbar[0,0] * self.ydbar[1,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[1,1] * self.ydbar[0,0] * self.ydbar[1,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[1,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[1,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[1,0] * self.yd[2,1] * self.ydbar[0,0] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[1,0] * self.yd[2,1] * self.ydbar[0,0] * self.ydbar[1,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[2,1] * self.ydbar[0,0] * self.ydbar[1,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * (self.yd[0,1])**(2) * self.ydbar[0,1] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * (self.yd[0,1])**(2) * self.ydbar[0,1] * self.ydbar[1,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[0,1])**(2) * self.ydbar[0,1] * self.ydbar[1,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * (self.yd[1,1])**(2) * self.ydbar[0,1] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * (self.yd[1,1])**(2) * self.ydbar[0,1] * self.ydbar[1,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[1,1])**(2) * self.ydbar[0,1] * self.ydbar[1,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[1,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[1,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[1,1] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[1,1] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[1,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[1,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[0,2] * self.ydbar[0,2] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[0,2] * self.ydbar[0,2] * self.ydbar[1,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[0,2] * self.ydbar[0,2] * self.ydbar[1,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,1] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,1] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[1,2] * self.yd[2,1] * self.ydbar[0,2] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[1,2] * self.yd[2,1] * self.ydbar[0,2] * self.ydbar[1,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[2,1] * self.ydbar[0,2] * self.ydbar[1,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[1,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[1,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[1,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[1,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[1,1] * self.ydbar[1,0] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[1,1] * self.ydbar[1,0] * self.ydbar[1,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[1,1] * self.ydbar[1,0] * self.ydbar[1,1] + -3/8 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,0] * self.yd[1,1] * self.ydbar[1,0] * self.ydbar[1,1] + -3/8 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,0] * self.yd[1,1] * self.ydbar[1,0] * self.ydbar[1,1] + 3/8 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[1,1] * self.ydbar[1,0] * self.ydbar[1,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[1,1] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[1,1] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[1,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[1,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[1,0] * self.yd[2,1] * self.ydbar[1,0] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[1,0] * self.yd[2,1] * self.ydbar[1,0] * self.ydbar[1,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[2,1] * self.ydbar[1,0] * self.ydbar[1,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[1,1] * (self.ydbar[1,1])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[1,1] * (self.ydbar[1,1])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[1,1] * (self.ydbar[1,1])**(2) + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * (self.yd[1,1])**(2) * (self.ydbar[1,1])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * (self.yd[1,1])**(2) * (self.ydbar[1,1])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[1,1])**(2) * (self.ydbar[1,1])**(2) + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[1,1] * self.yd[2,1] * (self.ydbar[1,1])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[1,1] * self.yd[2,1] * (self.ydbar[1,1])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[2,1] * (self.ydbar[1,1])**(2) + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.ydbar[1,2] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.ydbar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.ydbar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * (self.lambdaT2bar[1])**(2) * self.yd[0,2] * self.ydbar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yd[0,2] * self.ydbar[1,2] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[1,2] + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,2] * self.ydbar[1,2] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,2] * self.ydbar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yd[1,2] * self.ydbar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * (self.lambdaT2bar[1])**(2) * self.yd[1,2] * self.ydbar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yd[1,2] * self.ydbar[1,2] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,2] + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,2] * self.ydbar[1,2] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,2] * self.ydbar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yd[2,2] * self.ydbar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * (self.lambdaT2bar[1])**(2) * self.yd[2,2] * self.ydbar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yd[2,2] * self.ydbar[1,2] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.yd[1,2] * self.ydbar[0,0] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.yd[1,2] * self.ydbar[0,0] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[1,2] * self.ydbar[0,0] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[1,0] * self.yd[2,2] * self.ydbar[0,0] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[1,0] * self.yd[2,2] * self.ydbar[0,0] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[2,2] * self.ydbar[0,0] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,1] * self.yd[1,2] * self.ydbar[0,1] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,1] * self.yd[1,2] * self.ydbar[0,1] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[1,2] * self.ydbar[0,1] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[1,1] * self.yd[2,2] * self.ydbar[0,1] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[1,1] * self.yd[2,2] * self.ydbar[0,1] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[2,2] * self.ydbar[0,1] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * (self.yd[0,2])**(2) * self.ydbar[0,2] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * (self.yd[0,2])**(2) * self.ydbar[0,2] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[0,2])**(2) * self.ydbar[0,2] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * (self.yd[1,2])**(2) * self.ydbar[0,2] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * (self.yd[1,2])**(2) * self.ydbar[0,2] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[1,2])**(2) * self.ydbar[0,2] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[1,2] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[1,2] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[1,2] * self.ydbar[1,0] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[1,2] * self.ydbar[1,0] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[1,2] * self.ydbar[1,0] * self.ydbar[1,2] + -3/8 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,0] * self.yd[1,2] * self.ydbar[1,0] * self.ydbar[1,2] + -3/8 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,0] * self.yd[1,2] * self.ydbar[1,0] * self.ydbar[1,2] + 3/8 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[1,2] * self.ydbar[1,0] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[1,2] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[1,2] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[1,0] * self.yd[2,2] * self.ydbar[1,0] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[1,0] * self.yd[2,2] * self.ydbar[1,0] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[2,2] * self.ydbar[1,0] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[1,1] * self.ydbar[1,1] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[1,1] * self.ydbar[1,1] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[1,1] * self.ydbar[1,1] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[1,2] * self.ydbar[1,1] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[1,2] * self.ydbar[1,1] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[1,2] * self.ydbar[1,1] * self.ydbar[1,2] + -3/8 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,1] * self.yd[1,2] * self.ydbar[1,1] * self.ydbar[1,2] + -3/8 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,1] * self.yd[1,2] * self.ydbar[1,1] * self.ydbar[1,2] + 3/8 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[1,2] * self.ydbar[1,1] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[1,2] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[1,2] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[1,1] * self.yd[2,2] * self.ydbar[1,1] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[1,1] * self.yd[2,2] * self.ydbar[1,1] * self.ydbar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[2,2] * self.ydbar[1,1] * self.ydbar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[1,2] * (self.ydbar[1,2])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[1,2] * (self.ydbar[1,2])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[1,2] * (self.ydbar[1,2])**(2) + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * (self.yd[1,2])**(2) * (self.ydbar[1,2])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * (self.yd[1,2])**(2) * (self.ydbar[1,2])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[1,2])**(2) * (self.ydbar[1,2])**(2) + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[1,2] * self.yd[2,2] * (self.ydbar[1,2])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[1,2] * self.yd[2,2] * (self.ydbar[1,2])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[2,2] * (self.ydbar[1,2])**(2) + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.ydbar[2,0] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.ydbar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.ydbar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yd[0,0] * self.ydbar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * (self.lambdaT2bar[2])**(2) * self.yd[0,0] * self.ydbar[2,0] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[2,0] + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.ydbar[2,0] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.ydbar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yd[1,0] * self.ydbar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.ydbar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * (self.lambdaT2bar[2])**(2) * self.yd[1,0] * self.ydbar[2,0] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[2,0] + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,0] * self.ydbar[2,0] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,0] * self.ydbar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yd[2,0] * self.ydbar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yd[2,0] * self.ydbar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * (self.lambdaT2bar[2])**(2) * self.yd[2,0] * self.ydbar[2,0] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * (self.yd[0,0])**(2) * self.ydbar[0,0] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * (self.yd[0,0])**(2) * self.ydbar[0,0] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[0,0])**(2) * self.ydbar[0,0] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * (self.yd[2,0])**(2) * self.ydbar[0,0] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * (self.yd[2,0])**(2) * self.ydbar[0,0] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[2,0])**(2) * self.ydbar[0,0] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[0,1] * self.ydbar[0,1] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[0,1] * self.ydbar[0,1] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[0,1] * self.ydbar[0,1] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,0] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,0] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[0,2] * self.ydbar[0,2] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[0,2] * self.ydbar[0,2] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[0,2] * self.ydbar[0,2] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,0] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,0] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * (self.yd[1,0])**(2) * self.ydbar[1,0] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * (self.yd[1,0])**(2) * self.ydbar[1,0] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[1,0])**(2) * self.ydbar[1,0] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,0] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,0] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[1,0] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[1,0] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * (self.yd[2,0])**(2) * self.ydbar[1,0] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * (self.yd[2,0])**(2) * self.ydbar[1,0] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[2,0])**(2) * self.ydbar[1,0] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[1,0] * self.ydbar[1,1] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[1,0] * self.ydbar[1,1] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[1,0] * self.ydbar[1,1] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.yd[1,1] * self.ydbar[1,1] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.yd[1,1] * self.ydbar[1,1] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[1,1] * self.ydbar[1,1] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,0] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,0] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[1,0] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[1,0] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,0] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,0] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[1,0] * self.ydbar[1,2] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[1,0] * self.ydbar[1,2] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[1,0] * self.ydbar[1,2] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.yd[1,2] * self.ydbar[1,2] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.yd[1,2] * self.ydbar[1,2] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[1,2] * self.ydbar[1,2] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,0] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,0] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[1,0] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[1,0] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,0] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,0] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,0] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,0] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[2,0] * (self.ydbar[2,0])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[2,0] * (self.ydbar[2,0])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[2,0] * (self.ydbar[2,0])**(2) + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.yd[2,0] * (self.ydbar[2,0])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.yd[2,0] * (self.ydbar[2,0])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[2,0] * (self.ydbar[2,0])**(2) + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * (self.yd[2,0])**(2) * (self.ydbar[2,0])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * (self.yd[2,0])**(2) * (self.ydbar[2,0])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[2,0])**(2) * (self.ydbar[2,0])**(2) + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.ydbar[2,1] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.ydbar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.ydbar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yd[0,1] * self.ydbar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * (self.lambdaT2bar[2])**(2) * self.yd[0,1] * self.ydbar[2,1] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[2,1] + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,1] * self.ydbar[2,1] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,1] * self.ydbar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yd[1,1] * self.ydbar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yd[1,1] * self.ydbar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * (self.lambdaT2bar[2])**(2) * self.yd[1,1] * self.ydbar[2,1] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[2,1] + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,1] * self.ydbar[2,1] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,1] * self.ydbar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yd[2,1] * self.ydbar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yd[2,1] * self.ydbar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * (self.lambdaT2bar[2])**(2) * self.yd[2,1] * self.ydbar[2,1] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,1] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,1] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,0] * self.yd[2,1] * self.ydbar[0,0] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,0] * self.yd[2,1] * self.ydbar[0,0] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yd[2,1] * self.ydbar[0,0] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * (self.yd[0,1])**(2) * self.ydbar[0,1] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * (self.yd[0,1])**(2) * self.ydbar[0,1] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[0,1])**(2) * self.ydbar[0,1] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,1] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,1] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * (self.yd[2,1])**(2) * self.ydbar[0,1] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * (self.yd[2,1])**(2) * self.ydbar[0,1] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[2,1])**(2) * self.ydbar[0,1] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[0,2] * self.ydbar[0,2] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[0,2] * self.ydbar[0,2] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[0,2] * self.ydbar[0,2] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,1] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,1] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,1] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,1] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[1,1] * self.ydbar[1,0] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[1,1] * self.ydbar[1,0] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[1,1] * self.ydbar[1,0] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.yd[1,1] * self.ydbar[1,0] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.yd[1,1] * self.ydbar[1,0] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[1,1] * self.ydbar[1,0] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,1] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,1] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[1,1] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[1,1] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,0] * self.yd[2,1] * self.ydbar[1,0] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,0] * self.yd[2,1] * self.ydbar[1,0] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yd[2,1] * self.ydbar[1,0] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[1,1] * self.ydbar[1,1] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[1,1] * self.ydbar[1,1] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[1,1] * self.ydbar[1,1] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * (self.yd[1,1])**(2) * self.ydbar[1,1] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * (self.yd[1,1])**(2) * self.ydbar[1,1] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[1,1])**(2) * self.ydbar[1,1] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,1] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,1] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[1,1] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[1,1] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * (self.yd[2,1])**(2) * self.ydbar[1,1] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * (self.yd[2,1])**(2) * self.ydbar[1,1] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[2,1])**(2) * self.ydbar[1,1] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[1,1] * self.ydbar[1,2] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[1,1] * self.ydbar[1,2] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[1,1] * self.ydbar[1,2] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,1] * self.yd[1,2] * self.ydbar[1,2] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,1] * self.yd[1,2] * self.ydbar[1,2] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[1,2] * self.ydbar[1,2] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,1] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,1] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[1,1] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[1,1] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,1] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,1] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[2,0] * self.ydbar[2,0] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[2,0] * self.ydbar[2,0] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[2,0] * self.ydbar[2,0] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,1] * self.yd[2,0] * self.ydbar[2,0] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,1] * self.yd[2,0] * self.ydbar[2,0] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[2,0] * self.ydbar[2,0] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[2,1] * self.ydbar[2,0] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[2,1] * self.ydbar[2,0] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[2,1] * self.ydbar[2,0] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.yd[2,1] * self.ydbar[2,0] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.yd[2,1] * self.ydbar[2,0] * self.ydbar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[2,1] * self.ydbar[2,0] * self.ydbar[2,1] + -3/8 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,0] * self.yd[2,1] * self.ydbar[2,0] * self.ydbar[2,1] + -3/8 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,0] * self.yd[2,1] * self.ydbar[2,0] * self.ydbar[2,1] + 3/8 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yd[2,1] * self.ydbar[2,0] * self.ydbar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[2,1] * (self.ydbar[2,1])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[2,1] * (self.ydbar[2,1])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[2,1] * (self.ydbar[2,1])**(2) + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,1] * self.yd[2,1] * (self.ydbar[2,1])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,1] * self.yd[2,1] * (self.ydbar[2,1])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[2,1] * (self.ydbar[2,1])**(2) + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * (self.yd[2,1])**(2) * (self.ydbar[2,1])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * (self.yd[2,1])**(2) * (self.ydbar[2,1])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[2,1])**(2) * (self.ydbar[2,1])**(2) + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.ydbar[2,2] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.ydbar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.ydbar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yd[0,2] * self.ydbar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * (self.lambdaT2bar[2])**(2) * self.yd[0,2] * self.ydbar[2,2] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[2,2] + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,2] * self.ydbar[2,2] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,2] * self.ydbar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yd[1,2] * self.ydbar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yd[1,2] * self.ydbar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * (self.lambdaT2bar[2])**(2) * self.yd[1,2] * self.ydbar[2,2] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[2,2] + -21/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,2] * self.ydbar[2,2] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,2] * self.ydbar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yd[2,2] * self.ydbar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yd[2,2] * self.ydbar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * (self.lambdaT2bar[2])**(2) * self.yd[2,2] * self.ydbar[2,2] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,2] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,2] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,0] * self.yd[2,2] * self.ydbar[0,0] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,0] * self.yd[2,2] * self.ydbar[0,0] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yd[2,2] * self.ydbar[0,0] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,2] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,2] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,1] * self.yd[2,2] * self.ydbar[0,1] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,1] * self.yd[2,2] * self.ydbar[0,1] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.yd[2,2] * self.ydbar[0,1] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * (self.yd[0,2])**(2) * self.ydbar[0,2] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * (self.yd[0,2])**(2) * self.ydbar[0,2] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[0,2])**(2) * self.ydbar[0,2] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,2] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,2] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * (self.yd[2,2])**(2) * self.ydbar[0,2] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * (self.yd[2,2])**(2) * self.ydbar[0,2] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[2,2])**(2) * self.ydbar[0,2] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[1,2] * self.ydbar[1,0] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[1,2] * self.ydbar[1,0] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[1,2] * self.ydbar[1,0] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.yd[1,2] * self.ydbar[1,0] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.yd[1,2] * self.ydbar[1,0] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[1,2] * self.ydbar[1,0] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,2] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,2] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[1,2] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[1,2] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,0] * self.yd[2,2] * self.ydbar[1,0] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,0] * self.yd[2,2] * self.ydbar[1,0] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yd[2,2] * self.ydbar[1,0] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[1,2] * self.ydbar[1,1] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[1,2] * self.ydbar[1,1] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[1,2] * self.ydbar[1,1] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,1] * self.yd[1,2] * self.ydbar[1,1] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,1] * self.yd[1,2] * self.ydbar[1,1] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[1,2] * self.ydbar[1,1] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,2] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,2] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[1,2] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[1,2] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,1] * self.yd[2,2] * self.ydbar[1,1] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,1] * self.yd[2,2] * self.ydbar[1,1] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.yd[2,2] * self.ydbar[1,1] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[1,2] * self.ydbar[1,2] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[1,2] * self.ydbar[1,2] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[1,2] * self.ydbar[1,2] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * (self.yd[1,2])**(2) * self.ydbar[1,2] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * (self.yd[1,2])**(2) * self.ydbar[1,2] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[1,2])**(2) * self.ydbar[1,2] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,2] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,2] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[1,2] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[1,2] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * (self.yd[2,2])**(2) * self.ydbar[1,2] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * (self.yd[2,2])**(2) * self.ydbar[1,2] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[2,2])**(2) * self.ydbar[1,2] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[2,0] * self.ydbar[2,0] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[2,0] * self.ydbar[2,0] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[2,0] * self.ydbar[2,0] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,2] * self.yd[2,0] * self.ydbar[2,0] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,2] * self.yd[2,0] * self.ydbar[2,0] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[2,0] * self.ydbar[2,0] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[2,2] * self.ydbar[2,0] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[2,2] * self.ydbar[2,0] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[2,2] * self.ydbar[2,0] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.yd[2,2] * self.ydbar[2,0] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.yd[2,2] * self.ydbar[2,0] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[2,2] * self.ydbar[2,0] * self.ydbar[2,2] + -3/8 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,0] * self.yd[2,2] * self.ydbar[2,0] * self.ydbar[2,2] + -3/8 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,0] * self.yd[2,2] * self.ydbar[2,0] * self.ydbar[2,2] + 3/8 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yd[2,2] * self.ydbar[2,0] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[2,1] * self.ydbar[2,1] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[2,1] * self.ydbar[2,1] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[2,1] * self.ydbar[2,1] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,2] * self.yd[2,1] * self.ydbar[2,1] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,2] * self.yd[2,1] * self.ydbar[2,1] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[2,1] * self.ydbar[2,1] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[2,2] * self.ydbar[2,1] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[2,2] * self.ydbar[2,1] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[2,2] * self.ydbar[2,1] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,1] * self.yd[2,2] * self.ydbar[2,1] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,1] * self.yd[2,2] * self.ydbar[2,1] * self.ydbar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[2,2] * self.ydbar[2,1] * self.ydbar[2,2] + -3/8 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,1] * self.yd[2,2] * self.ydbar[2,1] * self.ydbar[2,2] + -3/8 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,1] * self.yd[2,2] * self.ydbar[2,1] * self.ydbar[2,2] + 3/8 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.yd[2,2] * self.ydbar[2,1] * self.ydbar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[2,2] * (self.ydbar[2,2])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[2,2] * (self.ydbar[2,2])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[2,2] * (self.ydbar[2,2])**(2) + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,2] * self.yd[2,2] * (self.ydbar[2,2])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,2] * self.yd[2,2] * (self.ydbar[2,2])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[2,2] * (self.ydbar[2,2])**(2) + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * (self.yd[2,2])**(2) * (self.ydbar[2,2])**(2) + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * (self.yd[2,2])**(2) * (self.ydbar[2,2])**(2) + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yd[2,2])**(2) * (self.ydbar[2,2])**(2) + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,0] * self.yubar[0,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * (self.lambdaT2bar[0])**(2) * self.yu[0,0] * self.yubar[0,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yubar[0,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yubar[0,0] + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,0] * self.yubar[0,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * (self.lambdaT2bar[0])**(2) * self.yu[1,0] * self.yubar[0,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yu[1,0] * self.yubar[0,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yu[1,0] * self.yubar[0,0] + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,0] * self.yubar[0,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * (self.lambdaT2bar[0])**(2) * self.yu[2,0] * self.yubar[0,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yu[2,0] * self.yubar[0,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yu[2,0] * self.yubar[0,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * (self.yu[0,0])**(2) * (self.yubar[0,0])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * (self.yu[0,0])**(2) * (self.yubar[0,0])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[0,0])**(2) * (self.yubar[0,0])**(2) + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[1,0] * (self.yubar[0,0])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[1,0] * (self.yubar[0,0])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,0] * (self.yubar[0,0])**(2) + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[2,0] * (self.yubar[0,0])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[2,0] * (self.yubar[0,0])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,0] * (self.yubar[0,0])**(2) + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,1] * self.yubar[0,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * (self.lambdaT2bar[0])**(2) * self.yu[0,1] * self.yubar[0,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yu[0,1] * self.yubar[0,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yu[0,1] * self.yubar[0,1] + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,1] * self.yubar[0,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * (self.lambdaT2bar[0])**(2) * self.yu[1,1] * self.yubar[0,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yu[1,1] * self.yubar[0,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yu[1,1] * self.yubar[0,1] + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,1] * self.yubar[0,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * (self.lambdaT2bar[0])**(2) * self.yu[2,1] * self.yubar[0,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yu[2,1] * self.yubar[0,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yu[2,1] * self.yubar[0,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[0,1] * self.yubar[0,0] * self.yubar[0,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[0,1] * self.yubar[0,0] * self.yubar[0,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[0,1] * self.yubar[0,0] * self.yubar[0,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[0,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[0,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[0,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[1,1] * self.yubar[0,0] * self.yubar[0,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[1,1] * self.yubar[0,0] * self.yubar[0,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,1] * self.yubar[0,0] * self.yubar[0,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[0,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[0,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[0,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[2,1] * self.yubar[0,0] * self.yubar[0,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[2,1] * self.yubar[0,0] * self.yubar[0,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,1] * self.yubar[0,0] * self.yubar[0,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * (self.yu[0,1])**(2) * (self.yubar[0,1])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * (self.yu[0,1])**(2) * (self.yubar[0,1])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[0,1])**(2) * (self.yubar[0,1])**(2) + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[1,1] * (self.yubar[0,1])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[1,1] * (self.yubar[0,1])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,1] * (self.yubar[0,1])**(2) + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[2,1] * (self.yubar[0,1])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[2,1] * (self.yubar[0,1])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,1] * (self.yubar[0,1])**(2) + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,2] * self.yubar[0,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * (self.lambdaT2bar[0])**(2) * self.yu[0,2] * self.yubar[0,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yu[0,2] * self.yubar[0,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yu[0,2] * self.yubar[0,2] + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,2] * self.yubar[0,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * (self.lambdaT2bar[0])**(2) * self.yu[1,2] * self.yubar[0,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yu[1,2] * self.yubar[0,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yu[1,2] * self.yubar[0,2] + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,2] * self.yubar[0,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * (self.lambdaT2bar[0])**(2) * self.yu[2,2] * self.yubar[0,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yu[2,2] * self.yubar[0,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yu[2,2] * self.yubar[0,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[0,2] * self.yubar[0,0] * self.yubar[0,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[0,2] * self.yubar[0,0] * self.yubar[0,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[0,2] * self.yubar[0,0] * self.yubar[0,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yubar[0,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yubar[0,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yubar[0,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[1,2] * self.yubar[0,0] * self.yubar[0,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[1,2] * self.yubar[0,0] * self.yubar[0,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,2] * self.yubar[0,0] * self.yubar[0,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[0,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[0,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[0,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[2,2] * self.yubar[0,0] * self.yubar[0,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[2,2] * self.yubar[0,0] * self.yubar[0,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,2] * self.yubar[0,0] * self.yubar[0,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[0,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[0,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[0,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yubar[0,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yubar[0,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yubar[0,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[1,2] * self.yubar[0,1] * self.yubar[0,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[1,2] * self.yubar[0,1] * self.yubar[0,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,2] * self.yubar[0,1] * self.yubar[0,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[0,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[0,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[0,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[2,2] * self.yubar[0,1] * self.yubar[0,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[2,2] * self.yubar[0,1] * self.yubar[0,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,2] * self.yubar[0,1] * self.yubar[0,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * (self.yu[0,2])**(2) * (self.yubar[0,2])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * (self.yu[0,2])**(2) * (self.yubar[0,2])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[0,2])**(2) * (self.yubar[0,2])**(2) + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[1,2] * (self.yubar[0,2])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[1,2] * (self.yubar[0,2])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,2] * (self.yubar[0,2])**(2) + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[2,2] * (self.yubar[0,2])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[2,2] * (self.yubar[0,2])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,2] * (self.yubar[0,2])**(2) + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yubar[1,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yubar[1,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * (self.lambdaT2bar[1])**(2) * self.yu[0,0] * self.yubar[1,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yu[0,0] * self.yubar[1,0] + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,0] * self.yubar[1,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yu[1,0] * self.yubar[1,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * (self.lambdaT2bar[1])**(2) * self.yu[1,0] * self.yubar[1,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yu[1,0] * self.yubar[1,0] + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,0] * self.yubar[1,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yu[2,0] * self.yubar[1,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * (self.lambdaT2bar[1])**(2) * self.yu[2,0] * self.yubar[1,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yu[2,0] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * (self.yu[0,0])**(2) * self.yubar[0,0] * self.yubar[1,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * (self.yu[0,0])**(2) * self.yubar[0,0] * self.yubar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[0,0])**(2) * self.yubar[0,0] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * (self.yu[1,0])**(2) * self.yubar[0,0] * self.yubar[1,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * (self.yu[1,0])**(2) * self.yubar[0,0] * self.yubar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[1,0])**(2) * self.yubar[0,0] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[1,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[1,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[1,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[1,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[0,1] * self.yubar[0,1] * self.yubar[1,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[0,1] * self.yubar[0,1] * self.yubar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[0,1] * self.yubar[0,1] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,0] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,0] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[1,1] * self.yu[2,0] * self.yubar[0,1] * self.yubar[1,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[1,1] * self.yu[2,0] * self.yubar[0,1] * self.yubar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,0] * self.yubar[0,1] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[1,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[0,2] * self.yubar[0,2] * self.yubar[1,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[0,2] * self.yubar[0,2] * self.yubar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[0,2] * self.yubar[0,2] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,0] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,0] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[1,2] * self.yu[2,0] * self.yubar[0,2] * self.yubar[1,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[1,2] * self.yu[2,0] * self.yubar[0,2] * self.yubar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,0] * self.yubar[0,2] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[1,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[1,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[1,0] * (self.yubar[1,0])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[1,0] * (self.yubar[1,0])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,0] * (self.yubar[1,0])**(2) + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * (self.yu[1,0])**(2) * (self.yubar[1,0])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * (self.yu[1,0])**(2) * (self.yubar[1,0])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[1,0])**(2) * (self.yubar[1,0])**(2) + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[1,0] * self.yu[2,0] * (self.yubar[1,0])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[1,0] * self.yu[2,0] * (self.yubar[1,0])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,0] * (self.yubar[1,0])**(2) + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,1] * self.yubar[1,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yu[0,1] * self.yubar[1,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * (self.lambdaT2bar[1])**(2) * self.yu[0,1] * self.yubar[1,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yu[0,1] * self.yubar[1,1] + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,1] * self.yubar[1,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yu[1,1] * self.yubar[1,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * (self.lambdaT2bar[1])**(2) * self.yu[1,1] * self.yubar[1,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yu[1,1] * self.yubar[1,1] + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,1] * self.yubar[1,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yu[2,1] * self.yubar[1,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * (self.lambdaT2bar[1])**(2) * self.yu[2,1] * self.yubar[1,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yu[2,1] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[0,1] * self.yubar[0,0] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[0,1] * self.yubar[0,0] * self.yubar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[0,1] * self.yubar[0,0] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,0] * self.yu[1,1] * self.yubar[0,0] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,0] * self.yu[1,1] * self.yubar[0,0] * self.yubar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[1,1] * self.yubar[0,0] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[1,0] * self.yu[2,1] * self.yubar[0,0] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[1,0] * self.yu[2,1] * self.yubar[0,0] * self.yubar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,1] * self.yubar[0,0] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * (self.yu[0,1])**(2) * self.yubar[0,1] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * (self.yu[0,1])**(2) * self.yubar[0,1] * self.yubar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[0,1])**(2) * self.yubar[0,1] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * (self.yu[1,1])**(2) * self.yubar[0,1] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * (self.yu[1,1])**(2) * self.yubar[0,1] * self.yubar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[1,1])**(2) * self.yubar[0,1] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[1,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[1,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[0,2] * self.yubar[0,2] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[0,2] * self.yubar[0,2] * self.yubar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[0,2] * self.yubar[0,2] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[1,2] * self.yu[2,1] * self.yubar[0,2] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[1,2] * self.yu[2,1] * self.yubar[0,2] * self.yubar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,1] * self.yubar[0,2] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[1,1] * self.yubar[1,0] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[1,1] * self.yubar[1,0] * self.yubar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,1] * self.yubar[1,0] * self.yubar[1,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,0] * self.yu[1,1] * self.yubar[1,0] * self.yubar[1,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,0] * self.yu[1,1] * self.yubar[1,0] * self.yubar[1,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[1,1] * self.yubar[1,0] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[1,1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[1,1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[1,0] * self.yu[2,1] * self.yubar[1,0] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[1,0] * self.yu[2,1] * self.yubar[1,0] * self.yubar[1,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,1] * self.yubar[1,0] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[1,1] * (self.yubar[1,1])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[1,1] * (self.yubar[1,1])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,1] * (self.yubar[1,1])**(2) + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * (self.yu[1,1])**(2) * (self.yubar[1,1])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * (self.yu[1,1])**(2) * (self.yubar[1,1])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[1,1])**(2) * (self.yubar[1,1])**(2) + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[1,1] * self.yu[2,1] * (self.yubar[1,1])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[1,1] * self.yu[2,1] * (self.yubar[1,1])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,1] * (self.yubar[1,1])**(2) + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,2] * self.yubar[1,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yu[0,2] * self.yubar[1,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * (self.lambdaT2bar[1])**(2) * self.yu[0,2] * self.yubar[1,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yu[0,2] * self.yubar[1,2] + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,2] * self.yubar[1,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yu[1,2] * self.yubar[1,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * (self.lambdaT2bar[1])**(2) * self.yu[1,2] * self.yubar[1,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yu[1,2] * self.yubar[1,2] + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,2] * self.yubar[1,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yu[2,2] * self.yubar[1,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * (self.lambdaT2bar[1])**(2) * self.yu[2,2] * self.yubar[1,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yu[2,2] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[0,2] * self.yubar[0,0] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[0,2] * self.yubar[0,0] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[0,2] * self.yubar[0,0] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,0] * self.yu[1,2] * self.yubar[0,0] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,0] * self.yu[1,2] * self.yubar[0,0] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[1,2] * self.yubar[0,0] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[1,0] * self.yu[2,2] * self.yubar[0,0] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[1,0] * self.yu[2,2] * self.yubar[0,0] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,2] * self.yubar[0,0] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,1] * self.yu[1,2] * self.yubar[0,1] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,1] * self.yu[1,2] * self.yubar[0,1] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[1,2] * self.yubar[0,1] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[1,1] * self.yu[2,2] * self.yubar[0,1] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[1,1] * self.yu[2,2] * self.yubar[0,1] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,2] * self.yubar[0,1] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * (self.yu[0,2])**(2) * self.yubar[0,2] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * (self.yu[0,2])**(2) * self.yubar[0,2] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[0,2])**(2) * self.yubar[0,2] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * (self.yu[1,2])**(2) * self.yubar[0,2] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * (self.yu[1,2])**(2) * self.yubar[0,2] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[1,2])**(2) * self.yubar[0,2] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[1,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[1,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[1,2] * self.yubar[1,0] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[1,2] * self.yubar[1,0] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,2] * self.yubar[1,0] * self.yubar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,0] * self.yu[1,2] * self.yubar[1,0] * self.yubar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,0] * self.yu[1,2] * self.yubar[1,0] * self.yubar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[1,2] * self.yubar[1,0] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[1,2] * self.yu[2,0] * self.yubar[1,0] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[1,2] * self.yu[2,0] * self.yubar[1,0] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,0] * self.yubar[1,0] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[1,0] * self.yu[2,2] * self.yubar[1,0] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[1,0] * self.yu[2,2] * self.yubar[1,0] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,2] * self.yubar[1,0] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[1,1] * self.yubar[1,1] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[1,1] * self.yubar[1,1] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,1] * self.yubar[1,1] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[1,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[1,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[1,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[1,2] * self.yu[2,1] * self.yubar[1,1] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[1,2] * self.yu[2,1] * self.yubar[1,1] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,1] * self.yubar[1,1] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[1,1] * self.yu[2,2] * self.yubar[1,1] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[1,1] * self.yu[2,2] * self.yubar[1,1] * self.yubar[1,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,2] * self.yubar[1,1] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[1,2] * (self.yubar[1,2])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[1,2] * (self.yubar[1,2])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,2] * (self.yubar[1,2])**(2) + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * (self.yu[1,2])**(2) * (self.yubar[1,2])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * (self.yu[1,2])**(2) * (self.yubar[1,2])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[1,2])**(2) * (self.yubar[1,2])**(2) + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[1,2] * self.yu[2,2] * (self.yubar[1,2])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[1,2] * self.yu[2,2] * (self.yubar[1,2])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,2] * (self.yubar[1,2])**(2) + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yubar[2,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yubar[2,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yu[0,0] * self.yubar[2,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * (self.lambdaT2bar[2])**(2) * self.yu[0,0] * self.yubar[2,0] + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,0] * self.yubar[2,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yu[1,0] * self.yubar[2,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yu[1,0] * self.yubar[2,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * (self.lambdaT2bar[2])**(2) * self.yu[1,0] * self.yubar[2,0] + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,0] * self.yubar[2,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yu[2,0] * self.yubar[2,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yu[2,0] * self.yubar[2,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * (self.lambdaT2bar[2])**(2) * self.yu[2,0] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * (self.yu[0,0])**(2) * self.yubar[0,0] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * (self.yu[0,0])**(2) * self.yubar[0,0] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[0,0])**(2) * self.yubar[0,0] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[1,0] * self.yubar[0,0] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[1,0] * self.yubar[0,0] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,0] * self.yubar[0,0] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * (self.yu[2,0])**(2) * self.yubar[0,0] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * (self.yu[2,0])**(2) * self.yubar[0,0] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[2,0])**(2) * self.yubar[0,0] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[0,1] * self.yubar[0,1] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[0,1] * self.yubar[0,1] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[0,1] * self.yubar[0,1] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[1,1] * self.yubar[0,1] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[1,1] * self.yubar[0,1] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,1] * self.yubar[0,1] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[0,2] * self.yubar[0,2] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[0,2] * self.yubar[0,2] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[0,2] * self.yubar[0,2] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[1,2] * self.yubar[0,2] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[1,2] * self.yubar[0,2] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,2] * self.yubar[0,2] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[1,0] * self.yubar[1,0] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[1,0] * self.yubar[1,0] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,0] * self.yubar[1,0] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * (self.yu[1,0])**(2) * self.yubar[1,0] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * (self.yu[1,0])**(2) * self.yubar[1,0] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[1,0])**(2) * self.yubar[1,0] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,0] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,0] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[1,0] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[1,0] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * (self.yu[2,0])**(2) * self.yubar[1,0] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * (self.yu[2,0])**(2) * self.yubar[1,0] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[2,0])**(2) * self.yubar[1,0] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[1,0] * self.yubar[1,1] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[1,0] * self.yubar[1,1] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,0] * self.yubar[1,1] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,0] * self.yu[1,1] * self.yubar[1,1] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,0] * self.yu[1,1] * self.yubar[1,1] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[1,1] * self.yubar[1,1] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,0] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,0] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[1,0] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[1,0] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,0] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,0] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[1,0] * self.yubar[1,2] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[1,0] * self.yubar[1,2] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,0] * self.yubar[1,2] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,0] * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,0] * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,0] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,0] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[1,0] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[1,0] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,0] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,0] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[2,0] * (self.yubar[2,0])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[2,0] * (self.yubar[2,0])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,0] * (self.yubar[2,0])**(2) + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,0] * self.yu[2,0] * (self.yubar[2,0])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,0] * self.yu[2,0] * (self.yubar[2,0])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,0] * (self.yubar[2,0])**(2) + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * (self.yu[2,0])**(2) * (self.yubar[2,0])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * (self.yu[2,0])**(2) * (self.yubar[2,0])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[2,0])**(2) * (self.yubar[2,0])**(2) + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,1] * self.yubar[2,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yu[0,1] * self.yubar[2,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yu[0,1] * self.yubar[2,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * (self.lambdaT2bar[2])**(2) * self.yu[0,1] * self.yubar[2,1] + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,1] * self.yubar[2,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yu[1,1] * self.yubar[2,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yu[1,1] * self.yubar[2,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * (self.lambdaT2bar[2])**(2) * self.yu[1,1] * self.yubar[2,1] + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,1] * self.yubar[2,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yu[2,1] * self.yubar[2,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yu[2,1] * self.yubar[2,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * (self.lambdaT2bar[2])**(2) * self.yu[2,1] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[0,1] * self.yubar[0,0] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[0,1] * self.yubar[0,0] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[0,1] * self.yubar[0,0] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,0] * self.yu[2,1] * self.yubar[0,0] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,0] * self.yu[2,1] * self.yubar[0,0] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yu[2,1] * self.yubar[0,0] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * (self.yu[0,1])**(2) * self.yubar[0,1] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * (self.yu[0,1])**(2) * self.yubar[0,1] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[0,1])**(2) * self.yubar[0,1] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * (self.yu[2,1])**(2) * self.yubar[0,1] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * (self.yu[2,1])**(2) * self.yubar[0,1] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[2,1])**(2) * self.yubar[0,1] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[0,2] * self.yubar[0,2] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[0,2] * self.yubar[0,2] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[0,2] * self.yubar[0,2] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[1,1] * self.yubar[1,0] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[1,1] * self.yubar[1,0] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,1] * self.yubar[1,0] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,0] * self.yu[1,1] * self.yubar[1,0] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,0] * self.yu[1,1] * self.yubar[1,0] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[1,1] * self.yubar[1,0] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[1,1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[1,1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,0] * self.yu[2,1] * self.yubar[1,0] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,0] * self.yu[2,1] * self.yubar[1,0] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yu[2,1] * self.yubar[1,0] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[1,1] * self.yubar[1,1] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[1,1] * self.yubar[1,1] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,1] * self.yubar[1,1] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * (self.yu[1,1])**(2) * self.yubar[1,1] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * (self.yu[1,1])**(2) * self.yubar[1,1] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[1,1])**(2) * self.yubar[1,1] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[1,1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[1,1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * (self.yu[2,1])**(2) * self.yubar[1,1] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * (self.yu[2,1])**(2) * self.yubar[1,1] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[2,1])**(2) * self.yubar[1,1] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[1,1] * self.yubar[1,2] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[1,1] * self.yubar[1,2] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,1] * self.yubar[1,2] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,1] * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,1] * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[1,1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[1,1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,1] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,1] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,0] * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,0] * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,0] * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,0] * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[2,1] * (self.yubar[2,1])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[2,1] * (self.yubar[2,1])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,1] * (self.yubar[2,1])**(2) + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,1] * self.yu[2,1] * (self.yubar[2,1])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,1] * self.yu[2,1] * (self.yubar[2,1])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,1] * (self.yubar[2,1])**(2) + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * (self.yu[2,1])**(2) * (self.yubar[2,1])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * (self.yu[2,1])**(2) * (self.yubar[2,1])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[2,1])**(2) * (self.yubar[2,1])**(2) + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,2] * self.yubar[2,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yu[0,2] * self.yubar[2,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yu[0,2] * self.yubar[2,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * (self.lambdaT2bar[2])**(2) * self.yu[0,2] * self.yubar[2,2] + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,2] * self.yubar[2,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yu[1,2] * self.yubar[2,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yu[1,2] * self.yubar[2,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * (self.lambdaT2bar[2])**(2) * self.yu[1,2] * self.yubar[2,2] + -3/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,2] * self.yubar[2,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yu[2,2] * self.yubar[2,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yu[2,2] * self.yubar[2,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * (self.lambdaT2bar[2])**(2) * self.yu[2,2] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[0,2] * self.yubar[0,0] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[0,2] * self.yubar[0,0] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[0,2] * self.yubar[0,0] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,0] * self.yu[2,2] * self.yubar[0,0] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,0] * self.yu[2,2] * self.yubar[0,0] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yu[2,2] * self.yubar[0,0] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,1] * self.yu[2,2] * self.yubar[0,1] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,1] * self.yu[2,2] * self.yubar[0,1] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yu[2,2] * self.yubar[0,1] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * (self.yu[0,2])**(2) * self.yubar[0,2] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * (self.yu[0,2])**(2) * self.yubar[0,2] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[0,2])**(2) * self.yubar[0,2] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[1,2] * self.yubar[0,2] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[1,2] * self.yubar[0,2] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,2] * self.yubar[0,2] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * (self.yu[2,2])**(2) * self.yubar[0,2] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * (self.yu[2,2])**(2) * self.yubar[0,2] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[2,2])**(2) * self.yubar[0,2] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[1,2] * self.yubar[1,0] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[1,2] * self.yubar[1,0] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,2] * self.yubar[1,0] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,0] * self.yu[1,2] * self.yubar[1,0] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,0] * self.yu[1,2] * self.yubar[1,0] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[1,2] * self.yubar[1,0] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,2] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,2] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[1,2] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[1,2] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,0] * self.yu[2,2] * self.yubar[1,0] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,0] * self.yu[2,2] * self.yubar[1,0] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yu[2,2] * self.yubar[1,0] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,2] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,2] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[1,2] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[1,2] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,1] * self.yu[2,2] * self.yubar[1,1] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,1] * self.yu[2,2] * self.yubar[1,1] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yu[2,2] * self.yubar[1,1] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * (self.yu[1,2])**(2) * self.yubar[1,2] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * (self.yu[1,2])**(2) * self.yubar[1,2] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[1,2])**(2) * self.yubar[1,2] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,2] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,2] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[1,2] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[1,2] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * (self.yu[2,2])**(2) * self.yubar[1,2] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * (self.yu[2,2])**(2) * self.yubar[1,2] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[2,2])**(2) * self.yubar[1,2] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,2] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,2] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,0] * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,0] * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,0] * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,0] * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[2,1] * self.yubar[2,1] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[2,1] * self.yubar[2,1] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,1] * self.yubar[2,1] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,2] * self.yu[2,1] * self.yubar[2,1] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,2] * self.yu[2,1] * self.yubar[2,1] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,1] * self.yubar[2,1] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,1] * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,1] * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] + -3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,1] * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] + -3/16 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,1] * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] + 3/16 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[2,2] * (self.yubar[2,2])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[2,2] * (self.yubar[2,2])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,2] * (self.yubar[2,2])**(2) + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,2] * self.yu[2,2] * (self.yubar[2,2])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,2] * self.yu[2,2] * (self.yubar[2,2])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,2] * (self.yubar[2,2])**(2) + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * (self.yu[2,2])**(2) * (self.yubar[2,2])**(2) + -3/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * (self.yu[2,2])**(2) * (self.yubar[2,2])**(2) + 3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * (self.yu[2,2])**(2) * (self.yubar[2,2])**(2))

    def alphaOHB(self, ):
        return (5/1536 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] + 5/1536 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] + 5/1536 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2])

    def alphaOHBox(self, ):
        return (-1/120 * (self.g1)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) + -3/80 * (self.g2)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) + 7/512 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] + 21/512 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] + 1/256 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] + 3/256 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * (self.lambdaT2bar[0])**(2) + 7/512 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] + 21/512 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] + 1/256 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] + 3/256 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[1] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * (self.lambdaT2bar[1])**(2) + 7/512 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] + 21/512 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] + 1/256 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] + 3/256 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[2] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * (self.lambdaT2bar[2])**(2) + -1/256 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -3/256 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -1/256 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -3/256 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -1/256 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -3/256 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.ydbar[0,0] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.ydbar[0,0] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.ydbar[0,0] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.ydbar[0,0] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[0,0] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,0] * self.ydbar[0,0] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,0] * self.ydbar[0,0] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[0,0] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.ydbar[0,1] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.ydbar[0,1] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,1] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,1] * self.ydbar[0,1] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,1] * self.ydbar[0,1] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[0,1] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,1] * self.ydbar[0,1] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,1] * self.ydbar[0,1] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[0,1] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,2] * self.ydbar[0,2] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,2] * self.ydbar[0,2] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,2] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,2] * self.ydbar[0,2] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,2] * self.ydbar[0,2] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[0,2] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,2] * self.ydbar[0,2] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,2] * self.ydbar[0,2] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[0,2] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.ydbar[1,0] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.ydbar[1,0] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[1,0] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,0] * self.ydbar[1,0] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,0] * self.ydbar[1,0] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,0] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,0] * self.ydbar[1,0] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,0] * self.ydbar[1,0] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[1,0] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.ydbar[1,1] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.ydbar[1,1] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[1,1] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,1] * self.ydbar[1,1] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,1] * self.ydbar[1,1] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,1] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,1] * self.ydbar[1,1] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,1] * self.ydbar[1,1] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[1,1] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.ydbar[1,2] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.ydbar[1,2] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[1,2] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,2] * self.ydbar[1,2] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,2] * self.ydbar[1,2] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,2] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,2] * self.ydbar[1,2] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,2] * self.ydbar[1,2] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[1,2] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.ydbar[2,0] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.ydbar[2,0] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[2,0] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.ydbar[2,0] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.ydbar[2,0] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[2,0] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,0] * self.ydbar[2,0] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,0] * self.ydbar[2,0] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,0] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.ydbar[2,1] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.ydbar[2,1] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[2,1] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,1] * self.ydbar[2,1] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,1] * self.ydbar[2,1] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[2,1] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,1] * self.ydbar[2,1] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,1] * self.ydbar[2,1] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,1] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.ydbar[2,2] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.ydbar[2,2] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[2,2] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,2] * self.ydbar[2,2] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,2] * self.ydbar[2,2] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[2,2] + -33/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,2] * self.ydbar[2,2] + -9/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,2] * self.ydbar[2,2] + 9/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,2] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,0] * self.yubar[0,0] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,0] * self.yubar[0,0] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,0] * self.yubar[0,0] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,1] * self.yubar[0,1] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,1] * self.yubar[0,1] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,1] * self.yubar[0,1] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,2] * self.yubar[0,2] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,2] * self.yubar[0,2] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,2] * self.yubar[0,2] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yubar[1,0] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,0] * self.yubar[1,0] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,0] * self.yubar[1,0] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,1] * self.yubar[1,1] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,1] * self.yubar[1,1] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,1] * self.yubar[1,1] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,2] * self.yubar[1,2] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,2] * self.yubar[1,2] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,2] * self.yubar[1,2] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yubar[2,0] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,0] * self.yubar[2,0] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,0] * self.yubar[2,0] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,1] * self.yubar[2,1] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,1] * self.yubar[2,1] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,1] * self.yubar[2,1] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,2] * self.yubar[2,2] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,2] * self.yubar[2,2] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,2] * self.yubar[2,2])

    def alphaOHBt(self, ):
        return 0

    def alphaOHD(self, ):
        return (-1/30 * (self.g1)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) + 7/128 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] + 1/64 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] + -19/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * (self.lambdaT2bar[0])**(2) + 7/128 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] + 1/64 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] + -19/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[1] + -19/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * (self.lambdaT2bar[1])**(2) + 7/128 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] + 1/64 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] + -19/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[2] + -19/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[2] + -19/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * (self.lambdaT2bar[2])**(2) + -1/64 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -1/64 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -1/64 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.ydbar[0,0] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.ydbar[0,0] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.ydbar[0,0] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.ydbar[0,0] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[0,0] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,0] * self.ydbar[0,0] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,0] * self.ydbar[0,0] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[0,0] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.ydbar[0,1] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.ydbar[0,1] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,1] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,1] * self.ydbar[0,1] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,1] * self.ydbar[0,1] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[0,1] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,1] * self.ydbar[0,1] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,1] * self.ydbar[0,1] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[0,1] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,2] * self.ydbar[0,2] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,2] * self.ydbar[0,2] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,2] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,2] * self.ydbar[0,2] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,2] * self.ydbar[0,2] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[0,2] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,2] * self.ydbar[0,2] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,2] * self.ydbar[0,2] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[0,2] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.ydbar[1,0] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.ydbar[1,0] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[1,0] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,0] * self.ydbar[1,0] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,0] * self.ydbar[1,0] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,0] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,0] * self.ydbar[1,0] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,0] * self.ydbar[1,0] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[1,0] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.ydbar[1,1] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.ydbar[1,1] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[1,1] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,1] * self.ydbar[1,1] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,1] * self.ydbar[1,1] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,1] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,1] * self.ydbar[1,1] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,1] * self.ydbar[1,1] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[1,1] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.ydbar[1,2] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.ydbar[1,2] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[1,2] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,2] * self.ydbar[1,2] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,2] * self.ydbar[1,2] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,2] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,2] * self.ydbar[1,2] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,2] * self.ydbar[1,2] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[1,2] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.ydbar[2,0] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.ydbar[2,0] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[2,0] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.ydbar[2,0] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.ydbar[2,0] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[2,0] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,0] * self.ydbar[2,0] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,0] * self.ydbar[2,0] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,0] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.ydbar[2,1] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.ydbar[2,1] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[2,1] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,1] * self.ydbar[2,1] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,1] * self.ydbar[2,1] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[2,1] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,1] * self.ydbar[2,1] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,1] * self.ydbar[2,1] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,1] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.ydbar[2,2] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.ydbar[2,2] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[2,2] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,2] * self.ydbar[2,2] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,2] * self.ydbar[2,2] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[2,2] + -33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,2] * self.ydbar[2,2] + -9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,2] * self.ydbar[2,2] + 9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,2] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,0] * self.yubar[0,0] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,0] * self.yubar[0,0] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[0,0] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,0] * self.yubar[0,0] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,0] * self.yubar[0,0] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[0,0] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,0] * self.yubar[0,0] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,0] * self.yubar[0,0] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[0,0] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,1] * self.yubar[0,1] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,1] * self.yubar[0,1] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[0,1] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,1] * self.yubar[0,1] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,1] * self.yubar[0,1] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[0,1] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,1] * self.yubar[0,1] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,1] * self.yubar[0,1] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[0,1] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,2] * self.yubar[0,2] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,2] * self.yubar[0,2] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[0,2] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,2] * self.yubar[0,2] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,2] * self.yubar[0,2] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[0,2] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,2] * self.yubar[0,2] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,2] * self.yubar[0,2] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[0,2] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yubar[1,0] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yubar[1,0] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[1,0] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,0] * self.yubar[1,0] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,0] * self.yubar[1,0] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[1,0] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,0] * self.yubar[1,0] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,0] * self.yubar[1,0] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[1,0] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,1] * self.yubar[1,1] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,1] * self.yubar[1,1] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[1,1] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,1] * self.yubar[1,1] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,1] * self.yubar[1,1] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[1,1] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,1] * self.yubar[1,1] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,1] * self.yubar[1,1] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[1,1] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,2] * self.yubar[1,2] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,2] * self.yubar[1,2] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[1,2] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,2] * self.yubar[1,2] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,2] * self.yubar[1,2] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[1,2] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,2] * self.yubar[1,2] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,2] * self.yubar[1,2] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[1,2] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yubar[2,0] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yubar[2,0] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[2,0] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,0] * self.yubar[2,0] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,0] * self.yubar[2,0] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[2,0] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,0] * self.yubar[2,0] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,0] * self.yubar[2,0] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[2,0] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,1] * self.yubar[2,1] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,1] * self.yubar[2,1] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[2,1] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,1] * self.yubar[2,1] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,1] * self.yubar[2,1] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[2,1] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,1] * self.yubar[2,1] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,1] * self.yubar[2,1] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[2,1] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,2] * self.yubar[2,2] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,2] * self.yubar[2,2] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[2,2] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,2] * self.yubar[2,2] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,2] * self.yubar[2,2] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[2,2] + 33/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,2] * self.yubar[2,2] + 9/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,2] * self.yubar[2,2] + -9/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[2,2])

    def alphaOHG(self, ):
        return (1/128 * (self.g3)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] + 1/128 * (self.g3)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] + 1/128 * (self.g3)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2])

    def alphaOHGt(self, ):
        return 0

    def alphaOHW(self, ):
        return (7/512 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] + 7/512 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] + 7/512 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2])

    def alphaOHWB(self, ):
        return (5/768 * self.g1 * self.g2 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] + 5/768 * self.g1 * self.g2 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] + 5/768 * self.g1 * self.g2 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2])

    def alphaOHWBt(self, ):
        return 0

    def alphaOHWt(self, ):
        return 0

    def alphaWeinberg(self, mif1,mif2):
        return 0

    def alphaOdB(self, mif1,mif2):
        return (17/1536 * self.g1 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,mif2] + 17/1536 * self.g1 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,mif2] + 17/1536 * self.g1 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,mif2])

    def alphaOdd(self, mif1,mif2,mif3,mif4):
        return (-1/160 * (self.g3)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.kronecker_delta(mif2,mif3) + -1/270 * (self.g1)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 1/480 * (self.g3)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4))

    def alphaOdG(self, mif1,mif2):
        return (7/512 * self.g3 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,mif2] + 7/512 * self.g3 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,mif2] + 7/512 * self.g3 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,mif2])

    def alphaOdH(self, mif1,mif2):
        return (1/4 * (self.MT2)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,mif2] + -1/64 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,mif2] + -1/32 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,mif2] + -3/64 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,mif2] + -3/32 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,mif2] + 41/128 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,mif2] + 15/64 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,mif2] + -155/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * self.yd[0,mif2] + -75/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * self.yd[0,mif2] + -39/1024 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * self.yd[0,mif2] + -15/512 * self.invepsilonbar * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * self.yd[0,mif2] + -155/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * self.yd[0,mif2] + -75/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * self.yd[0,mif2] + -39/1024 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * self.yd[0,mif2] + -15/512 * self.invepsilonbar * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * self.yd[0,mif2] + -155/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * self.yd[0,mif2] + -75/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * self.yd[0,mif2] + -39/1024 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * self.yd[0,mif2] + -15/512 * self.invepsilonbar * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * self.yd[0,mif2] + 3/64 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] + 3/32 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] + -15/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] + 75/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] + 15/512 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] + 75/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] + 15/512 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] + 75/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] + 15/512 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] + 1/4 * (self.MT2)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,mif2] + -1/64 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,mif2] + -1/32 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,mif2] + -3/64 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,mif2] + -3/32 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,mif2] + 41/128 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,mif2] + 15/64 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,mif2] + -155/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * self.yd[1,mif2] + -75/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * self.yd[1,mif2] + -39/1024 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * self.yd[1,mif2] + -15/512 * self.invepsilonbar * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * self.yd[1,mif2] + -155/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * self.yd[1,mif2] + -75/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * self.yd[1,mif2] + -39/1024 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * self.yd[1,mif2] + -15/512 * self.invepsilonbar * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * self.yd[1,mif2] + -155/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * self.yd[1,mif2] + -75/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * self.yd[1,mif2] + -39/1024 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * self.yd[1,mif2] + -15/512 * self.invepsilonbar * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * self.yd[1,mif2] + 3/64 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] + 3/32 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] + -15/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] + 75/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] + 15/512 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] + 75/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] + 15/512 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] + 75/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] + 15/512 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] + 1/4 * (self.MT2)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,mif2] + -1/64 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,mif2] + -1/32 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,mif2] + -3/64 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,mif2] + -3/32 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,mif2] + 41/128 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,mif2] + 15/64 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,mif2] + -155/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * self.yd[2,mif2] + -75/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * self.yd[2,mif2] + -39/1024 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * self.yd[2,mif2] + -15/512 * self.invepsilonbar * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * self.yd[2,mif2] + -155/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * self.yd[2,mif2] + -75/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * self.yd[2,mif2] + -39/1024 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * self.yd[2,mif2] + -15/512 * self.invepsilonbar * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * self.yd[2,mif2] + -155/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * self.yd[2,mif2] + -75/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * self.yd[2,mif2] + -39/1024 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * self.yd[2,mif2] + -15/512 * self.invepsilonbar * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * self.yd[2,mif2] + 3/64 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] + 3/32 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] + -15/64 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] + 75/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] + 15/512 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] + 75/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] + 15/512 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] + 75/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] + 15/512 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] + -1/40 * (self.g2)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif2] + 7/256 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[mif1,mif2] + 1/128 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[mif1,mif2] + 3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[mif1,mif2] + -13/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * (self.lambdaT2bar[0])**(2) * self.yd[mif1,mif2] + 7/256 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[mif1,mif2] + 1/128 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[mif1,mif2] + 3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[mif1,mif2] + -13/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yd[mif1,mif2] + -13/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * (self.lambdaT2bar[1])**(2) * self.yd[mif1,mif2] + 7/256 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[mif1,mif2] + 1/128 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[mif1,mif2] + 3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[mif1,mif2] + -13/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yd[mif1,mif2] + -13/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yd[mif1,mif2] + -13/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * (self.lambdaT2bar[2])**(2) * self.yd[mif1,mif2] + -1/128 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] + -1/128 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] + -1/128 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,0] * self.yd[0,mif2] * self.ydbar[0,0] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,0] * self.yd[0,mif2] * self.ydbar[0,0] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[0,mif2] * self.ydbar[0,0] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yd[1,0] * self.ydbar[0,0] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yd[1,0] * self.ydbar[0,0] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yd[1,0] * self.ydbar[0,0] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yd[2,0] * self.ydbar[0,0] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yd[2,0] * self.ydbar[0,0] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yd[2,0] * self.ydbar[0,0] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,0] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,0] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,0] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[0,0] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[0,0] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[0,0] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[0,0] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[0,0] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[0,0] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[mif1,mif2] * self.ydbar[0,0] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.yd[mif1,mif2] * self.ydbar[0,0] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[mif1,mif2] * self.ydbar[0,0] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.yd[mif1,mif2] * self.ydbar[0,0] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.yd[mif1,mif2] * self.ydbar[0,0] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[mif1,mif2] * self.ydbar[0,0] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,0] * self.yd[mif1,mif2] * self.ydbar[0,0] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,0] * self.yd[mif1,mif2] * self.ydbar[0,0] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yd[mif1,mif2] * self.ydbar[0,0] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,1] * self.yd[0,mif2] * self.ydbar[0,1] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,1] * self.yd[0,mif2] * self.ydbar[0,1] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[0,mif2] * self.ydbar[0,1] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yd[1,1] * self.ydbar[0,1] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yd[1,1] * self.ydbar[0,1] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yd[1,1] * self.ydbar[0,1] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yd[2,1] * self.ydbar[0,1] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yd[2,1] * self.ydbar[0,1] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yd[2,1] * self.ydbar[0,1] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,1] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,1] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,1] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[0,1] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[0,1] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[0,1] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[0,1] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[0,1] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[0,1] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[mif1,mif2] * self.ydbar[0,1] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.yd[mif1,mif2] * self.ydbar[0,1] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[mif1,mif2] * self.ydbar[0,1] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,1] * self.yd[mif1,mif2] * self.ydbar[0,1] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,1] * self.yd[mif1,mif2] * self.ydbar[0,1] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[mif1,mif2] * self.ydbar[0,1] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,1] * self.yd[mif1,mif2] * self.ydbar[0,1] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,1] * self.yd[mif1,mif2] * self.ydbar[0,1] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.yd[mif1,mif2] * self.ydbar[0,1] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,2] * self.yd[0,mif2] * self.ydbar[0,2] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,2] * self.yd[0,mif2] * self.ydbar[0,2] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[0,mif2] * self.ydbar[0,2] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yd[1,2] * self.ydbar[0,2] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yd[1,2] * self.ydbar[0,2] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yd[1,2] * self.ydbar[0,2] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yd[2,2] * self.ydbar[0,2] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yd[2,2] * self.ydbar[0,2] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yd[2,2] * self.ydbar[0,2] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,2] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[0,2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[0,2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[0,2] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[0,2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[0,2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[0,2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[mif1,mif2] * self.ydbar[0,2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,2] * self.yd[mif1,mif2] * self.ydbar[0,2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[mif1,mif2] * self.ydbar[0,2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,2] * self.yd[mif1,mif2] * self.ydbar[0,2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,2] * self.yd[mif1,mif2] * self.ydbar[0,2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[mif1,mif2] * self.ydbar[0,2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,2] * self.yd[mif1,mif2] * self.ydbar[0,2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,2] * self.yd[mif1,mif2] * self.ydbar[0,2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.yd[mif1,mif2] * self.ydbar[0,2] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,0] * self.yd[1,mif2] * self.ydbar[1,0] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,0] * self.yd[1,mif2] * self.ydbar[1,0] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[1,mif2] * self.ydbar[1,0] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,0] * self.yd[1,mif2] * self.ydbar[1,0] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,0] * self.yd[1,mif2] * self.ydbar[1,0] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[1,mif2] * self.ydbar[1,0] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[1,mif2] * self.yd[2,0] * self.ydbar[1,0] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[1,mif2] * self.yd[2,0] * self.ydbar[1,0] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yd[2,0] * self.ydbar[1,0] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[1,0] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[1,0] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[1,0] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,0] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,0] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,0] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[1,0] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[1,0] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[1,0] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[mif1,mif2] * self.ydbar[1,0] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.yd[mif1,mif2] * self.ydbar[1,0] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[mif1,mif2] * self.ydbar[1,0] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,0] * self.yd[mif1,mif2] * self.ydbar[1,0] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,0] * self.yd[mif1,mif2] * self.ydbar[1,0] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[mif1,mif2] * self.ydbar[1,0] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,0] * self.yd[mif1,mif2] * self.ydbar[1,0] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,0] * self.yd[mif1,mif2] * self.ydbar[1,0] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yd[mif1,mif2] * self.ydbar[1,0] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,1] * self.yd[1,mif2] * self.ydbar[1,1] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,1] * self.yd[1,mif2] * self.ydbar[1,1] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[1,mif2] * self.ydbar[1,1] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,1] * self.yd[1,mif2] * self.ydbar[1,1] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,1] * self.yd[1,mif2] * self.ydbar[1,1] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[1,mif2] * self.ydbar[1,1] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[1,mif2] * self.yd[2,1] * self.ydbar[1,1] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[1,mif2] * self.yd[2,1] * self.ydbar[1,1] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yd[2,1] * self.ydbar[1,1] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[1,1] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[1,1] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[1,1] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,1] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,1] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,1] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[1,1] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[1,1] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[1,1] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[mif1,mif2] * self.ydbar[1,1] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.yd[mif1,mif2] * self.ydbar[1,1] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[mif1,mif2] * self.ydbar[1,1] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,1] * self.yd[mif1,mif2] * self.ydbar[1,1] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,1] * self.yd[mif1,mif2] * self.ydbar[1,1] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[mif1,mif2] * self.ydbar[1,1] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,1] * self.yd[mif1,mif2] * self.ydbar[1,1] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,1] * self.yd[mif1,mif2] * self.ydbar[1,1] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.yd[mif1,mif2] * self.ydbar[1,1] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,2] * self.yd[1,mif2] * self.ydbar[1,2] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,2] * self.yd[1,mif2] * self.ydbar[1,2] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[1,mif2] * self.ydbar[1,2] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,2] * self.yd[1,mif2] * self.ydbar[1,2] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,2] * self.yd[1,mif2] * self.ydbar[1,2] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[1,mif2] * self.ydbar[1,2] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[1,mif2] * self.yd[2,2] * self.ydbar[1,2] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[1,mif2] * self.yd[2,2] * self.ydbar[1,2] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yd[2,2] * self.ydbar[1,2] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[1,2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[1,2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[1,2] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,2] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[1,2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[1,2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[1,2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[mif1,mif2] * self.ydbar[1,2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.yd[mif1,mif2] * self.ydbar[1,2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[mif1,mif2] * self.ydbar[1,2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,2] * self.yd[mif1,mif2] * self.ydbar[1,2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,2] * self.yd[mif1,mif2] * self.ydbar[1,2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[mif1,mif2] * self.ydbar[1,2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,2] * self.yd[mif1,mif2] * self.ydbar[1,2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,2] * self.yd[mif1,mif2] * self.ydbar[1,2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.yd[mif1,mif2] * self.ydbar[1,2] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,0] * self.yd[2,mif2] * self.ydbar[2,0] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,0] * self.yd[2,mif2] * self.ydbar[2,0] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[2,mif2] * self.ydbar[2,0] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,0] * self.yd[2,mif2] * self.ydbar[2,0] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,0] * self.yd[2,mif2] * self.ydbar[2,0] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[2,mif2] * self.ydbar[2,0] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,0] * self.yd[2,mif2] * self.ydbar[2,0] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,0] * self.yd[2,mif2] * self.ydbar[2,0] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yd[2,mif2] * self.ydbar[2,0] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[2,0] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[2,0] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[2,0] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[2,0] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[2,0] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[2,0] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,0] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,0] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,0] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[mif1,mif2] * self.ydbar[2,0] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.yd[mif1,mif2] * self.ydbar[2,0] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[mif1,mif2] * self.ydbar[2,0] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.yd[mif1,mif2] * self.ydbar[2,0] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.yd[mif1,mif2] * self.ydbar[2,0] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[mif1,mif2] * self.ydbar[2,0] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,0] * self.yd[mif1,mif2] * self.ydbar[2,0] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,0] * self.yd[mif1,mif2] * self.ydbar[2,0] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yd[mif1,mif2] * self.ydbar[2,0] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,1] * self.yd[2,mif2] * self.ydbar[2,1] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,1] * self.yd[2,mif2] * self.ydbar[2,1] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[2,mif2] * self.ydbar[2,1] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,1] * self.yd[2,mif2] * self.ydbar[2,1] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,1] * self.yd[2,mif2] * self.ydbar[2,1] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[2,mif2] * self.ydbar[2,1] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,1] * self.yd[2,mif2] * self.ydbar[2,1] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,1] * self.yd[2,mif2] * self.ydbar[2,1] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.yd[2,mif2] * self.ydbar[2,1] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[2,1] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[2,1] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[2,1] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[2,1] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[2,1] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[2,1] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,1] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,1] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,1] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[mif1,mif2] * self.ydbar[2,1] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.yd[mif1,mif2] * self.ydbar[2,1] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[mif1,mif2] * self.ydbar[2,1] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,1] * self.yd[mif1,mif2] * self.ydbar[2,1] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,1] * self.yd[mif1,mif2] * self.ydbar[2,1] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[mif1,mif2] * self.ydbar[2,1] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,1] * self.yd[mif1,mif2] * self.ydbar[2,1] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,1] * self.yd[mif1,mif2] * self.ydbar[2,1] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.yd[mif1,mif2] * self.ydbar[2,1] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,2] * self.yd[2,mif2] * self.ydbar[2,2] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,2] * self.yd[2,mif2] * self.ydbar[2,2] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[2,mif2] * self.ydbar[2,2] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,2] * self.yd[2,mif2] * self.ydbar[2,2] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,2] * self.yd[2,mif2] * self.ydbar[2,2] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[2,mif2] * self.ydbar[2,2] + 7/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,2] * self.yd[2,mif2] * self.ydbar[2,2] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,2] * self.yd[2,mif2] * self.ydbar[2,2] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.yd[2,mif2] * self.ydbar[2,2] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[2,2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[2,2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[2,2] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[2,2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[2,2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[2,2] + 17/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[mif1,mif2] * self.ydbar[2,2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.yd[mif1,mif2] * self.ydbar[2,2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[mif1,mif2] * self.ydbar[2,2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,2] * self.yd[mif1,mif2] * self.ydbar[2,2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,2] * self.yd[mif1,mif2] * self.ydbar[2,2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[mif1,mif2] * self.ydbar[2,2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,2] * self.yd[mif1,mif2] * self.ydbar[2,2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,2] * self.yd[mif1,mif2] * self.ydbar[2,2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.yd[mif1,mif2] * self.ydbar[2,2] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yu[0,0] * self.yubar[0,0] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yu[0,0] * self.yubar[0,0] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[0,0] * self.yubar[0,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[mif1,mif2] * self.yu[0,0] * self.yubar[0,0] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yu[1,0] * self.yubar[0,0] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yu[1,0] * self.yubar[0,0] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[1,0] * self.yubar[0,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[mif1,mif2] * self.yu[1,0] * self.yubar[0,0] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yu[2,0] * self.yubar[0,0] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yu[2,0] * self.yubar[0,0] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[2,0] * self.yubar[0,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[mif1,mif2] * self.yu[2,0] * self.yubar[0,0] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,mif2] * self.yu[mif1,0] * self.yubar[0,0] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[mif1,0] * self.yubar[0,0] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,mif2] * self.yu[mif1,0] * self.yubar[0,0] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yu[0,1] * self.yubar[0,1] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yu[0,1] * self.yubar[0,1] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[0,1] * self.yubar[0,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[mif1,mif2] * self.yu[0,1] * self.yubar[0,1] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yu[1,1] * self.yubar[0,1] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yu[1,1] * self.yubar[0,1] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[1,1] * self.yubar[0,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[mif1,mif2] * self.yu[1,1] * self.yubar[0,1] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yu[2,1] * self.yubar[0,1] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yu[2,1] * self.yubar[0,1] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[2,1] * self.yubar[0,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[mif1,mif2] * self.yu[2,1] * self.yubar[0,1] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,mif2] * self.yu[mif1,1] * self.yubar[0,1] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[mif1,1] * self.yubar[0,1] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,mif2] * self.yu[mif1,1] * self.yubar[0,1] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yu[0,2] * self.yubar[0,2] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yu[0,2] * self.yubar[0,2] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[0,2] * self.yubar[0,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[mif1,mif2] * self.yu[0,2] * self.yubar[0,2] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yu[1,2] * self.yubar[0,2] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yu[1,2] * self.yubar[0,2] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[1,2] * self.yubar[0,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[mif1,mif2] * self.yu[1,2] * self.yubar[0,2] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yu[2,2] * self.yubar[0,2] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[0,mif2] * self.yu[2,2] * self.yubar[0,2] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[2,2] * self.yubar[0,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[mif1,mif2] * self.yu[2,2] * self.yubar[0,2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,mif2] * self.yu[mif1,2] * self.yubar[0,2] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[mif1,2] * self.yubar[0,2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,mif2] * self.yu[mif1,2] * self.yubar[0,2] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[1,mif2] * self.yu[0,0] * self.yubar[1,0] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[1,mif2] * self.yu[0,0] * self.yubar[1,0] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[0,0] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[mif1,mif2] * self.yu[0,0] * self.yubar[1,0] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,mif2] * self.yu[1,0] * self.yubar[1,0] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,mif2] * self.yu[1,0] * self.yubar[1,0] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[1,0] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[mif1,mif2] * self.yu[1,0] * self.yubar[1,0] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[1,mif2] * self.yu[2,0] * self.yubar[1,0] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[1,mif2] * self.yu[2,0] * self.yubar[1,0] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[2,0] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[mif1,mif2] * self.yu[2,0] * self.yubar[1,0] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,mif2] * self.yu[mif1,0] * self.yubar[1,0] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[mif1,0] * self.yubar[1,0] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,mif2] * self.yu[mif1,0] * self.yubar[1,0] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[1,mif2] * self.yu[0,1] * self.yubar[1,1] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[1,mif2] * self.yu[0,1] * self.yubar[1,1] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[0,1] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[mif1,mif2] * self.yu[0,1] * self.yubar[1,1] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,mif2] * self.yu[1,1] * self.yubar[1,1] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,mif2] * self.yu[1,1] * self.yubar[1,1] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[1,1] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[mif1,mif2] * self.yu[1,1] * self.yubar[1,1] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[1,mif2] * self.yu[2,1] * self.yubar[1,1] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[1,mif2] * self.yu[2,1] * self.yubar[1,1] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[2,1] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[mif1,mif2] * self.yu[2,1] * self.yubar[1,1] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,mif2] * self.yu[mif1,1] * self.yubar[1,1] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[mif1,1] * self.yubar[1,1] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,mif2] * self.yu[mif1,1] * self.yubar[1,1] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[1,mif2] * self.yu[0,2] * self.yubar[1,2] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[1,mif2] * self.yu[0,2] * self.yubar[1,2] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[0,2] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[mif1,mif2] * self.yu[0,2] * self.yubar[1,2] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,mif2] * self.yu[1,2] * self.yubar[1,2] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,mif2] * self.yu[1,2] * self.yubar[1,2] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[1,2] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[mif1,mif2] * self.yu[1,2] * self.yubar[1,2] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[1,mif2] * self.yu[2,2] * self.yubar[1,2] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[1,mif2] * self.yu[2,2] * self.yubar[1,2] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[2,2] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[mif1,mif2] * self.yu[2,2] * self.yubar[1,2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,mif2] * self.yu[mif1,2] * self.yubar[1,2] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[mif1,2] * self.yubar[1,2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,mif2] * self.yu[mif1,2] * self.yubar[1,2] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[2,mif2] * self.yu[0,0] * self.yubar[2,0] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[2,mif2] * self.yu[0,0] * self.yubar[2,0] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[0,0] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[mif1,mif2] * self.yu[0,0] * self.yubar[2,0] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[2,mif2] * self.yu[1,0] * self.yubar[2,0] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[2,mif2] * self.yu[1,0] * self.yubar[2,0] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[1,0] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[mif1,mif2] * self.yu[1,0] * self.yubar[2,0] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,mif2] * self.yu[2,0] * self.yubar[2,0] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,mif2] * self.yu[2,0] * self.yubar[2,0] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[2,0] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[mif1,mif2] * self.yu[2,0] * self.yubar[2,0] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,mif2] * self.yu[mif1,0] * self.yubar[2,0] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[mif1,0] * self.yubar[2,0] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,mif2] * self.yu[mif1,0] * self.yubar[2,0] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[mif1,0] * self.yubar[2,0] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[2,mif2] * self.yu[0,1] * self.yubar[2,1] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[2,mif2] * self.yu[0,1] * self.yubar[2,1] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[0,1] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[mif1,mif2] * self.yu[0,1] * self.yubar[2,1] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[2,mif2] * self.yu[1,1] * self.yubar[2,1] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[2,mif2] * self.yu[1,1] * self.yubar[2,1] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[1,1] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[mif1,mif2] * self.yu[1,1] * self.yubar[2,1] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,mif2] * self.yu[2,1] * self.yubar[2,1] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,mif2] * self.yu[2,1] * self.yubar[2,1] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[2,1] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[mif1,mif2] * self.yu[2,1] * self.yubar[2,1] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,mif2] * self.yu[mif1,1] * self.yubar[2,1] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[mif1,1] * self.yubar[2,1] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,mif2] * self.yu[mif1,1] * self.yubar[2,1] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[mif1,1] * self.yubar[2,1] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[2,mif2] * self.yu[0,2] * self.yubar[2,2] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[2,mif2] * self.yu[0,2] * self.yubar[2,2] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[0,2] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[mif1,mif2] * self.yu[0,2] * self.yubar[2,2] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[2,mif2] * self.yu[1,2] * self.yubar[2,2] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[2,mif2] * self.yu[1,2] * self.yubar[2,2] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[1,2] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[mif1,mif2] * self.yu[1,2] * self.yubar[2,2] + 5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,mif2] * self.yu[2,2] * self.yubar[2,2] + 1/64 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,mif2] * self.yu[2,2] * self.yubar[2,2] + -1/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[2,2] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[mif1,mif2] * self.yu[2,2] * self.yubar[2,2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,mif2] * self.yu[mif1,2] * self.yubar[2,2] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[mif1,2] * self.yubar[2,2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,mif2] * self.yu[mif1,2] * self.yubar[2,2] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[mif1,2] * self.yubar[2,2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] + -3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[mif1,2] * self.yubar[2,2])

    def alphaOdW(self, mif1,mif2):
        return (3/512 * self.g2 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,mif2] + 3/512 * self.g2 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,mif2] + 3/512 * self.g2 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,mif2])

    def alphaOeB(self, mif1,mif2):
        return 0

    def alphaOed(self, mif1,mif2,mif3,mif4):
        return -1/45 * (self.g1)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4)

    def alphaOee(self, mif1,mif2,mif3,mif4):
        return -1/30 * (self.g1)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4)

    def alphaOeH(self, mif1,mif2):
        return (-1/40 * (self.g2)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] + 7/256 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yl[mif1,mif2] + 1/128 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yl[mif1,mif2] + 3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yl[mif1,mif2] + -13/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * (self.lambdaT2bar[0])**(2) * self.yl[mif1,mif2] + 7/256 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yl[mif1,mif2] + 1/128 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yl[mif1,mif2] + 3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yl[mif1,mif2] + -13/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yl[mif1,mif2] + -13/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * (self.lambdaT2bar[1])**(2) * self.yl[mif1,mif2] + 7/256 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yl[mif1,mif2] + 1/128 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yl[mif1,mif2] + 3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yl[mif1,mif2] + -13/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yl[mif1,mif2] + -13/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yl[mif1,mif2] + -13/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * (self.lambdaT2bar[2])**(2) * self.yl[mif1,mif2] + -1/128 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] + -1/128 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] + -1/128 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.ydbar[0,0] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.ydbar[0,0] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.ydbar[0,0] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.ydbar[0,0] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[0,0] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,0] * self.ydbar[0,0] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,0] * self.ydbar[0,0] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[0,0] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.ydbar[0,1] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.ydbar[0,1] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,1] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,1] * self.ydbar[0,1] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,1] * self.ydbar[0,1] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[0,1] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,1] * self.ydbar[0,1] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,1] * self.ydbar[0,1] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[0,1] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,2] * self.ydbar[0,2] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,2] * self.ydbar[0,2] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,2] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,2] * self.ydbar[0,2] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,2] * self.ydbar[0,2] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[0,2] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,2] * self.ydbar[0,2] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,2] * self.ydbar[0,2] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[0,2] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.ydbar[1,0] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.ydbar[1,0] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[1,0] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,0] * self.ydbar[1,0] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,0] * self.ydbar[1,0] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,0] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,0] * self.ydbar[1,0] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,0] * self.ydbar[1,0] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[1,0] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.ydbar[1,1] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.ydbar[1,1] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[1,1] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,1] * self.ydbar[1,1] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,1] * self.ydbar[1,1] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,1] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,1] * self.ydbar[1,1] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,1] * self.ydbar[1,1] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[1,1] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.ydbar[1,2] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.ydbar[1,2] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[1,2] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,2] * self.ydbar[1,2] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,2] * self.ydbar[1,2] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,2] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,2] * self.ydbar[1,2] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,2] * self.ydbar[1,2] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[1,2] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.ydbar[2,0] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.ydbar[2,0] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[2,0] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.ydbar[2,0] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.ydbar[2,0] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[2,0] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,0] * self.ydbar[2,0] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,0] * self.ydbar[2,0] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,0] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.ydbar[2,1] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.ydbar[2,1] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[2,1] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,1] * self.ydbar[2,1] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,1] * self.ydbar[2,1] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[2,1] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,1] * self.ydbar[2,1] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,1] * self.ydbar[2,1] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,1] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.ydbar[2,2] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.ydbar[2,2] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[2,2] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,2] * self.ydbar[2,2] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,2] * self.ydbar[2,2] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[2,2] * self.yl[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,2] * self.ydbar[2,2] * self.yl[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,2] * self.ydbar[2,2] * self.yl[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,2] * self.yl[mif1,mif2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yl[mif1,mif2] * self.yu[0,0] * self.yubar[0,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yl[mif1,mif2] * self.yu[1,0] * self.yubar[0,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yl[mif1,mif2] * self.yu[2,0] * self.yubar[0,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yl[mif1,mif2] * self.yu[0,1] * self.yubar[0,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yl[mif1,mif2] * self.yu[1,1] * self.yubar[0,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yl[mif1,mif2] * self.yu[2,1] * self.yubar[0,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yl[mif1,mif2] * self.yu[0,2] * self.yubar[0,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yl[mif1,mif2] * self.yu[1,2] * self.yubar[0,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yl[mif1,mif2] * self.yu[2,2] * self.yubar[0,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yl[mif1,mif2] * self.yu[0,0] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yl[mif1,mif2] * self.yu[1,0] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yl[mif1,mif2] * self.yu[2,0] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yl[mif1,mif2] * self.yu[0,1] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yl[mif1,mif2] * self.yu[1,1] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yl[mif1,mif2] * self.yu[2,1] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yl[mif1,mif2] * self.yu[0,2] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yl[mif1,mif2] * self.yu[1,2] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yl[mif1,mif2] * self.yu[2,2] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yl[mif1,mif2] * self.yu[0,0] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yl[mif1,mif2] * self.yu[1,0] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yl[mif1,mif2] * self.yu[2,0] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yl[mif1,mif2] * self.yu[0,1] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yl[mif1,mif2] * self.yu[1,1] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yl[mif1,mif2] * self.yu[2,1] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yl[mif1,mif2] * self.yu[0,2] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yl[mif1,mif2] * self.yu[1,2] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yl[mif1,mif2] * self.yu[2,2] * self.yubar[2,2])

    def alphaOeu(self, mif1,mif2,mif3,mif4):
        return 2/45 * (self.g1)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4)

    def alphaOeW(self, mif1,mif2):
        return 0

    def alphaOHd(self, mif1,mif2):
        return (1/90 * (self.g1)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) + -7/768 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[0] * self.lambdaT2bar[0] + -1/384 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[0] * self.lambdaT2bar[0] + -7/768 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[1] * self.lambdaT2bar[1] + -1/384 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[1] * self.lambdaT2bar[1] + -7/768 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[2] * self.lambdaT2bar[2] + -1/384 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[2] * self.lambdaT2bar[2] + 1/384 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 1/384 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 1/384 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 19/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,mif2] * self.ydbar[0,mif1] + -3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,mif2] * self.ydbar[0,mif1] + 3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.ydbar[0,mif1] + 19/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,mif2] * self.ydbar[0,mif1] + -3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,mif2] * self.ydbar[0,mif1] + 3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.ydbar[0,mif1] + 19/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,mif2] * self.ydbar[0,mif1] + -3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,mif2] * self.ydbar[0,mif1] + 3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.ydbar[0,mif1] + 19/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,mif2] * self.ydbar[1,mif1] + -3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,mif2] * self.ydbar[1,mif1] + 3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.ydbar[1,mif1] + 19/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,mif2] * self.ydbar[1,mif1] + -3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,mif2] * self.ydbar[1,mif1] + 3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.ydbar[1,mif1] + 19/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,mif2] * self.ydbar[1,mif1] + -3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,mif2] * self.ydbar[1,mif1] + 3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.ydbar[1,mif1] + 19/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,mif2] * self.ydbar[2,mif1] + -3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,mif2] * self.ydbar[2,mif1] + 3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.ydbar[2,mif1] + 19/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,mif2] * self.ydbar[2,mif1] + -3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,mif2] * self.ydbar[2,mif1] + 3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.ydbar[2,mif1] + 19/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,mif2] * self.ydbar[2,mif1] + -3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,mif2] * self.ydbar[2,mif1] + 3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.ydbar[2,mif1])

    def alphaOHe(self, mif1,mif2):
        return (1/30 * (self.g1)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) + -7/256 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[0] * self.lambdaT2bar[0] + -1/128 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[0] * self.lambdaT2bar[0] + -7/256 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[1] * self.lambdaT2bar[1] + -1/128 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[1] * self.lambdaT2bar[1] + -7/256 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[2] * self.lambdaT2bar[2] + -1/128 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[2] * self.lambdaT2bar[2] + 1/128 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 1/128 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 1/128 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)))

    def alphaOHl1(self, mif1,mif2):
        return (1/60 * (self.g1)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) + -7/512 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[0] * self.lambdaT2bar[0] + -1/256 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[0] * self.lambdaT2bar[0] + -7/512 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[1] * self.lambdaT2bar[1] + -1/256 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[1] * self.lambdaT2bar[1] + -7/512 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[2] * self.lambdaT2bar[2] + -1/256 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[2] * self.lambdaT2bar[2] + 1/256 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 1/256 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 1/256 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)))

    def alphaOHl3(self, mif1,mif2):
        return (-1/40 * (self.g2)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) + 7/512 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[0] * self.lambdaT2bar[0] + 1/256 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[0] * self.lambdaT2bar[0] + 7/512 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[1] * self.lambdaT2bar[1] + 1/256 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[1] * self.lambdaT2bar[1] + 7/512 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[2] * self.lambdaT2bar[2] + 1/256 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[2] * self.lambdaT2bar[2] + -1/256 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -1/256 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -1/256 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)))

    def alphaOHq1(self, mif1,mif2):
        return (-1/180 * (self.g1)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) + 7/1536 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[0] * self.lambdaT2bar[0] + 1/768 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[0] * self.lambdaT2bar[0] + 7/1536 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[1] * self.lambdaT2bar[1] + 1/768 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[1] * self.lambdaT2bar[1] + 7/1536 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[2] * self.lambdaT2bar[2] + 1/768 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[2] * self.lambdaT2bar[2] + 3/16 * (self.MT2)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] + 59/18432 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] + -21/2048 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] + -13/1024 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] + -45/1024 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] + -105/4096 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] + -63/2048 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] + -27/2048 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] + -9/1024 * self.invepsilonbar * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] + -105/4096 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] + -63/2048 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] + -27/2048 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] + -9/1024 * self.invepsilonbar * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] + -105/4096 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] + -63/2048 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] + -27/2048 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] + -9/1024 * self.invepsilonbar * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] + -1/768 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -1/768 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -1/768 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 13/1024 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 45/1024 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 63/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 9/1024 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 63/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 9/1024 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 63/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 9/1024 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.yd[mif1,0] * self.ydbar[0,0] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.yd[mif1,0] * self.ydbar[0,0] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[0,0] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.yd[mif1,1] * self.ydbar[0,1] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.yd[mif1,1] * self.ydbar[0,1] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[0,1] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.yd[mif1,2] * self.ydbar[0,2] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.yd[mif1,2] * self.ydbar[0,2] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[0,2] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.yd[mif1,0] * self.ydbar[1,0] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.yd[mif1,0] * self.ydbar[1,0] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[1,0] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.yd[mif1,1] * self.ydbar[1,1] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.yd[mif1,1] * self.ydbar[1,1] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[1,1] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.yd[mif1,2] * self.ydbar[1,2] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.yd[mif1,2] * self.ydbar[1,2] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[1,2] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.yd[mif1,0] * self.ydbar[2,0] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.yd[mif1,0] * self.ydbar[2,0] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[2,0] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.yd[mif1,1] * self.ydbar[2,1] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.yd[mif1,1] * self.ydbar[2,1] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[2,1] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.yd[mif1,2] * self.ydbar[2,2] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.yd[mif1,2] * self.ydbar[2,2] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[2,2] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,0] * self.ydbar[mif2,0] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,0] * self.ydbar[mif2,0] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[mif2,0] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,0] * self.ydbar[mif2,0] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,0] * self.ydbar[mif2,0] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[mif2,0] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,0] * self.ydbar[mif2,0] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,0] * self.ydbar[mif2,0] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[mif2,0] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,1] * self.ydbar[mif2,1] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,1] * self.ydbar[mif2,1] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[mif2,1] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,1] * self.ydbar[mif2,1] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,1] * self.ydbar[mif2,1] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[mif2,1] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,1] * self.ydbar[mif2,1] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,1] * self.ydbar[mif2,1] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[mif2,1] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,2] * self.ydbar[mif2,2] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,2] * self.ydbar[mif2,2] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[mif2,2] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,2] * self.ydbar[mif2,2] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,2] * self.ydbar[mif2,2] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[mif2,2] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,2] * self.ydbar[mif2,2] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,2] * self.ydbar[mif2,2] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[mif2,2])

    def alphaOHq3(self, mif1,mif2):
        return (-1/40 * (self.g2)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) + 7/512 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[0] * self.lambdaT2bar[0] + 1/256 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[0] * self.lambdaT2bar[0] + 7/512 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[1] * self.lambdaT2bar[1] + 1/256 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[1] * self.lambdaT2bar[1] + 7/512 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[2] * self.lambdaT2bar[2] + 1/256 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[2] * self.lambdaT2bar[2] + 1/16 * (self.MT2)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] + -7/6144 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] + -127/6144 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] + -5/1024 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] + -79/3072 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] + -43/4096 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] + -21/2048 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] + -9/2048 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] + -3/1024 * self.invepsilonbar * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] + -43/4096 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] + -21/2048 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] + -9/2048 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] + -3/1024 * self.invepsilonbar * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] + -43/4096 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] + -21/2048 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] + -9/2048 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] + -3/1024 * self.invepsilonbar * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] + -1/256 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -1/256 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -1/256 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 5/1024 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 79/3072 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 21/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 3/1024 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 21/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 3/1024 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 21/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 3/1024 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.yd[mif1,0] * self.ydbar[0,0] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.yd[mif1,0] * self.ydbar[0,0] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[0,0] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.yd[mif1,1] * self.ydbar[0,1] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.yd[mif1,1] * self.ydbar[0,1] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[0,1] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.yd[mif1,2] * self.ydbar[0,2] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.yd[mif1,2] * self.ydbar[0,2] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[0,2] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.yd[mif1,0] * self.ydbar[1,0] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.yd[mif1,0] * self.ydbar[1,0] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[1,0] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.yd[mif1,1] * self.ydbar[1,1] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.yd[mif1,1] * self.ydbar[1,1] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[1,1] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.yd[mif1,2] * self.ydbar[1,2] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.yd[mif1,2] * self.ydbar[1,2] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[1,2] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.yd[mif1,0] * self.ydbar[2,0] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.yd[mif1,0] * self.ydbar[2,0] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[2,0] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.yd[mif1,1] * self.ydbar[2,1] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.yd[mif1,1] * self.ydbar[2,1] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[2,1] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.yd[mif1,2] * self.ydbar[2,2] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.yd[mif1,2] * self.ydbar[2,2] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[2,2] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,0] * self.ydbar[mif2,0] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,0] * self.ydbar[mif2,0] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[mif2,0] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,0] * self.ydbar[mif2,0] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,0] * self.ydbar[mif2,0] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[mif2,0] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,0] * self.ydbar[mif2,0] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,0] * self.ydbar[mif2,0] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[mif2,0] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,1] * self.ydbar[mif2,1] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,1] * self.ydbar[mif2,1] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[mif2,1] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,1] * self.ydbar[mif2,1] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,1] * self.ydbar[mif2,1] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[mif2,1] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,1] * self.ydbar[mif2,1] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,1] * self.ydbar[mif2,1] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[mif2,1] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,2] * self.ydbar[mif2,2] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,2] * self.ydbar[mif2,2] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[mif2,2] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,2] * self.ydbar[mif2,2] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,2] * self.ydbar[mif2,2] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[mif2,2] + 9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,2] * self.ydbar[mif2,2] + 3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,2] * self.ydbar[mif2,2] + -3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[mif2,2] + -1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.yu[mif1,0] * self.yubar[0,0] + -1/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.yu[mif1,0] * self.yubar[0,0] + 1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[0,0] + -1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.yu[mif1,1] * self.yubar[0,1] + -1/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.yu[mif1,1] * self.yubar[0,1] + 1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[0,1] + -1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.yu[mif1,2] * self.yubar[0,2] + -1/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.yu[mif1,2] * self.yubar[0,2] + 1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[0,2] + -1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.yu[mif1,0] * self.yubar[1,0] + -1/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.yu[mif1,0] * self.yubar[1,0] + 1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[1,0] + -1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.yu[mif1,1] * self.yubar[1,1] + -1/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.yu[mif1,1] * self.yubar[1,1] + 1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[1,1] + -1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.yu[mif1,2] * self.yubar[1,2] + -1/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.yu[mif1,2] * self.yubar[1,2] + 1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[1,2] + -1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.yu[mif1,0] * self.yubar[2,0] + -1/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.yu[mif1,0] * self.yubar[2,0] + 1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[2,0] + -1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.yu[mif1,1] * self.yubar[2,1] + -1/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.yu[mif1,1] * self.yubar[2,1] + 1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[2,1] + -1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.yu[mif1,2] * self.yubar[2,2] + -1/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.yu[mif1,2] * self.yubar[2,2] + 1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[2,2] + -1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yu[0,0] * self.yubar[mif2,0] + -1/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yu[0,0] * self.yubar[mif2,0] + 1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[mif2,0] + -1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yu[1,0] * self.yubar[mif2,0] + -1/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yu[1,0] * self.yubar[mif2,0] + 1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[mif2,0] + -1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yu[2,0] * self.yubar[mif2,0] + -1/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yu[2,0] * self.yubar[mif2,0] + 1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[mif2,0] + -1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yu[0,1] * self.yubar[mif2,1] + -1/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yu[0,1] * self.yubar[mif2,1] + 1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[mif2,1] + -1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yu[1,1] * self.yubar[mif2,1] + -1/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yu[1,1] * self.yubar[mif2,1] + 1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[mif2,1] + -1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yu[2,1] * self.yubar[mif2,1] + -1/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yu[2,1] * self.yubar[mif2,1] + 1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[mif2,1] + -1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yu[0,2] * self.yubar[mif2,2] + -1/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yu[0,2] * self.yubar[mif2,2] + 1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[mif2,2] + -1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yu[1,2] * self.yubar[mif2,2] + -1/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yu[1,2] * self.yubar[mif2,2] + 1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[mif2,2] + -1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yu[2,2] * self.yubar[mif2,2] + -1/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yu[2,2] * self.yubar[mif2,2] + 1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[mif2,2])

    def alphaOHu(self, mif1,mif2):
        return (-1/45 * (self.g1)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) + 7/384 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[0] * self.lambdaT2bar[0] + 1/192 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[0] * self.lambdaT2bar[0] + 7/384 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[1] * self.lambdaT2bar[1] + 1/192 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[1] * self.lambdaT2bar[1] + 7/384 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[2] * self.lambdaT2bar[2] + 1/192 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[2] * self.lambdaT2bar[2] + -1/192 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -1/192 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -1/192 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -1/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,mif2] * self.yubar[0,mif1] + -3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,mif2] * self.yubar[0,mif1] + 3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yubar[0,mif1] + -1/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,mif2] * self.yubar[0,mif1] + -3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,mif2] * self.yubar[0,mif1] + 3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yubar[0,mif1] + -1/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,mif2] * self.yubar[0,mif1] + -3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,mif2] * self.yubar[0,mif1] + 3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yubar[0,mif1] + -1/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,mif2] * self.yubar[1,mif1] + -3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,mif2] * self.yubar[1,mif1] + 3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yubar[1,mif1] + -1/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,mif2] * self.yubar[1,mif1] + -3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,mif2] * self.yubar[1,mif1] + 3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yubar[1,mif1] + -1/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,mif2] * self.yubar[1,mif1] + -3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,mif2] * self.yubar[1,mif1] + 3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yubar[1,mif1] + -1/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,mif2] * self.yubar[2,mif1] + -3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,mif2] * self.yubar[2,mif1] + 3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yubar[2,mif1] + -1/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,mif2] * self.yubar[2,mif1] + -3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,mif2] * self.yubar[2,mif1] + 3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yubar[2,mif1] + -1/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,mif2] * self.yubar[2,mif1] + -3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,mif2] * self.yubar[2,mif1] + 3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yubar[2,mif1])

    def alphaOHud(self, mif1,mif2):
        return (5/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,mif2] * self.yubar[0,mif1] + 5/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,mif2] * self.yubar[0,mif1] + 5/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,mif2] * self.yubar[0,mif1] + 5/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,mif2] * self.yubar[1,mif1] + 5/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,mif2] * self.yubar[1,mif1] + 5/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,mif2] * self.yubar[1,mif1] + 5/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,mif2] * self.yubar[2,mif1] + 5/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,mif2] * self.yubar[2,mif1] + 5/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,mif2] * self.yubar[2,mif1])

    def alphaOld(self, mif1,mif2,mif3,mif4):
        return -1/90 * (self.g1)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4)

    def alphaOle(self, mif1,mif2,mif3,mif4):
        return (-1/30 * (self.g1)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yl[mif1,mif4] * self.ylbar[mif2,mif3] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yl[mif1,mif4] * self.ylbar[mif2,mif3] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yl[mif1,mif4] * self.ylbar[mif2,mif3])

    def alphaOledq(self, mif1,mif2,mif3,mif4):
        return (3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[0] * self.ydbar[0,mif3] * self.yl[mif1,mif2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[1] * self.ydbar[1,mif3] * self.yl[mif1,mif2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[2] * self.ydbar[2,mif3] * self.yl[mif1,mif2] + 3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.ydbar[mif4,mif3] * self.yl[mif1,mif2] + 3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.ydbar[mif4,mif3] * self.yl[mif1,mif2] + 3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.ydbar[mif4,mif3] * self.yl[mif1,mif2])

    def alphaOlequ1(self, mif1,mif2,mif3,mif4):
        return (-3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yl[mif1,mif2] * self.yu[mif3,mif4] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yl[mif1,mif2] * self.yu[mif3,mif4] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yl[mif1,mif2] * self.yu[mif3,mif4])

    def alphaOlequ3(self, mif1,mif2,mif3,mif4):
        return 0

    def alphaOll(self, mif1,mif2,mif3,mif4):
        return (-1/40 * (self.g2)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.kronecker_delta(mif2,mif3) + -1/120 * (self.g1)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 1/80 * (self.g2)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4))

    def alphaOlq1(self, mif1,mif2,mif3,mif4):
        return (1/180 * (self.g1)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -61/9216 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] + -1/512 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] + 1/512 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yl[mif1,0] * self.ylbar[mif2,0] + -3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yl[mif1,0] * self.ylbar[mif2,0] + 3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yl[mif1,0] * self.ylbar[mif2,0] + -9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yl[mif1,1] * self.ylbar[mif2,1] + -3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yl[mif1,1] * self.ylbar[mif2,1] + 3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yl[mif1,1] * self.ylbar[mif2,1] + -9/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yl[mif1,2] * self.ylbar[mif2,2] + -3/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yl[mif1,2] * self.ylbar[mif2,2] + 3/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yl[mif1,2] * self.ylbar[mif2,2])

    def alphaOlq3(self, mif1,mif2,mif3,mif4):
        return (-1/40 * (self.g2)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 13/3072 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] + 1/1536 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] + -1/1536 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -3/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yl[mif1,0] * self.ylbar[mif2,0] + -1/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yl[mif1,0] * self.ylbar[mif2,0] + 1/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yl[mif1,0] * self.ylbar[mif2,0] + -3/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yl[mif1,1] * self.ylbar[mif2,1] + -1/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yl[mif1,1] * self.ylbar[mif2,1] + 1/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yl[mif1,1] * self.ylbar[mif2,1] + -3/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yl[mif1,2] * self.ylbar[mif2,2] + -1/512 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yl[mif1,2] * self.ylbar[mif2,2] + 1/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yl[mif1,2] * self.ylbar[mif2,2])

    def alphaOlu(self, mif1,mif2,mif3,mif4):
        return 1/45 * (self.g1)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4)

    def alphaOqd1(self, mif1,mif2,mif3,mif4):
        return (1/270 * (self.g1)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -61/13824 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] + -1/768 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] + 1/768 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 9/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yd[0,mif4] * self.ydbar[0,mif3] + 3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yd[0,mif4] * self.ydbar[0,mif3] + -3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ydbar[0,mif3] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.yd[mif1,mif4] * self.ydbar[0,mif3] + 9/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yd[1,mif4] * self.ydbar[1,mif3] + 3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yd[1,mif4] * self.ydbar[1,mif3] + -3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ydbar[1,mif3] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.yd[mif1,mif4] * self.ydbar[1,mif3] + 9/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yd[2,mif4] * self.ydbar[2,mif3] + 3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yd[2,mif4] * self.ydbar[2,mif3] + -3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ydbar[2,mif3] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.yd[mif1,mif4] * self.ydbar[2,mif3] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,mif4] * self.ydbar[mif2,mif3] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,mif4] * self.ydbar[mif2,mif3] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,mif4] * self.ydbar[mif2,mif3] + -1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[mif1,mif4] * self.ydbar[mif2,mif3] + -1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[mif1,mif4] * self.ydbar[mif2,mif3] + -1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[mif1,mif4] * self.ydbar[mif2,mif3])

    def alphaOqd8(self, mif1,mif2,mif3,mif4):
        return (-1/40 * (self.g3)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 7/768 * (self.g3)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[0] * self.yd[mif1,mif4] * self.ydbar[0,mif3] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[1] * self.yd[mif1,mif4] * self.ydbar[1,mif3] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[2] * self.yd[mif1,mif4] * self.ydbar[2,mif3] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yd[0,mif4] * self.ydbar[mif2,mif3] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yd[1,mif4] * self.ydbar[mif2,mif3] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yd[2,mif4] * self.ydbar[mif2,mif3] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[mif1,mif4] * self.ydbar[mif2,mif3] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[mif1,mif4] * self.ydbar[mif2,mif3] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[mif1,mif4] * self.ydbar[mif2,mif3])

    def alphaOqe(self, mif1,mif2,mif3,mif4):
        return (1/90 * (self.g1)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -61/4608 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] + -1/256 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] + 1/256 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + 9/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yl[0,mif4] * self.ylbar[0,mif3] + 3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yl[0,mif4] * self.ylbar[0,mif3] + -3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yl[0,mif4] * self.ylbar[0,mif3] + 9/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yl[1,mif4] * self.ylbar[1,mif3] + 3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yl[1,mif4] * self.ylbar[1,mif3] + -3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yl[1,mif4] * self.ylbar[1,mif3] + 9/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yl[2,mif4] * self.ylbar[2,mif3] + 3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yl[2,mif4] * self.ylbar[2,mif3] + -3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yl[2,mif4] * self.ylbar[2,mif3])

    def alphaOqq1(self, mif1,mif2,mif3,mif4):
        return (-1/320 * (self.g3)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.kronecker_delta(mif2,mif3) + -1/1080 * (self.g1)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 1/480 * (self.g3)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 61/55296 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] + -7/9216 * (self.g3)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] + 1/3072 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] + 7/6144 * (self.g3)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.lambdaT2[mif4] * self.lambdaT2bar[mif1] + 7/6144 * (self.g3)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.lambdaT2[mif2] * self.lambdaT2bar[mif3] + 61/55296 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] + -7/9216 * (self.g3)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] + 1/3072 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] + -9/4096 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2[mif4] * self.lambdaT2bar[mif1] * self.lambdaT2bar[mif3] + -1/3072 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -1/3072 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -9/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yd[mif1,0] * self.ydbar[mif2,0] + -3/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yd[mif1,0] * self.ydbar[mif2,0] + 3/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[mif2,0] + -9/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yd[mif1,1] * self.ydbar[mif2,1] + -3/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yd[mif1,1] * self.ydbar[mif2,1] + 3/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[mif2,1] + -9/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yd[mif1,2] * self.ydbar[mif2,2] + -3/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yd[mif1,2] * self.ydbar[mif2,2] + 3/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[mif2,2] + -9/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yd[mif3,0] * self.ydbar[mif4,0] + -3/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yd[mif3,0] * self.ydbar[mif4,0] + 3/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif3,0] * self.ydbar[mif4,0] + -9/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yd[mif3,1] * self.ydbar[mif4,1] + -3/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yd[mif3,1] * self.ydbar[mif4,1] + 3/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif3,1] * self.ydbar[mif4,1] + -9/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yd[mif3,2] * self.ydbar[mif4,2] + -3/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yd[mif3,2] * self.ydbar[mif4,2] + 3/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif3,2] * self.ydbar[mif4,2] + 9/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yu[mif1,0] * self.yubar[mif2,0] + 3/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yu[mif1,0] * self.yubar[mif2,0] + -3/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[mif2,0] + 9/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yu[mif1,1] * self.yubar[mif2,1] + 3/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yu[mif1,1] * self.yubar[mif2,1] + -3/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[mif2,1] + 9/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yu[mif1,2] * self.yubar[mif2,2] + 3/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yu[mif1,2] * self.yubar[mif2,2] + -3/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[mif2,2] + 9/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yu[mif3,0] * self.yubar[mif4,0] + 3/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yu[mif3,0] * self.yubar[mif4,0] + -3/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[mif3,0] * self.yubar[mif4,0] + 9/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yu[mif3,1] * self.yubar[mif4,1] + 3/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yu[mif3,1] * self.yubar[mif4,1] + -3/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[mif3,1] * self.yubar[mif4,1] + 9/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yu[mif3,2] * self.yubar[mif4,2] + 3/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yu[mif3,2] * self.yubar[mif4,2] + -3/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[mif3,2] * self.yubar[mif4,2])

    def alphaOqq3(self, mif1,mif2,mif3,mif4):
        return (-1/320 * (self.g3)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.kronecker_delta(mif2,mif3) + -1/80 * (self.g2)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 13/6144 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] + 1/3072 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] + 7/6144 * (self.g3)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.lambdaT2[mif4] * self.lambdaT2bar[mif1] + 7/6144 * (self.g3)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.lambdaT2[mif2] * self.lambdaT2bar[mif3] + 13/6144 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] + 1/3072 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] + -1/4096 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2[mif4] * self.lambdaT2bar[mif1] * self.lambdaT2bar[mif3] + -1/3072 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -1/3072 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -3/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yd[mif1,0] * self.ydbar[mif2,0] + -1/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yd[mif1,0] * self.ydbar[mif2,0] + 1/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[mif2,0] + -3/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yd[mif1,1] * self.ydbar[mif2,1] + -1/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yd[mif1,1] * self.ydbar[mif2,1] + 1/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[mif2,1] + -3/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yd[mif1,2] * self.ydbar[mif2,2] + -1/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yd[mif1,2] * self.ydbar[mif2,2] + 1/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[mif2,2] + -3/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yd[mif3,0] * self.ydbar[mif4,0] + -1/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yd[mif3,0] * self.ydbar[mif4,0] + 1/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif3,0] * self.ydbar[mif4,0] + -3/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yd[mif3,1] * self.ydbar[mif4,1] + -1/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yd[mif3,1] * self.ydbar[mif4,1] + 1/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif3,1] * self.ydbar[mif4,1] + -3/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yd[mif3,2] * self.ydbar[mif4,2] + -1/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yd[mif3,2] * self.ydbar[mif4,2] + 1/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif3,2] * self.ydbar[mif4,2] + -3/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yu[mif1,0] * self.yubar[mif2,0] + -1/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yu[mif1,0] * self.yubar[mif2,0] + 1/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[mif2,0] + -3/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yu[mif1,1] * self.yubar[mif2,1] + -1/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yu[mif1,1] * self.yubar[mif2,1] + 1/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[mif2,1] + -3/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yu[mif1,2] * self.yubar[mif2,2] + -1/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * self.yu[mif1,2] * self.yubar[mif2,2] + 1/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif4] * self.lambdaT2bar[mif3] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[mif2,2] + -3/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yu[mif3,0] * self.yubar[mif4,0] + -1/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yu[mif3,0] * self.yubar[mif4,0] + 1/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[mif3,0] * self.yubar[mif4,0] + -3/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yu[mif3,1] * self.yubar[mif4,1] + -1/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yu[mif3,1] * self.yubar[mif4,1] + 1/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[mif3,1] * self.yubar[mif4,1] + -3/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yu[mif3,2] * self.yubar[mif4,2] + -1/1024 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yu[mif3,2] * self.yubar[mif4,2] + 1/1024 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[mif3,2] * self.yubar[mif4,2])

    def alphaOqu1(self, mif1,mif2,mif3,mif4):
        return (-1/135 * (self.g1)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 61/6912 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] + 1/384 * (self.g1)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] + -1/384 * (self.g1)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) + -9/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yu[0,mif4] * self.yubar[0,mif3] + -3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yu[0,mif4] * self.yubar[0,mif3] + 3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,mif4] * self.yubar[0,mif3] + -9/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yu[1,mif4] * self.yubar[1,mif3] + -3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yu[1,mif4] * self.yubar[1,mif3] + 3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,mif4] * self.yubar[1,mif3] + -9/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yu[2,mif4] * self.yubar[2,mif3] + -3/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * self.yu[2,mif4] * self.yubar[2,mif3] + 3/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,mif4] * self.yubar[2,mif3] + -1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[mif1,mif4] * self.yubar[mif2,mif3] + -1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[mif1,mif4] * self.yubar[mif2,mif3] + -1/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[mif1,mif4] * self.yubar[mif2,mif3])

    def alphaOqu8(self, mif1,mif2,mif3,mif4):
        return (-1/40 * (self.g3)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 7/768 * (self.g3)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaT2[mif2] * self.lambdaT2bar[mif1] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[mif1,mif4] * self.yubar[mif2,mif3] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[mif1,mif4] * self.yubar[mif2,mif3] + -3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[mif1,mif4] * self.yubar[mif2,mif3])

    def alphaOquqd1(self, mif1,mif2,mif3,mif4):
        return (3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif3] * self.yd[0,mif4] * self.yu[mif1,mif2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif3] * self.yd[1,mif4] * self.yu[mif1,mif2] + 3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif3] * self.yd[2,mif4] * self.yu[mif1,mif2] + 3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[mif3,mif4] * self.yu[mif1,mif2] + 3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[mif3,mif4] * self.yu[mif1,mif2] + 3/64 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[mif3,mif4] * self.yu[mif1,mif2])

    def alphaOquqd8(self, mif1,mif2,mif3,mif4):
        return 0

    def alphaOuB(self, mif1,mif2):
        return (5/1536 * self.g1 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yu[0,mif2] + 5/1536 * self.g1 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yu[1,mif2] + 5/1536 * self.g1 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yu[2,mif2])

    def alphaOud1(self, mif1,mif2,mif3,mif4):
        return 2/135 * (self.g1)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4)

    def alphaOud8(self, mif1,mif2,mif3,mif4):
        return -1/40 * (self.g3)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4)

    def alphaOuG(self, mif1,mif2):
        return (1/512 * self.g3 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yu[0,mif2] + 1/512 * self.g3 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yu[1,mif2] + 1/512 * self.g3 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yu[2,mif2])

    def alphaOuH(self, mif1,mif2):
        return (1/8 * (self.MT2)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yu[0,mif2] + -1/64 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yu[0,mif2] + -3/64 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yu[0,mif2] + 1/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yu[0,mif2] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yu[0,mif2] + -85/4096 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * self.yu[0,mif2] + -63/2048 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * self.yu[0,mif2] + -27/2048 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * self.yu[0,mif2] + -9/1024 * self.invepsilonbar * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * self.yu[0,mif2] + -85/4096 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * self.yu[0,mif2] + -63/2048 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * self.yu[0,mif2] + -27/2048 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * self.yu[0,mif2] + -9/1024 * self.invepsilonbar * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * self.yu[0,mif2] + -85/4096 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * self.yu[0,mif2] + -63/2048 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * self.yu[0,mif2] + -27/2048 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * self.yu[0,mif2] + -9/1024 * self.invepsilonbar * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * self.yu[0,mif2] + 3/64 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] + 63/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] + 9/1024 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] + 63/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] + 9/1024 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] + 63/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] + 9/1024 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[mif1,0] * self.ydbar[0,0] * self.yu[0,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[mif1,0] * self.ydbar[0,0] * self.yu[0,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[0,0] * self.yu[0,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[mif1,1] * self.ydbar[0,1] * self.yu[0,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[mif1,1] * self.ydbar[0,1] * self.yu[0,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[0,1] * self.yu[0,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[mif1,2] * self.ydbar[0,2] * self.yu[0,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[mif1,2] * self.ydbar[0,2] * self.yu[0,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[0,2] * self.yu[0,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[mif1,0] * self.ydbar[1,0] * self.yu[0,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[mif1,0] * self.ydbar[1,0] * self.yu[0,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[1,0] * self.yu[0,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[mif1,1] * self.ydbar[1,1] * self.yu[0,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[mif1,1] * self.ydbar[1,1] * self.yu[0,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[1,1] * self.yu[0,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[mif1,2] * self.ydbar[1,2] * self.yu[0,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[mif1,2] * self.ydbar[1,2] * self.yu[0,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[1,2] * self.yu[0,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yu[0,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yu[0,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[2,0] * self.yu[0,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yu[0,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yu[0,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[2,1] * self.yu[0,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yu[0,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yu[0,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[2,2] * self.yu[0,mif2] + 1/8 * (self.MT2)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yu[1,mif2] + -1/64 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yu[1,mif2] + -3/64 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yu[1,mif2] + 1/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yu[1,mif2] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yu[1,mif2] + -85/4096 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * self.yu[1,mif2] + -63/2048 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * self.yu[1,mif2] + -27/2048 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * self.yu[1,mif2] + -9/1024 * self.invepsilonbar * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * self.yu[1,mif2] + -85/4096 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * self.yu[1,mif2] + -63/2048 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * self.yu[1,mif2] + -27/2048 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * self.yu[1,mif2] + -9/1024 * self.invepsilonbar * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * self.yu[1,mif2] + -85/4096 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * self.yu[1,mif2] + -63/2048 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * self.yu[1,mif2] + -27/2048 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * self.yu[1,mif2] + -9/1024 * self.invepsilonbar * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * self.yu[1,mif2] + 3/64 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] + 63/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] + 9/1024 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] + 63/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] + 9/1024 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] + 63/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] + 9/1024 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[mif1,0] * self.ydbar[0,0] * self.yu[1,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[mif1,0] * self.ydbar[0,0] * self.yu[1,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[0,0] * self.yu[1,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[mif1,1] * self.ydbar[0,1] * self.yu[1,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[mif1,1] * self.ydbar[0,1] * self.yu[1,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[0,1] * self.yu[1,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[mif1,2] * self.ydbar[0,2] * self.yu[1,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[mif1,2] * self.ydbar[0,2] * self.yu[1,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[0,2] * self.yu[1,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[mif1,0] * self.ydbar[1,0] * self.yu[1,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[mif1,0] * self.ydbar[1,0] * self.yu[1,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[1,0] * self.yu[1,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[mif1,1] * self.ydbar[1,1] * self.yu[1,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[mif1,1] * self.ydbar[1,1] * self.yu[1,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[1,1] * self.yu[1,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[mif1,2] * self.ydbar[1,2] * self.yu[1,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[mif1,2] * self.ydbar[1,2] * self.yu[1,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[1,2] * self.yu[1,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yu[1,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yu[1,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[2,0] * self.yu[1,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yu[1,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yu[1,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[2,1] * self.yu[1,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yu[1,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yu[1,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[2,2] * self.yu[1,mif2] + 1/8 * (self.MT2)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yu[2,mif2] + -1/64 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yu[2,mif2] + -3/64 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yu[2,mif2] + 1/8 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yu[2,mif2] + 3/32 * self.invepsilonbar * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yu[2,mif2] + -85/4096 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * self.yu[2,mif2] + -63/2048 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * self.yu[2,mif2] + -27/2048 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * self.yu[2,mif2] + -9/1024 * self.invepsilonbar * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * self.yu[2,mif2] + -85/4096 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * self.yu[2,mif2] + -63/2048 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * self.yu[2,mif2] + -27/2048 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * self.yu[2,mif2] + -9/1024 * self.invepsilonbar * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * self.yu[2,mif2] + -85/4096 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * self.yu[2,mif2] + -63/2048 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * self.yu[2,mif2] + -27/2048 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * self.yu[2,mif2] + -9/1024 * self.invepsilonbar * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * self.yu[2,mif2] + 3/64 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] + -3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] + 63/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] + 9/1024 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] + 63/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] + 9/1024 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] + 63/2048 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] + 9/1024 * (self.MT2)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * self.lambdaT2bar[2] * self.lambdaT2bar[mif1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[mif1,0] * self.ydbar[0,0] * self.yu[2,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[mif1,0] * self.ydbar[0,0] * self.yu[2,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[0,0] * self.yu[2,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[mif1,1] * self.ydbar[0,1] * self.yu[2,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[mif1,1] * self.ydbar[0,1] * self.yu[2,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[0,1] * self.yu[2,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[mif1,2] * self.ydbar[0,2] * self.yu[2,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[mif1,2] * self.ydbar[0,2] * self.yu[2,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[0,2] * self.yu[2,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[mif1,0] * self.ydbar[1,0] * self.yu[2,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[mif1,0] * self.ydbar[1,0] * self.yu[2,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[1,0] * self.yu[2,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[mif1,1] * self.ydbar[1,1] * self.yu[2,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[mif1,1] * self.ydbar[1,1] * self.yu[2,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[1,1] * self.yu[2,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[mif1,2] * self.ydbar[1,2] * self.yu[2,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[mif1,2] * self.ydbar[1,2] * self.yu[2,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[1,2] * self.yu[2,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yu[2,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yu[2,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[2,0] * self.yu[2,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yu[2,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yu[2,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[2,1] * self.yu[2,mif2] + -1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yu[2,mif2] + -1/32 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yu[2,mif2] + 1/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[2,2] * self.yu[2,mif2] + -1/40 * (self.g2)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif2] + 7/256 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[mif1,mif2] + 1/128 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[mif1,mif2] + 3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[mif1,mif2] + -13/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[0])**(2) * (self.lambdaT2bar[0])**(2) * self.yu[mif1,mif2] + 7/256 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[mif1,mif2] + 1/128 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[mif1,mif2] + 3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[mif1,mif2] + -13/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[1] * self.lambdaT2bar[0] * self.lambdaT2bar[1] * self.yu[mif1,mif2] + -13/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[1])**(2) * (self.lambdaT2bar[1])**(2) * self.yu[mif1,mif2] + 7/256 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[mif1,mif2] + 1/128 * (self.g2)**(2) * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[mif1,mif2] + 3/32 * self.lam * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[mif1,mif2] + -13/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2[2] * self.lambdaT2bar[0] * self.lambdaT2bar[2] * self.yu[mif1,mif2] + -13/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2[2] * self.lambdaT2bar[1] * self.lambdaT2bar[2] * self.yu[mif1,mif2] + -13/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaT2[2])**(2) * (self.lambdaT2bar[2])**(2) * self.yu[mif1,mif2] + -1/128 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[mif1,mif2] + -1/128 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[mif1,mif2] + -1/128 * (self.g2)**(2) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.ydbar[0,0] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,0] * self.ydbar[0,0] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.ydbar[0,0] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,0] * self.ydbar[0,0] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[0,0] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,0] * self.ydbar[0,0] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,0] * self.ydbar[0,0] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[0,0] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.ydbar[0,1] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,1] * self.ydbar[0,1] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,1] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,1] * self.ydbar[0,1] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,1] * self.ydbar[0,1] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[0,1] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,1] * self.ydbar[0,1] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,1] * self.ydbar[0,1] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[0,1] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,2] * self.ydbar[0,2] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yd[0,2] * self.ydbar[0,2] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,2] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,2] * self.ydbar[0,2] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yd[1,2] * self.ydbar[0,2] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[0,2] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,2] * self.ydbar[0,2] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yd[2,2] * self.ydbar[0,2] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[0,2] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.ydbar[1,0] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,0] * self.ydbar[1,0] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[1,0] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,0] * self.ydbar[1,0] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,0] * self.ydbar[1,0] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,0] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,0] * self.ydbar[1,0] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,0] * self.ydbar[1,0] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[1,0] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.ydbar[1,1] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,1] * self.ydbar[1,1] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[1,1] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,1] * self.ydbar[1,1] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,1] * self.ydbar[1,1] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,1] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,1] * self.ydbar[1,1] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,1] * self.ydbar[1,1] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[1,1] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.ydbar[1,2] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yd[0,2] * self.ydbar[1,2] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[1,2] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,2] * self.ydbar[1,2] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yd[1,2] * self.ydbar[1,2] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,2] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,2] * self.ydbar[1,2] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yd[2,2] * self.ydbar[1,2] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[1,2] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.ydbar[2,0] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,0] * self.ydbar[2,0] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[2,0] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.ydbar[2,0] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,0] * self.ydbar[2,0] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[2,0] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,0] * self.ydbar[2,0] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,0] * self.ydbar[2,0] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,0] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.ydbar[2,1] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,1] * self.ydbar[2,1] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[2,1] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,1] * self.ydbar[2,1] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,1] * self.ydbar[2,1] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[2,1] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,1] * self.ydbar[2,1] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,1] * self.ydbar[2,1] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,1] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.ydbar[2,2] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yd[0,2] * self.ydbar[2,2] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[2,2] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,2] * self.ydbar[2,2] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yd[1,2] * self.ydbar[2,2] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[2,2] * self.yu[mif1,mif2] + -21/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,2] * self.ydbar[2,2] * self.yu[mif1,mif2] + 3/128 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yd[2,2] * self.ydbar[2,2] * self.yu[mif1,mif2] + -3/128 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,2] * self.yu[mif1,mif2] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yu[0,0] * self.yu[0,mif2] * self.yubar[0,0] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yu[0,mif2] * self.yu[1,0] * self.yubar[0,0] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yu[0,mif2] * self.yu[2,0] * self.yubar[0,0] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[0,0] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[0,0] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[0,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,0] * self.yu[mif1,mif2] * self.yubar[0,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,0] * self.yu[mif1,mif2] * self.yubar[0,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,0] * self.yu[mif1,mif2] * self.yubar[0,0] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yu[0,1] * self.yu[0,mif2] * self.yubar[0,1] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yu[0,mif2] * self.yu[1,1] * self.yubar[0,1] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yu[0,mif2] * self.yu[2,1] * self.yubar[0,1] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[0,1] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[0,1] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[0,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,1] * self.yu[mif1,mif2] * self.yubar[0,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,1] * self.yu[mif1,mif2] * self.yubar[0,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,1] * self.yu[mif1,mif2] * self.yubar[0,1] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yu[0,2] * self.yu[0,mif2] * self.yubar[0,2] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yu[0,mif2] * self.yu[1,2] * self.yubar[0,2] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yu[0,mif2] * self.yu[2,2] * self.yubar[0,2] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[0,2] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[0,2] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[0,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[0] * self.yu[0,2] * self.yu[mif1,mif2] * self.yubar[0,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[0] * self.yu[1,2] * self.yu[mif1,mif2] * self.yubar[0,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[0] * self.yu[2,2] * self.yu[mif1,mif2] * self.yubar[0,2] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yu[0,0] * self.yu[1,mif2] * self.yubar[1,0] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yu[1,0] * self.yu[1,mif2] * self.yubar[1,0] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yu[1,mif2] * self.yu[2,0] * self.yubar[1,0] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[1,0] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[1,0] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,0] * self.yu[mif1,mif2] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,0] * self.yu[mif1,mif2] * self.yubar[1,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,0] * self.yu[mif1,mif2] * self.yubar[1,0] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yu[0,1] * self.yu[1,mif2] * self.yubar[1,1] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yu[1,1] * self.yu[1,mif2] * self.yubar[1,1] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yu[1,mif2] * self.yu[2,1] * self.yubar[1,1] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[1,1] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[1,1] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,1] * self.yu[mif1,mif2] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,1] * self.yu[mif1,mif2] * self.yubar[1,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,1] * self.yu[mif1,mif2] * self.yubar[1,1] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yu[0,2] * self.yu[1,mif2] * self.yubar[1,2] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yu[1,2] * self.yu[1,mif2] * self.yubar[1,2] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yu[1,mif2] * self.yu[2,2] * self.yubar[1,2] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[1,2] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[1,2] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[1] * self.yu[0,2] * self.yu[mif1,mif2] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[1] * self.yu[1,2] * self.yu[mif1,mif2] * self.yubar[1,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[1] * self.yu[2,2] * self.yu[mif1,mif2] * self.yubar[1,2] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yu[0,0] * self.yu[2,mif2] * self.yubar[2,0] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yu[1,0] * self.yu[2,mif2] * self.yubar[2,0] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yu[2,0] * self.yu[2,mif2] * self.yubar[2,0] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[2,0] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[2,0] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,0] * self.yu[mif1,mif2] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,0] * self.yu[mif1,mif2] * self.yubar[2,0] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,0] * self.yu[mif1,mif2] * self.yubar[2,0] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yu[0,1] * self.yu[2,mif2] * self.yubar[2,1] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yu[1,1] * self.yu[2,mif2] * self.yubar[2,1] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yu[2,1] * self.yu[2,mif2] * self.yubar[2,1] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[2,1] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[2,1] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,1] * self.yu[mif1,mif2] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,1] * self.yu[mif1,mif2] * self.yubar[2,1] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,1] * self.yu[mif1,mif2] * self.yubar[2,1] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yu[0,2] * self.yu[2,mif2] * self.yubar[2,2] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yu[1,2] * self.yu[2,mif2] * self.yubar[2,2] + -1/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yu[2,2] * self.yu[2,mif2] * self.yubar[2,2] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[2,2] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[2,2] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 21/512 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 5/256 * self.invepsilonbar * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] + -5/256 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * np.log((self.MT2)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[2] * self.yu[0,2] * self.yu[mif1,mif2] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[2] * self.yu[1,2] * self.yu[mif1,mif2] * self.yubar[2,2] + -3/32 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[2] * self.yu[2,2] * self.yu[mif1,mif2] * self.yubar[2,2])

    def alphaOuu(self, mif1,mif2,mif3,mif4):
        return (-1/160 * (self.g3)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.kronecker_delta(mif2,mif3) + -2/135 * (self.g1)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 1/480 * (self.g3)**(4) * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4))

    def alphaOuW(self, mif1,mif2):
        return (1/512 * self.g2 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[0] * self.lambdaT2bar[mif1] * self.yu[0,mif2] + 1/512 * self.g2 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[1] * self.lambdaT2bar[mif1] * self.yu[1,mif2] + 1/512 * self.g2 * (self.MT2)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaT2[2] * self.lambdaT2bar[mif1] * self.yu[2,mif2])
