## Symbols used:
# ydbar
# yd
# yl
# ylbar
# lambdaUbar
# muH
# g1
# g2
# invepsilonbar
# mu
# lam
# MU
# yubar
# onelooporder
# g3
# lambdaU
# yu

import sys
import os
import numpy as np

import lsme.numeric.matchingresult as matchingresult

class GranadaUMatchingResult(matchingresult.GenericMatchingResult):
    def __init__(self, name='U'):
        super().__init__(name)
        self.MU = 1
        self.lambdaU = np.ones((3))
        self.lambdaUbar = np.ones((3))
        self.nonvanishing = ['alphaO3G', 'alphaOH', 'alphaOHB', 'alphaOHBox', 'alphaOHD', 'alphaOHG', 'alphaOHW', 'alphaOHWB', 'alphaOdB', 'alphaOdd', 'alphaOdG', 'alphaOdH', 'alphaOdW', 'alphaOed', 'alphaOee', 'alphaOeH', 'alphaOeu', 'alphaOHd', 'alphaOHe', 'alphaOHl1', 'alphaOHl3', 'alphaOHq1', 'alphaOHq3', 'alphaOHu', 'alphaOHud', 'alphaOld', 'alphaOle', 'alphaOledq', 'alphaOlequ1', 'alphaOll', 'alphaOlq1', 'alphaOlq3', 'alphaOlu', 'alphaOqd1', 'alphaOqd8', 'alphaOqe', 'alphaOqq1', 'alphaOqq3', 'alphaOqu1', 'alphaOqu8', 'alphaOquqd1', 'alphaOuB', 'alphaOud1', 'alphaOud8', 'alphaOuG', 'alphaOuH', 'alphaOuu', 'alphaOuW']

    def alphaO3G(self, ):
        return -1/2880 * (self.g3)**(3) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2)

    def alphaO3Gt(self, ):
        return 0

    def alphaO3W(self, ):
        return 0

    def alphaO3Wt(self, ):
        return 0

    def alphaOH(self, ):
        return (-5/48 * (self.g2)**(2) * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] + -1/8 * (self.g2)**(2) * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] + 1/4 * (self.lam)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(2) * (self.lambdaUbar[0])**(2) + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(3) * (self.lambdaUbar[0])**(3) + -5/48 * (self.g2)**(2) * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] + -1/8 * (self.g2)**(2) * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] + 1/4 * (self.lam)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[0] * self.lambdaUbar[1] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(2) * self.lambdaU[1] * (self.lambdaUbar[0])**(2) * self.lambdaUbar[1] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[1])**(2) * (self.lambdaUbar[1])**(2) + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * (self.lambdaU[1])**(2) * self.lambdaUbar[0] * (self.lambdaUbar[1])**(2) + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[1])**(3) * (self.lambdaUbar[1])**(3) + -5/48 * (self.g2)**(2) * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] + -1/8 * (self.g2)**(2) * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] + 1/4 * (self.lam)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[2] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(2) * self.lambdaU[2] * (self.lambdaUbar[0])**(2) * self.lambdaUbar[2] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[1] * self.lambdaUbar[2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[1] * self.lambdaUbar[2] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[1])**(2) * self.lambdaU[2] * (self.lambdaUbar[1])**(2) * self.lambdaUbar[2] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[2])**(2) * (self.lambdaUbar[2])**(2) + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * (self.lambdaU[2])**(2) * self.lambdaUbar[0] * (self.lambdaUbar[2])**(2) + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * (self.lambdaU[2])**(2) * self.lambdaUbar[1] * (self.lambdaUbar[2])**(2) + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[2])**(3) * (self.lambdaUbar[2])**(3) + 1/8 * (self.g2)**(2) * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 1/8 * (self.g2)**(2) * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 1/8 * (self.g2)**(2) * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,0] * self.ydbar[0,0] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,0] * self.ydbar[0,0] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,0] * self.ydbar[0,0] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,0] * self.ydbar[0,0] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[0,0] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,0] * self.ydbar[0,0] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,0] * self.ydbar[0,0] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[0,0] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,1] * self.ydbar[0,1] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,1] * self.ydbar[0,1] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,1] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,1] * self.ydbar[0,1] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,1] * self.ydbar[0,1] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[0,1] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,1] * self.ydbar[0,1] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,1] * self.ydbar[0,1] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[0,1] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,2] * self.ydbar[0,2] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,2] * self.ydbar[0,2] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,2] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,2] * self.ydbar[0,2] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,2] * self.ydbar[0,2] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[0,2] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,2] * self.ydbar[0,2] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,2] * self.ydbar[0,2] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[0,2] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,0] * self.ydbar[1,0] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,0] * self.ydbar[1,0] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[1,0] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,0] * self.ydbar[1,0] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,0] * self.ydbar[1,0] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,0] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,0] * self.ydbar[1,0] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,0] * self.ydbar[1,0] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[1,0] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,1] * self.ydbar[1,1] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,1] * self.ydbar[1,1] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[1,1] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,1] * self.ydbar[1,1] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,1] * self.ydbar[1,1] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,1] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,1] * self.ydbar[1,1] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,1] * self.ydbar[1,1] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[1,1] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,2] * self.ydbar[1,2] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,2] * self.ydbar[1,2] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[1,2] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,2] * self.ydbar[1,2] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,2] * self.ydbar[1,2] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,2] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,2] * self.ydbar[1,2] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,2] * self.ydbar[1,2] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[1,2] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,0] * self.ydbar[2,0] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,0] * self.ydbar[2,0] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[2,0] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,0] * self.ydbar[2,0] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,0] * self.ydbar[2,0] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[2,0] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,0] * self.ydbar[2,0] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,0] * self.ydbar[2,0] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,0] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,1] * self.ydbar[2,1] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,1] * self.ydbar[2,1] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[2,1] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,1] * self.ydbar[2,1] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,1] * self.ydbar[2,1] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[2,1] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,1] * self.ydbar[2,1] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,1] * self.ydbar[2,1] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,1] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,2] * self.ydbar[2,2] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,2] * self.ydbar[2,2] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[2,2] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,2] * self.ydbar[2,2] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,2] * self.ydbar[2,2] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[2,2] + 3/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,2] * self.ydbar[2,2] + 3/8 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,2] * self.ydbar[2,2] + -3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,2] + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,0] * self.yubar[0,0] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,0] * self.yubar[0,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(2) * (self.lambdaUbar[0])**(2) * self.yu[0,0] * self.yubar[0,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yubar[0,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yubar[0,0] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[0,0] + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,0] * self.yubar[0,0] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,0] * self.yubar[0,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * (self.lambdaUbar[0])**(2) * self.yu[1,0] * self.yubar[0,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[1])**(2) * self.lambdaUbar[0] * self.lambdaUbar[1] * self.yu[1,0] * self.yubar[0,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[2] * self.yu[1,0] * self.yubar[0,0] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[0,0] + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,0] * self.yubar[0,0] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,0] * self.yubar[0,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * (self.lambdaUbar[0])**(2) * self.yu[2,0] * self.yubar[0,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[1] * self.yu[2,0] * self.yubar[0,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[2])**(2) * self.lambdaUbar[0] * self.lambdaUbar[2] * self.yu[2,0] * self.yubar[0,0] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[0,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * (self.yu[0,0])**(2) * (self.yubar[0,0])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * (self.yu[0,0])**(2) * (self.yubar[0,0])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[0,0])**(2) * (self.yubar[0,0])**(2) + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[1,0] * (self.yubar[0,0])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[1,0] * (self.yubar[0,0])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,0] * (self.yubar[0,0])**(2) + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[2,0] * (self.yubar[0,0])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[2,0] * (self.yubar[0,0])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,0] * (self.yubar[0,0])**(2) + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,1] * self.yubar[0,1] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,1] * self.yubar[0,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(2) * (self.lambdaUbar[0])**(2) * self.yu[0,1] * self.yubar[0,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yubar[0,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yubar[0,1] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[0,1] + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,1] * self.yubar[0,1] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,1] * self.yubar[0,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * (self.lambdaUbar[0])**(2) * self.yu[1,1] * self.yubar[0,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[1])**(2) * self.lambdaUbar[0] * self.lambdaUbar[1] * self.yu[1,1] * self.yubar[0,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[2] * self.yu[1,1] * self.yubar[0,1] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[0,1] + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,1] * self.yubar[0,1] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,1] * self.yubar[0,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * (self.lambdaUbar[0])**(2) * self.yu[2,1] * self.yubar[0,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[1] * self.yu[2,1] * self.yubar[0,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[2])**(2) * self.lambdaUbar[0] * self.lambdaUbar[2] * self.yu[2,1] * self.yubar[0,1] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[0,1] + -3/4 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[0,1] * self.yubar[0,0] * self.yubar[0,1] + -3/4 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[0,1] * self.yubar[0,0] * self.yubar[0,1] + 3/4 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[0,1] * self.yubar[0,0] * self.yubar[0,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[0,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[0,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[0,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[1,1] * self.yubar[0,0] * self.yubar[0,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[1,1] * self.yubar[0,0] * self.yubar[0,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,1] * self.yubar[0,0] * self.yubar[0,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[0,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[0,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[0,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[2,1] * self.yubar[0,0] * self.yubar[0,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[2,1] * self.yubar[0,0] * self.yubar[0,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,1] * self.yubar[0,0] * self.yubar[0,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * (self.yu[0,1])**(2) * (self.yubar[0,1])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * (self.yu[0,1])**(2) * (self.yubar[0,1])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[0,1])**(2) * (self.yubar[0,1])**(2) + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[1,1] * (self.yubar[0,1])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[1,1] * (self.yubar[0,1])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,1] * (self.yubar[0,1])**(2) + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[2,1] * (self.yubar[0,1])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[2,1] * (self.yubar[0,1])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,1] * (self.yubar[0,1])**(2) + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,2] * self.yubar[0,2] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,2] * self.yubar[0,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(2) * (self.lambdaUbar[0])**(2) * self.yu[0,2] * self.yubar[0,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[0] * self.lambdaUbar[1] * self.yu[0,2] * self.yubar[0,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[2] * self.yu[0,2] * self.yubar[0,2] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[0,2] + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,2] * self.yubar[0,2] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,2] * self.yubar[0,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * (self.lambdaUbar[0])**(2) * self.yu[1,2] * self.yubar[0,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[1])**(2) * self.lambdaUbar[0] * self.lambdaUbar[1] * self.yu[1,2] * self.yubar[0,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[2] * self.yu[1,2] * self.yubar[0,2] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[0,2] + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,2] * self.yubar[0,2] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,2] * self.yubar[0,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * (self.lambdaUbar[0])**(2) * self.yu[2,2] * self.yubar[0,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[1] * self.yu[2,2] * self.yubar[0,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[2])**(2) * self.lambdaUbar[0] * self.lambdaUbar[2] * self.yu[2,2] * self.yubar[0,2] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[0,2] + -3/4 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[0,2] * self.yubar[0,0] * self.yubar[0,2] + -3/4 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[0,2] * self.yubar[0,0] * self.yubar[0,2] + 3/4 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[0,2] * self.yubar[0,0] * self.yubar[0,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yubar[0,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yubar[0,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yubar[0,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[1,2] * self.yubar[0,0] * self.yubar[0,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[1,2] * self.yubar[0,0] * self.yubar[0,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,2] * self.yubar[0,0] * self.yubar[0,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[0,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[0,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[0,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[2,2] * self.yubar[0,0] * self.yubar[0,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[2,2] * self.yubar[0,0] * self.yubar[0,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,2] * self.yubar[0,0] * self.yubar[0,2] + -3/4 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[0,2] + -3/4 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[0,2] + 3/4 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[0,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yubar[0,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yubar[0,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yubar[0,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[1,2] * self.yubar[0,1] * self.yubar[0,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[1,2] * self.yubar[0,1] * self.yubar[0,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,2] * self.yubar[0,1] * self.yubar[0,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[0,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[0,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[0,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[2,2] * self.yubar[0,1] * self.yubar[0,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[2,2] * self.yubar[0,1] * self.yubar[0,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,2] * self.yubar[0,1] * self.yubar[0,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * (self.yu[0,2])**(2) * (self.yubar[0,2])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * (self.yu[0,2])**(2) * (self.yubar[0,2])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[0,2])**(2) * (self.yubar[0,2])**(2) + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[1,2] * (self.yubar[0,2])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[1,2] * (self.yubar[0,2])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,2] * (self.yubar[0,2])**(2) + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[2,2] * (self.yubar[0,2])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[2,2] * (self.yubar[0,2])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,2] * (self.yubar[0,2])**(2) + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yubar[1,0] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(2) * self.lambdaUbar[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * (self.lambdaUbar[1])**(2) * self.yu[0,0] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[1] * self.lambdaUbar[2] * self.yu[0,0] * self.yubar[1,0] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[1,0] + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,0] * self.yubar[1,0] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,0] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[0] * self.lambdaUbar[1] * self.yu[1,0] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[1])**(2) * (self.lambdaUbar[1])**(2) * self.yu[1,0] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[1] * self.lambdaUbar[2] * self.yu[1,0] * self.yubar[1,0] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[1,0] + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,0] * self.yubar[1,0] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,0] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[1] * self.yu[2,0] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * (self.lambdaUbar[1])**(2) * self.yu[2,0] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[2])**(2) * self.lambdaUbar[1] * self.lambdaUbar[2] * self.yu[2,0] * self.yubar[1,0] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[1,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * (self.yu[0,0])**(2) * self.yubar[0,0] * self.yubar[1,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * (self.yu[0,0])**(2) * self.yubar[0,0] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[0,0])**(2) * self.yubar[0,0] * self.yubar[1,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * (self.yu[1,0])**(2) * self.yubar[0,0] * self.yubar[1,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * (self.yu[1,0])**(2) * self.yubar[0,0] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[1,0])**(2) * self.yubar[0,0] * self.yubar[1,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[1,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[1,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[1,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[1,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[1,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[1,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[0,1] * self.yubar[0,1] * self.yubar[1,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[0,1] * self.yubar[0,1] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[0,1] * self.yubar[0,1] * self.yubar[1,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,0] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,0] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[1,1] * self.yu[2,0] * self.yubar[0,1] * self.yubar[1,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[1,1] * self.yu[2,0] * self.yubar[0,1] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,0] * self.yubar[0,1] * self.yubar[1,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[1,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[1,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[0,2] * self.yubar[0,2] * self.yubar[1,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[0,2] * self.yubar[0,2] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[0,2] * self.yubar[0,2] * self.yubar[1,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,0] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,0] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[1,2] * self.yu[2,0] * self.yubar[0,2] * self.yubar[1,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[1,2] * self.yu[2,0] * self.yubar[0,2] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,0] * self.yubar[0,2] * self.yubar[1,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[1,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[1,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[1,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[1,0] * (self.yubar[1,0])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[1,0] * (self.yubar[1,0])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,0] * (self.yubar[1,0])**(2) + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * (self.yu[1,0])**(2) * (self.yubar[1,0])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * (self.yu[1,0])**(2) * (self.yubar[1,0])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[1,0])**(2) * (self.yubar[1,0])**(2) + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[1,0] * self.yu[2,0] * (self.yubar[1,0])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[1,0] * self.yu[2,0] * (self.yubar[1,0])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,0] * (self.yubar[1,0])**(2) + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yubar[1,1] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(2) * self.lambdaUbar[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * (self.lambdaUbar[1])**(2) * self.yu[0,1] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[1] * self.lambdaUbar[2] * self.yu[0,1] * self.yubar[1,1] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[1,1] + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,1] * self.yubar[1,1] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,1] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[0] * self.lambdaUbar[1] * self.yu[1,1] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[1])**(2) * (self.lambdaUbar[1])**(2) * self.yu[1,1] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[1] * self.lambdaUbar[2] * self.yu[1,1] * self.yubar[1,1] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[1,1] + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,1] * self.yubar[1,1] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,1] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[1] * self.yu[2,1] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * (self.lambdaUbar[1])**(2) * self.yu[2,1] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[2])**(2) * self.lambdaUbar[1] * self.lambdaUbar[2] * self.yu[2,1] * self.yubar[1,1] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[1,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[0,1] * self.yubar[0,0] * self.yubar[1,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[0,1] * self.yubar[0,0] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[0,1] * self.yubar[0,0] * self.yubar[1,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,0] * self.yu[1,1] * self.yubar[0,0] * self.yubar[1,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,0] * self.yu[1,1] * self.yubar[0,0] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[1,1] * self.yubar[0,0] * self.yubar[1,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[1,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[1,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[1,0] * self.yu[2,1] * self.yubar[0,0] * self.yubar[1,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[1,0] * self.yu[2,1] * self.yubar[0,0] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,1] * self.yubar[0,0] * self.yubar[1,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * (self.yu[0,1])**(2) * self.yubar[0,1] * self.yubar[1,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * (self.yu[0,1])**(2) * self.yubar[0,1] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[0,1])**(2) * self.yubar[0,1] * self.yubar[1,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * (self.yu[1,1])**(2) * self.yubar[0,1] * self.yubar[1,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * (self.yu[1,1])**(2) * self.yubar[0,1] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[1,1])**(2) * self.yubar[0,1] * self.yubar[1,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[1,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[1,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[1,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[1,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[1,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[1,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[0,2] * self.yubar[0,2] * self.yubar[1,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[0,2] * self.yubar[0,2] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[0,2] * self.yubar[0,2] * self.yubar[1,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[1,2] * self.yu[2,1] * self.yubar[0,2] * self.yubar[1,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[1,2] * self.yu[2,1] * self.yubar[0,2] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,1] * self.yubar[0,2] * self.yubar[1,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[1,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[1,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[1,1] * self.yubar[1,0] * self.yubar[1,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[1,1] * self.yubar[1,0] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,1] * self.yubar[1,0] * self.yubar[1,1] + -3/4 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,0] * self.yu[1,1] * self.yubar[1,0] * self.yubar[1,1] + -3/4 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,0] * self.yu[1,1] * self.yubar[1,0] * self.yubar[1,1] + 3/4 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[1,1] * self.yubar[1,0] * self.yubar[1,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[1,1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[1,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[1,1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[1,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[1,0] * self.yu[2,1] * self.yubar[1,0] * self.yubar[1,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[1,0] * self.yu[2,1] * self.yubar[1,0] * self.yubar[1,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,1] * self.yubar[1,0] * self.yubar[1,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[1,1] * (self.yubar[1,1])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[1,1] * (self.yubar[1,1])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,1] * (self.yubar[1,1])**(2) + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * (self.yu[1,1])**(2) * (self.yubar[1,1])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * (self.yu[1,1])**(2) * (self.yubar[1,1])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[1,1])**(2) * (self.yubar[1,1])**(2) + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[1,1] * self.yu[2,1] * (self.yubar[1,1])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[1,1] * self.yu[2,1] * (self.yubar[1,1])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,1] * (self.yubar[1,1])**(2) + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,2] * self.yubar[1,2] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,2] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(2) * self.lambdaUbar[0] * self.lambdaUbar[1] * self.yu[0,2] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * (self.lambdaUbar[1])**(2) * self.yu[0,2] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[1] * self.lambdaUbar[2] * self.yu[0,2] * self.yubar[1,2] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[1,2] + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,2] * self.yubar[1,2] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,2] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[0] * self.lambdaUbar[1] * self.yu[1,2] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[1])**(2) * (self.lambdaUbar[1])**(2) * self.yu[1,2] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[1] * self.lambdaUbar[2] * self.yu[1,2] * self.yubar[1,2] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[1,2] + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,2] * self.yubar[1,2] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,2] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[1] * self.yu[2,2] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * (self.lambdaUbar[1])**(2) * self.yu[2,2] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[2])**(2) * self.lambdaUbar[1] * self.lambdaUbar[2] * self.yu[2,2] * self.yubar[1,2] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[0,2] * self.yubar[0,0] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[0,2] * self.yubar[0,0] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[0,2] * self.yubar[0,0] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,0] * self.yu[1,2] * self.yubar[0,0] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,0] * self.yu[1,2] * self.yubar[0,0] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[1,2] * self.yubar[0,0] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[1,0] * self.yu[2,2] * self.yubar[0,0] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[1,0] * self.yu[2,2] * self.yubar[0,0] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,2] * self.yubar[0,0] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,1] * self.yu[1,2] * self.yubar[0,1] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,1] * self.yu[1,2] * self.yubar[0,1] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[1,2] * self.yubar[0,1] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[1,1] * self.yu[2,2] * self.yubar[0,1] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[1,1] * self.yu[2,2] * self.yubar[0,1] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,2] * self.yubar[0,1] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * (self.yu[0,2])**(2) * self.yubar[0,2] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * (self.yu[0,2])**(2) * self.yubar[0,2] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[0,2])**(2) * self.yubar[0,2] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * (self.yu[1,2])**(2) * self.yubar[0,2] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * (self.yu[1,2])**(2) * self.yubar[0,2] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[1,2])**(2) * self.yubar[0,2] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[1,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[1,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[1,2] * self.yubar[1,0] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[1,2] * self.yubar[1,0] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,2] * self.yubar[1,0] * self.yubar[1,2] + -3/4 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,0] * self.yu[1,2] * self.yubar[1,0] * self.yubar[1,2] + -3/4 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,0] * self.yu[1,2] * self.yubar[1,0] * self.yubar[1,2] + 3/4 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[1,2] * self.yubar[1,0] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[1,2] * self.yu[2,0] * self.yubar[1,0] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[1,2] * self.yu[2,0] * self.yubar[1,0] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,0] * self.yubar[1,0] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[1,0] * self.yu[2,2] * self.yubar[1,0] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[1,0] * self.yu[2,2] * self.yubar[1,0] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,2] * self.yubar[1,0] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[1,1] * self.yubar[1,1] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[1,1] * self.yubar[1,1] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,1] * self.yubar[1,1] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[1,2] + -3/4 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[1,2] + -3/4 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[1,2] + 3/4 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[1,2] * self.yu[2,1] * self.yubar[1,1] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[1,2] * self.yu[2,1] * self.yubar[1,1] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,1] * self.yubar[1,1] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[1,1] * self.yu[2,2] * self.yubar[1,1] * self.yubar[1,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[1,1] * self.yu[2,2] * self.yubar[1,1] * self.yubar[1,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,2] * self.yubar[1,1] * self.yubar[1,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[1,2] * (self.yubar[1,2])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[1,2] * (self.yubar[1,2])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,2] * (self.yubar[1,2])**(2) + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * (self.yu[1,2])**(2) * (self.yubar[1,2])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * (self.yu[1,2])**(2) * (self.yubar[1,2])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[1,2])**(2) * (self.yubar[1,2])**(2) + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[1,2] * self.yu[2,2] * (self.yubar[1,2])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[1,2] * self.yu[2,2] * (self.yubar[1,2])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,2] * (self.yubar[1,2])**(2) + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yubar[2,0] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(2) * self.lambdaUbar[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[1] * self.lambdaUbar[2] * self.yu[0,0] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * (self.lambdaUbar[2])**(2) * self.yu[0,0] * self.yubar[2,0] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[2,0] + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,0] * self.yubar[2,0] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,0] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[0] * self.lambdaUbar[2] * self.yu[1,0] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[1])**(2) * self.lambdaUbar[1] * self.lambdaUbar[2] * self.yu[1,0] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * (self.lambdaUbar[2])**(2) * self.yu[1,0] * self.yubar[2,0] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[2,0] + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,0] * self.yubar[2,0] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,0] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[2] * self.yu[2,0] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[1] * self.lambdaUbar[2] * self.yu[2,0] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[2])**(2) * (self.lambdaUbar[2])**(2) * self.yu[2,0] * self.yubar[2,0] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * (self.yu[0,0])**(2) * self.yubar[0,0] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * (self.yu[0,0])**(2) * self.yubar[0,0] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[0,0])**(2) * self.yubar[0,0] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[1,0] * self.yubar[0,0] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[1,0] * self.yubar[0,0] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,0] * self.yubar[0,0] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * (self.yu[2,0])**(2) * self.yubar[0,0] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * (self.yu[2,0])**(2) * self.yubar[0,0] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[2,0])**(2) * self.yubar[0,0] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[0,1] * self.yubar[0,1] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[0,1] * self.yubar[0,1] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[0,1] * self.yubar[0,1] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[1,1] * self.yubar[0,1] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[1,1] * self.yubar[0,1] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,1] * self.yubar[0,1] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[0,2] * self.yubar[0,2] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[0,2] * self.yubar[0,2] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[0,2] * self.yubar[0,2] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[1,2] * self.yubar[0,2] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[1,2] * self.yubar[0,2] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,2] * self.yubar[0,2] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[1,0] * self.yubar[1,0] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[1,0] * self.yubar[1,0] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,0] * self.yubar[1,0] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * (self.yu[1,0])**(2) * self.yubar[1,0] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * (self.yu[1,0])**(2) * self.yubar[1,0] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[1,0])**(2) * self.yubar[1,0] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,0] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,0] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[1,0] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[1,0] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * (self.yu[2,0])**(2) * self.yubar[1,0] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * (self.yu[2,0])**(2) * self.yubar[1,0] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[2,0])**(2) * self.yubar[1,0] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[1,0] * self.yubar[1,1] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[1,0] * self.yubar[1,1] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,0] * self.yubar[1,1] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,0] * self.yu[1,1] * self.yubar[1,1] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,0] * self.yu[1,1] * self.yubar[1,1] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[1,1] * self.yubar[1,1] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,0] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,0] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[1,0] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[1,0] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,0] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,0] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[1,0] * self.yubar[1,2] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[1,0] * self.yubar[1,2] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,0] * self.yubar[1,2] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,0] * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,0] * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,0] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,0] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[1,0] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[1,0] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,0] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,0] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[2,0] * (self.yubar[2,0])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[2,0] * (self.yubar[2,0])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,0] * (self.yubar[2,0])**(2) + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,0] * self.yu[2,0] * (self.yubar[2,0])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,0] * self.yu[2,0] * (self.yubar[2,0])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,0] * (self.yubar[2,0])**(2) + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * (self.yu[2,0])**(2) * (self.yubar[2,0])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * (self.yu[2,0])**(2) * (self.yubar[2,0])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[2,0])**(2) * (self.yubar[2,0])**(2) + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yubar[2,1] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(2) * self.lambdaUbar[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[1] * self.lambdaUbar[2] * self.yu[0,1] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * (self.lambdaUbar[2])**(2) * self.yu[0,1] * self.yubar[2,1] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[2,1] + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,1] * self.yubar[2,1] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,1] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[0] * self.lambdaUbar[2] * self.yu[1,1] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[1])**(2) * self.lambdaUbar[1] * self.lambdaUbar[2] * self.yu[1,1] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * (self.lambdaUbar[2])**(2) * self.yu[1,1] * self.yubar[2,1] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[2,1] + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,1] * self.yubar[2,1] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,1] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[2] * self.yu[2,1] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[1] * self.lambdaUbar[2] * self.yu[2,1] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[2])**(2) * (self.lambdaUbar[2])**(2) * self.yu[2,1] * self.yubar[2,1] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[0,1] * self.yubar[0,0] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[0,1] * self.yubar[0,0] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[0,1] * self.yubar[0,0] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,0] * self.yu[2,1] * self.yubar[0,0] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,0] * self.yu[2,1] * self.yubar[0,0] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yu[2,1] * self.yubar[0,0] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * (self.yu[0,1])**(2) * self.yubar[0,1] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * (self.yu[0,1])**(2) * self.yubar[0,1] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[0,1])**(2) * self.yubar[0,1] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * (self.yu[2,1])**(2) * self.yubar[0,1] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * (self.yu[2,1])**(2) * self.yubar[0,1] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[2,1])**(2) * self.yubar[0,1] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[0,2] * self.yubar[0,2] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[0,2] * self.yubar[0,2] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[0,2] * self.yubar[0,2] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[1,1] * self.yubar[1,0] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[1,1] * self.yubar[1,0] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,1] * self.yubar[1,0] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,0] * self.yu[1,1] * self.yubar[1,0] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,0] * self.yu[1,1] * self.yubar[1,0] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[1,1] * self.yubar[1,0] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[1,1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[1,1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,0] * self.yu[2,1] * self.yubar[1,0] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,0] * self.yu[2,1] * self.yubar[1,0] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yu[2,1] * self.yubar[1,0] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[1,1] * self.yubar[1,1] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[1,1] * self.yubar[1,1] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,1] * self.yubar[1,1] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * (self.yu[1,1])**(2) * self.yubar[1,1] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * (self.yu[1,1])**(2) * self.yubar[1,1] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[1,1])**(2) * self.yubar[1,1] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[1,1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[1,1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * (self.yu[2,1])**(2) * self.yubar[1,1] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * (self.yu[2,1])**(2) * self.yubar[1,1] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[2,1])**(2) * self.yubar[1,1] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[1,1] * self.yubar[1,2] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[1,1] * self.yubar[1,2] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,1] * self.yubar[1,2] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,1] * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,1] * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[1,1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[1,1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,1] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,1] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,0] * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,0] * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] + -3/4 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,0] * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] + -3/4 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,0] * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] + 3/4 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[2,1] * (self.yubar[2,1])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[2,1] * (self.yubar[2,1])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,1] * (self.yubar[2,1])**(2) + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,1] * self.yu[2,1] * (self.yubar[2,1])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,1] * self.yu[2,1] * (self.yubar[2,1])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,1] * (self.yubar[2,1])**(2) + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * (self.yu[2,1])**(2) * (self.yubar[2,1])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * (self.yu[2,1])**(2) * (self.yubar[2,1])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[2,1])**(2) * (self.yubar[2,1])**(2) + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,2] * self.yubar[2,2] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,2] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(2) * self.lambdaUbar[0] * self.lambdaUbar[2] * self.yu[0,2] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[1] * self.lambdaUbar[2] * self.yu[0,2] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * (self.lambdaUbar[2])**(2) * self.yu[0,2] * self.yubar[2,2] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[2,2] + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,2] * self.yubar[2,2] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,2] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[0] * self.lambdaUbar[2] * self.yu[1,2] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[1])**(2) * self.lambdaUbar[1] * self.lambdaUbar[2] * self.yu[1,2] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * (self.lambdaUbar[2])**(2) * self.yu[1,2] * self.yubar[2,2] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[2,2] + 3/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,2] * self.yubar[2,2] + 3/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,2] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[2] * self.yu[2,2] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[1] * self.lambdaUbar[2] * self.yu[2,2] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[2])**(2) * (self.lambdaUbar[2])**(2) * self.yu[2,2] * self.yubar[2,2] + -3/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[0,2] * self.yubar[0,0] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[0,2] * self.yubar[0,0] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[0,2] * self.yubar[0,0] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,0] * self.yu[2,2] * self.yubar[0,0] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,0] * self.yu[2,2] * self.yubar[0,0] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yu[2,2] * self.yubar[0,0] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,1] * self.yu[2,2] * self.yubar[0,1] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,1] * self.yu[2,2] * self.yubar[0,1] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yu[2,2] * self.yubar[0,1] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * (self.yu[0,2])**(2) * self.yubar[0,2] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * (self.yu[0,2])**(2) * self.yubar[0,2] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[0,2])**(2) * self.yubar[0,2] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[1,2] * self.yubar[0,2] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[1,2] * self.yubar[0,2] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,2] * self.yubar[0,2] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * (self.yu[2,2])**(2) * self.yubar[0,2] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * (self.yu[2,2])**(2) * self.yubar[0,2] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[2,2])**(2) * self.yubar[0,2] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[1,2] * self.yubar[1,0] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[1,2] * self.yubar[1,0] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[1,2] * self.yubar[1,0] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,0] * self.yu[1,2] * self.yubar[1,0] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,0] * self.yu[1,2] * self.yubar[1,0] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[1,2] * self.yubar[1,0] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,2] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,2] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[1,2] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[1,2] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,0] * self.yu[2,2] * self.yubar[1,0] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,0] * self.yu[2,2] * self.yubar[1,0] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yu[2,2] * self.yubar[1,0] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,2] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,2] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[1,2] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[1,2] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,1] * self.yu[2,2] * self.yubar[1,1] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,1] * self.yu[2,2] * self.yubar[1,1] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yu[2,2] * self.yubar[1,1] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * (self.yu[1,2])**(2) * self.yubar[1,2] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * (self.yu[1,2])**(2) * self.yubar[1,2] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[1,2])**(2) * self.yubar[1,2] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,2] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,2] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[1,2] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[1,2] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * (self.yu[2,2])**(2) * self.yubar[1,2] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * (self.yu[2,2])**(2) * self.yubar[1,2] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[2,2])**(2) * self.yubar[1,2] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,2] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,2] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,0] * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,0] * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] + -3/4 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,0] * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] + -3/4 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,0] * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] + 3/4 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[2,1] * self.yubar[2,1] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[2,1] * self.yubar[2,1] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,1] * self.yubar[2,1] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,2] * self.yu[2,1] * self.yubar[2,1] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,2] * self.yu[2,1] * self.yubar[2,1] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,1] * self.yubar[2,1] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,1] * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,1] * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] + -3/4 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,1] * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] + -3/4 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,1] * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] + 3/4 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[2,2] * (self.yubar[2,2])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[2,2] * (self.yubar[2,2])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[2,2] * (self.yubar[2,2])**(2) + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,2] * self.yu[2,2] * (self.yubar[2,2])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,2] * self.yu[2,2] * (self.yubar[2,2])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[2,2] * (self.yubar[2,2])**(2) + -3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * (self.yu[2,2])**(2) * (self.yubar[2,2])**(2) + -3/8 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * (self.yu[2,2])**(2) * (self.yubar[2,2])**(2) + 3/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * (self.yu[2,2])**(2) * (self.yubar[2,2])**(2))

    def alphaOHB(self, ):
        return (5/1152 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] + 5/1152 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] + 5/1152 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2])

    def alphaOHBox(self, ):
        return (-1/360 * (self.g1)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) + 7/384 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] + -5/128 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] + 1/192 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] + -3/64 * (self.g2)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] + -1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(2) * (self.lambdaUbar[0])**(2) + 7/384 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] + -5/128 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] + 1/192 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] + -3/64 * (self.g2)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] + -1/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[0] * self.lambdaUbar[1] + -1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[1])**(2) * (self.lambdaUbar[1])**(2) + 7/384 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] + -5/128 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] + 1/192 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] + -3/64 * (self.g2)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] + -1/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[2] + -1/8 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[1] * self.lambdaUbar[2] + -1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[2])**(2) * (self.lambdaUbar[2])**(2) + -1/192 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 3/64 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -1/192 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 3/64 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -1/192 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 3/64 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,0] * self.ydbar[0,0] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,0] * self.ydbar[0,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,0] * self.ydbar[0,0] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,0] * self.ydbar[0,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[0,0] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,0] * self.ydbar[0,0] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,0] * self.ydbar[0,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[0,0] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,1] * self.ydbar[0,1] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,1] * self.ydbar[0,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,1] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,1] * self.ydbar[0,1] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,1] * self.ydbar[0,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[0,1] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,1] * self.ydbar[0,1] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,1] * self.ydbar[0,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[0,1] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,2] * self.ydbar[0,2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,2] * self.ydbar[0,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,2] * self.ydbar[0,2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,2] * self.ydbar[0,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[0,2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,2] * self.ydbar[0,2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,2] * self.ydbar[0,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[0,2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,0] * self.ydbar[1,0] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,0] * self.ydbar[1,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[1,0] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,0] * self.ydbar[1,0] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,0] * self.ydbar[1,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,0] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,0] * self.ydbar[1,0] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,0] * self.ydbar[1,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[1,0] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,1] * self.ydbar[1,1] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,1] * self.ydbar[1,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[1,1] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,1] * self.ydbar[1,1] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,1] * self.ydbar[1,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,1] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,1] * self.ydbar[1,1] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,1] * self.ydbar[1,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[1,1] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,2] * self.ydbar[1,2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,2] * self.ydbar[1,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[1,2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,2] * self.ydbar[1,2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,2] * self.ydbar[1,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,2] * self.ydbar[1,2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,2] * self.ydbar[1,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[1,2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,0] * self.ydbar[2,0] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,0] * self.ydbar[2,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[2,0] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,0] * self.ydbar[2,0] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,0] * self.ydbar[2,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[2,0] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,0] * self.ydbar[2,0] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,0] * self.ydbar[2,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,0] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,1] * self.ydbar[2,1] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,1] * self.ydbar[2,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[2,1] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,1] * self.ydbar[2,1] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,1] * self.ydbar[2,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[2,1] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,1] * self.ydbar[2,1] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,1] * self.ydbar[2,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,1] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,2] * self.ydbar[2,2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,2] * self.ydbar[2,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[2,2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,2] * self.ydbar[2,2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,2] * self.ydbar[2,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[2,2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,2] * self.ydbar[2,2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,2] * self.ydbar[2,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,2] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,0] * self.yubar[0,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,0] * self.yubar[0,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[0,0] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,0] * self.yubar[0,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,0] * self.yubar[0,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[0,0] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,0] * self.yubar[0,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,0] * self.yubar[0,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[0,0] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,1] * self.yubar[0,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,1] * self.yubar[0,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[0,1] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,1] * self.yubar[0,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,1] * self.yubar[0,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[0,1] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,1] * self.yubar[0,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,1] * self.yubar[0,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[0,1] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,2] * self.yubar[0,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,2] * self.yubar[0,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[0,2] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,2] * self.yubar[0,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,2] * self.yubar[0,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[0,2] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,2] * self.yubar[0,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,2] * self.yubar[0,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[0,2] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yubar[1,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yubar[1,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[1,0] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,0] * self.yubar[1,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,0] * self.yubar[1,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[1,0] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,0] * self.yubar[1,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,0] * self.yubar[1,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[1,0] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yubar[1,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yubar[1,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[1,1] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,1] * self.yubar[1,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,1] * self.yubar[1,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[1,1] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,1] * self.yubar[1,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,1] * self.yubar[1,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[1,1] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,2] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,2] * self.yubar[1,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[1,2] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,2] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,2] * self.yubar[1,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[1,2] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,2] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,2] * self.yubar[1,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[1,2] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yubar[2,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[2,0] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,0] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,0] * self.yubar[2,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[2,0] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,0] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,0] * self.yubar[2,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[2,0] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yubar[2,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[2,1] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,1] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,1] * self.yubar[2,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[2,1] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,1] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,1] * self.yubar[2,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[2,1] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,2] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,2] * self.yubar[2,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[2,2] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,2] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,2] * self.yubar[2,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[2,2] + 9/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,2] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,2] * self.yubar[2,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[2,2])

    def alphaOHBt(self, ):
        return 0

    def alphaOHD(self, ):
        return (-1/90 * (self.g1)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) + 7/96 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] + 1/48 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(2) * (self.lambdaUbar[0])**(2) + 7/96 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] + 1/48 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[0] * self.lambdaUbar[1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[1])**(2) * (self.lambdaUbar[1])**(2) + 7/96 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] + 1/48 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[1] * self.lambdaUbar[2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[2])**(2) * (self.lambdaUbar[2])**(2) + -1/48 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -1/48 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -1/48 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,0] * self.ydbar[0,0] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,0] * self.ydbar[0,0] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,0] * self.ydbar[0,0] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,0] * self.ydbar[0,0] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[0,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,0] * self.ydbar[0,0] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,0] * self.ydbar[0,0] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[0,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,1] * self.ydbar[0,1] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,1] * self.ydbar[0,1] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,1] * self.ydbar[0,1] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,1] * self.ydbar[0,1] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[0,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,1] * self.ydbar[0,1] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,1] * self.ydbar[0,1] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[0,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,2] * self.ydbar[0,2] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,2] * self.ydbar[0,2] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,2] * self.ydbar[0,2] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,2] * self.ydbar[0,2] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[0,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,2] * self.ydbar[0,2] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,2] * self.ydbar[0,2] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[0,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,0] * self.ydbar[1,0] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,0] * self.ydbar[1,0] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[1,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,0] * self.ydbar[1,0] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,0] * self.ydbar[1,0] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,0] * self.ydbar[1,0] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,0] * self.ydbar[1,0] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[1,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,1] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,1] * self.ydbar[1,1] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[1,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,1] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,1] * self.ydbar[1,1] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,1] * self.ydbar[1,1] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,1] * self.ydbar[1,1] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[1,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,2] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,2] * self.ydbar[1,2] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[1,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,2] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,2] * self.ydbar[1,2] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,2] * self.ydbar[1,2] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,2] * self.ydbar[1,2] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[1,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,0] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,0] * self.ydbar[2,0] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[2,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,0] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,0] * self.ydbar[2,0] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[2,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,0] * self.ydbar[2,0] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,0] * self.ydbar[2,0] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,1] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,1] * self.ydbar[2,1] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[2,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,1] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,1] * self.ydbar[2,1] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[2,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,1] * self.ydbar[2,1] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,1] * self.ydbar[2,1] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,2] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,2] * self.ydbar[2,2] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[2,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,2] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,2] * self.ydbar[2,2] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[2,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,2] * self.ydbar[2,2] + -3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,2] * self.ydbar[2,2] + 3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,0] * self.yubar[0,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,0] * self.yubar[0,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[0,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,0] * self.yubar[0,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,0] * self.yubar[0,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[0,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,0] * self.yubar[0,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,0] * self.yubar[0,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[0,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,1] * self.yubar[0,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,1] * self.yubar[0,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[0,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,1] * self.yubar[0,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,1] * self.yubar[0,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[0,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,1] * self.yubar[0,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,1] * self.yubar[0,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[0,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,2] * self.yubar[0,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,2] * self.yubar[0,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[0,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,2] * self.yubar[0,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,2] * self.yubar[0,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[0,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,2] * self.yubar[0,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,2] * self.yubar[0,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[0,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yubar[1,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yubar[1,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[1,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,0] * self.yubar[1,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,0] * self.yubar[1,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[1,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,0] * self.yubar[1,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,0] * self.yubar[1,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[1,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yubar[1,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yubar[1,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[1,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,1] * self.yubar[1,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,1] * self.yubar[1,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[1,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,1] * self.yubar[1,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,1] * self.yubar[1,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[1,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,2] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,2] * self.yubar[1,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[1,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,2] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,2] * self.yubar[1,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[1,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,2] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,2] * self.yubar[1,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[1,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yubar[2,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[2,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,0] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,0] * self.yubar[2,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[2,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,0] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,0] * self.yubar[2,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[2,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yubar[2,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[2,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,1] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,1] * self.yubar[2,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[2,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,1] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,1] * self.yubar[2,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[2,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,2] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,2] * self.yubar[2,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[2,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,2] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,2] * self.yubar[2,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[2,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,2] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,2] * self.yubar[2,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[2,2])

    def alphaOHG(self, ):
        return (1/96 * (self.g3)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] + 1/96 * (self.g3)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] + 1/96 * (self.g3)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2])

    def alphaOHGt(self, ):
        return 0

    def alphaOHW(self, ):
        return (1/128 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] + 1/128 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] + 1/128 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2])

    def alphaOHWB(self, ):
        return (-1/64 * self.g1 * self.g2 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] + -1/64 * self.g1 * self.g2 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] + -1/64 * self.g1 * self.g2 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2])

    def alphaOHWBt(self, ):
        return 0

    def alphaOHWt(self, ):
        return 0

    def alphaWeinberg(self, mif1,mif2):
        return 0

    def alphaOdB(self, mif1,mif2):
        return (-7/1152 * self.g1 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,mif2] + -7/1152 * self.g1 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,mif2] + -7/1152 * self.g1 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,mif2])

    def alphaOdd(self, mif1,mif2,mif3,mif4):
        return (-1/480 * (self.g3)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.kronecker_delta(mif2,mif3) + -1/810 * (self.g1)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 1/1440 * (self.g3)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4))

    def alphaOdG(self, mif1,mif2):
        return (-5/384 * self.g3 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,mif2] + -5/384 * self.g3 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,mif2] + -5/384 * self.g3 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,mif2])

    def alphaOdH(self, mif1,mif2):
        return (-3/32 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,mif2] + -1/16 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(2) * self.lambdaUbar[0] * self.lambdaUbar[mif1] * self.yd[0,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[1] * self.lambdaUbar[mif1] * self.yd[0,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] * self.yd[0,mif2] + 1/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] + -3/32 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,mif2] + -1/16 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[0] * self.lambdaUbar[mif1] * self.yd[1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[1])**(2) * self.lambdaUbar[1] * self.lambdaUbar[mif1] * self.yd[1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] * self.yd[1,mif2] + 1/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] + -3/32 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,mif2] + -1/16 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[mif1] * self.yd[2,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[1] * self.lambdaUbar[mif1] * self.yd[2,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[2])**(2) * self.lambdaUbar[2] * self.lambdaUbar[mif1] * self.yd[2,mif2] + 1/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] + -5/192 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[mif1,mif2] + -1/32 * (self.g2)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[mif1,mif2] + 1/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(2) * (self.lambdaUbar[0])**(2) * self.yd[mif1,mif2] + -5/192 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[mif1,mif2] + -1/32 * (self.g2)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[mif1,mif2] + 1/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[mif1,mif2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[0] * self.lambdaUbar[1] * self.yd[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[1])**(2) * (self.lambdaUbar[1])**(2) * self.yd[mif1,mif2] + -5/192 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[mif1,mif2] + -1/32 * (self.g2)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[mif1,mif2] + 1/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[mif1,mif2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[2] * self.yd[mif1,mif2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[1] * self.lambdaUbar[2] * self.yd[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[2])**(2) * (self.lambdaUbar[2])**(2) * self.yd[mif1,mif2] + 1/32 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] + 1/32 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] + 1/32 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,0] * self.yd[0,mif2] * self.ydbar[0,0] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,0] * self.yd[0,mif2] * self.ydbar[0,0] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[0,mif2] * self.ydbar[0,0] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yd[1,0] * self.ydbar[0,0] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yd[1,0] * self.ydbar[0,0] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yd[1,0] * self.ydbar[0,0] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yd[2,0] * self.ydbar[0,0] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yd[2,0] * self.ydbar[0,0] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yd[2,0] * self.ydbar[0,0] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,0] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[0,0] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[0,0] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,0] * self.yd[mif1,mif2] * self.ydbar[0,0] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,0] * self.yd[mif1,mif2] * self.ydbar[0,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[mif1,mif2] * self.ydbar[0,0] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,0] * self.yd[mif1,mif2] * self.ydbar[0,0] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,0] * self.yd[mif1,mif2] * self.ydbar[0,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[mif1,mif2] * self.ydbar[0,0] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,0] * self.yd[mif1,mif2] * self.ydbar[0,0] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,0] * self.yd[mif1,mif2] * self.ydbar[0,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yd[mif1,mif2] * self.ydbar[0,0] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,1] * self.yd[0,mif2] * self.ydbar[0,1] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,1] * self.yd[0,mif2] * self.ydbar[0,1] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[0,mif2] * self.ydbar[0,1] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yd[1,1] * self.ydbar[0,1] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yd[1,1] * self.ydbar[0,1] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yd[1,1] * self.ydbar[0,1] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yd[2,1] * self.ydbar[0,1] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yd[2,1] * self.ydbar[0,1] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yd[2,1] * self.ydbar[0,1] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,1] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[0,1] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[0,1] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,1] * self.yd[mif1,mif2] * self.ydbar[0,1] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,1] * self.yd[mif1,mif2] * self.ydbar[0,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[mif1,mif2] * self.ydbar[0,1] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,1] * self.yd[mif1,mif2] * self.ydbar[0,1] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,1] * self.yd[mif1,mif2] * self.ydbar[0,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[mif1,mif2] * self.ydbar[0,1] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,1] * self.yd[mif1,mif2] * self.ydbar[0,1] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,1] * self.yd[mif1,mif2] * self.ydbar[0,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.yd[mif1,mif2] * self.ydbar[0,1] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,2] * self.yd[0,mif2] * self.ydbar[0,2] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,2] * self.yd[0,mif2] * self.ydbar[0,2] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[0,mif2] * self.ydbar[0,2] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yd[1,2] * self.ydbar[0,2] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yd[1,2] * self.ydbar[0,2] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yd[1,2] * self.ydbar[0,2] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yd[2,2] * self.ydbar[0,2] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yd[2,2] * self.ydbar[0,2] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yd[2,2] * self.ydbar[0,2] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,2] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[0,2] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[0,2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,2] * self.yd[mif1,mif2] * self.ydbar[0,2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,2] * self.yd[mif1,mif2] * self.ydbar[0,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[mif1,mif2] * self.ydbar[0,2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,2] * self.yd[mif1,mif2] * self.ydbar[0,2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,2] * self.yd[mif1,mif2] * self.ydbar[0,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[mif1,mif2] * self.ydbar[0,2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,2] * self.yd[mif1,mif2] * self.ydbar[0,2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,2] * self.yd[mif1,mif2] * self.ydbar[0,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.yd[mif1,mif2] * self.ydbar[0,2] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,0] * self.yd[1,mif2] * self.ydbar[1,0] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,0] * self.yd[1,mif2] * self.ydbar[1,0] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[1,mif2] * self.ydbar[1,0] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,0] * self.yd[1,mif2] * self.ydbar[1,0] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,0] * self.yd[1,mif2] * self.ydbar[1,0] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[1,mif2] * self.ydbar[1,0] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[1,mif2] * self.yd[2,0] * self.ydbar[1,0] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[1,mif2] * self.yd[2,0] * self.ydbar[1,0] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yd[2,0] * self.ydbar[1,0] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[1,0] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,0] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[1,0] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,0] * self.yd[mif1,mif2] * self.ydbar[1,0] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,0] * self.yd[mif1,mif2] * self.ydbar[1,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[mif1,mif2] * self.ydbar[1,0] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,0] * self.yd[mif1,mif2] * self.ydbar[1,0] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,0] * self.yd[mif1,mif2] * self.ydbar[1,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[mif1,mif2] * self.ydbar[1,0] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,0] * self.yd[mif1,mif2] * self.ydbar[1,0] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,0] * self.yd[mif1,mif2] * self.ydbar[1,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yd[mif1,mif2] * self.ydbar[1,0] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,1] * self.yd[1,mif2] * self.ydbar[1,1] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,1] * self.yd[1,mif2] * self.ydbar[1,1] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[1,mif2] * self.ydbar[1,1] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,1] * self.yd[1,mif2] * self.ydbar[1,1] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,1] * self.yd[1,mif2] * self.ydbar[1,1] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[1,mif2] * self.ydbar[1,1] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[1,mif2] * self.yd[2,1] * self.ydbar[1,1] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[1,mif2] * self.yd[2,1] * self.ydbar[1,1] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yd[2,1] * self.ydbar[1,1] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[1,1] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,1] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[1,1] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,1] * self.yd[mif1,mif2] * self.ydbar[1,1] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,1] * self.yd[mif1,mif2] * self.ydbar[1,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[mif1,mif2] * self.ydbar[1,1] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,1] * self.yd[mif1,mif2] * self.ydbar[1,1] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,1] * self.yd[mif1,mif2] * self.ydbar[1,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[mif1,mif2] * self.ydbar[1,1] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,1] * self.yd[mif1,mif2] * self.ydbar[1,1] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,1] * self.yd[mif1,mif2] * self.ydbar[1,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.yd[mif1,mif2] * self.ydbar[1,1] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,2] * self.yd[1,mif2] * self.ydbar[1,2] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,2] * self.yd[1,mif2] * self.ydbar[1,2] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[1,mif2] * self.ydbar[1,2] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,2] * self.yd[1,mif2] * self.ydbar[1,2] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,2] * self.yd[1,mif2] * self.ydbar[1,2] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[1,mif2] * self.ydbar[1,2] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[1,mif2] * self.yd[2,2] * self.ydbar[1,2] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[1,mif2] * self.yd[2,2] * self.ydbar[1,2] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yd[2,2] * self.ydbar[1,2] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[1,2] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,2] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[1,2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,2] * self.yd[mif1,mif2] * self.ydbar[1,2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,2] * self.yd[mif1,mif2] * self.ydbar[1,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[mif1,mif2] * self.ydbar[1,2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,2] * self.yd[mif1,mif2] * self.ydbar[1,2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,2] * self.yd[mif1,mif2] * self.ydbar[1,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[mif1,mif2] * self.ydbar[1,2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,2] * self.yd[mif1,mif2] * self.ydbar[1,2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,2] * self.yd[mif1,mif2] * self.ydbar[1,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.yd[mif1,mif2] * self.ydbar[1,2] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,0] * self.yd[2,mif2] * self.ydbar[2,0] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,0] * self.yd[2,mif2] * self.ydbar[2,0] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[2,mif2] * self.ydbar[2,0] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,0] * self.yd[2,mif2] * self.ydbar[2,0] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,0] * self.yd[2,mif2] * self.ydbar[2,0] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[2,mif2] * self.ydbar[2,0] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,0] * self.yd[2,mif2] * self.ydbar[2,0] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,0] * self.yd[2,mif2] * self.ydbar[2,0] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yd[2,mif2] * self.ydbar[2,0] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[2,0] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[2,0] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,0] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,0] * self.yd[mif1,mif2] * self.ydbar[2,0] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,0] * self.yd[mif1,mif2] * self.ydbar[2,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yd[mif1,mif2] * self.ydbar[2,0] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,0] * self.yd[mif1,mif2] * self.ydbar[2,0] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,0] * self.yd[mif1,mif2] * self.ydbar[2,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yd[mif1,mif2] * self.ydbar[2,0] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,0] * self.yd[mif1,mif2] * self.ydbar[2,0] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,0] * self.yd[mif1,mif2] * self.ydbar[2,0] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yd[mif1,mif2] * self.ydbar[2,0] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,1] * self.yd[2,mif2] * self.ydbar[2,1] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,1] * self.yd[2,mif2] * self.ydbar[2,1] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[2,mif2] * self.ydbar[2,1] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,1] * self.yd[2,mif2] * self.ydbar[2,1] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,1] * self.yd[2,mif2] * self.ydbar[2,1] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[2,mif2] * self.ydbar[2,1] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,1] * self.yd[2,mif2] * self.ydbar[2,1] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,1] * self.yd[2,mif2] * self.ydbar[2,1] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.yd[2,mif2] * self.ydbar[2,1] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[2,1] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[2,1] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,1] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,1] * self.yd[mif1,mif2] * self.ydbar[2,1] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,1] * self.yd[mif1,mif2] * self.ydbar[2,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yd[mif1,mif2] * self.ydbar[2,1] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,1] * self.yd[mif1,mif2] * self.ydbar[2,1] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,1] * self.yd[mif1,mif2] * self.ydbar[2,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yd[mif1,mif2] * self.ydbar[2,1] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,1] * self.yd[mif1,mif2] * self.ydbar[2,1] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,1] * self.yd[mif1,mif2] * self.ydbar[2,1] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.yd[mif1,mif2] * self.ydbar[2,1] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,2] * self.yd[2,mif2] * self.ydbar[2,2] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,2] * self.yd[2,mif2] * self.ydbar[2,2] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[2,mif2] * self.ydbar[2,2] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,2] * self.yd[2,mif2] * self.ydbar[2,2] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,2] * self.yd[2,mif2] * self.ydbar[2,2] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[2,mif2] * self.ydbar[2,2] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,2] * self.yd[2,mif2] * self.ydbar[2,2] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,2] * self.yd[2,mif2] * self.ydbar[2,2] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.yd[2,mif2] * self.ydbar[2,2] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[2,2] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[2,2] + -1/48 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,2] * self.yd[mif1,mif2] * self.ydbar[2,2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,2] * self.yd[mif1,mif2] * self.ydbar[2,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yd[mif1,mif2] * self.ydbar[2,2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,2] * self.yd[mif1,mif2] * self.ydbar[2,2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,2] * self.yd[mif1,mif2] * self.ydbar[2,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yd[mif1,mif2] * self.ydbar[2,2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,2] * self.yd[mif1,mif2] * self.ydbar[2,2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,2] * self.yd[mif1,mif2] * self.ydbar[2,2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.yd[mif1,mif2] * self.ydbar[2,2] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yu[0,0] * self.yubar[0,0] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yu[0,0] * self.yubar[0,0] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[0,0] * self.yubar[0,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[mif1,mif2] * self.yu[0,0] * self.yubar[0,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[mif1,mif2] * self.yu[0,0] * self.yubar[0,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[0,0] * self.yubar[0,0] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yu[1,0] * self.yubar[0,0] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yu[1,0] * self.yubar[0,0] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[1,0] * self.yubar[0,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[mif1,mif2] * self.yu[1,0] * self.yubar[0,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[mif1,mif2] * self.yu[1,0] * self.yubar[0,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[1,0] * self.yubar[0,0] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yu[2,0] * self.yubar[0,0] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yu[2,0] * self.yubar[0,0] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[2,0] * self.yubar[0,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[mif1,mif2] * self.yu[2,0] * self.yubar[0,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[mif1,mif2] * self.yu[2,0] * self.yubar[0,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[2,0] * self.yubar[0,0] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[mif1,0] * self.yubar[0,0] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[mif1,0] * self.yubar[0,0] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yu[0,1] * self.yubar[0,1] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yu[0,1] * self.yubar[0,1] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[0,1] * self.yubar[0,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[mif1,mif2] * self.yu[0,1] * self.yubar[0,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[mif1,mif2] * self.yu[0,1] * self.yubar[0,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[0,1] * self.yubar[0,1] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yu[1,1] * self.yubar[0,1] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yu[1,1] * self.yubar[0,1] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[1,1] * self.yubar[0,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[mif1,mif2] * self.yu[1,1] * self.yubar[0,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[mif1,mif2] * self.yu[1,1] * self.yubar[0,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[1,1] * self.yubar[0,1] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yu[2,1] * self.yubar[0,1] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yu[2,1] * self.yubar[0,1] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[2,1] * self.yubar[0,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[mif1,mif2] * self.yu[2,1] * self.yubar[0,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[mif1,mif2] * self.yu[2,1] * self.yubar[0,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[2,1] * self.yubar[0,1] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[mif1,1] * self.yubar[0,1] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[mif1,1] * self.yubar[0,1] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yu[0,2] * self.yubar[0,2] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yu[0,2] * self.yubar[0,2] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[0,2] * self.yubar[0,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[mif1,mif2] * self.yu[0,2] * self.yubar[0,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[mif1,mif2] * self.yu[0,2] * self.yubar[0,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[0,2] * self.yubar[0,2] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yu[1,2] * self.yubar[0,2] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yu[1,2] * self.yubar[0,2] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[1,2] * self.yubar[0,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[mif1,mif2] * self.yu[1,2] * self.yubar[0,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[mif1,mif2] * self.yu[1,2] * self.yubar[0,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[1,2] * self.yubar[0,2] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yu[2,2] * self.yubar[0,2] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[0,mif2] * self.yu[2,2] * self.yubar[0,2] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[2,2] * self.yubar[0,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[mif1,mif2] * self.yu[2,2] * self.yubar[0,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[mif1,mif2] * self.yu[2,2] * self.yubar[0,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[2,2] * self.yubar[0,2] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[mif1,2] * self.yubar[0,2] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[mif1,2] * self.yubar[0,2] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[1,mif2] * self.yu[0,0] * self.yubar[1,0] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[1,mif2] * self.yu[0,0] * self.yubar[1,0] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[0,0] * self.yubar[1,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[mif1,mif2] * self.yu[0,0] * self.yubar[1,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[mif1,mif2] * self.yu[0,0] * self.yubar[1,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[0,0] * self.yubar[1,0] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,mif2] * self.yu[1,0] * self.yubar[1,0] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,mif2] * self.yu[1,0] * self.yubar[1,0] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[1,0] * self.yubar[1,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[mif1,mif2] * self.yu[1,0] * self.yubar[1,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[mif1,mif2] * self.yu[1,0] * self.yubar[1,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[1,0] * self.yubar[1,0] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[1,mif2] * self.yu[2,0] * self.yubar[1,0] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[1,mif2] * self.yu[2,0] * self.yubar[1,0] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[2,0] * self.yubar[1,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[mif1,mif2] * self.yu[2,0] * self.yubar[1,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[mif1,mif2] * self.yu[2,0] * self.yubar[1,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[2,0] * self.yubar[1,0] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[mif1,0] * self.yubar[1,0] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[mif1,0] * self.yubar[1,0] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[1,mif2] * self.yu[0,1] * self.yubar[1,1] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[1,mif2] * self.yu[0,1] * self.yubar[1,1] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[0,1] * self.yubar[1,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[mif1,mif2] * self.yu[0,1] * self.yubar[1,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[mif1,mif2] * self.yu[0,1] * self.yubar[1,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[0,1] * self.yubar[1,1] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,mif2] * self.yu[1,1] * self.yubar[1,1] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,mif2] * self.yu[1,1] * self.yubar[1,1] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[1,1] * self.yubar[1,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[mif1,mif2] * self.yu[1,1] * self.yubar[1,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[mif1,mif2] * self.yu[1,1] * self.yubar[1,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[1,1] * self.yubar[1,1] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[1,mif2] * self.yu[2,1] * self.yubar[1,1] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[1,mif2] * self.yu[2,1] * self.yubar[1,1] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[2,1] * self.yubar[1,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[mif1,mif2] * self.yu[2,1] * self.yubar[1,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[mif1,mif2] * self.yu[2,1] * self.yubar[1,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[2,1] * self.yubar[1,1] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[mif1,1] * self.yubar[1,1] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[mif1,1] * self.yubar[1,1] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[1,mif2] * self.yu[0,2] * self.yubar[1,2] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[1,mif2] * self.yu[0,2] * self.yubar[1,2] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[0,2] * self.yubar[1,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[mif1,mif2] * self.yu[0,2] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[mif1,mif2] * self.yu[0,2] * self.yubar[1,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[0,2] * self.yubar[1,2] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,mif2] * self.yu[1,2] * self.yubar[1,2] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,mif2] * self.yu[1,2] * self.yubar[1,2] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[1,2] * self.yubar[1,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[mif1,mif2] * self.yu[1,2] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[mif1,mif2] * self.yu[1,2] * self.yubar[1,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[1,2] * self.yubar[1,2] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[1,mif2] * self.yu[2,2] * self.yubar[1,2] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[1,mif2] * self.yu[2,2] * self.yubar[1,2] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[2,2] * self.yubar[1,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[mif1,mif2] * self.yu[2,2] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[mif1,mif2] * self.yu[2,2] * self.yubar[1,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[2,2] * self.yubar[1,2] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[mif1,2] * self.yubar[1,2] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[mif1,2] * self.yubar[1,2] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[2,mif2] * self.yu[0,0] * self.yubar[2,0] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[2,mif2] * self.yu[0,0] * self.yubar[2,0] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[0,0] * self.yubar[2,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[mif1,mif2] * self.yu[0,0] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[mif1,mif2] * self.yu[0,0] * self.yubar[2,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[0,0] * self.yubar[2,0] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[2,mif2] * self.yu[1,0] * self.yubar[2,0] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[2,mif2] * self.yu[1,0] * self.yubar[2,0] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[1,0] * self.yubar[2,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[mif1,mif2] * self.yu[1,0] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[mif1,mif2] * self.yu[1,0] * self.yubar[2,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[1,0] * self.yubar[2,0] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,mif2] * self.yu[2,0] * self.yubar[2,0] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,mif2] * self.yu[2,0] * self.yubar[2,0] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[2,0] * self.yubar[2,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[mif1,mif2] * self.yu[2,0] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[mif1,mif2] * self.yu[2,0] * self.yubar[2,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[2,0] * self.yubar[2,0] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[mif1,0] * self.yubar[2,0] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[mif1,0] * self.yubar[2,0] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[2,mif2] * self.yu[0,1] * self.yubar[2,1] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[2,mif2] * self.yu[0,1] * self.yubar[2,1] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[0,1] * self.yubar[2,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[mif1,mif2] * self.yu[0,1] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[mif1,mif2] * self.yu[0,1] * self.yubar[2,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[0,1] * self.yubar[2,1] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[2,mif2] * self.yu[1,1] * self.yubar[2,1] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[2,mif2] * self.yu[1,1] * self.yubar[2,1] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[1,1] * self.yubar[2,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[mif1,mif2] * self.yu[1,1] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[mif1,mif2] * self.yu[1,1] * self.yubar[2,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[1,1] * self.yubar[2,1] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,mif2] * self.yu[2,1] * self.yubar[2,1] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,mif2] * self.yu[2,1] * self.yubar[2,1] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[2,1] * self.yubar[2,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[mif1,mif2] * self.yu[2,1] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[mif1,mif2] * self.yu[2,1] * self.yubar[2,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[2,1] * self.yubar[2,1] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[mif1,1] * self.yubar[2,1] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[mif1,1] * self.yubar[2,1] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[2,mif2] * self.yu[0,2] * self.yubar[2,2] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[2,mif2] * self.yu[0,2] * self.yubar[2,2] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[0,2] * self.yubar[2,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[mif1,mif2] * self.yu[0,2] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[mif1,mif2] * self.yu[0,2] * self.yubar[2,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[0,2] * self.yubar[2,2] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[2,mif2] * self.yu[1,2] * self.yubar[2,2] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[2,mif2] * self.yu[1,2] * self.yubar[2,2] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[1,2] * self.yubar[2,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[mif1,mif2] * self.yu[1,2] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[mif1,mif2] * self.yu[1,2] * self.yubar[2,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[1,2] * self.yubar[2,2] + -5/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,mif2] * self.yu[2,2] * self.yubar[2,2] + -1/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,mif2] * self.yu[2,2] * self.yubar[2,2] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[2,2] * self.yubar[2,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[mif1,mif2] * self.yu[2,2] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[mif1,mif2] * self.yu[2,2] * self.yubar[2,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif2] * self.yu[2,2] * self.yubar[2,2] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yu[mif1,2] * self.yubar[2,2] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yu[mif1,2] * self.yubar[2,2] + -1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yu[mif1,2] * self.yubar[2,2])

    def alphaOdW(self, mif1,mif2):
        return (5/384 * self.g2 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,mif2] + 5/384 * self.g2 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,mif2] + 5/384 * self.g2 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,mif2])

    def alphaOeB(self, mif1,mif2):
        return 0

    def alphaOed(self, mif1,mif2,mif3,mif4):
        return -1/135 * (self.g1)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4)

    def alphaOee(self, mif1,mif2,mif3,mif4):
        return -1/90 * (self.g1)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4)

    def alphaOeH(self, mif1,mif2):
        return (-5/192 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yl[mif1,mif2] + -1/32 * (self.g2)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yl[mif1,mif2] + 1/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(2) * (self.lambdaUbar[0])**(2) * self.yl[mif1,mif2] + -5/192 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yl[mif1,mif2] + -1/32 * (self.g2)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yl[mif1,mif2] + 1/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yl[mif1,mif2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[0] * self.lambdaUbar[1] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[1])**(2) * (self.lambdaUbar[1])**(2) * self.yl[mif1,mif2] + -5/192 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yl[mif1,mif2] + -1/32 * (self.g2)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yl[mif1,mif2] + 1/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yl[mif1,mif2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[2] * self.yl[mif1,mif2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[1] * self.lambdaUbar[2] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[2])**(2) * (self.lambdaUbar[2])**(2) * self.yl[mif1,mif2] + 1/32 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] + 1/32 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] + 1/32 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,0] * self.ydbar[0,0] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,0] * self.ydbar[0,0] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,0] * self.ydbar[0,0] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,0] * self.ydbar[0,0] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[0,0] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,0] * self.ydbar[0,0] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,0] * self.ydbar[0,0] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[0,0] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,1] * self.ydbar[0,1] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,1] * self.ydbar[0,1] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,1] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,1] * self.ydbar[0,1] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,1] * self.ydbar[0,1] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[0,1] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,1] * self.ydbar[0,1] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,1] * self.ydbar[0,1] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[0,1] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,2] * self.ydbar[0,2] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,2] * self.ydbar[0,2] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,2] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,2] * self.ydbar[0,2] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,2] * self.ydbar[0,2] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[0,2] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,2] * self.ydbar[0,2] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,2] * self.ydbar[0,2] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[0,2] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,0] * self.ydbar[1,0] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,0] * self.ydbar[1,0] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[1,0] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,0] * self.ydbar[1,0] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,0] * self.ydbar[1,0] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,0] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,0] * self.ydbar[1,0] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,0] * self.ydbar[1,0] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[1,0] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,1] * self.ydbar[1,1] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,1] * self.ydbar[1,1] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[1,1] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,1] * self.ydbar[1,1] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,1] * self.ydbar[1,1] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,1] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,1] * self.ydbar[1,1] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,1] * self.ydbar[1,1] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[1,1] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,2] * self.ydbar[1,2] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,2] * self.ydbar[1,2] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[1,2] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,2] * self.ydbar[1,2] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,2] * self.ydbar[1,2] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,2] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,2] * self.ydbar[1,2] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,2] * self.ydbar[1,2] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[1,2] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,0] * self.ydbar[2,0] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,0] * self.ydbar[2,0] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[2,0] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,0] * self.ydbar[2,0] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,0] * self.ydbar[2,0] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[2,0] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,0] * self.ydbar[2,0] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,0] * self.ydbar[2,0] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,0] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,1] * self.ydbar[2,1] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,1] * self.ydbar[2,1] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[2,1] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,1] * self.ydbar[2,1] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,1] * self.ydbar[2,1] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[2,1] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,1] * self.ydbar[2,1] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,1] * self.ydbar[2,1] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,1] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,2] * self.ydbar[2,2] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,2] * self.ydbar[2,2] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[2,2] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,2] * self.ydbar[2,2] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,2] * self.ydbar[2,2] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[2,2] * self.yl[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,2] * self.ydbar[2,2] * self.yl[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,2] * self.ydbar[2,2] * self.yl[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,2] * self.yl[mif1,mif2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yl[mif1,mif2] * self.yu[0,0] * self.yubar[0,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yl[mif1,mif2] * self.yu[0,0] * self.yubar[0,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[0,0] * self.yubar[0,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yl[mif1,mif2] * self.yu[1,0] * self.yubar[0,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yl[mif1,mif2] * self.yu[1,0] * self.yubar[0,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[1,0] * self.yubar[0,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yl[mif1,mif2] * self.yu[2,0] * self.yubar[0,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yl[mif1,mif2] * self.yu[2,0] * self.yubar[0,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[2,0] * self.yubar[0,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yl[mif1,mif2] * self.yu[0,1] * self.yubar[0,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yl[mif1,mif2] * self.yu[0,1] * self.yubar[0,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[0,1] * self.yubar[0,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yl[mif1,mif2] * self.yu[1,1] * self.yubar[0,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yl[mif1,mif2] * self.yu[1,1] * self.yubar[0,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[1,1] * self.yubar[0,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yl[mif1,mif2] * self.yu[2,1] * self.yubar[0,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yl[mif1,mif2] * self.yu[2,1] * self.yubar[0,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[2,1] * self.yubar[0,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yl[mif1,mif2] * self.yu[0,2] * self.yubar[0,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yl[mif1,mif2] * self.yu[0,2] * self.yubar[0,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[0,2] * self.yubar[0,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yl[mif1,mif2] * self.yu[1,2] * self.yubar[0,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yl[mif1,mif2] * self.yu[1,2] * self.yubar[0,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[1,2] * self.yubar[0,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yl[mif1,mif2] * self.yu[2,2] * self.yubar[0,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yl[mif1,mif2] * self.yu[2,2] * self.yubar[0,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[2,2] * self.yubar[0,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yl[mif1,mif2] * self.yu[0,0] * self.yubar[1,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yl[mif1,mif2] * self.yu[0,0] * self.yubar[1,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[0,0] * self.yubar[1,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yl[mif1,mif2] * self.yu[1,0] * self.yubar[1,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yl[mif1,mif2] * self.yu[1,0] * self.yubar[1,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[1,0] * self.yubar[1,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yl[mif1,mif2] * self.yu[2,0] * self.yubar[1,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yl[mif1,mif2] * self.yu[2,0] * self.yubar[1,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[2,0] * self.yubar[1,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yl[mif1,mif2] * self.yu[0,1] * self.yubar[1,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yl[mif1,mif2] * self.yu[0,1] * self.yubar[1,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[0,1] * self.yubar[1,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yl[mif1,mif2] * self.yu[1,1] * self.yubar[1,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yl[mif1,mif2] * self.yu[1,1] * self.yubar[1,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[1,1] * self.yubar[1,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yl[mif1,mif2] * self.yu[2,1] * self.yubar[1,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yl[mif1,mif2] * self.yu[2,1] * self.yubar[1,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[2,1] * self.yubar[1,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yl[mif1,mif2] * self.yu[0,2] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yl[mif1,mif2] * self.yu[0,2] * self.yubar[1,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[0,2] * self.yubar[1,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yl[mif1,mif2] * self.yu[1,2] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yl[mif1,mif2] * self.yu[1,2] * self.yubar[1,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[1,2] * self.yubar[1,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yl[mif1,mif2] * self.yu[2,2] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yl[mif1,mif2] * self.yu[2,2] * self.yubar[1,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[2,2] * self.yubar[1,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yl[mif1,mif2] * self.yu[0,0] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yl[mif1,mif2] * self.yu[0,0] * self.yubar[2,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[0,0] * self.yubar[2,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yl[mif1,mif2] * self.yu[1,0] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yl[mif1,mif2] * self.yu[1,0] * self.yubar[2,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[1,0] * self.yubar[2,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yl[mif1,mif2] * self.yu[2,0] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yl[mif1,mif2] * self.yu[2,0] * self.yubar[2,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[2,0] * self.yubar[2,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yl[mif1,mif2] * self.yu[0,1] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yl[mif1,mif2] * self.yu[0,1] * self.yubar[2,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[0,1] * self.yubar[2,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yl[mif1,mif2] * self.yu[1,1] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yl[mif1,mif2] * self.yu[1,1] * self.yubar[2,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[1,1] * self.yubar[2,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yl[mif1,mif2] * self.yu[2,1] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yl[mif1,mif2] * self.yu[2,1] * self.yubar[2,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[2,1] * self.yubar[2,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yl[mif1,mif2] * self.yu[0,2] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yl[mif1,mif2] * self.yu[0,2] * self.yubar[2,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[0,2] * self.yubar[2,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yl[mif1,mif2] * self.yu[1,2] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yl[mif1,mif2] * self.yu[1,2] * self.yubar[2,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[1,2] * self.yubar[2,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yl[mif1,mif2] * self.yu[2,2] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yl[mif1,mif2] * self.yu[2,2] * self.yubar[2,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[2,2] * self.yubar[2,2])

    def alphaOeu(self, mif1,mif2,mif3,mif4):
        return 2/135 * (self.g1)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4)

    def alphaOeW(self, mif1,mif2):
        return 0

    def alphaOHd(self, mif1,mif2):
        return (1/270 * (self.g1)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) + -7/576 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[0] * self.lambdaUbar[0] + -1/288 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[0] * self.lambdaUbar[0] + -7/576 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[1] * self.lambdaUbar[1] + -1/288 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[1] * self.lambdaUbar[1] + -7/576 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[2] * self.lambdaUbar[2] + -1/288 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[2] * self.lambdaUbar[2] + 1/288 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 1/288 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 1/288 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -5/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,mif2] * self.ydbar[0,mif1] + -1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,mif2] * self.ydbar[0,mif1] + 1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.ydbar[0,mif1] + -5/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,mif2] * self.ydbar[0,mif1] + -1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,mif2] * self.ydbar[0,mif1] + 1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.ydbar[0,mif1] + -5/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,mif2] * self.ydbar[0,mif1] + -1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,mif2] * self.ydbar[0,mif1] + 1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.ydbar[0,mif1] + -5/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,mif2] * self.ydbar[1,mif1] + -1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,mif2] * self.ydbar[1,mif1] + 1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.ydbar[1,mif1] + -5/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,mif2] * self.ydbar[1,mif1] + -1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,mif2] * self.ydbar[1,mif1] + 1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.ydbar[1,mif1] + -5/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,mif2] * self.ydbar[1,mif1] + -1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,mif2] * self.ydbar[1,mif1] + 1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.ydbar[1,mif1] + -5/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,mif2] * self.ydbar[2,mif1] + -1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,mif2] * self.ydbar[2,mif1] + 1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.ydbar[2,mif1] + -5/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,mif2] * self.ydbar[2,mif1] + -1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,mif2] * self.ydbar[2,mif1] + 1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.ydbar[2,mif1] + -5/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,mif2] * self.ydbar[2,mif1] + -1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,mif2] * self.ydbar[2,mif1] + 1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.ydbar[2,mif1])

    def alphaOHe(self, mif1,mif2):
        return (1/90 * (self.g1)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) + -7/192 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[0] * self.lambdaUbar[0] + -1/96 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[0] * self.lambdaUbar[0] + -7/192 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[1] * self.lambdaUbar[1] + -1/96 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[1] * self.lambdaUbar[1] + -7/192 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[2] * self.lambdaUbar[2] + -1/96 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[2] * self.lambdaUbar[2] + 1/96 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 1/96 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 1/96 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)))

    def alphaOHl1(self, mif1,mif2):
        return (1/180 * (self.g1)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) + -7/384 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[0] * self.lambdaUbar[0] + -1/192 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[0] * self.lambdaUbar[0] + -7/384 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[1] * self.lambdaUbar[1] + -1/192 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[1] * self.lambdaUbar[1] + -7/384 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[2] * self.lambdaUbar[2] + -1/192 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[2] * self.lambdaUbar[2] + 1/192 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 1/192 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 1/192 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)))

    def alphaOHl3(self, mif1,mif2):
        return (-5/384 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[0] * self.lambdaUbar[0] + -1/64 * (self.g2)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[0] * self.lambdaUbar[0] + -5/384 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[1] * self.lambdaUbar[1] + -1/64 * (self.g2)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[1] * self.lambdaUbar[1] + -5/384 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[2] * self.lambdaUbar[2] + -1/64 * (self.g2)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[2] * self.lambdaUbar[2] + 1/64 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 1/64 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 1/64 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)))

    def alphaOHq1(self, mif1,mif2):
        return (-1/540 * (self.g1)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) + 7/1152 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[0] * self.lambdaUbar[0] + 1/576 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[0] * self.lambdaUbar[0] + 7/1152 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[1] * self.lambdaUbar[1] + 1/576 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[1] * self.lambdaUbar[1] + 7/1152 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[2] * self.lambdaUbar[2] + 1/576 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[2] * self.lambdaUbar[2] + 1/4 * (self.MU)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] + 59/13824 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] + 33/512 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] + -13/768 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] + 9/256 * (self.g2)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] + -17/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[mif2] * self.lambdaUbar[0] * self.lambdaUbar[mif1] + -7/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[mif2] * self.lambdaUbar[0] * self.lambdaUbar[mif1] + -3/128 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[mif2] * self.lambdaUbar[0] * self.lambdaUbar[mif1] + -1/64 * self.invepsilonbar * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[mif2] * self.lambdaUbar[0] * self.lambdaUbar[mif1] + -17/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[mif2] * self.lambdaUbar[1] * self.lambdaUbar[mif1] + -7/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[mif2] * self.lambdaUbar[1] * self.lambdaUbar[mif1] + -3/128 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[mif2] * self.lambdaUbar[1] * self.lambdaUbar[mif1] + -1/64 * self.invepsilonbar * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[mif2] * self.lambdaUbar[1] * self.lambdaUbar[mif1] + -17/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaU[mif2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] + -7/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaU[mif2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] + -3/128 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaU[mif2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] + -1/64 * self.invepsilonbar * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaU[mif2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] + -1/576 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -1/576 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -1/576 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 13/768 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -9/256 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 7/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[mif2] * self.lambdaUbar[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 1/64 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[mif2] * self.lambdaUbar[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 7/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[mif2] * self.lambdaUbar[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 1/64 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[mif2] * self.lambdaUbar[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 7/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaU[mif2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 1/64 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaU[mif2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * self.yd[mif1,0] * self.ydbar[0,0] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * self.yd[mif1,0] * self.ydbar[0,0] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[0,0] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * self.yd[mif1,1] * self.ydbar[0,1] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * self.yd[mif1,1] * self.ydbar[0,1] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[0,1] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * self.yd[mif1,2] * self.ydbar[0,2] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * self.yd[mif1,2] * self.ydbar[0,2] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[0,2] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * self.yd[mif1,0] * self.ydbar[1,0] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * self.yd[mif1,0] * self.ydbar[1,0] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[1,0] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * self.yd[mif1,1] * self.ydbar[1,1] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * self.yd[mif1,1] * self.ydbar[1,1] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[1,1] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * self.yd[mif1,2] * self.ydbar[1,2] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * self.yd[mif1,2] * self.ydbar[1,2] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[1,2] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * self.yd[mif1,0] * self.ydbar[2,0] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * self.yd[mif1,0] * self.ydbar[2,0] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[2,0] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * self.yd[mif1,1] * self.ydbar[2,1] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * self.yd[mif1,1] * self.ydbar[2,1] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[2,1] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * self.yd[mif1,2] * self.ydbar[2,2] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * self.yd[mif1,2] * self.ydbar[2,2] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[2,2] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,0] * self.ydbar[mif2,0] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,0] * self.ydbar[mif2,0] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[mif2,0] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,0] * self.ydbar[mif2,0] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,0] * self.ydbar[mif2,0] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[mif2,0] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,0] * self.ydbar[mif2,0] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,0] * self.ydbar[mif2,0] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[mif2,0] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,1] * self.ydbar[mif2,1] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,1] * self.ydbar[mif2,1] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[mif2,1] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,1] * self.ydbar[mif2,1] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,1] * self.ydbar[mif2,1] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[mif2,1] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,1] * self.ydbar[mif2,1] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,1] * self.ydbar[mif2,1] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[mif2,1] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,2] * self.ydbar[mif2,2] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,2] * self.ydbar[mif2,2] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[mif2,2] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,2] * self.ydbar[mif2,2] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,2] * self.ydbar[mif2,2] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[mif2,2] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,2] * self.ydbar[mif2,2] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,2] * self.ydbar[mif2,2] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[mif2,2] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * self.yu[mif1,0] * self.yubar[0,0] + 1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * self.yu[mif1,0] * self.yubar[0,0] + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[0,0] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * self.yu[mif1,1] * self.yubar[0,1] + 1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * self.yu[mif1,1] * self.yubar[0,1] + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[0,1] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * self.yu[mif1,2] * self.yubar[0,2] + 1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * self.yu[mif1,2] * self.yubar[0,2] + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[0,2] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * self.yu[mif1,0] * self.yubar[1,0] + 1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * self.yu[mif1,0] * self.yubar[1,0] + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[1,0] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * self.yu[mif1,1] * self.yubar[1,1] + 1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * self.yu[mif1,1] * self.yubar[1,1] + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[1,1] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * self.yu[mif1,2] * self.yubar[1,2] + 1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * self.yu[mif1,2] * self.yubar[1,2] + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[1,2] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * self.yu[mif1,0] * self.yubar[2,0] + 1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * self.yu[mif1,0] * self.yubar[2,0] + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[2,0] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * self.yu[mif1,1] * self.yubar[2,1] + 1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * self.yu[mif1,1] * self.yubar[2,1] + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[2,1] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * self.yu[mif1,2] * self.yubar[2,2] + 1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * self.yu[mif1,2] * self.yubar[2,2] + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[2,2] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yu[0,0] * self.yubar[mif2,0] + 1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yu[0,0] * self.yubar[mif2,0] + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[mif2,0] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yu[1,0] * self.yubar[mif2,0] + 1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yu[1,0] * self.yubar[mif2,0] + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[mif2,0] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yu[2,0] * self.yubar[mif2,0] + 1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yu[2,0] * self.yubar[mif2,0] + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[mif2,0] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yu[0,1] * self.yubar[mif2,1] + 1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yu[0,1] * self.yubar[mif2,1] + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[mif2,1] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yu[1,1] * self.yubar[mif2,1] + 1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yu[1,1] * self.yubar[mif2,1] + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[mif2,1] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yu[2,1] * self.yubar[mif2,1] + 1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yu[2,1] * self.yubar[mif2,1] + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[mif2,1] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yu[0,2] * self.yubar[mif2,2] + 1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yu[0,2] * self.yubar[mif2,2] + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[mif2,2] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yu[1,2] * self.yubar[mif2,2] + 1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yu[1,2] * self.yubar[mif2,2] + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[mif2,2] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yu[2,2] * self.yubar[mif2,2] + 1/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yu[2,2] * self.yubar[mif2,2] + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[mif2,2])

    def alphaOHq3(self, mif1,mif2):
        return (-5/384 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[0] * self.lambdaUbar[0] + -1/64 * (self.g2)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[0] * self.lambdaUbar[0] + -5/384 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[1] * self.lambdaUbar[1] + -1/64 * (self.g2)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[1] * self.lambdaUbar[1] + -5/384 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[2] * self.lambdaUbar[2] + -1/64 * (self.g2)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[2] * self.lambdaUbar[2] + -1/4 * (self.MU)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] + 7/1536 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] + 77/4608 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] + 5/256 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] + 7/768 * (self.g2)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] + 9/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[mif2] * self.lambdaUbar[0] * self.lambdaUbar[mif1] + 7/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[mif2] * self.lambdaUbar[0] * self.lambdaUbar[mif1] + 3/128 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[mif2] * self.lambdaUbar[0] * self.lambdaUbar[mif1] + 1/64 * self.invepsilonbar * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[mif2] * self.lambdaUbar[0] * self.lambdaUbar[mif1] + 9/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[mif2] * self.lambdaUbar[1] * self.lambdaUbar[mif1] + 7/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[mif2] * self.lambdaUbar[1] * self.lambdaUbar[mif1] + 3/128 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[mif2] * self.lambdaUbar[1] * self.lambdaUbar[mif1] + 1/64 * self.invepsilonbar * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[mif2] * self.lambdaUbar[1] * self.lambdaUbar[mif1] + 9/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaU[mif2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] + 7/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaU[mif2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] + 3/128 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaU[mif2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] + 1/64 * self.invepsilonbar * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaU[mif2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] + 1/64 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 1/64 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 1/64 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -5/256 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -7/768 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -7/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[mif2] * self.lambdaUbar[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -1/64 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[mif2] * self.lambdaUbar[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -7/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[mif2] * self.lambdaUbar[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -1/64 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[mif2] * self.lambdaUbar[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -7/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaU[mif2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -1/64 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaU[mif2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * self.yd[mif1,0] * self.ydbar[0,0] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * self.yd[mif1,0] * self.ydbar[0,0] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[0,0] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * self.yd[mif1,1] * self.ydbar[0,1] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * self.yd[mif1,1] * self.ydbar[0,1] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[0,1] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * self.yd[mif1,2] * self.ydbar[0,2] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * self.yd[mif1,2] * self.ydbar[0,2] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[0,2] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * self.yd[mif1,0] * self.ydbar[1,0] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * self.yd[mif1,0] * self.ydbar[1,0] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[1,0] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * self.yd[mif1,1] * self.ydbar[1,1] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * self.yd[mif1,1] * self.ydbar[1,1] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[1,1] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * self.yd[mif1,2] * self.ydbar[1,2] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * self.yd[mif1,2] * self.ydbar[1,2] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[1,2] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * self.yd[mif1,0] * self.ydbar[2,0] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * self.yd[mif1,0] * self.ydbar[2,0] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[2,0] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * self.yd[mif1,1] * self.ydbar[2,1] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * self.yd[mif1,1] * self.ydbar[2,1] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[2,1] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * self.yd[mif1,2] * self.ydbar[2,2] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * self.yd[mif1,2] * self.ydbar[2,2] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[2,2] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,0] * self.ydbar[mif2,0] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,0] * self.ydbar[mif2,0] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[mif2,0] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,0] * self.ydbar[mif2,0] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,0] * self.ydbar[mif2,0] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[mif2,0] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,0] * self.ydbar[mif2,0] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,0] * self.ydbar[mif2,0] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[mif2,0] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,1] * self.ydbar[mif2,1] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,1] * self.ydbar[mif2,1] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[mif2,1] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,1] * self.ydbar[mif2,1] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,1] * self.ydbar[mif2,1] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[mif2,1] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,1] * self.ydbar[mif2,1] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,1] * self.ydbar[mif2,1] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[mif2,1] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,2] * self.ydbar[mif2,2] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,2] * self.ydbar[mif2,2] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[mif2,2] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,2] * self.ydbar[mif2,2] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,2] * self.ydbar[mif2,2] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[mif2,2] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,2] * self.ydbar[mif2,2] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,2] * self.ydbar[mif2,2] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[mif2,2])

    def alphaOHu(self, mif1,mif2):
        return (-1/135 * (self.g1)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) + 7/288 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[0] * self.lambdaUbar[0] + 1/144 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[0] * self.lambdaUbar[0] + 7/288 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[1] * self.lambdaUbar[1] + 1/144 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[1] * self.lambdaUbar[1] + 7/288 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[2] * self.lambdaUbar[2] + 1/144 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[2] * self.lambdaUbar[2] + -1/144 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -1/144 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -1/144 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -1/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,mif2] * self.yubar[0,mif1] + -1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,mif2] * self.yubar[0,mif1] + 1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yubar[0,mif1] + -1/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,mif2] * self.yubar[0,mif1] + -1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,mif2] * self.yubar[0,mif1] + 1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yubar[0,mif1] + -1/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,mif2] * self.yubar[0,mif1] + -1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,mif2] * self.yubar[0,mif1] + 1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yubar[0,mif1] + -1/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,mif2] * self.yubar[1,mif1] + -1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,mif2] * self.yubar[1,mif1] + 1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yubar[1,mif1] + -1/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,mif2] * self.yubar[1,mif1] + -1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,mif2] * self.yubar[1,mif1] + 1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yubar[1,mif1] + -1/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,mif2] * self.yubar[1,mif1] + -1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,mif2] * self.yubar[1,mif1] + 1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yubar[1,mif1] + -1/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,mif2] * self.yubar[2,mif1] + -1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,mif2] * self.yubar[2,mif1] + 1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yubar[2,mif1] + -1/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,mif2] * self.yubar[2,mif1] + -1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,mif2] * self.yubar[2,mif1] + 1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yubar[2,mif1] + -1/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,mif2] * self.yubar[2,mif1] + -1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,mif2] * self.yubar[2,mif1] + 1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yubar[2,mif1])

    def alphaOHud(self, mif1,mif2):
        return (-1/96 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,mif2] * self.yubar[0,mif1] + -1/96 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,mif2] * self.yubar[0,mif1] + -1/96 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,mif2] * self.yubar[0,mif1] + -1/96 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,mif2] * self.yubar[1,mif1] + -1/96 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,mif2] * self.yubar[1,mif1] + -1/96 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,mif2] * self.yubar[1,mif1] + -1/96 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,mif2] * self.yubar[2,mif1] + -1/96 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,mif2] * self.yubar[2,mif1] + -1/96 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,mif2] * self.yubar[2,mif1])

    def alphaOld(self, mif1,mif2,mif3,mif4):
        return -1/270 * (self.g1)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4)

    def alphaOle(self, mif1,mif2,mif3,mif4):
        return (-1/90 * (self.g1)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yl[mif1,mif4] * self.ylbar[mif2,mif3] + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yl[mif1,mif4] * self.ylbar[mif2,mif3] + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yl[mif1,mif4] * self.ylbar[mif2,mif3])

    def alphaOledq(self, mif1,mif2,mif3,mif4):
        return (-1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[0] * self.ydbar[0,mif3] * self.yl[mif1,mif2] + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[1] * self.ydbar[1,mif3] * self.yl[mif1,mif2] + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[2] * self.ydbar[2,mif3] * self.yl[mif1,mif2] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.ydbar[mif4,mif3] * self.yl[mif1,mif2] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.ydbar[mif4,mif3] * self.yl[mif1,mif2] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.ydbar[mif4,mif3] * self.yl[mif1,mif2])

    def alphaOlequ1(self, mif1,mif2,mif3,mif4):
        return (-1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yl[mif1,mif2] * self.yu[mif3,mif4] + -1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yl[mif1,mif2] * self.yu[mif3,mif4] + -1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yl[mif1,mif2] * self.yu[mif3,mif4])

    def alphaOlequ3(self, mif1,mif2,mif3,mif4):
        return 0

    def alphaOll(self, mif1,mif2,mif3,mif4):
        return -1/360 * (self.g1)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4)

    def alphaOlq1(self, mif1,mif2,mif3,mif4):
        return (1/540 * (self.g1)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -61/6912 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] + -1/384 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] + 1/384 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yl[mif1,0] * self.ylbar[mif2,0] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yl[mif1,0] * self.ylbar[mif2,0] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,0] * self.ylbar[mif2,0] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yl[mif1,1] * self.ylbar[mif2,1] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yl[mif1,1] * self.ylbar[mif2,1] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,1] * self.ylbar[mif2,1] + -3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yl[mif1,2] * self.ylbar[mif2,2] + -1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yl[mif1,2] * self.ylbar[mif2,2] + 1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,2] * self.ylbar[mif2,2])

    def alphaOlq3(self, mif1,mif2,mif3,mif4):
        return (-11/2304 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] + -1/384 * (self.g2)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] + 1/384 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yl[mif1,0] * self.ylbar[mif2,0] + 1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yl[mif1,0] * self.ylbar[mif2,0] + -1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,0] * self.ylbar[mif2,0] + 3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yl[mif1,1] * self.ylbar[mif2,1] + 1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yl[mif1,1] * self.ylbar[mif2,1] + -1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,1] * self.ylbar[mif2,1] + 3/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yl[mif1,2] * self.ylbar[mif2,2] + 1/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yl[mif1,2] * self.ylbar[mif2,2] + -1/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[mif1,2] * self.ylbar[mif2,2])

    def alphaOlu(self, mif1,mif2,mif3,mif4):
        return 1/135 * (self.g1)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4)

    def alphaOqd1(self, mif1,mif2,mif3,mif4):
        return (1/810 * (self.g1)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -61/10368 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaU[mif2] * self.lambdaUbar[mif1] + -1/576 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaU[mif2] * self.lambdaUbar[mif1] + 1/576 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yd[0,mif4] * self.ydbar[0,mif3] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yd[0,mif4] * self.ydbar[0,mif3] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ydbar[0,mif3] + 1/192 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * self.yd[mif1,mif4] * self.ydbar[0,mif3] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yd[1,mif4] * self.ydbar[1,mif3] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yd[1,mif4] * self.ydbar[1,mif3] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ydbar[1,mif3] + 1/192 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * self.yd[mif1,mif4] * self.ydbar[1,mif3] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yd[2,mif4] * self.ydbar[2,mif3] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yd[2,mif4] * self.ydbar[2,mif3] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ydbar[2,mif3] + 1/192 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * self.yd[mif1,mif4] * self.ydbar[2,mif3] + 1/192 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,mif4] * self.ydbar[mif2,mif3] + 1/192 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,mif4] * self.ydbar[mif2,mif3] + 1/192 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,mif4] * self.ydbar[mif2,mif3] + -1/96 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[mif1,mif4] * self.ydbar[mif2,mif3] + -1/96 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[mif1,mif4] * self.ydbar[mif2,mif3] + -1/96 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[mif1,mif4] * self.ydbar[mif2,mif3])

    def alphaOqd8(self, mif1,mif2,mif3,mif4):
        return (-1/120 * (self.g3)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 7/576 * (self.g3)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaU[mif2] * self.lambdaUbar[mif1] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[0] * self.yd[mif1,mif4] * self.ydbar[0,mif3] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[1] * self.yd[mif1,mif4] * self.ydbar[1,mif3] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[2] * self.yd[mif1,mif4] * self.ydbar[2,mif3] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yd[0,mif4] * self.ydbar[mif2,mif3] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yd[1,mif4] * self.ydbar[mif2,mif3] + 1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yd[2,mif4] * self.ydbar[mif2,mif3] + -1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[mif1,mif4] * self.ydbar[mif2,mif3] + -1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[mif1,mif4] * self.ydbar[mif2,mif3] + -1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[mif1,mif4] * self.ydbar[mif2,mif3])

    def alphaOqe(self, mif1,mif2,mif3,mif4):
        return (1/270 * (self.g1)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -61/3456 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaU[mif2] * self.lambdaUbar[mif1] + -1/192 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaU[mif2] * self.lambdaUbar[mif1] + 1/192 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yl[0,mif4] * self.ylbar[0,mif3] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yl[0,mif4] * self.ylbar[0,mif3] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[0,mif4] * self.ylbar[0,mif3] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yl[1,mif4] * self.ylbar[1,mif3] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yl[1,mif4] * self.ylbar[1,mif3] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[1,mif4] * self.ylbar[1,mif3] + 3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yl[2,mif4] * self.ylbar[2,mif3] + 1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yl[2,mif4] * self.ylbar[2,mif3] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yl[2,mif4] * self.ylbar[2,mif3])

    def alphaOqq1(self, mif1,mif2,mif3,mif4):
        return (-1/960 * (self.g3)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.kronecker_delta(mif2,mif3) + -1/3240 * (self.g1)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 1/1440 * (self.g3)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 61/41472 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaU[mif2] * self.lambdaUbar[mif1] + -7/6912 * (self.g3)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaU[mif2] * self.lambdaUbar[mif1] + 1/2304 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaU[mif2] * self.lambdaUbar[mif1] + 7/4608 * (self.g3)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.lambdaU[mif4] * self.lambdaUbar[mif1] + 7/4608 * (self.g3)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.lambdaU[mif2] * self.lambdaUbar[mif3] + 61/41472 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] + -7/6912 * (self.g3)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] + 1/2304 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] + -1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaU[mif4] * self.lambdaUbar[mif1] * self.lambdaUbar[mif3] + -1/2304 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -1/2304 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -3/512 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yd[mif1,0] * self.ydbar[mif2,0] + -1/256 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yd[mif1,0] * self.ydbar[mif2,0] + 1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[mif2,0] + -3/512 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yd[mif1,1] * self.ydbar[mif2,1] + -1/256 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yd[mif1,1] * self.ydbar[mif2,1] + 1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[mif2,1] + -3/512 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yd[mif1,2] * self.ydbar[mif2,2] + -1/256 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yd[mif1,2] * self.ydbar[mif2,2] + 1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[mif2,2] + -3/512 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yd[mif3,0] * self.ydbar[mif4,0] + -1/256 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yd[mif3,0] * self.ydbar[mif4,0] + 1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif3,0] * self.ydbar[mif4,0] + -3/512 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yd[mif3,1] * self.ydbar[mif4,1] + -1/256 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yd[mif3,1] * self.ydbar[mif4,1] + 1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif3,1] * self.ydbar[mif4,1] + -3/512 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yd[mif3,2] * self.ydbar[mif4,2] + -1/256 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yd[mif3,2] * self.ydbar[mif4,2] + 1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif3,2] * self.ydbar[mif4,2] + 3/512 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yu[mif1,0] * self.yubar[mif2,0] + 1/256 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yu[mif1,0] * self.yubar[mif2,0] + -1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[mif2,0] + 3/512 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yu[mif1,1] * self.yubar[mif2,1] + 1/256 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yu[mif1,1] * self.yubar[mif2,1] + -1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[mif2,1] + 3/512 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yu[mif1,2] * self.yubar[mif2,2] + 1/256 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yu[mif1,2] * self.yubar[mif2,2] + -1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[mif2,2] + 3/512 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yu[mif3,0] * self.yubar[mif4,0] + 1/256 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yu[mif3,0] * self.yubar[mif4,0] + -1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[mif3,0] * self.yubar[mif4,0] + 3/512 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yu[mif3,1] * self.yubar[mif4,1] + 1/256 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yu[mif3,1] * self.yubar[mif4,1] + -1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[mif3,1] * self.yubar[mif4,1] + 3/512 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yu[mif3,2] * self.yubar[mif4,2] + 1/256 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yu[mif3,2] * self.yubar[mif4,2] + -1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[mif3,2] * self.yubar[mif4,2])

    def alphaOqq3(self, mif1,mif2,mif3,mif4):
        return (-1/960 * (self.g3)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.kronecker_delta(mif2,mif3) + -11/4608 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaU[mif2] * self.lambdaUbar[mif1] + -1/768 * (self.g2)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaU[mif2] * self.lambdaUbar[mif1] + 7/4608 * (self.g3)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.lambdaU[mif4] * self.lambdaUbar[mif1] + 7/4608 * (self.g3)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.lambdaU[mif2] * self.lambdaUbar[mif3] + -11/4608 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] + -1/768 * (self.g2)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] + -1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaU[mif4] * self.lambdaUbar[mif1] * self.lambdaUbar[mif3] + 1/768 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 1/768 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * np.log((self.MU)**(2) * (self.mu)**(-2)) + 3/512 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yd[mif1,0] * self.ydbar[mif2,0] + 1/256 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yd[mif1,0] * self.ydbar[mif2,0] + -1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[mif2,0] + 3/512 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yd[mif1,1] * self.ydbar[mif2,1] + 1/256 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yd[mif1,1] * self.ydbar[mif2,1] + -1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[mif2,1] + 3/512 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yd[mif1,2] * self.ydbar[mif2,2] + 1/256 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yd[mif1,2] * self.ydbar[mif2,2] + -1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[mif2,2] + 3/512 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yd[mif3,0] * self.ydbar[mif4,0] + 1/256 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yd[mif3,0] * self.ydbar[mif4,0] + -1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif3,0] * self.ydbar[mif4,0] + 3/512 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yd[mif3,1] * self.ydbar[mif4,1] + 1/256 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yd[mif3,1] * self.ydbar[mif4,1] + -1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif3,1] * self.ydbar[mif4,1] + 3/512 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yd[mif3,2] * self.ydbar[mif4,2] + 1/256 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yd[mif3,2] * self.ydbar[mif4,2] + -1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[mif3,2] * self.ydbar[mif4,2] + 3/512 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yu[mif1,0] * self.yubar[mif2,0] + 1/256 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yu[mif1,0] * self.yubar[mif2,0] + -1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[mif2,0] + 3/512 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yu[mif1,1] * self.yubar[mif2,1] + 1/256 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yu[mif1,1] * self.yubar[mif2,1] + -1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[mif2,1] + 3/512 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yu[mif1,2] * self.yubar[mif2,2] + 1/256 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * self.yu[mif1,2] * self.yubar[mif2,2] + -1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif4] * self.lambdaUbar[mif3] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[mif2,2] + 3/512 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yu[mif3,0] * self.yubar[mif4,0] + 1/256 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yu[mif3,0] * self.yubar[mif4,0] + -1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[mif3,0] * self.yubar[mif4,0] + 3/512 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yu[mif3,1] * self.yubar[mif4,1] + 1/256 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yu[mif3,1] * self.yubar[mif4,1] + -1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[mif3,1] * self.yubar[mif4,1] + 3/512 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yu[mif3,2] * self.yubar[mif4,2] + 1/256 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yu[mif3,2] * self.yubar[mif4,2] + -1/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[mif3,2] * self.yubar[mif4,2])

    def alphaOqu1(self, mif1,mif2,mif3,mif4):
        return (-1/405 * (self.g1)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 61/5184 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaU[mif2] * self.lambdaUbar[mif1] + 1/288 * (self.g1)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaU[mif2] * self.lambdaUbar[mif1] + -1/288 * (self.g1)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) + -3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yu[0,mif4] * self.yubar[0,mif3] + -1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yu[0,mif4] * self.yubar[0,mif3] + 1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,mif4] * self.yubar[0,mif3] + -3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yu[1,mif4] * self.yubar[1,mif3] + -1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yu[1,mif4] * self.yubar[1,mif3] + 1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,mif4] * self.yubar[1,mif3] + -3/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yu[2,mif4] * self.yubar[2,mif3] + -1/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * self.yu[2,mif4] * self.yubar[2,mif3] + 1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[mif2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,mif4] * self.yubar[2,mif3] + -1/96 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[mif1,mif4] * self.yubar[mif2,mif3] + -1/96 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[mif1,mif4] * self.yubar[mif2,mif3] + -1/96 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[mif1,mif4] * self.yubar[mif2,mif3])

    def alphaOqu8(self, mif1,mif2,mif3,mif4):
        return (-1/120 * (self.g3)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 7/576 * (self.g3)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.lambdaU[mif2] * self.lambdaUbar[mif1] + -1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[mif1,mif4] * self.yubar[mif2,mif3] + -1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[mif1,mif4] * self.yubar[mif2,mif3] + -1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[mif1,mif4] * self.yubar[mif2,mif3])

    def alphaOquqd1(self, mif1,mif2,mif3,mif4):
        return (-1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif3] * self.yd[0,mif4] * self.yu[mif1,mif2] + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif3] * self.yd[1,mif4] * self.yu[mif1,mif2] + -1/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif3] * self.yd[2,mif4] * self.yu[mif1,mif2] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[mif3,mif4] * self.yu[mif1,mif2] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[mif3,mif4] * self.yu[mif1,mif2] + 1/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[mif3,mif4] * self.yu[mif1,mif2])

    def alphaOquqd8(self, mif1,mif2,mif3,mif4):
        return 0

    def alphaOuB(self, mif1,mif2):
        return (5/1152 * self.g1 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yu[0,mif2] + 5/1152 * self.g1 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yu[1,mif2] + 5/1152 * self.g1 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yu[2,mif2])

    def alphaOud1(self, mif1,mif2,mif3,mif4):
        return 2/405 * (self.g1)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4)

    def alphaOud8(self, mif1,mif2,mif3,mif4):
        return -1/120 * (self.g3)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4)

    def alphaOuG(self, mif1,mif2):
        return (1/384 * self.g3 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yu[0,mif2] + 1/384 * self.g3 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yu[1,mif2] + 1/384 * self.g3 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yu[2,mif2])

    def alphaOuH(self, mif1,mif2):
        return (1/2 * (self.MU)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yu[0,mif2] + 5/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yu[0,mif2] + 1/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yu[0,mif2] + -31/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(2) * self.lambdaUbar[0] * self.lambdaUbar[mif1] * self.yu[0,mif2] + -21/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(2) * self.lambdaUbar[0] * self.lambdaUbar[mif1] * self.yu[0,mif2] + -9/128 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(2) * self.lambdaUbar[0] * self.lambdaUbar[mif1] * self.yu[0,mif2] + -3/64 * self.invepsilonbar * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(2) * self.lambdaUbar[0] * self.lambdaUbar[mif1] * self.yu[0,mif2] + -31/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[1] * self.lambdaUbar[mif1] * self.yu[0,mif2] + -21/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[1] * self.lambdaUbar[mif1] * self.yu[0,mif2] + -9/128 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[1] * self.lambdaUbar[mif1] * self.yu[0,mif2] + -3/64 * self.invepsilonbar * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[1] * self.lambdaUbar[mif1] * self.yu[0,mif2] + -31/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] * self.yu[0,mif2] + -21/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] * self.yu[0,mif2] + -9/128 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] * self.yu[0,mif2] + -3/64 * self.invepsilonbar * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] * self.yu[0,mif2] + -1/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] + 21/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(2) * self.lambdaUbar[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] + 3/64 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(2) * self.lambdaUbar[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] + 21/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] + 3/64 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] + 21/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] + 3/64 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] + 1/2 * (self.MU)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yu[1,mif2] + 5/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yu[1,mif2] + 1/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yu[1,mif2] + -31/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[0] * self.lambdaUbar[mif1] * self.yu[1,mif2] + -21/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[0] * self.lambdaUbar[mif1] * self.yu[1,mif2] + -9/128 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[0] * self.lambdaUbar[mif1] * self.yu[1,mif2] + -3/64 * self.invepsilonbar * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[0] * self.lambdaUbar[mif1] * self.yu[1,mif2] + -31/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[1])**(2) * self.lambdaUbar[1] * self.lambdaUbar[mif1] * self.yu[1,mif2] + -21/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[1])**(2) * self.lambdaUbar[1] * self.lambdaUbar[mif1] * self.yu[1,mif2] + -9/128 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[1])**(2) * self.lambdaUbar[1] * self.lambdaUbar[mif1] * self.yu[1,mif2] + -3/64 * self.invepsilonbar * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[1])**(2) * self.lambdaUbar[1] * self.lambdaUbar[mif1] * self.yu[1,mif2] + -31/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] * self.yu[1,mif2] + -21/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] * self.yu[1,mif2] + -9/128 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] * self.yu[1,mif2] + -3/64 * self.invepsilonbar * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] * self.yu[1,mif2] + -1/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] + 21/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] + 3/64 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] + 21/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[1])**(2) * self.lambdaUbar[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] + 3/64 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[1])**(2) * self.lambdaUbar[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] + 21/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] + 3/64 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] + 1/2 * (self.MU)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yu[2,mif2] + 5/16 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yu[2,mif2] + 1/4 * self.invepsilonbar * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yu[2,mif2] + -31/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[mif1] * self.yu[2,mif2] + -21/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[mif1] * self.yu[2,mif2] + -9/128 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[mif1] * self.yu[2,mif2] + -3/64 * self.invepsilonbar * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[mif1] * self.yu[2,mif2] + -31/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[1] * self.lambdaUbar[mif1] * self.yu[2,mif2] + -21/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[1] * self.lambdaUbar[mif1] * self.yu[2,mif2] + -9/128 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[1] * self.lambdaUbar[mif1] * self.yu[2,mif2] + -3/64 * self.invepsilonbar * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[1] * self.lambdaUbar[mif1] * self.yu[2,mif2] + -31/256 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[2])**(2) * self.lambdaUbar[2] * self.lambdaUbar[mif1] * self.yu[2,mif2] + -21/128 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[2])**(2) * self.lambdaUbar[2] * self.lambdaUbar[mif1] * self.yu[2,mif2] + -9/128 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[2])**(2) * self.lambdaUbar[2] * self.lambdaUbar[mif1] * self.yu[2,mif2] + -3/64 * self.invepsilonbar * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[2])**(2) * self.lambdaUbar[2] * self.lambdaUbar[mif1] * self.yu[2,mif2] + -1/4 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] + 21/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] + 3/64 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] + 21/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] + 3/64 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[1] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] + 21/128 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[2])**(2) * self.lambdaUbar[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] + 3/64 * (self.MU)**(-4) * (self.muH)**(2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[2])**(2) * self.lambdaUbar[2] * self.lambdaUbar[mif1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] + -5/192 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[mif1,mif2] + -1/32 * (self.g2)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[mif1,mif2] + 1/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[0])**(2) * (self.lambdaUbar[0])**(2) * self.yu[mif1,mif2] + -5/192 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[mif1,mif2] + -1/32 * (self.g2)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[mif1,mif2] + 1/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[mif1,mif2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[1] * self.lambdaUbar[0] * self.lambdaUbar[1] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[1])**(2) * (self.lambdaUbar[1])**(2) * self.yu[mif1,mif2] + -5/192 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[mif1,mif2] + -1/32 * (self.g2)**(2) * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[mif1,mif2] + 1/8 * self.lam * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[mif1,mif2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaU[2] * self.lambdaUbar[0] * self.lambdaUbar[2] * self.yu[mif1,mif2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaU[2] * self.lambdaUbar[1] * self.lambdaUbar[2] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.lambdaU[2])**(2) * (self.lambdaUbar[2])**(2) * self.yu[mif1,mif2] + 1/32 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[mif1,mif2] + 1/32 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[mif1,mif2] + 1/32 * (self.g2)**(2) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,0] * self.ydbar[0,0] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,0] * self.ydbar[0,0] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,0] * self.ydbar[0,0] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,0] * self.ydbar[0,0] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[0,0] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,0] * self.ydbar[0,0] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,0] * self.ydbar[0,0] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[0,0] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,1] * self.ydbar[0,1] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,1] * self.ydbar[0,1] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,1] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,1] * self.ydbar[0,1] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,1] * self.ydbar[0,1] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[0,1] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,1] * self.ydbar[0,1] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,1] * self.ydbar[0,1] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[0,1] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,2] * self.ydbar[0,2] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yd[0,2] * self.ydbar[0,2] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,2] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,2] * self.ydbar[0,2] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yd[1,2] * self.ydbar[0,2] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[0,2] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,2] * self.ydbar[0,2] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yd[2,2] * self.ydbar[0,2] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[0,2] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,0] * self.ydbar[1,0] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,0] * self.ydbar[1,0] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[1,0] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,0] * self.ydbar[1,0] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,0] * self.ydbar[1,0] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,0] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,0] * self.ydbar[1,0] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,0] * self.ydbar[1,0] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[1,0] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,1] * self.ydbar[1,1] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,1] * self.ydbar[1,1] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[1,1] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,1] * self.ydbar[1,1] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,1] * self.ydbar[1,1] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,1] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,1] * self.ydbar[1,1] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,1] * self.ydbar[1,1] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[1,1] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,2] * self.ydbar[1,2] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yd[0,2] * self.ydbar[1,2] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[1,2] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,2] * self.ydbar[1,2] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yd[1,2] * self.ydbar[1,2] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,2] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,2] * self.ydbar[1,2] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yd[2,2] * self.ydbar[1,2] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[1,2] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,0] * self.ydbar[2,0] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,0] * self.ydbar[2,0] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[2,0] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,0] * self.ydbar[2,0] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,0] * self.ydbar[2,0] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[2,0] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,0] * self.ydbar[2,0] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,0] * self.ydbar[2,0] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,0] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,1] * self.ydbar[2,1] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,1] * self.ydbar[2,1] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[2,1] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,1] * self.ydbar[2,1] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,1] * self.ydbar[2,1] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[2,1] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,1] * self.ydbar[2,1] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,1] * self.ydbar[2,1] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,1] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,2] * self.ydbar[2,2] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yd[0,2] * self.ydbar[2,2] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[2,2] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,2] * self.ydbar[2,2] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yd[1,2] * self.ydbar[2,2] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[2,2] * self.yu[mif1,mif2] + 3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,2] * self.ydbar[2,2] * self.yu[mif1,mif2] + 3/32 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yd[2,2] * self.ydbar[2,2] * self.yu[mif1,mif2] + -3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,2] * self.yu[mif1,mif2] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yu[0,0] * self.yu[0,mif2] * self.yubar[0,0] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yu[0,mif2] * self.yu[1,0] * self.yubar[0,0] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yu[0,mif2] * self.yu[2,0] * self.yubar[0,0] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[0,0] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[0,0] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[mif1,mif2] * self.yubar[0,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,0] * self.yu[mif1,mif2] * self.yubar[0,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[mif1,mif2] * self.yubar[0,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,0] * self.yu[mif1,mif2] * self.yubar[0,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,0] * self.yu[mif1,mif2] * self.yubar[0,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[mif1,mif2] * self.yubar[0,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,0] * self.yu[mif1,mif2] * self.yubar[0,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,0] * self.yu[mif1,mif2] * self.yubar[0,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yu[mif1,mif2] * self.yubar[0,0] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yu[0,1] * self.yu[0,mif2] * self.yubar[0,1] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yu[0,mif2] * self.yu[1,1] * self.yubar[0,1] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yu[0,mif2] * self.yu[2,1] * self.yubar[0,1] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[0,1] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[0,1] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[mif1,mif2] * self.yubar[0,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,1] * self.yu[mif1,mif2] * self.yubar[0,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[mif1,mif2] * self.yubar[0,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,1] * self.yu[mif1,mif2] * self.yubar[0,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,1] * self.yu[mif1,mif2] * self.yubar[0,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[mif1,mif2] * self.yubar[0,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,1] * self.yu[mif1,mif2] * self.yubar[0,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,1] * self.yu[mif1,mif2] * self.yubar[0,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yu[mif1,mif2] * self.yubar[0,1] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yu[0,2] * self.yu[0,mif2] * self.yubar[0,2] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yu[0,mif2] * self.yu[1,2] * self.yubar[0,2] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yu[0,mif2] * self.yu[2,2] * self.yubar[0,2] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[0,2] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[0,2] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[mif1,mif2] * self.yubar[0,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * self.yu[0,2] * self.yu[mif1,mif2] * self.yubar[0,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[mif1,mif2] * self.yubar[0,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,2] * self.yu[mif1,mif2] * self.yubar[0,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * self.yu[1,2] * self.yu[mif1,mif2] * self.yubar[0,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[mif1,mif2] * self.yubar[0,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,2] * self.yu[mif1,mif2] * self.yubar[0,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * self.yu[2,2] * self.yu[mif1,mif2] * self.yubar[0,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[0] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yu[mif1,mif2] * self.yubar[0,2] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yu[0,0] * self.yu[1,mif2] * self.yubar[1,0] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yu[1,0] * self.yu[1,mif2] * self.yubar[1,0] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yu[1,mif2] * self.yu[2,0] * self.yubar[1,0] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[1,0] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[1,0] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[mif1,mif2] * self.yubar[1,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,0] * self.yu[mif1,mif2] * self.yubar[1,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[mif1,mif2] * self.yubar[1,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,0] * self.yu[mif1,mif2] * self.yubar[1,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,0] * self.yu[mif1,mif2] * self.yubar[1,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[mif1,mif2] * self.yubar[1,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,0] * self.yu[mif1,mif2] * self.yubar[1,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,0] * self.yu[mif1,mif2] * self.yubar[1,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yu[mif1,mif2] * self.yubar[1,0] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yu[0,1] * self.yu[1,mif2] * self.yubar[1,1] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yu[1,1] * self.yu[1,mif2] * self.yubar[1,1] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yu[1,mif2] * self.yu[2,1] * self.yubar[1,1] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[1,1] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[1,1] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[mif1,mif2] * self.yubar[1,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,1] * self.yu[mif1,mif2] * self.yubar[1,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[mif1,mif2] * self.yubar[1,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,1] * self.yu[mif1,mif2] * self.yubar[1,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,1] * self.yu[mif1,mif2] * self.yubar[1,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[mif1,mif2] * self.yubar[1,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,1] * self.yu[mif1,mif2] * self.yubar[1,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,1] * self.yu[mif1,mif2] * self.yubar[1,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yu[mif1,mif2] * self.yubar[1,1] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yu[0,2] * self.yu[1,mif2] * self.yubar[1,2] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yu[1,2] * self.yu[1,mif2] * self.yubar[1,2] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yu[1,mif2] * self.yu[2,2] * self.yubar[1,2] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[1,2] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[1,2] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[mif1,mif2] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * self.yu[0,2] * self.yu[mif1,mif2] * self.yubar[1,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[mif1,mif2] * self.yubar[1,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,2] * self.yu[mif1,mif2] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * self.yu[1,2] * self.yu[mif1,mif2] * self.yubar[1,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[mif1,mif2] * self.yubar[1,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,2] * self.yu[mif1,mif2] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * self.yu[2,2] * self.yu[mif1,mif2] * self.yubar[1,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[1] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yu[mif1,mif2] * self.yubar[1,2] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yu[0,0] * self.yu[2,mif2] * self.yubar[2,0] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yu[1,0] * self.yu[2,mif2] * self.yubar[2,0] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yu[2,0] * self.yu[2,mif2] * self.yubar[2,0] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[2,0] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[2,0] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[mif1,mif2] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,0] * self.yu[mif1,mif2] * self.yubar[2,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yu[mif1,mif2] * self.yubar[2,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,0] * self.yu[mif1,mif2] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,0] * self.yu[mif1,mif2] * self.yubar[2,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yu[mif1,mif2] * self.yubar[2,0] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,0] * self.yu[mif1,mif2] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,0] * self.yu[mif1,mif2] * self.yubar[2,0] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yu[mif1,mif2] * self.yubar[2,0] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yu[0,1] * self.yu[2,mif2] * self.yubar[2,1] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yu[1,1] * self.yu[2,mif2] * self.yubar[2,1] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yu[2,1] * self.yu[2,mif2] * self.yubar[2,1] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[2,1] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[2,1] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[mif1,mif2] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,1] * self.yu[mif1,mif2] * self.yubar[2,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yu[mif1,mif2] * self.yubar[2,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,1] * self.yu[mif1,mif2] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,1] * self.yu[mif1,mif2] * self.yubar[2,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yu[mif1,mif2] * self.yubar[2,1] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,1] * self.yu[mif1,mif2] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,1] * self.yu[mif1,mif2] * self.yubar[2,1] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yu[mif1,mif2] * self.yubar[2,1] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yu[0,2] * self.yu[2,mif2] * self.yubar[2,2] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yu[1,2] * self.yu[2,mif2] * self.yubar[2,2] + -1/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yu[2,2] * self.yu[2,mif2] * self.yubar[2,2] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[2,2] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[2,2] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 37/384 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 3/64 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] + -3/64 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[mif1,mif2] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * self.yu[0,2] * self.yu[mif1,mif2] * self.yubar[2,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yu[mif1,mif2] * self.yubar[2,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,2] * self.yu[mif1,mif2] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * self.yu[1,2] * self.yu[mif1,mif2] * self.yubar[2,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yu[mif1,mif2] * self.yubar[2,2] + 3/32 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,2] * self.yu[mif1,mif2] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * self.yu[2,2] * self.yu[mif1,mif2] * self.yubar[2,2] + -3/16 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[2] * np.log((self.MU)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yu[mif1,mif2] * self.yubar[2,2])

    def alphaOuu(self, mif1,mif2,mif3,mif4):
        return (-1/480 * (self.g3)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.kronecker_delta(mif2,mif3) + -2/405 * (self.g1)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 1/1440 * (self.g3)**(4) * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4))

    def alphaOuW(self, mif1,mif2):
        return (-1/384 * self.g2 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[0] * self.lambdaUbar[mif1] * self.yu[0,mif2] + -1/384 * self.g2 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[1] * self.lambdaUbar[mif1] * self.yu[1,mif2] + -1/384 * self.g2 * (self.MU)**(-2) * self.onelooporder * (np.pi)**(-2) * self.lambdaU[2] * self.lambdaUbar[mif1] * self.yu[2,mif2])
