## Symbols used:
# yqqomega1bar
# ydbar
# yd
# yeuomega1bar
# yl
# ylbar
# Coupling
# muH
# g1
# Momega1
# g2
# yqlomega1bar
# epsilonbar
# invepsilonbar
# yduomega1bar
# xRP
# yeuomega1
# mu
# lam
# lambdaHatomega1
# yubar
# yqlomega1
# yduomega1
# onelooporder
# g3
# yu
# yqqomega1

import sys
import os
import lsme.numeric.matchingresult as matchingresult

import numpy as np

class Granadaomega1MatchingResult(matchingresult.GenericMatchingResult):
    def __init__(self, name='omega1'):
        super().__init__(name)
        self.Momega1 = 1
        self.yqlomega1 = np.ones((3, 3))
        self.yqlomega1bar = np.ones((3, 3))
        self.yqqomega1 = np.ones((3, 3))
        self.yqqomega1bar = np.ones((3, 3))
        self.yeuomega1 = np.ones((3, 3))
        self.yeuomega1bar = np.ones((3, 3))
        self.yduomega1 = np.ones((3, 3))
        self.yduomega1bar = np.ones((3, 3))
        self.lambdaHatomega1 = 1
        self.lambdaHatomega1bar = 1
        self.nonvanishing = ['alphaO3G', 'alphaOH', 'alphaOHB', 'alphaOHBox', 'alphaOHD', 'alphaOHG', 'alphaOdB', 'alphaOdd', 'alphaOdG', 'alphaOdH', 'alphaOdW', 'alphaOeB', 'alphaOed', 'alphaOee', 'alphaOeH', 'alphaOeu', 'alphaOeW', 'alphaOHd', 'alphaOHe', 'alphaOHl1', 'alphaOHl3', 'alphaOHq1', 'alphaOHq3', 'alphaOHu', 'alphaOHud', 'alphaOld', 'alphaOle', 'alphaOledq', 'alphaOlequ1', 'alphaOlequ3', 'alphaOll', 'alphaOlq1', 'alphaOlq3', 'alphaOlu', 'alphaOqd1', 'alphaOqd8', 'alphaOqe', 'alphaOqq1', 'alphaOqq3', 'alphaOqu1', 'alphaOqu8', 'alphaOquqd1', 'alphaOquqd8', 'alphaOuB', 'alphaOud1', 'alphaOud8', 'alphaOuG', 'alphaOuH', 'alphaOuu', 'alphaOuW']

    def alphaO3G(self, ):
        return 1/5760 * (self.g3)**(3) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2)

    def alphaO3Gt(self, ):
        return 0

    def alphaO3W(self, ):
        return 0

    def alphaO3Wt(self, ):
        return 0

    def alphaOH(self, ):
        return 1/32 * (self.lambdaHatomega1)**(3) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2)

    def alphaOHB(self, ):
        return -1/576 * (self.g1)**(2) * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2)

    def alphaOHBox(self, ):
        return (-1/11520 * (self.g1)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) + -1/64 * (self.lambdaHatomega1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2))

    def alphaOHBt(self, ):
        return 0

    def alphaOHD(self, ):
        return -1/2880 * (self.g1)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2)

    def alphaOHG(self, ):
        return -1/384 * (self.g3)**(2) * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2)

    def alphaOHGt(self, ):
        return 0

    def alphaOHW(self, ):
        return 0

    def alphaOHWB(self, ):
        return 0

    def alphaOHWBt(self, ):
        return 0

    def alphaOHWt(self, ):
        return 0

    def alphaWeinberg(self, mif1,mif2):
        return 0

    def alphaOdB(self, mif1,mif2):
        return (-5/576 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,0] * self.yduomega1bar[mif2,0] + -5/576 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,0] * self.yduomega1bar[mif2,0] + -5/576 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,0] * self.yduomega1bar[mif2,0] + -5/576 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,1] * self.yduomega1bar[mif2,1] + -5/576 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,1] * self.yduomega1bar[mif2,1] + -5/576 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,1] * self.yduomega1bar[mif2,1] + -5/576 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,2] * self.yduomega1bar[mif2,2] + -5/576 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,2] * self.yduomega1bar[mif2,2] + -5/576 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,2] * self.yduomega1bar[mif2,2] + 1/288 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] + 1/288 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] + 1/288 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] + 1/288 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] + 1/288 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] + 1/288 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] + 1/288 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] + 1/288 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] + 1/288 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] + -1/72 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,0] + -1/72 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,1] + -1/72 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,2] + -1/72 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,0] + -1/72 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,1] + -1/72 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,2] + -1/72 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,0] + -1/72 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,1] + -1/72 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,2] + -11/192 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + -5/96 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + 5/96 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + -11/192 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + -5/96 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + 5/96 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + -11/192 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + -5/96 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + 5/96 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + -11/192 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + -5/96 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + 5/96 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + -11/192 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + -5/96 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + 5/96 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + -11/192 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + -5/96 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + 5/96 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + -11/192 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + -5/96 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + 5/96 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + -11/192 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + -5/96 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + 5/96 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + -11/192 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + -5/96 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + 5/96 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yubar[2,2])

    def alphaOdd(self, mif1,mif2,mif3,mif4):
        return (-1/3840 * (self.g3)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.kronecker_delta(mif2,mif3) + -1/25920 * (self.g1)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 1/11520 * (self.g3)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -17/2592 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,0] + 7/3456 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,0] + -1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,0] + 1/576 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,0] + 1/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,0] + -1/576 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,0] + -7/1152 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yduomega1[mif3,0] * self.yduomega1bar[mif2,0] + -1/192 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yduomega1[mif3,0] * self.yduomega1bar[mif2,0] + 1/192 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,0] * self.yduomega1bar[mif2,0] + -17/2592 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,1] + 7/3456 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,1] + -1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,1] + 1/576 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,1] + 1/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,1] + -1/576 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,1] + -7/1152 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yduomega1[mif3,1] * self.yduomega1bar[mif2,1] + -1/192 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yduomega1[mif3,1] * self.yduomega1bar[mif2,1] + 1/192 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,1] * self.yduomega1bar[mif2,1] + -17/2592 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,2] + 7/3456 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,2] + -1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,2] + 1/576 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,2] + 1/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,2] + -1/576 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,2] + -7/1152 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yduomega1[mif3,2] * self.yduomega1bar[mif2,2] + -1/192 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yduomega1[mif3,2] * self.yduomega1bar[mif2,2] + 1/192 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,2] * self.yduomega1bar[mif2,2] + -7/1152 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yduomega1[mif1,0] * self.yduomega1bar[mif4,0] + -1/192 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yduomega1[mif1,0] * self.yduomega1bar[mif4,0] + 1/192 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,0] * self.yduomega1bar[mif4,0] + -17/2592 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] + 7/3456 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] + -1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] + 1/576 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] + 1/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] + -1/576 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1[mif3,0] * self.yduomega1bar[mif2,0] * self.yduomega1bar[mif4,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1[mif3,0] * self.yduomega1bar[mif2,1] * self.yduomega1bar[mif4,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1[mif3,1] * self.yduomega1bar[mif2,1] * self.yduomega1bar[mif4,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1[mif3,0] * self.yduomega1bar[mif2,2] * self.yduomega1bar[mif4,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1[mif3,2] * self.yduomega1bar[mif2,2] * self.yduomega1bar[mif4,0] + -7/1152 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yduomega1[mif1,1] * self.yduomega1bar[mif4,1] + -1/192 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yduomega1[mif1,1] * self.yduomega1bar[mif4,1] + 1/192 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,1] * self.yduomega1bar[mif4,1] + -17/2592 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] + 7/3456 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] + -1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] + 1/576 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] + 1/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] + -1/576 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1[mif3,0] * self.yduomega1bar[mif2,0] * self.yduomega1bar[mif4,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1[mif3,1] * self.yduomega1bar[mif2,0] * self.yduomega1bar[mif4,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1[mif3,1] * self.yduomega1bar[mif2,1] * self.yduomega1bar[mif4,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1[mif3,1] * self.yduomega1bar[mif2,2] * self.yduomega1bar[mif4,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1[mif3,2] * self.yduomega1bar[mif2,2] * self.yduomega1bar[mif4,1] + -7/1152 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yduomega1[mif1,2] * self.yduomega1bar[mif4,2] + -1/192 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yduomega1[mif1,2] * self.yduomega1bar[mif4,2] + 1/192 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,2] * self.yduomega1bar[mif4,2] + -17/2592 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] + 7/3456 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] + -1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] + 1/576 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] + 1/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] + -1/576 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1[mif3,0] * self.yduomega1bar[mif2,0] * self.yduomega1bar[mif4,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1[mif3,2] * self.yduomega1bar[mif2,0] * self.yduomega1bar[mif4,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1[mif3,1] * self.yduomega1bar[mif2,1] * self.yduomega1bar[mif4,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1[mif3,2] * self.yduomega1bar[mif2,1] * self.yduomega1bar[mif4,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1[mif3,2] * self.yduomega1bar[mif2,2] * self.yduomega1bar[mif4,2])

    def alphaOdG(self, mif1,mif2):
        return (1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,0] * self.yduomega1bar[mif2,0] + 1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,0] * self.yduomega1bar[mif2,0] + 1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,0] * self.yduomega1bar[mif2,0] + 1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,1] * self.yduomega1bar[mif2,1] + 1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,1] * self.yduomega1bar[mif2,1] + 1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,1] * self.yduomega1bar[mif2,1] + 1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,2] * self.yduomega1bar[mif2,2] + 1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,2] * self.yduomega1bar[mif2,2] + 1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,2] * self.yduomega1bar[mif2,2] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] + 1/96 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,0] + 1/96 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,1] + 1/96 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,2] + 1/96 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,0] + 1/96 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,1] + 1/96 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,2] + 1/96 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,0] + 1/96 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,1] + 1/96 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,2] + 1/8 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + 1/16 * self.g3 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + -1/16 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + 1/8 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + 1/16 * self.g3 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + -1/16 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + 1/8 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + 1/16 * self.g3 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + -1/16 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + 1/8 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + 1/16 * self.g3 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + -1/16 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + 1/8 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + 1/16 * self.g3 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + -1/16 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + 1/8 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + 1/16 * self.g3 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + -1/16 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + 1/8 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + 1/16 * self.g3 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + -1/16 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + 1/8 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + 1/16 * self.g3 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + -1/16 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + 1/8 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + 1/16 * self.g3 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + -1/16 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yubar[2,2])

    def alphaOdH(self, mif1,mif2):
        return (1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yduomega1[0,0] * self.yduomega1bar[0,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yduomega1[0,0] * self.yduomega1bar[0,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yduomega1[0,0] * self.yduomega1bar[0,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,0] * self.yduomega1[1,0] * self.yduomega1bar[0,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,0] * self.yduomega1[1,0] * self.yduomega1bar[0,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,0] * self.yduomega1[1,0] * self.yduomega1bar[0,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,0] * self.yduomega1[2,0] * self.yduomega1bar[0,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,0] * self.yduomega1[2,0] * self.yduomega1bar[0,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,0] * self.yduomega1[2,0] * self.yduomega1bar[0,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yduomega1[0,1] * self.yduomega1bar[0,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yduomega1[0,1] * self.yduomega1bar[0,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yduomega1[0,1] * self.yduomega1bar[0,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,0] * self.yduomega1[1,1] * self.yduomega1bar[0,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,0] * self.yduomega1[1,1] * self.yduomega1bar[0,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,0] * self.yduomega1[1,1] * self.yduomega1bar[0,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,0] * self.yduomega1[2,1] * self.yduomega1bar[0,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,0] * self.yduomega1[2,1] * self.yduomega1bar[0,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,0] * self.yduomega1[2,1] * self.yduomega1bar[0,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yduomega1[0,2] * self.yduomega1bar[0,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yduomega1[0,2] * self.yduomega1bar[0,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yduomega1[0,2] * self.yduomega1bar[0,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,0] * self.yduomega1[1,2] * self.yduomega1bar[0,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,0] * self.yduomega1[1,2] * self.yduomega1bar[0,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,0] * self.yduomega1[1,2] * self.yduomega1bar[0,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,0] * self.yduomega1[2,2] * self.yduomega1bar[0,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,0] * self.yduomega1[2,2] * self.yduomega1bar[0,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,0] * self.yduomega1[2,2] * self.yduomega1bar[0,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,1] * self.yduomega1[0,0] * self.yduomega1bar[1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,1] * self.yduomega1[0,0] * self.yduomega1bar[1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,1] * self.yduomega1[0,0] * self.yduomega1bar[1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yduomega1[1,0] * self.yduomega1bar[1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yduomega1[1,0] * self.yduomega1bar[1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yduomega1[1,0] * self.yduomega1bar[1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,1] * self.yduomega1[2,0] * self.yduomega1bar[1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,1] * self.yduomega1[2,0] * self.yduomega1bar[1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,1] * self.yduomega1[2,0] * self.yduomega1bar[1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,1] * self.yduomega1[0,1] * self.yduomega1bar[1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,1] * self.yduomega1[0,1] * self.yduomega1bar[1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,1] * self.yduomega1[0,1] * self.yduomega1bar[1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yduomega1[1,1] * self.yduomega1bar[1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yduomega1[1,1] * self.yduomega1bar[1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yduomega1[1,1] * self.yduomega1bar[1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,1] * self.yduomega1[2,1] * self.yduomega1bar[1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,1] * self.yduomega1[2,1] * self.yduomega1bar[1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,1] * self.yduomega1[2,1] * self.yduomega1bar[1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,1] * self.yduomega1[0,2] * self.yduomega1bar[1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,1] * self.yduomega1[0,2] * self.yduomega1bar[1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,1] * self.yduomega1[0,2] * self.yduomega1bar[1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yduomega1[1,2] * self.yduomega1bar[1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yduomega1[1,2] * self.yduomega1bar[1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yduomega1[1,2] * self.yduomega1bar[1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,1] * self.yduomega1[2,2] * self.yduomega1bar[1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,1] * self.yduomega1[2,2] * self.yduomega1bar[1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,1] * self.yduomega1[2,2] * self.yduomega1bar[1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,2] * self.yduomega1[0,0] * self.yduomega1bar[2,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,2] * self.yduomega1[0,0] * self.yduomega1bar[2,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,2] * self.yduomega1[0,0] * self.yduomega1bar[2,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,2] * self.yduomega1[1,0] * self.yduomega1bar[2,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,2] * self.yduomega1[1,0] * self.yduomega1bar[2,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,2] * self.yduomega1[1,0] * self.yduomega1bar[2,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yduomega1[2,0] * self.yduomega1bar[2,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yduomega1[2,0] * self.yduomega1bar[2,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yduomega1[2,0] * self.yduomega1bar[2,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,2] * self.yduomega1[0,1] * self.yduomega1bar[2,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,2] * self.yduomega1[0,1] * self.yduomega1bar[2,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,2] * self.yduomega1[0,1] * self.yduomega1bar[2,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,2] * self.yduomega1[1,1] * self.yduomega1bar[2,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,2] * self.yduomega1[1,1] * self.yduomega1bar[2,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,2] * self.yduomega1[1,1] * self.yduomega1bar[2,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yduomega1[2,1] * self.yduomega1bar[2,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yduomega1[2,1] * self.yduomega1bar[2,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yduomega1[2,1] * self.yduomega1bar[2,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,2] * self.yduomega1[0,2] * self.yduomega1bar[2,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,2] * self.yduomega1[0,2] * self.yduomega1bar[2,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,2] * self.yduomega1[0,2] * self.yduomega1bar[2,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,2] * self.yduomega1[1,2] * self.yduomega1bar[2,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,2] * self.yduomega1[1,2] * self.yduomega1bar[2,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,2] * self.yduomega1[1,2] * self.yduomega1bar[2,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yduomega1[2,2] * self.yduomega1bar[2,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yduomega1[2,2] * self.yduomega1bar[2,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yduomega1[2,2] * self.yduomega1bar[2,2] + 1/32 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,0] * self.yduomega1bar[mif2,0] + 1/32 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,0] * self.yduomega1bar[mif2,0] + 1/32 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,0] * self.yduomega1bar[mif2,0] + 1/32 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,1] * self.yduomega1bar[mif2,1] + 1/32 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,1] * self.yduomega1bar[mif2,1] + 1/32 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,1] * self.yduomega1bar[mif2,1] + 1/32 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,2] * self.yduomega1bar[mif2,2] + 1/32 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,2] * self.yduomega1bar[mif2,2] + 1/32 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,2] * self.yduomega1bar[mif2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yqlomega1[0,0] * self.yqlomega1bar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yqlomega1[0,0] * self.yqlomega1bar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yqlomega1[0,0] * self.yqlomega1bar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yqlomega1[1,0] * self.yqlomega1bar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yqlomega1[1,0] * self.yqlomega1bar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yqlomega1[1,0] * self.yqlomega1bar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yqlomega1[2,0] * self.yqlomega1bar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yqlomega1[2,0] * self.yqlomega1bar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yqlomega1[2,0] * self.yqlomega1bar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yqlomega1[0,1] * self.yqlomega1bar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yqlomega1[0,1] * self.yqlomega1bar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yqlomega1[0,1] * self.yqlomega1bar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yqlomega1[1,1] * self.yqlomega1bar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yqlomega1[1,1] * self.yqlomega1bar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yqlomega1[1,1] * self.yqlomega1bar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yqlomega1[2,1] * self.yqlomega1bar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yqlomega1[2,1] * self.yqlomega1bar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yqlomega1[2,1] * self.yqlomega1bar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yqlomega1[0,2] * self.yqlomega1bar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yqlomega1[0,2] * self.yqlomega1bar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yqlomega1[0,2] * self.yqlomega1bar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yqlomega1[1,2] * self.yqlomega1bar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yqlomega1[1,2] * self.yqlomega1bar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yqlomega1[1,2] * self.yqlomega1bar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yqlomega1[2,2] * self.yqlomega1bar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yqlomega1[2,2] * self.yqlomega1bar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yqlomega1[2,2] * self.yqlomega1bar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yqlomega1[0,0] * self.yqlomega1bar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yqlomega1[0,0] * self.yqlomega1bar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yqlomega1[0,0] * self.yqlomega1bar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yqlomega1[1,0] * self.yqlomega1bar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yqlomega1[1,0] * self.yqlomega1bar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yqlomega1[1,0] * self.yqlomega1bar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yqlomega1[2,0] * self.yqlomega1bar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yqlomega1[2,0] * self.yqlomega1bar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yqlomega1[2,0] * self.yqlomega1bar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yqlomega1[0,1] * self.yqlomega1bar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yqlomega1[0,1] * self.yqlomega1bar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yqlomega1[0,1] * self.yqlomega1bar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yqlomega1[1,1] * self.yqlomega1bar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yqlomega1[1,1] * self.yqlomega1bar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yqlomega1[1,1] * self.yqlomega1bar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yqlomega1[2,1] * self.yqlomega1bar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yqlomega1[2,1] * self.yqlomega1bar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yqlomega1[2,1] * self.yqlomega1bar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yqlomega1[0,2] * self.yqlomega1bar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yqlomega1[0,2] * self.yqlomega1bar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yqlomega1[0,2] * self.yqlomega1bar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yqlomega1[1,2] * self.yqlomega1bar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yqlomega1[1,2] * self.yqlomega1bar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yqlomega1[1,2] * self.yqlomega1bar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yqlomega1[2,2] * self.yqlomega1bar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yqlomega1[2,2] * self.yqlomega1bar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yqlomega1[2,2] * self.yqlomega1bar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yqlomega1[0,0] * self.yqlomega1bar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yqlomega1[0,0] * self.yqlomega1bar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yqlomega1[0,0] * self.yqlomega1bar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yqlomega1[1,0] * self.yqlomega1bar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yqlomega1[1,0] * self.yqlomega1bar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yqlomega1[1,0] * self.yqlomega1bar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yqlomega1[2,0] * self.yqlomega1bar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yqlomega1[2,0] * self.yqlomega1bar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yqlomega1[2,0] * self.yqlomega1bar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yqlomega1[0,1] * self.yqlomega1bar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yqlomega1[0,1] * self.yqlomega1bar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yqlomega1[0,1] * self.yqlomega1bar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yqlomega1[1,1] * self.yqlomega1bar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yqlomega1[1,1] * self.yqlomega1bar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yqlomega1[1,1] * self.yqlomega1bar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yqlomega1[2,1] * self.yqlomega1bar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yqlomega1[2,1] * self.yqlomega1bar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yqlomega1[2,1] * self.yqlomega1bar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yqlomega1[0,2] * self.yqlomega1bar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yqlomega1[0,2] * self.yqlomega1bar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yqlomega1[0,2] * self.yqlomega1bar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yqlomega1[1,2] * self.yqlomega1bar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yqlomega1[1,2] * self.yqlomega1bar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yqlomega1[1,2] * self.yqlomega1bar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yqlomega1[2,2] * self.yqlomega1bar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yqlomega1[2,2] * self.yqlomega1bar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yqlomega1[2,2] * self.yqlomega1bar[2,2] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yqqomega1[0,0] * self.yqqomega1bar[0,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yqqomega1[0,0] * self.yqqomega1bar[0,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yqqomega1[0,0] * self.yqqomega1bar[0,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yqqomega1[0,1] * self.yqqomega1bar[0,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yqqomega1[0,1] * self.yqqomega1bar[0,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yqqomega1[0,1] * self.yqqomega1bar[0,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yqqomega1[0,2] * self.yqqomega1bar[0,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yqqomega1[0,2] * self.yqqomega1bar[0,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yqqomega1[0,2] * self.yqqomega1bar[0,0] + 1/8 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yqqomega1[0,0] * self.yqqomega1bar[0,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yqqomega1[0,0] * self.yqqomega1bar[0,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yqqomega1[0,0] * self.yqqomega1bar[0,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yqqomega1[0,1] * self.yqqomega1bar[0,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yqqomega1[0,1] * self.yqqomega1bar[0,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yqqomega1[0,1] * self.yqqomega1bar[0,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yqqomega1[0,2] * self.yqqomega1bar[0,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yqqomega1[0,2] * self.yqqomega1bar[0,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yqqomega1[0,2] * self.yqqomega1bar[0,1] + 1/8 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yqqomega1[0,0] * self.yqqomega1bar[0,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yqqomega1[0,0] * self.yqqomega1bar[0,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yqqomega1[0,0] * self.yqqomega1bar[0,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yqqomega1[0,1] * self.yqqomega1bar[0,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yqqomega1[0,1] * self.yqqomega1bar[0,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yqqomega1[0,1] * self.yqqomega1bar[0,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yqqomega1[0,2] * self.yqqomega1bar[0,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yqqomega1[0,2] * self.yqqomega1bar[0,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yqqomega1[0,2] * self.yqqomega1bar[0,2] + 1/8 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yqqomega1[1,0] * self.yqqomega1bar[1,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yqqomega1[1,0] * self.yqqomega1bar[1,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yqqomega1[1,0] * self.yqqomega1bar[1,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yqqomega1[1,1] * self.yqqomega1bar[1,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yqqomega1[1,1] * self.yqqomega1bar[1,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yqqomega1[1,1] * self.yqqomega1bar[1,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yqqomega1[1,2] * self.yqqomega1bar[1,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yqqomega1[1,2] * self.yqqomega1bar[1,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yqqomega1[1,2] * self.yqqomega1bar[1,0] + 1/8 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yqqomega1[1,0] * self.yqqomega1bar[1,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yqqomega1[1,0] * self.yqqomega1bar[1,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yqqomega1[1,0] * self.yqqomega1bar[1,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yqqomega1[1,1] * self.yqqomega1bar[1,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yqqomega1[1,1] * self.yqqomega1bar[1,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yqqomega1[1,1] * self.yqqomega1bar[1,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yqqomega1[1,2] * self.yqqomega1bar[1,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yqqomega1[1,2] * self.yqqomega1bar[1,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yqqomega1[1,2] * self.yqqomega1bar[1,1] + 1/8 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yqqomega1[1,0] * self.yqqomega1bar[1,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yqqomega1[1,0] * self.yqqomega1bar[1,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yqqomega1[1,0] * self.yqqomega1bar[1,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yqqomega1[1,1] * self.yqqomega1bar[1,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yqqomega1[1,1] * self.yqqomega1bar[1,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yqqomega1[1,1] * self.yqqomega1bar[1,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yqqomega1[1,2] * self.yqqomega1bar[1,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yqqomega1[1,2] * self.yqqomega1bar[1,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yqqomega1[1,2] * self.yqqomega1bar[1,2] + 1/8 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yqqomega1[2,0] * self.yqqomega1bar[2,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yqqomega1[2,0] * self.yqqomega1bar[2,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yqqomega1[2,0] * self.yqqomega1bar[2,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yqqomega1[2,1] * self.yqqomega1bar[2,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yqqomega1[2,1] * self.yqqomega1bar[2,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yqqomega1[2,1] * self.yqqomega1bar[2,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yqqomega1[2,2] * self.yqqomega1bar[2,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yqqomega1[2,2] * self.yqqomega1bar[2,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yqqomega1[2,2] * self.yqqomega1bar[2,0] + 1/8 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yqqomega1[2,0] * self.yqqomega1bar[2,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yqqomega1[2,0] * self.yqqomega1bar[2,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yqqomega1[2,0] * self.yqqomega1bar[2,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yqqomega1[2,1] * self.yqqomega1bar[2,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yqqomega1[2,1] * self.yqqomega1bar[2,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yqqomega1[2,1] * self.yqqomega1bar[2,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yqqomega1[2,2] * self.yqqomega1bar[2,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yqqomega1[2,2] * self.yqqomega1bar[2,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yqqomega1[2,2] * self.yqqomega1bar[2,1] + 1/8 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yqqomega1[2,0] * self.yqqomega1bar[2,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yqqomega1[2,0] * self.yqqomega1bar[2,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yqqomega1[2,0] * self.yqqomega1bar[2,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yqqomega1[2,1] * self.yqqomega1bar[2,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yqqomega1[2,1] * self.yqqomega1bar[2,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yqqomega1[2,1] * self.yqqomega1bar[2,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yqqomega1[2,2] * self.yqqomega1bar[2,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yqqomega1[2,2] * self.yqqomega1bar[2,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yqqomega1[2,2] * self.yqqomega1bar[2,2] + 1/8 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[0,0] * self.yduomega1bar[mif2,0] * self.yqqomega1[0,0] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[0,1] * self.yduomega1bar[mif2,0] * self.yqqomega1[0,0] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[0,2] * self.yduomega1bar[mif2,0] * self.yqqomega1[0,0] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[1,0] * self.yduomega1bar[mif2,0] * self.yqqomega1[0,1] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[1,1] * self.yduomega1bar[mif2,0] * self.yqqomega1[0,1] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[1,2] * self.yduomega1bar[mif2,0] * self.yqqomega1[0,1] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[2,0] * self.yduomega1bar[mif2,0] * self.yqqomega1[0,2] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[2,1] * self.yduomega1bar[mif2,0] * self.yqqomega1[0,2] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[2,2] * self.yduomega1bar[mif2,0] * self.yqqomega1[0,2] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,0] * self.yduomega1bar[0,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,0] * self.yduomega1bar[0,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,0] * self.yduomega1bar[0,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,1] * self.yduomega1bar[1,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,1] * self.yduomega1bar[1,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,1] * self.yduomega1bar[1,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,2] * self.yduomega1bar[2,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,2] * self.yduomega1bar[2,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,2] * self.yduomega1bar[2,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + 3/8 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + 1/4 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + -1/4 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + -1/4 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,0] * self.yduomega1bar[mif2,0] * self.yu[0,0] * self.yubar[0,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,0] * self.yduomega1bar[mif2,0] * self.yu[0,0] * self.yubar[0,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,0] * self.yduomega1bar[mif2,0] * self.yu[0,0] * self.yubar[0,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,0] * self.yu[0,0] * self.yubar[0,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,1] * self.yu[0,0] * self.yubar[0,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,2] * self.yu[0,0] * self.yubar[0,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,1] * self.yduomega1bar[mif2,0] * self.yu[0,1] * self.yubar[0,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,1] * self.yduomega1bar[mif2,0] * self.yu[0,1] * self.yubar[0,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,1] * self.yduomega1bar[mif2,0] * self.yu[0,1] * self.yubar[0,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,2] * self.yduomega1bar[mif2,0] * self.yu[0,2] * self.yubar[0,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,2] * self.yduomega1bar[mif2,0] * self.yu[0,2] * self.yubar[0,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,2] * self.yduomega1bar[mif2,0] * self.yu[0,2] * self.yubar[0,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,0] * self.yu[1,0] * self.yubar[0,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,1] * self.yu[1,0] * self.yubar[0,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,2] * self.yu[1,0] * self.yubar[0,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,0] * self.yu[2,0] * self.yubar[0,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,1] * self.yu[2,0] * self.yubar[0,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,2] * self.yu[2,0] * self.yubar[0,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[0,0] * (self.yubar[0,0])**(2) + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[0,0] * (self.yubar[0,0])**(2) + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[0,0] * (self.yubar[0,0])**(2) + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[0,0] * self.yduomega1bar[mif2,1] * self.yqqomega1[0,0] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[0,1] * self.yduomega1bar[mif2,1] * self.yqqomega1[0,0] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[0,2] * self.yduomega1bar[mif2,1] * self.yqqomega1[0,0] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[1,0] * self.yduomega1bar[mif2,1] * self.yqqomega1[0,1] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[1,1] * self.yduomega1bar[mif2,1] * self.yqqomega1[0,1] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[1,2] * self.yduomega1bar[mif2,1] * self.yqqomega1[0,1] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[2,0] * self.yduomega1bar[mif2,1] * self.yqqomega1[0,2] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[2,1] * self.yduomega1bar[mif2,1] * self.yqqomega1[0,2] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[2,2] * self.yduomega1bar[mif2,1] * self.yqqomega1[0,2] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,0] * self.yduomega1bar[0,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,0] * self.yduomega1bar[0,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,0] * self.yduomega1bar[0,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,1] * self.yduomega1bar[1,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,1] * self.yduomega1bar[1,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,1] * self.yduomega1bar[1,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,2] * self.yduomega1bar[2,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,2] * self.yduomega1bar[2,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,2] * self.yduomega1bar[2,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + 3/8 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + 1/4 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + -1/4 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + -1/4 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,0] * self.yduomega1bar[mif2,1] * self.yu[0,0] * self.yubar[0,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,0] * self.yduomega1bar[mif2,1] * self.yu[0,0] * self.yubar[0,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,0] * self.yduomega1bar[mif2,1] * self.yu[0,0] * self.yubar[0,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,1] * self.yduomega1bar[mif2,1] * self.yu[0,1] * self.yubar[0,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,1] * self.yduomega1bar[mif2,1] * self.yu[0,1] * self.yubar[0,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,1] * self.yduomega1bar[mif2,1] * self.yu[0,1] * self.yubar[0,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,0] * self.yu[0,1] * self.yubar[0,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,1] * self.yu[0,1] * self.yubar[0,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,2] * self.yu[0,1] * self.yubar[0,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,2] * self.yduomega1bar[mif2,1] * self.yu[0,2] * self.yubar[0,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,2] * self.yduomega1bar[mif2,1] * self.yu[0,2] * self.yubar[0,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,2] * self.yduomega1bar[mif2,1] * self.yu[0,2] * self.yubar[0,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,0] * self.yu[1,1] * self.yubar[0,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,1] * self.yu[1,1] * self.yubar[0,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,2] * self.yu[1,1] * self.yubar[0,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,0] * self.yu[2,1] * self.yubar[0,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,1] * self.yu[2,1] * self.yubar[0,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,2] * self.yu[2,1] * self.yubar[0,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[0,0] * self.yubar[0,0] * self.yubar[0,1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[0,0] * self.yubar[0,0] * self.yubar[0,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[0,0] * self.yubar[0,0] * self.yubar[0,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[0,1] * self.yubar[0,0] * self.yubar[0,1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[0,1] * self.yubar[0,0] * self.yubar[0,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[0,1] * self.yubar[0,0] * self.yubar[0,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[0,1] * (self.yubar[0,1])**(2) + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[0,1] * (self.yubar[0,1])**(2) + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[0,1] * (self.yubar[0,1])**(2) + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[0,0] * self.yduomega1bar[mif2,2] * self.yqqomega1[0,0] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[0,1] * self.yduomega1bar[mif2,2] * self.yqqomega1[0,0] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[0,2] * self.yduomega1bar[mif2,2] * self.yqqomega1[0,0] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[1,0] * self.yduomega1bar[mif2,2] * self.yqqomega1[0,1] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[1,1] * self.yduomega1bar[mif2,2] * self.yqqomega1[0,1] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[1,2] * self.yduomega1bar[mif2,2] * self.yqqomega1[0,1] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[2,0] * self.yduomega1bar[mif2,2] * self.yqqomega1[0,2] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[2,1] * self.yduomega1bar[mif2,2] * self.yqqomega1[0,2] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[2,2] * self.yduomega1bar[mif2,2] * self.yqqomega1[0,2] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,0] * self.yduomega1bar[0,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,0] * self.yduomega1bar[0,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,0] * self.yduomega1bar[0,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,1] * self.yduomega1bar[1,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,1] * self.yduomega1bar[1,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,1] * self.yduomega1bar[1,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,2] * self.yduomega1bar[2,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,2] * self.yduomega1bar[2,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,2] * self.yduomega1bar[2,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + 3/8 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + 1/4 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + -1/4 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + -1/4 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,0] * self.yduomega1bar[mif2,2] * self.yu[0,0] * self.yubar[0,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,0] * self.yduomega1bar[mif2,2] * self.yu[0,0] * self.yubar[0,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,0] * self.yduomega1bar[mif2,2] * self.yu[0,0] * self.yubar[0,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,1] * self.yduomega1bar[mif2,2] * self.yu[0,1] * self.yubar[0,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,1] * self.yduomega1bar[mif2,2] * self.yu[0,1] * self.yubar[0,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,1] * self.yduomega1bar[mif2,2] * self.yu[0,1] * self.yubar[0,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,2] * self.yduomega1bar[mif2,2] * self.yu[0,2] * self.yubar[0,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,2] * self.yduomega1bar[mif2,2] * self.yu[0,2] * self.yubar[0,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,2] * self.yduomega1bar[mif2,2] * self.yu[0,2] * self.yubar[0,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,0] * self.yu[0,2] * self.yubar[0,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,1] * self.yu[0,2] * self.yubar[0,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,2] * self.yu[0,2] * self.yubar[0,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,0] * self.yu[1,2] * self.yubar[0,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,1] * self.yu[1,2] * self.yubar[0,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,2] * self.yu[1,2] * self.yubar[0,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,0] * self.yu[2,2] * self.yubar[0,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,1] * self.yu[2,2] * self.yubar[0,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,2] * self.yu[2,2] * self.yubar[0,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[0,0] * self.yubar[0,0] * self.yubar[0,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[0,0] * self.yubar[0,0] * self.yubar[0,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[0,0] * self.yubar[0,0] * self.yubar[0,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[0,2] * self.yubar[0,0] * self.yubar[0,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[0,2] * self.yubar[0,0] * self.yubar[0,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[0,2] * self.yubar[0,0] * self.yubar[0,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[0,1] * self.yubar[0,1] * self.yubar[0,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[0,1] * self.yubar[0,1] * self.yubar[0,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[0,1] * self.yubar[0,1] * self.yubar[0,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[0,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[0,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[0,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[0,2] * (self.yubar[0,2])**(2) + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[0,2] * (self.yubar[0,2])**(2) + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[0,2] * (self.yubar[0,2])**(2) + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[0,0] * self.yduomega1bar[mif2,0] * self.yqqomega1[1,0] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[0,1] * self.yduomega1bar[mif2,0] * self.yqqomega1[1,0] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[0,2] * self.yduomega1bar[mif2,0] * self.yqqomega1[1,0] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[1,0] * self.yduomega1bar[mif2,0] * self.yqqomega1[1,1] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[1,1] * self.yduomega1bar[mif2,0] * self.yqqomega1[1,1] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[1,2] * self.yduomega1bar[mif2,0] * self.yqqomega1[1,1] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[2,0] * self.yduomega1bar[mif2,0] * self.yqqomega1[1,2] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[2,1] * self.yduomega1bar[mif2,0] * self.yqqomega1[1,2] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[2,2] * self.yduomega1bar[mif2,0] * self.yqqomega1[1,2] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,0] * self.yduomega1bar[0,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,0] * self.yduomega1bar[0,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,0] * self.yduomega1bar[0,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,1] * self.yduomega1bar[1,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,1] * self.yduomega1bar[1,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,1] * self.yduomega1bar[1,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,2] * self.yduomega1bar[2,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,2] * self.yduomega1bar[2,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,2] * self.yduomega1bar[2,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + 3/8 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + 1/4 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + -1/4 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + -1/4 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,0] * self.yu[0,0] * self.yubar[1,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,1] * self.yu[0,0] * self.yubar[1,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,2] * self.yu[0,0] * self.yubar[1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,0] * self.yduomega1bar[mif2,0] * self.yu[1,0] * self.yubar[1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,0] * self.yduomega1bar[mif2,0] * self.yu[1,0] * self.yubar[1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,0] * self.yduomega1bar[mif2,0] * self.yu[1,0] * self.yubar[1,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,0] * self.yu[1,0] * self.yubar[1,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,1] * self.yu[1,0] * self.yubar[1,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,2] * self.yu[1,0] * self.yubar[1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,1] * self.yduomega1bar[mif2,0] * self.yu[1,1] * self.yubar[1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,1] * self.yduomega1bar[mif2,0] * self.yu[1,1] * self.yubar[1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,1] * self.yduomega1bar[mif2,0] * self.yu[1,1] * self.yubar[1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,2] * self.yduomega1bar[mif2,0] * self.yu[1,2] * self.yubar[1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,2] * self.yduomega1bar[mif2,0] * self.yu[1,2] * self.yubar[1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,2] * self.yduomega1bar[mif2,0] * self.yu[1,2] * self.yubar[1,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,0] * self.yu[2,0] * self.yubar[1,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,1] * self.yu[2,0] * self.yubar[1,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,2] * self.yu[2,0] * self.yubar[1,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[0,0] * self.yubar[0,0] * self.yubar[1,0] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[0,0] * self.yubar[0,0] * self.yubar[1,0] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[0,0] * self.yubar[0,0] * self.yubar[1,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,0] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,0] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[0,0] * self.yubar[0,1] * self.yubar[1,0] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[0,0] * self.yubar[0,1] * self.yubar[1,0] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[0,0] * self.yubar[0,1] * self.yubar[1,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[0,0] * self.yubar[0,2] * self.yubar[1,0] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[0,0] * self.yubar[0,2] * self.yubar[1,0] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[0,0] * self.yubar[0,2] * self.yubar[1,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[1,0] * (self.yubar[1,0])**(2) + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[1,0] * (self.yubar[1,0])**(2) + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[1,0] * (self.yubar[1,0])**(2) + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[0,0] * self.yduomega1bar[mif2,1] * self.yqqomega1[1,0] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[0,1] * self.yduomega1bar[mif2,1] * self.yqqomega1[1,0] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[0,2] * self.yduomega1bar[mif2,1] * self.yqqomega1[1,0] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[1,0] * self.yduomega1bar[mif2,1] * self.yqqomega1[1,1] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[1,1] * self.yduomega1bar[mif2,1] * self.yqqomega1[1,1] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[1,2] * self.yduomega1bar[mif2,1] * self.yqqomega1[1,1] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[2,0] * self.yduomega1bar[mif2,1] * self.yqqomega1[1,2] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[2,1] * self.yduomega1bar[mif2,1] * self.yqqomega1[1,2] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[2,2] * self.yduomega1bar[mif2,1] * self.yqqomega1[1,2] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,0] * self.yduomega1bar[0,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,0] * self.yduomega1bar[0,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,0] * self.yduomega1bar[0,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,1] * self.yduomega1bar[1,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,1] * self.yduomega1bar[1,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,1] * self.yduomega1bar[1,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,2] * self.yduomega1bar[2,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,2] * self.yduomega1bar[2,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,2] * self.yduomega1bar[2,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + 3/8 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + 1/4 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + -1/4 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + -1/4 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,0] * self.yu[0,1] * self.yubar[1,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,1] * self.yu[0,1] * self.yubar[1,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,2] * self.yu[0,1] * self.yubar[1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,0] * self.yduomega1bar[mif2,1] * self.yu[1,0] * self.yubar[1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,0] * self.yduomega1bar[mif2,1] * self.yu[1,0] * self.yubar[1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,0] * self.yduomega1bar[mif2,1] * self.yu[1,0] * self.yubar[1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,1] * self.yduomega1bar[mif2,1] * self.yu[1,1] * self.yubar[1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,1] * self.yduomega1bar[mif2,1] * self.yu[1,1] * self.yubar[1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,1] * self.yduomega1bar[mif2,1] * self.yu[1,1] * self.yubar[1,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,0] * self.yu[1,1] * self.yubar[1,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,1] * self.yu[1,1] * self.yubar[1,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,2] * self.yu[1,1] * self.yubar[1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,2] * self.yduomega1bar[mif2,1] * self.yu[1,2] * self.yubar[1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,2] * self.yduomega1bar[mif2,1] * self.yu[1,2] * self.yubar[1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,2] * self.yduomega1bar[mif2,1] * self.yu[1,2] * self.yubar[1,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,0] * self.yu[2,1] * self.yubar[1,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,1] * self.yu[2,1] * self.yubar[1,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,2] * self.yu[2,1] * self.yubar[1,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[0,1] * self.yubar[0,0] * self.yubar[1,1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[0,1] * self.yubar[0,0] * self.yubar[1,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[0,1] * self.yubar[0,0] * self.yubar[1,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[0,1] * self.yubar[0,1] * self.yubar[1,1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[0,1] * self.yubar[0,1] * self.yubar[1,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[0,1] * self.yubar[0,1] * self.yubar[1,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[0,1] * self.yubar[0,2] * self.yubar[1,1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[0,1] * self.yubar[0,2] * self.yubar[1,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[0,1] * self.yubar[0,2] * self.yubar[1,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[1,1] * self.yubar[1,0] * self.yubar[1,1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[1,1] * self.yubar[1,0] * self.yubar[1,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[1,1] * self.yubar[1,0] * self.yubar[1,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[1,1] * (self.yubar[1,1])**(2) + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[1,1] * (self.yubar[1,1])**(2) + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[1,1] * (self.yubar[1,1])**(2) + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[0,0] * self.yduomega1bar[mif2,2] * self.yqqomega1[1,0] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[0,1] * self.yduomega1bar[mif2,2] * self.yqqomega1[1,0] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[0,2] * self.yduomega1bar[mif2,2] * self.yqqomega1[1,0] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[1,0] * self.yduomega1bar[mif2,2] * self.yqqomega1[1,1] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[1,1] * self.yduomega1bar[mif2,2] * self.yqqomega1[1,1] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[1,2] * self.yduomega1bar[mif2,2] * self.yqqomega1[1,1] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[2,0] * self.yduomega1bar[mif2,2] * self.yqqomega1[1,2] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[2,1] * self.yduomega1bar[mif2,2] * self.yqqomega1[1,2] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[2,2] * self.yduomega1bar[mif2,2] * self.yqqomega1[1,2] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,0] * self.yduomega1bar[0,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,0] * self.yduomega1bar[0,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,0] * self.yduomega1bar[0,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,1] * self.yduomega1bar[1,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,1] * self.yduomega1bar[1,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,1] * self.yduomega1bar[1,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,2] * self.yduomega1bar[2,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,2] * self.yduomega1bar[2,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,2] * self.yduomega1bar[2,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + 3/8 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + 1/4 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + -1/4 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + -1/4 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,0] * self.yu[0,2] * self.yubar[1,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,1] * self.yu[0,2] * self.yubar[1,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,2] * self.yu[0,2] * self.yubar[1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,0] * self.yduomega1bar[mif2,2] * self.yu[1,0] * self.yubar[1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,0] * self.yduomega1bar[mif2,2] * self.yu[1,0] * self.yubar[1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,0] * self.yduomega1bar[mif2,2] * self.yu[1,0] * self.yubar[1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,1] * self.yduomega1bar[mif2,2] * self.yu[1,1] * self.yubar[1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,1] * self.yduomega1bar[mif2,2] * self.yu[1,1] * self.yubar[1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,1] * self.yduomega1bar[mif2,2] * self.yu[1,1] * self.yubar[1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,2] * self.yduomega1bar[mif2,2] * self.yu[1,2] * self.yubar[1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,2] * self.yduomega1bar[mif2,2] * self.yu[1,2] * self.yubar[1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,2] * self.yduomega1bar[mif2,2] * self.yu[1,2] * self.yubar[1,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,0] * self.yu[1,2] * self.yubar[1,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,1] * self.yu[1,2] * self.yubar[1,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,2] * self.yu[1,2] * self.yubar[1,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,0] * self.yu[2,2] * self.yubar[1,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,1] * self.yu[2,2] * self.yubar[1,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,2] * self.yu[2,2] * self.yubar[1,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[0,2] * self.yubar[0,0] * self.yubar[1,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[0,2] * self.yubar[0,0] * self.yubar[1,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[0,2] * self.yubar[0,0] * self.yubar[1,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[1,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[1,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[1,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[0,2] * self.yubar[0,2] * self.yubar[1,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[0,2] * self.yubar[0,2] * self.yubar[1,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[0,2] * self.yubar[0,2] * self.yubar[1,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[1,2] * self.yubar[1,0] * self.yubar[1,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[1,2] * self.yubar[1,0] * self.yubar[1,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[1,2] * self.yubar[1,0] * self.yubar[1,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[1,1] * self.yubar[1,1] * self.yubar[1,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[1,1] * self.yubar[1,1] * self.yubar[1,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[1,1] * self.yubar[1,1] * self.yubar[1,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[1,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[1,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[1,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[1,2] * (self.yubar[1,2])**(2) + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[1,2] * (self.yubar[1,2])**(2) + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[1,2] * (self.yubar[1,2])**(2) + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[0,0] * self.yduomega1bar[mif2,0] * self.yqqomega1[2,0] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[0,1] * self.yduomega1bar[mif2,0] * self.yqqomega1[2,0] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[0,2] * self.yduomega1bar[mif2,0] * self.yqqomega1[2,0] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[1,0] * self.yduomega1bar[mif2,0] * self.yqqomega1[2,1] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[1,1] * self.yduomega1bar[mif2,0] * self.yqqomega1[2,1] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[1,2] * self.yduomega1bar[mif2,0] * self.yqqomega1[2,1] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[2,0] * self.yduomega1bar[mif2,0] * self.yqqomega1[2,2] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[2,1] * self.yduomega1bar[mif2,0] * self.yqqomega1[2,2] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[2,2] * self.yduomega1bar[mif2,0] * self.yqqomega1[2,2] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,0] * self.yduomega1bar[0,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,0] * self.yduomega1bar[0,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,0] * self.yduomega1bar[0,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,1] * self.yduomega1bar[1,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,1] * self.yduomega1bar[1,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,1] * self.yduomega1bar[1,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,2] * self.yduomega1bar[2,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,2] * self.yduomega1bar[2,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,2] * self.yduomega1bar[2,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + 3/8 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + 1/4 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + -1/4 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + -1/4 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,0] * self.yu[0,0] * self.yubar[2,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,1] * self.yu[0,0] * self.yubar[2,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,2] * self.yu[0,0] * self.yubar[2,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,0] * self.yu[1,0] * self.yubar[2,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,1] * self.yu[1,0] * self.yubar[2,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,2] * self.yu[1,0] * self.yubar[2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,0] * self.yduomega1bar[mif2,0] * self.yu[2,0] * self.yubar[2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,0] * self.yduomega1bar[mif2,0] * self.yu[2,0] * self.yubar[2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,0] * self.yduomega1bar[mif2,0] * self.yu[2,0] * self.yubar[2,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,0] * self.yu[2,0] * self.yubar[2,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,1] * self.yu[2,0] * self.yubar[2,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,2] * self.yu[2,0] * self.yubar[2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,1] * self.yduomega1bar[mif2,0] * self.yu[2,1] * self.yubar[2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,1] * self.yduomega1bar[mif2,0] * self.yu[2,1] * self.yubar[2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,1] * self.yduomega1bar[mif2,0] * self.yu[2,1] * self.yubar[2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,2] * self.yduomega1bar[mif2,0] * self.yu[2,2] * self.yubar[2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,2] * self.yduomega1bar[mif2,0] * self.yu[2,2] * self.yubar[2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,2] * self.yduomega1bar[mif2,0] * self.yu[2,2] * self.yubar[2,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[0,0] * self.yubar[0,0] * self.yubar[2,0] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[0,0] * self.yubar[0,0] * self.yubar[2,0] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[0,0] * self.yubar[0,0] * self.yubar[2,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[0,0] * self.yubar[0,1] * self.yubar[2,0] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[0,0] * self.yubar[0,1] * self.yubar[2,0] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[0,0] * self.yubar[0,1] * self.yubar[2,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[0,0] * self.yubar[0,2] * self.yubar[2,0] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[0,0] * self.yubar[0,2] * self.yubar[2,0] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[0,0] * self.yubar[0,2] * self.yubar[2,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[1,0] * self.yubar[1,0] * self.yubar[2,0] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[1,0] * self.yubar[1,0] * self.yubar[2,0] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[1,0] * self.yubar[1,0] * self.yubar[2,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[1,0] * self.yubar[1,1] * self.yubar[2,0] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[1,0] * self.yubar[1,1] * self.yubar[2,0] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[1,0] * self.yubar[1,1] * self.yubar[2,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[1,0] * self.yubar[1,2] * self.yubar[2,0] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[1,0] * self.yubar[1,2] * self.yubar[2,0] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[1,0] * self.yubar[1,2] * self.yubar[2,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[2,0] * (self.yubar[2,0])**(2) + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[2,0] * (self.yubar[2,0])**(2) + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[2,0] * (self.yubar[2,0])**(2) + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[0,0] * self.yduomega1bar[mif2,1] * self.yqqomega1[2,0] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[0,1] * self.yduomega1bar[mif2,1] * self.yqqomega1[2,0] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[0,2] * self.yduomega1bar[mif2,1] * self.yqqomega1[2,0] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[1,0] * self.yduomega1bar[mif2,1] * self.yqqomega1[2,1] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[1,1] * self.yduomega1bar[mif2,1] * self.yqqomega1[2,1] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[1,2] * self.yduomega1bar[mif2,1] * self.yqqomega1[2,1] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[2,0] * self.yduomega1bar[mif2,1] * self.yqqomega1[2,2] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[2,1] * self.yduomega1bar[mif2,1] * self.yqqomega1[2,2] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[2,2] * self.yduomega1bar[mif2,1] * self.yqqomega1[2,2] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,0] * self.yduomega1bar[0,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,0] * self.yduomega1bar[0,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,0] * self.yduomega1bar[0,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,1] * self.yduomega1bar[1,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,1] * self.yduomega1bar[1,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,1] * self.yduomega1bar[1,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,2] * self.yduomega1bar[2,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,2] * self.yduomega1bar[2,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,2] * self.yduomega1bar[2,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + 3/8 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + 1/4 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + -1/4 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + -1/4 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,0] * self.yu[0,1] * self.yubar[2,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,1] * self.yu[0,1] * self.yubar[2,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,2] * self.yu[0,1] * self.yubar[2,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,0] * self.yu[1,1] * self.yubar[2,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,1] * self.yu[1,1] * self.yubar[2,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,2] * self.yu[1,1] * self.yubar[2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,0] * self.yduomega1bar[mif2,1] * self.yu[2,0] * self.yubar[2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,0] * self.yduomega1bar[mif2,1] * self.yu[2,0] * self.yubar[2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,0] * self.yduomega1bar[mif2,1] * self.yu[2,0] * self.yubar[2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,1] * self.yduomega1bar[mif2,1] * self.yu[2,1] * self.yubar[2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,1] * self.yduomega1bar[mif2,1] * self.yu[2,1] * self.yubar[2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,1] * self.yduomega1bar[mif2,1] * self.yu[2,1] * self.yubar[2,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,0] * self.yu[2,1] * self.yubar[2,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,1] * self.yu[2,1] * self.yubar[2,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,2] * self.yu[2,1] * self.yubar[2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,2] * self.yduomega1bar[mif2,1] * self.yu[2,2] * self.yubar[2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,2] * self.yduomega1bar[mif2,1] * self.yu[2,2] * self.yubar[2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,2] * self.yduomega1bar[mif2,1] * self.yu[2,2] * self.yubar[2,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[0,1] * self.yubar[0,0] * self.yubar[2,1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[0,1] * self.yubar[0,0] * self.yubar[2,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[0,1] * self.yubar[0,0] * self.yubar[2,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[0,1] * self.yubar[0,1] * self.yubar[2,1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[0,1] * self.yubar[0,1] * self.yubar[2,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[0,1] * self.yubar[0,1] * self.yubar[2,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[0,1] * self.yubar[0,2] * self.yubar[2,1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[0,1] * self.yubar[0,2] * self.yubar[2,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[0,1] * self.yubar[0,2] * self.yubar[2,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[1,1] * self.yubar[1,0] * self.yubar[2,1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[1,1] * self.yubar[1,0] * self.yubar[2,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[1,1] * self.yubar[1,0] * self.yubar[2,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[1,1] * self.yubar[1,1] * self.yubar[2,1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[1,1] * self.yubar[1,1] * self.yubar[2,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[1,1] * self.yubar[1,1] * self.yubar[2,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[1,1] * self.yubar[1,2] * self.yubar[2,1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[1,1] * self.yubar[1,2] * self.yubar[2,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[1,1] * self.yubar[1,2] * self.yubar[2,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[2,1] * (self.yubar[2,1])**(2) + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[2,1] * (self.yubar[2,1])**(2) + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[2,1] * (self.yubar[2,1])**(2) + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[0,0] * self.yduomega1bar[mif2,2] * self.yqqomega1[2,0] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[0,1] * self.yduomega1bar[mif2,2] * self.yqqomega1[2,0] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[0,2] * self.yduomega1bar[mif2,2] * self.yqqomega1[2,0] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[1,0] * self.yduomega1bar[mif2,2] * self.yqqomega1[2,1] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[1,1] * self.yduomega1bar[mif2,2] * self.yqqomega1[2,1] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[1,2] * self.yduomega1bar[mif2,2] * self.yqqomega1[2,1] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[2,0] * self.yduomega1bar[mif2,2] * self.yqqomega1[2,2] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[2,1] * self.yduomega1bar[mif2,2] * self.yqqomega1[2,2] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[2,2] * self.yduomega1bar[mif2,2] * self.yqqomega1[2,2] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,0] * self.yduomega1bar[0,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,0] * self.yduomega1bar[0,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,0] * self.yduomega1bar[0,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,1] * self.yduomega1bar[1,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,1] * self.yduomega1bar[1,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,1] * self.yduomega1bar[1,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,2] * self.yduomega1bar[2,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,2] * self.yduomega1bar[2,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,2] * self.yduomega1bar[2,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + 3/8 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + 1/4 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + -1/4 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + -1/4 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,0] * self.yu[0,2] * self.yubar[2,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,1] * self.yu[0,2] * self.yubar[2,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,2] * self.yu[0,2] * self.yubar[2,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,0] * self.yu[1,2] * self.yubar[2,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,1] * self.yu[1,2] * self.yubar[2,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,2] * self.yu[1,2] * self.yubar[2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,0] * self.yduomega1bar[mif2,2] * self.yu[2,0] * self.yubar[2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,0] * self.yduomega1bar[mif2,2] * self.yu[2,0] * self.yubar[2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,0] * self.yduomega1bar[mif2,2] * self.yu[2,0] * self.yubar[2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,1] * self.yduomega1bar[mif2,2] * self.yu[2,1] * self.yubar[2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,1] * self.yduomega1bar[mif2,2] * self.yu[2,1] * self.yubar[2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,1] * self.yduomega1bar[mif2,2] * self.yu[2,1] * self.yubar[2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,2] * self.yduomega1bar[mif2,2] * self.yu[2,2] * self.yubar[2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,2] * self.yduomega1bar[mif2,2] * self.yu[2,2] * self.yubar[2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,2] * self.yduomega1bar[mif2,2] * self.yu[2,2] * self.yubar[2,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,0] * self.yu[2,2] * self.yubar[2,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,1] * self.yu[2,2] * self.yubar[2,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,2] * self.yu[2,2] * self.yubar[2,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[0,2] * self.yubar[0,0] * self.yubar[2,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[0,2] * self.yubar[0,0] * self.yubar[2,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[0,2] * self.yubar[0,0] * self.yubar[2,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[2,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[2,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[2,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[0,2] * self.yubar[0,2] * self.yubar[2,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[0,2] * self.yubar[0,2] * self.yubar[2,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[0,2] * self.yubar[0,2] * self.yubar[2,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[1,2] * self.yubar[1,0] * self.yubar[2,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[1,2] * self.yubar[1,0] * self.yubar[2,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[1,2] * self.yubar[1,0] * self.yubar[2,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[2,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[2,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[2,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[2,1] * self.yubar[2,1] * self.yubar[2,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[2,1] * self.yubar[2,1] * self.yubar[2,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[2,1] * self.yubar[2,1] * self.yubar[2,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[2,2] * (self.yubar[2,2])**(2) + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[2,2] * (self.yubar[2,2])**(2) + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yu[2,2] * (self.yubar[2,2])**(2))

    def alphaOdW(self, mif1,mif2):
        return (1/384 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] + 1/384 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] + 1/384 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] + 1/384 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] + 1/384 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] + 1/384 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] + 1/384 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] + 1/384 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] + 1/384 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] + 1/48 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,0] + 1/48 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,1] + 1/48 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,2] + 1/48 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,0] + 1/48 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,1] + 1/48 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,2] + 1/48 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,0] + 1/48 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,1] + 1/48 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,2] + 3/64 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + 1/32 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + -1/32 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + 3/64 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + 1/32 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + -1/32 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + 3/64 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + 1/32 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + -1/32 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + 3/64 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + 1/32 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + -1/32 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + 3/64 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + 1/32 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + -1/32 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + 3/64 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + 1/32 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + -1/32 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + 3/64 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + 1/32 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + -1/32 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + 3/64 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + 1/32 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + -1/32 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + 3/64 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + 1/32 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + -1/32 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,mif1] * self.yubar[2,2])

    def alphaOeB(self, mif1,mif2):
        return (-1/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[0,0] * self.yl[mif1,0] + -1/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[0,1] * self.yl[mif1,0] + -1/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[0,2] * self.yl[mif1,0] + -1/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[1,0] * self.yl[mif1,1] + -1/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[1,1] * self.yl[mif1,1] + -1/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[1,2] * self.yl[mif1,1] + -1/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[2,0] * self.yl[mif1,2] + -1/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[2,1] * self.yl[mif1,2] + -1/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[2,2] * self.yl[mif1,2] + 29/256 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + 5/128 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + -5/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.xRP * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + -5/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + 29/256 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + 5/128 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + -5/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.xRP * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + -5/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + 29/256 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + 5/128 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + -5/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.xRP * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + -5/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + 29/256 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + 5/128 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + -5/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.xRP * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + -5/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + 29/256 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + 5/128 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + -5/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.xRP * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + -5/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + 29/256 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + 5/128 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + -5/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.xRP * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + -5/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + 29/256 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + 5/128 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + -5/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.xRP * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + -5/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + 29/256 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + 5/128 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + -5/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.xRP * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + -5/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + 29/256 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + 5/128 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + -5/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.xRP * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + -5/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,2])

    def alphaOed(self, mif1,mif2,mif3,mif4):
        return (-1/4320 * (self.g1)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -17/432 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] + -1/36 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] + 1/36 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] + -17/432 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] + -1/36 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] + 1/36 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] + -17/432 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] + -1/36 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] + 1/36 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] + -5/288 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] + -1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] + 1/72 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,0] * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,0] * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,1] * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,1] + -5/288 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] + -1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] + 1/72 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,1] * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,2] * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,2] * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,2] + -5/288 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] + -1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] + 1/72 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2])

    def alphaOee(self, mif1,mif2,mif3,mif4):
        return (-1/2880 * (self.g1)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -5/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] + -1/48 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] + 1/48 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] + -5/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] + -1/48 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] + 1/48 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] + -5/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] + -1/48 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] + 1/48 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] + -5/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,0] + -1/48 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,0] + 1/48 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif1,0] * self.yeuomega1bar[mif3,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif1,1] * self.yeuomega1bar[mif3,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif1,2] * self.yeuomega1bar[mif3,0] + -5/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,1] + -1/48 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,1] + 1/48 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif1,0] * self.yeuomega1bar[mif3,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif1,1] * self.yeuomega1bar[mif3,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif1,2] * self.yeuomega1bar[mif3,1] + -5/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,2] + -1/48 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,2] + 1/48 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif1,0] * self.yeuomega1bar[mif3,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif1,1] * self.yeuomega1bar[mif3,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif1,2] * self.yeuomega1bar[mif3,2])

    def alphaOeH(self, mif1,mif2):
        return (3/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[0,0] * self.yl[mif1,0] + 3/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[0,1] * self.yl[mif1,0] + 3/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[0,2] * self.yl[mif1,0] + 3/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[1,0] * self.yl[mif1,1] + 3/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[1,1] * self.yl[mif1,1] + 3/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[1,2] * self.yl[mif1,1] + 3/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[2,0] * self.yl[mif1,2] + 3/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[2,1] * self.yl[mif1,2] + 3/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[2,2] * self.yl[mif1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[0,0] * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[0,1] * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[0,2] * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[1,0] * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[1,1] * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[1,2] * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[2,0] * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[2,1] * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[2,2] * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[0,0] * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[0,1] * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[0,2] * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[1,0] * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[1,1] * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[1,2] * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[2,0] * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[2,1] * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[2,2] * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[0,0] * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[0,1] * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[0,2] * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[1,0] * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[1,1] * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[1,2] * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[2,0] * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[2,1] * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[2,2] * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[0,0] * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[0,1] * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[0,2] * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[1,0] * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[1,1] * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[1,2] * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[2,0] * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[2,1] * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[2,2] * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[0,0] * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[0,1] * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[0,2] * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[1,0] * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[1,1] * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[1,2] * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[2,0] * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[2,1] * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[2,2] * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[0,0] * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[0,1] * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[0,2] * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[1,0] * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[1,1] * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[1,2] * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[2,0] * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[2,1] * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[2,2] * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[0,0] * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[0,1] * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[0,2] * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[1,0] * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[1,1] * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[1,2] * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[2,0] * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[2,1] * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[2,2] * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[0,0] * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[0,1] * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[0,2] * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[1,0] * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[1,1] * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[1,2] * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[2,0] * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[2,1] * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[2,2] * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[0,0] * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[0,1] * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[0,2] * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[1,0] * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[1,1] * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[1,2] * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[2,0] * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[2,1] * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[2,2] * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[0,0] * self.yqlomega1[0,0] * self.yqlomega1bar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[0,1] * self.yqlomega1[0,0] * self.yqlomega1bar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yqlomega1[0,0] * self.yqlomega1bar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[0,0] * self.yqlomega1[0,1] * self.yqlomega1bar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[0,1] * self.yqlomega1[0,1] * self.yqlomega1bar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yqlomega1[0,1] * self.yqlomega1bar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[0,0] * self.yqlomega1[0,2] * self.yqlomega1bar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[0,1] * self.yqlomega1[0,2] * self.yqlomega1bar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yqlomega1[0,2] * self.yqlomega1bar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[1,0] * self.yqlomega1[0,0] * self.yqlomega1bar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[1,1] * self.yqlomega1[0,0] * self.yqlomega1bar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yqlomega1[0,0] * self.yqlomega1bar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[1,0] * self.yqlomega1[0,1] * self.yqlomega1bar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[1,1] * self.yqlomega1[0,1] * self.yqlomega1bar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yqlomega1[0,1] * self.yqlomega1bar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[1,0] * self.yqlomega1[0,2] * self.yqlomega1bar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[1,1] * self.yqlomega1[0,2] * self.yqlomega1bar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yqlomega1[0,2] * self.yqlomega1bar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[2,0] * self.yqlomega1[0,0] * self.yqlomega1bar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[2,1] * self.yqlomega1[0,0] * self.yqlomega1bar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yqlomega1[0,0] * self.yqlomega1bar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[2,0] * self.yqlomega1[0,1] * self.yqlomega1bar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[2,1] * self.yqlomega1[0,1] * self.yqlomega1bar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yqlomega1[0,1] * self.yqlomega1bar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[2,0] * self.yqlomega1[0,2] * self.yqlomega1bar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[2,1] * self.yqlomega1[0,2] * self.yqlomega1bar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yqlomega1[0,2] * self.yqlomega1bar[0,2] + 3/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[0,mif1] + 3/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[0,mif1] + 3/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[0,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[0,0] * self.yqlomega1[1,0] * self.yqlomega1bar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[0,1] * self.yqlomega1[1,0] * self.yqlomega1bar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yqlomega1[1,0] * self.yqlomega1bar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[0,0] * self.yqlomega1[1,1] * self.yqlomega1bar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[0,1] * self.yqlomega1[1,1] * self.yqlomega1bar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yqlomega1[1,1] * self.yqlomega1bar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[0,0] * self.yqlomega1[1,2] * self.yqlomega1bar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[0,1] * self.yqlomega1[1,2] * self.yqlomega1bar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yqlomega1[1,2] * self.yqlomega1bar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[1,0] * self.yqlomega1[1,0] * self.yqlomega1bar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[1,1] * self.yqlomega1[1,0] * self.yqlomega1bar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yqlomega1[1,0] * self.yqlomega1bar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[1,0] * self.yqlomega1[1,1] * self.yqlomega1bar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[1,1] * self.yqlomega1[1,1] * self.yqlomega1bar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yqlomega1[1,1] * self.yqlomega1bar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[1,0] * self.yqlomega1[1,2] * self.yqlomega1bar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[1,1] * self.yqlomega1[1,2] * self.yqlomega1bar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yqlomega1[1,2] * self.yqlomega1bar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[2,0] * self.yqlomega1[1,0] * self.yqlomega1bar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[2,1] * self.yqlomega1[1,0] * self.yqlomega1bar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yqlomega1[1,0] * self.yqlomega1bar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[2,0] * self.yqlomega1[1,1] * self.yqlomega1bar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[2,1] * self.yqlomega1[1,1] * self.yqlomega1bar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yqlomega1[1,1] * self.yqlomega1bar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[2,0] * self.yqlomega1[1,2] * self.yqlomega1bar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[2,1] * self.yqlomega1[1,2] * self.yqlomega1bar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yqlomega1[1,2] * self.yqlomega1bar[1,2] + 3/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[1,mif1] + 3/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[1,mif1] + 3/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[1,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[0,0] * self.yqlomega1[2,0] * self.yqlomega1bar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[0,1] * self.yqlomega1[2,0] * self.yqlomega1bar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yqlomega1[2,0] * self.yqlomega1bar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[0,0] * self.yqlomega1[2,1] * self.yqlomega1bar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[0,1] * self.yqlomega1[2,1] * self.yqlomega1bar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yqlomega1[2,1] * self.yqlomega1bar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[0,0] * self.yqlomega1[2,2] * self.yqlomega1bar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[0,1] * self.yqlomega1[2,2] * self.yqlomega1bar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yqlomega1[2,2] * self.yqlomega1bar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[1,0] * self.yqlomega1[2,0] * self.yqlomega1bar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[1,1] * self.yqlomega1[2,0] * self.yqlomega1bar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yqlomega1[2,0] * self.yqlomega1bar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[1,0] * self.yqlomega1[2,1] * self.yqlomega1bar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[1,1] * self.yqlomega1[2,1] * self.yqlomega1bar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yqlomega1[2,1] * self.yqlomega1bar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[1,0] * self.yqlomega1[2,2] * self.yqlomega1bar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[1,1] * self.yqlomega1[2,2] * self.yqlomega1bar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yqlomega1[2,2] * self.yqlomega1bar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[2,0] * self.yqlomega1[2,0] * self.yqlomega1bar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[2,1] * self.yqlomega1[2,0] * self.yqlomega1bar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yqlomega1[2,0] * self.yqlomega1bar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[2,0] * self.yqlomega1[2,1] * self.yqlomega1bar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[2,1] * self.yqlomega1[2,1] * self.yqlomega1bar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yqlomega1[2,1] * self.yqlomega1bar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[2,0] * self.yqlomega1[2,2] * self.yqlomega1bar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[2,1] * self.yqlomega1[2,2] * self.yqlomega1bar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yqlomega1[2,2] * self.yqlomega1bar[2,2] + 3/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[2,mif1] + 3/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[2,mif1] + 3/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[2,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,0] * self.ylbar[0,0] * self.yqlomega1bar[0,0] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,1] * self.ylbar[0,1] * self.yqlomega1bar[0,0] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,2] * self.ylbar[0,2] * self.yqlomega1bar[0,0] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,0] * self.ylbar[1,0] * self.yqlomega1bar[0,1] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,1] * self.ylbar[1,1] * self.yqlomega1bar[0,1] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,2] * self.ylbar[1,2] * self.yqlomega1bar[0,1] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,0] * self.ylbar[2,0] * self.yqlomega1bar[0,2] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,1] * self.ylbar[2,1] * self.yqlomega1bar[0,2] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,2] * self.ylbar[2,2] * self.yqlomega1bar[0,2] * self.yubar[0,0] + -9/32 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + -3/16 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + 3/16 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + 3/16 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yl[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yl[0,mif2] * self.ylbar[0,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yl[0,mif2] * self.ylbar[0,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yl[1,mif2] * self.ylbar[1,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yl[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yl[1,mif2] * self.ylbar[1,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yl[2,mif2] * self.ylbar[2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yl[2,mif2] * self.ylbar[2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yl[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[0,0] * self.yl[mif1,0] * self.yu[0,0] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[1,0] * self.yl[mif1,1] * self.yu[0,0] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[2,0] * self.yl[mif1,2] * self.yu[0,0] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[0,mif1] * self.yu[0,0] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[0,mif1] * self.yu[0,0] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[0,mif1] * self.yu[0,0] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[0,1] * self.yl[mif1,0] * self.yu[0,1] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[1,1] * self.yl[mif1,1] * self.yu[0,1] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[2,1] * self.yl[mif1,2] * self.yu[0,1] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[0,2] * self.yl[mif1,0] * self.yu[0,2] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[1,2] * self.yl[mif1,1] * self.yu[0,2] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[2,2] * self.yl[mif1,2] * self.yu[0,2] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[0,mif1] * self.yu[1,0] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[0,mif1] * self.yu[1,0] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[0,mif1] * self.yu[1,0] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[0,mif1] * self.yu[2,0] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[0,mif1] * self.yu[2,0] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[0,mif1] * self.yu[2,0] * self.yubar[0,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[0,0] * (self.yubar[0,0])**(2) + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[0,0] * (self.yubar[0,0])**(2) + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[0,0] * (self.yubar[0,0])**(2) + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,0] * self.ylbar[0,0] * self.yqlomega1bar[0,0] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,1] * self.ylbar[0,1] * self.yqlomega1bar[0,0] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,2] * self.ylbar[0,2] * self.yqlomega1bar[0,0] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,0] * self.ylbar[1,0] * self.yqlomega1bar[0,1] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,1] * self.ylbar[1,1] * self.yqlomega1bar[0,1] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,2] * self.ylbar[1,2] * self.yqlomega1bar[0,1] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,0] * self.ylbar[2,0] * self.yqlomega1bar[0,2] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,1] * self.ylbar[2,1] * self.yqlomega1bar[0,2] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,2] * self.ylbar[2,2] * self.yqlomega1bar[0,2] * self.yubar[0,1] + -9/32 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + -3/16 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + 3/16 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + 3/16 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yl[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yl[0,mif2] * self.ylbar[0,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yl[0,mif2] * self.ylbar[0,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yl[1,mif2] * self.ylbar[1,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yl[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yl[1,mif2] * self.ylbar[1,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yl[2,mif2] * self.ylbar[2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yl[2,mif2] * self.ylbar[2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yl[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[0,0] * self.yl[mif1,0] * self.yu[0,0] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[1,0] * self.yl[mif1,1] * self.yu[0,0] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[2,0] * self.yl[mif1,2] * self.yu[0,0] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[0,1] * self.yl[mif1,0] * self.yu[0,1] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[1,1] * self.yl[mif1,1] * self.yu[0,1] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[2,1] * self.yl[mif1,2] * self.yu[0,1] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[0,mif1] * self.yu[0,1] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[0,mif1] * self.yu[0,1] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[0,mif1] * self.yu[0,1] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[0,2] * self.yl[mif1,0] * self.yu[0,2] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[1,2] * self.yl[mif1,1] * self.yu[0,2] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[2,2] * self.yl[mif1,2] * self.yu[0,2] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[0,mif1] * self.yu[1,1] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[0,mif1] * self.yu[1,1] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[0,mif1] * self.yu[1,1] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[0,mif1] * self.yu[2,1] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[0,mif1] * self.yu[2,1] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[0,mif1] * self.yu[2,1] * self.yubar[0,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[0,0] * self.yubar[0,0] * self.yubar[0,1] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[0,0] * self.yubar[0,0] * self.yubar[0,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[0,0] * self.yubar[0,0] * self.yubar[0,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[0,1] * self.yubar[0,0] * self.yubar[0,1] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[0,1] * self.yubar[0,0] * self.yubar[0,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[0,1] * self.yubar[0,0] * self.yubar[0,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[0,1] * (self.yubar[0,1])**(2) + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[0,1] * (self.yubar[0,1])**(2) + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[0,1] * (self.yubar[0,1])**(2) + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,0] * self.ylbar[0,0] * self.yqlomega1bar[0,0] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,1] * self.ylbar[0,1] * self.yqlomega1bar[0,0] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yqlomega1bar[0,0] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,0] * self.ylbar[1,0] * self.yqlomega1bar[0,1] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,1] * self.ylbar[1,1] * self.yqlomega1bar[0,1] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yqlomega1bar[0,1] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,0] * self.ylbar[2,0] * self.yqlomega1bar[0,2] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,1] * self.ylbar[2,1] * self.yqlomega1bar[0,2] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yqlomega1bar[0,2] * self.yubar[0,2] + -9/32 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + -3/16 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + 3/16 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + 3/16 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yl[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yl[0,mif2] * self.ylbar[0,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yl[0,mif2] * self.ylbar[0,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yl[1,mif2] * self.ylbar[1,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yl[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yl[1,mif2] * self.ylbar[1,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yl[2,mif2] * self.ylbar[2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yl[2,mif2] * self.ylbar[2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yl[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[0,0] * self.yl[mif1,0] * self.yu[0,0] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[1,0] * self.yl[mif1,1] * self.yu[0,0] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[2,0] * self.yl[mif1,2] * self.yu[0,0] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[0,1] * self.yl[mif1,0] * self.yu[0,1] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[1,1] * self.yl[mif1,1] * self.yu[0,1] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[2,1] * self.yl[mif1,2] * self.yu[0,1] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[0,2] * self.yl[mif1,0] * self.yu[0,2] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[1,2] * self.yl[mif1,1] * self.yu[0,2] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[2,2] * self.yl[mif1,2] * self.yu[0,2] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[0,mif1] * self.yu[0,2] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[0,mif1] * self.yu[0,2] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[0,mif1] * self.yu[0,2] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[0,mif1] * self.yu[1,2] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[0,mif1] * self.yu[1,2] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[0,mif1] * self.yu[1,2] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[0,mif1] * self.yu[2,2] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[0,mif1] * self.yu[2,2] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[0,mif1] * self.yu[2,2] * self.yubar[0,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[0,0] * self.yubar[0,0] * self.yubar[0,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[0,0] * self.yubar[0,0] * self.yubar[0,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[0,0] * self.yubar[0,0] * self.yubar[0,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[0,2] * self.yubar[0,0] * self.yubar[0,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[0,2] * self.yubar[0,0] * self.yubar[0,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[0,2] * self.yubar[0,0] * self.yubar[0,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[0,1] * self.yubar[0,1] * self.yubar[0,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[0,1] * self.yubar[0,1] * self.yubar[0,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[0,1] * self.yubar[0,1] * self.yubar[0,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[0,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[0,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[0,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[0,2] * (self.yubar[0,2])**(2) + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[0,2] * (self.yubar[0,2])**(2) + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[0,2] * (self.yubar[0,2])**(2) + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,0] * self.ylbar[0,0] * self.yqlomega1bar[1,0] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,1] * self.ylbar[0,1] * self.yqlomega1bar[1,0] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,2] * self.ylbar[0,2] * self.yqlomega1bar[1,0] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,0] * self.ylbar[1,0] * self.yqlomega1bar[1,1] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,1] * self.ylbar[1,1] * self.yqlomega1bar[1,1] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,2] * self.ylbar[1,2] * self.yqlomega1bar[1,1] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,0] * self.ylbar[2,0] * self.yqlomega1bar[1,2] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,1] * self.ylbar[2,1] * self.yqlomega1bar[1,2] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,2] * self.ylbar[2,2] * self.yqlomega1bar[1,2] * self.yubar[1,0] + -9/32 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + -3/16 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + 3/16 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + 3/16 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yl[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yl[0,mif2] * self.ylbar[0,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yl[0,mif2] * self.ylbar[0,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yl[1,mif2] * self.ylbar[1,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yl[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yl[1,mif2] * self.ylbar[1,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yl[2,mif2] * self.ylbar[2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yl[2,mif2] * self.ylbar[2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yl[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[1,mif1] * self.yu[0,0] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[1,mif1] * self.yu[0,0] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[1,mif1] * self.yu[0,0] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[0,0] * self.yl[mif1,0] * self.yu[1,0] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[1,0] * self.yl[mif1,1] * self.yu[1,0] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[2,0] * self.yl[mif1,2] * self.yu[1,0] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[1,mif1] * self.yu[1,0] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[1,mif1] * self.yu[1,0] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[1,mif1] * self.yu[1,0] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[0,1] * self.yl[mif1,0] * self.yu[1,1] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[1,1] * self.yl[mif1,1] * self.yu[1,1] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[2,1] * self.yl[mif1,2] * self.yu[1,1] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[0,2] * self.yl[mif1,0] * self.yu[1,2] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[1,2] * self.yl[mif1,1] * self.yu[1,2] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[2,2] * self.yl[mif1,2] * self.yu[1,2] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[1,mif1] * self.yu[2,0] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[1,mif1] * self.yu[2,0] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[1,mif1] * self.yu[2,0] * self.yubar[1,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[0,0] * self.yubar[0,0] * self.yubar[1,0] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[0,0] * self.yubar[0,0] * self.yubar[1,0] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[0,0] * self.yubar[0,0] * self.yubar[1,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,0] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,0] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[0,0] * self.yubar[0,1] * self.yubar[1,0] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[0,0] * self.yubar[0,1] * self.yubar[1,0] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[0,0] * self.yubar[0,1] * self.yubar[1,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[0,0] * self.yubar[0,2] * self.yubar[1,0] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[0,0] * self.yubar[0,2] * self.yubar[1,0] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[0,0] * self.yubar[0,2] * self.yubar[1,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[1,0] * (self.yubar[1,0])**(2) + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[1,0] * (self.yubar[1,0])**(2) + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[1,0] * (self.yubar[1,0])**(2) + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,0] * self.ylbar[0,0] * self.yqlomega1bar[1,0] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,1] * self.ylbar[0,1] * self.yqlomega1bar[1,0] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,2] * self.ylbar[0,2] * self.yqlomega1bar[1,0] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,0] * self.ylbar[1,0] * self.yqlomega1bar[1,1] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,1] * self.ylbar[1,1] * self.yqlomega1bar[1,1] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,2] * self.ylbar[1,2] * self.yqlomega1bar[1,1] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,0] * self.ylbar[2,0] * self.yqlomega1bar[1,2] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,1] * self.ylbar[2,1] * self.yqlomega1bar[1,2] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,2] * self.ylbar[2,2] * self.yqlomega1bar[1,2] * self.yubar[1,1] + -9/32 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + -3/16 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + 3/16 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + 3/16 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yl[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yl[0,mif2] * self.ylbar[0,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yl[0,mif2] * self.ylbar[0,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yl[1,mif2] * self.ylbar[1,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yl[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yl[1,mif2] * self.ylbar[1,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yl[2,mif2] * self.ylbar[2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yl[2,mif2] * self.ylbar[2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yl[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[1,mif1] * self.yu[0,1] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[1,mif1] * self.yu[0,1] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[1,mif1] * self.yu[0,1] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[0,0] * self.yl[mif1,0] * self.yu[1,0] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[1,0] * self.yl[mif1,1] * self.yu[1,0] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[2,0] * self.yl[mif1,2] * self.yu[1,0] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[0,1] * self.yl[mif1,0] * self.yu[1,1] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[1,1] * self.yl[mif1,1] * self.yu[1,1] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[2,1] * self.yl[mif1,2] * self.yu[1,1] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[1,mif1] * self.yu[1,1] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[1,mif1] * self.yu[1,1] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[1,mif1] * self.yu[1,1] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[0,2] * self.yl[mif1,0] * self.yu[1,2] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[1,2] * self.yl[mif1,1] * self.yu[1,2] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[2,2] * self.yl[mif1,2] * self.yu[1,2] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[1,mif1] * self.yu[2,1] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[1,mif1] * self.yu[2,1] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[1,mif1] * self.yu[2,1] * self.yubar[1,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[0,1] * self.yubar[0,0] * self.yubar[1,1] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[0,1] * self.yubar[0,0] * self.yubar[1,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[0,1] * self.yubar[0,0] * self.yubar[1,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,1] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[0,1] * self.yubar[0,1] * self.yubar[1,1] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[0,1] * self.yubar[0,1] * self.yubar[1,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[0,1] * self.yubar[0,1] * self.yubar[1,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,1] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[0,1] * self.yubar[0,2] * self.yubar[1,1] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[0,1] * self.yubar[0,2] * self.yubar[1,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[0,1] * self.yubar[0,2] * self.yubar[1,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,1] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[1,1] * self.yubar[1,0] * self.yubar[1,1] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[1,1] * self.yubar[1,0] * self.yubar[1,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[1,1] * self.yubar[1,0] * self.yubar[1,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[1,1] * (self.yubar[1,1])**(2) + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[1,1] * (self.yubar[1,1])**(2) + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[1,1] * (self.yubar[1,1])**(2) + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,0] * self.ylbar[0,0] * self.yqlomega1bar[1,0] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,1] * self.ylbar[0,1] * self.yqlomega1bar[1,0] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yqlomega1bar[1,0] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,0] * self.ylbar[1,0] * self.yqlomega1bar[1,1] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,1] * self.ylbar[1,1] * self.yqlomega1bar[1,1] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yqlomega1bar[1,1] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,0] * self.ylbar[2,0] * self.yqlomega1bar[1,2] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,1] * self.ylbar[2,1] * self.yqlomega1bar[1,2] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yqlomega1bar[1,2] * self.yubar[1,2] + -9/32 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + -3/16 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + 3/16 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + 3/16 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yl[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yl[0,mif2] * self.ylbar[0,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yl[0,mif2] * self.ylbar[0,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yl[1,mif2] * self.ylbar[1,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yl[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yl[1,mif2] * self.ylbar[1,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yl[2,mif2] * self.ylbar[2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yl[2,mif2] * self.ylbar[2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yl[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[1,mif1] * self.yu[0,2] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[1,mif1] * self.yu[0,2] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[1,mif1] * self.yu[0,2] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[0,0] * self.yl[mif1,0] * self.yu[1,0] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[1,0] * self.yl[mif1,1] * self.yu[1,0] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[2,0] * self.yl[mif1,2] * self.yu[1,0] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[0,1] * self.yl[mif1,0] * self.yu[1,1] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[1,1] * self.yl[mif1,1] * self.yu[1,1] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[2,1] * self.yl[mif1,2] * self.yu[1,1] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[0,2] * self.yl[mif1,0] * self.yu[1,2] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[1,2] * self.yl[mif1,1] * self.yu[1,2] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[2,2] * self.yl[mif1,2] * self.yu[1,2] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[1,mif1] * self.yu[1,2] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[1,mif1] * self.yu[1,2] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[1,mif1] * self.yu[1,2] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[1,mif1] * self.yu[2,2] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[1,mif1] * self.yu[2,2] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[1,mif1] * self.yu[2,2] * self.yubar[1,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[0,2] * self.yubar[0,0] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[0,2] * self.yubar[0,0] * self.yubar[1,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[0,2] * self.yubar[0,0] * self.yubar[1,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[1,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[1,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[0,2] * self.yubar[0,2] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[0,2] * self.yubar[0,2] * self.yubar[1,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[0,2] * self.yubar[0,2] * self.yubar[1,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[1,2] * self.yubar[1,0] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[1,2] * self.yubar[1,0] * self.yubar[1,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[1,2] * self.yubar[1,0] * self.yubar[1,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[1,1] * self.yubar[1,1] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[1,1] * self.yubar[1,1] * self.yubar[1,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[1,1] * self.yubar[1,1] * self.yubar[1,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[1,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[1,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[1,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[1,2] * (self.yubar[1,2])**(2) + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[1,2] * (self.yubar[1,2])**(2) + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[1,2] * (self.yubar[1,2])**(2) + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,0] * self.ylbar[0,0] * self.yqlomega1bar[2,0] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,1] * self.ylbar[0,1] * self.yqlomega1bar[2,0] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,2] * self.ylbar[0,2] * self.yqlomega1bar[2,0] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,0] * self.ylbar[1,0] * self.yqlomega1bar[2,1] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,1] * self.ylbar[1,1] * self.yqlomega1bar[2,1] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,2] * self.ylbar[1,2] * self.yqlomega1bar[2,1] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,0] * self.ylbar[2,0] * self.yqlomega1bar[2,2] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,1] * self.ylbar[2,1] * self.yqlomega1bar[2,2] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yl[mif1,2] * self.ylbar[2,2] * self.yqlomega1bar[2,2] * self.yubar[2,0] + -9/32 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + -3/16 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + 3/16 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + 3/16 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yl[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yl[0,mif2] * self.ylbar[0,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yl[0,mif2] * self.ylbar[0,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yl[1,mif2] * self.ylbar[1,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yl[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yl[1,mif2] * self.ylbar[1,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yl[2,mif2] * self.ylbar[2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yl[2,mif2] * self.ylbar[2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yl[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[2,mif1] * self.yu[0,0] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[2,mif1] * self.yu[0,0] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[2,mif1] * self.yu[0,0] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[2,mif1] * self.yu[1,0] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[2,mif1] * self.yu[1,0] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[2,mif1] * self.yu[1,0] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[0,0] * self.yl[mif1,0] * self.yu[2,0] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[1,0] * self.yl[mif1,1] * self.yu[2,0] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[2,0] * self.yl[mif1,2] * self.yu[2,0] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[2,mif1] * self.yu[2,0] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[2,mif1] * self.yu[2,0] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[2,mif1] * self.yu[2,0] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[0,1] * self.yl[mif1,0] * self.yu[2,1] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[1,1] * self.yl[mif1,1] * self.yu[2,1] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[2,1] * self.yl[mif1,2] * self.yu[2,1] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[0,2] * self.yl[mif1,0] * self.yu[2,2] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[1,2] * self.yl[mif1,1] * self.yu[2,2] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[2,2] * self.yl[mif1,2] * self.yu[2,2] * self.yubar[2,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[0,0] * self.yubar[0,0] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[0,0] * self.yubar[0,0] * self.yubar[2,0] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[0,0] * self.yubar[0,0] * self.yubar[2,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[0,0] * self.yubar[0,1] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[0,0] * self.yubar[0,1] * self.yubar[2,0] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[0,0] * self.yubar[0,1] * self.yubar[2,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[0,0] * self.yubar[0,2] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[0,0] * self.yubar[0,2] * self.yubar[2,0] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[0,0] * self.yubar[0,2] * self.yubar[2,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[1,0] * self.yubar[1,0] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[1,0] * self.yubar[1,0] * self.yubar[2,0] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[1,0] * self.yubar[1,0] * self.yubar[2,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[1,0] * self.yubar[1,1] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[1,0] * self.yubar[1,1] * self.yubar[2,0] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[1,0] * self.yubar[1,1] * self.yubar[2,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[1,0] * self.yubar[1,2] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[1,0] * self.yubar[1,2] * self.yubar[2,0] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[1,0] * self.yubar[1,2] * self.yubar[2,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[2,0] * (self.yubar[2,0])**(2) + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[2,0] * (self.yubar[2,0])**(2) + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[2,0] * (self.yubar[2,0])**(2) + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,0] * self.ylbar[0,0] * self.yqlomega1bar[2,0] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,1] * self.ylbar[0,1] * self.yqlomega1bar[2,0] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,2] * self.ylbar[0,2] * self.yqlomega1bar[2,0] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,0] * self.ylbar[1,0] * self.yqlomega1bar[2,1] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,1] * self.ylbar[1,1] * self.yqlomega1bar[2,1] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,2] * self.ylbar[1,2] * self.yqlomega1bar[2,1] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,0] * self.ylbar[2,0] * self.yqlomega1bar[2,2] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,1] * self.ylbar[2,1] * self.yqlomega1bar[2,2] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yl[mif1,2] * self.ylbar[2,2] * self.yqlomega1bar[2,2] * self.yubar[2,1] + -9/32 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + -3/16 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + 3/16 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + 3/16 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yl[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yl[0,mif2] * self.ylbar[0,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yl[0,mif2] * self.ylbar[0,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yl[1,mif2] * self.ylbar[1,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yl[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yl[1,mif2] * self.ylbar[1,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yl[2,mif2] * self.ylbar[2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yl[2,mif2] * self.ylbar[2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yl[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[2,mif1] * self.yu[0,1] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[2,mif1] * self.yu[0,1] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[2,mif1] * self.yu[0,1] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[2,mif1] * self.yu[1,1] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[2,mif1] * self.yu[1,1] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[2,mif1] * self.yu[1,1] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[0,0] * self.yl[mif1,0] * self.yu[2,0] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[1,0] * self.yl[mif1,1] * self.yu[2,0] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[2,0] * self.yl[mif1,2] * self.yu[2,0] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[0,1] * self.yl[mif1,0] * self.yu[2,1] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[1,1] * self.yl[mif1,1] * self.yu[2,1] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[2,1] * self.yl[mif1,2] * self.yu[2,1] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[2,mif1] * self.yu[2,1] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[2,mif1] * self.yu[2,1] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[2,mif1] * self.yu[2,1] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[0,2] * self.yl[mif1,0] * self.yu[2,2] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[1,2] * self.yl[mif1,1] * self.yu[2,2] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[2,2] * self.yl[mif1,2] * self.yu[2,2] * self.yubar[2,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[0,1] * self.yubar[0,0] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[0,1] * self.yubar[0,0] * self.yubar[2,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[0,1] * self.yubar[0,0] * self.yubar[2,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[0,1] * self.yubar[0,1] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[0,1] * self.yubar[0,1] * self.yubar[2,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[0,1] * self.yubar[0,1] * self.yubar[2,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[0,1] * self.yubar[0,2] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[0,1] * self.yubar[0,2] * self.yubar[2,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[0,1] * self.yubar[0,2] * self.yubar[2,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[1,1] * self.yubar[1,0] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[1,1] * self.yubar[1,0] * self.yubar[2,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[1,1] * self.yubar[1,0] * self.yubar[2,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[1,1] * self.yubar[1,1] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[1,1] * self.yubar[1,1] * self.yubar[2,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[1,1] * self.yubar[1,1] * self.yubar[2,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[1,1] * self.yubar[1,2] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[1,1] * self.yubar[1,2] * self.yubar[2,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[1,1] * self.yubar[1,2] * self.yubar[2,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[2,1] * (self.yubar[2,1])**(2) + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[2,1] * (self.yubar[2,1])**(2) + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[2,1] * (self.yubar[2,1])**(2) + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,0] * self.ylbar[0,0] * self.yqlomega1bar[2,0] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,1] * self.ylbar[0,1] * self.yqlomega1bar[2,0] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yqlomega1bar[2,0] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,0] * self.ylbar[1,0] * self.yqlomega1bar[2,1] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,1] * self.ylbar[1,1] * self.yqlomega1bar[2,1] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yqlomega1bar[2,1] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,0] * self.ylbar[2,0] * self.yqlomega1bar[2,2] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,1] * self.ylbar[2,1] * self.yqlomega1bar[2,2] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yqlomega1bar[2,2] * self.yubar[2,2] + -9/32 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + -3/16 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + 3/16 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + 3/16 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yl[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yl[0,mif2] * self.ylbar[0,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yl[0,mif2] * self.ylbar[0,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yl[1,mif2] * self.ylbar[1,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yl[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yl[1,mif2] * self.ylbar[1,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yl[2,mif2] * self.ylbar[2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yl[2,mif2] * self.ylbar[2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yl[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[2,mif1] * self.yu[0,2] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[2,mif1] * self.yu[0,2] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[2,mif1] * self.yu[0,2] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[2,mif1] * self.yu[1,2] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[2,mif1] * self.yu[1,2] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[2,mif1] * self.yu[1,2] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[0,0] * self.yl[mif1,0] * self.yu[2,0] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[1,0] * self.yl[mif1,1] * self.yu[2,0] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[2,0] * self.yl[mif1,2] * self.yu[2,0] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[0,1] * self.yl[mif1,0] * self.yu[2,1] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[1,1] * self.yl[mif1,1] * self.yu[2,1] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[2,1] * self.yl[mif1,2] * self.yu[2,1] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[0,2] * self.yl[mif1,0] * self.yu[2,2] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[1,2] * self.yl[mif1,1] * self.yu[2,2] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[2,2] * self.yl[mif1,2] * self.yu[2,2] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[2,mif1] * self.yu[2,2] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[2,mif1] * self.yu[2,2] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[2,mif1] * self.yu[2,2] * self.yubar[2,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[0,2] * self.yubar[0,0] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[0,2] * self.yubar[0,0] * self.yubar[2,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[0,2] * self.yubar[0,0] * self.yubar[2,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[2,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[0,2] * self.yubar[0,1] * self.yubar[2,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[0,2] * self.yubar[0,2] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[0,2] * self.yubar[0,2] * self.yubar[2,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[0,2] * self.yubar[0,2] * self.yubar[2,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[1,2] * self.yubar[1,0] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[1,2] * self.yubar[1,0] * self.yubar[2,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[1,2] * self.yubar[1,0] * self.yubar[2,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[2,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[1,2] * self.yubar[1,1] * self.yubar[2,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[2,1] * self.yubar[2,1] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[2,1] * self.yubar[2,1] * self.yubar[2,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[2,1] * self.yubar[2,1] * self.yubar[2,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[2,2] * (self.yubar[2,2])**(2) + 3/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[2,2] * (self.yubar[2,2])**(2) + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[2,2] * (self.yubar[2,2])**(2))

    def alphaOeu(self, mif1,mif2,mif3,mif4):
        return (1/2160 * (self.g1)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 7/432 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] + 1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] + -1/72 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] + 7/432 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] + 1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] + -1/72 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] + 7/432 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] + 1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] + -1/72 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] + 25/864 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] + 1/48 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] + -1/48 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] + 25/864 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] + 1/48 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] + -1/48 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] + 25/864 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] + 1/48 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] + -1/48 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] + 5/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] + 1/36 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] + -1/36 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] + 7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,0] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,0] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,mif3] * self.yduomega1bar[0,0] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,0] + 7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,0] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,0] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,mif3] * self.yduomega1bar[1,0] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,0] + 7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,0] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,0] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,mif3] * self.yduomega1bar[2,0] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[0,mif3] * self.yeuomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,mif3] * self.yeuomega1bar[mif1,0] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,mif3] * self.yeuomega1bar[mif1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,0] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,mif3] * self.yeuomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[1,mif3] * self.yeuomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,mif3] * self.yeuomega1bar[mif1,0] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,mif3] * self.yeuomega1bar[mif1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,0] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,mif3] * self.yeuomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[2,mif3] * self.yeuomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,mif3] * self.yeuomega1bar[mif1,0] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,mif3] * self.yeuomega1bar[mif1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,0] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,mif3] * self.yeuomega1bar[mif1,0] + 5/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] + 1/36 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] + -1/36 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] + 7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,mif3] * self.yduomega1bar[0,1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,1] + 7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,mif3] * self.yduomega1bar[1,1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,1] + 7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,mif3] * self.yduomega1bar[2,1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[0,mif3] * self.yeuomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,mif3] * self.yeuomega1bar[mif1,1] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,mif3] * self.yeuomega1bar[mif1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,mif3] * self.yeuomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[1,mif3] * self.yeuomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,mif3] * self.yeuomega1bar[mif1,1] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,mif3] * self.yeuomega1bar[mif1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,mif3] * self.yeuomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[2,mif3] * self.yeuomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,mif3] * self.yeuomega1bar[mif1,1] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,mif3] * self.yeuomega1bar[mif1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,mif3] * self.yeuomega1bar[mif1,1] + 5/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] + 1/36 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] + -1/36 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] + 7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,2] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,2] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,mif3] * self.yduomega1bar[0,2] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,2] + 7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,2] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,2] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,mif3] * self.yduomega1bar[1,2] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,2] + 7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,2] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,2] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,mif3] * self.yduomega1bar[2,2] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[0,mif3] * self.yeuomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,mif3] * self.yeuomega1bar[mif1,2] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,mif3] * self.yeuomega1bar[mif1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,2] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,mif3] * self.yeuomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[1,mif3] * self.yeuomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,mif3] * self.yeuomega1bar[mif1,2] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,mif3] * self.yeuomega1bar[mif1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,2] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,mif3] * self.yeuomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[2,mif3] * self.yeuomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,mif3] * self.yeuomega1bar[mif1,2] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,mif3] * self.yeuomega1bar[mif1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,2] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,mif3] * self.yeuomega1bar[mif1,2] + 7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,mif3] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,mif3] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,0] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,mif3] + 7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,mif3] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,mif3] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,0] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,mif3] + 7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,mif3] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,mif3] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,0] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,mif3] + 7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,mif3] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,mif3] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,1] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,mif3] + 7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,mif3] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,mif3] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,1] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,mif3] + 7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,mif3] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,mif3] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,1] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,mif3] + 7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,mif3] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,mif3] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,2] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,mif3] + 7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,mif3] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,mif3] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,2] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,mif3] + 7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,mif3] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,mif3] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,2] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,mif3] + 1/2 * (self.Momega1)**(-2) * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,mif3] + 31/576 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,mif3] + 25/192 * self.epsilonbar * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,mif3] + 7/48 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,mif3] + 1/16 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,mif3] + 25/288 * self.epsilonbar * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,mif3] + 1/24 * self.epsilonbar * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,mif3] + -25/288 * self.epsilonbar * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,mif3] + -1/24 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[mif1,mif3] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[0,0] * self.yeuomega1bar[mif1,mif3] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[0,0] * self.yeuomega1bar[mif1,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[0,0] * self.yeuomega1bar[mif1,mif3] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[0,1] * self.yeuomega1bar[mif1,mif3] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[0,1] * self.yeuomega1bar[mif1,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[0,1] * self.yeuomega1bar[mif1,mif3] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[0,2] * self.yeuomega1bar[mif1,mif3] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[0,2] * self.yeuomega1bar[mif1,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[0,2] * self.yeuomega1bar[mif1,mif3] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[1,0] * self.yeuomega1bar[mif1,mif3] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[1,0] * self.yeuomega1bar[mif1,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[1,0] * self.yeuomega1bar[mif1,mif3] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[1,1] * self.yeuomega1bar[mif1,mif3] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[1,1] * self.yeuomega1bar[mif1,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[1,1] * self.yeuomega1bar[mif1,mif3] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[1,2] * self.yeuomega1bar[mif1,mif3] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[1,2] * self.yeuomega1bar[mif1,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[1,2] * self.yeuomega1bar[mif1,mif3] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[2,0] * self.yeuomega1bar[mif1,mif3] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[2,0] * self.yeuomega1bar[mif1,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[2,0] * self.yeuomega1bar[mif1,mif3] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[2,1] * self.yeuomega1bar[mif1,mif3] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[2,1] * self.yeuomega1bar[mif1,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[2,1] * self.yeuomega1bar[mif1,mif3] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[2,2] * self.yeuomega1bar[mif1,mif3] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[2,2] * self.yeuomega1bar[mif1,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[2,2] * self.yeuomega1bar[mif1,mif3] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.ylbar[0,mif1] * self.yqlomega1bar[0,0] * self.yubar[0,mif3] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.ylbar[1,mif1] * self.yqlomega1bar[0,1] * self.yubar[0,mif3] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.ylbar[2,mif1] * self.yqlomega1bar[0,2] * self.yubar[0,mif3] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.ylbar[0,mif1] * self.yqlomega1bar[1,0] * self.yubar[1,mif3] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.ylbar[1,mif1] * self.yqlomega1bar[1,1] * self.yubar[1,mif3] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.ylbar[2,mif1] * self.yqlomega1bar[1,2] * self.yubar[1,mif3] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.ylbar[0,mif1] * self.yqlomega1bar[2,0] * self.yubar[2,mif3] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.ylbar[1,mif1] * self.yqlomega1bar[2,1] * self.yubar[2,mif3] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.ylbar[2,mif1] * self.yqlomega1bar[2,2] * self.yubar[2,mif3])

    def alphaOeW(self, mif1,mif2):
        return (1/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[0,mif1] + 1/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[0,mif1] + 1/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[0,mif1] + 1/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[1,mif1] + 1/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[1,mif1] + 1/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[1,mif1] + 1/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[2,mif1] + 1/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[2,mif1] + 1/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[2,mif1] + -15/256 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + -3/128 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + 3/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.xRP * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + 3/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + -15/256 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + -3/128 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + 3/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.xRP * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + 3/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + -15/256 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + -3/128 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + 3/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.xRP * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + 3/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + -15/256 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + -3/128 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + 3/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.xRP * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + 3/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + -15/256 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + -3/128 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + 3/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.xRP * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + 3/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + -15/256 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + -3/128 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + 3/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.xRP * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + 3/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + -15/256 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + -3/128 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + 3/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.xRP * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + 3/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + -15/256 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + -3/128 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + 3/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.xRP * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + 3/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + -15/256 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + -3/128 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + 3/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.xRP * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + 3/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,2])

    def alphaOHd(self, mif1,mif2):
        return (1/8640 * (self.g1)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) + 17/864 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,0] + 1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,0] + -1/72 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,0] + 17/864 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,1] + 1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,1] + -1/72 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,1] + 17/864 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,2] + 1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,2] + -1/72 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,mif1] * self.yqlomega1[0,0] * self.yqlomega1bar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[0,mif1] * self.yqlomega1[1,0] * self.yqlomega1bar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[0,mif1] * self.yqlomega1[2,0] * self.yqlomega1bar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,mif1] * self.yqlomega1[0,1] * self.yqlomega1bar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[0,mif1] * self.yqlomega1[1,1] * self.yqlomega1bar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[0,mif1] * self.yqlomega1[2,1] * self.yqlomega1bar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,mif1] * self.yqlomega1[0,2] * self.yqlomega1bar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[0,mif1] * self.yqlomega1[1,2] * self.yqlomega1bar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[0,mif1] * self.yqlomega1[2,2] * self.yqlomega1bar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[1,mif1] * self.yqlomega1[0,0] * self.yqlomega1bar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,mif1] * self.yqlomega1[1,0] * self.yqlomega1bar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[1,mif1] * self.yqlomega1[2,0] * self.yqlomega1bar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[1,mif1] * self.yqlomega1[0,1] * self.yqlomega1bar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,mif1] * self.yqlomega1[1,1] * self.yqlomega1bar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[1,mif1] * self.yqlomega1[2,1] * self.yqlomega1bar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[1,mif1] * self.yqlomega1[0,2] * self.yqlomega1bar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,mif1] * self.yqlomega1[1,2] * self.yqlomega1bar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[1,mif1] * self.yqlomega1[2,2] * self.yqlomega1bar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[2,mif1] * self.yqlomega1[0,0] * self.yqlomega1bar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[2,mif1] * self.yqlomega1[1,0] * self.yqlomega1bar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,mif1] * self.yqlomega1[2,0] * self.yqlomega1bar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[2,mif1] * self.yqlomega1[0,1] * self.yqlomega1bar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[2,mif1] * self.yqlomega1[1,1] * self.yqlomega1bar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,mif1] * self.yqlomega1[2,1] * self.yqlomega1bar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[2,mif1] * self.yqlomega1[0,2] * self.yqlomega1bar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[2,mif1] * self.yqlomega1[1,2] * self.yqlomega1bar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,mif1] * self.yqlomega1[2,2] * self.yqlomega1bar[2,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,mif1] * self.yqqomega1[0,0] * self.yqqomega1bar[0,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[1,mif1] * self.yqqomega1[0,1] * self.yqqomega1bar[0,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[2,mif1] * self.yqqomega1[0,2] * self.yqqomega1bar[0,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[0,mif1] * self.yqqomega1[0,0] * self.yqqomega1bar[0,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,mif1] * self.yqqomega1[0,1] * self.yqqomega1bar[0,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[2,mif1] * self.yqqomega1[0,2] * self.yqqomega1bar[0,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[0,mif1] * self.yqqomega1[0,0] * self.yqqomega1bar[0,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[1,mif1] * self.yqqomega1[0,1] * self.yqqomega1bar[0,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,mif1] * self.yqqomega1[0,2] * self.yqqomega1bar[0,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,mif1] * self.yqqomega1[1,0] * self.yqqomega1bar[1,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[1,mif1] * self.yqqomega1[1,1] * self.yqqomega1bar[1,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[2,mif1] * self.yqqomega1[1,2] * self.yqqomega1bar[1,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[0,mif1] * self.yqqomega1[1,0] * self.yqqomega1bar[1,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,mif1] * self.yqqomega1[1,1] * self.yqqomega1bar[1,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[2,mif1] * self.yqqomega1[1,2] * self.yqqomega1bar[1,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[0,mif1] * self.yqqomega1[1,0] * self.yqqomega1bar[1,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[1,mif1] * self.yqqomega1[1,1] * self.yqqomega1bar[1,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,mif1] * self.yqqomega1[1,2] * self.yqqomega1bar[1,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,mif1] * self.yqqomega1[2,0] * self.yqqomega1bar[2,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[1,mif1] * self.yqqomega1[2,1] * self.yqqomega1bar[2,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[2,mif1] * self.yqqomega1[2,2] * self.yqqomega1bar[2,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[0,mif1] * self.yqqomega1[2,0] * self.yqqomega1bar[2,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,mif1] * self.yqqomega1[2,1] * self.yqqomega1bar[2,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[2,mif1] * self.yqqomega1[2,2] * self.yqqomega1bar[2,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[0,mif1] * self.yqqomega1[2,0] * self.yqqomega1bar[2,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[1,mif1] * self.yqqomega1[2,1] * self.yqqomega1bar[2,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,mif1] * self.yqqomega1[2,2] * self.yqqomega1bar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yduomega1[mif1,0] * self.yqqomega1bar[0,0] * self.yu[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yduomega1[mif1,0] * self.yqqomega1bar[0,1] * self.yu[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yduomega1[mif1,0] * self.yqqomega1bar[0,2] * self.yu[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yduomega1[mif1,1] * self.yqqomega1bar[0,0] * self.yu[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yduomega1[mif1,1] * self.yqqomega1bar[0,1] * self.yu[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yduomega1[mif1,1] * self.yqqomega1bar[0,2] * self.yu[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yduomega1[mif1,2] * self.yqqomega1bar[0,0] * self.yu[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yduomega1[mif1,2] * self.yqqomega1bar[0,1] * self.yu[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yduomega1[mif1,2] * self.yqqomega1bar[0,2] * self.yu[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yduomega1[mif1,0] * self.yqqomega1bar[1,0] * self.yu[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yduomega1[mif1,0] * self.yqqomega1bar[1,1] * self.yu[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yduomega1[mif1,0] * self.yqqomega1bar[1,2] * self.yu[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yduomega1[mif1,1] * self.yqqomega1bar[1,0] * self.yu[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yduomega1[mif1,1] * self.yqqomega1bar[1,1] * self.yu[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yduomega1[mif1,1] * self.yqqomega1bar[1,2] * self.yu[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yduomega1[mif1,2] * self.yqqomega1bar[1,0] * self.yu[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yduomega1[mif1,2] * self.yqqomega1bar[1,1] * self.yu[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yduomega1[mif1,2] * self.yqqomega1bar[1,2] * self.yu[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yduomega1[mif1,0] * self.yqqomega1bar[2,0] * self.yu[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yduomega1[mif1,0] * self.yqqomega1bar[2,1] * self.yu[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yduomega1[mif1,0] * self.yqqomega1bar[2,2] * self.yu[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yduomega1[mif1,1] * self.yqqomega1bar[2,0] * self.yu[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yduomega1[mif1,1] * self.yqqomega1bar[2,1] * self.yu[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yduomega1[mif1,1] * self.yqqomega1bar[2,2] * self.yu[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yduomega1[mif1,2] * self.yqqomega1bar[2,0] * self.yu[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yduomega1[mif1,2] * self.yqqomega1bar[2,1] * self.yu[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yduomega1[mif1,2] * self.yqqomega1bar[2,2] * self.yu[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif1] * self.yduomega1bar[mif2,0] * self.yqqomega1[0,0] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif1] * self.yduomega1bar[mif2,0] * self.yqqomega1[0,1] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif1] * self.yduomega1bar[mif2,0] * self.yqqomega1[0,2] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,0] * self.yu[0,0] * self.yubar[0,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,0] * self.yu[0,0] * self.yubar[0,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,0] * self.yu[0,0] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,0] * self.yu[0,1] * self.yubar[0,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,0] * self.yu[0,1] * self.yubar[0,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,0] * self.yu[0,1] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,0] * self.yu[0,2] * self.yubar[0,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,0] * self.yu[0,2] * self.yubar[0,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,0] * self.yu[0,2] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif1] * self.yduomega1bar[mif2,1] * self.yqqomega1[0,0] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif1] * self.yduomega1bar[mif2,1] * self.yqqomega1[0,1] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif1] * self.yduomega1bar[mif2,1] * self.yqqomega1[0,2] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,1] * self.yu[0,0] * self.yubar[0,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,1] * self.yu[0,0] * self.yubar[0,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,1] * self.yu[0,0] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,1] * self.yu[0,1] * self.yubar[0,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,1] * self.yu[0,1] * self.yubar[0,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,1] * self.yu[0,1] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,1] * self.yu[0,2] * self.yubar[0,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,1] * self.yu[0,2] * self.yubar[0,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,1] * self.yu[0,2] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif1] * self.yduomega1bar[mif2,2] * self.yqqomega1[0,0] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif1] * self.yduomega1bar[mif2,2] * self.yqqomega1[0,1] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif1] * self.yduomega1bar[mif2,2] * self.yqqomega1[0,2] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,2] * self.yu[0,0] * self.yubar[0,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,2] * self.yu[0,0] * self.yubar[0,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,2] * self.yu[0,0] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,2] * self.yu[0,1] * self.yubar[0,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,2] * self.yu[0,1] * self.yubar[0,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,2] * self.yu[0,1] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,2] * self.yu[0,2] * self.yubar[0,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,2] * self.yu[0,2] * self.yubar[0,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,2] * self.yu[0,2] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif1] * self.yduomega1bar[mif2,0] * self.yqqomega1[1,0] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif1] * self.yduomega1bar[mif2,0] * self.yqqomega1[1,1] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif1] * self.yduomega1bar[mif2,0] * self.yqqomega1[1,2] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,0] * self.yu[1,0] * self.yubar[1,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,0] * self.yu[1,0] * self.yubar[1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,0] * self.yu[1,0] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,0] * self.yu[1,1] * self.yubar[1,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,0] * self.yu[1,1] * self.yubar[1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,0] * self.yu[1,1] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,0] * self.yu[1,2] * self.yubar[1,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,0] * self.yu[1,2] * self.yubar[1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,0] * self.yu[1,2] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif1] * self.yduomega1bar[mif2,1] * self.yqqomega1[1,0] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif1] * self.yduomega1bar[mif2,1] * self.yqqomega1[1,1] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif1] * self.yduomega1bar[mif2,1] * self.yqqomega1[1,2] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,1] * self.yu[1,0] * self.yubar[1,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,1] * self.yu[1,0] * self.yubar[1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,1] * self.yu[1,0] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,1] * self.yu[1,1] * self.yubar[1,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,1] * self.yu[1,1] * self.yubar[1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,1] * self.yu[1,1] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,1] * self.yu[1,2] * self.yubar[1,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,1] * self.yu[1,2] * self.yubar[1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,1] * self.yu[1,2] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif1] * self.yduomega1bar[mif2,2] * self.yqqomega1[1,0] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif1] * self.yduomega1bar[mif2,2] * self.yqqomega1[1,1] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif1] * self.yduomega1bar[mif2,2] * self.yqqomega1[1,2] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,2] * self.yu[1,0] * self.yubar[1,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,2] * self.yu[1,0] * self.yubar[1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,2] * self.yu[1,0] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,2] * self.yu[1,1] * self.yubar[1,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,2] * self.yu[1,1] * self.yubar[1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,2] * self.yu[1,1] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,2] * self.yu[1,2] * self.yubar[1,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,2] * self.yu[1,2] * self.yubar[1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,2] * self.yu[1,2] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif1] * self.yduomega1bar[mif2,0] * self.yqqomega1[2,0] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif1] * self.yduomega1bar[mif2,0] * self.yqqomega1[2,1] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif1] * self.yduomega1bar[mif2,0] * self.yqqomega1[2,2] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,0] * self.yu[2,0] * self.yubar[2,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,0] * self.yu[2,0] * self.yubar[2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,0] * self.yu[2,0] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,0] * self.yu[2,1] * self.yubar[2,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,0] * self.yu[2,1] * self.yubar[2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,0] * self.yu[2,1] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,0] * self.yu[2,2] * self.yubar[2,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,0] * self.yu[2,2] * self.yubar[2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,0] * self.yu[2,2] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif1] * self.yduomega1bar[mif2,1] * self.yqqomega1[2,0] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif1] * self.yduomega1bar[mif2,1] * self.yqqomega1[2,1] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif1] * self.yduomega1bar[mif2,1] * self.yqqomega1[2,2] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,1] * self.yu[2,0] * self.yubar[2,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,1] * self.yu[2,0] * self.yubar[2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,1] * self.yu[2,0] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,1] * self.yu[2,1] * self.yubar[2,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,1] * self.yu[2,1] * self.yubar[2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,1] * self.yu[2,1] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,1] * self.yu[2,2] * self.yubar[2,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,1] * self.yu[2,2] * self.yubar[2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,1] * self.yu[2,2] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif1] * self.yduomega1bar[mif2,2] * self.yqqomega1[2,0] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif1] * self.yduomega1bar[mif2,2] * self.yqqomega1[2,1] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif1] * self.yduomega1bar[mif2,2] * self.yqqomega1[2,2] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,2] * self.yu[2,0] * self.yubar[2,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,2] * self.yu[2,0] * self.yubar[2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,0] * self.yduomega1bar[mif2,2] * self.yu[2,0] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,2] * self.yu[2,1] * self.yubar[2,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,2] * self.yu[2,1] * self.yubar[2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,1] * self.yduomega1bar[mif2,2] * self.yu[2,1] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,2] * self.yu[2,2] * self.yubar[2,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,2] * self.yu[2,2] * self.yubar[2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif1,2] * self.yduomega1bar[mif2,2] * self.yu[2,2] * self.yubar[2,2])

    def alphaOHe(self, mif1,mif2):
        return (1/2880 * (self.g1)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) + 5/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] + 1/48 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] + -1/48 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] + 5/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] + 1/48 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] + -1/48 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] + 5/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] + 1/48 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] + -1/48 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[0,mif1] * self.yqlomega1[0,0] * self.yqlomega1bar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[0,mif1] * self.yqlomega1[0,1] * self.yqlomega1bar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[0,mif1] * self.yqlomega1[0,2] * self.yqlomega1bar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[1,mif1] * self.yqlomega1[0,0] * self.yqlomega1bar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[1,mif1] * self.yqlomega1[0,1] * self.yqlomega1bar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[1,mif1] * self.yqlomega1[0,2] * self.yqlomega1bar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[2,mif1] * self.yqlomega1[0,0] * self.yqlomega1bar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[2,mif1] * self.yqlomega1[0,1] * self.yqlomega1bar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[2,mif1] * self.yqlomega1[0,2] * self.yqlomega1bar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[0,mif1] * self.yqlomega1[1,0] * self.yqlomega1bar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[0,mif1] * self.yqlomega1[1,1] * self.yqlomega1bar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[0,mif1] * self.yqlomega1[1,2] * self.yqlomega1bar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[1,mif1] * self.yqlomega1[1,0] * self.yqlomega1bar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[1,mif1] * self.yqlomega1[1,1] * self.yqlomega1bar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[1,mif1] * self.yqlomega1[1,2] * self.yqlomega1bar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[2,mif1] * self.yqlomega1[1,0] * self.yqlomega1bar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[2,mif1] * self.yqlomega1[1,1] * self.yqlomega1bar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[2,mif1] * self.yqlomega1[1,2] * self.yqlomega1bar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[0,mif1] * self.yqlomega1[2,0] * self.yqlomega1bar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[0,mif1] * self.yqlomega1[2,1] * self.yqlomega1bar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[0,mif1] * self.yqlomega1[2,2] * self.yqlomega1bar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[1,mif1] * self.yqlomega1[2,0] * self.yqlomega1bar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[1,mif1] * self.yqlomega1[2,1] * self.yqlomega1bar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[1,mif1] * self.yqlomega1[2,2] * self.yqlomega1bar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[2,mif1] * self.yqlomega1[2,0] * self.yqlomega1bar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[2,mif1] * self.yqlomega1[2,1] * self.yqlomega1bar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[2,mif1] * self.yqlomega1[2,2] * self.yqlomega1bar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,0] * self.yl[0,mif2] * self.yqlomega1[0,0] * self.yu[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,0] * self.yl[1,mif2] * self.yqlomega1[0,1] * self.yu[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,0] * self.yl[2,mif2] * self.yqlomega1[0,2] * self.yu[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,1] * self.yl[0,mif2] * self.yqlomega1[0,0] * self.yu[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,1] * self.yl[1,mif2] * self.yqlomega1[0,1] * self.yu[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,1] * self.yl[2,mif2] * self.yqlomega1[0,2] * self.yu[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,2] * self.yl[0,mif2] * self.yqlomega1[0,0] * self.yu[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,2] * self.yl[1,mif2] * self.yqlomega1[0,1] * self.yu[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,2] * self.yl[2,mif2] * self.yqlomega1[0,2] * self.yu[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,0] * self.yl[0,mif2] * self.yqlomega1[1,0] * self.yu[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,0] * self.yl[1,mif2] * self.yqlomega1[1,1] * self.yu[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,0] * self.yl[2,mif2] * self.yqlomega1[1,2] * self.yu[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,1] * self.yl[0,mif2] * self.yqlomega1[1,0] * self.yu[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,1] * self.yl[1,mif2] * self.yqlomega1[1,1] * self.yu[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,1] * self.yl[2,mif2] * self.yqlomega1[1,2] * self.yu[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,2] * self.yl[0,mif2] * self.yqlomega1[1,0] * self.yu[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,2] * self.yl[1,mif2] * self.yqlomega1[1,1] * self.yu[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,2] * self.yl[2,mif2] * self.yqlomega1[1,2] * self.yu[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,0] * self.yl[0,mif2] * self.yqlomega1[2,0] * self.yu[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,0] * self.yl[1,mif2] * self.yqlomega1[2,1] * self.yu[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,0] * self.yl[2,mif2] * self.yqlomega1[2,2] * self.yu[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,1] * self.yl[0,mif2] * self.yqlomega1[2,0] * self.yu[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,1] * self.yl[1,mif2] * self.yqlomega1[2,1] * self.yu[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,1] * self.yl[2,mif2] * self.yqlomega1[2,2] * self.yu[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,2] * self.yl[0,mif2] * self.yqlomega1[2,0] * self.yu[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,2] * self.yl[1,mif2] * self.yqlomega1[2,1] * self.yu[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif1,2] * self.yl[2,mif2] * self.yqlomega1[2,2] * self.yu[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.ylbar[0,mif1] * self.yqlomega1bar[0,0] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.ylbar[1,mif1] * self.yqlomega1bar[0,1] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.ylbar[2,mif1] * self.yqlomega1bar[0,2] * self.yubar[0,0] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] * self.yu[0,0] * self.yubar[0,0] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] * self.yu[0,0] * self.yubar[0,0] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] * self.yu[0,0] * self.yubar[0,0] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,1] * self.yu[0,1] * self.yubar[0,0] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,1] * self.yu[0,1] * self.yubar[0,0] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,1] * self.yu[0,1] * self.yubar[0,0] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,2] * self.yu[0,2] * self.yubar[0,0] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,2] * self.yu[0,2] * self.yubar[0,0] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,2] * self.yu[0,2] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.ylbar[0,mif1] * self.yqlomega1bar[0,0] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.ylbar[1,mif1] * self.yqlomega1bar[0,1] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.ylbar[2,mif1] * self.yqlomega1bar[0,2] * self.yubar[0,1] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,0] * self.yu[0,0] * self.yubar[0,1] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,0] * self.yu[0,0] * self.yubar[0,1] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,0] * self.yu[0,0] * self.yubar[0,1] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] * self.yu[0,1] * self.yubar[0,1] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] * self.yu[0,1] * self.yubar[0,1] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] * self.yu[0,1] * self.yubar[0,1] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,2] * self.yu[0,2] * self.yubar[0,1] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,2] * self.yu[0,2] * self.yubar[0,1] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,2] * self.yu[0,2] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.ylbar[0,mif1] * self.yqlomega1bar[0,0] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.ylbar[1,mif1] * self.yqlomega1bar[0,1] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.ylbar[2,mif1] * self.yqlomega1bar[0,2] * self.yubar[0,2] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,0] * self.yu[0,0] * self.yubar[0,2] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,0] * self.yu[0,0] * self.yubar[0,2] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,0] * self.yu[0,0] * self.yubar[0,2] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,1] * self.yu[0,1] * self.yubar[0,2] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,1] * self.yu[0,1] * self.yubar[0,2] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,1] * self.yu[0,1] * self.yubar[0,2] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] * self.yu[0,2] * self.yubar[0,2] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] * self.yu[0,2] * self.yubar[0,2] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] * self.yu[0,2] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.ylbar[0,mif1] * self.yqlomega1bar[1,0] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.ylbar[1,mif1] * self.yqlomega1bar[1,1] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.ylbar[2,mif1] * self.yqlomega1bar[1,2] * self.yubar[1,0] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] * self.yu[1,0] * self.yubar[1,0] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] * self.yu[1,0] * self.yubar[1,0] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] * self.yu[1,0] * self.yubar[1,0] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,1] * self.yu[1,1] * self.yubar[1,0] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,1] * self.yu[1,1] * self.yubar[1,0] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,1] * self.yu[1,1] * self.yubar[1,0] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,2] * self.yu[1,2] * self.yubar[1,0] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,2] * self.yu[1,2] * self.yubar[1,0] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,2] * self.yu[1,2] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.ylbar[0,mif1] * self.yqlomega1bar[1,0] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.ylbar[1,mif1] * self.yqlomega1bar[1,1] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.ylbar[2,mif1] * self.yqlomega1bar[1,2] * self.yubar[1,1] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,0] * self.yu[1,0] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,0] * self.yu[1,0] * self.yubar[1,1] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,0] * self.yu[1,0] * self.yubar[1,1] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] * self.yu[1,1] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] * self.yu[1,1] * self.yubar[1,1] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] * self.yu[1,1] * self.yubar[1,1] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,2] * self.yu[1,2] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,2] * self.yu[1,2] * self.yubar[1,1] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,2] * self.yu[1,2] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.ylbar[0,mif1] * self.yqlomega1bar[1,0] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.ylbar[1,mif1] * self.yqlomega1bar[1,1] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.ylbar[2,mif1] * self.yqlomega1bar[1,2] * self.yubar[1,2] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,0] * self.yu[1,0] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,0] * self.yu[1,0] * self.yubar[1,2] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,0] * self.yu[1,0] * self.yubar[1,2] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,1] * self.yu[1,1] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,1] * self.yu[1,1] * self.yubar[1,2] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,1] * self.yu[1,1] * self.yubar[1,2] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] * self.yu[1,2] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] * self.yu[1,2] * self.yubar[1,2] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] * self.yu[1,2] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.ylbar[0,mif1] * self.yqlomega1bar[2,0] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.ylbar[1,mif1] * self.yqlomega1bar[2,1] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.ylbar[2,mif1] * self.yqlomega1bar[2,2] * self.yubar[2,0] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] * self.yu[2,0] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] * self.yu[2,0] * self.yubar[2,0] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,0] * self.yu[2,0] * self.yubar[2,0] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,1] * self.yu[2,1] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,1] * self.yu[2,1] * self.yubar[2,0] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,1] * self.yu[2,1] * self.yubar[2,0] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,2] * self.yu[2,2] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,2] * self.yu[2,2] * self.yubar[2,0] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yeuomega1bar[mif1,2] * self.yu[2,2] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.ylbar[0,mif1] * self.yqlomega1bar[2,0] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.ylbar[1,mif1] * self.yqlomega1bar[2,1] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.ylbar[2,mif1] * self.yqlomega1bar[2,2] * self.yubar[2,1] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,0] * self.yu[2,0] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,0] * self.yu[2,0] * self.yubar[2,1] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,0] * self.yu[2,0] * self.yubar[2,1] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] * self.yu[2,1] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] * self.yu[2,1] * self.yubar[2,1] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,1] * self.yu[2,1] * self.yubar[2,1] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,2] * self.yu[2,2] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,2] * self.yu[2,2] * self.yubar[2,1] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yeuomega1bar[mif1,2] * self.yu[2,2] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.ylbar[0,mif1] * self.yqlomega1bar[2,0] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.ylbar[1,mif1] * self.yqlomega1bar[2,1] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.ylbar[2,mif1] * self.yqlomega1bar[2,2] * self.yubar[2,2] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,0] * self.yu[2,0] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,0] * self.yu[2,0] * self.yubar[2,2] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,0] * self.yu[2,0] * self.yubar[2,2] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,1] * self.yu[2,1] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,1] * self.yu[2,1] * self.yubar[2,2] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,1] * self.yu[2,1] * self.yubar[2,2] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] * self.yu[2,2] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] * self.yu[2,2] * self.yubar[2,2] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yeuomega1bar[mif1,2] * self.yu[2,2] * self.yubar[2,2])

    def alphaOHl1(self, mif1,mif2):
        return (1/5760 * (self.g1)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[0,0] * self.yl[mif1,0] * self.ylbar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[0,1] * self.yl[mif1,0] * self.ylbar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[0,2] * self.yl[mif1,0] * self.ylbar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[1,0] * self.yl[mif1,1] * self.ylbar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[1,1] * self.yl[mif1,1] * self.ylbar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[1,2] * self.yl[mif1,1] * self.ylbar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[2,0] * self.yl[mif1,2] * self.ylbar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[2,1] * self.yl[mif1,2] * self.ylbar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[2,2] * self.yl[mif1,2] * self.ylbar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[0,0] * self.yl[mif1,0] * self.ylbar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[0,1] * self.yl[mif1,0] * self.ylbar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[0,2] * self.yl[mif1,0] * self.ylbar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[1,0] * self.yl[mif1,1] * self.ylbar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[1,1] * self.yl[mif1,1] * self.ylbar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[1,2] * self.yl[mif1,1] * self.ylbar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[2,0] * self.yl[mif1,2] * self.ylbar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[2,1] * self.yl[mif1,2] * self.ylbar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[2,2] * self.yl[mif1,2] * self.ylbar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[0,0] * self.yl[mif1,0] * self.ylbar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[0,1] * self.yl[mif1,0] * self.ylbar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[0,2] * self.yl[mif1,0] * self.ylbar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[1,0] * self.yl[mif1,1] * self.ylbar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[1,1] * self.yl[mif1,1] * self.ylbar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[1,2] * self.yl[mif1,1] * self.ylbar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[2,0] * self.yl[mif1,2] * self.ylbar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[2,1] * self.yl[mif1,2] * self.ylbar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[2,2] * self.yl[mif1,2] * self.ylbar[mif2,2] + 1/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 1/192 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -1/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,1] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,2] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[0,0] * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[0,1] * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[0,2] * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[0,0] * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[0,1] * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[0,2] * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[1,0] * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[1,0] * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[1,0] * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[1,1] * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[1,1] * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[1,1] * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[1,2] * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[1,2] * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[1,2] * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] + 1/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 1/192 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -1/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,0] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,1] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,2] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[1,0] * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[1,1] * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[1,2] * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[2,0] * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[2,0] * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[2,0] * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[2,1] * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[2,1] * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[2,1] * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[2,2] * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[2,2] * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[2,2] * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[2,0] * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[2,0] * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[2,0] * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[2,1] * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[2,1] * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[2,1] * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[2,2] * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[2,2] * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[2,2] * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] + 1/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 1/192 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -1/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,0] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,1] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,2] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,0] * self.yl[mif1,0] * self.yqlomega1[0,mif2] * self.yu[0,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,0] * self.yl[mif1,1] * self.yqlomega1[0,mif2] * self.yu[0,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,0] * self.yl[mif1,2] * self.yqlomega1[0,mif2] * self.yu[0,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,1] * self.yl[mif1,0] * self.yqlomega1[0,mif2] * self.yu[0,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,1] * self.yl[mif1,1] * self.yqlomega1[0,mif2] * self.yu[0,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,1] * self.yl[mif1,2] * self.yqlomega1[0,mif2] * self.yu[0,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,2] * self.yl[mif1,0] * self.yqlomega1[0,mif2] * self.yu[0,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,2] * self.yl[mif1,1] * self.yqlomega1[0,mif2] * self.yu[0,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,2] * self.yl[mif1,2] * self.yqlomega1[0,mif2] * self.yu[0,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,0] * self.yl[mif1,0] * self.yqlomega1[1,mif2] * self.yu[1,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,0] * self.yl[mif1,1] * self.yqlomega1[1,mif2] * self.yu[1,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,0] * self.yl[mif1,2] * self.yqlomega1[1,mif2] * self.yu[1,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,1] * self.yl[mif1,0] * self.yqlomega1[1,mif2] * self.yu[1,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,1] * self.yl[mif1,1] * self.yqlomega1[1,mif2] * self.yu[1,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,1] * self.yl[mif1,2] * self.yqlomega1[1,mif2] * self.yu[1,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,2] * self.yl[mif1,0] * self.yqlomega1[1,mif2] * self.yu[1,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,2] * self.yl[mif1,1] * self.yqlomega1[1,mif2] * self.yu[1,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,2] * self.yl[mif1,2] * self.yqlomega1[1,mif2] * self.yu[1,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,0] * self.yl[mif1,0] * self.yqlomega1[2,mif2] * self.yu[2,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,0] * self.yl[mif1,1] * self.yqlomega1[2,mif2] * self.yu[2,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,0] * self.yl[mif1,2] * self.yqlomega1[2,mif2] * self.yu[2,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,1] * self.yl[mif1,0] * self.yqlomega1[2,mif2] * self.yu[2,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,1] * self.yl[mif1,1] * self.yqlomega1[2,mif2] * self.yu[2,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,1] * self.yl[mif1,2] * self.yqlomega1[2,mif2] * self.yu[2,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,2] * self.yl[mif1,0] * self.yqlomega1[2,mif2] * self.yu[2,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,2] * self.yl[mif1,1] * self.yqlomega1[2,mif2] * self.yu[2,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,2] * self.yl[mif1,2] * self.yqlomega1[2,mif2] * self.yu[2,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.ylbar[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.ylbar[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.ylbar[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] * self.yu[0,0] * self.yubar[0,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] * self.yu[0,0] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] * self.yu[0,0] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] * self.yu[1,0] * self.yubar[0,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] * self.yu[1,0] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] * self.yu[1,0] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] * self.yu[2,0] * self.yubar[0,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] * self.yu[2,0] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] * self.yu[2,0] * self.yubar[0,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.ylbar[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.ylbar[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.ylbar[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] * self.yu[0,1] * self.yubar[0,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] * self.yu[0,1] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] * self.yu[0,1] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] * self.yu[1,1] * self.yubar[0,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] * self.yu[1,1] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] * self.yu[1,1] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] * self.yu[2,1] * self.yubar[0,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] * self.yu[2,1] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] * self.yu[2,1] * self.yubar[0,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.ylbar[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.ylbar[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.ylbar[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] * self.yu[0,2] * self.yubar[0,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] * self.yu[0,2] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] * self.yu[0,2] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] * self.yu[1,2] * self.yubar[0,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] * self.yu[1,2] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] * self.yu[1,2] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] * self.yu[2,2] * self.yubar[0,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] * self.yu[2,2] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] * self.yu[2,2] * self.yubar[0,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.ylbar[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.ylbar[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.ylbar[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] * self.yu[0,0] * self.yubar[1,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] * self.yu[0,0] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] * self.yu[0,0] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] * self.yu[1,0] * self.yubar[1,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] * self.yu[1,0] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] * self.yu[1,0] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] * self.yu[2,0] * self.yubar[1,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] * self.yu[2,0] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] * self.yu[2,0] * self.yubar[1,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.ylbar[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.ylbar[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.ylbar[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] * self.yu[0,1] * self.yubar[1,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] * self.yu[0,1] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] * self.yu[0,1] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] * self.yu[1,1] * self.yubar[1,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] * self.yu[1,1] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] * self.yu[1,1] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] * self.yu[2,1] * self.yubar[1,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] * self.yu[2,1] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] * self.yu[2,1] * self.yubar[1,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.ylbar[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.ylbar[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.ylbar[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] * self.yu[0,2] * self.yubar[1,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] * self.yu[0,2] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] * self.yu[0,2] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] * self.yu[1,2] * self.yubar[1,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] * self.yu[1,2] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] * self.yu[1,2] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] * self.yu[2,2] * self.yubar[1,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] * self.yu[2,2] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] * self.yu[2,2] * self.yubar[1,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.ylbar[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.ylbar[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.ylbar[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] * self.yu[0,0] * self.yubar[2,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] * self.yu[0,0] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] * self.yu[0,0] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] * self.yu[1,0] * self.yubar[2,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] * self.yu[1,0] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] * self.yu[1,0] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] * self.yu[2,0] * self.yubar[2,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] * self.yu[2,0] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] * self.yu[2,0] * self.yubar[2,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.ylbar[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.ylbar[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.ylbar[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] * self.yu[0,1] * self.yubar[2,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] * self.yu[0,1] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] * self.yu[0,1] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] * self.yu[1,1] * self.yubar[2,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] * self.yu[1,1] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] * self.yu[1,1] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] * self.yu[2,1] * self.yubar[2,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] * self.yu[2,1] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] * self.yu[2,1] * self.yubar[2,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.ylbar[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.ylbar[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.ylbar[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] * self.yu[0,2] * self.yubar[2,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] * self.yu[0,2] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] * self.yu[0,2] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] * self.yu[1,2] * self.yubar[2,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] * self.yu[1,2] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] * self.yu[1,2] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] * self.yu[2,2] * self.yubar[2,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] * self.yu[2,2] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] * self.yu[2,2] * self.yubar[2,2])

    def alphaOHl3(self, mif1,mif2):
        return (-1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[0,0] * self.yl[mif1,0] * self.ylbar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[0,1] * self.yl[mif1,0] * self.ylbar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[0,2] * self.yl[mif1,0] * self.ylbar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[1,0] * self.yl[mif1,1] * self.ylbar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[1,1] * self.yl[mif1,1] * self.ylbar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[1,2] * self.yl[mif1,1] * self.ylbar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[2,0] * self.yl[mif1,2] * self.ylbar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[2,1] * self.yl[mif1,2] * self.ylbar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[2,2] * self.yl[mif1,2] * self.ylbar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[0,0] * self.yl[mif1,0] * self.ylbar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[0,1] * self.yl[mif1,0] * self.ylbar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[0,2] * self.yl[mif1,0] * self.ylbar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[1,0] * self.yl[mif1,1] * self.ylbar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[1,1] * self.yl[mif1,1] * self.ylbar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[1,2] * self.yl[mif1,1] * self.ylbar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[2,0] * self.yl[mif1,2] * self.ylbar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[2,1] * self.yl[mif1,2] * self.ylbar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[2,2] * self.yl[mif1,2] * self.ylbar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[0,0] * self.yl[mif1,0] * self.ylbar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[0,1] * self.yl[mif1,0] * self.ylbar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[0,2] * self.yl[mif1,0] * self.ylbar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[1,0] * self.yl[mif1,1] * self.ylbar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[1,1] * self.yl[mif1,1] * self.ylbar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[1,2] * self.yl[mif1,1] * self.ylbar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[2,0] * self.yl[mif1,2] * self.ylbar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[2,1] * self.yl[mif1,2] * self.ylbar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[2,2] * self.yl[mif1,2] * self.ylbar[mif2,2] + -1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -1/64 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 1/64 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,1] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,2] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[0,0] * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[0,1] * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[0,2] * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[0,0] * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[0,1] * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[0,2] * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[1,0] * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[1,0] * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[1,0] * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[1,1] * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[1,1] * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[1,1] * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[1,2] * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[1,2] * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[1,2] * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] + -1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -1/64 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 1/64 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,0] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,1] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,2] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[1,0] * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[1,1] * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[1,2] * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[2,0] * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[2,0] * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[2,0] * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[2,1] * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[2,1] * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[2,1] * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[2,2] * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[2,2] * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[2,2] * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[2,0] * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[2,0] * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[2,0] * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[2,1] * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[2,1] * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[2,1] * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[2,2] * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[2,2] * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[2,2] * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] + -1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -1/64 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 1/64 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,0] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,1] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,2] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,0] * self.yl[mif1,0] * self.yqlomega1[0,mif2] * self.yu[0,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,0] * self.yl[mif1,1] * self.yqlomega1[0,mif2] * self.yu[0,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,0] * self.yl[mif1,2] * self.yqlomega1[0,mif2] * self.yu[0,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,1] * self.yl[mif1,0] * self.yqlomega1[0,mif2] * self.yu[0,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,1] * self.yl[mif1,1] * self.yqlomega1[0,mif2] * self.yu[0,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,1] * self.yl[mif1,2] * self.yqlomega1[0,mif2] * self.yu[0,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,2] * self.yl[mif1,0] * self.yqlomega1[0,mif2] * self.yu[0,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,2] * self.yl[mif1,1] * self.yqlomega1[0,mif2] * self.yu[0,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,2] * self.yl[mif1,2] * self.yqlomega1[0,mif2] * self.yu[0,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,0] * self.yl[mif1,0] * self.yqlomega1[1,mif2] * self.yu[1,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,0] * self.yl[mif1,1] * self.yqlomega1[1,mif2] * self.yu[1,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,0] * self.yl[mif1,2] * self.yqlomega1[1,mif2] * self.yu[1,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,1] * self.yl[mif1,0] * self.yqlomega1[1,mif2] * self.yu[1,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,1] * self.yl[mif1,1] * self.yqlomega1[1,mif2] * self.yu[1,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,1] * self.yl[mif1,2] * self.yqlomega1[1,mif2] * self.yu[1,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,2] * self.yl[mif1,0] * self.yqlomega1[1,mif2] * self.yu[1,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,2] * self.yl[mif1,1] * self.yqlomega1[1,mif2] * self.yu[1,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,2] * self.yl[mif1,2] * self.yqlomega1[1,mif2] * self.yu[1,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,0] * self.yl[mif1,0] * self.yqlomega1[2,mif2] * self.yu[2,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,0] * self.yl[mif1,1] * self.yqlomega1[2,mif2] * self.yu[2,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,0] * self.yl[mif1,2] * self.yqlomega1[2,mif2] * self.yu[2,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,1] * self.yl[mif1,0] * self.yqlomega1[2,mif2] * self.yu[2,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,1] * self.yl[mif1,1] * self.yqlomega1[2,mif2] * self.yu[2,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,1] * self.yl[mif1,2] * self.yqlomega1[2,mif2] * self.yu[2,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,2] * self.yl[mif1,0] * self.yqlomega1[2,mif2] * self.yu[2,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,2] * self.yl[mif1,1] * self.yqlomega1[2,mif2] * self.yu[2,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,2] * self.yl[mif1,2] * self.yqlomega1[2,mif2] * self.yu[2,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.ylbar[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.ylbar[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.ylbar[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] * self.yu[0,0] * self.yubar[0,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] * self.yu[0,0] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] * self.yu[0,0] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] * self.yu[1,0] * self.yubar[0,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] * self.yu[1,0] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] * self.yu[1,0] * self.yubar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] * self.yu[2,0] * self.yubar[0,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] * self.yu[2,0] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] * self.yu[2,0] * self.yubar[0,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.ylbar[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.ylbar[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.ylbar[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] * self.yu[0,1] * self.yubar[0,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] * self.yu[0,1] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] * self.yu[0,1] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] * self.yu[1,1] * self.yubar[0,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] * self.yu[1,1] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] * self.yu[1,1] * self.yubar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] * self.yu[2,1] * self.yubar[0,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] * self.yu[2,1] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] * self.yu[2,1] * self.yubar[0,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.ylbar[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.ylbar[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.ylbar[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] * self.yu[0,2] * self.yubar[0,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] * self.yu[0,2] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] * self.yu[0,2] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] * self.yu[1,2] * self.yubar[0,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] * self.yu[1,2] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] * self.yu[1,2] * self.yubar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] * self.yu[2,2] * self.yubar[0,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] * self.yu[2,2] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] * self.yu[2,2] * self.yubar[0,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.ylbar[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.ylbar[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.ylbar[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] * self.yu[0,0] * self.yubar[1,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] * self.yu[0,0] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] * self.yu[0,0] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] * self.yu[1,0] * self.yubar[1,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] * self.yu[1,0] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] * self.yu[1,0] * self.yubar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] * self.yu[2,0] * self.yubar[1,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] * self.yu[2,0] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] * self.yu[2,0] * self.yubar[1,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.ylbar[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.ylbar[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.ylbar[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] * self.yu[0,1] * self.yubar[1,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] * self.yu[0,1] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] * self.yu[0,1] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] * self.yu[1,1] * self.yubar[1,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] * self.yu[1,1] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] * self.yu[1,1] * self.yubar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] * self.yu[2,1] * self.yubar[1,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] * self.yu[2,1] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] * self.yu[2,1] * self.yubar[1,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.ylbar[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.ylbar[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.ylbar[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] * self.yu[0,2] * self.yubar[1,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] * self.yu[0,2] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] * self.yu[0,2] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] * self.yu[1,2] * self.yubar[1,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] * self.yu[1,2] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] * self.yu[1,2] * self.yubar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] * self.yu[2,2] * self.yubar[1,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] * self.yu[2,2] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] * self.yu[2,2] * self.yubar[1,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.ylbar[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.ylbar[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.ylbar[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] * self.yu[0,0] * self.yubar[2,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] * self.yu[0,0] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] * self.yu[0,0] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] * self.yu[1,0] * self.yubar[2,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] * self.yu[1,0] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] * self.yu[1,0] * self.yubar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] * self.yu[2,0] * self.yubar[2,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] * self.yu[2,0] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] * self.yu[2,0] * self.yubar[2,0] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.ylbar[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.ylbar[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.ylbar[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] * self.yu[0,1] * self.yubar[2,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] * self.yu[0,1] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] * self.yu[0,1] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] * self.yu[1,1] * self.yubar[2,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] * self.yu[1,1] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] * self.yu[1,1] * self.yubar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] * self.yu[2,1] * self.yubar[2,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] * self.yu[2,1] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] * self.yu[2,1] * self.yubar[2,1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.ylbar[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.ylbar[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.ylbar[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] * self.yu[0,2] * self.yubar[2,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] * self.yu[0,2] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] * self.yu[0,2] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] * self.yu[1,2] * self.yubar[2,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] * self.yu[1,2] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] * self.yu[1,2] * self.yubar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] * self.yu[2,2] * self.yubar[2,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] * self.yu[2,2] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] * self.yu[2,2] * self.yubar[2,2])

    def alphaOHq1(self, mif1,mif2):
        return (-1/17280 * (self.g1)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,0] * self.yduomega1[0,0] * self.yduomega1bar[0,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,0] * self.yduomega1[1,0] * self.yduomega1bar[0,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,0] * self.yduomega1[2,0] * self.yduomega1bar[0,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,0] * self.yduomega1[0,1] * self.yduomega1bar[0,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,0] * self.yduomega1[1,1] * self.yduomega1bar[0,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,0] * self.yduomega1[2,1] * self.yduomega1bar[0,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,0] * self.yduomega1[0,2] * self.yduomega1bar[0,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,0] * self.yduomega1[1,2] * self.yduomega1bar[0,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,0] * self.yduomega1[2,2] * self.yduomega1bar[0,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,1] * self.yduomega1[0,0] * self.yduomega1bar[1,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,1] * self.yduomega1[1,0] * self.yduomega1bar[1,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,1] * self.yduomega1[2,0] * self.yduomega1bar[1,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,1] * self.yduomega1[0,1] * self.yduomega1bar[1,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,1] * self.yduomega1[1,1] * self.yduomega1bar[1,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,1] * self.yduomega1[2,1] * self.yduomega1bar[1,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,1] * self.yduomega1[0,2] * self.yduomega1bar[1,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,1] * self.yduomega1[1,2] * self.yduomega1bar[1,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,1] * self.yduomega1[2,2] * self.yduomega1bar[1,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,2] * self.yduomega1[0,0] * self.yduomega1bar[2,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,2] * self.yduomega1[1,0] * self.yduomega1bar[2,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,2] * self.yduomega1[2,0] * self.yduomega1bar[2,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,2] * self.yduomega1[0,1] * self.yduomega1bar[2,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,2] * self.yduomega1[1,1] * self.yduomega1bar[2,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,2] * self.yduomega1[2,1] * self.yduomega1bar[2,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,2] * self.yduomega1[0,2] * self.yduomega1bar[2,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,2] * self.yduomega1[1,2] * self.yduomega1bar[2,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,2] * self.yduomega1[2,2] * self.yduomega1bar[2,2] + -13/1728 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/192 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[0,0] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[0,0] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[0,0] * self.ylbar[0,0] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[0,1] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[0,1] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[0,1] * self.ylbar[0,1] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[0,2] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[0,2] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[0,2] * self.ylbar[0,2] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[0,0] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,0] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[0,0] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[1,0] * self.ylbar[0,0] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[0,1] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,0] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[0,1] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[1,1] * self.ylbar[0,1] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[0,2] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,0] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[0,2] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[1,2] * self.ylbar[0,2] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[0,0] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,0] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[0,0] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[2,0] * self.ylbar[0,0] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[0,1] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,0] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[0,1] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[2,1] * self.ylbar[0,1] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[0,2] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,0] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[0,2] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[2,2] * self.ylbar[0,2] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[1,0] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[1,0] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[0,0] * self.ylbar[1,0] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[1,1] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[1,1] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[0,1] * self.ylbar[1,1] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[1,2] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[1,2] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[0,2] * self.ylbar[1,2] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,1] + -13/1728 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/192 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[1,0] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[1,0] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[1,0] * self.ylbar[1,0] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[1,1] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[1,1] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[1,1] * self.ylbar[1,1] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[1,2] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[1,2] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[1,2] * self.ylbar[1,2] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[1,0] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[1,0] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[2,0] * self.ylbar[1,0] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[1,1] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[1,1] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[2,1] * self.ylbar[1,1] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[1,2] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[1,2] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[2,2] * self.ylbar[1,2] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[2,0] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,2] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[2,0] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[0,0] * self.ylbar[2,0] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[2,1] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,2] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[2,1] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[0,1] * self.ylbar[2,1] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[2,2] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,2] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[2,2] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[0,2] * self.ylbar[2,2] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[2,0] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,2] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[2,0] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[1,0] * self.ylbar[2,0] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[2,1] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,2] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[2,1] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[1,1] * self.ylbar[2,1] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[2,2] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,2] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[2,2] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[1,2] * self.ylbar[2,2] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,2] + -13/1728 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/192 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[2,0] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[2,0] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[2,0] * self.ylbar[2,0] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[2,1] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[2,1] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[2,1] * self.ylbar[2,1] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[2,2] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[2,2] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[2,2] * self.ylbar[2,2] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 5/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/72 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] + 5/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/72 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] + 5/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/72 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[1,0] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[1,1] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[1,2] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[2,0] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[2,1] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[2,2] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,1] + 1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[2,0] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[2,1] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[2,2] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,2] + 1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,0] * self.yqqomega1bar[0,mif2] * self.yu[0,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,0] * self.yqqomega1bar[0,mif2] * self.yu[0,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,0] * self.yqqomega1bar[0,mif2] * self.yu[0,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,2] * self.yqqomega1bar[0,mif2] * self.yu[0,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,2] * self.yqqomega1bar[0,mif2] * self.yu[0,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,2] * self.yqqomega1bar[0,mif2] * self.yu[0,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,0] * self.yqqomega1bar[1,mif2] * self.yu[1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,0] * self.yqqomega1bar[1,mif2] * self.yu[1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,0] * self.yqqomega1bar[1,mif2] * self.yu[1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,2] * self.yqqomega1bar[1,mif2] * self.yu[1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,2] * self.yqqomega1bar[1,mif2] * self.yu[1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,2] * self.yqqomega1bar[1,mif2] * self.yu[1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,0] * self.yqqomega1bar[2,mif2] * self.yu[2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,0] * self.yqqomega1bar[2,mif2] * self.yu[2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,0] * self.yqqomega1bar[2,mif2] * self.yu[2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,2] * self.yqqomega1bar[2,mif2] * self.yu[2,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,2] * self.yqqomega1bar[2,mif2] * self.yu[2,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,2] * self.yqqomega1bar[2,mif2] * self.yu[2,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,0] * self.yl[0,0] * self.yqlomega1[mif2,0] * self.yu[mif1,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,0] * self.yl[0,1] * self.yqlomega1[mif2,0] * self.yu[mif1,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,0] * self.yl[0,2] * self.yqlomega1[mif2,0] * self.yu[mif1,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,0] * self.yl[1,0] * self.yqlomega1[mif2,1] * self.yu[mif1,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,0] * self.yl[1,1] * self.yqlomega1[mif2,1] * self.yu[mif1,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,0] * self.yl[1,2] * self.yqlomega1[mif2,1] * self.yu[mif1,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,0] * self.yl[2,0] * self.yqlomega1[mif2,2] * self.yu[mif1,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,0] * self.yl[2,1] * self.yqlomega1[mif2,2] * self.yu[mif1,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,0] * self.yl[2,2] * self.yqlomega1[mif2,2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yduomega1[0,0] * self.yqqomega1bar[0,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yduomega1[1,0] * self.yqqomega1bar[0,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yduomega1[2,0] * self.yqqomega1bar[0,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yduomega1[0,0] * self.yqqomega1bar[1,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yduomega1[1,0] * self.yqqomega1bar[1,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yduomega1[2,0] * self.yqqomega1bar[1,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yduomega1[0,0] * self.yqqomega1bar[2,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yduomega1[1,0] * self.yqqomega1bar[2,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yduomega1[2,0] * self.yqqomega1bar[2,mif2] * self.yu[mif1,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,1] * self.yl[0,0] * self.yqlomega1[mif2,0] * self.yu[mif1,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,1] * self.yl[0,1] * self.yqlomega1[mif2,0] * self.yu[mif1,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,1] * self.yl[0,2] * self.yqlomega1[mif2,0] * self.yu[mif1,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,1] * self.yl[1,0] * self.yqlomega1[mif2,1] * self.yu[mif1,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,1] * self.yl[1,1] * self.yqlomega1[mif2,1] * self.yu[mif1,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,1] * self.yl[1,2] * self.yqlomega1[mif2,1] * self.yu[mif1,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,1] * self.yl[2,0] * self.yqlomega1[mif2,2] * self.yu[mif1,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,1] * self.yl[2,1] * self.yqlomega1[mif2,2] * self.yu[mif1,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,1] * self.yl[2,2] * self.yqlomega1[mif2,2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yduomega1[0,1] * self.yqqomega1bar[0,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yduomega1[1,1] * self.yqqomega1bar[0,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yduomega1[2,1] * self.yqqomega1bar[0,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yduomega1[0,1] * self.yqqomega1bar[1,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yduomega1[1,1] * self.yqqomega1bar[1,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yduomega1[2,1] * self.yqqomega1bar[1,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yduomega1[0,1] * self.yqqomega1bar[2,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yduomega1[1,1] * self.yqqomega1bar[2,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yduomega1[2,1] * self.yqqomega1bar[2,mif2] * self.yu[mif1,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,2] * self.yl[0,0] * self.yqlomega1[mif2,0] * self.yu[mif1,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,2] * self.yl[0,1] * self.yqlomega1[mif2,0] * self.yu[mif1,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,2] * self.yl[0,2] * self.yqlomega1[mif2,0] * self.yu[mif1,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,2] * self.yl[1,0] * self.yqlomega1[mif2,1] * self.yu[mif1,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,2] * self.yl[1,1] * self.yqlomega1[mif2,1] * self.yu[mif1,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,2] * self.yl[1,2] * self.yqlomega1[mif2,1] * self.yu[mif1,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,2] * self.yl[2,0] * self.yqlomega1[mif2,2] * self.yu[mif1,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,2] * self.yl[2,1] * self.yqlomega1[mif2,2] * self.yu[mif1,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,2] * self.yl[2,2] * self.yqlomega1[mif2,2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yduomega1[0,2] * self.yqqomega1bar[0,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yduomega1[1,2] * self.yqqomega1bar[0,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yduomega1[2,2] * self.yqqomega1bar[0,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yduomega1[0,2] * self.yqqomega1bar[1,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yduomega1[1,2] * self.yqqomega1bar[1,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yduomega1[2,2] * self.yqqomega1bar[1,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yduomega1[0,2] * self.yqqomega1bar[2,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yduomega1[1,2] * self.yqqomega1bar[2,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yduomega1[2,2] * self.yqqomega1bar[2,mif2] * self.yu[mif1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,0] * self.yubar[0,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,0] * self.yubar[0,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,0] * self.yubar[0,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,0] * self.yu[0,0] * self.yubar[0,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,0] * self.yubar[0,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,0] * self.yubar[0,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,0] * self.yubar[0,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,1] * self.yu[1,0] * self.yubar[0,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,0] * self.yubar[0,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,0] * self.yubar[0,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,0] * self.yubar[0,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,2] * self.yu[2,0] * self.yubar[0,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] * self.yubar[0,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] * self.yubar[0,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] * self.yubar[0,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,0] * self.yu[0,1] * self.yubar[0,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] * self.yubar[0,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] * self.yubar[0,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] * self.yubar[0,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,1] * self.yu[1,1] * self.yubar[0,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] * self.yubar[0,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] * self.yubar[0,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] * self.yubar[0,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,2] * self.yu[2,1] * self.yubar[0,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,2] * self.yubar[0,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,2] * self.yubar[0,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,2] * self.yubar[0,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,0] * self.yu[0,2] * self.yubar[0,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,2] * self.yubar[0,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,2] * self.yubar[0,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,2] * self.yubar[0,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,1] * self.yu[1,2] * self.yubar[0,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,2] * self.yubar[0,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,2] * self.yubar[0,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,2] * self.yubar[0,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,2] * self.yu[2,2] * self.yubar[0,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,0] * self.yubar[1,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,0] * self.yubar[1,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,0] * self.yubar[1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,0] * self.yu[0,0] * self.yubar[1,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,0] * self.yubar[1,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,0] * self.yubar[1,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,0] * self.yubar[1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,1] * self.yu[1,0] * self.yubar[1,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,0] * self.yubar[1,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,0] * self.yubar[1,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,0] * self.yubar[1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,2] * self.yu[2,0] * self.yubar[1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] * self.yubar[1,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] * self.yubar[1,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] * self.yubar[1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,0] * self.yu[0,1] * self.yubar[1,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] * self.yubar[1,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] * self.yubar[1,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] * self.yubar[1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,1] * self.yu[1,1] * self.yubar[1,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] * self.yubar[1,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] * self.yubar[1,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] * self.yubar[1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,2] * self.yu[2,1] * self.yubar[1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,2] * self.yubar[1,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,2] * self.yubar[1,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,2] * self.yubar[1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,0] * self.yu[0,2] * self.yubar[1,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,2] * self.yubar[1,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,2] * self.yubar[1,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,2] * self.yubar[1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,1] * self.yu[1,2] * self.yubar[1,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,2] * self.yubar[1,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,2] * self.yubar[1,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,2] * self.yubar[1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,2] * self.yu[2,2] * self.yubar[1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,0] * self.yubar[2,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,0] * self.yubar[2,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,0] * self.yubar[2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,0] * self.yu[0,0] * self.yubar[2,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,0] * self.yubar[2,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,0] * self.yubar[2,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,0] * self.yubar[2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,1] * self.yu[1,0] * self.yubar[2,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,0] * self.yubar[2,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,0] * self.yubar[2,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,0] * self.yubar[2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,2] * self.yu[2,0] * self.yubar[2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] * self.yubar[2,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] * self.yubar[2,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] * self.yubar[2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,0] * self.yu[0,1] * self.yubar[2,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] * self.yubar[2,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] * self.yubar[2,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] * self.yubar[2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,1] * self.yu[1,1] * self.yubar[2,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] * self.yubar[2,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] * self.yubar[2,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] * self.yubar[2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,2] * self.yu[2,1] * self.yubar[2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,2] * self.yubar[2,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,2] * self.yubar[2,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,2] * self.yubar[2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,0] * self.yu[0,2] * self.yubar[2,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,2] * self.yubar[2,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,2] * self.yubar[2,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,2] * self.yubar[2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,1] * self.yu[1,2] * self.yubar[2,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,2] * self.yubar[2,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,2] * self.yubar[2,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,2] * self.yubar[2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,2] * self.yu[2,2] * self.yubar[2,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,0] * self.yqqomega1[0,mif1] * self.yubar[mif2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,0] * self.yqqomega1[0,mif1] * self.yubar[mif2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,0] * self.yqqomega1[0,mif1] * self.yubar[mif2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,0] * self.yqqomega1[1,mif1] * self.yubar[mif2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,0] * self.yqqomega1[1,mif1] * self.yubar[mif2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,0] * self.yqqomega1[1,mif1] * self.yubar[mif2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,0] * self.yqqomega1[2,mif1] * self.yubar[mif2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,0] * self.yqqomega1[2,mif1] * self.yubar[mif2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,0] * self.yqqomega1[2,mif1] * self.yubar[mif2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,0] * self.yu[mif1,0] * self.yubar[mif2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,0] * self.yu[mif1,0] * self.yubar[mif2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,0] * self.yu[mif1,0] * self.yubar[mif2,0] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[0,0] * self.yu[mif1,0] * self.yubar[mif2,0] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[1,0] * self.yu[mif1,0] * self.yubar[mif2,0] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[2,0] * self.yu[mif1,0] * self.yubar[mif2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,0] * self.yu[mif1,1] * self.yubar[mif2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,0] * self.yu[mif1,1] * self.yubar[mif2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,0] * self.yu[mif1,1] * self.yubar[mif2,0] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[0,1] * self.yu[mif1,1] * self.yubar[mif2,0] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[1,1] * self.yu[mif1,1] * self.yubar[mif2,0] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[2,1] * self.yu[mif1,1] * self.yubar[mif2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,0] * self.yu[mif1,2] * self.yubar[mif2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,0] * self.yu[mif1,2] * self.yubar[mif2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,0] * self.yu[mif1,2] * self.yubar[mif2,0] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[0,2] * self.yu[mif1,2] * self.yubar[mif2,0] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[1,2] * self.yu[mif1,2] * self.yubar[mif2,0] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[2,2] * self.yu[mif1,2] * self.yubar[mif2,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,1] * self.yqqomega1[0,mif1] * self.yubar[mif2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,1] * self.yqqomega1[0,mif1] * self.yubar[mif2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,1] * self.yqqomega1[0,mif1] * self.yubar[mif2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,1] * self.yqqomega1[1,mif1] * self.yubar[mif2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,1] * self.yqqomega1[1,mif1] * self.yubar[mif2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,1] * self.yqqomega1[1,mif1] * self.yubar[mif2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,1] * self.yqqomega1[2,mif1] * self.yubar[mif2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,1] * self.yqqomega1[2,mif1] * self.yubar[mif2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,1] * self.yqqomega1[2,mif1] * self.yubar[mif2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,1] * self.yu[mif1,0] * self.yubar[mif2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,1] * self.yu[mif1,0] * self.yubar[mif2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,1] * self.yu[mif1,0] * self.yubar[mif2,1] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[0,0] * self.yu[mif1,0] * self.yubar[mif2,1] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[1,0] * self.yu[mif1,0] * self.yubar[mif2,1] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[2,0] * self.yu[mif1,0] * self.yubar[mif2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,1] * self.yu[mif1,1] * self.yubar[mif2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,1] * self.yu[mif1,1] * self.yubar[mif2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,1] * self.yu[mif1,1] * self.yubar[mif2,1] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[0,1] * self.yu[mif1,1] * self.yubar[mif2,1] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[1,1] * self.yu[mif1,1] * self.yubar[mif2,1] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[2,1] * self.yu[mif1,1] * self.yubar[mif2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,1] * self.yu[mif1,2] * self.yubar[mif2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,1] * self.yu[mif1,2] * self.yubar[mif2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,1] * self.yu[mif1,2] * self.yubar[mif2,1] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[0,2] * self.yu[mif1,2] * self.yubar[mif2,1] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[1,2] * self.yu[mif1,2] * self.yubar[mif2,1] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[2,2] * self.yu[mif1,2] * self.yubar[mif2,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,2] * self.yqqomega1[0,mif1] * self.yubar[mif2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,2] * self.yqqomega1[0,mif1] * self.yubar[mif2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,2] * self.yqqomega1[0,mif1] * self.yubar[mif2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,2] * self.yqqomega1[1,mif1] * self.yubar[mif2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,2] * self.yqqomega1[1,mif1] * self.yubar[mif2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,2] * self.yqqomega1[1,mif1] * self.yubar[mif2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,2] * self.yqqomega1[2,mif1] * self.yubar[mif2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,2] * self.yqqomega1[2,mif1] * self.yubar[mif2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,2] * self.yqqomega1[2,mif1] * self.yubar[mif2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,2] * self.yu[mif1,0] * self.yubar[mif2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,2] * self.yu[mif1,0] * self.yubar[mif2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,2] * self.yu[mif1,0] * self.yubar[mif2,2] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[0,0] * self.yu[mif1,0] * self.yubar[mif2,2] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[1,0] * self.yu[mif1,0] * self.yubar[mif2,2] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[2,0] * self.yu[mif1,0] * self.yubar[mif2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,2] * self.yu[mif1,1] * self.yubar[mif2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,2] * self.yu[mif1,1] * self.yubar[mif2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,2] * self.yu[mif1,1] * self.yubar[mif2,2] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[0,1] * self.yu[mif1,1] * self.yubar[mif2,2] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[1,1] * self.yu[mif1,1] * self.yubar[mif2,2] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[2,1] * self.yu[mif1,1] * self.yubar[mif2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,2] * self.yu[mif1,2] * self.yubar[mif2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,2] * self.yu[mif1,2] * self.yubar[mif2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,2] * self.yu[mif1,2] * self.yubar[mif2,2] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[0,2] * self.yu[mif1,2] * self.yubar[mif2,2] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[1,2] * self.yu[mif1,2] * self.yubar[mif2,2] + 1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[2,2] * self.yu[mif1,2] * self.yubar[mif2,2])

    def alphaOHq3(self, mif1,mif2):
        return (-1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,0] * self.yduomega1[0,0] * self.yduomega1bar[0,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,0] * self.yduomega1[1,0] * self.yduomega1bar[0,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,0] * self.yduomega1[2,0] * self.yduomega1bar[0,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,0] * self.yduomega1[0,1] * self.yduomega1bar[0,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,0] * self.yduomega1[1,1] * self.yduomega1bar[0,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,0] * self.yduomega1[2,1] * self.yduomega1bar[0,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,0] * self.yduomega1[0,2] * self.yduomega1bar[0,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,0] * self.yduomega1[1,2] * self.yduomega1bar[0,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,0] * self.yduomega1[2,2] * self.yduomega1bar[0,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,1] * self.yduomega1[0,0] * self.yduomega1bar[1,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,1] * self.yduomega1[1,0] * self.yduomega1bar[1,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,1] * self.yduomega1[2,0] * self.yduomega1bar[1,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,1] * self.yduomega1[0,1] * self.yduomega1bar[1,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,1] * self.yduomega1[1,1] * self.yduomega1bar[1,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,1] * self.yduomega1[2,1] * self.yduomega1bar[1,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,1] * self.yduomega1[0,2] * self.yduomega1bar[1,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,1] * self.yduomega1[1,2] * self.yduomega1bar[1,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,1] * self.yduomega1[2,2] * self.yduomega1bar[1,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,2] * self.yduomega1[0,0] * self.yduomega1bar[2,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,2] * self.yduomega1[1,0] * self.yduomega1bar[2,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,2] * self.yduomega1[2,0] * self.yduomega1bar[2,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,2] * self.yduomega1[0,1] * self.yduomega1bar[2,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,2] * self.yduomega1[1,1] * self.yduomega1bar[2,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,2] * self.yduomega1[2,1] * self.yduomega1bar[2,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,2] * self.yduomega1[0,2] * self.yduomega1bar[2,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,2] * self.yduomega1[1,2] * self.yduomega1bar[2,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,2] * self.yduomega1[2,2] * self.yduomega1bar[2,2] + -1/144 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/192 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/192 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[0,0] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[0,0] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[0,0] * self.ylbar[0,0] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[0,1] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[0,1] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[0,1] * self.ylbar[0,1] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[0,2] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[0,2] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[0,2] * self.ylbar[0,2] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[0,0] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[0,0] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[1,0] * self.ylbar[0,0] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[0,1] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[0,1] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[1,1] * self.ylbar[0,1] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[0,2] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[0,2] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[1,2] * self.ylbar[0,2] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[0,0] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[0,0] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[2,0] * self.ylbar[0,0] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[0,1] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[0,1] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[2,1] * self.ylbar[0,1] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[0,2] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[0,2] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[2,2] * self.ylbar[0,2] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[1,0] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[1,0] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[0,0] * self.ylbar[1,0] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[1,1] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[1,1] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[0,1] * self.ylbar[1,1] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[1,2] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[1,2] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[0,2] * self.ylbar[1,2] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,1] + -1/144 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/192 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/192 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[1,0] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[1,0] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[1,0] * self.ylbar[1,0] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[1,1] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[1,1] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[1,1] * self.ylbar[1,1] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[1,2] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[1,2] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[1,2] * self.ylbar[1,2] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[1,0] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[1,0] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[2,0] * self.ylbar[1,0] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[1,1] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[1,1] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[2,1] * self.ylbar[1,1] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[1,2] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[1,2] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[2,2] * self.ylbar[1,2] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[2,0] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[2,0] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[0,0] * self.ylbar[2,0] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[2,1] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[2,1] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[0,1] * self.ylbar[2,1] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[2,2] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[2,2] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[0,2] * self.ylbar[2,2] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[2,0] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[2,0] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[1,0] * self.ylbar[2,0] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[2,1] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[2,1] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[1,1] * self.ylbar[2,1] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[2,2] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[2,2] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[1,2] * self.ylbar[2,2] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,2] + -1/144 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/192 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/192 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[2,0] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[2,0] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[2,0] * self.ylbar[2,0] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[2,1] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[2,1] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[2,1] * self.ylbar[2,1] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[2,2] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[2,2] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[2,2] * self.ylbar[2,2] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/18 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/24 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/24 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] + -1/18 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/24 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/24 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] + -1/18 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/24 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/24 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[1,0] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[1,1] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[1,2] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[2,0] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[2,1] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[2,2] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,1] + -1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[2,0] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[2,1] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[2,2] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,2] + -1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,0] * self.yqqomega1bar[0,mif2] * self.yu[0,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,0] * self.yqqomega1bar[0,mif2] * self.yu[0,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,0] * self.yqqomega1bar[0,mif2] * self.yu[0,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,2] * self.yqqomega1bar[0,mif2] * self.yu[0,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,2] * self.yqqomega1bar[0,mif2] * self.yu[0,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,2] * self.yqqomega1bar[0,mif2] * self.yu[0,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,0] * self.yqqomega1bar[1,mif2] * self.yu[1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,0] * self.yqqomega1bar[1,mif2] * self.yu[1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,0] * self.yqqomega1bar[1,mif2] * self.yu[1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,2] * self.yqqomega1bar[1,mif2] * self.yu[1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,2] * self.yqqomega1bar[1,mif2] * self.yu[1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,2] * self.yqqomega1bar[1,mif2] * self.yu[1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,0] * self.yqqomega1bar[2,mif2] * self.yu[2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,0] * self.yqqomega1bar[2,mif2] * self.yu[2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,0] * self.yqqomega1bar[2,mif2] * self.yu[2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,2] * self.yqqomega1bar[2,mif2] * self.yu[2,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,2] * self.yqqomega1bar[2,mif2] * self.yu[2,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,2] * self.yqqomega1bar[2,mif2] * self.yu[2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,0] * self.yl[0,0] * self.yqlomega1[mif2,0] * self.yu[mif1,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,0] * self.yl[0,1] * self.yqlomega1[mif2,0] * self.yu[mif1,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,0] * self.yl[0,2] * self.yqlomega1[mif2,0] * self.yu[mif1,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,0] * self.yl[1,0] * self.yqlomega1[mif2,1] * self.yu[mif1,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,0] * self.yl[1,1] * self.yqlomega1[mif2,1] * self.yu[mif1,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,0] * self.yl[1,2] * self.yqlomega1[mif2,1] * self.yu[mif1,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,0] * self.yl[2,0] * self.yqlomega1[mif2,2] * self.yu[mif1,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,0] * self.yl[2,1] * self.yqlomega1[mif2,2] * self.yu[mif1,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,0] * self.yl[2,2] * self.yqlomega1[mif2,2] * self.yu[mif1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yduomega1[0,0] * self.yqqomega1bar[0,mif2] * self.yu[mif1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yduomega1[1,0] * self.yqqomega1bar[0,mif2] * self.yu[mif1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yduomega1[2,0] * self.yqqomega1bar[0,mif2] * self.yu[mif1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yduomega1[0,0] * self.yqqomega1bar[1,mif2] * self.yu[mif1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yduomega1[1,0] * self.yqqomega1bar[1,mif2] * self.yu[mif1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yduomega1[2,0] * self.yqqomega1bar[1,mif2] * self.yu[mif1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yduomega1[0,0] * self.yqqomega1bar[2,mif2] * self.yu[mif1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yduomega1[1,0] * self.yqqomega1bar[2,mif2] * self.yu[mif1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yduomega1[2,0] * self.yqqomega1bar[2,mif2] * self.yu[mif1,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,1] * self.yl[0,0] * self.yqlomega1[mif2,0] * self.yu[mif1,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,1] * self.yl[0,1] * self.yqlomega1[mif2,0] * self.yu[mif1,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,1] * self.yl[0,2] * self.yqlomega1[mif2,0] * self.yu[mif1,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,1] * self.yl[1,0] * self.yqlomega1[mif2,1] * self.yu[mif1,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,1] * self.yl[1,1] * self.yqlomega1[mif2,1] * self.yu[mif1,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,1] * self.yl[1,2] * self.yqlomega1[mif2,1] * self.yu[mif1,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,1] * self.yl[2,0] * self.yqlomega1[mif2,2] * self.yu[mif1,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,1] * self.yl[2,1] * self.yqlomega1[mif2,2] * self.yu[mif1,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,1] * self.yl[2,2] * self.yqlomega1[mif2,2] * self.yu[mif1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yduomega1[0,1] * self.yqqomega1bar[0,mif2] * self.yu[mif1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yduomega1[1,1] * self.yqqomega1bar[0,mif2] * self.yu[mif1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yduomega1[2,1] * self.yqqomega1bar[0,mif2] * self.yu[mif1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yduomega1[0,1] * self.yqqomega1bar[1,mif2] * self.yu[mif1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yduomega1[1,1] * self.yqqomega1bar[1,mif2] * self.yu[mif1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yduomega1[2,1] * self.yqqomega1bar[1,mif2] * self.yu[mif1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yduomega1[0,1] * self.yqqomega1bar[2,mif2] * self.yu[mif1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yduomega1[1,1] * self.yqqomega1bar[2,mif2] * self.yu[mif1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yduomega1[2,1] * self.yqqomega1bar[2,mif2] * self.yu[mif1,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,2] * self.yl[0,0] * self.yqlomega1[mif2,0] * self.yu[mif1,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,2] * self.yl[0,1] * self.yqlomega1[mif2,0] * self.yu[mif1,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,2] * self.yl[0,2] * self.yqlomega1[mif2,0] * self.yu[mif1,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,2] * self.yl[1,0] * self.yqlomega1[mif2,1] * self.yu[mif1,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,2] * self.yl[1,1] * self.yqlomega1[mif2,1] * self.yu[mif1,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,2] * self.yl[1,2] * self.yqlomega1[mif2,1] * self.yu[mif1,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,2] * self.yl[2,0] * self.yqlomega1[mif2,2] * self.yu[mif1,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,2] * self.yl[2,1] * self.yqlomega1[mif2,2] * self.yu[mif1,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,2] * self.yl[2,2] * self.yqlomega1[mif2,2] * self.yu[mif1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yduomega1[0,2] * self.yqqomega1bar[0,mif2] * self.yu[mif1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yduomega1[1,2] * self.yqqomega1bar[0,mif2] * self.yu[mif1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yduomega1[2,2] * self.yqqomega1bar[0,mif2] * self.yu[mif1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yduomega1[0,2] * self.yqqomega1bar[1,mif2] * self.yu[mif1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yduomega1[1,2] * self.yqqomega1bar[1,mif2] * self.yu[mif1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yduomega1[2,2] * self.yqqomega1bar[1,mif2] * self.yu[mif1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yduomega1[0,2] * self.yqqomega1bar[2,mif2] * self.yu[mif1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yduomega1[1,2] * self.yqqomega1bar[2,mif2] * self.yu[mif1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yduomega1[2,2] * self.yqqomega1bar[2,mif2] * self.yu[mif1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,0] * self.yubar[0,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,0] * self.yubar[0,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,0] * self.yubar[0,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,0] * self.yu[0,0] * self.yubar[0,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,0] * self.yubar[0,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,0] * self.yubar[0,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,0] * self.yubar[0,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,1] * self.yu[1,0] * self.yubar[0,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,0] * self.yubar[0,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,0] * self.yubar[0,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,0] * self.yubar[0,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,2] * self.yu[2,0] * self.yubar[0,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] * self.yubar[0,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] * self.yubar[0,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] * self.yubar[0,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,0] * self.yu[0,1] * self.yubar[0,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] * self.yubar[0,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] * self.yubar[0,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] * self.yubar[0,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,1] * self.yu[1,1] * self.yubar[0,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] * self.yubar[0,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] * self.yubar[0,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] * self.yubar[0,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,2] * self.yu[2,1] * self.yubar[0,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,2] * self.yubar[0,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,2] * self.yubar[0,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,2] * self.yubar[0,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,0] * self.yu[0,2] * self.yubar[0,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,2] * self.yubar[0,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,2] * self.yubar[0,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,2] * self.yubar[0,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,1] * self.yu[1,2] * self.yubar[0,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,2] * self.yubar[0,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,2] * self.yubar[0,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,2] * self.yubar[0,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,2] * self.yu[2,2] * self.yubar[0,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,0] * self.yubar[1,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,0] * self.yubar[1,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,0] * self.yubar[1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,0] * self.yu[0,0] * self.yubar[1,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,0] * self.yubar[1,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,0] * self.yubar[1,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,0] * self.yubar[1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,1] * self.yu[1,0] * self.yubar[1,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,0] * self.yubar[1,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,0] * self.yubar[1,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,0] * self.yubar[1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,2] * self.yu[2,0] * self.yubar[1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] * self.yubar[1,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] * self.yubar[1,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] * self.yubar[1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,0] * self.yu[0,1] * self.yubar[1,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] * self.yubar[1,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] * self.yubar[1,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] * self.yubar[1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,1] * self.yu[1,1] * self.yubar[1,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] * self.yubar[1,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] * self.yubar[1,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] * self.yubar[1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,2] * self.yu[2,1] * self.yubar[1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,2] * self.yubar[1,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,2] * self.yubar[1,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,2] * self.yubar[1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,0] * self.yu[0,2] * self.yubar[1,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,2] * self.yubar[1,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,2] * self.yubar[1,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,2] * self.yubar[1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,1] * self.yu[1,2] * self.yubar[1,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,2] * self.yubar[1,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,2] * self.yubar[1,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,2] * self.yubar[1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,2] * self.yu[2,2] * self.yubar[1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,0] * self.yubar[2,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,0] * self.yubar[2,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,0] * self.yubar[2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,0] * self.yu[0,0] * self.yubar[2,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,0] * self.yubar[2,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,0] * self.yubar[2,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,0] * self.yubar[2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,1] * self.yu[1,0] * self.yubar[2,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,0] * self.yubar[2,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,0] * self.yubar[2,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,0] * self.yubar[2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,2] * self.yu[2,0] * self.yubar[2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] * self.yubar[2,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] * self.yubar[2,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] * self.yubar[2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,0] * self.yu[0,1] * self.yubar[2,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] * self.yubar[2,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] * self.yubar[2,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] * self.yubar[2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,1] * self.yu[1,1] * self.yubar[2,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] * self.yubar[2,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] * self.yubar[2,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] * self.yubar[2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,2] * self.yu[2,1] * self.yubar[2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,2] * self.yubar[2,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,2] * self.yubar[2,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,2] * self.yubar[2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,0] * self.yu[0,2] * self.yubar[2,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,2] * self.yubar[2,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,2] * self.yubar[2,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,2] * self.yubar[2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,1] * self.yu[1,2] * self.yubar[2,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,2] * self.yubar[2,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,2] * self.yubar[2,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,2] * self.yubar[2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,2] * self.yu[2,2] * self.yubar[2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,0] * self.yqqomega1[0,mif1] * self.yubar[mif2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,0] * self.yqqomega1[0,mif1] * self.yubar[mif2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,0] * self.yqqomega1[0,mif1] * self.yubar[mif2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,0] * self.yqqomega1[1,mif1] * self.yubar[mif2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,0] * self.yqqomega1[1,mif1] * self.yubar[mif2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,0] * self.yqqomega1[1,mif1] * self.yubar[mif2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,0] * self.yqqomega1[2,mif1] * self.yubar[mif2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,0] * self.yqqomega1[2,mif1] * self.yubar[mif2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,0] * self.yqqomega1[2,mif1] * self.yubar[mif2,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,0] * self.yu[mif1,0] * self.yubar[mif2,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,0] * self.yu[mif1,0] * self.yubar[mif2,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,0] * self.yu[mif1,0] * self.yubar[mif2,0] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[0,0] * self.yu[mif1,0] * self.yubar[mif2,0] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[1,0] * self.yu[mif1,0] * self.yubar[mif2,0] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[2,0] * self.yu[mif1,0] * self.yubar[mif2,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,0] * self.yu[mif1,1] * self.yubar[mif2,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,0] * self.yu[mif1,1] * self.yubar[mif2,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,0] * self.yu[mif1,1] * self.yubar[mif2,0] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[0,1] * self.yu[mif1,1] * self.yubar[mif2,0] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[1,1] * self.yu[mif1,1] * self.yubar[mif2,0] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[2,1] * self.yu[mif1,1] * self.yubar[mif2,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,0] * self.yu[mif1,2] * self.yubar[mif2,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,0] * self.yu[mif1,2] * self.yubar[mif2,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,0] * self.yu[mif1,2] * self.yubar[mif2,0] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[0,2] * self.yu[mif1,2] * self.yubar[mif2,0] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[1,2] * self.yu[mif1,2] * self.yubar[mif2,0] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[2,2] * self.yu[mif1,2] * self.yubar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,1] * self.yqqomega1[0,mif1] * self.yubar[mif2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,1] * self.yqqomega1[0,mif1] * self.yubar[mif2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,1] * self.yqqomega1[0,mif1] * self.yubar[mif2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,1] * self.yqqomega1[1,mif1] * self.yubar[mif2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,1] * self.yqqomega1[1,mif1] * self.yubar[mif2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,1] * self.yqqomega1[1,mif1] * self.yubar[mif2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,1] * self.yqqomega1[2,mif1] * self.yubar[mif2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,1] * self.yqqomega1[2,mif1] * self.yubar[mif2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,1] * self.yqqomega1[2,mif1] * self.yubar[mif2,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,1] * self.yu[mif1,0] * self.yubar[mif2,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,1] * self.yu[mif1,0] * self.yubar[mif2,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,1] * self.yu[mif1,0] * self.yubar[mif2,1] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[0,0] * self.yu[mif1,0] * self.yubar[mif2,1] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[1,0] * self.yu[mif1,0] * self.yubar[mif2,1] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[2,0] * self.yu[mif1,0] * self.yubar[mif2,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,1] * self.yu[mif1,1] * self.yubar[mif2,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,1] * self.yu[mif1,1] * self.yubar[mif2,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,1] * self.yu[mif1,1] * self.yubar[mif2,1] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[0,1] * self.yu[mif1,1] * self.yubar[mif2,1] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[1,1] * self.yu[mif1,1] * self.yubar[mif2,1] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[2,1] * self.yu[mif1,1] * self.yubar[mif2,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,1] * self.yu[mif1,2] * self.yubar[mif2,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,1] * self.yu[mif1,2] * self.yubar[mif2,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,1] * self.yu[mif1,2] * self.yubar[mif2,1] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[0,2] * self.yu[mif1,2] * self.yubar[mif2,1] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[1,2] * self.yu[mif1,2] * self.yubar[mif2,1] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[2,2] * self.yu[mif1,2] * self.yubar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,2] * self.yqqomega1[0,mif1] * self.yubar[mif2,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,2] * self.yqqomega1[0,mif1] * self.yubar[mif2,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,2] * self.yqqomega1[0,mif1] * self.yubar[mif2,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,2] * self.yqqomega1[1,mif1] * self.yubar[mif2,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,2] * self.yqqomega1[1,mif1] * self.yubar[mif2,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,2] * self.yqqomega1[1,mif1] * self.yubar[mif2,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,2] * self.yqqomega1[2,mif1] * self.yubar[mif2,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,2] * self.yqqomega1[2,mif1] * self.yubar[mif2,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,2] * self.yqqomega1[2,mif1] * self.yubar[mif2,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,2] * self.yu[mif1,0] * self.yubar[mif2,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,2] * self.yu[mif1,0] * self.yubar[mif2,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,2] * self.yu[mif1,0] * self.yubar[mif2,2] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[0,0] * self.yu[mif1,0] * self.yubar[mif2,2] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[1,0] * self.yu[mif1,0] * self.yubar[mif2,2] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[2,0] * self.yu[mif1,0] * self.yubar[mif2,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,2] * self.yu[mif1,1] * self.yubar[mif2,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,2] * self.yu[mif1,1] * self.yubar[mif2,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,2] * self.yu[mif1,1] * self.yubar[mif2,2] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[0,1] * self.yu[mif1,1] * self.yubar[mif2,2] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[1,1] * self.yu[mif1,1] * self.yubar[mif2,2] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[2,1] * self.yu[mif1,1] * self.yubar[mif2,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,2] * self.yu[mif1,2] * self.yubar[mif2,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,2] * self.yu[mif1,2] * self.yubar[mif2,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,2] * self.yu[mif1,2] * self.yubar[mif2,2] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[0,2] * self.yu[mif1,2] * self.yubar[mif2,2] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[1,2] * self.yu[mif1,2] * self.yubar[mif2,2] + -1/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[2,2] * self.yu[mif1,2] * self.yubar[mif2,2])

    def alphaOHu(self, mif1,mif2):
        return (-1/4320 * (self.g1)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) + -7/864 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] + -1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] + 1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,0] * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,0] * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,0] * self.yduomega1[1,mif1] * self.yduomega1bar[0,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,0] * self.yduomega1[1,mif1] * self.yduomega1bar[0,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,0] * self.yduomega1[1,mif1] * self.yduomega1bar[0,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,0] * self.yduomega1[1,mif1] * self.yduomega1bar[0,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,0] * self.yduomega1[1,mif1] * self.yduomega1bar[0,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,0] * self.yduomega1[1,mif1] * self.yduomega1bar[0,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,0] * self.yduomega1[1,mif1] * self.yduomega1bar[0,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,0] * self.yduomega1[1,mif1] * self.yduomega1bar[0,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,0] * self.yduomega1[1,mif1] * self.yduomega1bar[0,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,0] * self.yduomega1[2,mif1] * self.yduomega1bar[0,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,0] * self.yduomega1[2,mif1] * self.yduomega1bar[0,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,0] * self.yduomega1[2,mif1] * self.yduomega1bar[0,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,0] * self.yduomega1[2,mif1] * self.yduomega1bar[0,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,0] * self.yduomega1[2,mif1] * self.yduomega1bar[0,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,0] * self.yduomega1[2,mif1] * self.yduomega1bar[0,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,0] * self.yduomega1[2,mif1] * self.yduomega1bar[0,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,0] * self.yduomega1[2,mif1] * self.yduomega1bar[0,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,0] * self.yduomega1[2,mif1] * self.yduomega1bar[0,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,1] * self.yduomega1[0,mif1] * self.yduomega1bar[1,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,1] * self.yduomega1[0,mif1] * self.yduomega1bar[1,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,1] * self.yduomega1[0,mif1] * self.yduomega1bar[1,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,1] * self.yduomega1[0,mif1] * self.yduomega1bar[1,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,1] * self.yduomega1[0,mif1] * self.yduomega1bar[1,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,1] * self.yduomega1[0,mif1] * self.yduomega1bar[1,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,1] * self.yduomega1[0,mif1] * self.yduomega1bar[1,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,1] * self.yduomega1[0,mif1] * self.yduomega1bar[1,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,1] * self.yduomega1[0,mif1] * self.yduomega1bar[1,mif2] + -7/864 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] + -1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] + 1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,1] * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,1] * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,1] * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,1] * self.yduomega1[2,mif1] * self.yduomega1bar[1,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,1] * self.yduomega1[2,mif1] * self.yduomega1bar[1,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,1] * self.yduomega1[2,mif1] * self.yduomega1bar[1,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,1] * self.yduomega1[2,mif1] * self.yduomega1bar[1,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,1] * self.yduomega1[2,mif1] * self.yduomega1bar[1,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,1] * self.yduomega1[2,mif1] * self.yduomega1bar[1,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,1] * self.yduomega1[2,mif1] * self.yduomega1bar[1,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,1] * self.yduomega1[2,mif1] * self.yduomega1bar[1,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,1] * self.yduomega1[2,mif1] * self.yduomega1bar[1,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,2] * self.yduomega1[0,mif1] * self.yduomega1bar[2,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,2] * self.yduomega1[0,mif1] * self.yduomega1bar[2,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,2] * self.yduomega1[0,mif1] * self.yduomega1bar[2,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,2] * self.yduomega1[0,mif1] * self.yduomega1bar[2,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,2] * self.yduomega1[0,mif1] * self.yduomega1bar[2,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,2] * self.yduomega1[0,mif1] * self.yduomega1bar[2,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,2] * self.yduomega1[0,mif1] * self.yduomega1bar[2,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,2] * self.yduomega1[0,mif1] * self.yduomega1bar[2,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,2] * self.yduomega1[0,mif1] * self.yduomega1bar[2,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,2] * self.yduomega1[1,mif1] * self.yduomega1bar[2,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,2] * self.yduomega1[1,mif1] * self.yduomega1bar[2,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,2] * self.yduomega1[1,mif1] * self.yduomega1bar[2,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,2] * self.yduomega1[1,mif1] * self.yduomega1bar[2,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,2] * self.yduomega1[1,mif1] * self.yduomega1bar[2,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,2] * self.yduomega1[1,mif1] * self.yduomega1bar[2,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,2] * self.yduomega1[1,mif1] * self.yduomega1bar[2,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,2] * self.yduomega1[1,mif1] * self.yduomega1bar[2,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,2] * self.yduomega1[1,mif1] * self.yduomega1bar[2,mif2] + -7/864 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] + -1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] + 1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,2] * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,2] * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,2] * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] + -25/1728 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] + -1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] + 1/96 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] + -25/1728 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] + -1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] + 1/96 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] + -25/1728 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] + -1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] + 1/96 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] * self.yl[0,0] * self.ylbar[0,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] * self.yl[0,0] * self.ylbar[0,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] * self.yl[0,0] * self.ylbar[0,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[1,mif1] * self.yl[0,1] * self.ylbar[0,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[1,mif1] * self.yl[0,1] * self.ylbar[0,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yeuomega1bar[1,mif1] * self.yl[0,1] * self.ylbar[0,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[2,mif1] * self.yl[0,2] * self.ylbar[0,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[2,mif1] * self.yl[0,2] * self.ylbar[0,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yeuomega1bar[2,mif1] * self.yl[0,2] * self.ylbar[0,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[0,mif1] * self.yl[0,0] * self.ylbar[0,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[0,mif1] * self.yl[0,0] * self.ylbar[0,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yeuomega1bar[0,mif1] * self.yl[0,0] * self.ylbar[0,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] * self.yl[0,1] * self.ylbar[0,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] * self.yl[0,1] * self.ylbar[0,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] * self.yl[0,1] * self.ylbar[0,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[2,mif1] * self.yl[0,2] * self.ylbar[0,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[2,mif1] * self.yl[0,2] * self.ylbar[0,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yeuomega1bar[2,mif1] * self.yl[0,2] * self.ylbar[0,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[0,mif1] * self.yl[0,0] * self.ylbar[0,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[0,mif1] * self.yl[0,0] * self.ylbar[0,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yeuomega1bar[0,mif1] * self.yl[0,0] * self.ylbar[0,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[1,mif1] * self.yl[0,1] * self.ylbar[0,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[1,mif1] * self.yl[0,1] * self.ylbar[0,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yeuomega1bar[1,mif1] * self.yl[0,1] * self.ylbar[0,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] * self.yl[0,2] * self.ylbar[0,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] * self.yl[0,2] * self.ylbar[0,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] * self.yl[0,2] * self.ylbar[0,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] * self.yl[1,0] * self.ylbar[1,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] * self.yl[1,0] * self.ylbar[1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] * self.yl[1,0] * self.ylbar[1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[1,mif1] * self.yl[1,1] * self.ylbar[1,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[1,mif1] * self.yl[1,1] * self.ylbar[1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yeuomega1bar[1,mif1] * self.yl[1,1] * self.ylbar[1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[2,mif1] * self.yl[1,2] * self.ylbar[1,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[2,mif1] * self.yl[1,2] * self.ylbar[1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yeuomega1bar[2,mif1] * self.yl[1,2] * self.ylbar[1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[0,mif1] * self.yl[1,0] * self.ylbar[1,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[0,mif1] * self.yl[1,0] * self.ylbar[1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yeuomega1bar[0,mif1] * self.yl[1,0] * self.ylbar[1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] * self.yl[1,1] * self.ylbar[1,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] * self.yl[1,1] * self.ylbar[1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] * self.yl[1,1] * self.ylbar[1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[2,mif1] * self.yl[1,2] * self.ylbar[1,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[2,mif1] * self.yl[1,2] * self.ylbar[1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yeuomega1bar[2,mif1] * self.yl[1,2] * self.ylbar[1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[0,mif1] * self.yl[1,0] * self.ylbar[1,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[0,mif1] * self.yl[1,0] * self.ylbar[1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yeuomega1bar[0,mif1] * self.yl[1,0] * self.ylbar[1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[1,mif1] * self.yl[1,1] * self.ylbar[1,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[1,mif1] * self.yl[1,1] * self.ylbar[1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yeuomega1bar[1,mif1] * self.yl[1,1] * self.ylbar[1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] * self.yl[1,2] * self.ylbar[1,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] * self.yl[1,2] * self.ylbar[1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] * self.yl[1,2] * self.ylbar[1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] * self.yl[2,0] * self.ylbar[2,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] * self.yl[2,0] * self.ylbar[2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] * self.yl[2,0] * self.ylbar[2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[1,mif1] * self.yl[2,1] * self.ylbar[2,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[1,mif1] * self.yl[2,1] * self.ylbar[2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yeuomega1bar[1,mif1] * self.yl[2,1] * self.ylbar[2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[2,mif1] * self.yl[2,2] * self.ylbar[2,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[2,mif1] * self.yl[2,2] * self.ylbar[2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yeuomega1bar[2,mif1] * self.yl[2,2] * self.ylbar[2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[0,mif1] * self.yl[2,0] * self.ylbar[2,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[0,mif1] * self.yl[2,0] * self.ylbar[2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yeuomega1bar[0,mif1] * self.yl[2,0] * self.ylbar[2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] * self.yl[2,1] * self.ylbar[2,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] * self.yl[2,1] * self.ylbar[2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] * self.yl[2,1] * self.ylbar[2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[2,mif1] * self.yl[2,2] * self.ylbar[2,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[2,mif1] * self.yl[2,2] * self.ylbar[2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yeuomega1bar[2,mif1] * self.yl[2,2] * self.ylbar[2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[0,mif1] * self.yl[2,0] * self.ylbar[2,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[0,mif1] * self.yl[2,0] * self.ylbar[2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yeuomega1bar[0,mif1] * self.yl[2,0] * self.ylbar[2,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[1,mif1] * self.yl[2,1] * self.ylbar[2,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[1,mif1] * self.yl[2,1] * self.ylbar[2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yeuomega1bar[1,mif1] * self.yl[2,1] * self.ylbar[2,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] * self.yl[2,2] * self.ylbar[2,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] * self.yl[2,2] * self.ylbar[2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] * self.yl[2,2] * self.ylbar[2,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif1] * self.yl[0,0] * self.yqlomega1[0,0] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif1] * self.yl[0,1] * self.yqlomega1[0,0] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif1] * self.yl[0,2] * self.yqlomega1[0,0] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif1] * self.yl[1,0] * self.yqlomega1[0,1] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif1] * self.yl[1,1] * self.yqlomega1[0,1] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif1] * self.yl[1,2] * self.yqlomega1[0,1] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif1] * self.yl[2,0] * self.yqlomega1[0,2] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif1] * self.yl[2,1] * self.yqlomega1[0,2] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif1] * self.yl[2,2] * self.yqlomega1[0,2] * self.yu[0,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yduomega1[0,mif1] * self.yqqomega1bar[0,0] * self.yu[0,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yduomega1[1,mif1] * self.yqqomega1bar[0,0] * self.yu[0,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yduomega1[2,mif1] * self.yqqomega1bar[0,0] * self.yu[0,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yduomega1[0,mif1] * self.yqqomega1bar[1,0] * self.yu[0,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yduomega1[1,mif1] * self.yqqomega1bar[1,0] * self.yu[0,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yduomega1[2,mif1] * self.yqqomega1bar[1,0] * self.yu[0,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yduomega1[0,mif1] * self.yqqomega1bar[2,0] * self.yu[0,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yduomega1[1,mif1] * self.yqqomega1bar[2,0] * self.yu[0,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yduomega1[2,mif1] * self.yqqomega1bar[2,0] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif1] * self.yl[0,0] * self.yqlomega1[1,0] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif1] * self.yl[0,1] * self.yqlomega1[1,0] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif1] * self.yl[0,2] * self.yqlomega1[1,0] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif1] * self.yl[1,0] * self.yqlomega1[1,1] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif1] * self.yl[1,1] * self.yqlomega1[1,1] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif1] * self.yl[1,2] * self.yqlomega1[1,1] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif1] * self.yl[2,0] * self.yqlomega1[1,2] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif1] * self.yl[2,1] * self.yqlomega1[1,2] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif1] * self.yl[2,2] * self.yqlomega1[1,2] * self.yu[1,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yduomega1[0,mif1] * self.yqqomega1bar[0,1] * self.yu[1,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yduomega1[1,mif1] * self.yqqomega1bar[0,1] * self.yu[1,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yduomega1[2,mif1] * self.yqqomega1bar[0,1] * self.yu[1,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yduomega1[0,mif1] * self.yqqomega1bar[1,1] * self.yu[1,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yduomega1[1,mif1] * self.yqqomega1bar[1,1] * self.yu[1,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yduomega1[2,mif1] * self.yqqomega1bar[1,1] * self.yu[1,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yduomega1[0,mif1] * self.yqqomega1bar[2,1] * self.yu[1,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yduomega1[1,mif1] * self.yqqomega1bar[2,1] * self.yu[1,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yduomega1[2,mif1] * self.yqqomega1bar[2,1] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif1] * self.yl[0,0] * self.yqlomega1[2,0] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif1] * self.yl[0,1] * self.yqlomega1[2,0] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif1] * self.yl[0,2] * self.yqlomega1[2,0] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif1] * self.yl[1,0] * self.yqlomega1[2,1] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif1] * self.yl[1,1] * self.yqlomega1[2,1] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif1] * self.yl[1,2] * self.yqlomega1[2,1] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif1] * self.yl[2,0] * self.yqlomega1[2,2] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif1] * self.yl[2,1] * self.yqlomega1[2,2] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif1] * self.yl[2,2] * self.yqlomega1[2,2] * self.yu[2,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yduomega1[0,mif1] * self.yqqomega1bar[0,2] * self.yu[2,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yduomega1[1,mif1] * self.yqqomega1bar[0,2] * self.yu[2,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yduomega1[2,mif1] * self.yqqomega1bar[0,2] * self.yu[2,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yduomega1[0,mif1] * self.yqqomega1bar[1,2] * self.yu[2,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yduomega1[1,mif1] * self.yqqomega1bar[1,2] * self.yu[2,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yduomega1[2,mif1] * self.yqqomega1bar[1,2] * self.yu[2,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yduomega1[0,mif1] * self.yqqomega1bar[2,2] * self.yu[2,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yduomega1[1,mif1] * self.yqqomega1bar[2,2] * self.yu[2,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yduomega1[2,mif1] * self.yqqomega1bar[2,2] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[0,0] * self.yubar[0,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[0,0] * self.yubar[0,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[0,0] * self.yubar[0,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[0,1] * self.yubar[0,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[0,1] * self.yubar[0,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[0,1] * self.yubar[0,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[0,2] * self.yubar[0,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[0,2] * self.yubar[0,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[0,2] * self.yubar[0,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,0] * self.yubar[0,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,0] * self.yubar[0,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,0] * self.yubar[0,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,0] * self.yubar[0,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,0] * self.yubar[0,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,0] * self.yubar[0,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,0] * self.yubar[0,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,0] * self.yubar[0,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,0] * self.yubar[0,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[0,0] * self.yu[0,mif2] * self.yubar[0,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[0,1] * self.yu[0,mif2] * self.yubar[0,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[0,2] * self.yu[0,mif2] * self.yubar[0,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1bar[0,0] * self.yu[0,mif2] * self.yubar[0,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1bar[1,0] * self.yu[0,mif2] * self.yubar[0,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1bar[2,0] * self.yu[0,mif2] * self.yubar[0,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[0,0] * self.yu[1,mif2] * self.yubar[0,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[0,1] * self.yu[1,mif2] * self.yubar[0,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[0,2] * self.yu[1,mif2] * self.yubar[0,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1bar[0,1] * self.yu[1,mif2] * self.yubar[0,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1bar[1,1] * self.yu[1,mif2] * self.yubar[0,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1bar[2,1] * self.yu[1,mif2] * self.yubar[0,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[0,0] * self.yu[2,mif2] * self.yubar[0,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[0,1] * self.yu[2,mif2] * self.yubar[0,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[0,2] * self.yu[2,mif2] * self.yubar[0,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1bar[0,2] * self.yu[2,mif2] * self.yubar[0,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1bar[1,2] * self.yu[2,mif2] * self.yubar[0,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1bar[2,2] * self.yu[2,mif2] * self.yubar[0,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[1,0] * self.yubar[1,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[1,0] * self.yubar[1,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[1,0] * self.yubar[1,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[1,1] * self.yubar[1,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[1,1] * self.yubar[1,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[1,1] * self.yubar[1,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[1,2] * self.yubar[1,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[1,2] * self.yubar[1,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[1,2] * self.yubar[1,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,1] * self.yubar[1,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,1] * self.yubar[1,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,1] * self.yubar[1,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,1] * self.yubar[1,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,1] * self.yubar[1,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,1] * self.yubar[1,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,1] * self.yubar[1,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,1] * self.yubar[1,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,1] * self.yubar[1,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[1,0] * self.yu[0,mif2] * self.yubar[1,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[1,1] * self.yu[0,mif2] * self.yubar[1,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[1,2] * self.yu[0,mif2] * self.yubar[1,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1bar[0,0] * self.yu[0,mif2] * self.yubar[1,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1bar[1,0] * self.yu[0,mif2] * self.yubar[1,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1bar[2,0] * self.yu[0,mif2] * self.yubar[1,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[1,0] * self.yu[1,mif2] * self.yubar[1,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[1,1] * self.yu[1,mif2] * self.yubar[1,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[1,2] * self.yu[1,mif2] * self.yubar[1,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1bar[0,1] * self.yu[1,mif2] * self.yubar[1,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1bar[1,1] * self.yu[1,mif2] * self.yubar[1,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1bar[2,1] * self.yu[1,mif2] * self.yubar[1,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[1,0] * self.yu[2,mif2] * self.yubar[1,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[1,1] * self.yu[2,mif2] * self.yubar[1,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[1,2] * self.yu[2,mif2] * self.yubar[1,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1bar[0,2] * self.yu[2,mif2] * self.yubar[1,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1bar[1,2] * self.yu[2,mif2] * self.yubar[1,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1bar[2,2] * self.yu[2,mif2] * self.yubar[1,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[2,0] * self.yubar[2,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[2,0] * self.yubar[2,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[2,0] * self.yubar[2,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[2,1] * self.yubar[2,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[2,1] * self.yubar[2,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[2,1] * self.yubar[2,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[2,2] * self.yubar[2,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[2,2] * self.yubar[2,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[2,2] * self.yubar[2,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,2] * self.yubar[2,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,2] * self.yubar[2,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,2] * self.yubar[2,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,2] * self.yubar[2,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,2] * self.yubar[2,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,2] * self.yubar[2,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,2] * self.yubar[2,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,2] * self.yubar[2,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,2] * self.yubar[2,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[2,0] * self.yu[0,mif2] * self.yubar[2,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[2,1] * self.yu[0,mif2] * self.yubar[2,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[2,2] * self.yu[0,mif2] * self.yubar[2,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1bar[0,0] * self.yu[0,mif2] * self.yubar[2,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1bar[1,0] * self.yu[0,mif2] * self.yubar[2,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1bar[2,0] * self.yu[0,mif2] * self.yubar[2,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[2,0] * self.yu[1,mif2] * self.yubar[2,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[2,1] * self.yu[1,mif2] * self.yubar[2,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[2,2] * self.yu[1,mif2] * self.yubar[2,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1bar[0,1] * self.yu[1,mif2] * self.yubar[2,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1bar[1,1] * self.yu[1,mif2] * self.yubar[2,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1bar[2,1] * self.yu[1,mif2] * self.yubar[2,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[2,0] * self.yu[2,mif2] * self.yubar[2,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[2,1] * self.yu[2,mif2] * self.yubar[2,mif1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[2,2] * self.yu[2,mif2] * self.yubar[2,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1bar[0,2] * self.yu[2,mif2] * self.yubar[2,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1bar[1,2] * self.yu[2,mif2] * self.yubar[2,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1bar[2,2] * self.yu[2,mif2] * self.yubar[2,mif1])

    def alphaOHud(self, mif1,mif2):
        return (1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yeuomega1bar[0,mif1] * self.yl[0,0] * self.yqlomega1[0,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yeuomega1bar[1,mif1] * self.yl[0,1] * self.yqlomega1[0,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yeuomega1bar[2,mif1] * self.yl[0,2] * self.yqlomega1[0,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yeuomega1bar[0,mif1] * self.yl[1,0] * self.yqlomega1[0,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yeuomega1bar[1,mif1] * self.yl[1,1] * self.yqlomega1[0,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yeuomega1bar[2,mif1] * self.yl[1,2] * self.yqlomega1[0,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yeuomega1bar[0,mif1] * self.yl[2,0] * self.yqlomega1[0,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yeuomega1bar[1,mif1] * self.yl[2,1] * self.yqlomega1[0,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yeuomega1bar[2,mif1] * self.yl[2,2] * self.yqlomega1[0,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yeuomega1bar[0,mif1] * self.yl[0,0] * self.yqlomega1[1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yeuomega1bar[1,mif1] * self.yl[0,1] * self.yqlomega1[1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yeuomega1bar[2,mif1] * self.yl[0,2] * self.yqlomega1[1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yeuomega1bar[0,mif1] * self.yl[1,0] * self.yqlomega1[1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yeuomega1bar[1,mif1] * self.yl[1,1] * self.yqlomega1[1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yeuomega1bar[2,mif1] * self.yl[1,2] * self.yqlomega1[1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yeuomega1bar[0,mif1] * self.yl[2,0] * self.yqlomega1[1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yeuomega1bar[1,mif1] * self.yl[2,1] * self.yqlomega1[1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yeuomega1bar[2,mif1] * self.yl[2,2] * self.yqlomega1[1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yeuomega1bar[0,mif1] * self.yl[0,0] * self.yqlomega1[2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yeuomega1bar[1,mif1] * self.yl[0,1] * self.yqlomega1[2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yeuomega1bar[2,mif1] * self.yl[0,2] * self.yqlomega1[2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yeuomega1bar[0,mif1] * self.yl[1,0] * self.yqlomega1[2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yeuomega1bar[1,mif1] * self.yl[1,1] * self.yqlomega1[2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yeuomega1bar[2,mif1] * self.yl[1,2] * self.yqlomega1[2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yeuomega1bar[0,mif1] * self.yl[2,0] * self.yqlomega1[2,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yeuomega1bar[1,mif1] * self.yl[2,1] * self.yqlomega1[2,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yeuomega1bar[2,mif1] * self.yl[2,2] * self.yqlomega1[2,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[0,mif2] * self.yduomega1[0,mif1] * self.yqqomega1bar[0,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[0,mif2] * self.yduomega1[1,mif1] * self.yqqomega1bar[0,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[0,mif2] * self.yduomega1[2,mif1] * self.yqqomega1bar[0,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[1,mif2] * self.yduomega1[0,mif1] * self.yqqomega1bar[0,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[1,mif2] * self.yduomega1[1,mif1] * self.yqqomega1bar[0,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[1,mif2] * self.yduomega1[2,mif1] * self.yqqomega1bar[0,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[2,mif2] * self.yduomega1[0,mif1] * self.yqqomega1bar[0,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[2,mif2] * self.yduomega1[1,mif1] * self.yqqomega1bar[0,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[2,mif2] * self.yduomega1[2,mif1] * self.yqqomega1bar[0,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[1,0] * self.yduomega1[0,mif1] * self.yqqomega1bar[1,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[1,1] * self.yduomega1[1,mif1] * self.yqqomega1bar[1,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[1,2] * self.yduomega1[2,mif1] * self.yqqomega1bar[1,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[1,mif2] * self.yduomega1[0,mif1] * self.yqqomega1bar[1,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[1,mif2] * self.yduomega1[1,mif1] * self.yqqomega1bar[1,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[1,mif2] * self.yduomega1[2,mif1] * self.yqqomega1bar[1,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[2,mif2] * self.yduomega1[0,mif1] * self.yqqomega1bar[1,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[2,mif2] * self.yduomega1[1,mif1] * self.yqqomega1bar[1,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[2,mif2] * self.yduomega1[2,mif1] * self.yqqomega1bar[1,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[2,0] * self.yduomega1[0,mif1] * self.yqqomega1bar[2,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[2,1] * self.yduomega1[1,mif1] * self.yqqomega1bar[2,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[2,2] * self.yduomega1[2,mif1] * self.yqqomega1bar[2,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[2,0] * self.yduomega1[0,mif1] * self.yqqomega1bar[2,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[2,1] * self.yduomega1[1,mif1] * self.yqqomega1bar[2,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[2,2] * self.yduomega1[2,mif1] * self.yqqomega1bar[2,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yd[2,mif2] * self.yduomega1[0,mif1] * self.yqqomega1bar[2,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yd[2,mif2] * self.yduomega1[1,mif1] * self.yqqomega1bar[2,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yd[2,mif2] * self.yduomega1[2,mif1] * self.yqqomega1bar[2,2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yduomega1[0,mif1] * self.yduomega1bar[mif2,0] * self.yubar[0,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yduomega1[0,mif1] * self.yduomega1bar[mif2,0] * self.yubar[0,0] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yduomega1[1,mif1] * self.yduomega1bar[mif2,0] * self.yubar[0,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yduomega1[1,mif1] * self.yduomega1bar[mif2,0] * self.yubar[0,0] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yduomega1[2,mif1] * self.yduomega1bar[mif2,0] * self.yubar[0,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yduomega1[2,mif1] * self.yduomega1bar[mif2,0] * self.yubar[0,0] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yduomega1[0,mif1] * self.yduomega1bar[mif2,1] * self.yubar[0,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yduomega1[0,mif1] * self.yduomega1bar[mif2,1] * self.yubar[0,1] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yduomega1[1,mif1] * self.yduomega1bar[mif2,1] * self.yubar[0,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yduomega1[1,mif1] * self.yduomega1bar[mif2,1] * self.yubar[0,1] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yduomega1[2,mif1] * self.yduomega1bar[mif2,1] * self.yubar[0,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yduomega1[2,mif1] * self.yduomega1bar[mif2,1] * self.yubar[0,1] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yduomega1[0,mif1] * self.yduomega1bar[mif2,2] * self.yubar[0,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yduomega1[0,mif1] * self.yduomega1bar[mif2,2] * self.yubar[0,2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yduomega1[1,mif1] * self.yduomega1bar[mif2,2] * self.yubar[0,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yduomega1[1,mif1] * self.yduomega1bar[mif2,2] * self.yubar[0,2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yduomega1[2,mif1] * self.yduomega1bar[mif2,2] * self.yubar[0,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yduomega1[2,mif1] * self.yduomega1bar[mif2,2] * self.yubar[0,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[0,0] * self.yubar[0,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[0,0] * self.yubar[0,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[0,0] * self.yubar[0,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[0,1] * self.yubar[0,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[0,1] * self.yubar[0,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[0,1] * self.yubar[0,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[0,2] * self.yubar[0,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[0,2] * self.yubar[0,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[0,2] * self.yubar[0,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[0,0] * self.yqqomega1bar[0,0] * self.yubar[0,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[0,0] * self.yqqomega1bar[0,1] * self.yubar[0,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[0,0] * self.yqqomega1bar[0,2] * self.yubar[0,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[1,0] * self.yqqomega1bar[1,0] * self.yubar[0,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[1,0] * self.yqqomega1bar[1,1] * self.yubar[0,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[1,0] * self.yqqomega1bar[1,2] * self.yubar[0,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[2,0] * self.yqqomega1bar[2,0] * self.yubar[0,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[2,0] * self.yqqomega1bar[2,1] * self.yubar[0,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[2,0] * self.yqqomega1bar[2,2] * self.yubar[0,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,0] * self.yubar[0,0] * self.yubar[0,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,0] * self.yubar[0,1] * self.yubar[0,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,0] * self.yubar[0,2] * self.yubar[0,mif1] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yduomega1[0,mif1] * self.yduomega1bar[mif2,0] * self.yubar[1,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yduomega1[0,mif1] * self.yduomega1bar[mif2,0] * self.yubar[1,0] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yduomega1[1,mif1] * self.yduomega1bar[mif2,0] * self.yubar[1,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yduomega1[1,mif1] * self.yduomega1bar[mif2,0] * self.yubar[1,0] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yduomega1[2,mif1] * self.yduomega1bar[mif2,0] * self.yubar[1,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yduomega1[2,mif1] * self.yduomega1bar[mif2,0] * self.yubar[1,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,0] * self.yubar[0,mif1] * self.yubar[1,0] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yduomega1[0,mif1] * self.yduomega1bar[mif2,1] * self.yubar[1,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yduomega1[0,mif1] * self.yduomega1bar[mif2,1] * self.yubar[1,1] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yduomega1[1,mif1] * self.yduomega1bar[mif2,1] * self.yubar[1,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yduomega1[1,mif1] * self.yduomega1bar[mif2,1] * self.yubar[1,1] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yduomega1[2,mif1] * self.yduomega1bar[mif2,1] * self.yubar[1,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yduomega1[2,mif1] * self.yduomega1bar[mif2,1] * self.yubar[1,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,0] * self.yubar[0,mif1] * self.yubar[1,1] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yduomega1[0,mif1] * self.yduomega1bar[mif2,2] * self.yubar[1,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yduomega1[0,mif1] * self.yduomega1bar[mif2,2] * self.yubar[1,2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yduomega1[1,mif1] * self.yduomega1bar[mif2,2] * self.yubar[1,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yduomega1[1,mif1] * self.yduomega1bar[mif2,2] * self.yubar[1,2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yduomega1[2,mif1] * self.yduomega1bar[mif2,2] * self.yubar[1,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yduomega1[2,mif1] * self.yduomega1bar[mif2,2] * self.yubar[1,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,0] * self.yubar[0,mif1] * self.yubar[1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[1,0] * self.yubar[1,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[1,0] * self.yubar[1,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[1,0] * self.yubar[1,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[1,1] * self.yubar[1,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[1,1] * self.yubar[1,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[1,1] * self.yubar[1,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[1,2] * self.yubar[1,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[1,2] * self.yubar[1,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[1,2] * self.yubar[1,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[0,1] * self.yqqomega1bar[0,0] * self.yubar[1,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[0,1] * self.yqqomega1bar[0,1] * self.yubar[1,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[0,1] * self.yqqomega1bar[0,2] * self.yubar[1,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[1,1] * self.yqqomega1bar[1,0] * self.yubar[1,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[1,1] * self.yqqomega1bar[1,1] * self.yubar[1,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[1,1] * self.yqqomega1bar[1,2] * self.yubar[1,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[2,1] * self.yqqomega1bar[2,0] * self.yubar[1,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[2,1] * self.yqqomega1bar[2,1] * self.yubar[1,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[2,1] * self.yqqomega1bar[2,2] * self.yubar[1,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,1] * self.yubar[0,0] * self.yubar[1,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,1] * self.yubar[0,1] * self.yubar[1,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,1] * self.yubar[0,2] * self.yubar[1,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,1] * self.yubar[1,0] * self.yubar[1,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,1] * self.yubar[1,1] * self.yubar[1,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,1] * self.yubar[1,2] * self.yubar[1,mif1] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yduomega1[0,mif1] * self.yduomega1bar[mif2,0] * self.yubar[2,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yduomega1[0,mif1] * self.yduomega1bar[mif2,0] * self.yubar[2,0] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yduomega1[1,mif1] * self.yduomega1bar[mif2,0] * self.yubar[2,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.yduomega1[1,mif1] * self.yduomega1bar[mif2,0] * self.yubar[2,0] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yduomega1[2,mif1] * self.yduomega1bar[mif2,0] * self.yubar[2,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.yduomega1[2,mif1] * self.yduomega1bar[mif2,0] * self.yubar[2,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,0] * self.yubar[0,mif1] * self.yubar[2,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,1] * self.yubar[1,mif1] * self.yubar[2,0] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yduomega1[0,mif1] * self.yduomega1bar[mif2,1] * self.yubar[2,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yduomega1[0,mif1] * self.yduomega1bar[mif2,1] * self.yubar[2,1] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yduomega1[1,mif1] * self.yduomega1bar[mif2,1] * self.yubar[2,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.yduomega1[1,mif1] * self.yduomega1bar[mif2,1] * self.yubar[2,1] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yduomega1[2,mif1] * self.yduomega1bar[mif2,1] * self.yubar[2,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.yduomega1[2,mif1] * self.yduomega1bar[mif2,1] * self.yubar[2,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,0] * self.yubar[0,mif1] * self.yubar[2,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,1] * self.yubar[1,mif1] * self.yubar[2,1] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yduomega1[0,mif1] * self.yduomega1bar[mif2,2] * self.yubar[2,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yduomega1[0,mif1] * self.yduomega1bar[mif2,2] * self.yubar[2,2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yduomega1[1,mif1] * self.yduomega1bar[mif2,2] * self.yubar[2,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.yduomega1[1,mif1] * self.yduomega1bar[mif2,2] * self.yubar[2,2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yduomega1[2,mif1] * self.yduomega1bar[mif2,2] * self.yubar[2,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.yduomega1[2,mif1] * self.yduomega1bar[mif2,2] * self.yubar[2,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,0] * self.yubar[0,mif1] * self.yubar[2,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,1] * self.yubar[1,mif1] * self.yubar[2,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[2,0] * self.yubar[2,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[2,0] * self.yubar[2,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[2,0] * self.yubar[2,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[2,1] * self.yubar[2,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[2,1] * self.yubar[2,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[2,1] * self.yubar[2,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[2,2] * self.yubar[2,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[2,2] * self.yubar[2,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[2,2] * self.yubar[2,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[0,2] * self.yqqomega1bar[0,0] * self.yubar[2,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[0,2] * self.yqqomega1bar[0,1] * self.yubar[2,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[0,2] * self.yqqomega1bar[0,2] * self.yubar[2,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[1,2] * self.yqqomega1bar[1,0] * self.yubar[2,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[1,2] * self.yqqomega1bar[1,1] * self.yubar[2,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[1,2] * self.yqqomega1bar[1,2] * self.yubar[2,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yqqomega1[2,2] * self.yqqomega1bar[2,0] * self.yubar[2,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yqqomega1[2,2] * self.yqqomega1bar[2,1] * self.yubar[2,mif1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yqqomega1[2,2] * self.yqqomega1bar[2,2] * self.yubar[2,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[0,2] * self.yubar[0,0] * self.yubar[2,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[0,2] * self.yubar[0,1] * self.yubar[2,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[0,2] * self.yubar[0,2] * self.yubar[2,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[1,2] * self.yubar[1,0] * self.yubar[2,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[1,2] * self.yubar[1,1] * self.yubar[2,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[1,2] * self.yubar[1,2] * self.yubar[2,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,0] * self.yqqomega1[2,2] * self.yubar[2,0] * self.yubar[2,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,1] * self.yqqomega1[2,2] * self.yubar[2,1] * self.yubar[2,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif2,2] * self.yqqomega1[2,2] * self.yubar[2,2] * self.yubar[2,mif1])

    def alphaOld(self, mif1,mif2,mif3,mif4):
        return (-1/8640 * (self.g1)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -17/864 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] + -1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] + 1/72 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] + -17/864 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] + -1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] + 1/72 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] + -17/864 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] + -1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] + 1/72 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] + -1/288 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 1/288 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[0,mif3] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[0,mif3] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ydbar[0,mif3] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[0,mif3] * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[0,mif3] * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ydbar[0,mif3] * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[0,mif3] * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[0,mif3] * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ydbar[0,mif3] * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[1,mif3] * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[1,mif3] * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ydbar[1,mif3] * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] + -1/288 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 1/288 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[1,mif3] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[1,mif3] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ydbar[1,mif3] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[1,mif3] * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[1,mif3] * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ydbar[1,mif3] * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[2,mif3] * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[2,mif3] * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ydbar[2,mif3] * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[2,mif3] * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[2,mif3] * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ydbar[2,mif3] * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] + -1/288 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 1/288 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[2,mif3] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[2,mif3] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ydbar[2,mif3] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1])

    def alphaOle(self, mif1,mif2,mif3,mif4):
        return (-1/2880 * (self.g1)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -5/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,0] + -1/48 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,0] + 1/48 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,0] + -5/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,1] + -1/48 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,1] + 1/48 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,1] + -5/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,2] + -1/48 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,2] + 1/48 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,2] + -1/96 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 1/96 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,0] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,1] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,2] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -1/96 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 1/96 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,0] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,1] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,2] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -1/96 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 1/96 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,0] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,1] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,2] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 9/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,0] * self.yl[mif1,mif4] * self.yqlomega1[0,mif2] * self.yu[0,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,0] * self.yl[mif1,mif4] * self.yqlomega1[0,mif2] * self.yu[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[mif3,0] * self.yl[mif1,mif4] * self.yqlomega1[0,mif2] * self.yu[0,0] + 9/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,1] * self.yl[mif1,mif4] * self.yqlomega1[0,mif2] * self.yu[0,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,1] * self.yl[mif1,mif4] * self.yqlomega1[0,mif2] * self.yu[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[mif3,1] * self.yl[mif1,mif4] * self.yqlomega1[0,mif2] * self.yu[0,1] + 9/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,2] * self.yl[mif1,mif4] * self.yqlomega1[0,mif2] * self.yu[0,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,2] * self.yl[mif1,mif4] * self.yqlomega1[0,mif2] * self.yu[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[mif3,2] * self.yl[mif1,mif4] * self.yqlomega1[0,mif2] * self.yu[0,2] + 9/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,0] * self.yl[mif1,mif4] * self.yqlomega1[1,mif2] * self.yu[1,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,0] * self.yl[mif1,mif4] * self.yqlomega1[1,mif2] * self.yu[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[mif3,0] * self.yl[mif1,mif4] * self.yqlomega1[1,mif2] * self.yu[1,0] + 9/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,1] * self.yl[mif1,mif4] * self.yqlomega1[1,mif2] * self.yu[1,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,1] * self.yl[mif1,mif4] * self.yqlomega1[1,mif2] * self.yu[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[mif3,1] * self.yl[mif1,mif4] * self.yqlomega1[1,mif2] * self.yu[1,1] + 9/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,2] * self.yl[mif1,mif4] * self.yqlomega1[1,mif2] * self.yu[1,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,2] * self.yl[mif1,mif4] * self.yqlomega1[1,mif2] * self.yu[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[mif3,2] * self.yl[mif1,mif4] * self.yqlomega1[1,mif2] * self.yu[1,2] + 9/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,0] * self.yl[mif1,mif4] * self.yqlomega1[2,mif2] * self.yu[2,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,0] * self.yl[mif1,mif4] * self.yqlomega1[2,mif2] * self.yu[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[mif3,0] * self.yl[mif1,mif4] * self.yqlomega1[2,mif2] * self.yu[2,0] + 9/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,1] * self.yl[mif1,mif4] * self.yqlomega1[2,mif2] * self.yu[2,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,1] * self.yl[mif1,mif4] * self.yqlomega1[2,mif2] * self.yu[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[mif3,1] * self.yl[mif1,mif4] * self.yqlomega1[2,mif2] * self.yu[2,1] + 9/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,2] * self.yl[mif1,mif4] * self.yqlomega1[2,mif2] * self.yu[2,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,2] * self.yl[mif1,mif4] * self.yqlomega1[2,mif2] * self.yu[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[mif3,2] * self.yl[mif1,mif4] * self.yqlomega1[2,mif2] * self.yu[2,2] + 9/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.ylbar[mif2,mif3] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.ylbar[mif2,mif3] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,0] * self.ylbar[mif2,mif3] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + 9/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.ylbar[mif2,mif3] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.ylbar[mif2,mif3] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,1] * self.ylbar[mif2,mif3] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + 9/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.ylbar[mif2,mif3] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.ylbar[mif2,mif3] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,2] * self.ylbar[mif2,mif3] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + 9/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.ylbar[mif2,mif3] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.ylbar[mif2,mif3] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,0] * self.ylbar[mif2,mif3] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + 9/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.ylbar[mif2,mif3] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.ylbar[mif2,mif3] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,1] * self.ylbar[mif2,mif3] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + 9/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.ylbar[mif2,mif3] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.ylbar[mif2,mif3] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,2] * self.ylbar[mif2,mif3] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + 9/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.ylbar[mif2,mif3] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.ylbar[mif2,mif3] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,0] * self.ylbar[mif2,mif3] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + 9/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.ylbar[mif2,mif3] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.ylbar[mif2,mif3] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,1] * self.ylbar[mif2,mif3] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + 9/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.ylbar[mif2,mif3] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + 3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.ylbar[mif2,mif3] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,2] * self.ylbar[mif2,mif3] * self.yqlomega1bar[2,mif1] * self.yubar[2,2])

    def alphaOledq(self, mif1,mif2,mif3,mif4):
        return (7/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yl[0,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[0,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yl[0,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[0,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yl[0,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[0,mif1] + 7/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yl[1,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[0,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yl[1,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[0,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yl[1,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[0,mif1] + 7/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yl[2,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[0,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yl[2,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[0,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yl[2,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[0,mif1] + 7/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yl[0,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[1,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yl[0,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[1,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yl[0,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[1,mif1] + 7/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yl[1,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[1,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yl[1,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[1,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yl[1,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[1,mif1] + 7/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yl[2,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[1,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yl[2,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[1,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yl[2,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[1,mif1] + 7/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yl[0,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[2,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yl[0,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[2,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yl[0,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[2,mif1] + 7/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yl[1,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[2,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yl[1,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[2,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yl[1,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[2,mif1] + 7/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yl[2,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[2,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yl[2,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[2,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yl[2,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yqqomega1bar[0,mif4] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yqqomega1bar[0,mif4] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yqqomega1bar[0,mif4] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yqqomega1bar[1,mif4] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yqqomega1bar[1,mif4] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yqqomega1bar[1,mif4] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yqqomega1bar[2,mif4] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yqqomega1bar[2,mif4] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yqqomega1bar[2,mif4] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yl[mif1,mif2] * self.yqqomega1bar[0,mif4] * self.yu[0,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yl[mif1,mif2] * self.yqqomega1bar[0,mif4] * self.yu[0,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,0] * self.yl[mif1,mif2] * self.yqqomega1bar[0,mif4] * self.yu[0,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yl[mif1,mif2] * self.yqqomega1bar[0,mif4] * self.yu[0,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yl[mif1,mif2] * self.yqqomega1bar[0,mif4] * self.yu[0,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,1] * self.yl[mif1,mif2] * self.yqqomega1bar[0,mif4] * self.yu[0,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yl[mif1,mif2] * self.yqqomega1bar[0,mif4] * self.yu[0,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yl[mif1,mif2] * self.yqqomega1bar[0,mif4] * self.yu[0,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,2] * self.yl[mif1,mif2] * self.yqqomega1bar[0,mif4] * self.yu[0,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yl[mif1,mif2] * self.yqqomega1bar[1,mif4] * self.yu[1,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yl[mif1,mif2] * self.yqqomega1bar[1,mif4] * self.yu[1,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,0] * self.yl[mif1,mif2] * self.yqqomega1bar[1,mif4] * self.yu[1,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yl[mif1,mif2] * self.yqqomega1bar[1,mif4] * self.yu[1,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yl[mif1,mif2] * self.yqqomega1bar[1,mif4] * self.yu[1,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,1] * self.yl[mif1,mif2] * self.yqqomega1bar[1,mif4] * self.yu[1,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yl[mif1,mif2] * self.yqqomega1bar[1,mif4] * self.yu[1,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yl[mif1,mif2] * self.yqqomega1bar[1,mif4] * self.yu[1,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,2] * self.yl[mif1,mif2] * self.yqqomega1bar[1,mif4] * self.yu[1,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yl[mif1,mif2] * self.yqqomega1bar[2,mif4] * self.yu[2,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yl[mif1,mif2] * self.yqqomega1bar[2,mif4] * self.yu[2,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,0] * self.yl[mif1,mif2] * self.yqqomega1bar[2,mif4] * self.yu[2,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yl[mif1,mif2] * self.yqqomega1bar[2,mif4] * self.yu[2,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yl[mif1,mif2] * self.yqqomega1bar[2,mif4] * self.yu[2,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,1] * self.yl[mif1,mif2] * self.yqqomega1bar[2,mif4] * self.yu[2,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yl[mif1,mif2] * self.yqqomega1bar[2,mif4] * self.yu[2,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yl[mif1,mif2] * self.yqqomega1bar[2,mif4] * self.yu[2,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,2] * self.yl[mif1,mif2] * self.yqqomega1bar[2,mif4] * self.yu[2,2] + -9/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,0] + -9/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,1] + -9/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,2] + -9/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,0] + -9/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,1] + -9/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,2] + -9/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,0] + -9/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,1] + -9/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,mif3] * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[mif4,0] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[mif4,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[mif4,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[mif4,0] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[mif4,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[mif4,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[mif4,0] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[mif4,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[mif4,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[mif4,1] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[mif4,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[mif4,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[mif4,1] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[mif4,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[mif4,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[mif4,1] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[mif4,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[mif4,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[mif4,2] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[mif4,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[mif4,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[mif4,2] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[mif4,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[mif4,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[mif4,2] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[mif4,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[mif4,2])

    def alphaOlequ1(self, mif1,mif2,mif3,mif4):
        return (-3/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[0,0] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[0,mif3] + -3/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[0,0] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[0,mif3] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1[0,0] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[0,mif3] + -3/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[0,1] * self.yqlomega1bar[0,mif3] * self.yqlomega1bar[1,mif1] + -3/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[0,1] * self.yqlomega1bar[0,mif3] * self.yqlomega1bar[1,mif1] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1[0,1] * self.yqlomega1bar[0,mif3] * self.yqlomega1bar[1,mif1] + -3/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[1,0] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[1,mif3] + -3/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[1,0] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[1,mif3] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1[1,0] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[1,mif3] + -3/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[1,1] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[1,mif3] + -3/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[1,1] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[1,mif3] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1[1,1] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[1,mif3] + -3/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[0,2] * self.yqlomega1bar[0,mif3] * self.yqlomega1bar[2,mif1] + -3/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[0,2] * self.yqlomega1bar[0,mif3] * self.yqlomega1bar[2,mif1] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1[0,2] * self.yqlomega1bar[0,mif3] * self.yqlomega1bar[2,mif1] + -3/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[1,2] * self.yqlomega1bar[1,mif3] * self.yqlomega1bar[2,mif1] + -3/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[1,2] * self.yqlomega1bar[1,mif3] * self.yqlomega1bar[2,mif1] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1[1,2] * self.yqlomega1bar[1,mif3] * self.yqlomega1bar[2,mif1] + -3/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[2,0] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[2,mif3] + -3/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[2,0] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[2,mif3] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1[2,0] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[2,mif3] + -3/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[2,1] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[2,mif3] + -3/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[2,1] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[2,mif3] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1[2,1] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[2,mif3] + -3/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[2,2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[2,mif3] + -3/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[2,2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[2,mif3] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1[2,2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[2,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,0] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,0] * self.yduomega1bar[0,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,0] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,0] * self.yduomega1bar[1,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,0] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,0] * self.yduomega1bar[2,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,0] * self.yqlomega1bar[mif3,0] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,0] * self.yqlomega1bar[mif3,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,0] * self.yqlomega1bar[mif3,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,0] * self.yqlomega1bar[mif3,0] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,0] * self.yqlomega1bar[mif3,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,0] * self.yqlomega1bar[mif3,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,0] * self.yqlomega1bar[mif3,0] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,0] * self.yqlomega1bar[mif3,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,0] * self.yqlomega1bar[mif3,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yl[mif1,mif2] * self.ylbar[0,0] * self.yqlomega1bar[mif3,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yl[mif1,mif2] * self.ylbar[0,0] * self.yqlomega1bar[mif3,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.yl[mif1,mif2] * self.ylbar[0,0] * self.yqlomega1bar[mif3,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yl[mif1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[mif3,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yl[mif1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[mif3,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.yl[mif1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[mif3,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yl[mif1,mif2] * self.ylbar[0,2] * self.yqlomega1bar[mif3,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yl[mif1,mif2] * self.ylbar[0,2] * self.yqlomega1bar[mif3,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.yl[mif1,mif2] * self.ylbar[0,2] * self.yqlomega1bar[mif3,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,1] * self.yduomega1bar[0,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,1] * self.yduomega1bar[1,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,1] * self.yduomega1bar[2,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,1] * self.yqlomega1bar[mif3,1] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,1] * self.yqlomega1bar[mif3,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,1] * self.yqlomega1bar[mif3,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,1] * self.yqlomega1bar[mif3,1] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,1] * self.yqlomega1bar[mif3,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,1] * self.yqlomega1bar[mif3,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,1] * self.yqlomega1bar[mif3,1] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,1] * self.yqlomega1bar[mif3,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,1] * self.yqlomega1bar[mif3,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yl[mif1,mif2] * self.ylbar[1,0] * self.yqlomega1bar[mif3,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yl[mif1,mif2] * self.ylbar[1,0] * self.yqlomega1bar[mif3,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.yl[mif1,mif2] * self.ylbar[1,0] * self.yqlomega1bar[mif3,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yl[mif1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[mif3,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yl[mif1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[mif3,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.yl[mif1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[mif3,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yl[mif1,mif2] * self.ylbar[1,2] * self.yqlomega1bar[mif3,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yl[mif1,mif2] * self.ylbar[1,2] * self.yqlomega1bar[mif3,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.yl[mif1,mif2] * self.ylbar[1,2] * self.yqlomega1bar[mif3,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,2] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,2] * self.yduomega1bar[0,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,2] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,2] * self.yduomega1bar[1,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,2] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,2] * self.yduomega1bar[2,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,2] * self.yqlomega1bar[mif3,2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,2] * self.yqlomega1bar[mif3,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,2] * self.yqlomega1bar[mif3,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,2] * self.yqlomega1bar[mif3,2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,2] * self.yqlomega1bar[mif3,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,2] * self.yqlomega1bar[mif3,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,2] * self.yqlomega1bar[mif3,2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,2] * self.yqlomega1bar[mif3,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,2] * self.yqlomega1bar[mif3,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yl[mif1,mif2] * self.ylbar[2,0] * self.yqlomega1bar[mif3,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yl[mif1,mif2] * self.ylbar[2,0] * self.yqlomega1bar[mif3,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.yl[mif1,mif2] * self.ylbar[2,0] * self.yqlomega1bar[mif3,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yl[mif1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[mif3,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yl[mif1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[mif3,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.yl[mif1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[mif3,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yl[mif1,mif2] * self.ylbar[2,2] * self.yqlomega1bar[mif3,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yl[mif1,mif2] * self.ylbar[2,2] * self.yqlomega1bar[mif3,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.yl[mif1,mif2] * self.ylbar[2,2] * self.yqlomega1bar[mif3,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,0] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,0] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,0] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,1] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,1] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,1] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,2] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,2] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,2] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] + 1/2 * (self.Momega1)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + 95/2304 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + -5/192 * self.epsilonbar * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + 9/256 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + -1/48 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + -1/32 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + -5/48 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + -5/288 * self.epsilonbar * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + -1/8 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + -1/48 * self.epsilonbar * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + 5/48 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + 5/288 * self.epsilonbar * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + 1/8 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + 1/48 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + -3/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[0,0] * self.yqlomega1bar[mif3,mif1] + -3/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[0,0] * self.yqlomega1bar[mif3,mif1] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[0,0] * self.yqlomega1bar[mif3,mif1] + -3/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[0,1] * self.yqlomega1bar[mif3,mif1] + -3/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[0,1] * self.yqlomega1bar[mif3,mif1] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[0,1] * self.yqlomega1bar[mif3,mif1] + -3/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[0,2] * self.yqlomega1bar[mif3,mif1] + -3/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[0,2] * self.yqlomega1bar[mif3,mif1] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[0,2] * self.yqlomega1bar[mif3,mif1] + -3/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[1,0] * self.yqlomega1bar[mif3,mif1] + -3/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[1,0] * self.yqlomega1bar[mif3,mif1] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[1,0] * self.yqlomega1bar[mif3,mif1] + -3/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[1,1] * self.yqlomega1bar[mif3,mif1] + -3/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[1,1] * self.yqlomega1bar[mif3,mif1] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[1,1] * self.yqlomega1bar[mif3,mif1] + -3/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[1,2] * self.yqlomega1bar[mif3,mif1] + -3/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[1,2] * self.yqlomega1bar[mif3,mif1] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[1,2] * self.yqlomega1bar[mif3,mif1] + -3/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[2,0] * self.yqlomega1bar[mif3,mif1] + -3/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[2,0] * self.yqlomega1bar[mif3,mif1] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[2,0] * self.yqlomega1bar[mif3,mif1] + -3/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[2,1] * self.yqlomega1bar[mif3,mif1] + -3/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[2,1] * self.yqlomega1bar[mif3,mif1] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[2,1] * self.yqlomega1bar[mif3,mif1] + -3/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[2,2] * self.yqlomega1bar[mif3,mif1] + -3/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[2,2] * self.yqlomega1bar[mif3,mif1] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[2,2] * self.yqlomega1bar[mif3,mif1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,0] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,0] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,0] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,1] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,1] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,1] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif4] * self.yl[mif1,mif2] * self.yqqomega1[0,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif4] * self.yl[mif1,mif2] * self.yqqomega1[0,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,0] * self.yduomega1bar[0,mif4] * self.yl[mif1,mif2] * self.yqqomega1[0,mif3] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif4] * self.yl[mif1,mif2] * self.yqqomega1[0,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif4] * self.yl[mif1,mif2] * self.yqqomega1[0,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,1] * self.yduomega1bar[1,mif4] * self.yl[mif1,mif2] * self.yqqomega1[0,mif3] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif4] * self.yl[mif1,mif2] * self.yqqomega1[0,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif4] * self.yl[mif1,mif2] * self.yqqomega1[0,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,2] * self.yduomega1bar[2,mif4] * self.yl[mif1,mif2] * self.yqqomega1[0,mif3] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif4] * self.yl[mif1,mif2] * self.yqqomega1[1,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif4] * self.yl[mif1,mif2] * self.yqqomega1[1,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,0] * self.yduomega1bar[0,mif4] * self.yl[mif1,mif2] * self.yqqomega1[1,mif3] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif4] * self.yl[mif1,mif2] * self.yqqomega1[1,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif4] * self.yl[mif1,mif2] * self.yqqomega1[1,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,1] * self.yduomega1bar[1,mif4] * self.yl[mif1,mif2] * self.yqqomega1[1,mif3] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif4] * self.yl[mif1,mif2] * self.yqqomega1[1,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif4] * self.yl[mif1,mif2] * self.yqqomega1[1,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,2] * self.yduomega1bar[2,mif4] * self.yl[mif1,mif2] * self.yqqomega1[1,mif3] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif4] * self.yl[mif1,mif2] * self.yqqomega1[2,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif4] * self.yl[mif1,mif2] * self.yqqomega1[2,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,0] * self.yduomega1bar[0,mif4] * self.yl[mif1,mif2] * self.yqqomega1[2,mif3] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif4] * self.yl[mif1,mif2] * self.yqqomega1[2,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif4] * self.yl[mif1,mif2] * self.yqqomega1[2,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,1] * self.yduomega1bar[1,mif4] * self.yl[mif1,mif2] * self.yqqomega1[2,mif3] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif4] * self.yl[mif1,mif2] * self.yqqomega1[2,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif4] * self.yl[mif1,mif2] * self.yqqomega1[2,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,2] * self.yduomega1bar[2,mif4] * self.yl[mif1,mif2] * self.yqqomega1[2,mif3] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[0,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,0] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[0,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[0,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,mif4] * self.yqqomega1bar[0,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,mif4] * self.yqqomega1bar[0,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,mif4] * self.yqqomega1bar[0,0] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[1,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,1] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[1,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[1,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,mif4] * self.yqqomega1bar[0,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,mif4] * self.yqqomega1bar[0,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,mif4] * self.yqqomega1bar[0,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[2,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,2] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[2,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[2,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,mif4] * self.yqqomega1bar[0,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,mif4] * self.yqqomega1bar[0,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,mif4] * self.yqqomega1bar[0,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,0] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,mif4] * self.yqqomega1bar[1,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,mif4] * self.yqqomega1bar[1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,mif4] * self.yqqomega1bar[1,0] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[1,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,1] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[1,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[1,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,mif4] * self.yqqomega1bar[1,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,mif4] * self.yqqomega1bar[1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,mif4] * self.yqqomega1bar[1,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[2,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,2] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[2,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[2,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,mif4] * self.yqqomega1bar[1,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,mif4] * self.yqqomega1bar[1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,mif4] * self.yqqomega1bar[1,2] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,0] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,mif4] * self.yqqomega1bar[2,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,mif4] * self.yqqomega1bar[2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,mif4] * self.yqqomega1bar[2,0] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,1] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,mif4] * self.yqqomega1bar[2,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,mif4] * self.yqqomega1bar[2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,mif4] * self.yqqomega1bar[2,1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[2,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,2] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[2,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[2,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,mif4] * self.yqqomega1bar[2,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,mif4] * self.yqqomega1bar[2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,mif4] * self.yqqomega1bar[2,2] + 9/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[mif3,mif4] * self.yubar[0,0] + 3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[mif3,mif4] * self.yubar[0,0] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[0,mif1] * self.yu[mif3,mif4] * self.yubar[0,0] + 9/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[mif3,mif4] * self.yubar[0,1] + 3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[mif3,mif4] * self.yubar[0,1] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[0,mif1] * self.yu[mif3,mif4] * self.yubar[0,1] + 9/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[mif3,mif4] * self.yubar[0,2] + 3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[mif3,mif4] * self.yubar[0,2] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[0,mif1] * self.yu[mif3,mif4] * self.yubar[0,2] + 9/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[mif3,mif4] * self.yubar[1,0] + 3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[mif3,mif4] * self.yubar[1,0] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[1,mif1] * self.yu[mif3,mif4] * self.yubar[1,0] + 9/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[mif3,mif4] * self.yubar[1,1] + 3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[mif3,mif4] * self.yubar[1,1] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[1,mif1] * self.yu[mif3,mif4] * self.yubar[1,1] + 9/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[mif3,mif4] * self.yubar[1,2] + 3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[mif3,mif4] * self.yubar[1,2] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[1,mif1] * self.yu[mif3,mif4] * self.yubar[1,2] + 9/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[mif3,mif4] * self.yubar[2,0] + 3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[mif3,mif4] * self.yubar[2,0] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[2,mif1] * self.yu[mif3,mif4] * self.yubar[2,0] + 9/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[mif3,mif4] * self.yubar[2,1] + 3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[mif3,mif4] * self.yubar[2,1] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[2,mif1] * self.yu[mif3,mif4] * self.yubar[2,1] + 9/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[mif3,mif4] * self.yubar[2,2] + 3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[mif3,mif4] * self.yubar[2,2] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[2,mif1] * self.yu[mif3,mif4] * self.yubar[2,2])

    def alphaOlequ3(self, mif1,mif2,mif3,mif4):
        return (3/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[0,0] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[0,mif3] + 3/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[0,0] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[0,mif3] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1[0,0] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[0,mif3] + 3/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[0,1] * self.yqlomega1bar[0,mif3] * self.yqlomega1bar[1,mif1] + 3/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[0,1] * self.yqlomega1bar[0,mif3] * self.yqlomega1bar[1,mif1] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1[0,1] * self.yqlomega1bar[0,mif3] * self.yqlomega1bar[1,mif1] + 3/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[1,0] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[1,mif3] + 3/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[1,0] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[1,mif3] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1[1,0] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[1,mif3] + 3/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[1,1] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[1,mif3] + 3/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[1,1] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[1,mif3] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1[1,1] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[1,mif3] + 3/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[0,2] * self.yqlomega1bar[0,mif3] * self.yqlomega1bar[2,mif1] + 3/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[0,2] * self.yqlomega1bar[0,mif3] * self.yqlomega1bar[2,mif1] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1[0,2] * self.yqlomega1bar[0,mif3] * self.yqlomega1bar[2,mif1] + 3/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[1,2] * self.yqlomega1bar[1,mif3] * self.yqlomega1bar[2,mif1] + 3/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[1,2] * self.yqlomega1bar[1,mif3] * self.yqlomega1bar[2,mif1] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1[1,2] * self.yqlomega1bar[1,mif3] * self.yqlomega1bar[2,mif1] + 3/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[2,0] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[2,mif3] + 3/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[2,0] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[2,mif3] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1[2,0] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[2,mif3] + 3/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[2,1] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[2,mif3] + 3/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[2,1] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[2,mif3] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1[2,1] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[2,mif3] + 3/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[2,2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[2,mif3] + 3/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1[2,2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[2,mif3] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1[2,2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[2,mif3] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,0] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,0] * self.yduomega1bar[0,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,0] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,0] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,0] * self.yduomega1bar[1,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,0] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,0] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,0] * self.yduomega1bar[2,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,0] + 1/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,0] * self.yqlomega1bar[mif3,0] + 1/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,0] * self.yqlomega1bar[mif3,0] + -1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,0] * self.yqlomega1bar[mif3,0] + 1/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,0] * self.yqlomega1bar[mif3,0] + 1/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,0] * self.yqlomega1bar[mif3,0] + -1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,0] * self.yqlomega1bar[mif3,0] + 1/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,0] * self.yqlomega1bar[mif3,0] + 1/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,0] * self.yqlomega1bar[mif3,0] + -1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,0] * self.yqlomega1bar[mif3,0] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,1] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,1] * self.yduomega1bar[0,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,1] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,1] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,1] * self.yduomega1bar[1,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,1] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,1] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,1] * self.yduomega1bar[2,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,1] + 1/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,1] * self.yqlomega1bar[mif3,1] + 1/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,1] * self.yqlomega1bar[mif3,1] + -1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,1] * self.yqlomega1bar[mif3,1] + 1/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,1] * self.yqlomega1bar[mif3,1] + 1/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,1] * self.yqlomega1bar[mif3,1] + -1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,1] * self.yqlomega1bar[mif3,1] + 1/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,1] * self.yqlomega1bar[mif3,1] + 1/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,1] * self.yqlomega1bar[mif3,1] + -1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,1] * self.yqlomega1bar[mif3,1] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,2] * self.yduomega1bar[0,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,2] * self.yduomega1bar[1,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,2] * self.yduomega1bar[2,mif1] * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,2] + 1/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,2] * self.yqlomega1bar[mif3,2] + 1/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,2] * self.yqlomega1bar[mif3,2] + -1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,2] * self.yqlomega1bar[mif3,2] + 1/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,2] * self.yqlomega1bar[mif3,2] + 1/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,2] * self.yqlomega1bar[mif3,2] + -1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,2] * self.yqlomega1bar[mif3,2] + 1/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,2] * self.yqlomega1bar[mif3,2] + 1/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,2] * self.yqlomega1bar[mif3,2] + -1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif1] * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,2] * self.yqlomega1bar[mif3,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,0] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,0] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,0] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,1] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,1] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,1] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,2] * self.yduomega1bar[0,mif4] * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,2] * self.yduomega1bar[1,mif4] * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,2] * self.yduomega1bar[2,mif4] * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] + -1/8 * (self.Momega1)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + 35/3072 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + 5/768 * self.epsilonbar * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + 15/1024 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + -1/64 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + 1/128 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + -5/576 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + 5/1152 * self.epsilonbar * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + 1/192 * self.epsilonbar * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + 5/576 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + -5/1152 * self.epsilonbar * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + 1/96 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + -1/192 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[mif3,mif1] + 3/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[0,0] * self.yqlomega1bar[mif3,mif1] + 3/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[0,0] * self.yqlomega1bar[mif3,mif1] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[0,0] * self.yqlomega1bar[mif3,mif1] + 3/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[0,1] * self.yqlomega1bar[mif3,mif1] + 3/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[0,1] * self.yqlomega1bar[mif3,mif1] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[0,1] * self.yqlomega1bar[mif3,mif1] + 3/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[0,2] * self.yqlomega1bar[mif3,mif1] + 3/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[0,2] * self.yqlomega1bar[mif3,mif1] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[0,2] * self.yqlomega1bar[mif3,mif1] + 3/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[1,0] * self.yqlomega1bar[mif3,mif1] + 3/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[1,0] * self.yqlomega1bar[mif3,mif1] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[1,0] * self.yqlomega1bar[mif3,mif1] + 3/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[1,1] * self.yqlomega1bar[mif3,mif1] + 3/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[1,1] * self.yqlomega1bar[mif3,mif1] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[1,1] * self.yqlomega1bar[mif3,mif1] + 3/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[1,2] * self.yqlomega1bar[mif3,mif1] + 3/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[1,2] * self.yqlomega1bar[mif3,mif1] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[1,2] * self.yqlomega1bar[mif3,mif1] + 3/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[2,0] * self.yqlomega1bar[mif3,mif1] + 3/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[2,0] * self.yqlomega1bar[mif3,mif1] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,0] * self.yeuomega1bar[2,0] * self.yqlomega1bar[mif3,mif1] + 3/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[2,1] * self.yqlomega1bar[mif3,mif1] + 3/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[2,1] * self.yqlomega1bar[mif3,mif1] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,1] * self.yeuomega1bar[2,1] * self.yqlomega1bar[mif3,mif1] + 3/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[2,2] * self.yqlomega1bar[mif3,mif1] + 3/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[2,2] * self.yqlomega1bar[mif3,mif1] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.yeuomega1[mif2,2] * self.yeuomega1bar[2,2] * self.yqlomega1bar[mif3,mif1] + 1/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,0] + 1/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,0] + -1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,0] + 1/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,0] + 1/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,0] + -1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,0] + 1/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,0] + 1/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,0] + -1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,0] + 1/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,1] + 1/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,1] + -1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,1] + 1/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,1] + 1/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,1] + -1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,1] + 1/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,1] + 1/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,1] + -1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,1] + 1/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,2] + 1/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,2] + -1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,2] + 1/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,2] + 1/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,2] + -1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,2] + 1/1024 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,2] + 1/512 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,2] + -1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,mif1] * self.yqlomega1bar[mif4,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[0,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[0,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[0,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,mif4] * self.yqqomega1bar[0,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,mif4] * self.yqqomega1bar[0,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,mif4] * self.yqqomega1bar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[1,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[1,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[1,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,mif4] * self.yqqomega1bar[0,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,mif4] * self.yqqomega1bar[0,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,mif4] * self.yqqomega1bar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[2,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[2,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[2,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,mif4] * self.yqqomega1bar[0,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,mif4] * self.yqqomega1bar[0,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,mif4] * self.yqqomega1bar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,mif4] * self.yqqomega1bar[1,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,mif4] * self.yqqomega1bar[1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,mif4] * self.yqqomega1bar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[1,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[1,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[1,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,mif4] * self.yqqomega1bar[1,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,mif4] * self.yqqomega1bar[1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,mif4] * self.yqqomega1bar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[2,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[2,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[2,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,mif4] * self.yqqomega1bar[1,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,mif4] * self.yqqomega1bar[1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,mif4] * self.yqqomega1bar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,mif4] * self.yqqomega1bar[2,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,mif4] * self.yqqomega1bar[2,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,0] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,mif4] * self.yqqomega1bar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,mif4] * self.yqqomega1bar[2,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,mif4] * self.yqqomega1bar[2,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,1] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,mif4] * self.yqqomega1bar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[2,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[2,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,mif4] * self.yqlomega1bar[2,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,mif4] * self.yqqomega1bar[2,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,mif4] * self.yqqomega1bar[2,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif2,2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,mif4] * self.yqqomega1bar[2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,mif1] * self.yu[0,mif4] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,mif1] * self.yu[0,mif4] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,mif1] * self.yu[0,mif4] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,mif1] * self.yu[1,mif4] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,mif1] * self.yu[1,mif4] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,mif1] * self.yu[1,mif4] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,mif1] * self.yu[2,mif4] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,mif1] * self.yu[2,mif4] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,mif1] * self.yu[2,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,0] * self.yl[mif1,0] * self.yu[mif3,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,0] * self.yl[mif1,1] * self.yu[mif3,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,0] * self.yl[mif1,2] * self.yu[mif3,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,1] * self.yl[mif1,0] * self.yu[mif3,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,1] * self.yl[mif1,1] * self.yu[mif3,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,1] * self.yl[mif1,2] * self.yu[mif3,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[0,2] * self.yl[mif1,0] * self.yu[mif3,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[1,2] * self.yl[mif1,1] * self.yu[mif3,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif2,mif4] * self.yeuomega1bar[2,2] * self.yl[mif1,2] * self.yu[mif3,2])

    def alphaOll(self, mif1,mif2,mif3,mif4):
        return (-1/11520 * (self.g1)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -1/384 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 1/96 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -1/384 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 1/128 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 1/384 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -1/128 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yqlomega1[0,mif4] * self.yqlomega1bar[0,mif1] + -1/64 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yqlomega1[0,mif4] * self.yqlomega1bar[0,mif1] + 1/64 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif4] * self.yqlomega1bar[0,mif1] + -1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif3] + -1/64 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif3] + 1/64 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif3] + -1/384 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[0,mif4] * self.yqlomega1bar[0,mif3] + 1/96 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[0,mif4] * self.yqlomega1bar[0,mif3] + -1/384 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[0,mif4] * self.yqlomega1bar[0,mif3] + 1/128 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[0,mif4] * self.yqlomega1bar[0,mif3] + 1/384 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif4] * self.yqlomega1bar[0,mif3] + -1/128 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif4] * self.yqlomega1bar[0,mif3] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1[0,mif4] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[0,mif3] + -1/384 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 1/96 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -1/384 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 1/128 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 1/384 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -1/128 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yqlomega1[1,mif4] * self.yqlomega1bar[1,mif1] + -1/64 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yqlomega1[1,mif4] * self.yqlomega1bar[1,mif1] + 1/64 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif4] * self.yqlomega1bar[1,mif1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif4] * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif3] * self.yqlomega1bar[1,mif1] + -1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif3] + -1/64 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif3] + 1/64 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif3] + -1/384 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[1,mif4] * self.yqlomega1bar[1,mif3] + 1/96 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[1,mif4] * self.yqlomega1bar[1,mif3] + -1/384 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[1,mif4] * self.yqlomega1bar[1,mif3] + 1/128 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[1,mif4] * self.yqlomega1bar[1,mif3] + 1/384 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif4] * self.yqlomega1bar[1,mif3] + -1/128 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif4] * self.yqlomega1bar[1,mif3] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1[1,mif4] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[1,mif3] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1[1,mif4] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[1,mif3] + -1/384 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 1/96 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -1/384 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 1/128 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 1/384 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -1/128 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yqlomega1[2,mif4] * self.yqlomega1bar[2,mif1] + -1/64 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yqlomega1[2,mif4] * self.yqlomega1bar[2,mif1] + 1/64 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif4] * self.yqlomega1bar[2,mif1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif4] * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif3] * self.yqlomega1bar[2,mif1] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif4] * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif3] * self.yqlomega1bar[2,mif1] + -1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif3] + -1/64 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif3] + 1/64 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif3] + -1/384 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[2,mif4] * self.yqlomega1bar[2,mif3] + 1/96 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[2,mif4] * self.yqlomega1bar[2,mif3] + -1/384 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[2,mif4] * self.yqlomega1bar[2,mif3] + 1/128 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[2,mif4] * self.yqlomega1bar[2,mif3] + 1/384 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif4] * self.yqlomega1bar[2,mif3] + -1/128 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif4] * self.yqlomega1bar[2,mif3] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1[2,mif4] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[2,mif3] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1[2,mif4] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[2,mif3] + -3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1[2,mif4] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[2,mif3])

    def alphaOlq1(self, mif1,mif2,mif3,mif4):
        return (1/17280 * (self.g1)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 1/576 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 1/576 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -1/576 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 1/576 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 1/576 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -1/576 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 1/576 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 1/576 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -1/576 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 13/1728 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif3,0] + 1/192 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif3,0] + -1/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif3,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[mif3,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[mif3,0] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[mif3,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,0] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[mif3,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[mif3,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[mif3,0] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[mif3,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,0] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[mif3,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[mif3,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[mif3,0] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[mif3,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,0] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[mif3,0] + 13/1728 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif3,1] + 1/192 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif3,1] + -1/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif3,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[mif3,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[mif3,1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[mif3,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,1] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[mif3,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[mif3,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[mif3,1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[mif3,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,1] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[mif3,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[mif3,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[mif3,1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[mif3,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,1] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[mif3,1] + 13/1728 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif3,2] + 1/192 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif3,2] + -1/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif3,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[mif3,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[mif3,2] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[mif3,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,2] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[mif3,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[mif3,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[mif3,2] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[mif3,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,2] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[mif3,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[mif3,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[mif3,2] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[mif3,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,2] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[mif3,2] + 1/4 * (self.Momega1)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + 5/576 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + 1/96 * self.epsilonbar * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + 3/128 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + 9/128 * self.epsilonbar * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + 7/96 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + 1/32 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + 1/144 * self.epsilonbar * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + 3/64 * self.epsilonbar * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + 1/48 * self.epsilonbar * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + -1/144 * self.epsilonbar * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + -3/64 * self.epsilonbar * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + -1/48 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[0,0] * self.yqlomega1bar[mif3,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[0,0] * self.yqlomega1bar[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[0,0] * self.yqlomega1bar[mif3,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[0,1] * self.yqlomega1bar[mif3,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[0,1] * self.yqlomega1bar[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[0,1] * self.yqlomega1bar[mif3,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[0,2] * self.yqlomega1bar[mif3,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[0,2] * self.yqlomega1bar[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[0,2] * self.yqlomega1bar[mif3,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[1,0] * self.yqlomega1bar[mif3,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[1,0] * self.yqlomega1bar[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[1,0] * self.yqlomega1bar[mif3,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[1,1] * self.yqlomega1bar[mif3,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[1,1] * self.yqlomega1bar[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[1,1] * self.yqlomega1bar[mif3,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[1,2] * self.yqlomega1bar[mif3,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[1,2] * self.yqlomega1bar[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[1,2] * self.yqlomega1bar[mif3,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[2,0] * self.yqlomega1bar[mif3,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[2,0] * self.yqlomega1bar[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[2,0] * self.yqlomega1bar[mif3,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[2,1] * self.yqlomega1bar[mif3,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[2,1] * self.yqlomega1bar[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[2,1] * self.yqlomega1bar[mif3,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[2,2] * self.yqlomega1bar[mif3,mif1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[2,2] * self.yqlomega1bar[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[2,2] * self.yqlomega1bar[mif3,mif1] + 7/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,0] + 3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,0] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[0,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[0,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[0,2] + 7/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,0] * self.yqqomega1bar[0,mif4] + 3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,0] * self.yqqomega1bar[0,mif4] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,0] * self.yqqomega1bar[0,mif4] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,1] * self.yqqomega1bar[0,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,1] * self.yqqomega1bar[0,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,1] * self.yqqomega1bar[0,mif4] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,2] * self.yqqomega1bar[0,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,2] * self.yqqomega1bar[0,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,2] * self.yqqomega1bar[0,mif4] + -5/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif4] + -1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif4] + 1/72 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif4] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif4] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,0] * self.yqqomega1bar[0,mif4] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,0] * self.yqqomega1bar[0,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,0] * self.yqqomega1bar[0,mif4] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[0,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,0] * self.yqqomega1bar[0,mif4] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,0] * self.yqqomega1bar[0,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,0] * self.yqqomega1bar[0,mif4] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[0,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,0] + 7/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,1] + 3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,1] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,1] * self.yqqomega1bar[1,mif4] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,1] * self.yqqomega1bar[1,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,1] * self.yqqomega1bar[1,mif4] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[1,mif4] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,0] * self.yqqomega1bar[1,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,0] * self.yqqomega1bar[1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,0] * self.yqqomega1bar[1,mif4] + 7/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,1] * self.yqqomega1bar[1,mif4] + 3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,1] * self.yqqomega1bar[1,mif4] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,1] * self.yqqomega1bar[1,mif4] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,2] * self.yqqomega1bar[1,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,2] * self.yqqomega1bar[1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,2] * self.yqqomega1bar[1,mif4] + -5/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif4] + -1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif4] + 1/72 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif4] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif4] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,1] * self.yqqomega1bar[1,mif4] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,1] * self.yqqomega1bar[1,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,1] * self.yqqomega1bar[1,mif4] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[1,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[2,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[2,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,1] + 7/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,2] + 3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,2] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,2] * self.yqqomega1bar[2,mif4] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,2] * self.yqqomega1bar[2,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,2] * self.yqqomega1bar[2,mif4] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[2,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,2] * self.yqqomega1bar[2,mif4] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,2] * self.yqqomega1bar[2,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,2] * self.yqqomega1bar[2,mif4] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[2,mif4] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,0] * self.yqqomega1bar[2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,0] * self.yqqomega1bar[2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,0] * self.yqqomega1bar[2,mif4] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,1] * self.yqqomega1bar[2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,1] * self.yqqomega1bar[2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,1] * self.yqqomega1bar[2,mif4] + 7/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,2] * self.yqqomega1bar[2,mif4] + 3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,2] * self.yqqomega1bar[2,mif4] + -3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,2] * self.yqqomega1bar[2,mif4] + -5/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif4] + -1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif4] + 1/72 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif4] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif4] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif4] + -1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,0] + -1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,1] + -1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,2] + 3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.ylbar[mif2,0] * self.yqlomega1bar[mif3,mif1] * self.yubar[mif4,0] + 3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.ylbar[mif2,1] * self.yqlomega1bar[mif3,mif1] * self.yubar[mif4,0] + 3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.ylbar[mif2,2] * self.yqlomega1bar[mif3,mif1] * self.yubar[mif4,0] + 3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.ylbar[mif2,0] * self.yqlomega1bar[mif3,mif1] * self.yubar[mif4,1] + 3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.ylbar[mif2,1] * self.yqlomega1bar[mif3,mif1] * self.yubar[mif4,1] + 3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.ylbar[mif2,2] * self.yqlomega1bar[mif3,mif1] * self.yubar[mif4,1] + 3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.ylbar[mif2,0] * self.yqlomega1bar[mif3,mif1] * self.yubar[mif4,2] + 3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.ylbar[mif2,1] * self.yqlomega1bar[mif3,mif1] * self.yubar[mif4,2] + 3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.ylbar[mif2,2] * self.yqlomega1bar[mif3,mif1] * self.yubar[mif4,2])

    def alphaOlq3(self, mif1,mif2,mif3,mif4):
        return (-1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -1/64 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 1/64 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -1/64 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 1/64 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -1/64 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 1/64 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -1/144 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif3,0] + -1/192 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif3,0] + 1/192 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif3,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[mif3,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[mif3,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,0] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[mif3,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[mif3,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[mif3,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,0] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[mif3,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[mif3,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[mif3,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,0] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[mif3,0] + -1/144 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif3,1] + -1/192 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif3,1] + 1/192 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif3,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[mif3,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[mif3,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,1] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[mif3,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[mif3,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[mif3,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,1] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[mif3,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[mif3,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[mif3,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,1] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[mif3,1] + -1/144 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif3,2] + -1/192 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif3,2] + 1/192 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif3,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[mif3,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[mif3,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,2] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqlomega1bar[mif3,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[mif3,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[mif3,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,2] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqlomega1bar[mif3,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[mif3,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[mif3,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,2] * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqlomega1bar[mif3,2] + -1/4 * (self.Momega1)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + -5/576 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + -1/96 * self.epsilonbar * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + 13/128 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + 3/128 * self.epsilonbar * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + -7/96 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + -1/32 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + -1/144 * self.epsilonbar * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + 1/64 * self.epsilonbar * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + -1/48 * self.epsilonbar * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + 1/144 * self.epsilonbar * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + -1/64 * self.epsilonbar * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + 1/48 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[mif3,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[0,0] * self.yqlomega1bar[mif3,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[0,0] * self.yqlomega1bar[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[0,0] * self.yqlomega1bar[mif3,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[0,1] * self.yqlomega1bar[mif3,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[0,1] * self.yqlomega1bar[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[0,1] * self.yqlomega1bar[mif3,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[0,2] * self.yqlomega1bar[mif3,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[0,2] * self.yqlomega1bar[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[0,2] * self.yqlomega1bar[mif3,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[1,0] * self.yqlomega1bar[mif3,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[1,0] * self.yqlomega1bar[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[1,0] * self.yqlomega1bar[mif3,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[1,1] * self.yqlomega1bar[mif3,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[1,1] * self.yqlomega1bar[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[1,1] * self.yqlomega1bar[mif3,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[1,2] * self.yqlomega1bar[mif3,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[1,2] * self.yqlomega1bar[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[1,2] * self.yqlomega1bar[mif3,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[2,0] * self.yqlomega1bar[mif3,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[2,0] * self.yqlomega1bar[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[2,0] * self.yqlomega1bar[mif3,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[2,1] * self.yqlomega1bar[mif3,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[2,1] * self.yqlomega1bar[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[2,1] * self.yqlomega1bar[mif3,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[2,2] * self.yqlomega1bar[mif3,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[2,2] * self.yqlomega1bar[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[2,2] * self.yqlomega1bar[mif3,mif1] + -7/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,0] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,0] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,1] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[0,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[0,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[0,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,2] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[0,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[0,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[0,2] + -7/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,0] * self.yqqomega1bar[0,mif4] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,0] * self.yqqomega1bar[0,mif4] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,0] * self.yqqomega1bar[0,mif4] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,1] * self.yqqomega1bar[0,mif4] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,1] * self.yqqomega1bar[0,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,1] * self.yqqomega1bar[0,mif4] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,2] * self.yqqomega1bar[0,mif4] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,2] * self.yqqomega1bar[0,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,2] * self.yqqomega1bar[0,mif4] + -1/18 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif4] + -1/24 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif4] + 1/24 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif4] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,0] * self.yqqomega1bar[0,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,0] * self.yqqomega1bar[0,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,0] * self.yqqomega1bar[0,mif4] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[0,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,0] * self.yqqomega1bar[0,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,0] * self.yqqomega1bar[0,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,0] * self.yqqomega1bar[0,mif4] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[0,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[1,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,0] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,0] + -7/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,1] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,1] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,2] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[1,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,1] * self.yqqomega1bar[1,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,1] * self.yqqomega1bar[1,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,1] * self.yqqomega1bar[1,mif4] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[1,mif4] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,0] * self.yqqomega1bar[1,mif4] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,0] * self.yqqomega1bar[1,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,0] * self.yqqomega1bar[1,mif4] + -7/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,1] * self.yqqomega1bar[1,mif4] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,1] * self.yqqomega1bar[1,mif4] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,1] * self.yqqomega1bar[1,mif4] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,2] * self.yqqomega1bar[1,mif4] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,2] * self.yqqomega1bar[1,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,2] * self.yqqomega1bar[1,mif4] + -1/18 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif4] + -1/24 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif4] + 1/24 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif4] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,1] * self.yqqomega1bar[1,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,1] * self.yqqomega1bar[1,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,1] * self.yqqomega1bar[1,mif4] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[1,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[2,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[2,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,0] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[2,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[2,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,1] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,1] + -7/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,2] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,2] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,2] * self.yqqomega1bar[2,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,2] * self.yqqomega1bar[2,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[0,2] * self.yqqomega1bar[2,mif4] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[2,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,2] * self.yqqomega1bar[2,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,2] * self.yqqomega1bar[2,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[1,2] * self.yqqomega1bar[2,mif4] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[2,mif4] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,0] * self.yqqomega1bar[2,mif4] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,0] * self.yqqomega1bar[2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,0] * self.yqqomega1bar[2,mif4] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,1] * self.yqqomega1bar[2,mif4] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,1] * self.yqqomega1bar[2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,1] * self.yqqomega1bar[2,mif4] + -7/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,2] * self.yqqomega1bar[2,mif4] + -3/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,2] * self.yqqomega1bar[2,mif4] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[mif3,mif1] * self.yqqomega1[2,2] * self.yqqomega1bar[2,mif4] + -1/18 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif4] + -1/24 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif4] + 1/24 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif4] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif4] + -1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,0] + -1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,1] + -1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,2] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.ylbar[mif2,0] * self.yqlomega1bar[mif3,mif1] * self.yubar[mif4,0] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.ylbar[mif2,1] * self.yqlomega1bar[mif3,mif1] * self.yubar[mif4,0] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.ylbar[mif2,2] * self.yqlomega1bar[mif3,mif1] * self.yubar[mif4,0] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.ylbar[mif2,0] * self.yqlomega1bar[mif3,mif1] * self.yubar[mif4,1] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.ylbar[mif2,1] * self.yqlomega1bar[mif3,mif1] * self.yubar[mif4,1] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.ylbar[mif2,2] * self.yqlomega1bar[mif3,mif1] * self.yubar[mif4,1] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.ylbar[mif2,0] * self.yqlomega1bar[mif3,mif1] * self.yubar[mif4,2] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.ylbar[mif2,1] * self.yqlomega1bar[mif3,mif1] * self.yubar[mif4,2] + -3/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.ylbar[mif2,2] * self.yqlomega1bar[mif3,mif1] * self.yubar[mif4,2])

    def alphaOlu(self, mif1,mif2,mif3,mif4):
        return (1/4320 * (self.g1)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 7/864 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] + 1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] + -1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] + 7/864 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] + 1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] + -1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] + 7/864 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] + 1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] + -1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] + 25/1728 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] + 1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] + -1/96 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] + 25/1728 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] + 1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] + -1/96 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] + 25/1728 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] + 1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] + -1/96 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] * self.yl[mif1,0] * self.ylbar[mif2,0] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] * self.yl[mif1,0] * self.ylbar[mif2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] * self.yl[mif1,0] * self.ylbar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[1,mif3] * self.yl[mif1,1] * self.ylbar[mif2,0] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[1,mif3] * self.yl[mif1,1] * self.ylbar[mif2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.yeuomega1bar[1,mif3] * self.yl[mif1,1] * self.ylbar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[2,mif3] * self.yl[mif1,2] * self.ylbar[mif2,0] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[2,mif3] * self.yl[mif1,2] * self.ylbar[mif2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.yeuomega1bar[2,mif3] * self.yl[mif1,2] * self.ylbar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[0,mif3] * self.yl[mif1,0] * self.ylbar[mif2,1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[0,mif3] * self.yl[mif1,0] * self.ylbar[mif2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.yeuomega1bar[0,mif3] * self.yl[mif1,0] * self.ylbar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] * self.yl[mif1,1] * self.ylbar[mif2,1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] * self.yl[mif1,1] * self.ylbar[mif2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] * self.yl[mif1,1] * self.ylbar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[2,mif3] * self.yl[mif1,2] * self.ylbar[mif2,1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[2,mif3] * self.yl[mif1,2] * self.ylbar[mif2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.yeuomega1bar[2,mif3] * self.yl[mif1,2] * self.ylbar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[0,mif3] * self.yl[mif1,0] * self.ylbar[mif2,2] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[0,mif3] * self.yl[mif1,0] * self.ylbar[mif2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.yeuomega1bar[0,mif3] * self.yl[mif1,0] * self.ylbar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[1,mif3] * self.yl[mif1,1] * self.ylbar[mif2,2] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[1,mif3] * self.yl[mif1,1] * self.ylbar[mif2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.yeuomega1bar[1,mif3] * self.yl[mif1,1] * self.ylbar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] * self.yl[mif1,2] * self.ylbar[mif2,2] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] * self.yl[mif1,2] * self.ylbar[mif2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] * self.yl[mif1,2] * self.ylbar[mif2,2] + 1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] + 1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] + 1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif3] * self.yl[mif1,0] * self.yqlomega1[0,mif2] * self.yu[0,mif4] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif3] * self.yl[mif1,0] * self.yqlomega1[0,mif2] * self.yu[0,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[0,mif3] * self.yl[mif1,0] * self.yqlomega1[0,mif2] * self.yu[0,mif4] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif3] * self.yl[mif1,1] * self.yqlomega1[0,mif2] * self.yu[0,mif4] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif3] * self.yl[mif1,1] * self.yqlomega1[0,mif2] * self.yu[0,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[1,mif3] * self.yl[mif1,1] * self.yqlomega1[0,mif2] * self.yu[0,mif4] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif3] * self.yl[mif1,2] * self.yqlomega1[0,mif2] * self.yu[0,mif4] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif3] * self.yl[mif1,2] * self.yqlomega1[0,mif2] * self.yu[0,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[2,mif3] * self.yl[mif1,2] * self.yqlomega1[0,mif2] * self.yu[0,mif4] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif3] * self.yl[mif1,0] * self.yqlomega1[1,mif2] * self.yu[1,mif4] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif3] * self.yl[mif1,0] * self.yqlomega1[1,mif2] * self.yu[1,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[0,mif3] * self.yl[mif1,0] * self.yqlomega1[1,mif2] * self.yu[1,mif4] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif3] * self.yl[mif1,1] * self.yqlomega1[1,mif2] * self.yu[1,mif4] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif3] * self.yl[mif1,1] * self.yqlomega1[1,mif2] * self.yu[1,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[1,mif3] * self.yl[mif1,1] * self.yqlomega1[1,mif2] * self.yu[1,mif4] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif3] * self.yl[mif1,2] * self.yqlomega1[1,mif2] * self.yu[1,mif4] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif3] * self.yl[mif1,2] * self.yqlomega1[1,mif2] * self.yu[1,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[2,mif3] * self.yl[mif1,2] * self.yqlomega1[1,mif2] * self.yu[1,mif4] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif3] * self.yl[mif1,0] * self.yqlomega1[2,mif2] * self.yu[2,mif4] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif3] * self.yl[mif1,0] * self.yqlomega1[2,mif2] * self.yu[2,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[0,mif3] * self.yl[mif1,0] * self.yqlomega1[2,mif2] * self.yu[2,mif4] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif3] * self.yl[mif1,1] * self.yqlomega1[2,mif2] * self.yu[2,mif4] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif3] * self.yl[mif1,1] * self.yqlomega1[2,mif2] * self.yu[2,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[1,mif3] * self.yl[mif1,1] * self.yqlomega1[2,mif2] * self.yu[2,mif4] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif3] * self.yl[mif1,2] * self.yqlomega1[2,mif2] * self.yu[2,mif4] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif3] * self.yl[mif1,2] * self.yqlomega1[2,mif2] * self.yu[2,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[2,mif3] * self.yl[mif1,2] * self.yqlomega1[2,mif2] * self.yu[2,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.ylbar[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,mif3] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.ylbar[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,mif3] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.ylbar[mif2,0] * self.yqlomega1bar[0,mif1] * self.yubar[0,mif3] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.ylbar[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,mif3] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.ylbar[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,mif3] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.ylbar[mif2,1] * self.yqlomega1bar[0,mif1] * self.yubar[0,mif3] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.ylbar[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,mif3] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.ylbar[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,mif3] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.ylbar[mif2,2] * self.yqlomega1bar[0,mif1] * self.yubar[0,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] * self.yu[0,mif4] * self.yubar[0,mif3] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] * self.yu[0,mif4] * self.yubar[0,mif3] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[0,mif1] * self.yu[0,mif4] * self.yubar[0,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] * self.yu[1,mif4] * self.yubar[0,mif3] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] * self.yu[1,mif4] * self.yubar[0,mif3] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[0,mif1] * self.yu[1,mif4] * self.yubar[0,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] * self.yu[2,mif4] * self.yubar[0,mif3] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] * self.yu[2,mif4] * self.yubar[0,mif3] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[0,mif1] * self.yu[2,mif4] * self.yubar[0,mif3] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.ylbar[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,mif3] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.ylbar[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,mif3] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.ylbar[mif2,0] * self.yqlomega1bar[1,mif1] * self.yubar[1,mif3] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.ylbar[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,mif3] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.ylbar[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,mif3] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.ylbar[mif2,1] * self.yqlomega1bar[1,mif1] * self.yubar[1,mif3] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.ylbar[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,mif3] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.ylbar[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,mif3] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.ylbar[mif2,2] * self.yqlomega1bar[1,mif1] * self.yubar[1,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] * self.yu[0,mif4] * self.yubar[1,mif3] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] * self.yu[0,mif4] * self.yubar[1,mif3] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[1,mif1] * self.yu[0,mif4] * self.yubar[1,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] * self.yu[1,mif4] * self.yubar[1,mif3] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] * self.yu[1,mif4] * self.yubar[1,mif3] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[1,mif1] * self.yu[1,mif4] * self.yubar[1,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] * self.yu[2,mif4] * self.yubar[1,mif3] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] * self.yu[2,mif4] * self.yubar[1,mif3] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[1,mif1] * self.yu[2,mif4] * self.yubar[1,mif3] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.ylbar[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,mif3] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.ylbar[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,mif3] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.ylbar[mif2,0] * self.yqlomega1bar[2,mif1] * self.yubar[2,mif3] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.ylbar[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,mif3] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.ylbar[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,mif3] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.ylbar[mif2,1] * self.yqlomega1bar[2,mif1] * self.yubar[2,mif3] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.ylbar[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,mif3] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.ylbar[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,mif3] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.ylbar[mif2,2] * self.yqlomega1bar[2,mif1] * self.yubar[2,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] * self.yu[0,mif4] * self.yubar[2,mif3] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] * self.yu[0,mif4] * self.yubar[2,mif3] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,mif2] * self.yqlomega1bar[2,mif1] * self.yu[0,mif4] * self.yubar[2,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] * self.yu[1,mif4] * self.yubar[2,mif3] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] * self.yu[1,mif4] * self.yubar[2,mif3] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,mif2] * self.yqlomega1bar[2,mif1] * self.yu[1,mif4] * self.yubar[2,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] * self.yu[2,mif4] * self.yubar[2,mif3] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] * self.yu[2,mif4] * self.yubar[2,mif3] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,mif2] * self.yqlomega1bar[2,mif1] * self.yu[2,mif4] * self.yubar[2,mif3])

    def alphaOqd1(self, mif1,mif2,mif3,mif4):
        return (1/25920 * (self.g1)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 17/2592 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] + 1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] + -1/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] + 17/2592 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] + 1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] + -1/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] + 17/2592 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] + 1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] + -1/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] + 13/2592 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/288 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 13/2592 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/288 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 13/2592 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/288 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -5/324 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/108 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/108 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[0,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[0,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ydbar[0,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[1,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] + -1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[1,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ydbar[1,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[2,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] + -1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[2,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ydbar[2,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[0,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] + -1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[0,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ydbar[0,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] + -5/324 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/108 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/108 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[1,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[1,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ydbar[1,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[2,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] + -1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[2,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ydbar[2,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[0,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] + -1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[0,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ydbar[0,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[1,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] + -1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[1,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ydbar[1,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] + -5/324 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/108 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/108 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[2,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[2,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ydbar[2,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[0,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[1,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[2,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif2,0] + -1/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,0] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[0,mif3] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,0] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[1,mif3] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,0] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[2,mif3] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[0,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[1,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[2,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif2,1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[0,mif3] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,1] + -1/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[1,mif3] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[2,mif3] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[0,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[1,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[2,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif2,2] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[0,mif3] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,2] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[1,mif3] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,2] + -1/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,2] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[2,mif3] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[0,mif2] * self.yu[0,0] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[0,mif2] * self.yu[0,0] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[0,mif2] * self.yu[0,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[0,mif2] * self.yu[0,2] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[0,mif2] * self.yu[0,2] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[0,mif2] * self.yu[0,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[1,mif2] * self.yu[1,0] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[1,mif2] * self.yu[1,0] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[1,mif2] * self.yu[1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[1,mif2] * self.yu[1,2] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[1,mif2] * self.yu[1,2] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[1,mif2] * self.yu[1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[2,mif2] * self.yu[2,0] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[2,mif2] * self.yu[2,0] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[2,mif2] * self.yu[2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[2,mif2] * self.yu[2,2] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[2,mif2] * self.yu[2,2] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[2,mif2] * self.yu[2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[0,mif2] * self.yu[mif1,0] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[0,mif2] * self.yu[mif1,0] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[0,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[1,mif2] * self.yu[mif1,0] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[1,mif2] * self.yu[mif1,0] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[1,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[2,mif2] * self.yu[mif1,0] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[2,mif2] * self.yu[mif1,0] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[2,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[0,mif2] * self.yu[mif1,1] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[0,mif2] * self.yu[mif1,1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[0,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[1,mif2] * self.yu[mif1,1] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[1,mif2] * self.yu[mif1,1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[1,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[2,mif2] * self.yu[mif1,1] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[2,mif2] * self.yu[mif1,1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[2,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[0,mif2] * self.yu[mif1,2] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[0,mif2] * self.yu[mif1,2] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[0,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[1,mif2] * self.yu[mif1,2] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[1,mif2] * self.yu[mif1,2] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[1,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[2,mif2] * self.yu[mif1,2] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[2,mif2] * self.yu[mif1,2] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[2,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif1] * self.yubar[mif2,0] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif1] * self.yubar[mif2,0] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif1] * self.yubar[mif2,0] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif1] * self.yubar[mif2,0] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif1] * self.yubar[mif2,0] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif1] * self.yubar[mif2,0] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif1,0] * self.yubar[mif2,0] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif1,1] * self.yubar[mif2,0] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif1,2] * self.yubar[mif2,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yu[mif1,0] * self.yubar[mif2,0] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yu[mif1,0] * self.yubar[mif2,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yu[mif1,0] * self.yubar[mif2,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,0] * self.yu[mif1,1] * self.yubar[mif2,0] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,0] * self.yu[mif1,1] * self.yubar[mif2,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,0] * self.yu[mif1,1] * self.yubar[mif2,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,0] * self.yu[mif1,2] * self.yubar[mif2,0] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,0] * self.yu[mif1,2] * self.yubar[mif2,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,0] * self.yu[mif1,2] * self.yubar[mif2,0] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif1] * self.yubar[mif2,1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif1] * self.yubar[mif2,1] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif1] * self.yubar[mif2,1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif1] * self.yubar[mif2,1] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif1] * self.yubar[mif2,1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif1] * self.yubar[mif2,1] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif1,0] * self.yubar[mif2,1] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif1,1] * self.yubar[mif2,1] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif1,2] * self.yubar[mif2,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,1] * self.yu[mif1,0] * self.yubar[mif2,1] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,1] * self.yu[mif1,0] * self.yubar[mif2,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,1] * self.yu[mif1,0] * self.yubar[mif2,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yu[mif1,1] * self.yubar[mif2,1] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yu[mif1,1] * self.yubar[mif2,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yu[mif1,1] * self.yubar[mif2,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,1] * self.yu[mif1,2] * self.yubar[mif2,1] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,1] * self.yu[mif1,2] * self.yubar[mif2,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,1] * self.yu[mif1,2] * self.yubar[mif2,1] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif1] * self.yubar[mif2,2] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif1] * self.yubar[mif2,2] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif1] * self.yubar[mif2,2] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif1] * self.yubar[mif2,2] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif1] * self.yubar[mif2,2] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif1] * self.yubar[mif2,2] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif1,0] * self.yubar[mif2,2] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif1,1] * self.yubar[mif2,2] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif1,2] * self.yubar[mif2,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,2] * self.yu[mif1,0] * self.yubar[mif2,2] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,2] * self.yu[mif1,0] * self.yubar[mif2,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,2] * self.yu[mif1,0] * self.yubar[mif2,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,2] * self.yu[mif1,1] * self.yubar[mif2,2] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,2] * self.yu[mif1,1] * self.yubar[mif2,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,2] * self.yu[mif1,1] * self.yubar[mif2,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yu[mif1,2] * self.yubar[mif2,2] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yu[mif1,2] * self.yubar[mif2,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yu[mif1,2] * self.yubar[mif2,2])

    def alphaOqd8(self, mif1,mif2,mif3,mif4):
        return (-1/960 * (self.g3)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -7/288 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] + -1/48 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] + 1/48 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] + -7/288 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] + -1/48 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] + 1/48 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] + -7/288 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] + -1/48 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] + 1/48 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] + 1/288 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/288 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/288 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -7/72 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/12 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/12 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[0,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[0,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ydbar[0,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[1,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[1,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ydbar[1,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[2,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[2,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ydbar[2,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[0,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[0,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ydbar[0,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] + -7/72 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/12 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/12 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[1,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[1,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ydbar[1,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[2,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[2,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ydbar[2,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[0,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[0,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ydbar[0,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[1,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[1,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ydbar[1,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] + -7/72 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/12 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/12 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[2,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[2,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ydbar[2,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/12 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[0,mif3] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[1,mif3] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[2,mif3] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[0,mif3] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,1] + 1/12 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[1,mif3] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[2,mif3] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[0,mif3] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[1,mif3] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,2] + 1/12 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[2,mif3] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[0,mif2] * self.yu[0,0] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[0,mif2] * self.yu[0,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[0,mif2] * self.yu[0,0] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[0,mif2] * self.yu[0,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[0,mif2] * self.yu[0,2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[0,mif2] * self.yu[0,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[0,mif2] * self.yu[0,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[1,mif2] * self.yu[1,0] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[1,mif2] * self.yu[1,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[1,mif2] * self.yu[1,0] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[1,mif2] * self.yu[1,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[1,mif2] * self.yu[1,2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[1,mif2] * self.yu[1,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[1,mif2] * self.yu[1,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[2,mif2] * self.yu[2,0] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[2,mif2] * self.yu[2,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[2,mif2] * self.yu[2,0] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[2,mif2] * self.yu[2,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[2,mif2] * self.yu[2,2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[2,mif2] * self.yu[2,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[2,mif2] * self.yu[2,2] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[0,mif2] * self.yu[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[0,mif2] * self.yu[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[0,mif2] * self.yu[mif1,0] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[1,mif2] * self.yu[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[1,mif2] * self.yu[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[1,mif2] * self.yu[mif1,0] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[2,mif2] * self.yu[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[2,mif2] * self.yu[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.yduomega1[mif3,0] * self.yqqomega1bar[2,mif2] * self.yu[mif1,0] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[0,mif2] * self.yu[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[0,mif2] * self.yu[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[0,mif2] * self.yu[mif1,1] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[1,mif2] * self.yu[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[1,mif2] * self.yu[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[1,mif2] * self.yu[mif1,1] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[2,mif2] * self.yu[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[2,mif2] * self.yu[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.yduomega1[mif3,1] * self.yqqomega1bar[2,mif2] * self.yu[mif1,1] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[0,mif2] * self.yu[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[0,mif2] * self.yu[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[0,mif2] * self.yu[mif1,2] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[1,mif2] * self.yu[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[1,mif2] * self.yu[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[1,mif2] * self.yu[mif1,2] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[2,mif2] * self.yu[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[2,mif2] * self.yu[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.yduomega1[mif3,2] * self.yqqomega1bar[2,mif2] * self.yu[mif1,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif1] * self.yubar[0,0] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif1] * self.yubar[0,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif1] * self.yubar[0,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif1] * self.yubar[1,0] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif1] * self.yubar[1,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif1] * self.yubar[1,2] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif1] * self.yubar[2,0] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif1] * self.yubar[2,1] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif1] * self.yubar[2,2] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif1] * self.yubar[mif2,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif1] * self.yubar[mif2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif1] * self.yubar[mif2,0] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif1] * self.yubar[mif2,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif1] * self.yubar[mif2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif1] * self.yubar[mif2,0] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif1] * self.yubar[mif2,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif1] * self.yubar[mif2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif1] * self.yubar[mif2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif1,0] * self.yubar[mif2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif1,1] * self.yubar[mif2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif1,2] * self.yubar[mif2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yu[mif1,0] * self.yubar[mif2,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yu[mif1,0] * self.yubar[mif2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yu[mif1,0] * self.yubar[mif2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,0] * self.yu[mif1,1] * self.yubar[mif2,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,0] * self.yu[mif1,1] * self.yubar[mif2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,0] * self.yu[mif1,1] * self.yubar[mif2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,0] * self.yu[mif1,2] * self.yubar[mif2,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,0] * self.yu[mif1,2] * self.yubar[mif2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,0] * self.yu[mif1,2] * self.yubar[mif2,0] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif1] * self.yubar[mif2,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif1] * self.yubar[mif2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif1] * self.yubar[mif2,1] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif1] * self.yubar[mif2,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif1] * self.yubar[mif2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif1] * self.yubar[mif2,1] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif1] * self.yubar[mif2,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif1] * self.yubar[mif2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif1] * self.yubar[mif2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif1,0] * self.yubar[mif2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif1,1] * self.yubar[mif2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif1,2] * self.yubar[mif2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,1] * self.yu[mif1,0] * self.yubar[mif2,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,1] * self.yu[mif1,0] * self.yubar[mif2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,1] * self.yu[mif1,0] * self.yubar[mif2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yu[mif1,1] * self.yubar[mif2,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yu[mif1,1] * self.yubar[mif2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yu[mif1,1] * self.yubar[mif2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,1] * self.yu[mif1,2] * self.yubar[mif2,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,1] * self.yu[mif1,2] * self.yubar[mif2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,1] * self.yu[mif1,2] * self.yubar[mif2,1] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif1] * self.yubar[mif2,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif1] * self.yubar[mif2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif1] * self.yubar[mif2,2] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif1] * self.yubar[mif2,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif1] * self.yubar[mif2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif1] * self.yubar[mif2,2] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif1] * self.yubar[mif2,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif1] * self.yubar[mif2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif1] * self.yubar[mif2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif1,0] * self.yubar[mif2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif1,1] * self.yubar[mif2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif1,2] * self.yubar[mif2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,2] * self.yu[mif1,0] * self.yubar[mif2,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,2] * self.yu[mif1,0] * self.yubar[mif2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,2] * self.yu[mif1,0] * self.yubar[mif2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,2] * self.yu[mif1,1] * self.yubar[mif2,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,2] * self.yu[mif1,1] * self.yubar[mif2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,2] * self.yu[mif1,1] * self.yubar[mif2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yu[mif1,2] * self.yubar[mif2,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yu[mif1,2] * self.yubar[mif2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yu[mif1,2] * self.yubar[mif2,2])

    def alphaOqe(self, mif1,mif2,mif3,mif4):
        return (1/8640 * (self.g1)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 5/576 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,0] + 1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,0] + -1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,0] + 5/576 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,1] + 1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,1] + -1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,1] + 5/576 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,2] + 1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,2] + -1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,2] + 13/864 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/96 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,0] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,1] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,2] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif4] * self.ylbar[0,mif3] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif4] * self.ylbar[0,mif3] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[0,mif4] * self.ylbar[0,mif3] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif4] * self.ylbar[0,mif3] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,0] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif4] * self.ylbar[0,mif3] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[1,mif4] * self.ylbar[0,mif3] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif4] * self.ylbar[0,mif3] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,0] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif4] * self.ylbar[0,mif3] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[2,mif4] * self.ylbar[0,mif3] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif4] * self.ylbar[1,mif3] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif4] * self.ylbar[1,mif3] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[0,mif4] * self.ylbar[1,mif3] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,1] + 13/864 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/96 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,0] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,1] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,2] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif4] * self.ylbar[1,mif3] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif4] * self.ylbar[1,mif3] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[1,mif4] * self.ylbar[1,mif3] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif4] * self.ylbar[1,mif3] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif4] * self.ylbar[1,mif3] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[2,mif4] * self.ylbar[1,mif3] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif4] * self.ylbar[2,mif3] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,2] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif4] * self.ylbar[2,mif3] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[0,mif4] * self.ylbar[2,mif3] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif4] * self.ylbar[2,mif3] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,2] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif4] * self.ylbar[2,mif3] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[1,mif4] * self.ylbar[2,mif3] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,2] + 13/864 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/96 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,0] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,1] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,2] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif4] * self.ylbar[2,mif3] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif4] * self.ylbar[2,mif3] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yl[2,mif4] * self.ylbar[2,mif3] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -5/108 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/36 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/36 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -5/108 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/36 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/36 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -5/108 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/36 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/36 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/72 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,0] + -1/72 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,1] + -1/72 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,2] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,0] * self.yl[0,mif4] * self.yqlomega1[mif2,0] * self.yu[mif1,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,0] * self.yl[0,mif4] * self.yqlomega1[mif2,0] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[mif3,0] * self.yl[0,mif4] * self.yqlomega1[mif2,0] * self.yu[mif1,0] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,0] * self.yl[1,mif4] * self.yqlomega1[mif2,1] * self.yu[mif1,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,0] * self.yl[1,mif4] * self.yqlomega1[mif2,1] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[mif3,0] * self.yl[1,mif4] * self.yqlomega1[mif2,1] * self.yu[mif1,0] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,0] * self.yl[2,mif4] * self.yqlomega1[mif2,2] * self.yu[mif1,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,0] * self.yl[2,mif4] * self.yqlomega1[mif2,2] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[mif3,0] * self.yl[2,mif4] * self.yqlomega1[mif2,2] * self.yu[mif1,0] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,1] * self.yl[0,mif4] * self.yqlomega1[mif2,0] * self.yu[mif1,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,1] * self.yl[0,mif4] * self.yqlomega1[mif2,0] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[mif3,1] * self.yl[0,mif4] * self.yqlomega1[mif2,0] * self.yu[mif1,1] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,1] * self.yl[1,mif4] * self.yqlomega1[mif2,1] * self.yu[mif1,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,1] * self.yl[1,mif4] * self.yqlomega1[mif2,1] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[mif3,1] * self.yl[1,mif4] * self.yqlomega1[mif2,1] * self.yu[mif1,1] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,1] * self.yl[2,mif4] * self.yqlomega1[mif2,2] * self.yu[mif1,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,1] * self.yl[2,mif4] * self.yqlomega1[mif2,2] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[mif3,1] * self.yl[2,mif4] * self.yqlomega1[mif2,2] * self.yu[mif1,1] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,2] * self.yl[0,mif4] * self.yqlomega1[mif2,0] * self.yu[mif1,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,2] * self.yl[0,mif4] * self.yqlomega1[mif2,0] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[mif3,2] * self.yl[0,mif4] * self.yqlomega1[mif2,0] * self.yu[mif1,2] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,2] * self.yl[1,mif4] * self.yqlomega1[mif2,1] * self.yu[mif1,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,2] * self.yl[1,mif4] * self.yqlomega1[mif2,1] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[mif3,2] * self.yl[1,mif4] * self.yqlomega1[mif2,1] * self.yu[mif1,2] + 3/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,2] * self.yl[2,mif4] * self.yqlomega1[mif2,2] * self.yu[mif1,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[mif3,2] * self.yl[2,mif4] * self.yqlomega1[mif2,2] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[mif3,2] * self.yl[2,mif4] * self.yqlomega1[mif2,2] * self.yu[mif1,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.ylbar[0,mif3] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.ylbar[0,mif3] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,0] * self.ylbar[0,mif3] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.ylbar[1,mif3] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.ylbar[1,mif3] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,0] * self.ylbar[1,mif3] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.ylbar[2,mif3] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.ylbar[2,mif3] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,0] * self.ylbar[2,mif3] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,0] * self.yu[mif1,0] * self.yubar[mif2,0] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,0] * self.yu[mif1,0] * self.yubar[mif2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,0] * self.yu[mif1,0] * self.yubar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,1] * self.yu[mif1,1] * self.yubar[mif2,0] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,1] * self.yu[mif1,1] * self.yubar[mif2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,1] * self.yu[mif1,1] * self.yubar[mif2,0] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,2] * self.yu[mif1,2] * self.yubar[mif2,0] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,2] * self.yu[mif1,2] * self.yubar[mif2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,0] * self.yeuomega1bar[mif3,2] * self.yu[mif1,2] * self.yubar[mif2,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.ylbar[0,mif3] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.ylbar[0,mif3] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,1] * self.ylbar[0,mif3] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.ylbar[1,mif3] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.ylbar[1,mif3] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,1] * self.ylbar[1,mif3] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.ylbar[2,mif3] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.ylbar[2,mif3] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,1] * self.ylbar[2,mif3] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,0] * self.yu[mif1,0] * self.yubar[mif2,1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,0] * self.yu[mif1,0] * self.yubar[mif2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,0] * self.yu[mif1,0] * self.yubar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,1] * self.yu[mif1,1] * self.yubar[mif2,1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,1] * self.yu[mif1,1] * self.yubar[mif2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,1] * self.yu[mif1,1] * self.yubar[mif2,1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,2] * self.yu[mif1,2] * self.yubar[mif2,1] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,2] * self.yu[mif1,2] * self.yubar[mif2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,1] * self.yeuomega1bar[mif3,2] * self.yu[mif1,2] * self.yubar[mif2,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.ylbar[0,mif3] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.ylbar[0,mif3] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,2] * self.ylbar[0,mif3] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.ylbar[1,mif3] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.ylbar[1,mif3] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,2] * self.ylbar[1,mif3] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.ylbar[2,mif3] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.ylbar[2,mif3] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,2] * self.ylbar[2,mif3] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,0] * self.yu[mif1,0] * self.yubar[mif2,2] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,0] * self.yu[mif1,0] * self.yubar[mif2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,0] * self.yu[mif1,0] * self.yubar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,1] * self.yu[mif1,1] * self.yubar[mif2,2] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,1] * self.yu[mif1,1] * self.yubar[mif2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,1] * self.yu[mif1,1] * self.yubar[mif2,2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,2] * self.yu[mif1,2] * self.yubar[mif2,2] + -1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,2] * self.yu[mif1,2] * self.yubar[mif2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[mif4,2] * self.yeuomega1bar[mif3,2] * self.yu[mif1,2] * self.yubar[mif2,2])

    def alphaOqq1(self, mif1,mif2,mif3,mif4):
        return (-1/7680 * (self.g3)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.kronecker_delta(mif2,mif3) + -1/103680 * (self.g1)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 1/11520 * (self.g3)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -13/10368 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/3456 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/1152 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/1152 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/2304 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif1,0] + -13/10368 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/3456 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/1152 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/1152 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/2304 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif1,1] + -13/10368 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/3456 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/1152 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/1152 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/2304 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif1,2] + 1/2304 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif3,0] + -13/10368 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif3,0] + -1/3456 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif3,0] + -1/1152 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif3,0] + 1/1152 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif3,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif1,0] * self.yqlomega1bar[mif3,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif1,1] * self.yqlomega1bar[mif3,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif1,2] * self.yqlomega1bar[mif3,0] + 1/2304 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif3,1] + -13/10368 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif3,1] + -1/3456 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif3,1] + -1/1152 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif3,1] + 1/1152 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif3,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif1,0] * self.yqlomega1bar[mif3,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif1,1] * self.yqlomega1bar[mif3,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif1,2] * self.yqlomega1bar[mif3,1] + 1/2304 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif3,2] + -13/10368 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif3,2] + -1/3456 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif3,2] + -1/1152 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif3,2] + 1/1152 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif3,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif1,0] * self.yqlomega1bar[mif3,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif1,1] * self.yqlomega1bar[mif3,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif1,2] * self.yqlomega1bar[mif3,2] + 5/1296 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 7/864 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/432 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/144 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/432 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/144 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -7/576 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif2] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif2] + 1/96 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,0] * self.yqqomega1bar[0,mif2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,0] * self.yqqomega1bar[0,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,0] * self.yqqomega1bar[0,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,0] * self.yqqomega1bar[0,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,0] * self.yqqomega1bar[0,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,0] * self.yqqomega1bar[0,mif2] + -7/576 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif4] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif4] + 1/96 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif4] + 5/1296 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif4] + 7/864 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif4] + 1/432 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif4] + 1/144 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif4] + -1/432 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif4] + -1/144 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[0,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[0,mif4] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[0,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[0,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[1,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[1,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[1,0] + 5/1296 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 7/864 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/432 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/144 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/432 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/144 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -7/576 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif2] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif2] + 1/96 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,1] * self.yqqomega1bar[1,mif2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,1] * self.yqqomega1bar[1,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,1] * self.yqqomega1bar[1,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[1,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[1,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif4] * self.yqqomega1bar[1,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[0,mif4] * self.yqqomega1bar[1,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] * self.yqqomega1bar[1,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] * self.yqqomega1bar[1,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] * self.yqqomega1bar[1,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] * self.yqqomega1bar[1,mif2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] * self.yqqomega1bar[1,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] * self.yqqomega1bar[1,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,1] * self.yqqomega1bar[1,mif2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,1] * self.yqqomega1bar[1,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,1] * self.yqqomega1bar[1,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,1] * self.yqqomega1bar[1,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,1] * self.yqqomega1bar[1,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,1] * self.yqqomega1bar[1,mif2] + -7/576 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif4] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif4] + 1/96 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif4] + 5/1296 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif4] + 7/864 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif4] + 1/432 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif4] + 1/144 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif4] + -1/432 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif4] + -1/144 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[1,mif4] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[1,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[1,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[1,mif4] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[1,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[1,mif4] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[1,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[1,mif4] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[1,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[2,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[2,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[2,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[2,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[2,1] + 5/1296 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 7/864 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/432 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/144 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/432 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/144 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -7/576 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif2] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif2] + 1/96 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,2] * self.yqqomega1bar[2,mif2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,2] * self.yqqomega1bar[2,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,2] * self.yqqomega1bar[2,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,2] * self.yqqomega1bar[2,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,2] * self.yqqomega1bar[2,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,2] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif4] * self.yqqomega1bar[2,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[0,mif4] * self.yqqomega1bar[2,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] * self.yqqomega1bar[2,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] * self.yqqomega1bar[2,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] * self.yqqomega1bar[2,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] * self.yqqomega1bar[2,mif2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] * self.yqqomega1bar[2,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] * self.yqqomega1bar[2,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,2] * self.yqqomega1bar[2,mif2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,2] * self.yqqomega1bar[2,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,2] * self.yqqomega1bar[2,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,2] * self.yqqomega1bar[2,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,2] * self.yqqomega1bar[2,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,2] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif4] * self.yqqomega1bar[2,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[1,mif4] * self.yqqomega1bar[2,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] * self.yqqomega1bar[2,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] * self.yqqomega1bar[2,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] * self.yqqomega1bar[2,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] * self.yqqomega1bar[2,mif2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] * self.yqqomega1bar[2,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] * self.yqqomega1bar[2,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,2] * self.yqqomega1bar[2,mif2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,2] * self.yqqomega1bar[2,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,2] * self.yqqomega1bar[2,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,2] * self.yqqomega1bar[2,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,2] * self.yqqomega1bar[2,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,2] * self.yqqomega1bar[2,mif2] + -7/576 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif4] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif4] + 1/96 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif4] + 5/1296 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif4] + 7/864 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif4] + 1/432 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif4] + 1/144 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif4] + -1/432 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif4] + -1/144 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[2,mif4] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[2,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[2,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[2,mif4] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[2,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[2,mif4] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[2,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[2,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[2,mif4] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[2,mif4] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[2,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[2,mif4] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[2,mif4] + 1/48 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif2,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,0] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,0] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,0] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,0] * self.yqqomega1bar[mif2,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,0] * self.yqqomega1bar[mif2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,0] * self.yqqomega1bar[mif2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif2,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif2,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif2,0] + 1/48 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif2,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,1] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,1] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,1] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif2,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,1] * self.yqqomega1bar[mif2,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,1] * self.yqqomega1bar[mif2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,1] * self.yqqomega1bar[mif2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif2,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif2,1] + 1/48 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif2,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif2,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif2,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,2] * self.yqqomega1bar[mif2,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,2] * self.yqqomega1bar[mif2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,2] * self.yqqomega1bar[mif2,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,0] * self.yqlomega1bar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif2,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,0] * self.yqlomega1bar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif2,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,0] * self.yqlomega1bar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif2,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,1] * self.yqlomega1bar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif2,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,1] * self.yqlomega1bar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif2,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,1] * self.yqlomega1bar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif2,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,2] * self.yqlomega1bar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif2,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,2] * self.yqlomega1bar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif2,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,2] * self.yqlomega1bar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif2,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,0] * self.yqlomega1bar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif2,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,0] * self.yqlomega1bar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif2,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,0] * self.yqlomega1bar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif2,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,1] * self.yqlomega1bar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif2,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,1] * self.yqlomega1bar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif2,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,1] * self.yqlomega1bar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif2,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,2] * self.yqlomega1bar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif2,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,2] * self.yqlomega1bar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif2,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,2] * self.yqlomega1bar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif2,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,0] * self.yqlomega1bar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif2,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,0] * self.yqlomega1bar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif2,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,0] * self.yqlomega1bar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif2,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,1] * self.yqlomega1bar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif2,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,1] * self.yqlomega1bar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif2,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,1] * self.yqlomega1bar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif2,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,2] * self.yqlomega1bar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif2,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,2] * self.yqlomega1bar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif2,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,2] * self.yqlomega1bar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif2,mif4] + -3/16 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif2,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif2,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif2,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif2,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif2,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif2,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif2,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif2,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif2,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif2,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif2,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif2,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif2,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif2,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif2,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif2,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif2,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif2,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif2,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif2,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif2,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif2,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif2,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif2,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif2,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif2,mif4] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif2,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif2,mif4] + 1/2 * (self.Momega1)**(-2) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,mif4] + 1/64 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,mif4] + 3/64 * self.epsilonbar * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,mif4] + 1/32 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,mif4] + 3/32 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,mif4] + 1/32 * self.epsilonbar * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,mif4] + 1/16 * self.epsilonbar * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,mif4] + -1/32 * self.epsilonbar * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,mif4] + -1/16 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[0,0] * self.yqqomega1bar[mif2,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[0,0] * self.yqqomega1bar[mif2,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[0,0] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif2,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif2,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif2,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif2,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif2,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif2,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif2,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif2,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif2,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif2,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif2,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif2,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[1,1] * self.yqqomega1bar[mif2,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[1,1] * self.yqqomega1bar[mif2,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[1,1] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif2,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif2,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[1,0] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif2,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[1,0] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif2,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1[1,0] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif2,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif2,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif2,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif2,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif2,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif2,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif2,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif2,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[2,2] * self.yqqomega1bar[mif2,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[2,2] * self.yqqomega1bar[mif2,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[2,2] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[2,0] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif2,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[2,0] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif2,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1[2,0] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[2,1] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif2,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[2,1] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif2,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1[2,1] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif2,mif4] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif2,mif4] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif2,mif4] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,0] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,0] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,0] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,0] + 1/432 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,0] + -1/72 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,0] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,0] * self.yqqomega1bar[mif4,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,0] * self.yqqomega1bar[mif4,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,0] * self.yqqomega1bar[mif4,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif4,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif4,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif4,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif4,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif4,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif4,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,1] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,1] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,1] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,1] + 1/432 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,1] + -1/72 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,1] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif4,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif4,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif4,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,1] * self.yqqomega1bar[mif4,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,1] * self.yqqomega1bar[mif4,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,1] * self.yqqomega1bar[mif4,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif4,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif4,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif4,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,2] + 1/432 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,2] + -1/72 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif4,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif4,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif4,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif4,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif4,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif4,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,2] * self.yqqomega1bar[mif4,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,2] * self.yqqomega1bar[mif4,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,2] * self.yqqomega1bar[mif4,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,0] * self.yqlomega1bar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,0] * self.yqlomega1bar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,0] * self.yqlomega1bar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,1] * self.yqlomega1bar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,1] * self.yqlomega1bar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,1] * self.yqlomega1bar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,2] * self.yqlomega1bar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,2] * self.yqlomega1bar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,2] * self.yqlomega1bar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif4,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif4,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif4,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif4,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif4,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif4,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,0] * self.yqlomega1bar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,0] * self.yqlomega1bar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,0] * self.yqlomega1bar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,1] * self.yqlomega1bar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,1] * self.yqlomega1bar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,1] * self.yqlomega1bar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,2] * self.yqlomega1bar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,2] * self.yqlomega1bar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,2] * self.yqlomega1bar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,0] * self.yqlomega1bar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,0] * self.yqlomega1bar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,0] * self.yqlomega1bar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,1] * self.yqlomega1bar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,1] * self.yqlomega1bar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,1] * self.yqlomega1bar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,2] * self.yqlomega1bar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,2] * self.yqlomega1bar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,2] * self.yqlomega1bar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif4,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif4,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif4,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif4,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif4,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif4,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif4,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif4,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif4,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif4,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif4,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif4,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif4,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif4,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif4,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif4,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif4,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif4,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif4,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif4,mif2] + -1/128 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif4,mif2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif4,mif2] + 1/2 * (self.Momega1)**(-2) * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/8 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,mif2] + 3/64 * self.epsilonbar * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,mif2] + 3/32 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.epsilonbar * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/16 * self.epsilonbar * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * self.epsilonbar * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/16 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif1,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif1,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif1,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif1,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif1,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif1,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif1,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif1,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif1,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + -1/2 * (self.Momega1)**(-2) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,mif2] + -1/64 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,mif2] + -3/64 * self.epsilonbar * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,mif2] + 1/8 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,mif2] + 3/32 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,mif2] + -1/32 * self.epsilonbar * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,mif2] + 1/16 * self.epsilonbar * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.epsilonbar * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,mif2] + -1/16 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,0] * self.yqqomega1bar[mif4,mif2] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,0] * self.yqqomega1bar[mif4,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,0] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[0,0] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[0,0] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[0,0] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif4,mif2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif4,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif4,mif2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif4,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[0,mif1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[0,mif1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[0,mif1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1[mif1,0] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1[mif1,0] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,0] * self.yqqomega1[mif1,0] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1[mif1,1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1[mif1,1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,1] * self.yqqomega1[mif1,1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1[mif1,2] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1[mif1,2] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,2] * self.yqqomega1[mif1,2] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif4,mif2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif4,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif4,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,1] * self.yqqomega1bar[mif4,mif2] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,1] * self.yqqomega1bar[mif4,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[1,1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[1,1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[1,1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif4,mif2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif4,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[1,mif1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[1,mif1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[1,mif1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[1,0] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[1,0] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1[1,0] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1[mif1,0] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1[mif1,0] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,0] * self.yqqomega1[mif1,0] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1[mif1,1] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1[mif1,1] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,1] * self.yqqomega1[mif1,1] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1[mif1,2] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1[mif1,2] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,2] * self.yqqomega1[mif1,2] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif4,mif2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif4,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif4,mif2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif4,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif4,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,2] * self.yqqomega1bar[mif4,mif2] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,2] * self.yqqomega1bar[mif4,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,2] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[2,2] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[2,2] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[2,2] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[2,mif1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[2,mif1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[2,mif1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[2,0] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[2,0] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1[2,0] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[2,1] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[2,1] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1[2,1] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1[mif1,0] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1[mif1,0] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,0] * self.yqqomega1[mif1,0] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1[mif1,1] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1[mif1,1] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,1] * self.yqqomega1[mif1,1] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1[mif1,2] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1[mif1,2] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,2] * self.yqqomega1[mif1,2] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yduomega1bar[0,0] * self.yqqomega1[mif3,mif1] * self.yubar[mif2,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yduomega1bar[1,0] * self.yqqomega1[mif3,mif1] * self.yubar[mif2,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yduomega1bar[2,0] * self.yqqomega1[mif3,mif1] * self.yubar[mif2,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yduomega1bar[0,1] * self.yqqomega1[mif3,mif1] * self.yubar[mif2,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yduomega1bar[1,1] * self.yqqomega1[mif3,mif1] * self.yubar[mif2,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yduomega1bar[2,1] * self.yqqomega1[mif3,mif1] * self.yubar[mif2,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yduomega1bar[0,2] * self.yqqomega1[mif3,mif1] * self.yubar[mif2,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yduomega1bar[1,2] * self.yqqomega1[mif3,mif1] * self.yubar[mif2,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yduomega1bar[2,2] * self.yqqomega1[mif3,mif1] * self.yubar[mif2,2])

    def alphaOqq3(self, mif1,mif2,mif3,mif4):
        return (-1/7680 * (self.g3)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.kronecker_delta(mif2,mif3) + -1/288 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/384 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/384 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/2304 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif1,0] + -1/288 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/384 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/384 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/2304 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif1,1] + -1/288 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/384 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/384 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/2304 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif1,2] + 1/2304 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif3,0] + -1/288 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif3,0] + -1/384 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif3,0] + 1/384 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif3,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif1,0] * self.yqlomega1bar[mif3,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif1,1] * self.yqlomega1bar[mif3,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif1,2] * self.yqlomega1bar[mif3,0] + 1/2304 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif3,1] + -1/288 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif3,1] + -1/384 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif3,1] + 1/384 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif3,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif1,0] * self.yqlomega1bar[mif3,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif1,1] * self.yqlomega1bar[mif3,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif1,2] * self.yqlomega1bar[mif3,1] + 1/2304 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif3,2] + -1/288 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif3,2] + -1/384 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif3,2] + 1/384 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif3,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif1,0] * self.yqlomega1bar[mif3,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif1,1] * self.yqlomega1bar[mif3,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif1,2] * self.yqlomega1bar[mif3,2] + -1/36 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/48 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -7/576 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif2] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif2] + 1/96 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif2] + -15/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + -7/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + 7/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + -15/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + -7/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + 7/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + -15/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + -7/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + 7/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,0] * self.yqqomega1bar[0,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,0] * self.yqqomega1bar[0,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,0] * self.yqqomega1bar[0,mif2] + -7/576 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif4] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif4] + 1/96 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif4] + -1/36 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif4] + -1/48 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif4] + 1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[0,mif4] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[0,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[0,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[0,mif4] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[1,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[1,0] + -1/36 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/48 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -7/576 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif2] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif2] + 1/96 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif2] + -15/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + -7/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + 7/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + -15/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + -7/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + 7/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + -15/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + -7/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + 7/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[1,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[1,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[1,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[0,mif4] * self.yqqomega1bar[1,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] * self.yqqomega1bar[1,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] * self.yqqomega1bar[1,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] * self.yqqomega1bar[1,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,1] * self.yqqomega1bar[1,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,1] * self.yqqomega1bar[1,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,1] * self.yqqomega1bar[1,mif2] + -7/576 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif4] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif4] + 1/96 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif4] + -1/36 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif4] + -1/48 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif4] + 1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[1,mif4] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[1,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[1,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[1,mif4] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[1,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[1,mif4] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[2,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[2,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[2,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[2,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[2,1] + -1/36 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/48 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -7/576 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif2] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif2] + 1/96 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif2] + -15/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + -7/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + 7/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + -15/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + -7/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + 7/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + -15/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + -7/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif4,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + 7/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif4,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,0] * self.yqlomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,1] * self.yqlomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,2] * self.yqlomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,2] * self.yqqomega1bar[2,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,2] * self.yqqomega1bar[2,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,2] * self.yqqomega1bar[2,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[0,mif4] * self.yqqomega1bar[2,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] * self.yqqomega1bar[2,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] * self.yqqomega1bar[2,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif4] * self.yqqomega1bar[2,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,2] * self.yqqomega1bar[2,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,2] * self.yqqomega1bar[2,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,2] * self.yqqomega1bar[2,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[1,mif4] * self.yqqomega1bar[2,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] * self.yqqomega1bar[2,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] * self.yqqomega1bar[2,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif4] * self.yqqomega1bar[2,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,2] * self.yqqomega1bar[2,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,2] * self.yqqomega1bar[2,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif4] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,2] * self.yqqomega1bar[2,mif2] + -7/576 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif4] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif4] + 1/96 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif4] + -1/36 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif4] + -1/48 * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif4] + 1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif4] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif4] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif4] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[2,mif4] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[2,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[2,mif4] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[2,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[2,mif4] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[2,mif4] + 1/48 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif2,0] + 1/48 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif2,1] + 1/48 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif2,2] + 3/32 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif2,mif4] + -1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,0] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,0] * self.yqqomega1bar[mif4,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,0] * self.yqqomega1bar[mif4,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,0] * self.yqqomega1bar[mif4,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif4,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif4,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif4,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif4,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif4,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif4,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,0] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,0] + -1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,1] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif4,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif4,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif4,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,1] * self.yqqomega1bar[mif4,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,1] * self.yqqomega1bar[mif4,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,1] * self.yqqomega1bar[mif4,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif4,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif4,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif4,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,1] + -1/48 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif2,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif4,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif4,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif4,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,mif2] * self.yqqomega1bar[mif4,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif4,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif4,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif4,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,mif2] * self.yqqomega1bar[mif4,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,2] * self.yqqomega1bar[mif4,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,2] * self.yqqomega1bar[mif4,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,2] * self.yqqomega1bar[mif4,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,mif2] * self.yqqomega1bar[mif4,2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,0] * self.yqlomega1bar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,0] * self.yqlomega1bar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,0] * self.yqlomega1bar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,1] * self.yqlomega1bar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,1] * self.yqlomega1bar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,1] * self.yqlomega1bar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,2] * self.yqlomega1bar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,2] * self.yqlomega1bar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,2] * self.yqlomega1bar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + -15/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + -7/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + 7/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + -15/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + -7/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + 7/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + -15/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + -7/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + 7/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[0,mif3] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,0] * self.yqlomega1bar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,0] * self.yqlomega1bar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,0] * self.yqlomega1bar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,1] * self.yqlomega1bar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,1] * self.yqlomega1bar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,1] * self.yqlomega1bar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,2] * self.yqlomega1bar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,2] * self.yqlomega1bar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,2] * self.yqlomega1bar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + -15/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + -7/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + 7/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + -15/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + -7/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + 7/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + -15/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + -7/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + 7/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,0] * self.yqlomega1bar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,0] * self.yqlomega1bar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,0] * self.yqlomega1bar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,1] * self.yqlomega1bar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,1] * self.yqlomega1bar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,1] * self.yqlomega1bar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,2] * self.yqlomega1bar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif3,2] * self.yqlomega1bar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif3,2] * self.yqlomega1bar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + -15/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + -7/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + 7/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + -15/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + -7/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + 7/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + -15/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + -7/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + 7/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/192 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,mif2] + 3/64 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif1,0] * self.yqlomega1bar[0,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif1,1] * self.yqlomega1bar[0,1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif1,2] * self.yqlomega1bar[0,2] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,0] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif1,0] * self.yqlomega1bar[1,0] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif1,1] * self.yqlomega1bar[1,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif1,2] * self.yqlomega1bar[1,2] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,1] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif1,0] * self.yqlomega1bar[2,0] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif1,1] * self.yqlomega1bar[2,1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[mif1,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif1,2] * self.yqlomega1bar[2,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + 1/512 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + 1/256 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + -1/256 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[mif4,mif2] + -1/2 * (self.Momega1)**(-2) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,mif2] + -1/64 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,mif2] + -3/64 * self.epsilonbar * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,mif2] + 1/8 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,mif2] + 3/32 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,mif2] + -1/32 * self.epsilonbar * (self.g2)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,mif2] + 1/16 * self.epsilonbar * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.epsilonbar * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,mif2] + -1/16 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,0] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,0] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1[0,mif3] * self.yqqomega1bar[0,0] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[0,0] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[0,0] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[0,0] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[0,1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[0,2] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[0,mif1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[0,mif1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[0,mif1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[0,mif1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif3] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[1,0] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1[1,mif3] * self.yqqomega1bar[1,1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[1,1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[1,1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[1,1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[1,2] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[1,mif1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[1,mif1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[1,mif1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[1,mif1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[1,0] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[1,0] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1[1,0] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif3] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[2,0] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[2,1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,2] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,2] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1[2,mif3] * self.yqqomega1bar[2,2] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[2,2] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[2,2] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[2,2] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[2,mif1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,0] * self.yqqomega1[mif3,0] * self.yqqomega1bar[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[2,mif1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[2,mif1] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,2] * self.yqqomega1[mif3,2] * self.yqqomega1bar[2,mif1] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[2,0] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1[2,0] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1[2,0] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[2,1] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1[2,1] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1[2,1] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif3] * self.yqqomega1bar[mif4,mif2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,0] * self.yqqomega1[mif1,mif3] * self.yubar[mif4,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,0] * self.yqqomega1[mif1,mif3] * self.yubar[mif4,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,0] * self.yqqomega1[mif1,mif3] * self.yubar[mif4,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,1] * self.yqqomega1[mif1,mif3] * self.yubar[mif4,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,1] * self.yqqomega1[mif1,mif3] * self.yubar[mif4,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,1] * self.yqqomega1[mif1,mif3] * self.yubar[mif4,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,2] * self.yqqomega1[mif1,mif3] * self.yubar[mif4,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,2] * self.yqqomega1[mif1,mif3] * self.yubar[mif4,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,2] * self.yqqomega1[mif1,mif3] * self.yubar[mif4,2])

    def alphaOqu1(self, mif1,mif2,mif3,mif4):
        return (-1/12960 * (self.g1)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -7/2592 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] + -1/432 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] + 1/432 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,0] * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,0] * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[mif2,0] * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,0] * self.yduomega1[1,mif3] * self.yduomega1bar[0,mif4] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,0] * self.yduomega1[1,mif3] * self.yduomega1bar[0,mif4] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[mif2,0] * self.yduomega1[1,mif3] * self.yduomega1bar[0,mif4] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,0] * self.yduomega1[2,mif3] * self.yduomega1bar[0,mif4] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,0] * self.yduomega1[2,mif3] * self.yduomega1bar[0,mif4] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[mif2,0] * self.yduomega1[2,mif3] * self.yduomega1bar[0,mif4] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,1] * self.yduomega1[0,mif3] * self.yduomega1bar[1,mif4] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,1] * self.yduomega1[0,mif3] * self.yduomega1bar[1,mif4] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[mif2,1] * self.yduomega1[0,mif3] * self.yduomega1bar[1,mif4] + -7/2592 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] + -1/432 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] + 1/432 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,1] * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,1] * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[mif2,1] * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,1] * self.yduomega1[2,mif3] * self.yduomega1bar[1,mif4] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,1] * self.yduomega1[2,mif3] * self.yduomega1bar[1,mif4] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[mif2,1] * self.yduomega1[2,mif3] * self.yduomega1bar[1,mif4] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,2] * self.yduomega1[0,mif3] * self.yduomega1bar[2,mif4] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,2] * self.yduomega1[0,mif3] * self.yduomega1bar[2,mif4] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[mif2,2] * self.yduomega1[0,mif3] * self.yduomega1bar[2,mif4] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,2] * self.yduomega1[1,mif3] * self.yduomega1bar[2,mif4] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,2] * self.yduomega1[1,mif3] * self.yduomega1bar[2,mif4] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[mif2,2] * self.yduomega1[1,mif3] * self.yduomega1bar[2,mif4] + -7/2592 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] + -1/432 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] + 1/432 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,2] * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,2] * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[mif2,2] * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] + -25/5184 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] + -1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] + 1/288 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] + -25/5184 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] + -1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] + 1/288 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] + -25/5184 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] + -1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] + 1/288 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] + -13/1296 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -13/1296 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -13/1296 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + 5/162 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/54 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/54 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 5/162 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/54 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/54 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 5/162 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/54 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/54 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/108 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,0] + 1/108 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,1] + 1/108 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif3] * self.yl[0,0] * self.yqlomega1[mif2,0] * self.yu[mif1,mif4] + 1/192 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif3] * self.yl[0,0] * self.yqlomega1[mif2,0] * self.yu[mif1,mif4] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[0,mif3] * self.yl[0,0] * self.yqlomega1[mif2,0] * self.yu[mif1,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif3] * self.yl[0,1] * self.yqlomega1[mif2,0] * self.yu[mif1,mif4] + 1/192 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif3] * self.yl[0,1] * self.yqlomega1[mif2,0] * self.yu[mif1,mif4] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[1,mif3] * self.yl[0,1] * self.yqlomega1[mif2,0] * self.yu[mif1,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif3] * self.yl[0,2] * self.yqlomega1[mif2,0] * self.yu[mif1,mif4] + 1/192 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif3] * self.yl[0,2] * self.yqlomega1[mif2,0] * self.yu[mif1,mif4] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[2,mif3] * self.yl[0,2] * self.yqlomega1[mif2,0] * self.yu[mif1,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif3] * self.yl[1,0] * self.yqlomega1[mif2,1] * self.yu[mif1,mif4] + 1/192 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif3] * self.yl[1,0] * self.yqlomega1[mif2,1] * self.yu[mif1,mif4] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[0,mif3] * self.yl[1,0] * self.yqlomega1[mif2,1] * self.yu[mif1,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif3] * self.yl[1,1] * self.yqlomega1[mif2,1] * self.yu[mif1,mif4] + 1/192 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif3] * self.yl[1,1] * self.yqlomega1[mif2,1] * self.yu[mif1,mif4] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[1,mif3] * self.yl[1,1] * self.yqlomega1[mif2,1] * self.yu[mif1,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif3] * self.yl[1,2] * self.yqlomega1[mif2,1] * self.yu[mif1,mif4] + 1/192 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif3] * self.yl[1,2] * self.yqlomega1[mif2,1] * self.yu[mif1,mif4] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[2,mif3] * self.yl[1,2] * self.yqlomega1[mif2,1] * self.yu[mif1,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif3] * self.yl[2,0] * self.yqlomega1[mif2,2] * self.yu[mif1,mif4] + 1/192 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif3] * self.yl[2,0] * self.yqlomega1[mif2,2] * self.yu[mif1,mif4] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[0,mif3] * self.yl[2,0] * self.yqlomega1[mif2,2] * self.yu[mif1,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif3] * self.yl[2,1] * self.yqlomega1[mif2,2] * self.yu[mif1,mif4] + 1/192 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif3] * self.yl[2,1] * self.yqlomega1[mif2,2] * self.yu[mif1,mif4] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[1,mif3] * self.yl[2,1] * self.yqlomega1[mif2,2] * self.yu[mif1,mif4] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif3] * self.yl[2,2] * self.yqlomega1[mif2,2] * self.yu[mif1,mif4] + 1/192 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif3] * self.yl[2,2] * self.yqlomega1[mif2,2] * self.yu[mif1,mif4] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[2,mif3] * self.yl[2,2] * self.yqlomega1[mif2,2] * self.yu[mif1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[0,mif2] * self.yu[mif1,mif4] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[0,mif2] * self.yu[mif1,mif4] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[0,mif2] * self.yu[mif1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[0,mif2] * self.yu[mif1,mif4] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[0,mif2] * self.yu[mif1,mif4] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[0,mif2] * self.yu[mif1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[0,mif2] * self.yu[mif1,mif4] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[0,mif2] * self.yu[mif1,mif4] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[0,mif2] * self.yu[mif1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[1,mif2] * self.yu[mif1,mif4] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[1,mif2] * self.yu[mif1,mif4] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[1,mif2] * self.yu[mif1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[1,mif2] * self.yu[mif1,mif4] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[1,mif2] * self.yu[mif1,mif4] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[1,mif2] * self.yu[mif1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[1,mif2] * self.yu[mif1,mif4] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[1,mif2] * self.yu[mif1,mif4] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[1,mif2] * self.yu[mif1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[2,mif2] * self.yu[mif1,mif4] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[2,mif2] * self.yu[mif1,mif4] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[2,mif2] * self.yu[mif1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[2,mif2] * self.yu[mif1,mif4] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[2,mif2] * self.yu[mif1,mif4] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[2,mif2] * self.yu[mif1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[2,mif2] * self.yu[mif1,mif4] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[2,mif2] * self.yu[mif1,mif4] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[2,mif2] * self.yu[mif1,mif4] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[0,mif1] * self.yubar[0,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[0,mif1] * self.yubar[0,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[0,mif1] * self.yubar[0,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[0,mif1] * self.yubar[0,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[0,mif1] * self.yubar[0,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[0,mif1] * self.yubar[0,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[0,mif1] * self.yubar[0,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[0,mif1] * self.yubar[0,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[0,mif1] * self.yubar[0,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[mif1,0] * self.yubar[0,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[mif1,0] * self.yubar[0,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[mif1,0] * self.yubar[0,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] * self.yubar[0,mif3] + -1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] * self.yubar[0,mif3] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] * self.yubar[0,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif2,0] * self.yu[0,mif4] * self.yubar[0,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,0] * self.yu[0,mif4] * self.yubar[0,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] * self.yubar[0,mif3] + -1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] * self.yubar[0,mif3] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] * self.yubar[0,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif2,1] * self.yu[1,mif4] * self.yubar[0,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,1] * self.yu[1,mif4] * self.yubar[0,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] * self.yubar[0,mif3] + -1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] * self.yubar[0,mif3] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] * self.yubar[0,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[mif2,2] * self.yu[2,mif4] * self.yubar[0,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,2] * self.yu[2,mif4] * self.yubar[0,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[1,mif1] * self.yubar[1,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[1,mif1] * self.yubar[1,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[1,mif1] * self.yubar[1,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[1,mif1] * self.yubar[1,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[1,mif1] * self.yubar[1,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[1,mif1] * self.yubar[1,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[1,mif1] * self.yubar[1,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[1,mif1] * self.yubar[1,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[1,mif1] * self.yubar[1,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[mif1,1] * self.yubar[1,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[mif1,1] * self.yubar[1,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[mif1,1] * self.yubar[1,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] * self.yubar[1,mif3] + -1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] * self.yubar[1,mif3] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] * self.yubar[1,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif2,0] * self.yu[0,mif4] * self.yubar[1,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,0] * self.yu[0,mif4] * self.yubar[1,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] * self.yubar[1,mif3] + -1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] * self.yubar[1,mif3] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] * self.yubar[1,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif2,1] * self.yu[1,mif4] * self.yubar[1,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,1] * self.yu[1,mif4] * self.yubar[1,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] * self.yubar[1,mif3] + -1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] * self.yubar[1,mif3] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] * self.yubar[1,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[mif2,2] * self.yu[2,mif4] * self.yubar[1,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,2] * self.yu[2,mif4] * self.yubar[1,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[2,mif1] * self.yubar[2,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[2,mif1] * self.yubar[2,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[2,mif1] * self.yubar[2,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[2,mif1] * self.yubar[2,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[2,mif1] * self.yubar[2,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[2,mif1] * self.yubar[2,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[2,mif1] * self.yubar[2,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[2,mif1] * self.yubar[2,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[2,mif1] * self.yubar[2,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[mif1,2] * self.yubar[2,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[mif1,2] * self.yubar[2,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[mif1,2] * self.yubar[2,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] * self.yubar[2,mif3] + -1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] * self.yubar[2,mif3] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] * self.yubar[2,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif2,0] * self.yu[0,mif4] * self.yubar[2,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,0] * self.yu[0,mif4] * self.yubar[2,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] * self.yubar[2,mif3] + -1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] * self.yubar[2,mif3] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] * self.yubar[2,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif2,1] * self.yu[1,mif4] * self.yubar[2,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,1] * self.yu[1,mif4] * self.yubar[2,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] * self.yubar[2,mif3] + -1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] * self.yubar[2,mif3] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] * self.yubar[2,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[mif2,2] * self.yu[2,mif4] * self.yubar[2,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,2] * self.yu[2,mif4] * self.yubar[2,mif3] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,mif3] + 1/192 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,mif3] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,mif3] + 1/192 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,mif3] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,mif3] + 1/192 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,mif3] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,mif3] + 1/192 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,mif3] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,mif3] + 1/192 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,mif3] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,mif3] + 1/192 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,mif3] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,mif3] + 1/192 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,mif3] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,mif3] + 1/192 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,mif3] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,mif3] + 1/192 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[0,mif1] * self.yubar[mif2,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[0,mif1] * self.yubar[mif2,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[0,mif1] * self.yubar[mif2,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[0,mif1] * self.yubar[mif2,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[0,mif1] * self.yubar[mif2,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[0,mif1] * self.yubar[mif2,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[0,mif1] * self.yubar[mif2,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[0,mif1] * self.yubar[mif2,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[0,mif1] * self.yubar[mif2,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[1,mif1] * self.yubar[mif2,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[1,mif1] * self.yubar[mif2,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[1,mif1] * self.yubar[mif2,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[1,mif1] * self.yubar[mif2,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[1,mif1] * self.yubar[mif2,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[1,mif1] * self.yubar[mif2,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[1,mif1] * self.yubar[mif2,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[1,mif1] * self.yubar[mif2,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[1,mif1] * self.yubar[mif2,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[2,mif1] * self.yubar[mif2,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[2,mif1] * self.yubar[mif2,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[2,mif1] * self.yubar[mif2,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[2,mif1] * self.yubar[mif2,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[2,mif1] * self.yubar[mif2,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[2,mif1] * self.yubar[mif2,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[2,mif1] * self.yubar[mif2,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[2,mif1] * self.yubar[mif2,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[2,mif1] * self.yubar[mif2,mif3])

    def alphaOqu8(self, mif1,mif2,mif3,mif4):
        return (-1/960 * (self.g3)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -7/288 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] + -1/48 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] + 1/48 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,0] * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,0] * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[mif2,0] * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,0] * self.yduomega1[1,mif3] * self.yduomega1bar[0,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,0] * self.yduomega1[1,mif3] * self.yduomega1bar[0,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[mif2,0] * self.yduomega1[1,mif3] * self.yduomega1bar[0,mif4] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,0] * self.yduomega1[2,mif3] * self.yduomega1bar[0,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,0] * self.yduomega1[2,mif3] * self.yduomega1bar[0,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[mif2,0] * self.yduomega1[2,mif3] * self.yduomega1bar[0,mif4] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,1] * self.yduomega1[0,mif3] * self.yduomega1bar[1,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,1] * self.yduomega1[0,mif3] * self.yduomega1bar[1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[mif2,1] * self.yduomega1[0,mif3] * self.yduomega1bar[1,mif4] + -7/288 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] + -1/48 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] + 1/48 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,1] * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,1] * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[mif2,1] * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,1] * self.yduomega1[2,mif3] * self.yduomega1bar[1,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,1] * self.yduomega1[2,mif3] * self.yduomega1bar[1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[mif2,1] * self.yduomega1[2,mif3] * self.yduomega1bar[1,mif4] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,2] * self.yduomega1[0,mif3] * self.yduomega1bar[2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,2] * self.yduomega1[0,mif3] * self.yduomega1bar[2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[mif2,2] * self.yduomega1[0,mif3] * self.yduomega1bar[2,mif4] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,2] * self.yduomega1[1,mif3] * self.yduomega1bar[2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,2] * self.yduomega1[1,mif3] * self.yduomega1bar[2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[mif2,2] * self.yduomega1[1,mif3] * self.yduomega1bar[2,mif4] + -7/288 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] + -1/48 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] + 1/48 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,2] * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,2] * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[mif2,2] * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] + 1/288 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] + 1/288 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] + 1/288 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] + 1/288 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] * self.yqlomega1[mif2,0] * self.yqlomega1bar[mif1,0] + 1/288 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] * self.yqlomega1[mif2,1] * self.yqlomega1bar[mif1,1] + 1/288 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] * self.yqlomega1[mif2,2] * self.yqlomega1bar[mif1,2] + -7/72 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/12 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + 1/12 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] + -7/72 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/12 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + 1/12 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] + -7/72 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/12 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/12 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] + 1/12 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,0] + 1/12 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,1] + 1/12 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,2] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] + 3/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif3] * self.yl[0,0] * self.yqlomega1[mif2,0] * self.yu[mif1,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif3] * self.yl[0,0] * self.yqlomega1[mif2,0] * self.yu[mif1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[0,mif3] * self.yl[0,0] * self.yqlomega1[mif2,0] * self.yu[mif1,mif4] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif3] * self.yl[0,1] * self.yqlomega1[mif2,0] * self.yu[mif1,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif3] * self.yl[0,1] * self.yqlomega1[mif2,0] * self.yu[mif1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[1,mif3] * self.yl[0,1] * self.yqlomega1[mif2,0] * self.yu[mif1,mif4] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif3] * self.yl[0,2] * self.yqlomega1[mif2,0] * self.yu[mif1,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif3] * self.yl[0,2] * self.yqlomega1[mif2,0] * self.yu[mif1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[2,mif3] * self.yl[0,2] * self.yqlomega1[mif2,0] * self.yu[mif1,mif4] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif3] * self.yl[1,0] * self.yqlomega1[mif2,1] * self.yu[mif1,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif3] * self.yl[1,0] * self.yqlomega1[mif2,1] * self.yu[mif1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[0,mif3] * self.yl[1,0] * self.yqlomega1[mif2,1] * self.yu[mif1,mif4] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif3] * self.yl[1,1] * self.yqlomega1[mif2,1] * self.yu[mif1,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif3] * self.yl[1,1] * self.yqlomega1[mif2,1] * self.yu[mif1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[1,mif3] * self.yl[1,1] * self.yqlomega1[mif2,1] * self.yu[mif1,mif4] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif3] * self.yl[1,2] * self.yqlomega1[mif2,1] * self.yu[mif1,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif3] * self.yl[1,2] * self.yqlomega1[mif2,1] * self.yu[mif1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[2,mif3] * self.yl[1,2] * self.yqlomega1[mif2,1] * self.yu[mif1,mif4] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif3] * self.yl[2,0] * self.yqlomega1[mif2,2] * self.yu[mif1,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[0,mif3] * self.yl[2,0] * self.yqlomega1[mif2,2] * self.yu[mif1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[0,mif3] * self.yl[2,0] * self.yqlomega1[mif2,2] * self.yu[mif1,mif4] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif3] * self.yl[2,1] * self.yqlomega1[mif2,2] * self.yu[mif1,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[1,mif3] * self.yl[2,1] * self.yqlomega1[mif2,2] * self.yu[mif1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[1,mif3] * self.yl[2,1] * self.yqlomega1[mif2,2] * self.yu[mif1,mif4] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif3] * self.yl[2,2] * self.yqlomega1[mif2,2] * self.yu[mif1,mif4] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1bar[2,mif3] * self.yl[2,2] * self.yqlomega1[mif2,2] * self.yu[mif1,mif4] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1bar[2,mif3] * self.yl[2,2] * self.yqlomega1[mif2,2] * self.yu[mif1,mif4] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[0,mif2] * self.yu[mif1,mif4] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[0,mif2] * self.yu[mif1,mif4] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[0,mif2] * self.yu[mif1,mif4] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[0,mif2] * self.yu[mif1,mif4] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[0,mif2] * self.yu[mif1,mif4] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[0,mif2] * self.yu[mif1,mif4] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[0,mif2] * self.yu[mif1,mif4] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[0,mif2] * self.yu[mif1,mif4] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[0,mif2] * self.yu[mif1,mif4] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[1,mif2] * self.yu[mif1,mif4] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[1,mif2] * self.yu[mif1,mif4] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[1,mif2] * self.yu[mif1,mif4] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[1,mif2] * self.yu[mif1,mif4] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[1,mif2] * self.yu[mif1,mif4] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[1,mif2] * self.yu[mif1,mif4] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[1,mif2] * self.yu[mif1,mif4] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[1,mif2] * self.yu[mif1,mif4] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[1,mif2] * self.yu[mif1,mif4] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[2,mif2] * self.yu[mif1,mif4] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[2,mif2] * self.yu[mif1,mif4] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yduomega1[0,mif3] * self.yqqomega1bar[2,mif2] * self.yu[mif1,mif4] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[2,mif2] * self.yu[mif1,mif4] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[2,mif2] * self.yu[mif1,mif4] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.yduomega1[1,mif3] * self.yqqomega1bar[2,mif2] * self.yu[mif1,mif4] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[2,mif2] * self.yu[mif1,mif4] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[2,mif2] * self.yu[mif1,mif4] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.yduomega1[2,mif3] * self.yqqomega1bar[2,mif2] * self.yu[mif1,mif4] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[0,mif1] * self.yubar[0,mif3] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[0,mif1] * self.yubar[0,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[0,mif1] * self.yubar[0,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[0,mif1] * self.yubar[0,mif3] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[0,mif1] * self.yubar[0,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[0,mif1] * self.yubar[0,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[0,mif1] * self.yubar[0,mif3] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[0,mif1] * self.yubar[0,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[0,mif1] * self.yubar[0,mif3] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] * self.yubar[0,mif3] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] * self.yubar[0,mif3] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] * self.yubar[0,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,0] * self.yu[0,mif4] * self.yubar[0,mif3] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] * self.yubar[0,mif3] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] * self.yubar[0,mif3] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] * self.yubar[0,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,1] * self.yu[1,mif4] * self.yubar[0,mif3] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] * self.yubar[0,mif3] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] * self.yubar[0,mif3] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] * self.yubar[0,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,0] * self.yqqomega1bar[mif2,2] * self.yu[2,mif4] * self.yubar[0,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[1,mif1] * self.yubar[1,mif3] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[1,mif1] * self.yubar[1,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[1,mif1] * self.yubar[1,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[1,mif1] * self.yubar[1,mif3] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[1,mif1] * self.yubar[1,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[1,mif1] * self.yubar[1,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[1,mif1] * self.yubar[1,mif3] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[1,mif1] * self.yubar[1,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[1,mif1] * self.yubar[1,mif3] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] * self.yubar[1,mif3] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] * self.yubar[1,mif3] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] * self.yubar[1,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,0] * self.yu[0,mif4] * self.yubar[1,mif3] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] * self.yubar[1,mif3] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] * self.yubar[1,mif3] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] * self.yubar[1,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,1] * self.yu[1,mif4] * self.yubar[1,mif3] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] * self.yubar[1,mif3] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] * self.yubar[1,mif3] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] * self.yubar[1,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,1] * self.yqqomega1bar[mif2,2] * self.yu[2,mif4] * self.yubar[1,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[2,mif1] * self.yubar[2,mif3] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[2,mif1] * self.yubar[2,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[2,mif1] * self.yubar[2,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[2,mif1] * self.yubar[2,mif3] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[2,mif1] * self.yubar[2,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[2,mif1] * self.yubar[2,mif3] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[2,mif1] * self.yubar[2,mif3] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[2,mif1] * self.yubar[2,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[2,mif1] * self.yubar[2,mif3] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] * self.yubar[2,mif3] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] * self.yubar[2,mif3] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,mif2] * self.yu[0,mif4] * self.yubar[2,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,0] * self.yu[0,mif4] * self.yubar[2,mif3] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] * self.yubar[2,mif3] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] * self.yubar[2,mif3] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,mif2] * self.yu[1,mif4] * self.yubar[2,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,1] * self.yu[1,mif4] * self.yubar[2,mif3] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] * self.yubar[2,mif3] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] * self.yubar[2,mif3] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,mif2] * self.yu[2,mif4] * self.yubar[2,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[mif1,2] * self.yqqomega1bar[mif2,2] * self.yu[2,mif4] * self.yubar[2,mif3] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,mif3] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,mif3] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,mif3] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,mif3] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,mif3] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] * self.yubar[mif2,mif3] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,mif3] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,mif3] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,mif3] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,mif3] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,mif3] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] * self.yubar[mif2,mif3] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,mif3] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,mif3] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,mif3] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,mif3] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,mif3] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif4] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] * self.yubar[mif2,mif3] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[0,mif1] * self.yubar[mif2,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[0,mif1] * self.yubar[mif2,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[0,mif1] * self.yubar[mif2,mif3] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[0,mif1] * self.yubar[mif2,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[0,mif1] * self.yubar[mif2,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[0,mif1] * self.yubar[mif2,mif3] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[0,mif1] * self.yubar[mif2,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[0,mif1] * self.yubar[mif2,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[0,mif1] * self.yubar[mif2,mif3] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[1,mif1] * self.yubar[mif2,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[1,mif1] * self.yubar[mif2,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[1,mif1] * self.yubar[mif2,mif3] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[1,mif1] * self.yubar[mif2,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[1,mif1] * self.yubar[mif2,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[1,mif1] * self.yubar[mif2,mif3] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[1,mif1] * self.yubar[mif2,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[1,mif1] * self.yubar[mif2,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[1,mif1] * self.yubar[mif2,mif3] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[2,mif1] * self.yubar[mif2,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[2,mif1] * self.yubar[mif2,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,0] * self.yduomega1bar[0,mif4] * self.yqqomega1[2,mif1] * self.yubar[mif2,mif3] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[2,mif1] * self.yubar[mif2,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[2,mif1] * self.yubar[mif2,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,1] * self.yduomega1bar[1,mif4] * self.yqqomega1[2,mif1] * self.yubar[mif2,mif3] + -3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[2,mif1] * self.yubar[mif2,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[2,mif1] * self.yubar[mif2,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,2] * self.yduomega1bar[2,mif4] * self.yqqomega1[2,mif1] * self.yubar[mif2,mif3])

    def alphaOquqd1(self, mif1,mif2,mif3,mif4):
        return (-3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + -3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + -1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] + -1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] + -1/64 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,0] * self.yduomega1bar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] + 1/64 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,0] * self.yduomega1bar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] + -1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] + -1/64 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,0] * self.yduomega1bar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] + 1/64 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,0] * self.yduomega1bar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] + -1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] + -1/64 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,0] * self.yduomega1bar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] + 1/64 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,0] * self.yduomega1bar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif3] * self.yeuomega1bar[0,0] * self.yqqomega1[0,mif1] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif3] * self.yeuomega1bar[0,0] * self.yqqomega1[0,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif3] * self.yeuomega1bar[0,0] * self.yqqomega1[0,mif1] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif3] * self.yeuomega1bar[0,0] * self.yqqomega1[0,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif3] * self.yeuomega1bar[0,0] * self.yqqomega1[0,mif1] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif3] * self.yeuomega1bar[0,0] * self.yqqomega1[0,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif3] * self.yeuomega1bar[1,0] * self.yqqomega1[0,mif1] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif3] * self.yeuomega1bar[1,0] * self.yqqomega1[0,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif3] * self.yeuomega1bar[1,0] * self.yqqomega1[0,mif1] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif3] * self.yeuomega1bar[1,0] * self.yqqomega1[0,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif3] * self.yeuomega1bar[1,0] * self.yqqomega1[0,mif1] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif3] * self.yeuomega1bar[1,0] * self.yqqomega1[0,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif3] * self.yeuomega1bar[2,0] * self.yqqomega1[0,mif1] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif3] * self.yeuomega1bar[2,0] * self.yqqomega1[0,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif3] * self.yeuomega1bar[2,0] * self.yqqomega1[0,mif1] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif3] * self.yeuomega1bar[2,0] * self.yqqomega1[0,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif3] * self.yeuomega1bar[2,0] * self.yqqomega1[0,mif1] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif3] * self.yeuomega1bar[2,0] * self.yqqomega1[0,mif1] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[0,mif1] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[0,mif1] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[0,mif1] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[0,mif1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[0,mif1] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[0,mif1] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[0,mif1] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[0,mif1] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[0,mif1] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[0,mif1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[0,mif1] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[0,mif1] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[0,mif1] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[0,mif1] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[0,mif1] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[0,mif1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[0,mif1] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[0,mif1] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,0] * self.yduomega1bar[0,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,0] * self.yduomega1bar[1,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,0] * self.yduomega1bar[2,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif1] * self.yeuomega1bar[0,0] * self.yqqomega1[0,mif3] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif1] * self.yeuomega1bar[0,0] * self.yqqomega1[0,mif3] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif1] * self.yeuomega1bar[0,0] * self.yqqomega1[0,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif1] * self.yeuomega1bar[1,0] * self.yqqomega1[0,mif3] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif1] * self.yeuomega1bar[1,0] * self.yqqomega1[0,mif3] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif1] * self.yeuomega1bar[1,0] * self.yqqomega1[0,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif1] * self.yeuomega1bar[2,0] * self.yqqomega1[0,mif3] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif1] * self.yeuomega1bar[2,0] * self.yqqomega1[0,mif3] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif1] * self.yeuomega1bar[2,0] * self.yqqomega1[0,mif3] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[0,mif3] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[0,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[0,mif3] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[0,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[0,mif3] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[0,mif3] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[0,mif3] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[0,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[0,mif3] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[0,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[0,mif3] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[0,mif3] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[0,mif3] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[0,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[0,mif3] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[0,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[0,mif3] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[0,mif3] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] + -1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] + -1/64 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,1] * self.yduomega1bar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] + 1/64 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,1] * self.yduomega1bar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] + -1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] + -1/64 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,1] * self.yduomega1bar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] + 1/64 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,1] * self.yduomega1bar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] + -1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] + -1/64 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,1] * self.yduomega1bar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] + 1/64 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,1] * self.yduomega1bar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif3] * self.yeuomega1bar[0,1] * self.yqqomega1[1,mif1] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif3] * self.yeuomega1bar[0,1] * self.yqqomega1[1,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif3] * self.yeuomega1bar[0,1] * self.yqqomega1[1,mif1] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif3] * self.yeuomega1bar[0,1] * self.yqqomega1[1,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif3] * self.yeuomega1bar[0,1] * self.yqqomega1[1,mif1] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif3] * self.yeuomega1bar[0,1] * self.yqqomega1[1,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif3] * self.yeuomega1bar[1,1] * self.yqqomega1[1,mif1] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif3] * self.yeuomega1bar[1,1] * self.yqqomega1[1,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif3] * self.yeuomega1bar[1,1] * self.yqqomega1[1,mif1] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif3] * self.yeuomega1bar[1,1] * self.yqqomega1[1,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif3] * self.yeuomega1bar[1,1] * self.yqqomega1[1,mif1] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif3] * self.yeuomega1bar[1,1] * self.yqqomega1[1,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif3] * self.yeuomega1bar[2,1] * self.yqqomega1[1,mif1] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif3] * self.yeuomega1bar[2,1] * self.yqqomega1[1,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif3] * self.yeuomega1bar[2,1] * self.yqqomega1[1,mif1] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif3] * self.yeuomega1bar[2,1] * self.yqqomega1[1,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif3] * self.yeuomega1bar[2,1] * self.yqqomega1[1,mif1] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif3] * self.yeuomega1bar[2,1] * self.yqqomega1[1,mif1] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[1,mif1] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[1,mif1] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[1,mif1] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[1,mif1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[1,mif1] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[1,mif1] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[1,mif1] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[1,mif1] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[1,mif1] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[1,mif1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[1,mif1] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[1,mif1] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[1,mif1] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[1,mif1] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[1,mif1] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[1,mif1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[1,mif1] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[1,mif1] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,1] * self.yduomega1bar[0,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,1] * self.yduomega1bar[1,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,1] * self.yduomega1bar[2,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif1] * self.yeuomega1bar[0,1] * self.yqqomega1[1,mif3] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif1] * self.yeuomega1bar[0,1] * self.yqqomega1[1,mif3] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif1] * self.yeuomega1bar[0,1] * self.yqqomega1[1,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif1] * self.yeuomega1bar[1,1] * self.yqqomega1[1,mif3] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif1] * self.yeuomega1bar[1,1] * self.yqqomega1[1,mif3] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif1] * self.yeuomega1bar[1,1] * self.yqqomega1[1,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif1] * self.yeuomega1bar[2,1] * self.yqqomega1[1,mif3] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif1] * self.yeuomega1bar[2,1] * self.yqqomega1[1,mif3] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif1] * self.yeuomega1bar[2,1] * self.yqqomega1[1,mif3] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[1,mif3] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[1,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[1,mif3] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[1,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[1,mif3] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[1,mif3] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[1,mif3] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[1,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[1,mif3] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[1,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[1,mif3] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[1,mif3] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[1,mif3] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[1,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[1,mif3] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[1,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[1,mif3] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[1,mif3] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] + -1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] + -1/64 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,2] * self.yduomega1bar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] + 1/64 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,2] * self.yduomega1bar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] + -1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] + -1/64 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,2] * self.yduomega1bar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] + 1/64 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,2] * self.yduomega1bar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] + -1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] + -1/64 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,2] * self.yduomega1bar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] + 1/64 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,2] * self.yduomega1bar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif3] * self.yeuomega1bar[0,2] * self.yqqomega1[2,mif1] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif3] * self.yeuomega1bar[0,2] * self.yqqomega1[2,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif3] * self.yeuomega1bar[0,2] * self.yqqomega1[2,mif1] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif3] * self.yeuomega1bar[0,2] * self.yqqomega1[2,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif3] * self.yeuomega1bar[0,2] * self.yqqomega1[2,mif1] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif3] * self.yeuomega1bar[0,2] * self.yqqomega1[2,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif3] * self.yeuomega1bar[1,2] * self.yqqomega1[2,mif1] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif3] * self.yeuomega1bar[1,2] * self.yqqomega1[2,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif3] * self.yeuomega1bar[1,2] * self.yqqomega1[2,mif1] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif3] * self.yeuomega1bar[1,2] * self.yqqomega1[2,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif3] * self.yeuomega1bar[1,2] * self.yqqomega1[2,mif1] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif3] * self.yeuomega1bar[1,2] * self.yqqomega1[2,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif3] * self.yeuomega1bar[2,2] * self.yqqomega1[2,mif1] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif3] * self.yeuomega1bar[2,2] * self.yqqomega1[2,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif3] * self.yeuomega1bar[2,2] * self.yqqomega1[2,mif1] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif3] * self.yeuomega1bar[2,2] * self.yqqomega1[2,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif3] * self.yeuomega1bar[2,2] * self.yqqomega1[2,mif1] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif3] * self.yeuomega1bar[2,2] * self.yqqomega1[2,mif1] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[2,mif1] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[2,mif1] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[2,mif1] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[2,mif1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[2,mif1] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[2,mif1] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[2,mif1] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[2,mif1] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[2,mif1] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[2,mif1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[2,mif1] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[2,mif1] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[2,mif1] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[2,mif1] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[2,mif1] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[2,mif1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[2,mif1] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[2,mif1] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,2] * self.yduomega1bar[0,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,2] * self.yduomega1bar[1,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,2] * self.yduomega1bar[2,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif1] * self.yeuomega1bar[0,2] * self.yqqomega1[2,mif3] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif1] * self.yeuomega1bar[0,2] * self.yqqomega1[2,mif3] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif1] * self.yeuomega1bar[0,2] * self.yqqomega1[2,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif1] * self.yeuomega1bar[1,2] * self.yqqomega1[2,mif3] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif1] * self.yeuomega1bar[1,2] * self.yqqomega1[2,mif3] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif1] * self.yeuomega1bar[1,2] * self.yqqomega1[2,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif1] * self.yeuomega1bar[2,2] * self.yqqomega1[2,mif3] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif1] * self.yeuomega1bar[2,2] * self.yqqomega1[2,mif3] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif1] * self.yeuomega1bar[2,2] * self.yqqomega1[2,mif3] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[2,mif3] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[2,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[2,mif3] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[2,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[2,mif3] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[2,mif3] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[2,mif3] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[2,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[2,mif3] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[2,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[2,mif3] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[2,mif3] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[2,mif3] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[2,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[2,mif3] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[2,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[2,mif3] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[2,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[mif1,0] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[mif1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[mif1,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[mif1,0] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[mif1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[mif1,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[mif1,0] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[mif1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[mif1,0] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[mif1,1] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[mif1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[mif1,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[mif1,1] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[mif1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[mif1,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[mif1,1] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[mif1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[mif1,1] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[mif1,2] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[mif1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[mif1,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[mif1,2] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[mif1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[mif1,2] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[mif1,2] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[mif1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[mif1,2] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,0] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,0] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,0] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,2] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,2] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,2] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] + 2/3 * (self.Momega1)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif1,mif3] + 35/1728 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif1,mif3] + 7/64 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif1,mif3] + -31/36 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif1,mif3] + -1/16 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif1,mif3] + -1/12 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif1,mif3] + -1/24 * self.epsilonbar * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif1,mif3] + 1/12 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif1,mif3] + 1/24 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif1,mif3] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,0] * self.yqqomega1[mif1,mif3] + 1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,0] * self.yqqomega1[mif1,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,0] * self.yqqomega1[mif1,mif3] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,1] * self.yqqomega1[mif1,mif3] + 1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,1] * self.yqqomega1[mif1,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,1] * self.yqqomega1[mif1,mif3] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,2] * self.yqqomega1[mif1,mif3] + 1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,2] * self.yqqomega1[mif1,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,2] * self.yqqomega1[mif1,mif3] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,0] * self.yqqomega1[mif1,mif3] + 1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,0] * self.yqqomega1[mif1,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,0] * self.yqqomega1[mif1,mif3] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,1] * self.yqqomega1[mif1,mif3] + 1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,1] * self.yqqomega1[mif1,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,1] * self.yqqomega1[mif1,mif3] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,2] * self.yqqomega1[mif1,mif3] + 1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,2] * self.yqqomega1[mif1,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,2] * self.yqqomega1[mif1,mif3] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,0] * self.yqqomega1[mif1,mif3] + 1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,0] * self.yqqomega1[mif1,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,0] * self.yqqomega1[mif1,mif3] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,1] * self.yqqomega1[mif1,mif3] + 1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,1] * self.yqqomega1[mif1,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,1] * self.yqqomega1[mif1,mif3] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,2] * self.yqqomega1[mif1,mif3] + 1/24 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,2] * self.yqqomega1[mif1,mif3] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,2] * self.yqqomega1[mif1,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif1,mif3] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif1,mif3] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif1,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif1,mif3] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif1,mif3] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif1,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif1,mif3] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif1,mif3] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif1,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif1,mif3] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif1,mif3] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif1,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif1,mif3] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif1,mif3] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif1,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif1,mif3] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif1,mif3] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif1,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif1,mif3] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif1,mif3] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif1,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif1,mif3] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif1,mif3] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif1,mif3] + -1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif1,mif3] + -1/96 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif1,mif3] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif1,mif3] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,0] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,0] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,0] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,0] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,0] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,0] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,0] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,0] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,0] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,0] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,1] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,1] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,1] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,1] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,1] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,1] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,1] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,1] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,1] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,2] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,2] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,2] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[mif3,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,2] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,2] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,2] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[mif3,2] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,2] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,2] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,2] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[mif3,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] + -1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] + -1/64 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,0] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] + 1/64 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,0] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] + -1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] + -1/64 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,0] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] + 1/64 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,0] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] + -1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] + -1/64 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,0] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] + 1/64 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,0] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] + -1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] + -1/64 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] + 1/64 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] + -1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] + -1/64 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] + 1/64 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] + -1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] + -1/64 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] + 1/64 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] + -1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] + -1/64 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,2] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] + 1/64 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,2] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] + -1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] + -1/64 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,2] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] + 1/64 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,2] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] + -1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] + 1/32 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] + -1/64 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,2] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] + 1/64 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,2] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif3,mif1] + -1 * (self.Momega1)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif3,mif1] + 1/2 * self.epsilonbar * (self.Momega1)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif3,mif1] + -35/576 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif3,mif1] + -21/64 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif3,mif1] + 35/48 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif3,mif1] + 1/8 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif3,mif1] + -3/64 * (self.epsilonbar)**(2) * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif3,mif1] + -1/4 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif3,mif1] + 1/16 * self.epsilonbar * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif3,mif1] + -1/32 * (self.epsilonbar)**(2) * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif3,mif1] + 1/4 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif3,mif1] + -1/16 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif3,mif1] + 1/32 * (self.epsilonbar)**(2) * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif3,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,0] * self.yqqomega1[mif3,mif1] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,0] * self.yqqomega1[mif3,mif1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,0] * self.yqqomega1[mif3,mif1] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,0] * self.yqqomega1[mif3,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,0] * self.yqqomega1[mif3,mif1] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,0] * self.yqqomega1[mif3,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,1] * self.yqqomega1[mif3,mif1] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,1] * self.yqqomega1[mif3,mif1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,1] * self.yqqomega1[mif3,mif1] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,1] * self.yqqomega1[mif3,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,1] * self.yqqomega1[mif3,mif1] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,1] * self.yqqomega1[mif3,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,2] * self.yqqomega1[mif3,mif1] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,2] * self.yqqomega1[mif3,mif1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,2] * self.yqqomega1[mif3,mif1] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,2] * self.yqqomega1[mif3,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,2] * self.yqqomega1[mif3,mif1] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,2] * self.yqqomega1[mif3,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,0] * self.yqqomega1[mif3,mif1] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,0] * self.yqqomega1[mif3,mif1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,0] * self.yqqomega1[mif3,mif1] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,0] * self.yqqomega1[mif3,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,0] * self.yqqomega1[mif3,mif1] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,0] * self.yqqomega1[mif3,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,1] * self.yqqomega1[mif3,mif1] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,1] * self.yqqomega1[mif3,mif1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,1] * self.yqqomega1[mif3,mif1] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,1] * self.yqqomega1[mif3,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,1] * self.yqqomega1[mif3,mif1] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,1] * self.yqqomega1[mif3,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,2] * self.yqqomega1[mif3,mif1] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,2] * self.yqqomega1[mif3,mif1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,2] * self.yqqomega1[mif3,mif1] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,2] * self.yqqomega1[mif3,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,2] * self.yqqomega1[mif3,mif1] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,2] * self.yqqomega1[mif3,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,0] * self.yqqomega1[mif3,mif1] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,0] * self.yqqomega1[mif3,mif1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,0] * self.yqqomega1[mif3,mif1] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,0] * self.yqqomega1[mif3,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,0] * self.yqqomega1[mif3,mif1] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,0] * self.yqqomega1[mif3,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,1] * self.yqqomega1[mif3,mif1] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,1] * self.yqqomega1[mif3,mif1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,1] * self.yqqomega1[mif3,mif1] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,1] * self.yqqomega1[mif3,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,1] * self.yqqomega1[mif3,mif1] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,1] * self.yqqomega1[mif3,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,2] * self.yqqomega1[mif3,mif1] + 1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,2] * self.yqqomega1[mif3,mif1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,2] * self.yqqomega1[mif3,mif1] + 1/32 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,2] * self.yqqomega1[mif3,mif1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,2] * self.yqqomega1[mif3,mif1] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,2] * self.yqqomega1[mif3,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif3,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif3,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] + -1/256 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] + -1/128 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] + 1/128 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif3,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] * self.yqqomega1[mif1,0] * self.yqqomega1bar[0,0] + -1/12 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] * self.yqqomega1[mif1,0] * self.yqqomega1bar[0,0] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] * self.yqqomega1[mif1,0] * self.yqqomega1bar[0,0] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,0] + -1/12 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,0] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[0,0] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[0,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[0,0] + -1/16 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[0,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[0,0] + 1/16 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[0,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,0] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,0] + -1/16 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,0] + 1/16 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,0] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] * self.yqqomega1[mif1,1] * self.yqqomega1bar[0,1] + -1/12 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] * self.yqqomega1[mif1,1] * self.yqqomega1bar[0,1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] * self.yqqomega1[mif1,1] * self.yqqomega1bar[0,1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,1] + -1/12 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[0,1] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[0,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[0,1] + -1/16 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[0,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[0,1] + 1/16 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[0,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,1] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,1] + -1/16 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,1] + 1/16 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] * self.yqqomega1[mif1,2] * self.yqqomega1bar[0,2] + -1/12 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] * self.yqqomega1[mif1,2] * self.yqqomega1bar[0,2] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] * self.yqqomega1[mif1,2] * self.yqqomega1bar[0,2] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,2] + -1/12 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,2] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[0,2] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[0,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[0,2] + -1/16 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[0,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[0,2] + 1/16 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[0,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,2] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,2] + -1/16 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,2] + 1/16 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[0,2] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] * self.yqqomega1[mif1,0] * self.yqqomega1bar[1,0] + -1/12 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] * self.yqqomega1[mif1,0] * self.yqqomega1bar[1,0] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] * self.yqqomega1[mif1,0] * self.yqqomega1bar[1,0] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,0] + -1/12 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,0] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[1,0] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[1,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[1,0] + -1/16 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[1,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[1,0] + 1/16 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,0] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,0] + -1/16 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,0] + 1/16 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,0] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] * self.yqqomega1[mif1,1] * self.yqqomega1bar[1,1] + -1/12 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] * self.yqqomega1[mif1,1] * self.yqqomega1bar[1,1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] * self.yqqomega1[mif1,1] * self.yqqomega1bar[1,1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,1] + -1/12 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[1,1] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[1,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[1,1] + -1/16 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[1,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[1,1] + 1/16 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,1] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,1] + -1/16 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,1] + 1/16 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] * self.yqqomega1[mif1,2] * self.yqqomega1bar[1,2] + -1/12 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] * self.yqqomega1[mif1,2] * self.yqqomega1bar[1,2] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] * self.yqqomega1[mif1,2] * self.yqqomega1bar[1,2] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,2] + -1/12 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,2] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[1,2] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[1,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[1,2] + -1/16 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[1,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[1,2] + 1/16 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,2] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,2] + -1/16 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,2] + 1/16 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[1,2] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] * self.yqqomega1[mif1,0] * self.yqqomega1bar[2,0] + -1/12 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] * self.yqqomega1[mif1,0] * self.yqqomega1bar[2,0] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] * self.yqqomega1[mif1,0] * self.yqqomega1bar[2,0] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,0] + -1/12 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,0] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[2,0] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[2,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[2,0] + -1/16 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[2,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[2,0] + 1/16 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,0] * self.yqqomega1bar[2,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,0] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,0] + -1/16 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,0] + 1/16 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,0] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] * self.yqqomega1[mif1,1] * self.yqqomega1bar[2,1] + -1/12 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] * self.yqqomega1[mif1,1] * self.yqqomega1bar[2,1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] * self.yqqomega1[mif1,1] * self.yqqomega1bar[2,1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,1] + -1/12 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,1] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[2,1] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[2,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[2,1] + -1/16 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[2,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[2,1] + 1/16 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,1] * self.yqqomega1bar[2,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,1] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,1] + -1/16 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,1] + 1/16 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] * self.yqqomega1[mif1,2] * self.yqqomega1bar[2,2] + -1/12 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] * self.yqqomega1[mif1,2] * self.yqqomega1bar[2,2] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] * self.yqqomega1[mif1,2] * self.yqqomega1bar[2,2] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,2] + -1/12 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,2] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[2,2] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[2,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[2,2] + -1/16 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[2,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[2,2] + 1/16 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif1] * self.yqqomega1[mif3,2] * self.yqqomega1bar[2,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,2] + -1/32 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,2] + -1/16 * self.epsilonbar * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,2] + 1/16 * self.epsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif2] * self.yqqomega1[mif3,mif1] * self.yqqomega1bar[2,2] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,0] * self.yu[0,mif2] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,1] * self.yu[0,mif2] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,2] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,1] * self.yu[1,mif2] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,0] * self.yu[1,mif2] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,1] * self.yu[1,mif2] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,2] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,2] * self.yu[2,mif2] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,0] * self.yu[2,mif2] + 1/12 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,1] * self.yu[2,mif2] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,2] * self.yu[2,mif2] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.yduomega1[0,0] * self.yduomega1bar[mif4,mif2] * self.yu[mif1,0] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.yduomega1[1,0] * self.yduomega1bar[mif4,mif2] * self.yu[mif1,0] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.yduomega1[2,0] * self.yduomega1bar[mif4,mif2] * self.yu[mif1,0] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.yduomega1[0,1] * self.yduomega1bar[mif4,mif2] * self.yu[mif1,1] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.yduomega1[1,1] * self.yduomega1bar[mif4,mif2] * self.yu[mif1,1] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.yduomega1[2,1] * self.yduomega1bar[mif4,mif2] * self.yu[mif1,1] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.yduomega1[0,2] * self.yduomega1bar[mif4,mif2] * self.yu[mif1,2] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.yduomega1[1,2] * self.yduomega1bar[mif4,mif2] * self.yu[mif1,2] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.yduomega1[2,2] * self.yduomega1bar[mif4,mif2] * self.yu[mif1,2] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,0] * self.yduomega1bar[mif4,mif2] * self.yu[mif3,0] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,0] * self.yduomega1bar[mif4,mif2] * self.yu[mif3,0] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,0] * self.yduomega1bar[mif4,mif2] * self.yu[mif3,0] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,1] * self.yduomega1bar[mif4,mif2] * self.yu[mif3,1] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,1] * self.yduomega1bar[mif4,mif2] * self.yu[mif3,1] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,1] * self.yduomega1bar[mif4,mif2] * self.yu[mif3,1] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,2] * self.yduomega1bar[mif4,mif2] * self.yu[mif3,2] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,2] * self.yduomega1bar[mif4,mif2] * self.yu[mif3,2] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,2] * self.yduomega1bar[mif4,mif2] * self.yu[mif3,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif3] * self.yu[mif1,mif2] * self.yubar[0,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif3] * self.yu[mif1,mif2] * self.yubar[0,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif3] * self.yu[mif1,mif2] * self.yubar[0,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif3] * self.yu[mif1,mif2] * self.yubar[0,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif3] * self.yu[mif1,mif2] * self.yubar[0,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif3] * self.yu[mif1,mif2] * self.yubar[0,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif3] * self.yu[mif1,mif2] * self.yubar[0,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif3] * self.yu[mif1,mif2] * self.yubar[0,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif3] * self.yu[mif1,mif2] * self.yubar[0,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif3] * self.yu[mif1,mif2] * self.yubar[1,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif3] * self.yu[mif1,mif2] * self.yubar[1,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif3] * self.yu[mif1,mif2] * self.yubar[1,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif3] * self.yu[mif1,mif2] * self.yubar[1,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif3] * self.yu[mif1,mif2] * self.yubar[1,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif3] * self.yu[mif1,mif2] * self.yubar[1,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif3] * self.yu[mif1,mif2] * self.yubar[1,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif3] * self.yu[mif1,mif2] * self.yubar[1,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif3] * self.yu[mif1,mif2] * self.yubar[1,2] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif3] * self.yu[mif1,mif2] * self.yubar[2,0] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif3] * self.yu[mif1,mif2] * self.yubar[2,0] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif3] * self.yu[mif1,mif2] * self.yubar[2,0] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif3] * self.yu[mif1,mif2] * self.yubar[2,1] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif3] * self.yu[mif1,mif2] * self.yubar[2,1] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif3] * self.yu[mif1,mif2] * self.yubar[2,1] + 3/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif3] * self.yu[mif1,mif2] * self.yubar[2,2] + 1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif3] * self.yu[mif1,mif2] * self.yubar[2,2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif3] * self.yu[mif1,mif2] * self.yubar[2,2])

    def alphaOquqd8(self, mif1,mif2,mif3,mif4):
        return (1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[0,mif1] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[0,mif1] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[0,mif1] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[0,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,0] * self.yduomega1bar[0,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,0] * self.yduomega1bar[1,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,0] * self.yduomega1bar[2,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif1] * self.yeuomega1bar[0,0] * self.yqqomega1[0,mif3] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif1] * self.yeuomega1bar[0,0] * self.yqqomega1[0,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif1] * self.yeuomega1bar[0,0] * self.yqqomega1[0,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif1] * self.yeuomega1bar[1,0] * self.yqqomega1[0,mif3] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif1] * self.yeuomega1bar[1,0] * self.yqqomega1[0,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif1] * self.yeuomega1bar[1,0] * self.yqqomega1[0,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif1] * self.yeuomega1bar[2,0] * self.yqqomega1[0,mif3] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif1] * self.yeuomega1bar[2,0] * self.yqqomega1[0,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif1] * self.yeuomega1bar[2,0] * self.yqqomega1[0,mif3] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[0,mif3] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[0,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[0,mif3] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[0,mif3] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[0,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[0,mif3] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[0,mif3] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[0,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[0,mif3] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[1,mif1] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[1,mif1] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[1,mif1] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[1,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,1] * self.yduomega1bar[0,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,1] * self.yduomega1bar[1,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,1] * self.yduomega1bar[2,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif1] * self.yeuomega1bar[0,1] * self.yqqomega1[1,mif3] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif1] * self.yeuomega1bar[0,1] * self.yqqomega1[1,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif1] * self.yeuomega1bar[0,1] * self.yqqomega1[1,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif1] * self.yeuomega1bar[1,1] * self.yqqomega1[1,mif3] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif1] * self.yeuomega1bar[1,1] * self.yqqomega1[1,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif1] * self.yeuomega1bar[1,1] * self.yqqomega1[1,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif1] * self.yeuomega1bar[2,1] * self.yqqomega1[1,mif3] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif1] * self.yeuomega1bar[2,1] * self.yqqomega1[1,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif1] * self.yeuomega1bar[2,1] * self.yqqomega1[1,mif3] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[1,mif3] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[1,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[1,mif3] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[1,mif3] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[1,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[1,mif3] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[1,mif3] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[1,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[1,mif3] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[2,mif1] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[2,mif1] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[2,mif1] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[2,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,2] * self.yduomega1bar[0,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,2] * self.yduomega1bar[1,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,2] * self.yduomega1bar[2,mif1] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif1] * self.yeuomega1bar[0,2] * self.yqqomega1[2,mif3] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif1] * self.yeuomega1bar[0,2] * self.yqqomega1[2,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,mif1] * self.yeuomega1bar[0,2] * self.yqqomega1[2,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif1] * self.yeuomega1bar[1,2] * self.yqqomega1[2,mif3] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif1] * self.yeuomega1bar[1,2] * self.yqqomega1[2,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,mif1] * self.yeuomega1bar[1,2] * self.yqqomega1[2,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif1] * self.yeuomega1bar[2,2] * self.yqqomega1[2,mif3] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif1] * self.yeuomega1bar[2,2] * self.yqqomega1[2,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,mif1] * self.yeuomega1bar[2,2] * self.yqqomega1[2,mif3] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[2,mif3] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[2,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yqqomega1[2,mif3] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[2,mif3] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[2,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yqqomega1[2,mif3] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[2,mif3] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[2,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yqqomega1[2,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[mif1,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[mif1,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[mif1,0] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[mif1,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[mif1,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[mif1,1] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[mif1,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif3,0] * self.yqqomega1[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[mif1,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif3,1] * self.yqqomega1[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[mif1,2] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif3,2] * self.yqqomega1[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,0] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,0] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,0] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,0] * self.yqqomega1[mif1,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,1] * self.yqqomega1[mif1,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,2] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,2] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] + -1/8 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,2] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,2] * self.yqqomega1[mif1,mif3] + 4 * (self.Momega1)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif1,mif3] + 35/288 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif1,mif3] + 21/32 * (self.g2)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif1,mif3] + 1/12 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif1,mif3] + -3/8 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif1,mif3] + -1/2 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif1,mif3] + -1/4 * self.epsilonbar * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif1,mif3] + 1/2 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif1,mif3] + 1/4 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif1,mif3] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,0] * self.yqqomega1[mif1,mif3] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,0] * self.yqqomega1[mif1,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,0] * self.yqqomega1[mif1,mif3] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,1] * self.yqqomega1[mif1,mif3] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,1] * self.yqqomega1[mif1,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,1] * self.yqqomega1[mif1,mif3] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,2] * self.yqqomega1[mif1,mif3] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,2] * self.yqqomega1[mif1,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,2] * self.yqqomega1[mif1,mif3] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,0] * self.yqqomega1[mif1,mif3] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,0] * self.yqqomega1[mif1,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,0] * self.yqqomega1[mif1,mif3] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,1] * self.yqqomega1[mif1,mif3] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,1] * self.yqqomega1[mif1,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,1] * self.yqqomega1[mif1,mif3] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,2] * self.yqqomega1[mif1,mif3] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,2] * self.yqqomega1[mif1,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,2] * self.yqqomega1[mif1,mif3] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,0] * self.yqqomega1[mif1,mif3] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,0] * self.yqqomega1[mif1,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,0] * self.yqqomega1[mif1,mif3] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,1] * self.yqqomega1[mif1,mif3] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,1] * self.yqqomega1[mif1,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,1] * self.yqqomega1[mif1,mif3] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,2] * self.yqqomega1[mif1,mif3] + 1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,2] * self.yqqomega1[mif1,mif3] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,2] * self.yqqomega1[mif1,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif1,mif3] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif1,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif1,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif1,mif3] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif1,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif1,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif1,mif3] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif1,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif2,0] * self.yqqomega1[mif1,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif1,mif3] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif1,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif1,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif1,mif3] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif1,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif1,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif1,mif3] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif1,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif2,1] * self.yqqomega1[mif1,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif1,mif3] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif1,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqlomega1[0,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif1,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif1,mif3] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif1,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqlomega1[1,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif1,mif3] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif1,mif3] + -1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif1,mif3] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif2,2] * self.yqqomega1[mif1,mif3] + 7/8 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[mif3,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] * self.yqqomega1[mif1,0] * self.yqqomega1bar[0,0] + -1/2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] * self.yqqomega1[mif1,0] * self.yqqomega1bar[0,0] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] * self.yqqomega1[mif1,0] * self.yqqomega1bar[0,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,0] + -1/2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,0] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqqomega1[0,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] * self.yqqomega1[mif1,1] * self.yqqomega1bar[0,1] + -1/2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] * self.yqqomega1[mif1,1] * self.yqqomega1bar[0,1] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] * self.yqqomega1[mif1,1] * self.yqqomega1bar[0,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,1] + -1/2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,1] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqqomega1[0,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] * self.yqqomega1[mif1,2] * self.yqqomega1bar[0,2] + -1/2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] * self.yqqomega1[mif1,2] * self.yqqomega1bar[0,2] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,mif3] * self.yqqomega1[mif1,2] * self.yqqomega1bar[0,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,2] + -1/2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,2] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqqomega1[0,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] * self.yqqomega1[mif1,0] * self.yqqomega1bar[1,0] + -1/2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] * self.yqqomega1[mif1,0] * self.yqqomega1bar[1,0] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] * self.yqqomega1[mif1,0] * self.yqqomega1bar[1,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,0] + -1/2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,0] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqqomega1[1,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] * self.yqqomega1[mif1,1] * self.yqqomega1bar[1,1] + -1/2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] * self.yqqomega1[mif1,1] * self.yqqomega1bar[1,1] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] * self.yqqomega1[mif1,1] * self.yqqomega1bar[1,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,1] + -1/2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,1] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqqomega1[1,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] * self.yqqomega1[mif1,2] * self.yqqomega1bar[1,2] + -1/2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] * self.yqqomega1[mif1,2] * self.yqqomega1bar[1,2] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,mif3] * self.yqqomega1[mif1,2] * self.yqqomega1bar[1,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,2] + -1/2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,2] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqqomega1[1,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] * self.yqqomega1[mif1,0] * self.yqqomega1bar[2,0] + -1/2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] * self.yqqomega1[mif1,0] * self.yqqomega1bar[2,0] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] * self.yqqomega1[mif1,0] * self.yqqomega1bar[2,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,0] + -1/2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,0] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,0] * self.yqqomega1[2,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,0] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] * self.yqqomega1[mif1,1] * self.yqqomega1bar[2,1] + -1/2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] * self.yqqomega1[mif1,1] * self.yqqomega1bar[2,1] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] * self.yqqomega1[mif1,1] * self.yqqomega1bar[2,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,1] + -1/2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,1] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,1] * self.yqqomega1[2,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] * self.yqqomega1[mif1,2] * self.yqqomega1bar[2,2] + -1/2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] * self.yqqomega1[mif1,2] * self.yqqomega1bar[2,2] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,mif3] * self.yqqomega1[mif1,2] * self.yqqomega1bar[2,2] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,2] + -1/2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,2] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1bar[mif4,2] * self.yqqomega1[2,mif2] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,2] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,0] * self.yu[0,mif2] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,1] * self.yu[0,mif2] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[0,2] * self.yu[0,mif2] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,0] * self.yu[1,mif2] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,1] * self.yu[1,mif2] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[1,2] * self.yu[1,mif2] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,0] * self.yu[2,mif2] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,1] * self.yu[2,mif2] + 1/2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yqqomega1[mif1,mif3] * self.yqqomega1bar[2,2] * self.yu[2,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.yduomega1[0,0] * self.yduomega1bar[mif4,mif2] * self.yu[mif1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.yduomega1[1,0] * self.yduomega1bar[mif4,mif2] * self.yu[mif1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.yduomega1[2,0] * self.yduomega1bar[mif4,mif2] * self.yu[mif1,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.yduomega1[0,1] * self.yduomega1bar[mif4,mif2] * self.yu[mif1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.yduomega1[1,1] * self.yduomega1bar[mif4,mif2] * self.yu[mif1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.yduomega1[2,1] * self.yduomega1bar[mif4,mif2] * self.yu[mif1,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.yduomega1[0,2] * self.yduomega1bar[mif4,mif2] * self.yu[mif1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.yduomega1[1,2] * self.yduomega1bar[mif4,mif2] * self.yu[mif1,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.yduomega1[2,2] * self.yduomega1bar[mif4,mif2] * self.yu[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,0] * self.yduomega1bar[mif4,mif2] * self.yu[mif3,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,0] * self.yduomega1bar[mif4,mif2] * self.yu[mif3,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,0] * self.yduomega1bar[mif4,mif2] * self.yu[mif3,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,1] * self.yduomega1bar[mif4,mif2] * self.yu[mif3,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,1] * self.yduomega1bar[mif4,mif2] * self.yu[mif3,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,1] * self.yduomega1bar[mif4,mif2] * self.yu[mif3,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yduomega1[0,2] * self.yduomega1bar[mif4,mif2] * self.yu[mif3,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yduomega1[1,2] * self.yduomega1bar[mif4,mif2] * self.yu[mif3,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yduomega1[2,2] * self.yduomega1bar[mif4,mif2] * self.yu[mif3,2])

    def alphaOuB(self, mif1,mif2):
        return (-23/768 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] + -3/128 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] + 3/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] + -23/768 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] + -3/128 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] + 3/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] + -23/768 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + -3/128 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + 3/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + -23/768 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] + -3/128 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] + 3/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] + -23/768 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + -3/128 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + 3/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + -23/768 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + -3/128 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + 3/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + -23/768 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + -3/128 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + 3/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + -23/768 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + -3/128 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + 3/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + -23/768 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + -3/128 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 3/128 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 7/192 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + 1/96 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + -1/96 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + 7/192 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + 1/96 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + -1/96 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + 7/192 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + 1/96 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + -1/96 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + 7/192 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + 1/96 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/96 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + 7/192 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + 1/96 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + -1/96 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + 7/192 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + 1/96 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + -1/96 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + 7/192 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + 1/96 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/96 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + 7/192 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + 1/96 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + -1/96 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + 7/192 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + 1/96 * self.g1 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + -1/96 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + 1/288 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yu[0,mif2] + 1/288 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yu[0,mif2] + 1/288 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yu[0,mif2] + -1/72 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,0] * self.yu[0,mif2] + -1/72 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,0] * self.yu[0,mif2] + -1/72 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,0] * self.yu[0,mif2] + 1/288 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yu[1,mif2] + 1/288 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yu[1,mif2] + 1/288 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yu[1,mif2] + -1/72 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,1] * self.yu[1,mif2] + -1/72 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,1] * self.yu[1,mif2] + -1/72 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,1] * self.yu[1,mif2] + 1/288 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yu[2,mif2] + 1/288 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yu[2,mif2] + 1/288 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yu[2,mif2] + -1/72 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,2] * self.yu[2,mif2] + -1/72 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,2] * self.yu[2,mif2] + -1/72 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,2] * self.yu[2,mif2] + 1/576 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif2] * self.yu[mif1,0] + 1/576 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif2] * self.yu[mif1,0] + 1/576 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif2] * self.yu[mif1,0] + 7/1152 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,0] * self.yu[mif1,0] + 7/1152 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,0] * self.yu[mif1,0] + 7/1152 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,0] * self.yu[mif1,0] + 1/576 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif2] * self.yu[mif1,1] + 1/576 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif2] * self.yu[mif1,1] + 1/576 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif2] * self.yu[mif1,1] + 7/1152 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,1] * self.yu[mif1,1] + 7/1152 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,1] * self.yu[mif1,1] + 7/1152 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,1] * self.yu[mif1,1] + 1/576 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif2] * self.yu[mif1,2] + 1/576 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif2] * self.yu[mif1,2] + 1/576 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif2] * self.yu[mif1,2] + 7/1152 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,2] * self.yu[mif1,2] + 7/1152 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,2] * self.yu[mif1,2] + 7/1152 * self.g1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,2] * self.yu[mif1,2])

    def alphaOud1(self, mif1,mif2,mif3,mif4):
        return (1/6480 * (self.g1)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 7/1296 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] + 1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] + -1/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] + 7/1296 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] + 1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] + -1/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] + 7/1296 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] + 1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] + -1/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] + 17/648 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] + 1/54 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] + -1/54 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1[mif3,0] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,0] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1[mif3,mif1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,0] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1[mif3,mif1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,0] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,0] * self.yduomega1[mif3,mif1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,0] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1[mif3,0] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,0] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1[mif3,mif1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,0] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1[mif3,mif1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,0] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,0] * self.yduomega1[mif3,mif1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,0] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1[mif3,0] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,0] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1[mif3,mif1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,0] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1[mif3,mif1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,0] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,0] * self.yduomega1[mif3,mif1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,0] + 17/648 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] + 1/54 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] + -1/54 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1[mif3,1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,1] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1[mif3,mif1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,1] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1[mif3,mif1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,1] * self.yduomega1[mif3,mif1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,1] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1[mif3,1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,1] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1[mif3,mif1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,1] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1[mif3,mif1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,1] * self.yduomega1[mif3,mif1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,1] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1[mif3,1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,1] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1[mif3,mif1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,1] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1[mif3,mif1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,1] * self.yduomega1[mif3,mif1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,1] + 17/648 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] + 1/54 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] + -1/54 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1[mif3,2] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,2] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1[mif3,mif1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,2] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1[mif3,mif1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,2] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,2] * self.yduomega1[mif3,mif1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,2] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1[mif3,2] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,2] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1[mif3,mif1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,2] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1[mif3,mif1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,2] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,2] * self.yduomega1[mif3,mif1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,2] + -1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1[mif3,2] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,2] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1[mif3,mif1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,2] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1[mif3,mif1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,2] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,2] * self.yduomega1[mif3,mif1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,2] + 1/3 * (self.Momega1)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,mif2] + 5/288 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,mif2] + 1/32 * self.epsilonbar * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,mif2] + 1/8 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,mif2] + 1/8 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,mif2] + 1/48 * self.epsilonbar * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,mif2] + 1/12 * self.epsilonbar * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,mif2] + -1/48 * self.epsilonbar * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,mif2] + -1/12 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,mif2] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1[mif3,0] * self.yduomega1bar[0,0] * self.yduomega1bar[mif4,mif2] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1[mif3,0] * self.yduomega1bar[0,0] * self.yduomega1bar[mif4,mif2] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,mif1] * self.yduomega1[mif3,0] * self.yduomega1bar[0,0] * self.yduomega1bar[mif4,mif2] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1[mif3,1] * self.yduomega1bar[0,1] * self.yduomega1bar[mif4,mif2] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1[mif3,1] * self.yduomega1bar[0,1] * self.yduomega1bar[mif4,mif2] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,mif1] * self.yduomega1[mif3,1] * self.yduomega1bar[0,1] * self.yduomega1bar[mif4,mif2] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1[mif3,2] * self.yduomega1bar[0,2] * self.yduomega1bar[mif4,mif2] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1[mif3,2] * self.yduomega1bar[0,2] * self.yduomega1bar[mif4,mif2] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,mif1] * self.yduomega1[mif3,2] * self.yduomega1bar[0,2] * self.yduomega1bar[mif4,mif2] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1[mif3,0] * self.yduomega1bar[1,0] * self.yduomega1bar[mif4,mif2] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1[mif3,0] * self.yduomega1bar[1,0] * self.yduomega1bar[mif4,mif2] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,mif1] * self.yduomega1[mif3,0] * self.yduomega1bar[1,0] * self.yduomega1bar[mif4,mif2] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1[mif3,1] * self.yduomega1bar[1,1] * self.yduomega1bar[mif4,mif2] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1[mif3,1] * self.yduomega1bar[1,1] * self.yduomega1bar[mif4,mif2] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,mif1] * self.yduomega1[mif3,1] * self.yduomega1bar[1,1] * self.yduomega1bar[mif4,mif2] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1[mif3,2] * self.yduomega1bar[1,2] * self.yduomega1bar[mif4,mif2] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1[mif3,2] * self.yduomega1bar[1,2] * self.yduomega1bar[mif4,mif2] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,mif1] * self.yduomega1[mif3,2] * self.yduomega1bar[1,2] * self.yduomega1bar[mif4,mif2] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1[mif3,0] * self.yduomega1bar[2,0] * self.yduomega1bar[mif4,mif2] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1[mif3,0] * self.yduomega1bar[2,0] * self.yduomega1bar[mif4,mif2] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,mif1] * self.yduomega1[mif3,0] * self.yduomega1bar[2,0] * self.yduomega1bar[mif4,mif2] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1[mif3,1] * self.yduomega1bar[2,1] * self.yduomega1bar[mif4,mif2] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1[mif3,1] * self.yduomega1bar[2,1] * self.yduomega1bar[mif4,mif2] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,mif1] * self.yduomega1[mif3,1] * self.yduomega1bar[2,1] * self.yduomega1bar[mif4,mif2] + -1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1[mif3,2] * self.yduomega1bar[2,2] * self.yduomega1bar[mif4,mif2] + -1/48 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1[mif3,2] * self.yduomega1bar[2,2] * self.yduomega1bar[mif4,mif2] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,mif1] * self.yduomega1[mif3,2] * self.yduomega1bar[2,2] * self.yduomega1bar[mif4,mif2] + 7/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,0] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,0] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,0] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,0] + 7/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,1] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,1] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,1] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,1] + 7/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,2] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,2] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,2] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,2] + 7/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,0] * self.yeuomega1bar[0,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,0] * self.yeuomega1bar[0,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,0] * self.yeuomega1bar[0,mif1] + 7/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,1] * self.yeuomega1bar[0,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,1] * self.yeuomega1bar[0,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,1] * self.yeuomega1bar[0,mif1] + 7/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,2] * self.yeuomega1bar[0,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,2] * self.yeuomega1bar[0,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,2] * self.yeuomega1bar[0,mif1] + 25/2592 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] + 1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] + -1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] + 7/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,0] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,0] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,0] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,0] + 7/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,1] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,1] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,1] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,1] + 7/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,2] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,2] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,2] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,2] + 7/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,0] * self.yeuomega1bar[1,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,0] * self.yeuomega1bar[1,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,0] * self.yeuomega1bar[1,mif1] + 7/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,1] * self.yeuomega1bar[1,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,1] * self.yeuomega1bar[1,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,1] * self.yeuomega1bar[1,mif1] + 7/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,2] * self.yeuomega1bar[1,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,2] * self.yeuomega1bar[1,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,2] * self.yeuomega1bar[1,mif1] + 25/2592 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] + 1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] + -1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] + 7/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,0] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,0] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,0] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,0] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,0] + 7/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,1] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,1] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,1] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,1] + 7/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,2] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,2] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,2] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,2] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,2] + 7/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,0] * self.yeuomega1bar[2,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,0] * self.yeuomega1bar[2,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,0] * self.yeuomega1bar[2,mif1] + 7/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,1] * self.yeuomega1bar[2,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,1] * self.yeuomega1bar[2,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,1] * self.yeuomega1bar[2,mif1] + 7/384 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,2] * self.yeuomega1bar[2,mif1] + 1/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,2] * self.yeuomega1bar[2,mif1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,2] * self.yeuomega1bar[2,mif1] + 25/2592 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] + 1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] + -1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,0] * self.yubar[0,mif1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,1] * self.yubar[0,mif1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,2] * self.yubar[0,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,0] * self.yubar[0,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,0] * self.yubar[0,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,1] * self.yubar[1,mif1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,0] * self.yubar[1,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,1] * self.yubar[1,mif1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,2] * self.yubar[1,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,1] * self.yubar[1,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,2] * self.yubar[2,mif1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,2] * self.yubar[2,mif1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,0] * self.yubar[2,mif1] + 1/48 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,1] * self.yubar[2,mif1] + -1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,2] * self.yubar[2,mif1])

    def alphaOud8(self, mif1,mif2,mif3,mif4):
        return (-1/960 * (self.g3)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -7/288 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] + -1/48 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] + 1/48 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] + -7/288 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] + -1/48 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] + 1/48 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] + -7/288 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] + -1/48 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] + 1/48 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] + -7/288 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] + -1/48 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] + 1/48 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1[mif3,0] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1[mif3,mif1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1[mif3,mif1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,0] * self.yduomega1[mif3,mif1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1[mif3,0] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1[mif3,mif1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1[mif3,mif1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,0] * self.yduomega1[mif3,mif1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1[mif3,0] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,0] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1[mif3,mif1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1[mif3,mif1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,0] * self.yduomega1[mif3,mif1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,0] + -7/288 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] + -1/48 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] + 1/48 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1[mif3,1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1[mif3,mif1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1[mif3,mif1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,1] * self.yduomega1[mif3,mif1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1[mif3,1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1[mif3,mif1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1[mif3,mif1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,1] * self.yduomega1[mif3,mif1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1[mif3,1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,1] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1[mif3,mif1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1[mif3,mif1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,1] * self.yduomega1[mif3,mif1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,1] + -7/288 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] + -1/48 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] + 1/48 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1[mif3,2] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1[mif3,mif1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1[mif3,mif1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,2] * self.yduomega1[mif3,mif1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[mif4,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1[mif3,2] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1[mif3,mif1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1[mif3,mif1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,2] * self.yduomega1[mif3,mif1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[mif4,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1[mif3,2] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1[mif3,mif1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1[mif3,mif1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,2] * self.yduomega1[mif3,mif1] * self.yduomega1bar[2,mif2] * self.yduomega1bar[mif4,2] + -1 * (self.Momega1)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,mif2] + -5/96 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,mif2] + -3/32 * self.epsilonbar * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,mif2] + 3/8 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,mif2] + 3/16 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,mif2] + -1/16 * self.epsilonbar * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,mif2] + 1/8 * self.epsilonbar * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,mif2] + 1/16 * self.epsilonbar * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,mif2] + -1/8 * self.epsilonbar * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1[mif3,0] * self.yduomega1bar[0,0] * self.yduomega1bar[mif4,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1[mif3,0] * self.yduomega1bar[0,0] * self.yduomega1bar[mif4,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,mif1] * self.yduomega1[mif3,0] * self.yduomega1bar[0,0] * self.yduomega1bar[mif4,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1[mif3,1] * self.yduomega1bar[0,1] * self.yduomega1bar[mif4,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1[mif3,1] * self.yduomega1bar[0,1] * self.yduomega1bar[mif4,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,mif1] * self.yduomega1[mif3,1] * self.yduomega1bar[0,1] * self.yduomega1bar[mif4,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1[mif3,2] * self.yduomega1bar[0,2] * self.yduomega1bar[mif4,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1[mif3,2] * self.yduomega1bar[0,2] * self.yduomega1bar[mif4,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,mif1] * self.yduomega1[mif3,2] * self.yduomega1bar[0,2] * self.yduomega1bar[mif4,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1[mif3,0] * self.yduomega1bar[1,0] * self.yduomega1bar[mif4,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1[mif3,0] * self.yduomega1bar[1,0] * self.yduomega1bar[mif4,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,mif1] * self.yduomega1[mif3,0] * self.yduomega1bar[1,0] * self.yduomega1bar[mif4,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1[mif3,1] * self.yduomega1bar[1,1] * self.yduomega1bar[mif4,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1[mif3,1] * self.yduomega1bar[1,1] * self.yduomega1bar[mif4,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,mif1] * self.yduomega1[mif3,1] * self.yduomega1bar[1,1] * self.yduomega1bar[mif4,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1[mif3,2] * self.yduomega1bar[1,2] * self.yduomega1bar[mif4,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1[mif3,2] * self.yduomega1bar[1,2] * self.yduomega1bar[mif4,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,mif1] * self.yduomega1[mif3,2] * self.yduomega1bar[1,2] * self.yduomega1bar[mif4,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1[mif3,0] * self.yduomega1bar[2,0] * self.yduomega1bar[mif4,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1[mif3,0] * self.yduomega1bar[2,0] * self.yduomega1bar[mif4,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,mif1] * self.yduomega1[mif3,0] * self.yduomega1bar[2,0] * self.yduomega1bar[mif4,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1[mif3,1] * self.yduomega1bar[2,1] * self.yduomega1bar[mif4,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1[mif3,1] * self.yduomega1bar[2,1] * self.yduomega1bar[mif4,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,mif1] * self.yduomega1[mif3,1] * self.yduomega1bar[2,1] * self.yduomega1bar[mif4,mif2] + 1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1[mif3,2] * self.yduomega1bar[2,2] * self.yduomega1bar[mif4,mif2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1[mif3,2] * self.yduomega1bar[2,2] * self.yduomega1bar[mif4,mif2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,mif1] * self.yduomega1[mif3,2] * self.yduomega1bar[2,2] * self.yduomega1bar[mif4,mif2] + -7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,0] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,0] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,0] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,0] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,0] + -7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,1] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,1] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,1] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,1] + -7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,2] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,2] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,2] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,2] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,2] + -7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,0] * self.yeuomega1bar[0,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,0] * self.yeuomega1bar[0,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,0] * self.yeuomega1bar[0,mif1] + -7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,1] * self.yeuomega1bar[0,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,1] * self.yeuomega1bar[0,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,1] * self.yeuomega1bar[0,mif1] + -7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,2] * self.yeuomega1bar[0,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,2] * self.yeuomega1bar[0,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[0,2] * self.yeuomega1bar[0,mif1] + 1/288 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] + -7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,0] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,0] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,0] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,0] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,0] + -7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,1] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,1] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,1] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,1] + -7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,2] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,2] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,2] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,2] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,2] + -7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,0] * self.yeuomega1bar[1,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,0] * self.yeuomega1bar[1,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,0] * self.yeuomega1bar[1,mif1] + -7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,1] * self.yeuomega1bar[1,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,1] * self.yeuomega1bar[1,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,1] * self.yeuomega1bar[1,mif1] + -7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,2] * self.yeuomega1bar[1,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,2] * self.yeuomega1bar[1,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[1,2] * self.yeuomega1bar[1,mif1] + 1/288 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] + -7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,0] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,0] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,0] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,0] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,0] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,0] + -7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,1] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,1] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,1] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,1] + -7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,2] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,2] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,2] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,2] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,mif1] * self.yduomega1bar[mif4,2] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,2] + -7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,0] * self.yeuomega1bar[2,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,0] * self.yeuomega1bar[2,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,0] * self.yeuomega1bar[2,mif1] + -7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,1] * self.yeuomega1bar[2,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,1] * self.yeuomega1bar[2,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,1] * self.yeuomega1bar[2,mif1] + -7/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,2] * self.yeuomega1bar[2,mif1] + -3/64 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,2] * self.yeuomega1bar[2,mif1] + 3/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,mif2] * self.yeuomega1[2,2] * self.yeuomega1bar[2,mif1] + 1/288 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,0] * self.yduomega1bar[mif4,0] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,1] * self.yduomega1bar[mif4,1] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[mif3,2] * self.yduomega1bar[mif4,2] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,0] * self.yubar[0,mif1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,1] * self.yubar[0,mif1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[0,2] * self.yubar[0,mif1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,0] * self.yubar[1,mif1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,1] * self.yubar[1,mif1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[1,2] * self.yubar[1,mif1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,0] * self.yubar[2,mif1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,1] * self.yubar[2,mif1] + 1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yduomega1bar[mif4,mif2] * self.yqqomega1[2,2] * self.yubar[2,mif1])

    def alphaOuG(self, mif1,mif2):
        return (-1/64 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] + -1/64 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] + -1/64 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + -1/64 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] + -1/64 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + -1/64 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + -1/64 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + -1/64 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + -1/64 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/8 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + 1/16 * self.g3 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + -1/16 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + 1/8 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + 1/16 * self.g3 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + -1/16 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + 1/8 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + 1/16 * self.g3 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + -1/16 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + 1/8 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + 1/16 * self.g3 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/16 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + 1/8 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + 1/16 * self.g3 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + -1/16 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + 1/8 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + 1/16 * self.g3 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + -1/16 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + 1/8 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + 1/16 * self.g3 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/16 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + 1/8 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + 1/16 * self.g3 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + -1/16 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + 1/8 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + 1/16 * self.g3 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + -1/16 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yu[0,mif2] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yu[0,mif2] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yu[0,mif2] + 1/96 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,0] * self.yu[0,mif2] + 1/96 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,0] * self.yu[0,mif2] + 1/96 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,0] * self.yu[0,mif2] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yu[1,mif2] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yu[1,mif2] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yu[1,mif2] + 1/96 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,1] * self.yu[1,mif2] + 1/96 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,1] * self.yu[1,mif2] + 1/96 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,1] * self.yu[1,mif2] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yu[2,mif2] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yu[2,mif2] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yu[2,mif2] + 1/96 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,2] * self.yu[2,mif2] + 1/96 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,2] * self.yu[2,mif2] + 1/96 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,2] * self.yu[2,mif2] + 1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif2] * self.yu[mif1,0] + 1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif2] * self.yu[mif1,0] + 1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif2] * self.yu[mif1,0] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,0] * self.yu[mif1,0] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,0] * self.yu[mif1,0] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,0] * self.yu[mif1,0] + 1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif2] * self.yu[mif1,1] + 1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif2] * self.yu[mif1,1] + 1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif2] * self.yu[mif1,1] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,1] * self.yu[mif1,1] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,1] * self.yu[mif1,1] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,1] * self.yu[mif1,1] + 1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif2] * self.yu[mif1,2] + 1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif2] * self.yu[mif1,2] + 1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif2] * self.yu[mif1,2] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,2] * self.yu[mif1,2] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,2] * self.yu[mif1,2] + -1/384 * self.g3 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,2] * self.yu[mif1,2])

    def alphaOuH(self, mif1,mif2):
        return (-3/32 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] + -1/16 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] + 1/16 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] + 1/16 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[0,0] * (self.ylbar[0,0])**(2) * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[0,0] * (self.ylbar[0,0])**(2) * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[0,0] * (self.ylbar[0,0])**(2) * self.yqlomega1bar[mif1,0] + -3/32 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] + -1/16 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] + 1/16 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] + 1/16 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[0,0] * self.ylbar[0,0] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[0,0] * self.ylbar[0,0] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[0,0] * self.ylbar[0,0] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[0,1] * self.ylbar[0,0] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[0,1] * self.ylbar[0,0] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[0,1] * self.ylbar[0,0] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[0,1] * (self.ylbar[0,1])**(2) * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[0,1] * (self.ylbar[0,1])**(2) * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[0,1] * (self.ylbar[0,1])**(2) * self.yqlomega1bar[mif1,0] + -3/32 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + -1/16 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + 1/16 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + 1/16 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[0,0] * self.ylbar[0,0] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[0,0] * self.ylbar[0,0] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[0,0] * self.ylbar[0,0] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[0,2] * self.ylbar[0,0] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[0,2] * self.ylbar[0,0] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[0,2] * self.ylbar[0,0] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[0,1] * self.ylbar[0,1] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[0,1] * self.ylbar[0,1] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[0,1] * self.ylbar[0,1] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[0,2] * self.ylbar[0,1] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[0,2] * self.ylbar[0,1] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[0,2] * self.ylbar[0,1] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[0,2] * (self.ylbar[0,2])**(2) * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[0,2] * (self.ylbar[0,2])**(2) * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[0,2] * (self.ylbar[0,2])**(2) * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[1,0] * self.ylbar[0,0] * self.ylbar[1,0] * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[1,0] * self.ylbar[0,0] * self.ylbar[1,0] * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[1,0] * self.ylbar[0,0] * self.ylbar[1,0] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[1,1] * self.ylbar[0,1] * self.ylbar[1,0] * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[1,1] * self.ylbar[0,1] * self.ylbar[1,0] * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[1,1] * self.ylbar[0,1] * self.ylbar[1,0] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[1,2] * self.ylbar[0,2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[1,2] * self.ylbar[0,2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[1,2] * self.ylbar[0,2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[1,0] * self.ylbar[0,0] * self.ylbar[1,1] * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[1,0] * self.ylbar[0,0] * self.ylbar[1,1] * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[1,0] * self.ylbar[0,0] * self.ylbar[1,1] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[1,1] * self.ylbar[0,1] * self.ylbar[1,1] * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[1,1] * self.ylbar[0,1] * self.ylbar[1,1] * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[1,1] * self.ylbar[0,1] * self.ylbar[1,1] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[1,2] * self.ylbar[0,2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[1,2] * self.ylbar[0,2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[1,2] * self.ylbar[0,2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[1,0] * self.ylbar[0,0] * self.ylbar[1,2] * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[1,0] * self.ylbar[0,0] * self.ylbar[1,2] * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[1,0] * self.ylbar[0,0] * self.ylbar[1,2] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[1,1] * self.ylbar[0,1] * self.ylbar[1,2] * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[1,1] * self.ylbar[0,1] * self.ylbar[1,2] * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[1,1] * self.ylbar[0,1] * self.ylbar[1,2] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[1,2] * self.ylbar[0,2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[1,2] * self.ylbar[0,2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[1,2] * self.ylbar[0,2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[2,0] * self.ylbar[0,0] * self.ylbar[2,0] * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[2,0] * self.ylbar[0,0] * self.ylbar[2,0] * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[2,0] * self.ylbar[0,0] * self.ylbar[2,0] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[2,1] * self.ylbar[0,1] * self.ylbar[2,0] * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[2,1] * self.ylbar[0,1] * self.ylbar[2,0] * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[2,1] * self.ylbar[0,1] * self.ylbar[2,0] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[2,2] * self.ylbar[0,2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[2,2] * self.ylbar[0,2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[2,2] * self.ylbar[0,2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[2,0] * self.ylbar[0,0] * self.ylbar[2,1] * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[2,0] * self.ylbar[0,0] * self.ylbar[2,1] * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[2,0] * self.ylbar[0,0] * self.ylbar[2,1] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[2,1] * self.ylbar[0,1] * self.ylbar[2,1] * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[2,1] * self.ylbar[0,1] * self.ylbar[2,1] * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[2,1] * self.ylbar[0,1] * self.ylbar[2,1] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[2,2] * self.ylbar[0,2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[2,2] * self.ylbar[0,2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[2,2] * self.ylbar[0,2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[2,0] * self.ylbar[0,0] * self.ylbar[2,2] * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[2,0] * self.ylbar[0,0] * self.ylbar[2,2] * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[2,0] * self.ylbar[0,0] * self.ylbar[2,2] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[2,1] * self.ylbar[0,1] * self.ylbar[2,2] * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[2,1] * self.ylbar[0,1] * self.ylbar[2,2] * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[2,1] * self.ylbar[0,1] * self.ylbar[2,2] * self.yqlomega1bar[mif1,0] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[2,2] * self.ylbar[0,2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,0] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[2,2] * self.ylbar[0,2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[2,2] * self.ylbar[0,2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,0] + -3/32 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] + -1/16 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] + 1/16 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] + 1/16 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[0,0] * self.ylbar[0,0] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[0,0] * self.ylbar[0,0] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[0,0] * self.ylbar[0,0] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[0,0] * self.ylbar[0,1] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[0,0] * self.ylbar[0,1] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[0,0] * self.ylbar[0,1] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[0,0] * self.ylbar[0,2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[0,0] * self.ylbar[0,2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[0,0] * self.ylbar[0,2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[1,0] * (self.ylbar[1,0])**(2) * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[1,0] * (self.ylbar[1,0])**(2) * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[1,0] * (self.ylbar[1,0])**(2) * self.yqlomega1bar[mif1,1] + -3/32 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + -1/16 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + 1/16 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + 1/16 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[0,1] * self.ylbar[0,0] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[0,1] * self.ylbar[0,0] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[0,1] * self.ylbar[0,0] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[0,1] * self.ylbar[0,1] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[0,1] * self.ylbar[0,1] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[0,1] * self.ylbar[0,1] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[0,1] * self.ylbar[0,2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[0,1] * self.ylbar[0,2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[0,1] * self.ylbar[0,2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[1,0] * self.ylbar[1,0] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[1,0] * self.ylbar[1,0] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[1,0] * self.ylbar[1,0] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[1,1] * self.ylbar[1,0] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[1,1] * self.ylbar[1,0] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[1,1] * self.ylbar[1,0] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[1,1] * (self.ylbar[1,1])**(2) * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[1,1] * (self.ylbar[1,1])**(2) * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[1,1] * (self.ylbar[1,1])**(2) * self.yqlomega1bar[mif1,1] + -3/32 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + -1/16 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + 1/16 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + 1/16 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[0,2] * self.ylbar[0,0] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[0,2] * self.ylbar[0,0] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[0,2] * self.ylbar[0,0] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[0,2] * self.ylbar[0,1] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[0,2] * self.ylbar[0,1] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[0,2] * self.ylbar[0,1] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[0,2] * self.ylbar[0,2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[0,2] * self.ylbar[0,2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[0,2] * self.ylbar[0,2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[1,0] * self.ylbar[1,0] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[1,0] * self.ylbar[1,0] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[1,0] * self.ylbar[1,0] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[1,2] * self.ylbar[1,0] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[1,2] * self.ylbar[1,0] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[1,2] * self.ylbar[1,0] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[1,1] * self.ylbar[1,1] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[1,1] * self.ylbar[1,1] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[1,1] * self.ylbar[1,1] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[1,2] * self.ylbar[1,1] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[1,2] * self.ylbar[1,1] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[1,2] * self.ylbar[1,1] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[1,2] * (self.ylbar[1,2])**(2) * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[1,2] * (self.ylbar[1,2])**(2) * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[1,2] * (self.ylbar[1,2])**(2) * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[2,0] * self.ylbar[1,0] * self.ylbar[2,0] * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[2,0] * self.ylbar[1,0] * self.ylbar[2,0] * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[2,0] * self.ylbar[1,0] * self.ylbar[2,0] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[2,1] * self.ylbar[1,1] * self.ylbar[2,0] * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[2,1] * self.ylbar[1,1] * self.ylbar[2,0] * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[2,1] * self.ylbar[1,1] * self.ylbar[2,0] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[2,2] * self.ylbar[1,2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[2,2] * self.ylbar[1,2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[2,2] * self.ylbar[1,2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[2,0] * self.ylbar[1,0] * self.ylbar[2,1] * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[2,0] * self.ylbar[1,0] * self.ylbar[2,1] * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[2,0] * self.ylbar[1,0] * self.ylbar[2,1] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[2,1] * self.ylbar[1,1] * self.ylbar[2,1] * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[2,1] * self.ylbar[1,1] * self.ylbar[2,1] * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[2,1] * self.ylbar[1,1] * self.ylbar[2,1] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[2,2] * self.ylbar[1,2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[2,2] * self.ylbar[1,2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[2,2] * self.ylbar[1,2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[2,0] * self.ylbar[1,0] * self.ylbar[2,2] * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[2,0] * self.ylbar[1,0] * self.ylbar[2,2] * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[2,0] * self.ylbar[1,0] * self.ylbar[2,2] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[2,1] * self.ylbar[1,1] * self.ylbar[2,2] * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[2,1] * self.ylbar[1,1] * self.ylbar[2,2] * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[2,1] * self.ylbar[1,1] * self.ylbar[2,2] * self.yqlomega1bar[mif1,1] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[2,2] * self.ylbar[1,2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,1] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[2,2] * self.ylbar[1,2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[2,2] * self.ylbar[1,2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,1] + -3/32 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + -1/16 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + 1/16 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + 1/16 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[0,0] * self.ylbar[0,0] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[0,0] * self.ylbar[0,0] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[0,0] * self.ylbar[0,0] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[0,0] * self.ylbar[0,1] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[0,0] * self.ylbar[0,1] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[0,0] * self.ylbar[0,1] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[0,0] * self.ylbar[0,2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[0,0] * self.ylbar[0,2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[0,0] * self.ylbar[0,2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[1,0] * self.ylbar[1,0] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[1,0] * self.ylbar[1,0] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[1,0] * self.ylbar[1,0] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[1,0] * self.ylbar[1,1] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[1,0] * self.ylbar[1,1] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[1,0] * self.ylbar[1,1] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[1,0] * self.ylbar[1,2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[1,0] * self.ylbar[1,2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[1,0] * self.ylbar[1,2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[2,0] * (self.ylbar[2,0])**(2) * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[2,0] * (self.ylbar[2,0])**(2) * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[2,0] * (self.ylbar[2,0])**(2) * self.yqlomega1bar[mif1,2] + -3/32 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + -1/16 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + 1/16 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + 1/16 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[0,1] * self.ylbar[0,0] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[0,1] * self.ylbar[0,0] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[0,1] * self.ylbar[0,0] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[0,1] * self.ylbar[0,1] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[0,1] * self.ylbar[0,1] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[0,1] * self.ylbar[0,1] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[0,1] * self.ylbar[0,2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[0,1] * self.ylbar[0,2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[0,1] * self.ylbar[0,2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[1,1] * self.ylbar[1,0] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[1,1] * self.ylbar[1,0] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[1,1] * self.ylbar[1,0] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[1,1] * self.ylbar[1,1] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[1,1] * self.ylbar[1,1] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[1,1] * self.ylbar[1,1] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[1,1] * self.ylbar[1,2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[1,1] * self.ylbar[1,2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[1,1] * self.ylbar[1,2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[2,0] * self.ylbar[2,0] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[2,0] * self.ylbar[2,0] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[2,0] * self.ylbar[2,0] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[2,1] * self.ylbar[2,0] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[2,1] * self.ylbar[2,0] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[2,1] * self.ylbar[2,0] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[2,1] * (self.ylbar[2,1])**(2) * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[2,1] * (self.ylbar[2,1])**(2) * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[2,1] * (self.ylbar[2,1])**(2) * self.yqlomega1bar[mif1,2] + -3/32 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + -1/16 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/16 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/16 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[0,2] * self.ylbar[0,0] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[0,2] * self.ylbar[0,0] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[0,2] * self.ylbar[0,0] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[0,2] * self.ylbar[0,1] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[0,2] * self.ylbar[0,1] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[0,2] * self.ylbar[0,1] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[0,2] * self.ylbar[0,2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[0,2] * self.ylbar[0,2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[0,2] * self.ylbar[0,2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[1,2] * self.ylbar[1,0] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[1,2] * self.ylbar[1,0] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[1,2] * self.ylbar[1,0] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[1,2] * self.ylbar[1,1] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[1,2] * self.ylbar[1,1] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[1,2] * self.ylbar[1,1] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[1,2] * self.ylbar[1,2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[1,2] * self.ylbar[1,2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[1,2] * self.ylbar[1,2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[2,0] * self.ylbar[2,0] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[2,0] * self.ylbar[2,0] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[2,0] * self.ylbar[2,0] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[2,2] * self.ylbar[2,0] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yl[2,2] * self.ylbar[2,0] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yl[2,2] * self.ylbar[2,0] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[2,1] * self.ylbar[2,1] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[2,1] * self.ylbar[2,1] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[2,1] * self.ylbar[2,1] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[2,2] * self.ylbar[2,1] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yl[2,2] * self.ylbar[2,1] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yl[2,2] * self.ylbar[2,1] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[2,2] * (self.ylbar[2,2])**(2) * self.yqlomega1bar[mif1,2] + 1/16 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yl[2,2] * (self.ylbar[2,2])**(2) * self.yqlomega1bar[mif1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yl[2,2] * (self.ylbar[2,2])**(2) * self.yqlomega1bar[mif1,2] + 3/8 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + 1/4 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * (self.ydbar[0,0])**(2) * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * (self.ydbar[0,0])**(2) * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * (self.ydbar[0,0])**(2) * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[0,1] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[0,1] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[0,1] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[0,2] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[0,2] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[0,2] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + 3/8 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + 1/4 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * (self.ydbar[0,1])**(2) * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * (self.ydbar[0,1])**(2) * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * (self.ydbar[0,1])**(2) * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[0,2] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[0,2] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[0,2] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + 3/8 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + 1/4 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,1] * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * (self.ydbar[0,2])**(2) * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * (self.ydbar[0,2])**(2) * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * (self.ydbar[0,2])**(2) * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + 3/8 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + 1/4 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * (self.ydbar[1,0])**(2) * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * (self.ydbar[1,0])**(2) * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * (self.ydbar[1,0])**(2) * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[1,1] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[1,1] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[1,1] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,0] * self.ydbar[1,1] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,0] * self.ydbar[1,1] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,0] * self.ydbar[1,1] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[1,2] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[1,2] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[1,2] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,0] * self.ydbar[1,2] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,0] * self.ydbar[1,2] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,0] * self.ydbar[1,2] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,1] * self.ydbar[1,0] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,1] * self.ydbar[1,0] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,1] * self.ydbar[1,0] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + 3/8 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + 1/4 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,1] * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * (self.ydbar[1,1])**(2) * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * (self.ydbar[1,1])**(2) * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * (self.ydbar[1,1])**(2) * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[1,2] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[1,2] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[1,2] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,1] * self.ydbar[1,2] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,1] * self.ydbar[1,2] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,1] * self.ydbar[1,2] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,2] * self.ydbar[1,0] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,2] * self.ydbar[1,0] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,2] * self.ydbar[1,0] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,2] * self.ydbar[1,1] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,2] * self.ydbar[1,1] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,2] * self.ydbar[1,1] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + 3/8 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + 1/4 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,2] * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,1] * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * (self.ydbar[1,2])**(2) * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * (self.ydbar[1,2])**(2) * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * (self.ydbar[1,2])**(2) * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + 3/8 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + 1/4 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * (self.ydbar[2,0])**(2) * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * (self.ydbar[2,0])**(2) * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * (self.ydbar[2,0])**(2) * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[2,1] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[2,1] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[2,1] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,0] * self.ydbar[2,1] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,0] * self.ydbar[2,1] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,0] * self.ydbar[2,1] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,0] * self.ydbar[2,1] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,0] * self.ydbar[2,1] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,0] * self.ydbar[2,1] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[2,2] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[2,2] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[2,2] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,0] * self.ydbar[2,2] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,0] * self.ydbar[2,2] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,0] * self.ydbar[2,2] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,0] * self.ydbar[2,2] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,0] * self.ydbar[2,2] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,0] * self.ydbar[2,2] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,1] * self.ydbar[2,0] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,1] * self.ydbar[2,0] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,1] * self.ydbar[2,0] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,1] * self.ydbar[2,0] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,1] * self.ydbar[2,0] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,1] * self.ydbar[2,0] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + 3/8 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + 1/4 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,1] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,1] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,0] * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * (self.ydbar[2,1])**(2) * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * (self.ydbar[2,1])**(2) * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * (self.ydbar[2,1])**(2) * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[2,2] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[2,2] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[2,2] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,1] * self.ydbar[2,2] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,1] * self.ydbar[2,2] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,1] * self.ydbar[2,2] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,1] * self.ydbar[2,2] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,1] * self.ydbar[2,2] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,1] * self.ydbar[2,2] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,2] * self.ydbar[2,0] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,2] * self.ydbar[2,0] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,2] * self.ydbar[2,0] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,2] * self.ydbar[2,0] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,2] * self.ydbar[2,0] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,2] * self.ydbar[2,0] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,2] * self.ydbar[2,1] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,2] * self.ydbar[2,1] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,2] * self.ydbar[2,1] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,2] * self.ydbar[2,1] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,2] * self.ydbar[2,1] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,2] * self.ydbar[2,1] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + 3/8 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + 1/4 * self.invepsilonbar * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.lam * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,2] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,2] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,0] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,1] * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + -1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * (self.ydbar[2,2])**(2) * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + -1/4 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * (self.ydbar[2,2])**(2) * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + 1/4 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yd[2,2] * (self.ydbar[2,2])**(2) * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[0,0] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[0,1] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[0,2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[0,0] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,0] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[0,1] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,0] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[0,2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,0] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[0,0] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,0] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[0,1] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,0] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[0,2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,0] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[1,0] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,1] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[1,1] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,1] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[1,2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,1] * self.yu[0,mif2] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[1,0] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[1,1] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[1,2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[1,0] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,1] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[1,1] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,1] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[1,2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,1] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[2,0] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,2] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[2,1] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,2] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[2,2] * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,2] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[2,0] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,2] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[2,1] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,2] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[2,2] * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,2] * self.yu[0,mif2] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[2,0] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[2,1] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yu[0,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[2,2] * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yu[0,mif2] + 1/8 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,0] * self.yu[0,mif2] + 1/8 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,0] * self.yu[0,mif2] + 1/8 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,0] * self.yu[0,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,0] * self.yu[0,mif2] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[0,0] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[0,1] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[0,2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[0,0] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,0] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[0,1] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,0] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[0,2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,0] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[0,0] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,0] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[0,1] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,0] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[0,2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,0] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[1,0] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,1] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[1,1] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,1] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[1,2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,1] * self.yu[1,mif2] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[1,0] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[1,1] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[1,2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[1,0] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,1] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[1,1] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,1] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[1,2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,1] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[2,0] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,2] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[2,1] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,2] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[2,2] * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,2] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[2,0] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,2] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[2,1] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,2] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[2,2] * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,2] * self.yu[1,mif2] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[2,0] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[2,1] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yu[1,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[2,2] * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yu[1,mif2] + 1/8 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,1] * self.yu[1,mif2] + 1/8 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,1] * self.yu[1,mif2] + 1/8 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,1] * self.yu[1,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,1] * self.yu[1,mif2] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[0,0] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[0,1] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[0,2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[0,0] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,0] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[0,1] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,0] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[0,2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,0] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[0,0] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,0] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[0,1] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,0] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[0,2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,0] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[1,0] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,1] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[1,1] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,1] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[1,2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,1] * self.yu[2,mif2] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[1,0] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[1,1] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[1,2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[1,0] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,1] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[1,1] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,1] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[1,2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,1] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[2,0] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,2] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[2,1] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,2] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[2,2] * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,2] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[2,0] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,2] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[2,1] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,2] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[2,2] * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,2] * self.yu[2,mif2] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[2,0] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[2,1] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yu[2,mif2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[2,2] * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yu[2,mif2] + 1/8 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[0,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[0,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[1,2] * self.yu[2,mif2] + 1/8 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[1,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.yqqomega1[0,mif1] * self.yqqomega1bar[2,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.yqqomega1[1,mif1] * self.yqqomega1bar[2,2] * self.yu[2,mif2] + 1/8 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,2] * self.yu[2,mif2] + -1/8 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,2] * self.yu[2,mif2] + 1/32 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yduomega1[0,0] * self.yduomega1bar[0,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yduomega1[0,0] * self.yduomega1bar[0,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yduomega1[0,0] * self.yduomega1bar[0,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,0] * self.yduomega1[1,0] * self.yduomega1bar[0,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,0] * self.yduomega1[1,0] * self.yduomega1bar[0,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,0] * self.yduomega1[1,0] * self.yduomega1bar[0,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,0] * self.yduomega1[2,0] * self.yduomega1bar[0,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,0] * self.yduomega1[2,0] * self.yduomega1bar[0,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,0] * self.yduomega1[2,0] * self.yduomega1bar[0,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,1] * self.yduomega1[0,0] * self.yduomega1bar[1,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,1] * self.yduomega1[0,0] * self.yduomega1bar[1,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,1] * self.yduomega1[0,0] * self.yduomega1bar[1,mif2] * self.yu[mif1,0] + 1/32 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yduomega1[1,0] * self.yduomega1bar[1,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yduomega1[1,0] * self.yduomega1bar[1,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yduomega1[1,0] * self.yduomega1bar[1,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,1] * self.yduomega1[2,0] * self.yduomega1bar[1,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,1] * self.yduomega1[2,0] * self.yduomega1bar[1,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,1] * self.yduomega1[2,0] * self.yduomega1bar[1,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,2] * self.yduomega1[0,0] * self.yduomega1bar[2,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,2] * self.yduomega1[0,0] * self.yduomega1bar[2,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,2] * self.yduomega1[0,0] * self.yduomega1bar[2,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,2] * self.yduomega1[1,0] * self.yduomega1bar[2,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,2] * self.yduomega1[1,0] * self.yduomega1bar[2,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,2] * self.yduomega1[1,0] * self.yduomega1bar[2,mif2] * self.yu[mif1,0] + 1/32 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yduomega1[2,0] * self.yduomega1bar[2,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yduomega1[2,0] * self.yduomega1bar[2,mif2] * self.yu[mif1,0] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yduomega1[2,0] * self.yduomega1bar[2,mif2] * self.yu[mif1,0] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,0] * self.yu[mif1,0] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,0] * self.yu[mif1,0] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,0] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,0] * self.yl[0,0] * self.ylbar[0,0] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[1,0] * self.yl[0,1] * self.ylbar[0,0] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[2,0] * self.yl[0,2] * self.ylbar[0,0] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[0,0] * self.yl[0,0] * self.ylbar[0,1] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,0] * self.yl[0,1] * self.ylbar[0,1] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[2,0] * self.yl[0,2] * self.ylbar[0,1] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[0,0] * self.yl[0,0] * self.ylbar[0,2] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[1,0] * self.yl[0,1] * self.ylbar[0,2] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,0] * self.yl[0,2] * self.ylbar[0,2] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,0] * self.yl[1,0] * self.ylbar[1,0] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[1,0] * self.yl[1,1] * self.ylbar[1,0] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[2,0] * self.yl[1,2] * self.ylbar[1,0] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[0,0] * self.yl[1,0] * self.ylbar[1,1] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,0] * self.yl[1,1] * self.ylbar[1,1] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[2,0] * self.yl[1,2] * self.ylbar[1,1] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[0,0] * self.yl[1,0] * self.ylbar[1,2] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[1,0] * self.yl[1,1] * self.ylbar[1,2] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,0] * self.yl[1,2] * self.ylbar[1,2] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,0] * self.yl[2,0] * self.ylbar[2,0] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[1,0] * self.yl[2,1] * self.ylbar[2,0] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[2,0] * self.yl[2,2] * self.ylbar[2,0] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[0,0] * self.yl[2,0] * self.ylbar[2,1] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,0] * self.yl[2,1] * self.ylbar[2,1] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[2,0] * self.yl[2,2] * self.ylbar[2,1] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[0,0] * self.yl[2,0] * self.ylbar[2,2] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[1,0] * self.yl[2,1] * self.ylbar[2,2] * self.yu[mif1,0] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,0] * self.yl[2,2] * self.ylbar[2,2] * self.yu[mif1,0] + 1/32 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yduomega1[0,1] * self.yduomega1bar[0,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yduomega1[0,1] * self.yduomega1bar[0,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yduomega1[0,1] * self.yduomega1bar[0,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,0] * self.yduomega1[1,1] * self.yduomega1bar[0,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,0] * self.yduomega1[1,1] * self.yduomega1bar[0,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,0] * self.yduomega1[1,1] * self.yduomega1bar[0,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,0] * self.yduomega1[2,1] * self.yduomega1bar[0,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,0] * self.yduomega1[2,1] * self.yduomega1bar[0,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,0] * self.yduomega1[2,1] * self.yduomega1bar[0,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,1] * self.yduomega1[0,1] * self.yduomega1bar[1,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,1] * self.yduomega1[0,1] * self.yduomega1bar[1,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,1] * self.yduomega1[0,1] * self.yduomega1bar[1,mif2] * self.yu[mif1,1] + 1/32 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yduomega1[1,1] * self.yduomega1bar[1,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yduomega1[1,1] * self.yduomega1bar[1,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yduomega1[1,1] * self.yduomega1bar[1,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,1] * self.yduomega1[2,1] * self.yduomega1bar[1,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,1] * self.yduomega1[2,1] * self.yduomega1bar[1,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,1] * self.yduomega1[2,1] * self.yduomega1bar[1,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,2] * self.yduomega1[0,1] * self.yduomega1bar[2,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,2] * self.yduomega1[0,1] * self.yduomega1bar[2,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,2] * self.yduomega1[0,1] * self.yduomega1bar[2,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,2] * self.yduomega1[1,1] * self.yduomega1bar[2,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,2] * self.yduomega1[1,1] * self.yduomega1bar[2,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,2] * self.yduomega1[1,1] * self.yduomega1bar[2,mif2] * self.yu[mif1,1] + 1/32 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yduomega1[2,1] * self.yduomega1bar[2,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yduomega1[2,1] * self.yduomega1bar[2,mif2] * self.yu[mif1,1] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yduomega1[2,1] * self.yduomega1bar[2,mif2] * self.yu[mif1,1] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,1] * self.yu[mif1,1] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,1] * self.yu[mif1,1] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,1] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,1] * self.yl[0,0] * self.ylbar[0,0] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[1,1] * self.yl[0,1] * self.ylbar[0,0] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[2,1] * self.yl[0,2] * self.ylbar[0,0] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[0,1] * self.yl[0,0] * self.ylbar[0,1] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,1] * self.yl[0,1] * self.ylbar[0,1] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[2,1] * self.yl[0,2] * self.ylbar[0,1] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[0,1] * self.yl[0,0] * self.ylbar[0,2] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[1,1] * self.yl[0,1] * self.ylbar[0,2] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,1] * self.yl[0,2] * self.ylbar[0,2] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,1] * self.yl[1,0] * self.ylbar[1,0] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[1,1] * self.yl[1,1] * self.ylbar[1,0] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[2,1] * self.yl[1,2] * self.ylbar[1,0] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[0,1] * self.yl[1,0] * self.ylbar[1,1] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,1] * self.yl[1,1] * self.ylbar[1,1] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[2,1] * self.yl[1,2] * self.ylbar[1,1] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[0,1] * self.yl[1,0] * self.ylbar[1,2] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[1,1] * self.yl[1,1] * self.ylbar[1,2] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,1] * self.yl[1,2] * self.ylbar[1,2] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,1] * self.yl[2,0] * self.ylbar[2,0] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[1,1] * self.yl[2,1] * self.ylbar[2,0] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[2,1] * self.yl[2,2] * self.ylbar[2,0] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[0,1] * self.yl[2,0] * self.ylbar[2,1] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,1] * self.yl[2,1] * self.ylbar[2,1] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[2,1] * self.yl[2,2] * self.ylbar[2,1] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[0,1] * self.yl[2,0] * self.ylbar[2,2] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[1,1] * self.yl[2,1] * self.ylbar[2,2] * self.yu[mif1,1] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,1] * self.yl[2,2] * self.ylbar[2,2] * self.yu[mif1,1] + 1/32 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yduomega1[0,2] * self.yduomega1bar[0,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yduomega1[0,2] * self.yduomega1bar[0,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yduomega1[0,2] * self.yduomega1bar[0,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,0] * self.yduomega1[1,2] * self.yduomega1bar[0,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,0] * self.yduomega1[1,2] * self.yduomega1bar[0,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,0] * self.yduomega1[1,2] * self.yduomega1bar[0,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,0] * self.yduomega1[2,2] * self.yduomega1bar[0,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,0] * self.yduomega1[2,2] * self.yduomega1bar[0,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,0] * self.yduomega1[2,2] * self.yduomega1bar[0,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,1] * self.yduomega1[0,2] * self.yduomega1bar[1,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,1] * self.yduomega1[0,2] * self.yduomega1bar[1,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,1] * self.yduomega1[0,2] * self.yduomega1bar[1,mif2] * self.yu[mif1,2] + 1/32 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yduomega1[1,2] * self.yduomega1bar[1,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yduomega1[1,2] * self.yduomega1bar[1,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yduomega1[1,2] * self.yduomega1bar[1,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,1] * self.yduomega1[2,2] * self.yduomega1bar[1,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,1] * self.yduomega1[2,2] * self.yduomega1bar[1,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,1] * self.yduomega1[2,2] * self.yduomega1bar[1,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,2] * self.yduomega1[0,2] * self.yduomega1bar[2,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,2] * self.yduomega1[0,2] * self.yduomega1bar[2,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,2] * self.yduomega1[0,2] * self.yduomega1bar[2,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,2] * self.yduomega1[1,2] * self.yduomega1bar[2,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,2] * self.yduomega1[1,2] * self.yduomega1bar[2,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,2] * self.yduomega1[1,2] * self.yduomega1bar[2,mif2] * self.yu[mif1,2] + 1/32 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yduomega1[2,2] * self.yduomega1bar[2,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yduomega1[2,2] * self.yduomega1bar[2,mif2] * self.yu[mif1,2] + -1/32 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yduomega1[2,2] * self.yduomega1bar[2,mif2] * self.yu[mif1,2] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,2] * self.yu[mif1,2] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,2] * self.yu[mif1,2] + 1/64 * self.lambdaHatomega1 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,2] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,2] * self.yl[0,0] * self.ylbar[0,0] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[1,2] * self.yl[0,1] * self.ylbar[0,0] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[2,2] * self.yl[0,2] * self.ylbar[0,0] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[0,2] * self.yl[0,0] * self.ylbar[0,1] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,2] * self.yl[0,1] * self.ylbar[0,1] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[2,2] * self.yl[0,2] * self.ylbar[0,1] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[0,2] * self.yl[0,0] * self.ylbar[0,2] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[1,2] * self.yl[0,1] * self.ylbar[0,2] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,2] * self.yl[0,2] * self.ylbar[0,2] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,2] * self.yl[1,0] * self.ylbar[1,0] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[1,2] * self.yl[1,1] * self.ylbar[1,0] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[2,2] * self.yl[1,2] * self.ylbar[1,0] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[0,2] * self.yl[1,0] * self.ylbar[1,1] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,2] * self.yl[1,1] * self.ylbar[1,1] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[2,2] * self.yl[1,2] * self.ylbar[1,1] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[0,2] * self.yl[1,0] * self.ylbar[1,2] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[1,2] * self.yl[1,1] * self.ylbar[1,2] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,2] * self.yl[1,2] * self.ylbar[1,2] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,2] * self.yl[2,0] * self.ylbar[2,0] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[1,2] * self.yl[2,1] * self.ylbar[2,0] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1bar[2,2] * self.yl[2,2] * self.ylbar[2,0] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[0,2] * self.yl[2,0] * self.ylbar[2,1] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,2] * self.yl[2,1] * self.ylbar[2,1] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1bar[2,2] * self.yl[2,2] * self.ylbar[2,1] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[0,2] * self.yl[2,0] * self.ylbar[2,2] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[1,2] * self.yl[2,1] * self.ylbar[2,2] * self.yu[mif1,2] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,2] * self.yl[2,2] * self.ylbar[2,2] * self.yu[mif1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] * self.yu[0,mif2] * self.yubar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] * self.yu[0,mif2] * self.yubar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] * self.yu[0,mif2] * self.yubar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] * self.yu[0,mif2] * self.yubar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] * self.yu[0,mif2] * self.yubar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] * self.yu[0,mif2] * self.yubar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] * self.yu[0,mif2] * self.yubar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] * self.yu[0,mif2] * self.yubar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] * self.yu[0,mif2] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,0] * self.yqqomega1[0,mif1] * self.yu[0,mif2] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,0] * self.yqqomega1[0,mif1] * self.yu[0,mif2] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,0] * self.yqqomega1[0,mif1] * self.yu[0,mif2] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,0] * self.yqqomega1[1,mif1] * self.yu[0,mif2] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,0] * self.yqqomega1[1,mif1] * self.yu[0,mif2] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,0] * self.yqqomega1[1,mif1] * self.yu[0,mif2] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,0] * self.yqqomega1[2,mif1] * self.yu[0,mif2] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,0] * self.yqqomega1[2,mif1] * self.yu[0,mif2] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,0] * self.yqqomega1[2,mif1] * self.yu[0,mif2] * self.yubar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[0,0] * self.yu[mif1,0] * self.yubar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[0,0] * self.yu[mif1,0] * self.yubar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[0,0] * self.yu[mif1,0] * self.yubar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[0,1] * self.yu[mif1,0] * self.yubar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[0,1] * self.yu[mif1,0] * self.yubar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[0,1] * self.yu[mif1,0] * self.yubar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[0,2] * self.yu[mif1,0] * self.yubar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[0,2] * self.yu[mif1,0] * self.yubar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[0,2] * self.yu[mif1,0] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,0] * self.yu[mif1,0] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,0] * self.yu[mif1,0] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,0] * self.yu[mif1,0] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,0] * self.yu[mif1,0] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,0] * self.yu[mif1,0] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,0] * self.yu[mif1,0] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,0] * self.yu[mif1,0] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,0] * self.yu[mif1,0] * self.yubar[0,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,0] * self.yu[mif1,0] * self.yubar[0,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[0,0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[1,0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[2,0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[0,0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[0,1] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[0,2] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1bar[0,0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1bar[1,0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1bar[2,0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[0,0] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[0,1] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[0,2] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1bar[0,1] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1bar[1,1] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1bar[2,1] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[0,0] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[0,1] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[0,2] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1bar[0,2] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1bar[1,2] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1bar[2,2] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[0,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,0] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,0] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,0] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[0,1] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[1,1] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[2,1] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,0] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,0] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,0] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[0,2] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[1,2] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[2,2] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] * self.yu[0,mif2] * self.yubar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] * self.yu[0,mif2] * self.yubar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] * self.yu[0,mif2] * self.yubar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] * self.yu[0,mif2] * self.yubar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] * self.yu[0,mif2] * self.yubar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] * self.yu[0,mif2] * self.yubar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] * self.yu[0,mif2] * self.yubar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] * self.yu[0,mif2] * self.yubar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] * self.yu[0,mif2] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,1] * self.yqqomega1[0,mif1] * self.yu[0,mif2] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,1] * self.yqqomega1[0,mif1] * self.yu[0,mif2] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,1] * self.yqqomega1[0,mif1] * self.yu[0,mif2] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,1] * self.yqqomega1[1,mif1] * self.yu[0,mif2] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,1] * self.yqqomega1[1,mif1] * self.yu[0,mif2] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,1] * self.yqqomega1[1,mif1] * self.yu[0,mif2] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,1] * self.yqqomega1[2,mif1] * self.yu[0,mif2] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,1] * self.yqqomega1[2,mif1] * self.yu[0,mif2] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,1] * self.yqqomega1[2,mif1] * self.yu[0,mif2] * self.yubar[0,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,1] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,1] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,1] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[0,0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[1,0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[2,0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[0,0] * self.yu[mif1,1] * self.yubar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[0,0] * self.yu[mif1,1] * self.yubar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[0,0] * self.yu[mif1,1] * self.yubar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[0,1] * self.yu[mif1,1] * self.yubar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[0,1] * self.yu[mif1,1] * self.yubar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[0,1] * self.yu[mif1,1] * self.yubar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[0,2] * self.yu[mif1,1] * self.yubar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[0,2] * self.yu[mif1,1] * self.yubar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[0,2] * self.yu[mif1,1] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,0] * self.yu[mif1,1] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,0] * self.yu[mif1,1] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,0] * self.yu[mif1,1] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,0] * self.yu[mif1,1] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,0] * self.yu[mif1,1] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,0] * self.yu[mif1,1] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,0] * self.yu[mif1,1] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,0] * self.yu[mif1,1] * self.yubar[0,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,0] * self.yu[mif1,1] * self.yubar[0,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,1] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,1] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,1] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[0,1] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[1,1] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[2,1] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[0,0] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[0,1] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[0,2] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1bar[0,0] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1bar[1,0] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1bar[2,0] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[0,0] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[0,1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[0,2] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1bar[0,1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1bar[1,1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1bar[2,1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[0,0] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[0,1] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[0,2] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1bar[0,2] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1bar[1,2] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1bar[2,2] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[0,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,1] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,1] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,1] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[0,2] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[1,2] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[2,2] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] * self.yu[0,mif2] * self.yubar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] * self.yu[0,mif2] * self.yubar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] * self.yu[0,mif2] * self.yubar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] * self.yu[0,mif2] * self.yubar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] * self.yu[0,mif2] * self.yubar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] * self.yu[0,mif2] * self.yubar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] * self.yu[0,mif2] * self.yubar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] * self.yu[0,mif2] * self.yubar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] * self.yu[0,mif2] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,2] * self.yqqomega1[0,mif1] * self.yu[0,mif2] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,2] * self.yqqomega1[0,mif1] * self.yu[0,mif2] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,2] * self.yqqomega1[0,mif1] * self.yu[0,mif2] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,2] * self.yqqomega1[1,mif1] * self.yu[0,mif2] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,2] * self.yqqomega1[1,mif1] * self.yu[0,mif2] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,2] * self.yqqomega1[1,mif1] * self.yu[0,mif2] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,2] * self.yqqomega1[2,mif1] * self.yu[0,mif2] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,2] * self.yqqomega1[2,mif1] * self.yu[0,mif2] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,2] * self.yqqomega1[2,mif1] * self.yu[0,mif2] * self.yubar[0,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,2] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,2] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,2] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[0,0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[1,0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[2,0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,2] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,2] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,2] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[0,1] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[1,1] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[2,1] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[0,0] * self.yu[mif1,2] * self.yubar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[0,0] * self.yu[mif1,2] * self.yubar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[0,0] * self.yu[mif1,2] * self.yubar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[0,1] * self.yu[mif1,2] * self.yubar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[0,1] * self.yu[mif1,2] * self.yubar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[0,1] * self.yu[mif1,2] * self.yubar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[0,2] * self.yu[mif1,2] * self.yubar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[0,2] * self.yu[mif1,2] * self.yubar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[0,2] * self.yu[mif1,2] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,0] * self.yu[mif1,2] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,0] * self.yu[mif1,2] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,0] * self.yu[mif1,2] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,0] * self.yu[mif1,2] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,0] * self.yu[mif1,2] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,0] * self.yu[mif1,2] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,0] * self.yu[mif1,2] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,0] * self.yu[mif1,2] * self.yubar[0,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,0] * self.yu[mif1,2] * self.yubar[0,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,2] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,2] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,2] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[0,2] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[1,2] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[2,2] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[0,0] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[0,1] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[0,2] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1bar[0,0] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1bar[1,0] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1bar[2,0] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[0,0] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[0,1] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[0,2] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1bar[0,1] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1bar[1,1] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1bar[2,1] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[0,0] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[0,1] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[0,2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,0] * self.yqqomega1bar[0,2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,0] * self.yqqomega1bar[1,2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,0] * self.yqqomega1bar[2,2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[0,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] * self.yu[1,mif2] * self.yubar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] * self.yu[1,mif2] * self.yubar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] * self.yu[1,mif2] * self.yubar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] * self.yu[1,mif2] * self.yubar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] * self.yu[1,mif2] * self.yubar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] * self.yu[1,mif2] * self.yubar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] * self.yu[1,mif2] * self.yubar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] * self.yu[1,mif2] * self.yubar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] * self.yu[1,mif2] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,0] * self.yqqomega1[0,mif1] * self.yu[1,mif2] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,0] * self.yqqomega1[0,mif1] * self.yu[1,mif2] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,0] * self.yqqomega1[0,mif1] * self.yu[1,mif2] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,0] * self.yqqomega1[1,mif1] * self.yu[1,mif2] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,0] * self.yqqomega1[1,mif1] * self.yu[1,mif2] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,0] * self.yqqomega1[1,mif1] * self.yu[1,mif2] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,0] * self.yqqomega1[2,mif1] * self.yu[1,mif2] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,0] * self.yqqomega1[2,mif1] * self.yu[1,mif2] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,0] * self.yqqomega1[2,mif1] * self.yu[1,mif2] * self.yubar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[1,0] * self.yu[mif1,0] * self.yubar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[1,0] * self.yu[mif1,0] * self.yubar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[1,0] * self.yu[mif1,0] * self.yubar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[1,1] * self.yu[mif1,0] * self.yubar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[1,1] * self.yu[mif1,0] * self.yubar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[1,1] * self.yu[mif1,0] * self.yubar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[1,2] * self.yu[mif1,0] * self.yubar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[1,2] * self.yu[mif1,0] * self.yubar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[1,2] * self.yu[mif1,0] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,1] * self.yu[mif1,0] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,1] * self.yu[mif1,0] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,1] * self.yu[mif1,0] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,1] * self.yu[mif1,0] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,1] * self.yu[mif1,0] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,1] * self.yu[mif1,0] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,1] * self.yu[mif1,0] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,1] * self.yu[mif1,0] * self.yubar[1,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,1] * self.yu[mif1,0] * self.yubar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[1,0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[1,1] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[1,2] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1bar[0,0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1bar[1,0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1bar[2,0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,0] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,0] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,0] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[0,0] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[1,0] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[2,0] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[1,0] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[1,1] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[1,2] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1bar[0,1] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1bar[1,1] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1bar[2,1] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[1,0] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[1,1] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[1,2] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1bar[0,2] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1bar[1,2] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1bar[2,2] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,0] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,0] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,0] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[0,1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[1,1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[2,1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,0] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,0] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,0] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[0,2] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[1,2] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[2,2] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] * self.yu[1,mif2] * self.yubar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] * self.yu[1,mif2] * self.yubar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] * self.yu[1,mif2] * self.yubar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] * self.yu[1,mif2] * self.yubar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] * self.yu[1,mif2] * self.yubar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] * self.yu[1,mif2] * self.yubar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] * self.yu[1,mif2] * self.yubar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] * self.yu[1,mif2] * self.yubar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] * self.yu[1,mif2] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,1] * self.yqqomega1[0,mif1] * self.yu[1,mif2] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,1] * self.yqqomega1[0,mif1] * self.yu[1,mif2] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,1] * self.yqqomega1[0,mif1] * self.yu[1,mif2] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,1] * self.yqqomega1[1,mif1] * self.yu[1,mif2] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,1] * self.yqqomega1[1,mif1] * self.yu[1,mif2] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,1] * self.yqqomega1[1,mif1] * self.yu[1,mif2] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,1] * self.yqqomega1[2,mif1] * self.yu[1,mif2] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,1] * self.yqqomega1[2,mif1] * self.yu[1,mif2] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,1] * self.yqqomega1[2,mif1] * self.yu[1,mif2] * self.yubar[1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,1] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,1] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,1] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[0,0] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[1,0] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[2,0] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[1,0] * self.yu[mif1,1] * self.yubar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[1,0] * self.yu[mif1,1] * self.yubar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[1,0] * self.yu[mif1,1] * self.yubar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[1,1] * self.yu[mif1,1] * self.yubar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[1,1] * self.yu[mif1,1] * self.yubar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[1,1] * self.yu[mif1,1] * self.yubar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[1,2] * self.yu[mif1,1] * self.yubar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[1,2] * self.yu[mif1,1] * self.yubar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[1,2] * self.yu[mif1,1] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,1] * self.yu[mif1,1] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,1] * self.yu[mif1,1] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,1] * self.yu[mif1,1] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,1] * self.yu[mif1,1] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,1] * self.yu[mif1,1] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,1] * self.yu[mif1,1] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,1] * self.yu[mif1,1] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,1] * self.yu[mif1,1] * self.yubar[1,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,1] * self.yu[mif1,1] * self.yubar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[1,0] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[1,1] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[1,2] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1bar[0,0] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1bar[1,0] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1bar[2,0] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[0,1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[1,1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[2,1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[1,0] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[1,1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[1,2] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1bar[0,1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1bar[1,1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1bar[2,1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[1,0] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[1,1] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[1,2] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1bar[0,2] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1bar[1,2] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1bar[2,2] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,1] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,1] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,1] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[0,2] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[1,2] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[2,2] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] * self.yu[1,mif2] * self.yubar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] * self.yu[1,mif2] * self.yubar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] * self.yu[1,mif2] * self.yubar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] * self.yu[1,mif2] * self.yubar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] * self.yu[1,mif2] * self.yubar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] * self.yu[1,mif2] * self.yubar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] * self.yu[1,mif2] * self.yubar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] * self.yu[1,mif2] * self.yubar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] * self.yu[1,mif2] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,2] * self.yqqomega1[0,mif1] * self.yu[1,mif2] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,2] * self.yqqomega1[0,mif1] * self.yu[1,mif2] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,2] * self.yqqomega1[0,mif1] * self.yu[1,mif2] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,2] * self.yqqomega1[1,mif1] * self.yu[1,mif2] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,2] * self.yqqomega1[1,mif1] * self.yu[1,mif2] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,2] * self.yqqomega1[1,mif1] * self.yu[1,mif2] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,2] * self.yqqomega1[2,mif1] * self.yu[1,mif2] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,2] * self.yqqomega1[2,mif1] * self.yu[1,mif2] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,2] * self.yqqomega1[2,mif1] * self.yu[1,mif2] * self.yubar[1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,2] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,2] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,2] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[0,0] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[1,0] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[2,0] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,2] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,2] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,2] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[0,1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[1,1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[2,1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[1,0] * self.yu[mif1,2] * self.yubar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[1,0] * self.yu[mif1,2] * self.yubar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[1,0] * self.yu[mif1,2] * self.yubar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[1,1] * self.yu[mif1,2] * self.yubar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[1,1] * self.yu[mif1,2] * self.yubar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[1,1] * self.yu[mif1,2] * self.yubar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[1,2] * self.yu[mif1,2] * self.yubar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[1,2] * self.yu[mif1,2] * self.yubar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[1,2] * self.yu[mif1,2] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,1] * self.yu[mif1,2] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,1] * self.yu[mif1,2] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,1] * self.yu[mif1,2] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,1] * self.yu[mif1,2] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,1] * self.yu[mif1,2] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,1] * self.yu[mif1,2] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,1] * self.yu[mif1,2] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,1] * self.yu[mif1,2] * self.yubar[1,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,1] * self.yu[mif1,2] * self.yubar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[1,0] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[1,1] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[1,2] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1bar[0,0] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1bar[1,0] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1bar[2,0] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,2] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,2] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,2] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[0,2] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[1,2] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[2,2] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[1,0] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[1,1] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[1,2] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1bar[0,1] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1bar[1,1] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1bar[2,1] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[1,0] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[1,1] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[1,2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,1] * self.yqqomega1bar[0,2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,1] * self.yqqomega1bar[1,2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,1] * self.yqqomega1bar[2,2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[1,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] * self.yu[2,mif2] * self.yubar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] * self.yu[2,mif2] * self.yubar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] * self.yu[2,mif2] * self.yubar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] * self.yu[2,mif2] * self.yubar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] * self.yu[2,mif2] * self.yubar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] * self.yu[2,mif2] * self.yubar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] * self.yu[2,mif2] * self.yubar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] * self.yu[2,mif2] * self.yubar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] * self.yu[2,mif2] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,0] * self.yqqomega1[0,mif1] * self.yu[2,mif2] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,0] * self.yqqomega1[0,mif1] * self.yu[2,mif2] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,0] * self.yqqomega1[0,mif1] * self.yu[2,mif2] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,0] * self.yqqomega1[1,mif1] * self.yu[2,mif2] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,0] * self.yqqomega1[1,mif1] * self.yu[2,mif2] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,0] * self.yqqomega1[1,mif1] * self.yu[2,mif2] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,0] * self.yqqomega1[2,mif1] * self.yu[2,mif2] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,0] * self.yqqomega1[2,mif1] * self.yu[2,mif2] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,0] * self.yqqomega1[2,mif1] * self.yu[2,mif2] * self.yubar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[2,0] * self.yu[mif1,0] * self.yubar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[2,0] * self.yu[mif1,0] * self.yubar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[2,0] * self.yu[mif1,0] * self.yubar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[2,1] * self.yu[mif1,0] * self.yubar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[2,1] * self.yu[mif1,0] * self.yubar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[2,1] * self.yu[mif1,0] * self.yubar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[2,2] * self.yu[mif1,0] * self.yubar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[2,2] * self.yu[mif1,0] * self.yubar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[2,2] * self.yu[mif1,0] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,2] * self.yu[mif1,0] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,2] * self.yu[mif1,0] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,2] * self.yu[mif1,0] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,2] * self.yu[mif1,0] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,2] * self.yu[mif1,0] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,2] * self.yu[mif1,0] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,2] * self.yu[mif1,0] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,2] * self.yu[mif1,0] * self.yubar[2,0] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,2] * self.yu[mif1,0] * self.yubar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[2,0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[2,1] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[2,2] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1bar[0,0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1bar[1,0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1bar[2,0] * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[2,0] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[2,1] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[2,2] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1bar[0,1] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1bar[1,1] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1bar[2,1] * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,0] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,0] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,0] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[0,0] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[1,0] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[2,0] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[2,0] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[2,1] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[2,2] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1bar[0,2] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1bar[1,2] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1bar[2,2] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,0] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,0] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,0] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[0,1] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[1,1] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[2,1] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,0] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,0] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,0] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,0] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,0] * self.yeuomega1bar[0,2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,0] * self.yeuomega1bar[1,2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,0] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,0] * self.yeuomega1bar[2,2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,0] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] * self.yu[2,mif2] * self.yubar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] * self.yu[2,mif2] * self.yubar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] * self.yu[2,mif2] * self.yubar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] * self.yu[2,mif2] * self.yubar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] * self.yu[2,mif2] * self.yubar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] * self.yu[2,mif2] * self.yubar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] * self.yu[2,mif2] * self.yubar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] * self.yu[2,mif2] * self.yubar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] * self.yu[2,mif2] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,1] * self.yqqomega1[0,mif1] * self.yu[2,mif2] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,1] * self.yqqomega1[0,mif1] * self.yu[2,mif2] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,1] * self.yqqomega1[0,mif1] * self.yu[2,mif2] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,1] * self.yqqomega1[1,mif1] * self.yu[2,mif2] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,1] * self.yqqomega1[1,mif1] * self.yu[2,mif2] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,1] * self.yqqomega1[1,mif1] * self.yu[2,mif2] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,1] * self.yqqomega1[2,mif1] * self.yu[2,mif2] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,1] * self.yqqomega1[2,mif1] * self.yu[2,mif2] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,1] * self.yqqomega1[2,mif1] * self.yu[2,mif2] * self.yubar[2,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,1] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,1] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,1] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[0,0] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[1,0] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[2,0] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[2,0] * self.yu[mif1,1] * self.yubar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[2,0] * self.yu[mif1,1] * self.yubar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[2,0] * self.yu[mif1,1] * self.yubar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[2,1] * self.yu[mif1,1] * self.yubar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[2,1] * self.yu[mif1,1] * self.yubar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[2,1] * self.yu[mif1,1] * self.yubar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[2,2] * self.yu[mif1,1] * self.yubar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[2,2] * self.yu[mif1,1] * self.yubar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[2,2] * self.yu[mif1,1] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,2] * self.yu[mif1,1] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,2] * self.yu[mif1,1] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,2] * self.yu[mif1,1] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,2] * self.yu[mif1,1] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,2] * self.yu[mif1,1] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,2] * self.yu[mif1,1] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,2] * self.yu[mif1,1] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,2] * self.yu[mif1,1] * self.yubar[2,1] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,2] * self.yu[mif1,1] * self.yubar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[2,0] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[2,1] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[2,2] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1bar[0,0] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1bar[1,0] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1bar[2,0] * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[2,0] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[2,1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[2,2] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1bar[0,1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1bar[1,1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1bar[2,1] * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,1] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,1] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,1] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[0,1] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[1,1] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[2,1] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[2,0] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[2,1] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[2,2] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1bar[0,2] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1bar[1,2] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1bar[2,2] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,1] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,1] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,1] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,1] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,1] * self.yeuomega1bar[0,2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,1] * self.yeuomega1bar[1,2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,1] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,1] * self.yeuomega1bar[2,2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,1] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] * self.yu[2,mif2] * self.yubar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] * self.yu[2,mif2] * self.yubar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] * self.yu[2,mif2] * self.yubar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] * self.yu[2,mif2] * self.yubar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] * self.yu[2,mif2] * self.yubar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] * self.yu[2,mif2] * self.yubar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] * self.yu[2,mif2] * self.yubar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] * self.yu[2,mif2] * self.yubar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] * self.yu[2,mif2] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,2] * self.yqqomega1[0,mif1] * self.yu[2,mif2] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,2] * self.yqqomega1[0,mif1] * self.yu[2,mif2] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,2] * self.yqqomega1[0,mif1] * self.yu[2,mif2] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,2] * self.yqqomega1[1,mif1] * self.yu[2,mif2] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,2] * self.yqqomega1[1,mif1] * self.yu[2,mif2] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,2] * self.yqqomega1[1,mif1] * self.yu[2,mif2] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,2] * self.yqqomega1[2,mif1] * self.yu[2,mif2] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,2] * self.yqqomega1[2,mif1] * self.yu[2,mif2] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,2] * self.yqqomega1[2,mif1] * self.yu[2,mif2] * self.yubar[2,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,0] * self.yduomega1bar[0,2] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,0] * self.yduomega1bar[1,2] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,0] * self.yduomega1bar[2,2] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[0,0] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[1,0] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[2,0] * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,1] * self.yduomega1bar[0,2] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,1] * self.yduomega1bar[1,2] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,1] * self.yduomega1bar[2,2] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[0,1] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[1,1] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[2,1] * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[2,0] * self.yu[mif1,2] * self.yubar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[2,0] * self.yu[mif1,2] * self.yubar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[2,0] * self.yu[mif1,2] * self.yubar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[2,1] * self.yu[mif1,2] * self.yubar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[2,1] * self.yu[mif1,2] * self.yubar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[2,1] * self.yu[mif1,2] * self.yubar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[2,2] * self.yu[mif1,2] * self.yubar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[2,2] * self.yu[mif1,2] * self.yubar[2,2] + 1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[2,2] * self.yu[mif1,2] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,2] * self.yu[mif1,2] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,2] * self.yu[mif1,2] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,2] * self.yu[mif1,2] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,2] * self.yu[mif1,2] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,2] * self.yu[mif1,2] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,2] * self.yu[mif1,2] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,2] * self.yu[mif1,2] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,2] * self.yu[mif1,2] * self.yubar[2,2] + -1/16 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,2] * self.yu[mif1,2] * self.yubar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[2,0] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[2,1] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[2,2] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1bar[0,0] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1bar[1,0] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1bar[2,0] * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[2,0] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[2,1] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[2,2] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1bar[0,1] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1bar[1,1] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1bar[2,1] * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,2] * self.yduomega1bar[0,2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,2] * self.yduomega1bar[1,2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/96 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,2] * self.yduomega1bar[2,2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,2] * self.yeuomega1bar[0,2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,2] * self.yeuomega1bar[1,2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,2] * self.yeuomega1bar[2,2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[2,0] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[2,1] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/192 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[2,2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,2] * self.yqqomega1bar[0,2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,2] * self.yqqomega1bar[1,2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] + 1/24 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,2] * self.yqqomega1bar[2,2] * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2])

    def alphaOuu(self, mif1,mif2,mif3,mif4):
        return (-1/3840 * (self.g3)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.kronecker_delta(mif2,mif3) + -1/6480 * (self.g1)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 1/11520 * (self.g3)**(4) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -7/1296 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] + 7/3456 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] + -1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] + 1/576 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] + 1/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] + -1/576 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] + -7/1152 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif2] + -1/192 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif2] + 1/192 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif2] + -7/1152 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif4] + -1/192 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif4] + 1/192 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif4] + -7/1296 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] + 7/3456 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] + -1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] + 1/576 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] + 1/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] + -1/576 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif2] * self.yduomega1bar[0,mif4] + -7/1296 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] + 7/3456 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] + -1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] + 1/576 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] + 1/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] + -1/576 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] + -7/1152 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif2] + -1/192 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif2] + 1/192 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1[1,mif1] * self.yduomega1bar[0,mif4] * self.yduomega1bar[1,mif2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1[1,mif3] * self.yduomega1bar[0,mif4] * self.yduomega1bar[1,mif2] + -7/1152 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif4] + -1/192 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif4] + 1/192 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif4] + -7/1296 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] + 7/3456 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] + -1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] + 1/576 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] + 1/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] + -1/576 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1[1,mif1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[1,mif4] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1[1,mif3] * self.yduomega1bar[0,mif2] * self.yduomega1bar[1,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif2] * self.yduomega1bar[1,mif4] + -7/1296 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] + 7/3456 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] + -1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] + 1/576 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] + 1/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] + -1/576 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] + -7/1152 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif2] + -1/192 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif2] + 1/192 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1[2,mif1] * self.yduomega1bar[0,mif4] * self.yduomega1bar[2,mif2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1[2,mif3] * self.yduomega1bar[0,mif4] * self.yduomega1bar[2,mif2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1[2,mif1] * self.yduomega1bar[1,mif4] * self.yduomega1bar[2,mif2] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1[2,mif3] * self.yduomega1bar[1,mif4] * self.yduomega1bar[2,mif2] + -7/1152 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif4] + -1/192 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif4] + 1/192 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif4] + -7/1296 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] + 7/3456 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] + -1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] + 1/576 * (self.g3)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] + 1/216 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] + -1/576 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1[2,mif1] * self.yduomega1bar[0,mif2] * self.yduomega1bar[2,mif4] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1[2,mif3] * self.yduomega1bar[0,mif2] * self.yduomega1bar[2,mif4] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1[2,mif1] * self.yduomega1bar[1,mif2] * self.yduomega1bar[2,mif4] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1[2,mif3] * self.yduomega1bar[1,mif2] * self.yduomega1bar[2,mif4] + -1/64 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif2] * self.yduomega1bar[2,mif4] + -25/2592 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] + -1/3456 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] + -1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] + 1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif1] + 1/1152 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif2] * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif2] * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif2] * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif1] + 1/1152 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif4] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif4] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif4] * self.yeuomega1[0,mif2] * self.yeuomega1bar[0,mif3] + -25/2592 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] + -1/3456 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] + -1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] + 1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1[0,mif4] * self.yeuomega1bar[0,mif1] * self.yeuomega1bar[0,mif3] + -25/2592 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] + -1/3456 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] + -1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] + 1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif1] + 1/1152 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif2] * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif2] * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif2] * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1[1,mif4] * self.yeuomega1bar[0,mif3] * self.yeuomega1bar[1,mif1] + 1/1152 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif4] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif4] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif4] * self.yeuomega1[1,mif2] * self.yeuomega1bar[1,mif3] + -25/2592 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] + -1/3456 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] + -1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] + 1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1[1,mif2] * self.yeuomega1bar[0,mif1] * self.yeuomega1bar[1,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1[1,mif4] * self.yeuomega1bar[1,mif1] * self.yeuomega1bar[1,mif3] + -25/2592 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] + -1/3456 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] + -1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] + 1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif4] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif4] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif4] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif1] + 1/1152 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif3] * self.yduomega1bar[0,mif2] * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif3] * self.yduomega1bar[1,mif2] * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif3] * self.yduomega1bar[2,mif2] * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.yeuomega1[2,mif4] * self.yeuomega1bar[0,mif3] * self.yeuomega1bar[2,mif1] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.yeuomega1[2,mif4] * self.yeuomega1bar[1,mif3] * self.yeuomega1bar[2,mif1] + 1/1152 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif4] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif4] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif4] * self.yeuomega1[2,mif2] * self.yeuomega1bar[2,mif3] + -25/2592 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] + -1/3456 * (self.g3)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] + -1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] + 1/144 * (self.g1)**(2) * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[0,mif1] * self.yduomega1bar[0,mif2] * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[1,mif1] * self.yduomega1bar[1,mif2] * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] + 1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yduomega1[2,mif1] * self.yduomega1bar[2,mif2] * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif4] * self.yeuomega1[2,mif2] * self.yeuomega1bar[0,mif1] * self.yeuomega1bar[2,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif4] * self.yeuomega1[2,mif2] * self.yeuomega1bar[1,mif1] * self.yeuomega1bar[2,mif3] + -1/128 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.yeuomega1[2,mif4] * self.yeuomega1bar[2,mif1] * self.yeuomega1bar[2,mif3])

    def alphaOuW(self, mif1,mif2):
        return (-3/256 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] + -1/128 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] + 1/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.ylbar[0,0] * self.yqlomega1bar[mif1,0] + -3/256 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] + -1/128 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] + 1/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.ylbar[0,1] * self.yqlomega1bar[mif1,0] + -3/256 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + -1/128 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + 1/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.ylbar[0,2] * self.yqlomega1bar[mif1,0] + -3/256 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] + -1/128 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] + 1/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.ylbar[1,0] * self.yqlomega1bar[mif1,1] + -3/256 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + -1/128 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + 1/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.ylbar[1,1] * self.yqlomega1bar[mif1,1] + -3/256 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + -1/128 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + 1/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.ylbar[1,2] * self.yqlomega1bar[mif1,1] + -3/256 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + -1/128 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + 1/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[0,mif2] * self.ylbar[2,0] * self.yqlomega1bar[mif1,2] + -3/256 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + -1/128 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + 1/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[1,mif2] * self.ylbar[2,1] * self.yqlomega1bar[mif1,2] + -3/256 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + -1/128 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 1/128 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.yeuomega1[2,mif2] * self.ylbar[2,2] * self.yqlomega1bar[mif1,2] + 3/64 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + 1/32 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + -1/32 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[0,mif1] + 3/64 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + 1/32 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + -1/32 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[0,mif1] + 3/64 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + 1/32 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + -1/32 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[0,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[0,mif1] + 3/64 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + 1/32 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + -1/32 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[1,mif1] + 3/64 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + 1/32 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + -1/32 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[1,mif1] + 3/64 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + 1/32 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + -1/32 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[1,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[1,mif1] + 3/64 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + 1/32 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + -1/32 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,0] * self.yduomega1bar[0,mif2] * self.yqqomega1[2,mif1] + 3/64 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + 1/32 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + -1/32 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,1] * self.yduomega1bar[1,mif2] * self.yqqomega1[2,mif1] + 3/64 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + 1/32 * self.g2 * self.invepsilonbar * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + -1/32 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Momega1)**(2) * (self.mu)**(-2)) * self.ydbar[2,2] * self.yduomega1bar[2,mif2] * self.yqqomega1[2,mif1] + 1/384 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,0] * self.yqlomega1bar[mif1,0] * self.yu[0,mif2] + 1/384 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,1] * self.yqlomega1bar[mif1,1] * self.yu[0,mif2] + 1/384 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[0,2] * self.yqlomega1bar[mif1,2] * self.yu[0,mif2] + 1/48 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,0] * self.yu[0,mif2] + 1/48 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,0] * self.yu[0,mif2] + 1/48 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,0] * self.yu[0,mif2] + 1/384 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,0] * self.yqlomega1bar[mif1,0] * self.yu[1,mif2] + 1/384 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,1] * self.yqlomega1bar[mif1,1] * self.yu[1,mif2] + 1/384 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[1,2] * self.yqlomega1bar[mif1,2] * self.yu[1,mif2] + 1/48 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,1] * self.yu[1,mif2] + 1/48 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,1] * self.yu[1,mif2] + 1/48 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,1] * self.yu[1,mif2] + 1/384 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,0] * self.yqlomega1bar[mif1,0] * self.yu[2,mif2] + 1/384 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,1] * self.yqlomega1bar[mif1,1] * self.yu[2,mif2] + 1/384 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqlomega1[2,2] * self.yqlomega1bar[mif1,2] * self.yu[2,mif2] + 1/48 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[0,mif1] * self.yqqomega1bar[0,2] * self.yu[2,mif2] + 1/48 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[1,mif1] * self.yqqomega1bar[1,2] * self.yu[2,mif2] + 1/48 * self.g2 * (self.Momega1)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yqqomega1[2,mif1] * self.yqqomega1bar[2,2] * self.yu[2,mif2])
