## Symbols used:
# ydbar
# yvarphiubar
# yd
# lambdavarphi
# lambdaHatvarphi
# lambdaHatPrimevarphi
# lambdavarphibar
# Mvarphi
# yl
# yvarphidbar
# ylbar
# muH
# g1
# yvarphiebar
# g2
# epsilonbar
# invepsilonbar
# yvarphid
# mu
# lam
# yubar
# yvarphie
# g3
# onelooporder
# yvarphiu
# yu

import sys
import os
import numpy as np

import lsme.numeric.matchingresult as matchingresult

class GranadavarphiMatchingResult(matchingresult.GenericMatchingResult):
    def __init__(self, name='varphi'):
        super().__init__(name)
        self.Mvarphi = 1
        self.yvarphie = np.ones((3, 3))
        self.yvarphiebar = np.ones((3, 3))
        self.yvarphid = np.ones((3, 3))
        self.yvarphidbar = np.ones((3, 3))
        self.yvarphiu = np.ones((3, 3))
        self.yvarphiubar = np.ones((3, 3))
        self.lambdavarphi = 1
        self.lambdavarphibar = 1
        self.lambdaHatvarphi = 1
        self.lambdaHatvarphibar = 1
        self.lambdaHatPrimevarphi = 1
        self.lambdaHatPrimevarphibar = 1
        self.nonvanishing = ['alphaO3W', 'alphaOH', 'alphaOHB', 'alphaOHBox', 'alphaOHD', 'alphaOHW', 'alphaOHWB', 'alphaOdB', 'alphaOdd', 'alphaOdG', 'alphaOdH', 'alphaOdW', 'alphaOeB', 'alphaOed', 'alphaOee', 'alphaOeH', 'alphaOeu', 'alphaOeW', 'alphaOHd', 'alphaOHe', 'alphaOHl1', 'alphaOHl3', 'alphaOHq1', 'alphaOHq3', 'alphaOHu', 'alphaOHud', 'alphaOld', 'alphaOle', 'alphaOledq', 'alphaOlequ1', 'alphaOlequ3', 'alphaOll', 'alphaOlq1', 'alphaOlq3', 'alphaOlu', 'alphaOqd1', 'alphaOqd8', 'alphaOqe', 'alphaOqq1', 'alphaOqq3', 'alphaOqu1', 'alphaOqu8', 'alphaOquqd1', 'alphaOquqd8', 'alphaOuB', 'alphaOud1', 'alphaOud8', 'alphaOuG', 'alphaOuH', 'alphaOuu', 'alphaOuW']

    def alphaO3G(self, ):
        return 0

    def alphaO3Gt(self, ):
        return 0

    def alphaO3W(self, ):
        return 1/5760 * (self.g2)**(3) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2)

    def alphaO3Wt(self, ):
        return 0

    def alphaOH(self, ):
        return (self.lambdavarphi * self.lambdavarphibar * (self.Mvarphi)**(-2) + -1/960 * (self.g2)**(4) * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) + 1/48 * self.lam * (self.lambdaHatPrimevarphi)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) + 1/96 * (self.lambdaHatPrimevarphi)**(3) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) + 1/32 * (self.lambdaHatPrimevarphi)**(2) * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) + 1/32 * self.lambdaHatPrimevarphi * (self.lambdaHatvarphi)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) + 1/48 * (self.lambdaHatvarphi)**(3) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) + 17/8 * self.lam * self.lambdavarphi * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) + 15/8 * self.invepsilonbar * self.lam * self.lambdavarphi * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) + 13/16 * self.lambdaHatPrimevarphi * self.lambdavarphi * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) + 1/2 * self.invepsilonbar * self.lambdaHatPrimevarphi * self.lambdavarphi * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) + 3/4 * self.lambdaHatvarphi * self.lambdavarphi * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) + 3/8 * self.invepsilonbar * self.lambdaHatvarphi * self.lambdavarphi * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) + -15/8 * self.lam * self.lambdavarphi * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) + -1/2 * self.lambdaHatPrimevarphi * self.lambdavarphi * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) + -3/8 * self.lambdaHatvarphi * self.lambdavarphi * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)))

    def alphaOHB(self, ):
        return (-1/768 * (self.g1)**(2) * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) + -1/384 * (self.g1)**(2) * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2))

    def alphaOHBox(self, ):
        return (-1/7680 * (self.g1)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) + -1/2560 * (self.g2)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) + -1/96 * self.lambdaHatPrimevarphi * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) + -1/96 * (self.lambdaHatvarphi)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) + -3/32 * self.lambdavarphi * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2))

    def alphaOHBt(self, ):
        return 0

    def alphaOHD(self, ):
        return (-1/1920 * (self.g1)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) + -1/96 * (self.lambdaHatPrimevarphi)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2))

    def alphaOHG(self, ):
        return 0

    def alphaOHGt(self, ):
        return 0

    def alphaOHW(self, ):
        return (-1/768 * (self.g2)**(2) * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) + -1/384 * (self.g2)**(2) * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2))

    def alphaOHWB(self, ):
        return -1/384 * self.g1 * self.g2 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2)

    def alphaOHWBt(self, ):
        return 0

    def alphaOHWt(self, ):
        return 0

    def alphaWeinberg(self, mif1,mif2):
        return 0

    def alphaOdB(self, mif1,mif2):
        return (-7/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] + -7/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] + -7/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] + -7/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] + -7/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] + -7/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] + -7/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] + -7/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] + -7/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] + 5/1152 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yvarphid[0,0] * self.yvarphidbar[mif2,0] + 5/1152 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yvarphid[1,0] * self.yvarphidbar[mif2,0] + 5/1152 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yvarphid[2,0] * self.yvarphidbar[mif2,0] + 5/1152 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yvarphid[0,1] * self.yvarphidbar[mif2,1] + 5/1152 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yvarphid[1,1] * self.yvarphidbar[mif2,1] + 5/1152 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yvarphid[2,1] * self.yvarphidbar[mif2,1] + 5/1152 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yvarphid[0,2] * self.yvarphidbar[mif2,2] + 5/1152 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yvarphid[1,2] * self.yvarphidbar[mif2,2] + 5/1152 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yvarphid[2,2] * self.yvarphidbar[mif2,2] + 1/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yvarphid[0,0] * self.yvarphidbar[mif2,mif1] + 1/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yvarphid[0,1] * self.yvarphidbar[mif2,mif1] + 1/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yvarphid[0,2] * self.yvarphidbar[mif2,mif1] + 1/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yvarphid[1,0] * self.yvarphidbar[mif2,mif1] + 1/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yvarphid[1,1] * self.yvarphidbar[mif2,mif1] + 1/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yvarphid[1,2] * self.yvarphidbar[mif2,mif1] + 1/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yvarphid[2,0] * self.yvarphidbar[mif2,mif1] + 1/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yvarphid[2,1] * self.yvarphidbar[mif2,mif1] + 1/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yvarphid[2,2] * self.yvarphidbar[mif2,mif1] + -3/256 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + -5/384 * self.g1 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + 5/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + -3/256 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + -5/384 * self.g1 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + 5/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + -3/256 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + -5/384 * self.g1 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 5/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + -3/256 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + -5/384 * self.g1 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 5/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + -3/256 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + -5/384 * self.g1 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + 5/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + -3/256 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + -5/384 * self.g1 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + 5/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + -3/256 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + -5/384 * self.g1 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 5/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + -3/256 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + -5/384 * self.g1 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + 5/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + -3/256 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + -5/384 * self.g1 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 5/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 11/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + 11/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + 11/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + 11/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + 11/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + 11/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + 11/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + 11/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + 11/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2])

    def alphaOdd(self, mif1,mif2,mif3,mif4):
        return (-1/17280 * (self.g1)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 11/5184 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + 1/216 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + 1/864 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + 1/288 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + -1/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + -1/72 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphid[mif3,0] * self.yvarphidbar[mif2,0] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphid[mif3,0] * self.yvarphidbar[mif2,0] + 1/96 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,0] * self.yvarphidbar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[0,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif2,0] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[0,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ydbar[0,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[0,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif2,0] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[0,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ydbar[0,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[0,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif2,0] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[0,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ydbar[0,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif2,0] + 11/5184 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + 1/216 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + 1/864 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + 1/288 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + -1/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[1,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif2,1] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[1,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ydbar[1,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif2,1] + -1/72 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphid[mif3,1] * self.yvarphidbar[mif2,1] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphid[mif3,1] * self.yvarphidbar[mif2,1] + 1/96 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,1] * self.yvarphidbar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[1,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif2,1] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[1,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ydbar[1,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[1,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif2,1] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[1,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ydbar[1,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif2,1] + 11/5184 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + 1/216 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + 1/864 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + 1/288 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + -1/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[2,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif2,2] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[2,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ydbar[2,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[2,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif2,2] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[2,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ydbar[2,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif2,2] + -1/72 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphid[mif3,2] * self.yvarphidbar[mif2,2] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphid[mif3,2] * self.yvarphidbar[mif2,2] + 1/96 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,2] * self.yvarphidbar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[2,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif2,2] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[2,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ydbar[2,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif2,2] + -1/72 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphid[mif1,0] * self.yvarphidbar[mif4,0] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphid[mif1,0] * self.yvarphidbar[mif4,0] + 1/96 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif1,0] * self.yvarphidbar[mif4,0] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,mif3] * self.yvarphid[mif1,0] * self.yvarphidbar[mif4,0] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,mif3] * self.yvarphid[mif1,0] * self.yvarphidbar[mif4,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.ydbar[0,mif3] * self.yvarphid[mif1,0] * self.yvarphidbar[mif4,0] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[0,mif3] * self.yvarphid[mif1,1] * self.yvarphidbar[mif4,0] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[0,mif3] * self.yvarphid[mif1,1] * self.yvarphidbar[mif4,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.ydbar[0,mif3] * self.yvarphid[mif1,1] * self.yvarphidbar[mif4,0] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[0,mif3] * self.yvarphid[mif1,2] * self.yvarphidbar[mif4,0] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[0,mif3] * self.yvarphid[mif1,2] * self.yvarphidbar[mif4,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.ydbar[0,mif3] * self.yvarphid[mif1,2] * self.yvarphidbar[mif4,0] + 11/5184 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + 1/216 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + 1/864 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + 1/288 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + -1/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif1,0] * self.yvarphid[mif3,0] * self.yvarphidbar[mif2,0] * self.yvarphidbar[mif4,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif1,1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif2,1] * self.yvarphidbar[mif4,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif1,2] * self.yvarphid[mif3,0] * self.yvarphidbar[mif2,2] * self.yvarphidbar[mif4,0] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[1,mif3] * self.yvarphid[mif1,0] * self.yvarphidbar[mif4,1] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[1,mif3] * self.yvarphid[mif1,0] * self.yvarphidbar[mif4,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.ydbar[1,mif3] * self.yvarphid[mif1,0] * self.yvarphidbar[mif4,1] + -1/72 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphid[mif1,1] * self.yvarphidbar[mif4,1] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphid[mif1,1] * self.yvarphidbar[mif4,1] + 1/96 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif1,1] * self.yvarphidbar[mif4,1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,mif3] * self.yvarphid[mif1,1] * self.yvarphidbar[mif4,1] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,mif3] * self.yvarphid[mif1,1] * self.yvarphidbar[mif4,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.ydbar[1,mif3] * self.yvarphid[mif1,1] * self.yvarphidbar[mif4,1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[1,mif3] * self.yvarphid[mif1,2] * self.yvarphidbar[mif4,1] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[1,mif3] * self.yvarphid[mif1,2] * self.yvarphidbar[mif4,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.ydbar[1,mif3] * self.yvarphid[mif1,2] * self.yvarphidbar[mif4,1] + 11/5184 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + 1/216 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + 1/864 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + 1/288 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + -1/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif1,0] * self.yvarphid[mif3,1] * self.yvarphidbar[mif2,0] * self.yvarphidbar[mif4,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif1,1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif2,1] * self.yvarphidbar[mif4,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif1,2] * self.yvarphid[mif3,1] * self.yvarphidbar[mif2,2] * self.yvarphidbar[mif4,1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[2,mif3] * self.yvarphid[mif1,0] * self.yvarphidbar[mif4,2] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[2,mif3] * self.yvarphid[mif1,0] * self.yvarphidbar[mif4,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.ydbar[2,mif3] * self.yvarphid[mif1,0] * self.yvarphidbar[mif4,2] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[2,mif3] * self.yvarphid[mif1,1] * self.yvarphidbar[mif4,2] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[2,mif3] * self.yvarphid[mif1,1] * self.yvarphidbar[mif4,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.ydbar[2,mif3] * self.yvarphid[mif1,1] * self.yvarphidbar[mif4,2] + -1/72 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphid[mif1,2] * self.yvarphidbar[mif4,2] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphid[mif1,2] * self.yvarphidbar[mif4,2] + 1/96 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif1,2] * self.yvarphidbar[mif4,2] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,mif3] * self.yvarphid[mif1,2] * self.yvarphidbar[mif4,2] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,mif3] * self.yvarphid[mif1,2] * self.yvarphidbar[mif4,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.ydbar[2,mif3] * self.yvarphid[mif1,2] * self.yvarphidbar[mif4,2] + 11/5184 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + 1/216 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + 1/864 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + 1/288 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + -1/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif1,0] * self.yvarphid[mif3,2] * self.yvarphidbar[mif2,0] * self.yvarphidbar[mif4,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif1,1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif2,1] * self.yvarphidbar[mif4,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif1,2] * self.yvarphid[mif3,2] * self.yvarphidbar[mif2,2] * self.yvarphidbar[mif4,2])

    def alphaOdG(self, mif1,mif2):
        return (1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] + 1/96 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yvarphid[0,0] * self.yvarphidbar[mif2,0] + 1/96 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yvarphid[1,0] * self.yvarphidbar[mif2,0] + 1/96 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yvarphid[2,0] * self.yvarphidbar[mif2,0] + 1/96 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yvarphid[0,1] * self.yvarphidbar[mif2,1] + 1/96 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yvarphid[1,1] * self.yvarphidbar[mif2,1] + 1/96 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yvarphid[2,1] * self.yvarphidbar[mif2,1] + 1/96 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yvarphid[0,2] * self.yvarphidbar[mif2,2] + 1/96 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yvarphid[1,2] * self.yvarphidbar[mif2,2] + 1/96 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yvarphid[2,2] * self.yvarphidbar[mif2,2] + -3/64 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + -1/32 * self.g3 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + 1/32 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + -3/64 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + -1/32 * self.g3 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + 1/32 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + -3/64 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + -1/32 * self.g3 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 1/32 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + -3/64 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + -1/32 * self.g3 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 1/32 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + -3/64 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + -1/32 * self.g3 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + 1/32 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + -3/64 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + -1/32 * self.g3 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + 1/32 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + -3/64 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + -1/32 * self.g3 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 1/32 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + -3/64 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + -1/32 * self.g3 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + 1/32 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + -3/64 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + -1/32 * self.g3 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 1/32 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2])

    def alphaOdH(self, mif1,mif2):
        return (-1/3840 * (self.g2)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif2] + 1/192 * (self.lambdaHatPrimevarphi)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif2] + 1/16 * self.lambdavarphi * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif2] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.yvarphid[0,0] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.yvarphid[0,1] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.yvarphid[0,2] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.yvarphid[1,0] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.yvarphid[1,1] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.yvarphid[1,2] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.yvarphid[2,0] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.yvarphid[2,1] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.yvarphid[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphid[0,0] * self.yvarphidbar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphid[0,0] * self.yvarphidbar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphid[0,0] * self.yvarphidbar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphid[0,0] * self.yvarphidbar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphid[0,0] * self.yvarphidbar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphid[0,1] * self.yvarphidbar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphid[0,1] * self.yvarphidbar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphid[0,1] * self.yvarphidbar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphid[0,2] * self.yvarphidbar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphid[0,2] * self.yvarphidbar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphid[0,2] * self.yvarphidbar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,0] * self.yvarphid[1,0] * self.yvarphidbar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,0] * self.yvarphid[1,0] * self.yvarphidbar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,0] * self.yvarphid[1,0] * self.yvarphidbar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,0] * self.yvarphid[2,0] * self.yvarphidbar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,0] * self.yvarphid[2,0] * self.yvarphidbar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,0] * self.yvarphid[2,0] * self.yvarphidbar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphid[0,0] * self.yvarphidbar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphid[0,0] * self.yvarphidbar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphid[0,0] * self.yvarphidbar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphid[0,1] * self.yvarphidbar[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphid[0,1] * self.yvarphidbar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphid[0,1] * self.yvarphidbar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphid[0,1] * self.yvarphidbar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphid[0,1] * self.yvarphidbar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphid[0,2] * self.yvarphidbar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphid[0,2] * self.yvarphidbar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphid[0,2] * self.yvarphidbar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,0] * self.yvarphid[1,1] * self.yvarphidbar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,0] * self.yvarphid[1,1] * self.yvarphidbar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,0] * self.yvarphid[1,1] * self.yvarphidbar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,0] * self.yvarphid[2,1] * self.yvarphidbar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,0] * self.yvarphid[2,1] * self.yvarphidbar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,0] * self.yvarphid[2,1] * self.yvarphidbar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphid[0,0] * self.yvarphidbar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphid[0,0] * self.yvarphidbar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphid[0,0] * self.yvarphidbar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphid[0,1] * self.yvarphidbar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphid[0,1] * self.yvarphidbar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphid[0,1] * self.yvarphidbar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphid[0,2] * self.yvarphidbar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphid[0,2] * self.yvarphidbar[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphid[0,2] * self.yvarphidbar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphid[0,2] * self.yvarphidbar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphid[0,2] * self.yvarphidbar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,0] * self.yvarphid[1,2] * self.yvarphidbar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,0] * self.yvarphid[1,2] * self.yvarphidbar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,0] * self.yvarphid[1,2] * self.yvarphidbar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,0] * self.yvarphid[2,2] * self.yvarphidbar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,0] * self.yvarphid[2,2] * self.yvarphidbar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,0] * self.yvarphid[2,2] * self.yvarphidbar[0,2] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,0] * self.yvarphidbar[0,mif1] + 1/8 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,0] * self.yvarphidbar[0,mif1] + -1/8 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.ydbar[0,0] * self.yvarphidbar[0,mif1] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,0] * self.yvarphidbar[0,mif1] + 1/8 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,0] * self.yvarphidbar[0,mif1] + -1/8 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.ydbar[1,0] * self.yvarphidbar[0,mif1] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] + 1/8 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] + -1/8 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[0,mif2] * self.ydbar[0,0] * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[1,0] * self.ydbar[1,0] * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[2,0] * self.ydbar[2,0] * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[1,mif2] * self.ydbar[0,0] * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[1,mif2] * self.ydbar[1,0] * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[2,0] * self.ydbar[2,0] * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[2,mif2] * self.ydbar[0,0] * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[2,mif2] * self.ydbar[1,0] * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yd[2,mif2] * self.ydbar[2,0] * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[0,mif2] * self.ydbar[0,0] * self.yvarphid[1,0] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[1,1] * self.ydbar[1,0] * self.yvarphid[1,0] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[2,1] * self.ydbar[2,0] * self.yvarphid[1,0] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[1,mif2] * self.ydbar[0,0] * self.yvarphid[1,1] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[1,mif2] * self.ydbar[1,0] * self.yvarphid[1,1] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[2,1] * self.ydbar[2,0] * self.yvarphid[1,1] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[2,mif2] * self.ydbar[0,0] * self.yvarphid[1,2] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[2,mif2] * self.ydbar[1,0] * self.yvarphid[1,2] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yd[2,mif2] * self.ydbar[2,0] * self.yvarphid[1,2] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[0,mif2] * self.ydbar[0,0] * self.yvarphid[2,0] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[1,2] * self.ydbar[1,0] * self.yvarphid[2,0] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[2,2] * self.ydbar[2,0] * self.yvarphid[2,0] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[1,mif2] * self.ydbar[0,0] * self.yvarphid[2,1] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[1,mif2] * self.ydbar[1,0] * self.yvarphid[2,1] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[2,2] * self.ydbar[2,0] * self.yvarphid[2,1] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[2,mif2] * self.ydbar[0,0] * self.yvarphid[2,2] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[2,mif2] * self.ydbar[1,0] * self.yvarphid[2,2] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yd[2,mif2] * self.ydbar[2,0] * self.yvarphid[2,2] * self.yvarphidbar[0,mif1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,1] * self.yvarphid[0,0] * self.yvarphidbar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,1] * self.yvarphid[0,0] * self.yvarphidbar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,1] * self.yvarphid[0,0] * self.yvarphidbar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphid[1,0] * self.yvarphidbar[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphid[1,0] * self.yvarphidbar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphid[1,0] * self.yvarphidbar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphid[1,0] * self.yvarphidbar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphid[1,0] * self.yvarphidbar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphid[1,1] * self.yvarphidbar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphid[1,1] * self.yvarphidbar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphid[1,1] * self.yvarphidbar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphid[1,2] * self.yvarphidbar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphid[1,2] * self.yvarphidbar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphid[1,2] * self.yvarphidbar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,1] * self.yvarphid[2,0] * self.yvarphidbar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,1] * self.yvarphid[2,0] * self.yvarphidbar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,1] * self.yvarphid[2,0] * self.yvarphidbar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,1] * self.yvarphid[0,1] * self.yvarphidbar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,1] * self.yvarphid[0,1] * self.yvarphidbar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,1] * self.yvarphid[0,1] * self.yvarphidbar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphid[1,0] * self.yvarphidbar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphid[1,0] * self.yvarphidbar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphid[1,0] * self.yvarphidbar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphid[1,1] * self.yvarphidbar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphid[1,1] * self.yvarphidbar[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphid[1,1] * self.yvarphidbar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphid[1,1] * self.yvarphidbar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphid[1,1] * self.yvarphidbar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphid[1,2] * self.yvarphidbar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphid[1,2] * self.yvarphidbar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphid[1,2] * self.yvarphidbar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,1] * self.yvarphid[2,1] * self.yvarphidbar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,1] * self.yvarphid[2,1] * self.yvarphidbar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,1] * self.yvarphid[2,1] * self.yvarphidbar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,1] * self.yvarphid[0,2] * self.yvarphidbar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,1] * self.yvarphid[0,2] * self.yvarphidbar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,1] * self.yvarphid[0,2] * self.yvarphidbar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphid[1,0] * self.yvarphidbar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphid[1,0] * self.yvarphidbar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphid[1,0] * self.yvarphidbar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphid[1,1] * self.yvarphidbar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphid[1,1] * self.yvarphidbar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphid[1,1] * self.yvarphidbar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphid[1,2] * self.yvarphidbar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphid[1,2] * self.yvarphidbar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphid[1,2] * self.yvarphidbar[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphid[1,2] * self.yvarphidbar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphid[1,2] * self.yvarphidbar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,1] * self.yvarphid[2,2] * self.yvarphidbar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,1] * self.yvarphid[2,2] * self.yvarphidbar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,1] * self.yvarphid[2,2] * self.yvarphidbar[1,2] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,1] * self.yvarphidbar[1,mif1] + 1/8 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,1] * self.yvarphidbar[1,mif1] + -1/8 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.ydbar[0,1] * self.yvarphidbar[1,mif1] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,1] * self.yvarphidbar[1,mif1] + 1/8 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,1] * self.yvarphidbar[1,mif1] + -1/8 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.ydbar[1,1] * self.yvarphidbar[1,mif1] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] + 1/8 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] + -1/8 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[0,mif2] * self.ydbar[0,1] * self.yvarphid[0,0] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[1,0] * self.ydbar[1,1] * self.yvarphid[0,0] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[2,0] * self.ydbar[2,1] * self.yvarphid[0,0] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[1,mif2] * self.ydbar[0,1] * self.yvarphid[0,1] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[1,mif2] * self.ydbar[1,1] * self.yvarphid[0,1] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[2,0] * self.ydbar[2,1] * self.yvarphid[0,1] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[2,mif2] * self.ydbar[0,1] * self.yvarphid[0,2] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[2,mif2] * self.ydbar[1,1] * self.yvarphid[0,2] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yd[2,mif2] * self.ydbar[2,1] * self.yvarphid[0,2] * self.yvarphidbar[1,mif1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[0,mif2] * self.ydbar[0,1] * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[1,1] * self.ydbar[1,1] * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[2,1] * self.ydbar[2,1] * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[1,mif2] * self.ydbar[0,1] * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[1,mif2] * self.ydbar[1,1] * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[2,1] * self.ydbar[2,1] * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[2,mif2] * self.ydbar[0,1] * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[2,mif2] * self.ydbar[1,1] * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yd[2,mif2] * self.ydbar[2,1] * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[0,mif2] * self.ydbar[0,1] * self.yvarphid[2,0] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[1,2] * self.ydbar[1,1] * self.yvarphid[2,0] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[2,2] * self.ydbar[2,1] * self.yvarphid[2,0] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[1,mif2] * self.ydbar[0,1] * self.yvarphid[2,1] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[1,mif2] * self.ydbar[1,1] * self.yvarphid[2,1] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[2,2] * self.ydbar[2,1] * self.yvarphid[2,1] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[2,mif2] * self.ydbar[0,1] * self.yvarphid[2,2] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[2,mif2] * self.ydbar[1,1] * self.yvarphid[2,2] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yd[2,mif2] * self.ydbar[2,1] * self.yvarphid[2,2] * self.yvarphidbar[1,mif1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,2] * self.yvarphid[0,0] * self.yvarphidbar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,2] * self.yvarphid[0,0] * self.yvarphidbar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,2] * self.yvarphid[0,0] * self.yvarphidbar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,2] * self.yvarphid[1,0] * self.yvarphidbar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,2] * self.yvarphid[1,0] * self.yvarphidbar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,2] * self.yvarphid[1,0] * self.yvarphidbar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphid[2,0] * self.yvarphidbar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphid[2,0] * self.yvarphidbar[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphid[2,0] * self.yvarphidbar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphid[2,0] * self.yvarphidbar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphid[2,0] * self.yvarphidbar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphid[2,1] * self.yvarphidbar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphid[2,1] * self.yvarphidbar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphid[2,1] * self.yvarphidbar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphid[2,2] * self.yvarphidbar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphid[2,2] * self.yvarphidbar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphid[2,2] * self.yvarphidbar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,2] * self.yvarphid[0,1] * self.yvarphidbar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,2] * self.yvarphid[0,1] * self.yvarphidbar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,2] * self.yvarphid[0,1] * self.yvarphidbar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,2] * self.yvarphid[1,1] * self.yvarphidbar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,2] * self.yvarphid[1,1] * self.yvarphidbar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,2] * self.yvarphid[1,1] * self.yvarphidbar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphid[2,0] * self.yvarphidbar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphid[2,0] * self.yvarphidbar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphid[2,0] * self.yvarphidbar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphid[2,1] * self.yvarphidbar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphid[2,1] * self.yvarphidbar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphid[2,1] * self.yvarphidbar[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphid[2,1] * self.yvarphidbar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphid[2,1] * self.yvarphidbar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphid[2,2] * self.yvarphidbar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphid[2,2] * self.yvarphidbar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphid[2,2] * self.yvarphidbar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,2] * self.yvarphid[0,2] * self.yvarphidbar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,2] * self.yvarphid[0,2] * self.yvarphidbar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,2] * self.yvarphid[0,2] * self.yvarphidbar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,2] * self.yvarphid[1,2] * self.yvarphidbar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,2] * self.yvarphid[1,2] * self.yvarphidbar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,2] * self.yvarphid[1,2] * self.yvarphidbar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphid[2,0] * self.yvarphidbar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphid[2,0] * self.yvarphidbar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphid[2,0] * self.yvarphidbar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphid[2,1] * self.yvarphidbar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphid[2,1] * self.yvarphidbar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphid[2,1] * self.yvarphidbar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphid[2,2] * self.yvarphidbar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphid[2,2] * self.yvarphidbar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphid[2,2] * self.yvarphidbar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphid[2,2] * self.yvarphidbar[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphid[2,2] * self.yvarphidbar[2,2] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,2] * self.yvarphidbar[2,mif1] + 1/8 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,2] * self.yvarphidbar[2,mif1] + -1/8 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.ydbar[0,2] * self.yvarphidbar[2,mif1] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,2] * self.yvarphidbar[2,mif1] + 1/8 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,2] * self.yvarphidbar[2,mif1] + -1/8 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.ydbar[1,2] * self.yvarphidbar[2,mif1] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] + 1/8 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] + -1/8 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[0,mif2] * self.ydbar[0,2] * self.yvarphid[0,0] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[1,0] * self.ydbar[1,2] * self.yvarphid[0,0] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[2,0] * self.ydbar[2,2] * self.yvarphid[0,0] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[1,mif2] * self.ydbar[0,2] * self.yvarphid[0,1] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[1,mif2] * self.ydbar[1,2] * self.yvarphid[0,1] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[2,0] * self.ydbar[2,2] * self.yvarphid[0,1] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[2,mif2] * self.ydbar[0,2] * self.yvarphid[0,2] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[2,mif2] * self.ydbar[1,2] * self.yvarphid[0,2] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yd[2,mif2] * self.ydbar[2,2] * self.yvarphid[0,2] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[0,mif2] * self.ydbar[0,2] * self.yvarphid[1,0] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[1,1] * self.ydbar[1,2] * self.yvarphid[1,0] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[2,1] * self.ydbar[2,2] * self.yvarphid[1,0] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[1,mif2] * self.ydbar[0,2] * self.yvarphid[1,1] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[1,mif2] * self.ydbar[1,2] * self.yvarphid[1,1] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[2,1] * self.ydbar[2,2] * self.yvarphid[1,1] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[2,mif2] * self.ydbar[0,2] * self.yvarphid[1,2] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[2,mif2] * self.ydbar[1,2] * self.yvarphid[1,2] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yd[2,mif2] * self.ydbar[2,2] * self.yvarphid[1,2] * self.yvarphidbar[2,mif1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[0,mif2] * self.ydbar[0,2] * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[1,2] * self.ydbar[1,2] * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[2,2] * self.ydbar[2,2] * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[1,mif2] * self.ydbar[0,2] * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[1,mif2] * self.ydbar[1,2] * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[2,2] * self.ydbar[2,2] * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[2,mif2] * self.ydbar[0,2] * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[2,mif2] * self.ydbar[1,2] * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yd[2,mif2] * self.ydbar[2,2] * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] + 13/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphidbar[mif2,0] + 5/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphidbar[mif2,0] + -5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphidbar[mif2,0] + 13/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphidbar[mif2,0] + 5/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphidbar[mif2,0] + -5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphidbar[mif2,0] + 13/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphidbar[mif2,0] + 5/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphidbar[mif2,0] + -5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphidbar[mif2,0] + -1/16 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphidbar[mif2,0] + -1/16 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphidbar[mif2,0] + 1/16 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphidbar[mif2,0] + -1/16 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphidbar[mif2,0] + -1/16 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphidbar[mif2,0] + 1/16 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphidbar[mif2,0] + -1/16 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphidbar[mif2,0] + -1/16 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphidbar[mif2,0] + 1/16 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphidbar[mif2,0] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yvarphid[0,0] * self.yvarphidbar[mif2,0] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yvarphid[0,0] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphid[0,0] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[mif1,0] * self.ydbar[0,1] * self.yvarphid[0,0] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[mif1,0] * self.ydbar[0,2] * self.yvarphid[0,0] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[0,0] * self.yubar[0,0] * self.yvarphid[0,0] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[0,1] * self.yubar[0,1] * self.yvarphid[0,0] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[0,2] * self.yubar[0,2] * self.yvarphid[0,0] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphid[0,1] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[mif1,0] * self.ydbar[0,1] * self.yvarphid[0,1] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[mif1,0] * self.ydbar[0,2] * self.yvarphid[0,1] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[1,0] * self.yubar[0,0] * self.yvarphid[0,1] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[1,1] * self.yubar[0,1] * self.yvarphid[0,1] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[1,2] * self.yubar[0,2] * self.yvarphid[0,1] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphid[0,2] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yd[mif1,0] * self.ydbar[0,1] * self.yvarphid[0,2] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yd[mif1,0] * self.ydbar[0,2] * self.yvarphid[0,2] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[2,0] * self.yubar[0,0] * self.yvarphid[0,2] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[2,1] * self.yubar[0,1] * self.yvarphid[0,2] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[2,2] * self.yubar[0,2] * self.yvarphid[0,2] * self.yvarphidbar[mif2,0] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yvarphid[1,0] * self.yvarphidbar[mif2,0] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yvarphid[1,0] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[mif1,1] * self.ydbar[0,0] * self.yvarphid[1,0] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphid[1,0] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[mif1,1] * self.ydbar[0,2] * self.yvarphid[1,0] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[0,0] * self.yubar[0,0] * self.yvarphid[1,0] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[0,1] * self.yubar[0,1] * self.yvarphid[1,0] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[0,2] * self.yubar[0,2] * self.yvarphid[1,0] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[mif1,1] * self.ydbar[0,0] * self.yvarphid[1,1] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphid[1,1] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[mif1,1] * self.ydbar[0,2] * self.yvarphid[1,1] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[1,0] * self.yubar[0,0] * self.yvarphid[1,1] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[1,1] * self.yubar[0,1] * self.yvarphid[1,1] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[1,2] * self.yubar[0,2] * self.yvarphid[1,1] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yd[mif1,1] * self.ydbar[0,0] * self.yvarphid[1,2] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphid[1,2] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yd[mif1,1] * self.ydbar[0,2] * self.yvarphid[1,2] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[2,0] * self.yubar[0,0] * self.yvarphid[1,2] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[2,1] * self.yubar[0,1] * self.yvarphid[1,2] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[2,2] * self.yubar[0,2] * self.yvarphid[1,2] * self.yvarphidbar[mif2,0] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yvarphid[2,0] * self.yvarphidbar[mif2,0] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yvarphid[2,0] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[mif1,2] * self.ydbar[0,0] * self.yvarphid[2,0] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[mif1,2] * self.ydbar[0,1] * self.yvarphid[2,0] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphid[2,0] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[0,0] * self.yubar[0,0] * self.yvarphid[2,0] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[0,1] * self.yubar[0,1] * self.yvarphid[2,0] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[0,2] * self.yubar[0,2] * self.yvarphid[2,0] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[mif1,2] * self.ydbar[0,0] * self.yvarphid[2,1] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[mif1,2] * self.ydbar[0,1] * self.yvarphid[2,1] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphid[2,1] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[1,0] * self.yubar[0,0] * self.yvarphid[2,1] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[1,1] * self.yubar[0,1] * self.yvarphid[2,1] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[1,2] * self.yubar[0,2] * self.yvarphid[2,1] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yd[mif1,2] * self.ydbar[0,0] * self.yvarphid[2,2] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yd[mif1,2] * self.ydbar[0,1] * self.yvarphid[2,2] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphid[2,2] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[2,0] * self.yubar[0,0] * self.yvarphid[2,2] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[2,1] * self.yubar[0,1] * self.yvarphid[2,2] * self.yvarphidbar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[2,2] * self.yubar[0,2] * self.yvarphid[2,2] * self.yvarphidbar[mif2,0] + -3/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif2,0] + -3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif2,0] + 3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif2,0] + -3/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif2,0] + -3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif2,0] + 3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif2,0] + -3/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif2,0] + -3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif2,0] + 3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif2,0] + 13/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphidbar[mif2,1] + 5/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphidbar[mif2,1] + -5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphidbar[mif2,1] + 13/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphidbar[mif2,1] + 5/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphidbar[mif2,1] + -5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphidbar[mif2,1] + 13/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphidbar[mif2,1] + 5/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphidbar[mif2,1] + -5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphidbar[mif2,1] + -1/16 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphidbar[mif2,1] + -1/16 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphidbar[mif2,1] + 1/16 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphidbar[mif2,1] + -1/16 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphidbar[mif2,1] + -1/16 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphidbar[mif2,1] + 1/16 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphidbar[mif2,1] + -1/16 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphidbar[mif2,1] + -1/16 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphidbar[mif2,1] + 1/16 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphid[0,0] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[mif1,0] * self.ydbar[1,1] * self.yvarphid[0,0] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[mif1,0] * self.ydbar[1,2] * self.yvarphid[0,0] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[0,0] * self.yubar[1,0] * self.yvarphid[0,0] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[0,1] * self.yubar[1,1] * self.yvarphid[0,0] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[0,2] * self.yubar[1,2] * self.yvarphid[0,0] * self.yvarphidbar[mif2,1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yvarphid[0,1] * self.yvarphidbar[mif2,1] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yvarphid[0,1] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphid[0,1] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[mif1,0] * self.ydbar[1,1] * self.yvarphid[0,1] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[mif1,0] * self.ydbar[1,2] * self.yvarphid[0,1] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[1,0] * self.yubar[1,0] * self.yvarphid[0,1] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[1,1] * self.yubar[1,1] * self.yvarphid[0,1] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[1,2] * self.yubar[1,2] * self.yvarphid[0,1] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphid[0,2] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yd[mif1,0] * self.ydbar[1,1] * self.yvarphid[0,2] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yd[mif1,0] * self.ydbar[1,2] * self.yvarphid[0,2] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[2,0] * self.yubar[1,0] * self.yvarphid[0,2] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[2,1] * self.yubar[1,1] * self.yvarphid[0,2] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[2,2] * self.yubar[1,2] * self.yvarphid[0,2] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[mif1,1] * self.ydbar[1,0] * self.yvarphid[1,0] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphid[1,0] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[mif1,1] * self.ydbar[1,2] * self.yvarphid[1,0] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[0,0] * self.yubar[1,0] * self.yvarphid[1,0] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[0,1] * self.yubar[1,1] * self.yvarphid[1,0] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[0,2] * self.yubar[1,2] * self.yvarphid[1,0] * self.yvarphidbar[mif2,1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yvarphid[1,1] * self.yvarphidbar[mif2,1] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yvarphid[1,1] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[mif1,1] * self.ydbar[1,0] * self.yvarphid[1,1] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphid[1,1] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[mif1,1] * self.ydbar[1,2] * self.yvarphid[1,1] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[1,0] * self.yubar[1,0] * self.yvarphid[1,1] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[1,1] * self.yubar[1,1] * self.yvarphid[1,1] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[1,2] * self.yubar[1,2] * self.yvarphid[1,1] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yd[mif1,1] * self.ydbar[1,0] * self.yvarphid[1,2] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphid[1,2] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yd[mif1,1] * self.ydbar[1,2] * self.yvarphid[1,2] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[2,0] * self.yubar[1,0] * self.yvarphid[1,2] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[2,1] * self.yubar[1,1] * self.yvarphid[1,2] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[2,2] * self.yubar[1,2] * self.yvarphid[1,2] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[mif1,2] * self.ydbar[1,0] * self.yvarphid[2,0] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[mif1,2] * self.ydbar[1,1] * self.yvarphid[2,0] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphid[2,0] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[0,0] * self.yubar[1,0] * self.yvarphid[2,0] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[0,1] * self.yubar[1,1] * self.yvarphid[2,0] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[0,2] * self.yubar[1,2] * self.yvarphid[2,0] * self.yvarphidbar[mif2,1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yvarphid[2,1] * self.yvarphidbar[mif2,1] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yvarphid[2,1] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[mif1,2] * self.ydbar[1,0] * self.yvarphid[2,1] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[mif1,2] * self.ydbar[1,1] * self.yvarphid[2,1] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphid[2,1] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[1,0] * self.yubar[1,0] * self.yvarphid[2,1] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[1,1] * self.yubar[1,1] * self.yvarphid[2,1] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[1,2] * self.yubar[1,2] * self.yvarphid[2,1] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yd[mif1,2] * self.ydbar[1,0] * self.yvarphid[2,2] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yd[mif1,2] * self.ydbar[1,1] * self.yvarphid[2,2] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphid[2,2] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[2,0] * self.yubar[1,0] * self.yvarphid[2,2] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[2,1] * self.yubar[1,1] * self.yvarphid[2,2] * self.yvarphidbar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[2,2] * self.yubar[1,2] * self.yvarphid[2,2] * self.yvarphidbar[mif2,1] + -3/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif2,1] + -3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif2,1] + 3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif2,1] + -3/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif2,1] + -3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif2,1] + 3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif2,1] + -3/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif2,1] + -3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif2,1] + 3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif2,1] + 13/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphidbar[mif2,2] + 5/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphidbar[mif2,2] + -5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphidbar[mif2,2] + 13/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphidbar[mif2,2] + 5/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphidbar[mif2,2] + -5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphidbar[mif2,2] + 13/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphidbar[mif2,2] + 5/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphidbar[mif2,2] + -5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphidbar[mif2,2] + -1/16 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphidbar[mif2,2] + -1/16 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphidbar[mif2,2] + 1/16 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphidbar[mif2,2] + -1/16 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphidbar[mif2,2] + -1/16 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphidbar[mif2,2] + 1/16 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphidbar[mif2,2] + -1/16 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphidbar[mif2,2] + -1/16 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphidbar[mif2,2] + 1/16 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphid[0,0] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[mif1,0] * self.ydbar[2,1] * self.yvarphid[0,0] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[mif1,0] * self.ydbar[2,2] * self.yvarphid[0,0] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[0,0] * self.yubar[2,0] * self.yvarphid[0,0] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[0,1] * self.yubar[2,1] * self.yvarphid[0,0] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[0,2] * self.yubar[2,2] * self.yvarphid[0,0] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphid[0,1] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[mif1,0] * self.ydbar[2,1] * self.yvarphid[0,1] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[mif1,0] * self.ydbar[2,2] * self.yvarphid[0,1] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[1,0] * self.yubar[2,0] * self.yvarphid[0,1] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[1,1] * self.yubar[2,1] * self.yvarphid[0,1] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[1,2] * self.yubar[2,2] * self.yvarphid[0,1] * self.yvarphidbar[mif2,2] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yvarphid[0,2] * self.yvarphidbar[mif2,2] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yvarphid[0,2] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphid[0,2] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yd[mif1,0] * self.ydbar[2,1] * self.yvarphid[0,2] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yd[mif1,0] * self.ydbar[2,2] * self.yvarphid[0,2] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[2,0] * self.yubar[2,0] * self.yvarphid[0,2] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[2,1] * self.yubar[2,1] * self.yvarphid[0,2] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[2,2] * self.yubar[2,2] * self.yvarphid[0,2] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[mif1,1] * self.ydbar[2,0] * self.yvarphid[1,0] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphid[1,0] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[mif1,1] * self.ydbar[2,2] * self.yvarphid[1,0] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[0,0] * self.yubar[2,0] * self.yvarphid[1,0] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[0,1] * self.yubar[2,1] * self.yvarphid[1,0] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[0,2] * self.yubar[2,2] * self.yvarphid[1,0] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[mif1,1] * self.ydbar[2,0] * self.yvarphid[1,1] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphid[1,1] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[mif1,1] * self.ydbar[2,2] * self.yvarphid[1,1] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[1,0] * self.yubar[2,0] * self.yvarphid[1,1] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[1,1] * self.yubar[2,1] * self.yvarphid[1,1] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[1,2] * self.yubar[2,2] * self.yvarphid[1,1] * self.yvarphidbar[mif2,2] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yvarphid[1,2] * self.yvarphidbar[mif2,2] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yvarphid[1,2] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yd[mif1,1] * self.ydbar[2,0] * self.yvarphid[1,2] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphid[1,2] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yd[mif1,1] * self.ydbar[2,2] * self.yvarphid[1,2] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[2,0] * self.yubar[2,0] * self.yvarphid[1,2] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[2,1] * self.yubar[2,1] * self.yvarphid[1,2] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[2,2] * self.yubar[2,2] * self.yvarphid[1,2] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[mif1,2] * self.ydbar[2,0] * self.yvarphid[2,0] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[mif1,2] * self.ydbar[2,1] * self.yvarphid[2,0] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphid[2,0] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[0,0] * self.yubar[2,0] * self.yvarphid[2,0] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[0,1] * self.yubar[2,1] * self.yvarphid[2,0] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[0,2] * self.yubar[2,2] * self.yvarphid[2,0] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[mif1,2] * self.ydbar[2,0] * self.yvarphid[2,1] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[mif1,2] * self.ydbar[2,1] * self.yvarphid[2,1] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphid[2,1] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[1,0] * self.yubar[2,0] * self.yvarphid[2,1] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[1,1] * self.yubar[2,1] * self.yvarphid[2,1] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[1,2] * self.yubar[2,2] * self.yvarphid[2,1] * self.yvarphidbar[mif2,2] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yvarphid[2,2] * self.yvarphidbar[mif2,2] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yvarphid[2,2] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yd[mif1,2] * self.ydbar[2,0] * self.yvarphid[2,2] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yd[mif1,2] * self.ydbar[2,1] * self.yvarphid[2,2] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphid[2,2] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[2,0] * self.yubar[2,0] * self.yvarphid[2,2] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[2,1] * self.yubar[2,1] * self.yvarphid[2,2] * self.yvarphidbar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[2,2] * self.yubar[2,2] * self.yvarphid[2,2] * self.yvarphidbar[mif2,2] + -3/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif2,2] + -3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif2,2] + 3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif2,2] + -3/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif2,2] + -3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif2,2] + 3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif2,2] + -3/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif2,2] + -3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif2,2] + 3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif2,2] + self.lambdavarphi * (self.Mvarphi)**(-2) * self.yvarphidbar[mif2,mif1] + 1/4 * self.lambdaHatPrimevarphi * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif2,mif1] + 1/4 * self.invepsilonbar * self.lambdaHatPrimevarphi * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif2,mif1] + 3/16 * self.lambdaHatvarphi * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif2,mif1] + 3/16 * self.invepsilonbar * self.lambdaHatvarphi * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif2,mif1] + -1/4 * self.lambdaHatPrimevarphi * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif2,mif1] + -3/16 * self.lambdaHatvarphi * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif2,mif1] + -3/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yvarphid[0,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yd[0,0])**(2) * self.ydbar[0,0] * self.yvarphid[0,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[0,1] * self.ydbar[0,1] * self.yvarphid[0,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[0,2] * self.ydbar[0,2] * self.yvarphid[0,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[1,0] * self.ydbar[1,0] * self.yvarphid[0,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[1,0] * self.ydbar[1,1] * self.yvarphid[0,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[1,0] * self.ydbar[1,2] * self.yvarphid[0,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[2,0] * self.ydbar[2,0] * self.yvarphid[0,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[2,0] * self.ydbar[2,1] * self.yvarphid[0,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[2,0] * self.ydbar[2,2] * self.yvarphid[0,0] * self.yvarphidbar[mif2,mif1] + -3/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yvarphid[0,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[1,0] * self.ydbar[0,0] * self.yvarphid[0,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[1,1] * self.ydbar[0,1] * self.yvarphid[0,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[1,2] * self.ydbar[0,2] * self.yvarphid[0,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yd[1,0])**(2) * self.ydbar[1,0] * self.yvarphid[0,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[1,1] * self.ydbar[1,1] * self.yvarphid[0,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[1,2] * self.ydbar[1,2] * self.yvarphid[0,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[2,0] * self.ydbar[2,0] * self.yvarphid[0,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[2,0] * self.ydbar[2,1] * self.yvarphid[0,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[2,0] * self.ydbar[2,2] * self.yvarphid[0,1] * self.yvarphidbar[mif2,mif1] + -3/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yvarphid[0,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[2,0] * self.ydbar[0,0] * self.yvarphid[0,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[2,1] * self.ydbar[0,1] * self.yvarphid[0,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[2,2] * self.ydbar[0,2] * self.yvarphid[0,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[2,0] * self.ydbar[1,0] * self.yvarphid[0,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[2,1] * self.ydbar[1,1] * self.yvarphid[0,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[2,2] * self.ydbar[1,2] * self.yvarphid[0,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yd[2,0])**(2) * self.ydbar[2,0] * self.yvarphid[0,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yd[2,1] * self.ydbar[2,1] * self.yvarphid[0,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yd[2,2] * self.ydbar[2,2] * self.yvarphid[0,2] * self.yvarphidbar[mif2,mif1] + -3/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yvarphid[1,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[0,1] * self.ydbar[0,0] * self.yvarphid[1,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yd[0,1])**(2) * self.ydbar[0,1] * self.yvarphid[1,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[0,2] * self.ydbar[0,2] * self.yvarphid[1,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[1,1] * self.ydbar[1,0] * self.yvarphid[1,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[1,1] * self.ydbar[1,1] * self.yvarphid[1,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[1,1] * self.ydbar[1,2] * self.yvarphid[1,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[2,1] * self.ydbar[2,0] * self.yvarphid[1,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[2,1] * self.ydbar[2,1] * self.yvarphid[1,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[2,1] * self.ydbar[2,2] * self.yvarphid[1,0] * self.yvarphidbar[mif2,mif1] + -3/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yvarphid[1,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[1,0] * self.ydbar[0,0] * self.yvarphid[1,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[1,1] * self.ydbar[0,1] * self.yvarphid[1,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[1,2] * self.ydbar[0,2] * self.yvarphid[1,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[1,1] * self.ydbar[1,0] * self.yvarphid[1,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yd[1,1])**(2) * self.ydbar[1,1] * self.yvarphid[1,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[1,2] * self.ydbar[1,2] * self.yvarphid[1,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[2,1] * self.ydbar[2,0] * self.yvarphid[1,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[2,1] * self.ydbar[2,1] * self.yvarphid[1,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[2,1] * self.ydbar[2,2] * self.yvarphid[1,1] * self.yvarphidbar[mif2,mif1] + -3/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yvarphid[1,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[2,0] * self.ydbar[0,0] * self.yvarphid[1,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[2,1] * self.ydbar[0,1] * self.yvarphid[1,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[2,2] * self.ydbar[0,2] * self.yvarphid[1,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[2,0] * self.ydbar[1,0] * self.yvarphid[1,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[2,1] * self.ydbar[1,1] * self.yvarphid[1,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[2,2] * self.ydbar[1,2] * self.yvarphid[1,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yd[2,1] * self.ydbar[2,0] * self.yvarphid[1,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yd[2,1])**(2) * self.ydbar[2,1] * self.yvarphid[1,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yd[2,2] * self.ydbar[2,2] * self.yvarphid[1,2] * self.yvarphidbar[mif2,mif1] + -3/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yvarphid[2,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[0,2] * self.ydbar[0,0] * self.yvarphid[2,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[0,2] * self.ydbar[0,1] * self.yvarphid[2,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yd[0,2])**(2) * self.ydbar[0,2] * self.yvarphid[2,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[1,2] * self.ydbar[1,0] * self.yvarphid[2,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[1,2] * self.ydbar[1,1] * self.yvarphid[2,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[1,2] * self.ydbar[1,2] * self.yvarphid[2,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[2,2] * self.ydbar[2,0] * self.yvarphid[2,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[2,2] * self.ydbar[2,1] * self.yvarphid[2,0] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[2,2] * self.ydbar[2,2] * self.yvarphid[2,0] * self.yvarphidbar[mif2,mif1] + -3/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yvarphid[2,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[1,0] * self.ydbar[0,0] * self.yvarphid[2,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[1,1] * self.ydbar[0,1] * self.yvarphid[2,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[1,2] * self.ydbar[0,2] * self.yvarphid[2,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[1,2] * self.ydbar[1,0] * self.yvarphid[2,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[1,2] * self.ydbar[1,1] * self.yvarphid[2,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yd[1,2])**(2) * self.ydbar[1,2] * self.yvarphid[2,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[2,2] * self.ydbar[2,0] * self.yvarphid[2,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[2,2] * self.ydbar[2,1] * self.yvarphid[2,1] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[2,2] * self.ydbar[2,2] * self.yvarphid[2,1] * self.yvarphidbar[mif2,mif1] + -3/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yvarphid[2,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[2,0] * self.ydbar[0,0] * self.yvarphid[2,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[2,1] * self.ydbar[0,1] * self.yvarphid[2,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[2,2] * self.ydbar[0,2] * self.yvarphid[2,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[2,0] * self.ydbar[1,0] * self.yvarphid[2,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[2,1] * self.ydbar[1,1] * self.yvarphid[2,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[2,2] * self.ydbar[1,2] * self.yvarphid[2,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yd[2,2] * self.ydbar[2,0] * self.yvarphid[2,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yd[2,2] * self.ydbar[2,1] * self.yvarphid[2,2] * self.yvarphidbar[mif2,mif1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yd[2,2])**(2) * self.ydbar[2,2] * self.yvarphid[2,2] * self.yvarphidbar[mif2,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[0,0] * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[0,1] * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[0,2] * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[0,0] * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[0,1] * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[0,2] * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[0,0] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[0,1] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[0,2] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[0,0] * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[0,1] * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[0,2] * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[0,0] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[0,1] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[0,2] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[0,0] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[0,1] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[0,2] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[0,0] * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[0,1] * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[0,2] * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[0,0] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[0,1] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[0,2] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[0,0] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[0,1] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[0,2] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[1,0] * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[1,1] * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[1,2] * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[1,0] * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[1,1] * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[1,2] * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[1,0] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[1,1] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[1,2] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[1,0] * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[1,1] * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[1,2] * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[1,0] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[1,1] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[1,2] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[1,0] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[1,1] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[1,2] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[1,0] * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[1,1] * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[1,2] * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[1,0] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[1,1] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[1,2] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[1,0] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[1,1] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[1,2] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[2,0] * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[2,1] * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[2,2] * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[2,0] * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[2,1] * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[2,2] * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[2,0] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[2,1] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[2,2] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[2,0] * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[2,1] * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[2,2] * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[2,0] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[2,1] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[2,2] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[2,0] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[2,1] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[2,2] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[2,0] * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[2,1] * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[2,2] * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[2,0] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[2,1] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[2,2] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[2,0] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[2,1] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[2,2] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[2,2] + 1/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yubar[0,0] * self.yvarphiu[mif1,0] + 1/32 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yubar[0,0] * self.yvarphiu[mif1,0] + -1/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yubar[0,0] * self.yvarphiu[mif1,0] + 1/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yubar[1,0] * self.yvarphiu[mif1,0] + 1/32 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yubar[1,0] * self.yvarphiu[mif1,0] + -1/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yubar[1,0] * self.yvarphiu[mif1,0] + 1/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yubar[2,0] * self.yvarphiu[mif1,0] + 1/32 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yubar[2,0] * self.yvarphiu[mif1,0] + -1/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yubar[2,0] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,0] * self.yubar[0,0] * self.yvarphidbar[0,0] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,0] * self.yubar[0,0] * self.yvarphidbar[0,0] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,0] * self.yubar[0,0] * self.yvarphidbar[0,0] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,0] * self.yubar[1,0] * self.yvarphidbar[0,1] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,0] * self.yubar[1,0] * self.yvarphidbar[0,1] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,0] * self.yubar[1,0] * self.yvarphidbar[0,1] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,0] * self.yubar[2,0] * self.yvarphidbar[0,2] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,0] * self.yubar[2,0] * self.yvarphidbar[0,2] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,0] * self.yubar[2,0] * self.yvarphidbar[0,2] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,1] * self.yubar[0,0] * self.yvarphidbar[1,0] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,1] * self.yubar[0,0] * self.yvarphidbar[1,0] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,1] * self.yubar[0,0] * self.yvarphidbar[1,0] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,1] * self.yubar[1,0] * self.yvarphidbar[1,1] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,1] * self.yubar[1,0] * self.yvarphidbar[1,1] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,1] * self.yubar[1,0] * self.yvarphidbar[1,1] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,1] * self.yubar[2,0] * self.yvarphidbar[1,2] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,1] * self.yubar[2,0] * self.yvarphidbar[1,2] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,1] * self.yubar[2,0] * self.yvarphidbar[1,2] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,2] * self.yubar[0,0] * self.yvarphidbar[2,0] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,2] * self.yubar[0,0] * self.yvarphidbar[2,0] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,2] * self.yubar[0,0] * self.yvarphidbar[2,0] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,2] * self.yubar[1,0] * self.yvarphidbar[2,1] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,2] * self.yubar[1,0] * self.yvarphidbar[2,1] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,2] * self.yubar[1,0] * self.yvarphidbar[2,1] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,2] * self.yubar[2,0] * self.yvarphidbar[2,2] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,2] * self.yubar[2,0] * self.yvarphidbar[2,2] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,2] * self.yubar[2,0] * self.yvarphidbar[2,2] * self.yvarphiu[mif1,0] + -3/32 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + -1/16 * self.invepsilonbar * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + 1/16 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + 1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * (self.yubar[0,0])**(2) * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * (self.yubar[0,0])**(2) * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,0] * (self.yubar[0,0])**(2) * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,0] * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,0] * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[0,0] * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,0] * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,0] * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[0,0] * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + -3/32 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + -1/16 * self.invepsilonbar * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + 1/16 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + 1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,0] * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,0] * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[0,0] * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * (self.yubar[1,0])**(2) * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * (self.yubar[1,0])**(2) * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,0] * (self.yubar[1,0])**(2) * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,0] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,0] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[0,0] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[1,0] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[1,0] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[1,0] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,0] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,0] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[0,0] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[1,0] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[1,0] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[1,0] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + -3/32 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + -1/16 * self.invepsilonbar * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 1/16 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,0] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,0] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[0,0] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[1,0] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[1,0] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[1,0] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * (self.yubar[2,0])**(2) * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * (self.yubar[2,0])**(2) * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,0] * (self.yubar[2,0])**(2) * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,0] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,0] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[0,0] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[1,0] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[1,0] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[1,0] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[2,0] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,0] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,0] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[0,0] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[1,0] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[1,0] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[1,0] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[2,0] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 1/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yubar[0,1] * self.yvarphiu[mif1,1] + 1/32 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yubar[0,1] * self.yvarphiu[mif1,1] + -1/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yubar[0,1] * self.yvarphiu[mif1,1] + 1/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yubar[1,1] * self.yvarphiu[mif1,1] + 1/32 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yubar[1,1] * self.yvarphiu[mif1,1] + -1/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yubar[1,1] * self.yvarphiu[mif1,1] + 1/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yubar[2,1] * self.yvarphiu[mif1,1] + 1/32 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yubar[2,1] * self.yvarphiu[mif1,1] + -1/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yubar[2,1] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,0] * self.yubar[0,1] * self.yvarphidbar[0,0] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,0] * self.yubar[0,1] * self.yvarphidbar[0,0] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,0] * self.yubar[0,1] * self.yvarphidbar[0,0] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,0] * self.yubar[1,1] * self.yvarphidbar[0,1] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,0] * self.yubar[1,1] * self.yvarphidbar[0,1] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,0] * self.yubar[1,1] * self.yvarphidbar[0,1] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,0] * self.yubar[2,1] * self.yvarphidbar[0,2] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,0] * self.yubar[2,1] * self.yvarphidbar[0,2] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,0] * self.yubar[2,1] * self.yvarphidbar[0,2] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,1] * self.yubar[0,1] * self.yvarphidbar[1,0] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,1] * self.yubar[0,1] * self.yvarphidbar[1,0] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,1] * self.yubar[0,1] * self.yvarphidbar[1,0] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,1] * self.yubar[1,1] * self.yvarphidbar[1,1] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,1] * self.yubar[1,1] * self.yvarphidbar[1,1] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,1] * self.yubar[1,1] * self.yvarphidbar[1,1] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,1] * self.yubar[2,1] * self.yvarphidbar[1,2] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,1] * self.yubar[2,1] * self.yvarphidbar[1,2] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,1] * self.yubar[2,1] * self.yvarphidbar[1,2] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,2] * self.yubar[0,1] * self.yvarphidbar[2,0] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,2] * self.yubar[0,1] * self.yvarphidbar[2,0] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,2] * self.yubar[0,1] * self.yvarphidbar[2,0] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,2] * self.yubar[1,1] * self.yvarphidbar[2,1] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,2] * self.yubar[1,1] * self.yvarphidbar[2,1] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,2] * self.yubar[1,1] * self.yvarphidbar[2,1] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,2] * self.yubar[2,1] * self.yvarphidbar[2,2] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,2] * self.yubar[2,1] * self.yvarphidbar[2,2] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,2] * self.yubar[2,1] * self.yvarphidbar[2,2] * self.yvarphiu[mif1,1] + -3/32 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + -1/16 * self.invepsilonbar * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 1/16 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,0] * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,0] * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[0,0] * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * (self.yubar[0,1])**(2) * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * (self.yubar[0,1])**(2) * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,1] * (self.yubar[0,1])**(2) * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,1] * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,1] * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[0,1] * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,1] * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,1] * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[0,1] * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + -3/32 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + -1/16 * self.invepsilonbar * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + 1/16 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + 1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,1] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,1] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[0,1] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * (self.yubar[1,1])**(2) * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * (self.yubar[1,1])**(2) * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,1] * (self.yubar[1,1])**(2) * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,1] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,1] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[0,1] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[1,1] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[1,1] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[1,1] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,1] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,1] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[0,1] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[1,1] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[1,1] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[1,1] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + -3/32 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + -1/16 * self.invepsilonbar * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + 1/16 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + 1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,1] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,1] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[0,1] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[1,1] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[1,1] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[1,1] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * (self.yubar[2,1])**(2) * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * (self.yubar[2,1])**(2) * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,1] * (self.yubar[2,1])**(2) * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,1] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,1] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[0,1] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[1,1] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[1,1] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[1,1] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[2,1] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + 1/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yubar[0,2] * self.yvarphiu[mif1,2] + 1/32 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yubar[0,2] * self.yvarphiu[mif1,2] + -1/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif2] * self.yubar[0,2] * self.yvarphiu[mif1,2] + 1/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yubar[1,2] * self.yvarphiu[mif1,2] + 1/32 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yubar[1,2] * self.yvarphiu[mif1,2] + -1/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif2] * self.yubar[1,2] * self.yvarphiu[mif1,2] + 1/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yubar[2,2] * self.yvarphiu[mif1,2] + 1/32 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yubar[2,2] * self.yvarphiu[mif1,2] + -1/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif2] * self.yubar[2,2] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,0] * self.yubar[0,2] * self.yvarphidbar[0,0] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,0] * self.yubar[0,2] * self.yvarphidbar[0,0] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,0] * self.yubar[0,2] * self.yvarphidbar[0,0] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,0] * self.yubar[1,2] * self.yvarphidbar[0,1] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,0] * self.yubar[1,2] * self.yvarphidbar[0,1] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,0] * self.yubar[1,2] * self.yvarphidbar[0,1] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,0] * self.yubar[2,2] * self.yvarphidbar[0,2] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,0] * self.yubar[2,2] * self.yvarphidbar[0,2] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,0] * self.yubar[2,2] * self.yvarphidbar[0,2] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,1] * self.yubar[0,2] * self.yvarphidbar[1,0] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,1] * self.yubar[0,2] * self.yvarphidbar[1,0] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,1] * self.yubar[0,2] * self.yvarphidbar[1,0] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,1] * self.yubar[1,2] * self.yvarphidbar[1,1] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,1] * self.yubar[1,2] * self.yvarphidbar[1,1] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,1] * self.yubar[1,2] * self.yvarphidbar[1,1] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,1] * self.yubar[2,2] * self.yvarphidbar[1,2] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,1] * self.yubar[2,2] * self.yvarphidbar[1,2] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,1] * self.yubar[2,2] * self.yvarphidbar[1,2] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,2] * self.yubar[0,2] * self.yvarphidbar[2,0] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,2] * self.yubar[0,2] * self.yvarphidbar[2,0] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,2] * self.yubar[0,2] * self.yvarphidbar[2,0] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,2] * self.yubar[1,2] * self.yvarphidbar[2,1] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,2] * self.yubar[1,2] * self.yvarphidbar[2,1] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,2] * self.yubar[1,2] * self.yvarphidbar[2,1] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,2] * self.yubar[2,2] * self.yvarphidbar[2,2] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,2] * self.yubar[2,2] * self.yvarphidbar[2,2] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,2] * self.yubar[2,2] * self.yvarphidbar[2,2] * self.yvarphiu[mif1,2] + -3/32 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + -1/16 * self.invepsilonbar * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 1/16 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,0] * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,0] * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[0,0] * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,1] * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,1] * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[0,1] * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * (self.yubar[0,2])**(2) * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * (self.yubar[0,2])**(2) * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,2] * (self.yubar[0,2])**(2) * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[0,0] * self.yubar[1,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[0,1] * self.yubar[1,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[0,2] * self.yubar[1,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[0,0] * self.yubar[2,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[0,1] * self.yubar[2,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[0,2] * self.yubar[2,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,2] * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,2] * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[0,2] * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,2] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,2] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[0,2] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + -3/32 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + -1/16 * self.invepsilonbar * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + 1/16 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + 1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,2] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,2] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[0,2] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[1,0] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[1,1] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[1,1] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[1,1] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * (self.yubar[1,2])**(2) * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * (self.yubar[1,2])**(2) * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,2] * (self.yubar[1,2])**(2) * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[1,0] * self.yubar[2,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[1,1] * self.yubar[2,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[1,2] * self.yubar[2,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,2] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,2] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[0,2] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[1,2] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[1,2] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[1,2] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,2] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,2] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[0,2] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[1,2] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[1,2] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[1,2] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + -3/32 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + -1/16 * self.invepsilonbar * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 1/16 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,2] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,2] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[0,2] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[1,2] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[2,0] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[2,1] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[2,1] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[2,1] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * (self.yubar[2,2])**(2) * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * (self.yubar[2,2])**(2) * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,2] * (self.yubar[2,2])**(2) * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 1/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[mif1,0] * self.yvarphiubar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphiu[0,0] * self.yvarphiubar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphiu[0,0] * self.yvarphiubar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphiu[0,0] * self.yvarphiubar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphiu[1,0] * self.yvarphiubar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphiu[1,0] * self.yvarphiubar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphiu[1,0] * self.yvarphiubar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphiu[2,0] * self.yvarphiubar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphiu[2,0] * self.yvarphiubar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphiu[2,0] * self.yvarphiubar[0,0] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[0,0] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[1,0] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[2,0] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + 7/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + 3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + -3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[0,0] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[1,0] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[2,0] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[0,0] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[1,0] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[2,0] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,0] + 1/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[mif1,1] * self.yvarphiubar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphiu[0,1] * self.yvarphiubar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphiu[0,1] * self.yvarphiubar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphiu[0,1] * self.yvarphiubar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphiu[1,1] * self.yvarphiubar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphiu[1,1] * self.yvarphiubar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphiu[1,1] * self.yvarphiubar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphiu[2,1] * self.yvarphiubar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphiu[2,1] * self.yvarphiubar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphiu[2,1] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[0,1] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[1,1] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[2,1] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[0,1] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[1,1] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[2,1] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + 7/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + 3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + -3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[0,1] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[1,1] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[2,1] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,1] + 1/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[mif1,2] * self.yvarphiubar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphiu[0,2] * self.yvarphiubar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphiu[0,2] * self.yvarphiubar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphiu[0,2] * self.yvarphiubar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphiu[1,2] * self.yvarphiubar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphiu[1,2] * self.yvarphiubar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphiu[1,2] * self.yvarphiubar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphiu[2,2] * self.yvarphiubar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphiu[2,2] * self.yvarphiubar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphiu[2,2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[0,2] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[1,2] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[2,2] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[0,2] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[1,2] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[2,2] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,2] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[0,2] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[1,2] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[2,2] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + 7/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + 3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + -3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + 1/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[mif1,0] * self.yvarphiubar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphiu[0,0] * self.yvarphiubar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphiu[0,0] * self.yvarphiubar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphiu[0,0] * self.yvarphiubar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphiu[1,0] * self.yvarphiubar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphiu[1,0] * self.yvarphiubar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphiu[1,0] * self.yvarphiubar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphiu[2,0] * self.yvarphiubar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphiu[2,0] * self.yvarphiubar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphiu[2,0] * self.yvarphiubar[1,0] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[0,0] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[1,0] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[2,0] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + 7/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + 3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + -3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[0,0] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[1,0] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[2,0] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[0,0] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[1,0] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[2,0] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,0] + 1/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[mif1,1] * self.yvarphiubar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphiu[0,1] * self.yvarphiubar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphiu[0,1] * self.yvarphiubar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphiu[0,1] * self.yvarphiubar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphiu[1,1] * self.yvarphiubar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphiu[1,1] * self.yvarphiubar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphiu[1,1] * self.yvarphiubar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphiu[2,1] * self.yvarphiubar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphiu[2,1] * self.yvarphiubar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphiu[2,1] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[0,1] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[1,1] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[2,1] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[0,1] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[1,1] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[2,1] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + 7/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + 3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + -3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[0,1] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[1,1] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[2,1] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,1] + 1/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[mif1,2] * self.yvarphiubar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphiu[0,2] * self.yvarphiubar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphiu[0,2] * self.yvarphiubar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphiu[0,2] * self.yvarphiubar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphiu[1,2] * self.yvarphiubar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphiu[1,2] * self.yvarphiubar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphiu[1,2] * self.yvarphiubar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphiu[2,2] * self.yvarphiubar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphiu[2,2] * self.yvarphiubar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphiu[2,2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[0,2] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[1,2] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[2,2] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[0,2] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[1,2] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[2,2] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,2] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[0,2] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[1,2] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[2,2] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + 7/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + 3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + -3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + 1/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[mif1,0] * self.yvarphiubar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphiu[0,0] * self.yvarphiubar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphiu[0,0] * self.yvarphiubar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphiu[0,0] * self.yvarphiubar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphiu[1,0] * self.yvarphiubar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphiu[1,0] * self.yvarphiubar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphiu[1,0] * self.yvarphiubar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphiu[2,0] * self.yvarphiubar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphiu[2,0] * self.yvarphiubar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphiu[2,0] * self.yvarphiubar[2,0] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[0,0] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[1,0] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[2,0] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + 7/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + 3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + -3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[0,0] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[1,0] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[2,0] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[0,0] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[1,0] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[2,0] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,0] + 1/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[mif1,1] * self.yvarphiubar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphiu[0,1] * self.yvarphiubar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphiu[0,1] * self.yvarphiubar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphiu[0,1] * self.yvarphiubar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphiu[1,1] * self.yvarphiubar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphiu[1,1] * self.yvarphiubar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphiu[1,1] * self.yvarphiubar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphiu[2,1] * self.yvarphiubar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphiu[2,1] * self.yvarphiubar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphiu[2,1] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[0,1] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[1,1] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[2,1] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[0,1] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[1,1] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[2,1] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + 7/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + 3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + -3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[0,1] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[1,1] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[2,1] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,1] + 1/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[mif1,2] * self.yvarphiubar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphiu[0,2] * self.yvarphiubar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphiu[0,2] * self.yvarphiubar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphiu[0,2] * self.yvarphiubar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphiu[1,2] * self.yvarphiubar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphiu[1,2] * self.yvarphiubar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphiu[1,2] * self.yvarphiubar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphiu[2,2] * self.yvarphiubar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphiu[2,2] * self.yvarphiubar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphiu[2,2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[0,2] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[1,2] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[2,2] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[0,2] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[1,2] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[2,2] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,2] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[0,2] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[1,2] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[2,2] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + 7/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + 3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + -3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2])

    def alphaOdW(self, mif1,mif2):
        return (-1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] + -3/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yvarphid[0,0] * self.yvarphidbar[mif2,mif1] + -3/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yvarphid[0,1] * self.yvarphidbar[mif2,mif1] + -3/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yvarphid[0,2] * self.yvarphidbar[mif2,mif1] + -3/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yvarphid[1,0] * self.yvarphidbar[mif2,mif1] + -3/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yvarphid[1,1] * self.yvarphidbar[mif2,mif1] + -3/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yvarphid[1,2] * self.yvarphidbar[mif2,mif1] + -3/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yvarphid[2,0] * self.yvarphidbar[mif2,mif1] + -3/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yvarphid[2,1] * self.yvarphidbar[mif2,mif1] + -3/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yvarphid[2,2] * self.yvarphidbar[mif2,mif1] + 1/256 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + 1/128 * self.g2 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,0] + 1/256 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + 1/128 * self.g2 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,0] + 1/256 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 1/128 * self.g2 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,0] + 1/256 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 1/128 * self.g2 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,1] + 1/256 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + 1/128 * self.g2 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,1] + 1/256 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + 1/128 * self.g2 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,1] + 1/256 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 1/128 * self.g2 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[mif1,2] + 1/256 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + 1/128 * self.g2 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[mif1,2] + 1/256 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + 1/128 * self.g2 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[mif1,2] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2])

    def alphaOeB(self, mif1,mif2):
        return (-5/768 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yvarphie[0,0] * self.yvarphiebar[0,mif1] + -5/768 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yvarphie[0,1] * self.yvarphiebar[0,mif1] + -5/768 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yvarphie[0,2] * self.yvarphiebar[0,mif1] + -5/768 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yvarphie[1,0] * self.yvarphiebar[1,mif1] + -5/768 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yvarphie[1,1] * self.yvarphiebar[1,mif1] + -5/768 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yvarphie[1,2] * self.yvarphiebar[1,mif1] + -5/768 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yvarphie[2,0] * self.yvarphiebar[2,mif1] + -5/768 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yvarphie[2,1] * self.yvarphiebar[2,mif1] + -5/768 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yvarphie[2,2] * self.yvarphiebar[2,mif1] + -1/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yvarphie[0,0] * self.yvarphiebar[mif2,0] + -1/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yvarphie[1,0] * self.yvarphiebar[mif2,0] + -1/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yvarphie[2,0] * self.yvarphiebar[mif2,0] + -1/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yvarphie[0,1] * self.yvarphiebar[mif2,1] + -1/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yvarphie[1,1] * self.yvarphiebar[mif2,1] + -1/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yvarphie[2,1] * self.yvarphiebar[mif2,1] + -1/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yvarphie[0,2] * self.yvarphiebar[mif2,2] + -1/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yvarphie[1,2] * self.yvarphiebar[mif2,2] + -1/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yvarphie[2,2] * self.yvarphiebar[mif2,2] + 3/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yvarphie[0,0] * self.yvarphiebar[mif2,mif1] + 3/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yvarphie[0,1] * self.yvarphiebar[mif2,mif1] + 3/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.yvarphie[0,2] * self.yvarphiebar[mif2,mif1] + 3/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yvarphie[1,0] * self.yvarphiebar[mif2,mif1] + 3/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yvarphie[1,1] * self.yvarphiebar[mif2,mif1] + 3/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.yvarphie[1,2] * self.yvarphiebar[mif2,mif1] + 3/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yvarphie[2,0] * self.yvarphiebar[mif2,mif1] + 3/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yvarphie[2,1] * self.yvarphiebar[mif2,mif1] + 3/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.yvarphie[2,2] * self.yvarphiebar[mif2,mif1])

    def alphaOed(self, mif1,mif2,mif3,mif4):
        return (-1/2880 * (self.g1)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 11/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + 1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + -1/144 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + 11/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + 1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + -1/144 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + 11/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + 1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + -1/144 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yl[0,mif2] * self.yvarphidbar[mif4,0] * self.yvarphie[mif1,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yl[0,mif2] * self.yvarphidbar[mif4,0] * self.yvarphie[mif1,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yl[0,mif2] * self.yvarphidbar[mif4,0] * self.yvarphie[mif1,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yl[0,mif2] * self.yvarphidbar[mif4,1] * self.yvarphie[mif1,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yl[0,mif2] * self.yvarphidbar[mif4,1] * self.yvarphie[mif1,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yl[0,mif2] * self.yvarphidbar[mif4,1] * self.yvarphie[mif1,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yl[0,mif2] * self.yvarphidbar[mif4,2] * self.yvarphie[mif1,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yl[0,mif2] * self.yvarphidbar[mif4,2] * self.yvarphie[mif1,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yl[0,mif2] * self.yvarphidbar[mif4,2] * self.yvarphie[mif1,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yl[1,mif2] * self.yvarphidbar[mif4,0] * self.yvarphie[mif1,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yl[1,mif2] * self.yvarphidbar[mif4,0] * self.yvarphie[mif1,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yl[1,mif2] * self.yvarphidbar[mif4,0] * self.yvarphie[mif1,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yl[1,mif2] * self.yvarphidbar[mif4,1] * self.yvarphie[mif1,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yl[1,mif2] * self.yvarphidbar[mif4,1] * self.yvarphie[mif1,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yl[1,mif2] * self.yvarphidbar[mif4,1] * self.yvarphie[mif1,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yl[1,mif2] * self.yvarphidbar[mif4,2] * self.yvarphie[mif1,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yl[1,mif2] * self.yvarphidbar[mif4,2] * self.yvarphie[mif1,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yl[1,mif2] * self.yvarphidbar[mif4,2] * self.yvarphie[mif1,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yl[2,mif2] * self.yvarphidbar[mif4,0] * self.yvarphie[mif1,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yl[2,mif2] * self.yvarphidbar[mif4,0] * self.yvarphie[mif1,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yl[2,mif2] * self.yvarphidbar[mif4,0] * self.yvarphie[mif1,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yl[2,mif2] * self.yvarphidbar[mif4,1] * self.yvarphie[mif1,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yl[2,mif2] * self.yvarphidbar[mif4,1] * self.yvarphie[mif1,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yl[2,mif2] * self.yvarphidbar[mif4,1] * self.yvarphie[mif1,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yl[2,mif2] * self.yvarphidbar[mif4,2] * self.yvarphie[mif1,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yl[2,mif2] * self.yvarphidbar[mif4,2] * self.yvarphie[mif1,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yl[2,mif2] * self.yvarphidbar[mif4,2] * self.yvarphie[mif1,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ylbar[0,mif1] * self.yvarphid[mif3,0] * self.yvarphiebar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ylbar[0,mif1] * self.yvarphid[mif3,0] * self.yvarphiebar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ylbar[0,mif1] * self.yvarphid[mif3,0] * self.yvarphiebar[mif2,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ylbar[0,mif1] * self.yvarphid[mif3,1] * self.yvarphiebar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ylbar[0,mif1] * self.yvarphid[mif3,1] * self.yvarphiebar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ylbar[0,mif1] * self.yvarphid[mif3,1] * self.yvarphiebar[mif2,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ylbar[0,mif1] * self.yvarphid[mif3,2] * self.yvarphiebar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ylbar[0,mif1] * self.yvarphid[mif3,2] * self.yvarphiebar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ylbar[0,mif1] * self.yvarphid[mif3,2] * self.yvarphiebar[mif2,0] + -7/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] + -1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] + 1/144 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ylbar[1,mif1] * self.yvarphid[mif3,0] * self.yvarphiebar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ylbar[1,mif1] * self.yvarphid[mif3,0] * self.yvarphiebar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ylbar[1,mif1] * self.yvarphid[mif3,0] * self.yvarphiebar[mif2,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ylbar[1,mif1] * self.yvarphid[mif3,1] * self.yvarphiebar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ylbar[1,mif1] * self.yvarphid[mif3,1] * self.yvarphiebar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ylbar[1,mif1] * self.yvarphid[mif3,1] * self.yvarphiebar[mif2,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ylbar[1,mif1] * self.yvarphid[mif3,2] * self.yvarphiebar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ylbar[1,mif1] * self.yvarphid[mif3,2] * self.yvarphiebar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ylbar[1,mif1] * self.yvarphid[mif3,2] * self.yvarphiebar[mif2,1] + -7/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] + -1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] + 1/144 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ylbar[2,mif1] * self.yvarphid[mif3,0] * self.yvarphiebar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ylbar[2,mif1] * self.yvarphid[mif3,0] * self.yvarphiebar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ylbar[2,mif1] * self.yvarphid[mif3,0] * self.yvarphiebar[mif2,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ylbar[2,mif1] * self.yvarphid[mif3,1] * self.yvarphiebar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ylbar[2,mif1] * self.yvarphid[mif3,1] * self.yvarphiebar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ylbar[2,mif1] * self.yvarphid[mif3,1] * self.yvarphiebar[mif2,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ylbar[2,mif1] * self.yvarphid[mif3,2] * self.yvarphiebar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ylbar[2,mif1] * self.yvarphid[mif3,2] * self.yvarphiebar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ylbar[2,mif1] * self.yvarphid[mif3,2] * self.yvarphiebar[mif2,2] + -7/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] + -1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] + 1/144 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2])

    def alphaOee(self, mif1,mif2,mif3,mif4):
        return (-1/1920 * (self.g1)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -7/576 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] + -1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] + 1/96 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif4] * self.ylbar[0,mif1] * self.yvarphie[mif3,0] * self.yvarphiebar[mif2,0] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif4] * self.ylbar[0,mif1] * self.yvarphie[mif3,0] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,mif4] * self.ylbar[0,mif1] * self.yvarphie[mif3,0] * self.yvarphiebar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif4] * self.ylbar[0,mif1] * self.yvarphie[mif3,1] * self.yvarphiebar[mif2,0] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif4] * self.ylbar[0,mif1] * self.yvarphie[mif3,1] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,mif4] * self.ylbar[0,mif1] * self.yvarphie[mif3,1] * self.yvarphiebar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif4] * self.ylbar[0,mif1] * self.yvarphie[mif3,2] * self.yvarphiebar[mif2,0] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif4] * self.ylbar[0,mif1] * self.yvarphie[mif3,2] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,mif4] * self.ylbar[0,mif1] * self.yvarphie[mif3,2] * self.yvarphiebar[mif2,0] + -7/576 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] + -1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] + 1/96 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif4] * self.ylbar[1,mif1] * self.yvarphie[mif3,0] * self.yvarphiebar[mif2,1] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif4] * self.ylbar[1,mif1] * self.yvarphie[mif3,0] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,mif4] * self.ylbar[1,mif1] * self.yvarphie[mif3,0] * self.yvarphiebar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif4] * self.ylbar[1,mif1] * self.yvarphie[mif3,1] * self.yvarphiebar[mif2,1] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif4] * self.ylbar[1,mif1] * self.yvarphie[mif3,1] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,mif4] * self.ylbar[1,mif1] * self.yvarphie[mif3,1] * self.yvarphiebar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif4] * self.ylbar[1,mif1] * self.yvarphie[mif3,2] * self.yvarphiebar[mif2,1] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif4] * self.ylbar[1,mif1] * self.yvarphie[mif3,2] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,mif4] * self.ylbar[1,mif1] * self.yvarphie[mif3,2] * self.yvarphiebar[mif2,1] + -7/576 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] + -1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] + 1/96 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif4] * self.ylbar[2,mif1] * self.yvarphie[mif3,0] * self.yvarphiebar[mif2,2] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif4] * self.ylbar[2,mif1] * self.yvarphie[mif3,0] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,mif4] * self.ylbar[2,mif1] * self.yvarphie[mif3,0] * self.yvarphiebar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif4] * self.ylbar[2,mif1] * self.yvarphie[mif3,1] * self.yvarphiebar[mif2,2] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif4] * self.ylbar[2,mif1] * self.yvarphie[mif3,1] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,mif4] * self.ylbar[2,mif1] * self.yvarphie[mif3,1] * self.yvarphiebar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif4] * self.ylbar[2,mif1] * self.yvarphie[mif3,2] * self.yvarphiebar[mif2,2] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif4] * self.ylbar[2,mif1] * self.yvarphie[mif3,2] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,mif4] * self.ylbar[2,mif1] * self.yvarphie[mif3,2] * self.yvarphiebar[mif2,2] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[0,mif3] * self.yvarphie[mif1,0] * self.yvarphiebar[mif4,0] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[0,mif3] * self.yvarphie[mif1,0] * self.yvarphiebar[mif4,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,mif2] * self.ylbar[0,mif3] * self.yvarphie[mif1,0] * self.yvarphiebar[mif4,0] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[0,mif3] * self.yvarphie[mif1,1] * self.yvarphiebar[mif4,0] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[0,mif3] * self.yvarphie[mif1,1] * self.yvarphiebar[mif4,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,mif2] * self.ylbar[0,mif3] * self.yvarphie[mif1,1] * self.yvarphiebar[mif4,0] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[0,mif3] * self.yvarphie[mif1,2] * self.yvarphiebar[mif4,0] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[0,mif3] * self.yvarphie[mif1,2] * self.yvarphiebar[mif4,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,mif2] * self.ylbar[0,mif3] * self.yvarphie[mif1,2] * self.yvarphiebar[mif4,0] + -7/576 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[mif3,0] * self.yvarphiebar[mif4,0] + -1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[mif3,0] * self.yvarphiebar[mif4,0] + 1/96 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[mif3,0] * self.yvarphiebar[mif4,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif1,0] * self.yvarphie[mif3,0] * self.yvarphiebar[mif2,0] * self.yvarphiebar[mif4,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif1,1] * self.yvarphie[mif3,0] * self.yvarphiebar[mif2,1] * self.yvarphiebar[mif4,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif1,2] * self.yvarphie[mif3,0] * self.yvarphiebar[mif2,2] * self.yvarphiebar[mif4,0] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[1,mif3] * self.yvarphie[mif1,0] * self.yvarphiebar[mif4,1] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[1,mif3] * self.yvarphie[mif1,0] * self.yvarphiebar[mif4,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,mif2] * self.ylbar[1,mif3] * self.yvarphie[mif1,0] * self.yvarphiebar[mif4,1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[1,mif3] * self.yvarphie[mif1,1] * self.yvarphiebar[mif4,1] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[1,mif3] * self.yvarphie[mif1,1] * self.yvarphiebar[mif4,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,mif2] * self.ylbar[1,mif3] * self.yvarphie[mif1,1] * self.yvarphiebar[mif4,1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[1,mif3] * self.yvarphie[mif1,2] * self.yvarphiebar[mif4,1] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[1,mif3] * self.yvarphie[mif1,2] * self.yvarphiebar[mif4,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,mif2] * self.ylbar[1,mif3] * self.yvarphie[mif1,2] * self.yvarphiebar[mif4,1] + -7/576 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[mif3,1] * self.yvarphiebar[mif4,1] + -1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[mif3,1] * self.yvarphiebar[mif4,1] + 1/96 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[mif3,1] * self.yvarphiebar[mif4,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif1,0] * self.yvarphie[mif3,1] * self.yvarphiebar[mif2,0] * self.yvarphiebar[mif4,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif1,1] * self.yvarphie[mif3,1] * self.yvarphiebar[mif2,1] * self.yvarphiebar[mif4,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif1,2] * self.yvarphie[mif3,1] * self.yvarphiebar[mif2,2] * self.yvarphiebar[mif4,1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[2,mif3] * self.yvarphie[mif1,0] * self.yvarphiebar[mif4,2] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[2,mif3] * self.yvarphie[mif1,0] * self.yvarphiebar[mif4,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,mif2] * self.ylbar[2,mif3] * self.yvarphie[mif1,0] * self.yvarphiebar[mif4,2] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[2,mif3] * self.yvarphie[mif1,1] * self.yvarphiebar[mif4,2] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[2,mif3] * self.yvarphie[mif1,1] * self.yvarphiebar[mif4,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,mif2] * self.ylbar[2,mif3] * self.yvarphie[mif1,1] * self.yvarphiebar[mif4,2] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[2,mif3] * self.yvarphie[mif1,2] * self.yvarphiebar[mif4,2] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[2,mif3] * self.yvarphie[mif1,2] * self.yvarphiebar[mif4,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,mif2] * self.ylbar[2,mif3] * self.yvarphie[mif1,2] * self.yvarphiebar[mif4,2] + -7/576 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[mif3,2] * self.yvarphiebar[mif4,2] + -1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[mif3,2] * self.yvarphiebar[mif4,2] + 1/96 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[mif3,2] * self.yvarphiebar[mif4,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif1,0] * self.yvarphie[mif3,2] * self.yvarphiebar[mif2,0] * self.yvarphiebar[mif4,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif1,1] * self.yvarphie[mif3,2] * self.yvarphiebar[mif2,1] * self.yvarphiebar[mif4,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif1,2] * self.yvarphie[mif3,2] * self.yvarphiebar[mif2,2] * self.yvarphiebar[mif4,2])

    def alphaOeH(self, mif1,mif2):
        return (-1/3840 * (self.g2)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] + 1/192 * (self.lambdaHatPrimevarphi)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] + 1/16 * self.lambdavarphi * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.yvarphie[0,0] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.yvarphie[0,1] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.yvarphie[0,2] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.yvarphie[1,0] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.yvarphie[1,1] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.yvarphie[1,2] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.yvarphie[2,0] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.yvarphie[2,1] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.yvarphie[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[0,0] * self.yvarphie[0,0] * self.yvarphiebar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[0,1] * self.yvarphie[0,0] * self.yvarphiebar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yvarphie[0,0] * self.yvarphiebar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[1,0] * self.yvarphie[0,0] * self.yvarphiebar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[2,0] * self.yvarphie[0,0] * self.yvarphiebar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[0,0] * self.yvarphie[0,1] * self.yvarphiebar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[0,1] * self.yvarphie[0,1] * self.yvarphiebar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yvarphie[0,1] * self.yvarphiebar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[0,0] * self.yvarphie[0,2] * self.yvarphiebar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[0,1] * self.yvarphie[0,2] * self.yvarphiebar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yvarphie[0,2] * self.yvarphiebar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[0,0] * self.yvarphie[1,0] * self.yvarphiebar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[1,0] * self.yvarphie[1,0] * self.yvarphiebar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[2,0] * self.yvarphie[1,0] * self.yvarphiebar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[0,0] * self.yvarphie[2,0] * self.yvarphiebar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[1,0] * self.yvarphie[2,0] * self.yvarphiebar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[2,0] * self.yvarphie[2,0] * self.yvarphiebar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[1,0] * self.yvarphie[0,0] * self.yvarphiebar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[1,1] * self.yvarphie[0,0] * self.yvarphiebar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yvarphie[0,0] * self.yvarphiebar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[0,0] * self.yvarphie[0,1] * self.yvarphiebar[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[1,0] * self.yvarphie[0,1] * self.yvarphiebar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[1,1] * self.yvarphie[0,1] * self.yvarphiebar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yvarphie[0,1] * self.yvarphiebar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[2,0] * self.yvarphie[0,1] * self.yvarphiebar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[1,0] * self.yvarphie[0,2] * self.yvarphiebar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[1,1] * self.yvarphie[0,2] * self.yvarphiebar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yvarphie[0,2] * self.yvarphiebar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[0,0] * self.yvarphie[1,1] * self.yvarphiebar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[1,0] * self.yvarphie[1,1] * self.yvarphiebar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[2,0] * self.yvarphie[1,1] * self.yvarphiebar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[0,0] * self.yvarphie[2,1] * self.yvarphiebar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[1,0] * self.yvarphie[2,1] * self.yvarphiebar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[2,0] * self.yvarphie[2,1] * self.yvarphiebar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[2,0] * self.yvarphie[0,0] * self.yvarphiebar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[2,1] * self.yvarphie[0,0] * self.yvarphiebar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yvarphie[0,0] * self.yvarphiebar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[2,0] * self.yvarphie[0,1] * self.yvarphiebar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[2,1] * self.yvarphie[0,1] * self.yvarphiebar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yvarphie[0,1] * self.yvarphiebar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[0,0] * self.yvarphie[0,2] * self.yvarphiebar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[1,0] * self.yvarphie[0,2] * self.yvarphiebar[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[2,0] * self.yvarphie[0,2] * self.yvarphiebar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[2,1] * self.yvarphie[0,2] * self.yvarphiebar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yvarphie[0,2] * self.yvarphiebar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[0,0] * self.yvarphie[1,2] * self.yvarphiebar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[1,0] * self.yvarphie[1,2] * self.yvarphiebar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[2,0] * self.yvarphie[1,2] * self.yvarphiebar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[0,0] * self.yvarphie[2,2] * self.yvarphiebar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[1,0] * self.yvarphie[2,2] * self.yvarphiebar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[2,0] * self.yvarphie[2,2] * self.yvarphiebar[0,2] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[0,0] * self.yvarphiebar[0,mif1] + 1/8 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[0,0] * self.yvarphiebar[0,mif1] + -1/8 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,mif2] * self.ylbar[0,0] * self.yvarphiebar[0,mif1] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[1,0] * self.yvarphiebar[0,mif1] + 1/8 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[1,0] * self.yvarphiebar[0,mif1] + -1/8 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,mif2] * self.ylbar[1,0] * self.yvarphiebar[0,mif1] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[2,0] * self.yvarphiebar[0,mif1] + 1/8 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[2,0] * self.yvarphiebar[0,mif1] + -1/8 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,mif2] * self.ylbar[2,0] * self.yvarphiebar[0,mif1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yvarphie[0,0] * self.yvarphiebar[0,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yvarphie[0,0] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[0,mif2] * self.ylbar[0,0] * self.yvarphie[0,0] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[1,0] * self.ylbar[1,0] * self.yvarphie[0,0] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[2,0] * self.ylbar[2,0] * self.yvarphie[0,0] * self.yvarphiebar[0,mif1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yvarphie[0,1] * self.yvarphiebar[0,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yvarphie[0,1] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[1,mif2] * self.ylbar[0,0] * self.yvarphie[0,1] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[1,mif2] * self.ylbar[1,0] * self.yvarphie[0,1] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[2,0] * self.ylbar[2,0] * self.yvarphie[0,1] * self.yvarphiebar[0,mif1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yvarphie[0,2] * self.yvarphiebar[0,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yvarphie[0,2] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[2,mif2] * self.ylbar[0,0] * self.yvarphie[0,2] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[2,mif2] * self.ylbar[1,0] * self.yvarphie[0,2] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.yl[2,mif2] * self.ylbar[2,0] * self.yvarphie[0,2] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[0,mif2] * self.ylbar[0,0] * self.yvarphie[1,0] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[1,1] * self.ylbar[1,0] * self.yvarphie[1,0] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[2,1] * self.ylbar[2,0] * self.yvarphie[1,0] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[1,mif2] * self.ylbar[0,0] * self.yvarphie[1,1] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yl[1,mif2] * self.ylbar[1,0] * self.yvarphie[1,1] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[2,1] * self.ylbar[2,0] * self.yvarphie[1,1] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[2,mif2] * self.ylbar[0,0] * self.yvarphie[1,2] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yl[2,mif2] * self.ylbar[1,0] * self.yvarphie[1,2] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.yl[2,mif2] * self.ylbar[2,0] * self.yvarphie[1,2] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[0,mif2] * self.ylbar[0,0] * self.yvarphie[2,0] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[1,2] * self.ylbar[1,0] * self.yvarphie[2,0] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[2,2] * self.ylbar[2,0] * self.yvarphie[2,0] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[1,mif2] * self.ylbar[0,0] * self.yvarphie[2,1] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yl[1,mif2] * self.ylbar[1,0] * self.yvarphie[2,1] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[2,2] * self.ylbar[2,0] * self.yvarphie[2,1] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[2,mif2] * self.ylbar[0,0] * self.yvarphie[2,2] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yl[2,mif2] * self.ylbar[1,0] * self.yvarphie[2,2] * self.yvarphiebar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.yl[2,mif2] * self.ylbar[2,0] * self.yvarphie[2,2] * self.yvarphiebar[0,mif1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[0,1] * self.yvarphie[0,0] * self.yvarphiebar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[1,1] * self.yvarphie[0,0] * self.yvarphiebar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[2,1] * self.yvarphie[0,0] * self.yvarphiebar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[0,0] * self.yvarphie[1,0] * self.yvarphiebar[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[0,1] * self.yvarphie[1,0] * self.yvarphiebar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yvarphie[1,0] * self.yvarphiebar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[1,1] * self.yvarphie[1,0] * self.yvarphiebar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[2,1] * self.yvarphie[1,0] * self.yvarphiebar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[0,0] * self.yvarphie[1,1] * self.yvarphiebar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[0,1] * self.yvarphie[1,1] * self.yvarphiebar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yvarphie[1,1] * self.yvarphiebar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[0,0] * self.yvarphie[1,2] * self.yvarphiebar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[0,1] * self.yvarphie[1,2] * self.yvarphiebar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yvarphie[1,2] * self.yvarphiebar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[0,1] * self.yvarphie[2,0] * self.yvarphiebar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[1,1] * self.yvarphie[2,0] * self.yvarphiebar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[2,1] * self.yvarphie[2,0] * self.yvarphiebar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[0,1] * self.yvarphie[0,1] * self.yvarphiebar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[1,1] * self.yvarphie[0,1] * self.yvarphiebar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[2,1] * self.yvarphie[0,1] * self.yvarphiebar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[1,0] * self.yvarphie[1,0] * self.yvarphiebar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[1,1] * self.yvarphie[1,0] * self.yvarphiebar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yvarphie[1,0] * self.yvarphiebar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[0,1] * self.yvarphie[1,1] * self.yvarphiebar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[1,0] * self.yvarphie[1,1] * self.yvarphiebar[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[1,1] * self.yvarphie[1,1] * self.yvarphiebar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yvarphie[1,1] * self.yvarphiebar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[2,1] * self.yvarphie[1,1] * self.yvarphiebar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[1,0] * self.yvarphie[1,2] * self.yvarphiebar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[1,1] * self.yvarphie[1,2] * self.yvarphiebar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yvarphie[1,2] * self.yvarphiebar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[0,1] * self.yvarphie[2,1] * self.yvarphiebar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[1,1] * self.yvarphie[2,1] * self.yvarphiebar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[2,1] * self.yvarphie[2,1] * self.yvarphiebar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[0,1] * self.yvarphie[0,2] * self.yvarphiebar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[1,1] * self.yvarphie[0,2] * self.yvarphiebar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[2,1] * self.yvarphie[0,2] * self.yvarphiebar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[2,0] * self.yvarphie[1,0] * self.yvarphiebar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[2,1] * self.yvarphie[1,0] * self.yvarphiebar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yvarphie[1,0] * self.yvarphiebar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[2,0] * self.yvarphie[1,1] * self.yvarphiebar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[2,1] * self.yvarphie[1,1] * self.yvarphiebar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yvarphie[1,1] * self.yvarphiebar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[0,1] * self.yvarphie[1,2] * self.yvarphiebar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[1,1] * self.yvarphie[1,2] * self.yvarphiebar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[2,0] * self.yvarphie[1,2] * self.yvarphiebar[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[2,1] * self.yvarphie[1,2] * self.yvarphiebar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yvarphie[1,2] * self.yvarphiebar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[0,1] * self.yvarphie[2,2] * self.yvarphiebar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[1,1] * self.yvarphie[2,2] * self.yvarphiebar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[2,1] * self.yvarphie[2,2] * self.yvarphiebar[1,2] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[0,1] * self.yvarphiebar[1,mif1] + 1/8 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[0,1] * self.yvarphiebar[1,mif1] + -1/8 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,mif2] * self.ylbar[0,1] * self.yvarphiebar[1,mif1] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[1,1] * self.yvarphiebar[1,mif1] + 1/8 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[1,1] * self.yvarphiebar[1,mif1] + -1/8 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,mif2] * self.ylbar[1,1] * self.yvarphiebar[1,mif1] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[2,1] * self.yvarphiebar[1,mif1] + 1/8 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[2,1] * self.yvarphiebar[1,mif1] + -1/8 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,mif2] * self.ylbar[2,1] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[0,mif2] * self.ylbar[0,1] * self.yvarphie[0,0] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[1,0] * self.ylbar[1,1] * self.yvarphie[0,0] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[2,0] * self.ylbar[2,1] * self.yvarphie[0,0] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[1,mif2] * self.ylbar[0,1] * self.yvarphie[0,1] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[1,mif2] * self.ylbar[1,1] * self.yvarphie[0,1] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[2,0] * self.ylbar[2,1] * self.yvarphie[0,1] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[2,mif2] * self.ylbar[0,1] * self.yvarphie[0,2] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[2,mif2] * self.ylbar[1,1] * self.yvarphie[0,2] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.yl[2,mif2] * self.ylbar[2,1] * self.yvarphie[0,2] * self.yvarphiebar[1,mif1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yvarphie[1,0] * self.yvarphiebar[1,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yvarphie[1,0] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[0,mif2] * self.ylbar[0,1] * self.yvarphie[1,0] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[1,1] * self.ylbar[1,1] * self.yvarphie[1,0] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[2,1] * self.ylbar[2,1] * self.yvarphie[1,0] * self.yvarphiebar[1,mif1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yvarphie[1,1] * self.yvarphiebar[1,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yvarphie[1,1] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[1,mif2] * self.ylbar[0,1] * self.yvarphie[1,1] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yl[1,mif2] * self.ylbar[1,1] * self.yvarphie[1,1] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[2,1] * self.ylbar[2,1] * self.yvarphie[1,1] * self.yvarphiebar[1,mif1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yvarphie[1,2] * self.yvarphiebar[1,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yvarphie[1,2] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[2,mif2] * self.ylbar[0,1] * self.yvarphie[1,2] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yl[2,mif2] * self.ylbar[1,1] * self.yvarphie[1,2] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.yl[2,mif2] * self.ylbar[2,1] * self.yvarphie[1,2] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[0,mif2] * self.ylbar[0,1] * self.yvarphie[2,0] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[1,2] * self.ylbar[1,1] * self.yvarphie[2,0] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[2,2] * self.ylbar[2,1] * self.yvarphie[2,0] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[1,mif2] * self.ylbar[0,1] * self.yvarphie[2,1] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yl[1,mif2] * self.ylbar[1,1] * self.yvarphie[2,1] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[2,2] * self.ylbar[2,1] * self.yvarphie[2,1] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[2,mif2] * self.ylbar[0,1] * self.yvarphie[2,2] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yl[2,mif2] * self.ylbar[1,1] * self.yvarphie[2,2] * self.yvarphiebar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.yl[2,mif2] * self.ylbar[2,1] * self.yvarphie[2,2] * self.yvarphiebar[1,mif1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[0,2] * self.yvarphie[0,0] * self.yvarphiebar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[1,2] * self.yvarphie[0,0] * self.yvarphiebar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[2,2] * self.yvarphie[0,0] * self.yvarphiebar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[0,2] * self.yvarphie[1,0] * self.yvarphiebar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[1,2] * self.yvarphie[1,0] * self.yvarphiebar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[2,2] * self.yvarphie[1,0] * self.yvarphiebar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[0,0] * self.yvarphie[2,0] * self.yvarphiebar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[0,1] * self.yvarphie[2,0] * self.yvarphiebar[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yvarphie[2,0] * self.yvarphiebar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yvarphie[2,0] * self.yvarphiebar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yvarphie[2,0] * self.yvarphiebar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[0,0] * self.yvarphie[2,1] * self.yvarphiebar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[0,1] * self.yvarphie[2,1] * self.yvarphiebar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yvarphie[2,1] * self.yvarphiebar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[0,0] * self.yvarphie[2,2] * self.yvarphiebar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[0,1] * self.yvarphie[2,2] * self.yvarphiebar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yvarphie[2,2] * self.yvarphiebar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[0,2] * self.yvarphie[0,1] * self.yvarphiebar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[1,2] * self.yvarphie[0,1] * self.yvarphiebar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[2,2] * self.yvarphie[0,1] * self.yvarphiebar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[0,2] * self.yvarphie[1,1] * self.yvarphiebar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[1,2] * self.yvarphie[1,1] * self.yvarphiebar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[2,2] * self.yvarphie[1,1] * self.yvarphiebar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[1,0] * self.yvarphie[2,0] * self.yvarphiebar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[1,1] * self.yvarphie[2,0] * self.yvarphiebar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yvarphie[2,0] * self.yvarphiebar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yvarphie[2,1] * self.yvarphiebar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[1,0] * self.yvarphie[2,1] * self.yvarphiebar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[1,1] * self.yvarphie[2,1] * self.yvarphiebar[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yvarphie[2,1] * self.yvarphiebar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yvarphie[2,1] * self.yvarphiebar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[1,0] * self.yvarphie[2,2] * self.yvarphiebar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[1,1] * self.yvarphie[2,2] * self.yvarphiebar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yvarphie[2,2] * self.yvarphiebar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[0,2] * self.yvarphie[0,2] * self.yvarphiebar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[1,2] * self.yvarphie[0,2] * self.yvarphiebar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[2,2] * self.yvarphie[0,2] * self.yvarphiebar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[0,2] * self.yvarphie[1,2] * self.yvarphiebar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[1,2] * self.yvarphie[1,2] * self.yvarphiebar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[2,2] * self.yvarphie[1,2] * self.yvarphiebar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,0] * self.ylbar[2,0] * self.yvarphie[2,0] * self.yvarphiebar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,1] * self.ylbar[2,1] * self.yvarphie[2,0] * self.yvarphiebar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yvarphie[2,0] * self.yvarphiebar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,0] * self.ylbar[2,0] * self.yvarphie[2,1] * self.yvarphiebar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,1] * self.ylbar[2,1] * self.yvarphie[2,1] * self.yvarphiebar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yvarphie[2,1] * self.yvarphiebar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yvarphie[2,2] * self.yvarphiebar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yvarphie[2,2] * self.yvarphiebar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,0] * self.ylbar[2,0] * self.yvarphie[2,2] * self.yvarphiebar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,1] * self.ylbar[2,1] * self.yvarphie[2,2] * self.yvarphiebar[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yvarphie[2,2] * self.yvarphiebar[2,2] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[0,2] * self.yvarphiebar[2,mif1] + 1/8 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[0,2] * self.yvarphiebar[2,mif1] + -1/8 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,mif2] * self.ylbar[0,2] * self.yvarphiebar[2,mif1] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[1,2] * self.yvarphiebar[2,mif1] + 1/8 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[1,2] * self.yvarphiebar[2,mif1] + -1/8 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,mif2] * self.ylbar[1,2] * self.yvarphiebar[2,mif1] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[2,2] * self.yvarphiebar[2,mif1] + 1/8 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[2,2] * self.yvarphiebar[2,mif1] + -1/8 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,mif2] * self.ylbar[2,2] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[0,mif2] * self.ylbar[0,2] * self.yvarphie[0,0] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[1,0] * self.ylbar[1,2] * self.yvarphie[0,0] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[2,0] * self.ylbar[2,2] * self.yvarphie[0,0] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[1,mif2] * self.ylbar[0,2] * self.yvarphie[0,1] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[1,mif2] * self.ylbar[1,2] * self.yvarphie[0,1] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[2,0] * self.ylbar[2,2] * self.yvarphie[0,1] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[2,mif2] * self.ylbar[0,2] * self.yvarphie[0,2] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[2,mif2] * self.ylbar[1,2] * self.yvarphie[0,2] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.yl[2,mif2] * self.ylbar[2,2] * self.yvarphie[0,2] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[0,mif2] * self.ylbar[0,2] * self.yvarphie[1,0] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[1,1] * self.ylbar[1,2] * self.yvarphie[1,0] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[2,1] * self.ylbar[2,2] * self.yvarphie[1,0] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[1,mif2] * self.ylbar[0,2] * self.yvarphie[1,1] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yl[1,mif2] * self.ylbar[1,2] * self.yvarphie[1,1] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[2,1] * self.ylbar[2,2] * self.yvarphie[1,1] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[2,mif2] * self.ylbar[0,2] * self.yvarphie[1,2] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yl[2,mif2] * self.ylbar[1,2] * self.yvarphie[1,2] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.yl[2,mif2] * self.ylbar[2,2] * self.yvarphie[1,2] * self.yvarphiebar[2,mif1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yvarphie[2,0] * self.yvarphiebar[2,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yvarphie[2,0] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[0,mif2] * self.ylbar[0,2] * self.yvarphie[2,0] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[1,2] * self.ylbar[1,2] * self.yvarphie[2,0] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yl[2,2] * self.ylbar[2,2] * self.yvarphie[2,0] * self.yvarphiebar[2,mif1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yvarphie[2,1] * self.yvarphiebar[2,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yvarphie[2,1] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[1,mif2] * self.ylbar[0,2] * self.yvarphie[2,1] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yl[1,mif2] * self.ylbar[1,2] * self.yvarphie[2,1] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yl[2,2] * self.ylbar[2,2] * self.yvarphie[2,1] * self.yvarphiebar[2,mif1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yvarphie[2,2] * self.yvarphiebar[2,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yvarphie[2,2] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[2,mif2] * self.ylbar[0,2] * self.yvarphie[2,2] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yl[2,mif2] * self.ylbar[1,2] * self.yvarphie[2,2] * self.yvarphiebar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.yl[2,mif2] * self.ylbar[2,2] * self.yvarphie[2,2] * self.yvarphiebar[2,mif1] + 13/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[0,0] * self.yvarphiebar[mif2,0] + 5/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[0,0] * self.yvarphiebar[mif2,0] + -5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,0] * self.ylbar[0,0] * self.yvarphiebar[mif2,0] + 13/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[0,1] * self.yvarphiebar[mif2,0] + 5/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[0,1] * self.yvarphiebar[mif2,0] + -5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,1] * self.ylbar[0,1] * self.yvarphiebar[mif2,0] + 13/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[0,2] * self.yvarphiebar[mif2,0] + 5/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[0,2] * self.yvarphiebar[mif2,0] + -5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,2] * self.ylbar[0,2] * self.yvarphiebar[mif2,0] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yvarphie[0,0] * self.yvarphiebar[mif2,0] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yvarphie[0,0] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[mif1,0] * self.ylbar[0,0] * self.yvarphie[0,0] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[mif1,0] * self.ylbar[0,1] * self.yvarphie[0,0] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[mif1,0] * self.ylbar[0,2] * self.yvarphie[0,0] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[mif1,0] * self.ylbar[0,0] * self.yvarphie[0,1] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yl[mif1,0] * self.ylbar[0,1] * self.yvarphie[0,1] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yl[mif1,0] * self.ylbar[0,2] * self.yvarphie[0,1] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.yl[mif1,0] * self.ylbar[0,0] * self.yvarphie[0,2] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.yl[mif1,0] * self.ylbar[0,1] * self.yvarphie[0,2] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.yl[mif1,0] * self.ylbar[0,2] * self.yvarphie[0,2] * self.yvarphiebar[mif2,0] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yvarphie[1,0] * self.yvarphiebar[mif2,0] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yvarphie[1,0] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[mif1,1] * self.ylbar[0,0] * self.yvarphie[1,0] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[mif1,1] * self.ylbar[0,1] * self.yvarphie[1,0] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[mif1,1] * self.ylbar[0,2] * self.yvarphie[1,0] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[mif1,1] * self.ylbar[0,0] * self.yvarphie[1,1] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yl[mif1,1] * self.ylbar[0,1] * self.yvarphie[1,1] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yl[mif1,1] * self.ylbar[0,2] * self.yvarphie[1,1] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.yl[mif1,1] * self.ylbar[0,0] * self.yvarphie[1,2] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.yl[mif1,1] * self.ylbar[0,1] * self.yvarphie[1,2] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.yl[mif1,1] * self.ylbar[0,2] * self.yvarphie[1,2] * self.yvarphiebar[mif2,0] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yvarphie[2,0] * self.yvarphiebar[mif2,0] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yvarphie[2,0] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[mif1,2] * self.ylbar[0,0] * self.yvarphie[2,0] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[mif1,2] * self.ylbar[0,1] * self.yvarphie[2,0] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yvarphie[2,0] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[mif1,2] * self.ylbar[0,0] * self.yvarphie[2,1] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yl[mif1,2] * self.ylbar[0,1] * self.yvarphie[2,1] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yvarphie[2,1] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.yl[mif1,2] * self.ylbar[0,0] * self.yvarphie[2,2] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.yl[mif1,2] * self.ylbar[0,1] * self.yvarphie[2,2] * self.yvarphiebar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.yl[mif1,2] * self.ylbar[0,2] * self.yvarphie[2,2] * self.yvarphiebar[mif2,0] + -3/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,0] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,0] + -3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,0] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,0] + 3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[0,0] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,0] + -3/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,0] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,0] + -3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,0] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,0] + 3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[1,0] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,0] + -3/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,0] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,0] + -3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,0] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,0] + 3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[2,0] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,0] + 13/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[1,0] * self.yvarphiebar[mif2,1] + 5/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[1,0] * self.yvarphiebar[mif2,1] + -5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,0] * self.ylbar[1,0] * self.yvarphiebar[mif2,1] + 13/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[1,1] * self.yvarphiebar[mif2,1] + 5/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[1,1] * self.yvarphiebar[mif2,1] + -5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,1] * self.ylbar[1,1] * self.yvarphiebar[mif2,1] + 13/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[1,2] * self.yvarphiebar[mif2,1] + 5/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[1,2] * self.yvarphiebar[mif2,1] + -5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,2] * self.ylbar[1,2] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[mif1,0] * self.ylbar[1,0] * self.yvarphie[0,0] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[mif1,0] * self.ylbar[1,1] * self.yvarphie[0,0] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[mif1,0] * self.ylbar[1,2] * self.yvarphie[0,0] * self.yvarphiebar[mif2,1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yvarphie[0,1] * self.yvarphiebar[mif2,1] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yvarphie[0,1] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[mif1,0] * self.ylbar[1,0] * self.yvarphie[0,1] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yl[mif1,0] * self.ylbar[1,1] * self.yvarphie[0,1] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yl[mif1,0] * self.ylbar[1,2] * self.yvarphie[0,1] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.yl[mif1,0] * self.ylbar[1,0] * self.yvarphie[0,2] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.yl[mif1,0] * self.ylbar[1,1] * self.yvarphie[0,2] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.yl[mif1,0] * self.ylbar[1,2] * self.yvarphie[0,2] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[mif1,1] * self.ylbar[1,0] * self.yvarphie[1,0] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[mif1,1] * self.ylbar[1,1] * self.yvarphie[1,0] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[mif1,1] * self.ylbar[1,2] * self.yvarphie[1,0] * self.yvarphiebar[mif2,1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yvarphie[1,1] * self.yvarphiebar[mif2,1] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yvarphie[1,1] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[mif1,1] * self.ylbar[1,0] * self.yvarphie[1,1] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yl[mif1,1] * self.ylbar[1,1] * self.yvarphie[1,1] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yl[mif1,1] * self.ylbar[1,2] * self.yvarphie[1,1] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.yl[mif1,1] * self.ylbar[1,0] * self.yvarphie[1,2] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.yl[mif1,1] * self.ylbar[1,1] * self.yvarphie[1,2] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.yl[mif1,1] * self.ylbar[1,2] * self.yvarphie[1,2] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[mif1,2] * self.ylbar[1,0] * self.yvarphie[2,0] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[mif1,2] * self.ylbar[1,1] * self.yvarphie[2,0] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yvarphie[2,0] * self.yvarphiebar[mif2,1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yvarphie[2,1] * self.yvarphiebar[mif2,1] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yvarphie[2,1] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[mif1,2] * self.ylbar[1,0] * self.yvarphie[2,1] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yl[mif1,2] * self.ylbar[1,1] * self.yvarphie[2,1] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yvarphie[2,1] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.yl[mif1,2] * self.ylbar[1,0] * self.yvarphie[2,2] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.yl[mif1,2] * self.ylbar[1,1] * self.yvarphie[2,2] * self.yvarphiebar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.yl[mif1,2] * self.ylbar[1,2] * self.yvarphie[2,2] * self.yvarphiebar[mif2,1] + -3/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,1] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,1] + -3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,1] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,1] + 3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[0,1] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,1] + -3/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,1] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,1] + -3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,1] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,1] + 3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[1,1] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,1] + -3/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,1] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,1] + -3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,1] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,1] + 3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[2,1] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,1] + 13/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[2,0] * self.yvarphiebar[mif2,2] + 5/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[2,0] * self.yvarphiebar[mif2,2] + -5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,0] * self.ylbar[2,0] * self.yvarphiebar[mif2,2] + 13/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[2,1] * self.yvarphiebar[mif2,2] + 5/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[2,1] * self.yvarphiebar[mif2,2] + -5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,1] * self.ylbar[2,1] * self.yvarphiebar[mif2,2] + 13/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[2,2] * self.yvarphiebar[mif2,2] + 5/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[2,2] * self.yvarphiebar[mif2,2] + -5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,2] * self.ylbar[2,2] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[mif1,0] * self.ylbar[2,0] * self.yvarphie[0,0] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[mif1,0] * self.ylbar[2,1] * self.yvarphie[0,0] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[mif1,0] * self.ylbar[2,2] * self.yvarphie[0,0] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[mif1,0] * self.ylbar[2,0] * self.yvarphie[0,1] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yl[mif1,0] * self.ylbar[2,1] * self.yvarphie[0,1] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yl[mif1,0] * self.ylbar[2,2] * self.yvarphie[0,1] * self.yvarphiebar[mif2,2] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yvarphie[0,2] * self.yvarphiebar[mif2,2] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yvarphie[0,2] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.yl[mif1,0] * self.ylbar[2,0] * self.yvarphie[0,2] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.yl[mif1,0] * self.ylbar[2,1] * self.yvarphie[0,2] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.yl[mif1,0] * self.ylbar[2,2] * self.yvarphie[0,2] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[mif1,1] * self.ylbar[2,0] * self.yvarphie[1,0] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[mif1,1] * self.ylbar[2,1] * self.yvarphie[1,0] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[mif1,1] * self.ylbar[2,2] * self.yvarphie[1,0] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[mif1,1] * self.ylbar[2,0] * self.yvarphie[1,1] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yl[mif1,1] * self.ylbar[2,1] * self.yvarphie[1,1] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yl[mif1,1] * self.ylbar[2,2] * self.yvarphie[1,1] * self.yvarphiebar[mif2,2] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yvarphie[1,2] * self.yvarphiebar[mif2,2] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yvarphie[1,2] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.yl[mif1,1] * self.ylbar[2,0] * self.yvarphie[1,2] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.yl[mif1,1] * self.ylbar[2,1] * self.yvarphie[1,2] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.yl[mif1,1] * self.ylbar[2,2] * self.yvarphie[1,2] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[mif1,2] * self.ylbar[2,0] * self.yvarphie[2,0] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[mif1,2] * self.ylbar[2,1] * self.yvarphie[2,0] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yvarphie[2,0] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[mif1,2] * self.ylbar[2,0] * self.yvarphie[2,1] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yl[mif1,2] * self.ylbar[2,1] * self.yvarphie[2,1] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yvarphie[2,1] * self.yvarphiebar[mif2,2] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yvarphie[2,2] * self.yvarphiebar[mif2,2] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yvarphie[2,2] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.yl[mif1,2] * self.ylbar[2,0] * self.yvarphie[2,2] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.yl[mif1,2] * self.ylbar[2,1] * self.yvarphie[2,2] * self.yvarphiebar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.yl[mif1,2] * self.ylbar[2,2] * self.yvarphie[2,2] * self.yvarphiebar[mif2,2] + -3/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,2] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,2] + -3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,2] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,2] + 3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[0,2] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,2] + -3/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,2] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,2] + -3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,2] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,2] + 3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[1,2] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,2] + -3/128 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,2] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,2] + -3/64 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,2] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,2] + 3/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[2,2] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,2] + self.lambdavarphi * (self.Mvarphi)**(-2) * self.yvarphiebar[mif2,mif1] + 1/4 * self.lambdaHatPrimevarphi * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] + 1/4 * self.invepsilonbar * self.lambdaHatPrimevarphi * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] + 3/16 * self.lambdaHatvarphi * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] + 3/16 * self.invepsilonbar * self.lambdaHatvarphi * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] + -1/4 * self.lambdaHatPrimevarphi * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiebar[mif2,mif1] + -3/16 * self.lambdaHatvarphi * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiebar[mif2,mif1] + -1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yvarphie[0,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yl[0,0])**(2) * self.ylbar[0,0] * self.yvarphie[0,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[0,1] * self.ylbar[0,1] * self.yvarphie[0,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[0,2] * self.ylbar[0,2] * self.yvarphie[0,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[1,0] * self.ylbar[1,0] * self.yvarphie[0,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[1,0] * self.ylbar[1,1] * self.yvarphie[0,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[1,0] * self.ylbar[1,2] * self.yvarphie[0,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[2,0] * self.ylbar[2,0] * self.yvarphie[0,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[2,0] * self.ylbar[2,1] * self.yvarphie[0,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[2,0] * self.ylbar[2,2] * self.yvarphie[0,0] * self.yvarphiebar[mif2,mif1] + -1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yvarphie[0,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[1,0] * self.ylbar[0,0] * self.yvarphie[0,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[1,1] * self.ylbar[0,1] * self.yvarphie[0,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[1,2] * self.ylbar[0,2] * self.yvarphie[0,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yl[1,0])**(2) * self.ylbar[1,0] * self.yvarphie[0,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[1,1] * self.ylbar[1,1] * self.yvarphie[0,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[1,2] * self.ylbar[1,2] * self.yvarphie[0,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[2,0] * self.ylbar[2,0] * self.yvarphie[0,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yl[2,0] * self.ylbar[2,1] * self.yvarphie[0,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yl[2,0] * self.ylbar[2,2] * self.yvarphie[0,1] * self.yvarphiebar[mif2,mif1] + -1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.yvarphie[0,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[2,0] * self.ylbar[0,0] * self.yvarphie[0,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[2,1] * self.ylbar[0,1] * self.yvarphie[0,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[2,2] * self.ylbar[0,2] * self.yvarphie[0,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[2,0] * self.ylbar[1,0] * self.yvarphie[0,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[2,1] * self.ylbar[1,1] * self.yvarphie[0,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[2,2] * self.ylbar[1,2] * self.yvarphie[0,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yl[2,0])**(2) * self.ylbar[2,0] * self.yvarphie[0,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.yl[2,1] * self.ylbar[2,1] * self.yvarphie[0,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.yl[2,2] * self.ylbar[2,2] * self.yvarphie[0,2] * self.yvarphiebar[mif2,mif1] + -1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yvarphie[1,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[0,1] * self.ylbar[0,0] * self.yvarphie[1,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yl[0,1])**(2) * self.ylbar[0,1] * self.yvarphie[1,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[0,2] * self.ylbar[0,2] * self.yvarphie[1,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[1,1] * self.ylbar[1,0] * self.yvarphie[1,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[1,1] * self.ylbar[1,1] * self.yvarphie[1,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[1,1] * self.ylbar[1,2] * self.yvarphie[1,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[2,1] * self.ylbar[2,0] * self.yvarphie[1,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[2,1] * self.ylbar[2,1] * self.yvarphie[1,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[2,1] * self.ylbar[2,2] * self.yvarphie[1,0] * self.yvarphiebar[mif2,mif1] + -1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yvarphie[1,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[1,0] * self.ylbar[0,0] * self.yvarphie[1,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[1,1] * self.ylbar[0,1] * self.yvarphie[1,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[1,2] * self.ylbar[0,2] * self.yvarphie[1,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[1,1] * self.ylbar[1,0] * self.yvarphie[1,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yl[1,1])**(2) * self.ylbar[1,1] * self.yvarphie[1,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yl[1,2] * self.ylbar[1,2] * self.yvarphie[1,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[2,1] * self.ylbar[2,0] * self.yvarphie[1,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yl[2,1] * self.ylbar[2,1] * self.yvarphie[1,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yl[2,1] * self.ylbar[2,2] * self.yvarphie[1,1] * self.yvarphiebar[mif2,mif1] + -1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.yvarphie[1,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[2,0] * self.ylbar[0,0] * self.yvarphie[1,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[2,1] * self.ylbar[0,1] * self.yvarphie[1,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[2,2] * self.ylbar[0,2] * self.yvarphie[1,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yl[2,0] * self.ylbar[1,0] * self.yvarphie[1,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yl[2,1] * self.ylbar[1,1] * self.yvarphie[1,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yl[2,2] * self.ylbar[1,2] * self.yvarphie[1,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.yl[2,1] * self.ylbar[2,0] * self.yvarphie[1,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yl[2,1])**(2) * self.ylbar[2,1] * self.yvarphie[1,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.yl[2,2] * self.ylbar[2,2] * self.yvarphie[1,2] * self.yvarphiebar[mif2,mif1] + -1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yvarphie[2,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[0,2] * self.ylbar[0,0] * self.yvarphie[2,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[0,2] * self.ylbar[0,1] * self.yvarphie[2,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yl[0,2])**(2) * self.ylbar[0,2] * self.yvarphie[2,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[1,2] * self.ylbar[1,0] * self.yvarphie[2,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[1,2] * self.ylbar[1,1] * self.yvarphie[2,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[1,2] * self.ylbar[1,2] * self.yvarphie[2,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yl[2,2] * self.ylbar[2,0] * self.yvarphie[2,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yl[2,2] * self.ylbar[2,1] * self.yvarphie[2,0] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[2,2] * self.ylbar[2,2] * self.yvarphie[2,0] * self.yvarphiebar[mif2,mif1] + -1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yvarphie[2,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[1,0] * self.ylbar[0,0] * self.yvarphie[2,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[1,1] * self.ylbar[0,1] * self.yvarphie[2,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[1,2] * self.ylbar[0,2] * self.yvarphie[2,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[1,2] * self.ylbar[1,0] * self.yvarphie[2,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yl[1,2] * self.ylbar[1,1] * self.yvarphie[2,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yl[1,2])**(2) * self.ylbar[1,2] * self.yvarphie[2,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yl[2,2] * self.ylbar[2,0] * self.yvarphie[2,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yl[2,2] * self.ylbar[2,1] * self.yvarphie[2,1] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yl[2,2] * self.ylbar[2,2] * self.yvarphie[2,1] * self.yvarphiebar[mif2,mif1] + -1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.yvarphie[2,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[2,0] * self.ylbar[0,0] * self.yvarphie[2,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[2,1] * self.ylbar[0,1] * self.yvarphie[2,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yl[2,2] * self.ylbar[0,2] * self.yvarphie[2,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yl[2,0] * self.ylbar[1,0] * self.yvarphie[2,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yl[2,1] * self.ylbar[1,1] * self.yvarphie[2,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yl[2,2] * self.ylbar[1,2] * self.yvarphie[2,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.yl[2,2] * self.ylbar[2,0] * self.yvarphie[2,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.yl[2,2] * self.ylbar[2,1] * self.yvarphie[2,2] * self.yvarphiebar[mif2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yl[2,2])**(2) * self.ylbar[2,2] * self.yvarphie[2,2] * self.yvarphiebar[mif2,mif1])

    def alphaOeu(self, mif1,mif2,mif3,mif4):
        return (1/1440 * (self.g1)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 7/432 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] + 1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] + -1/72 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] + 7/432 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] + 1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] + -1/72 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] + 7/432 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] + 1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] + -1/72 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[0,mif1] * self.yubar[0,mif3] * self.yvarphiebar[mif2,0] * self.yvarphiu[0,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[0,mif1] * self.yubar[0,mif3] * self.yvarphiebar[mif2,0] * self.yvarphiu[0,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[0,mif1] * self.yubar[0,mif3] * self.yvarphiebar[mif2,0] * self.yvarphiu[0,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[1,mif1] * self.yubar[0,mif3] * self.yvarphiebar[mif2,1] * self.yvarphiu[0,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[1,mif1] * self.yubar[0,mif3] * self.yvarphiebar[mif2,1] * self.yvarphiu[0,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[1,mif1] * self.yubar[0,mif3] * self.yvarphiebar[mif2,1] * self.yvarphiu[0,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[2,mif1] * self.yubar[0,mif3] * self.yvarphiebar[mif2,2] * self.yvarphiu[0,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[2,mif1] * self.yubar[0,mif3] * self.yvarphiebar[mif2,2] * self.yvarphiu[0,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[2,mif1] * self.yubar[0,mif3] * self.yvarphiebar[mif2,2] * self.yvarphiu[0,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[0,mif1] * self.yubar[1,mif3] * self.yvarphiebar[mif2,0] * self.yvarphiu[1,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[0,mif1] * self.yubar[1,mif3] * self.yvarphiebar[mif2,0] * self.yvarphiu[1,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[0,mif1] * self.yubar[1,mif3] * self.yvarphiebar[mif2,0] * self.yvarphiu[1,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[1,mif1] * self.yubar[1,mif3] * self.yvarphiebar[mif2,1] * self.yvarphiu[1,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[1,mif1] * self.yubar[1,mif3] * self.yvarphiebar[mif2,1] * self.yvarphiu[1,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[1,mif1] * self.yubar[1,mif3] * self.yvarphiebar[mif2,1] * self.yvarphiu[1,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[2,mif1] * self.yubar[1,mif3] * self.yvarphiebar[mif2,2] * self.yvarphiu[1,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[2,mif1] * self.yubar[1,mif3] * self.yvarphiebar[mif2,2] * self.yvarphiu[1,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[2,mif1] * self.yubar[1,mif3] * self.yvarphiebar[mif2,2] * self.yvarphiu[1,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[0,mif1] * self.yubar[2,mif3] * self.yvarphiebar[mif2,0] * self.yvarphiu[2,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[0,mif1] * self.yubar[2,mif3] * self.yvarphiebar[mif2,0] * self.yvarphiu[2,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[0,mif1] * self.yubar[2,mif3] * self.yvarphiebar[mif2,0] * self.yvarphiu[2,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[1,mif1] * self.yubar[2,mif3] * self.yvarphiebar[mif2,1] * self.yvarphiu[2,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[1,mif1] * self.yubar[2,mif3] * self.yvarphiebar[mif2,1] * self.yvarphiu[2,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[1,mif1] * self.yubar[2,mif3] * self.yvarphiebar[mif2,1] * self.yvarphiu[2,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[2,mif1] * self.yubar[2,mif3] * self.yvarphiebar[mif2,2] * self.yvarphiu[2,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[2,mif1] * self.yubar[2,mif3] * self.yvarphiebar[mif2,2] * self.yvarphiu[2,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[2,mif1] * self.yubar[2,mif3] * self.yvarphiebar[mif2,2] * self.yvarphiu[2,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yu[0,mif4] * self.yvarphie[mif1,0] * self.yvarphiubar[0,mif3] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yu[0,mif4] * self.yvarphie[mif1,0] * self.yvarphiubar[0,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,mif2] * self.yu[0,mif4] * self.yvarphie[mif1,0] * self.yvarphiubar[0,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yu[0,mif4] * self.yvarphie[mif1,1] * self.yvarphiubar[0,mif3] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yu[0,mif4] * self.yvarphie[mif1,1] * self.yvarphiubar[0,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,mif2] * self.yu[0,mif4] * self.yvarphie[mif1,1] * self.yvarphiubar[0,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yu[0,mif4] * self.yvarphie[mif1,2] * self.yvarphiubar[0,mif3] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yu[0,mif4] * self.yvarphie[mif1,2] * self.yvarphiubar[0,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,mif2] * self.yu[0,mif4] * self.yvarphie[mif1,2] * self.yvarphiubar[0,mif3] + 5/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + 1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + -1/144 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yu[1,mif4] * self.yvarphie[mif1,0] * self.yvarphiubar[1,mif3] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yu[1,mif4] * self.yvarphie[mif1,0] * self.yvarphiubar[1,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,mif2] * self.yu[1,mif4] * self.yvarphie[mif1,0] * self.yvarphiubar[1,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yu[1,mif4] * self.yvarphie[mif1,1] * self.yvarphiubar[1,mif3] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yu[1,mif4] * self.yvarphie[mif1,1] * self.yvarphiubar[1,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,mif2] * self.yu[1,mif4] * self.yvarphie[mif1,1] * self.yvarphiubar[1,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yu[1,mif4] * self.yvarphie[mif1,2] * self.yvarphiubar[1,mif3] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yu[1,mif4] * self.yvarphie[mif1,2] * self.yvarphiubar[1,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,mif2] * self.yu[1,mif4] * self.yvarphie[mif1,2] * self.yvarphiubar[1,mif3] + 5/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + 1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + -1/144 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yu[2,mif4] * self.yvarphie[mif1,0] * self.yvarphiubar[2,mif3] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yu[2,mif4] * self.yvarphie[mif1,0] * self.yvarphiubar[2,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,mif2] * self.yu[2,mif4] * self.yvarphie[mif1,0] * self.yvarphiubar[2,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yu[2,mif4] * self.yvarphie[mif1,1] * self.yvarphiubar[2,mif3] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yu[2,mif4] * self.yvarphie[mif1,1] * self.yvarphiubar[2,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,mif2] * self.yu[2,mif4] * self.yvarphie[mif1,1] * self.yvarphiubar[2,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yu[2,mif4] * self.yvarphie[mif1,2] * self.yvarphiubar[2,mif3] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yu[2,mif4] * self.yvarphie[mif1,2] * self.yvarphiubar[2,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,mif2] * self.yu[2,mif4] * self.yvarphie[mif1,2] * self.yvarphiubar[2,mif3] + 5/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + 1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + -1/144 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3])

    def alphaOeW(self, mif1,mif2):
        return (-1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yvarphie[0,0] * self.yvarphiebar[0,mif1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yvarphie[0,1] * self.yvarphiebar[0,mif1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yvarphie[0,2] * self.yvarphiebar[0,mif1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yvarphie[1,0] * self.yvarphiebar[1,mif1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yvarphie[1,1] * self.yvarphiebar[1,mif1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yvarphie[1,2] * self.yvarphiebar[1,mif1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.yvarphie[2,0] * self.yvarphiebar[2,mif1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.yvarphie[2,1] * self.yvarphiebar[2,mif1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.yvarphie[2,2] * self.yvarphiebar[2,mif1] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yvarphie[0,0] * self.yvarphiebar[mif2,mif1] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yvarphie[0,1] * self.yvarphiebar[mif2,mif1] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.yvarphie[0,2] * self.yvarphiebar[mif2,mif1] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yvarphie[1,0] * self.yvarphiebar[mif2,mif1] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yvarphie[1,1] * self.yvarphiebar[mif2,mif1] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.yvarphie[1,2] * self.yvarphiebar[mif2,mif1] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yvarphie[2,0] * self.yvarphiebar[mif2,mif1] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yvarphie[2,1] * self.yvarphiebar[mif2,mif1] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.yvarphie[2,2] * self.yvarphiebar[mif2,mif1])

    def alphaOHd(self, mif1,mif2):
        return (1/5760 * (self.g1)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,mif1] * self.yvarphid[0,0] * self.yvarphidbar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[0,mif1] * self.yvarphid[0,1] * self.yvarphidbar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[0,mif1] * self.yvarphid[0,2] * self.yvarphidbar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[1,mif1] * self.yvarphid[0,0] * self.yvarphidbar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,mif1] * self.yvarphid[0,1] * self.yvarphidbar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[1,mif1] * self.yvarphid[0,2] * self.yvarphidbar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[2,mif1] * self.yvarphid[0,0] * self.yvarphidbar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[2,mif1] * self.yvarphid[0,1] * self.yvarphidbar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,mif1] * self.yvarphid[0,2] * self.yvarphidbar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,mif1] * self.yvarphid[1,0] * self.yvarphidbar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[0,mif1] * self.yvarphid[1,1] * self.yvarphidbar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[0,mif1] * self.yvarphid[1,2] * self.yvarphidbar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[1,mif1] * self.yvarphid[1,0] * self.yvarphidbar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,mif1] * self.yvarphid[1,1] * self.yvarphidbar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[1,mif1] * self.yvarphid[1,2] * self.yvarphidbar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[2,mif1] * self.yvarphid[1,0] * self.yvarphidbar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[2,mif1] * self.yvarphid[1,1] * self.yvarphidbar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,mif1] * self.yvarphid[1,2] * self.yvarphidbar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,mif1] * self.yvarphid[2,0] * self.yvarphidbar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[0,mif1] * self.yvarphid[2,1] * self.yvarphidbar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[0,mif1] * self.yvarphid[2,2] * self.yvarphidbar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[1,mif1] * self.yvarphid[2,0] * self.yvarphidbar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,mif1] * self.yvarphid[2,1] * self.yvarphidbar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[1,mif1] * self.yvarphid[2,2] * self.yvarphidbar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[2,mif1] * self.yvarphid[2,0] * self.yvarphidbar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[2,mif1] * self.yvarphid[2,1] * self.yvarphidbar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,mif1] * self.yvarphid[2,2] * self.yvarphidbar[2,2] + -11/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + -1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + 1/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,1] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,2] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,0] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,0] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[0,0] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,1] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,1] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[0,1] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,2] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,2] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[0,2] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[0,0] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[0,1] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[0,2] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[0,0] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,0] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[0,0] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[0,0] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[0,1] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,0] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[0,1] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[0,1] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[0,2] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,0] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[0,2] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[0,2] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[0,0] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[0,1] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[0,2] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[0,0] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,0] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[0,0] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[0,0] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[0,1] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,0] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[0,1] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[0,1] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[0,2] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,0] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[0,2] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[0,2] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[1,0] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[1,0] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[1,0] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[1,1] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[1,1] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[1,1] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[1,2] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[1,2] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[1,2] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[1,0] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[1,0] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[1,0] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[1,1] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[1,1] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[1,1] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[1,2] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[1,2] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[1,2] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,1] + -11/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + -1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + 1/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,0] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,1] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,2] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[1,0] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[1,0] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[1,0] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[1,1] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[1,1] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[1,1] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[1,2] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[1,2] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[1,2] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[1,0] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[1,1] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[1,2] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[1,0] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[1,0] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[1,0] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[1,1] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[1,1] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[1,1] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[1,2] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[1,2] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[1,2] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[2,0] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[2,0] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[2,0] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[2,1] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[2,1] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[2,1] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[2,2] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[2,2] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[2,2] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[2,0] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,2] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[2,0] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[2,0] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[2,1] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,2] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[2,1] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[2,1] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[2,2] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,2] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[2,2] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[2,2] * self.yvarphid[mif1,0] * self.yvarphidbar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[2,0] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[2,0] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[2,0] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[2,1] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[2,1] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[2,1] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[2,2] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[2,2] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[2,2] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[2,0] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,2] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[2,0] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[2,0] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[2,1] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,2] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[2,1] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[2,1] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[2,2] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,2] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[2,2] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[2,2] * self.yvarphid[mif1,1] * self.yvarphidbar[mif2,2] + -11/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + -1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + 1/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,0] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,1] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,2] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[2,0] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[2,0] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[2,0] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[2,1] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[2,1] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[2,1] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[2,2] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[2,2] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[2,2] * self.yvarphid[mif1,2] * self.yvarphidbar[mif2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif1] * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif1] * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif1] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif1] * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif1] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif1] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif1] * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif1] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif1] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif1] * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif1] * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif1] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif1] * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif1] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif1] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif1] * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif1] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif1] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif1] * self.yubar[0,0] * self.yvarphidbar[mif2,0] * self.yvarphiu[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif1] * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif1] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif1] * self.yubar[0,1] * self.yvarphidbar[mif2,0] * self.yvarphiu[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif1] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif1] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif1] * self.yubar[0,2] * self.yvarphidbar[mif2,0] * self.yvarphiu[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif1] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif1] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[0,0] * self.yvarphid[mif1,0] * self.yvarphiubar[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[1,0] * self.yvarphid[mif1,1] * self.yvarphiubar[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[2,0] * self.yvarphid[mif1,2] * self.yvarphiubar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,mif1] * self.yvarphiu[0,0] * self.yvarphiubar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[1,mif1] * self.yvarphiu[1,0] * self.yvarphiubar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[2,mif1] * self.yvarphiu[2,0] * self.yvarphiubar[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[0,1] * self.yvarphid[mif1,0] * self.yvarphiubar[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[1,1] * self.yvarphid[mif1,1] * self.yvarphiubar[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[2,1] * self.yvarphid[mif1,2] * self.yvarphiubar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,mif1] * self.yvarphiu[0,1] * self.yvarphiubar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[1,mif1] * self.yvarphiu[1,1] * self.yvarphiubar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[2,mif1] * self.yvarphiu[2,1] * self.yvarphiubar[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[0,2] * self.yvarphid[mif1,0] * self.yvarphiubar[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[1,2] * self.yvarphid[mif1,1] * self.yvarphiubar[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yu[2,2] * self.yvarphid[mif1,2] * self.yvarphiubar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[0,mif1] * self.yvarphiu[0,2] * self.yvarphiubar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[1,mif1] * self.yvarphiu[1,2] * self.yvarphiubar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.ydbar[2,mif1] * self.yvarphiu[2,2] * self.yvarphiubar[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[0,0] * self.yvarphid[mif1,0] * self.yvarphiubar[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[1,0] * self.yvarphid[mif1,1] * self.yvarphiubar[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[2,0] * self.yvarphid[mif1,2] * self.yvarphiubar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[0,mif1] * self.yvarphiu[0,0] * self.yvarphiubar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,mif1] * self.yvarphiu[1,0] * self.yvarphiubar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[2,mif1] * self.yvarphiu[2,0] * self.yvarphiubar[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[0,1] * self.yvarphid[mif1,0] * self.yvarphiubar[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[1,1] * self.yvarphid[mif1,1] * self.yvarphiubar[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[2,1] * self.yvarphid[mif1,2] * self.yvarphiubar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[0,mif1] * self.yvarphiu[0,1] * self.yvarphiubar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,mif1] * self.yvarphiu[1,1] * self.yvarphiubar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[2,mif1] * self.yvarphiu[2,1] * self.yvarphiubar[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[0,2] * self.yvarphid[mif1,0] * self.yvarphiubar[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[1,2] * self.yvarphid[mif1,1] * self.yvarphiubar[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yu[2,2] * self.yvarphid[mif1,2] * self.yvarphiubar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[0,mif1] * self.yvarphiu[0,2] * self.yvarphiubar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[1,mif1] * self.yvarphiu[1,2] * self.yvarphiubar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.ydbar[2,mif1] * self.yvarphiu[2,2] * self.yvarphiubar[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[0,0] * self.yvarphid[mif1,0] * self.yvarphiubar[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[1,0] * self.yvarphid[mif1,1] * self.yvarphiubar[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[2,0] * self.yvarphid[mif1,2] * self.yvarphiubar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[0,mif1] * self.yvarphiu[0,0] * self.yvarphiubar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[1,mif1] * self.yvarphiu[1,0] * self.yvarphiubar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,mif1] * self.yvarphiu[2,0] * self.yvarphiubar[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[0,1] * self.yvarphid[mif1,0] * self.yvarphiubar[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[1,1] * self.yvarphid[mif1,1] * self.yvarphiubar[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[2,1] * self.yvarphid[mif1,2] * self.yvarphiubar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[0,mif1] * self.yvarphiu[0,1] * self.yvarphiubar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[1,mif1] * self.yvarphiu[1,1] * self.yvarphiubar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,mif1] * self.yvarphiu[2,1] * self.yvarphiubar[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[0,2] * self.yvarphid[mif1,0] * self.yvarphiubar[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[1,2] * self.yvarphid[mif1,1] * self.yvarphiubar[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yu[2,2] * self.yvarphid[mif1,2] * self.yvarphiubar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[0,mif1] * self.yvarphiu[0,2] * self.yvarphiubar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[1,mif1] * self.yvarphiu[1,2] * self.yvarphiubar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.ydbar[2,mif1] * self.yvarphiu[2,2] * self.yvarphiubar[2,2])

    def alphaOHe(self, mif1,mif2):
        return (1/1920 * (self.g1)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[0,mif1] * self.yvarphie[0,0] * self.yvarphiebar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[0,mif1] * self.yvarphie[0,1] * self.yvarphiebar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[0,mif1] * self.yvarphie[0,2] * self.yvarphiebar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[1,mif1] * self.yvarphie[0,0] * self.yvarphiebar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[1,mif1] * self.yvarphie[0,1] * self.yvarphiebar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[1,mif1] * self.yvarphie[0,2] * self.yvarphiebar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[2,mif1] * self.yvarphie[0,0] * self.yvarphiebar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[2,mif1] * self.yvarphie[0,1] * self.yvarphiebar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[2,mif1] * self.yvarphie[0,2] * self.yvarphiebar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[0,mif1] * self.yvarphie[1,0] * self.yvarphiebar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[0,mif1] * self.yvarphie[1,1] * self.yvarphiebar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[0,mif1] * self.yvarphie[1,2] * self.yvarphiebar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[1,mif1] * self.yvarphie[1,0] * self.yvarphiebar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[1,mif1] * self.yvarphie[1,1] * self.yvarphiebar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[1,mif1] * self.yvarphie[1,2] * self.yvarphiebar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[2,mif1] * self.yvarphie[1,0] * self.yvarphiebar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[2,mif1] * self.yvarphie[1,1] * self.yvarphiebar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[2,mif1] * self.yvarphie[1,2] * self.yvarphiebar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[0,mif1] * self.yvarphie[2,0] * self.yvarphiebar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[0,mif1] * self.yvarphie[2,1] * self.yvarphiebar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[0,mif1] * self.yvarphie[2,2] * self.yvarphiebar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[1,mif1] * self.yvarphie[2,0] * self.yvarphiebar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[1,mif1] * self.yvarphie[2,1] * self.yvarphiebar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[1,mif1] * self.yvarphie[2,2] * self.yvarphiebar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif2] * self.ylbar[2,mif1] * self.yvarphie[2,0] * self.yvarphiebar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif2] * self.ylbar[2,mif1] * self.yvarphie[2,1] * self.yvarphiebar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif2] * self.ylbar[2,mif1] * self.yvarphie[2,2] * self.yvarphiebar[2,2] + 7/576 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] + 1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] + -1/96 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[0,0] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[0,0] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,0] * self.ylbar[0,0] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[0,1] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[0,1] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,1] * self.ylbar[0,1] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[0,2] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[0,2] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,2] * self.ylbar[0,2] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[0,0] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[0,0] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,0] * self.ylbar[0,0] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[0,1] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[0,1] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,1] * self.ylbar[0,1] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[0,2] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[0,2] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,2] * self.ylbar[0,2] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[0,0] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[0,0] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,0] * self.ylbar[0,0] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[0,1] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[0,1] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,1] * self.ylbar[0,1] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[0,2] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[0,2] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,2] * self.ylbar[0,2] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[1,0] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[1,0] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,0] * self.ylbar[1,0] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[1,1] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[1,1] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,1] * self.ylbar[1,1] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[1,2] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[1,2] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,2] * self.ylbar[1,2] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,1] + 7/576 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] + 1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] + -1/96 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[1,0] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[1,0] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,0] * self.ylbar[1,0] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[1,1] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[1,1] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,1] * self.ylbar[1,1] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[1,2] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[1,2] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,2] * self.ylbar[1,2] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[1,0] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[1,0] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,0] * self.ylbar[1,0] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[1,1] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[1,1] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,1] * self.ylbar[1,1] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[1,2] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[1,2] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,2] * self.ylbar[1,2] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[2,0] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[2,0] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,0] * self.ylbar[2,0] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[2,1] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[2,1] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,1] * self.ylbar[2,1] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[2,2] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[2,2] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,2] * self.ylbar[2,2] * self.yvarphie[mif1,0] * self.yvarphiebar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[2,0] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[2,0] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,0] * self.ylbar[2,0] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[2,1] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[2,1] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,1] * self.ylbar[2,1] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[2,2] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[2,2] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,2] * self.ylbar[2,2] * self.yvarphie[mif1,1] * self.yvarphiebar[mif2,2] + 7/576 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] + 1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] + -1/96 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[2,0] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[2,0] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,0] * self.ylbar[2,0] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[2,1] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[2,1] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,1] * self.ylbar[2,1] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[2,2] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[2,2] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,2] * self.ylbar[2,2] * self.yvarphie[mif1,2] * self.yvarphiebar[mif2,2])

    def alphaOHl1(self, mif1,mif2):
        return (1/3840 * (self.g1)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[mif2,0] * self.yvarphie[0,0] * self.yvarphiebar[0,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[mif2,0] * self.yvarphie[1,0] * self.yvarphiebar[0,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[mif2,0] * self.yvarphie[2,0] * self.yvarphiebar[0,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[mif2,0] * self.yvarphie[0,1] * self.yvarphiebar[0,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[mif2,0] * self.yvarphie[1,1] * self.yvarphiebar[0,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[mif2,0] * self.yvarphie[2,1] * self.yvarphiebar[0,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[mif2,0] * self.yvarphie[0,2] * self.yvarphiebar[0,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[mif2,0] * self.yvarphie[1,2] * self.yvarphiebar[0,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[mif2,0] * self.yvarphie[2,2] * self.yvarphiebar[0,2] + 17/1152 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + 1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + -1/96 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[0,0] * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[0,0] * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,0] * self.ylbar[0,0] * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[1,0] * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[1,0] * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,0] * self.ylbar[1,0] * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[2,0] * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[2,0] * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,0] * self.ylbar[2,0] * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[0,0] * self.yvarphie[1,mif2] * self.yvarphiebar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[0,0] * self.yvarphie[1,mif2] * self.yvarphiebar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,1] * self.ylbar[0,0] * self.yvarphie[1,mif2] * self.yvarphiebar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[1,0] * self.yvarphie[1,mif2] * self.yvarphiebar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[1,0] * self.yvarphie[1,mif2] * self.yvarphiebar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,1] * self.ylbar[1,0] * self.yvarphie[1,mif2] * self.yvarphiebar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[2,0] * self.yvarphie[1,mif2] * self.yvarphiebar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[2,0] * self.yvarphie[1,mif2] * self.yvarphiebar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,1] * self.ylbar[2,0] * self.yvarphie[1,mif2] * self.yvarphiebar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[0,0] * self.yvarphie[2,mif2] * self.yvarphiebar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[0,0] * self.yvarphie[2,mif2] * self.yvarphiebar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,2] * self.ylbar[0,0] * self.yvarphie[2,mif2] * self.yvarphiebar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[1,0] * self.yvarphie[2,mif2] * self.yvarphiebar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[1,0] * self.yvarphie[2,mif2] * self.yvarphiebar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,2] * self.ylbar[1,0] * self.yvarphie[2,mif2] * self.yvarphiebar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[2,0] * self.yvarphie[2,mif2] * self.yvarphiebar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[2,0] * self.yvarphie[2,mif2] * self.yvarphiebar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,2] * self.ylbar[2,0] * self.yvarphie[2,mif2] * self.yvarphiebar[0,mif1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[mif2,1] * self.yvarphie[0,0] * self.yvarphiebar[1,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[mif2,1] * self.yvarphie[1,0] * self.yvarphiebar[1,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[mif2,1] * self.yvarphie[2,0] * self.yvarphiebar[1,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[mif2,1] * self.yvarphie[0,1] * self.yvarphiebar[1,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[mif2,1] * self.yvarphie[1,1] * self.yvarphiebar[1,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[mif2,1] * self.yvarphie[2,1] * self.yvarphiebar[1,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[mif2,1] * self.yvarphie[0,2] * self.yvarphiebar[1,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[mif2,1] * self.yvarphie[1,2] * self.yvarphiebar[1,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[mif2,1] * self.yvarphie[2,2] * self.yvarphiebar[1,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[0,1] * self.yvarphie[0,mif2] * self.yvarphiebar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[0,1] * self.yvarphie[0,mif2] * self.yvarphiebar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,0] * self.ylbar[0,1] * self.yvarphie[0,mif2] * self.yvarphiebar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[1,1] * self.yvarphie[0,mif2] * self.yvarphiebar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[1,1] * self.yvarphie[0,mif2] * self.yvarphiebar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,0] * self.ylbar[1,1] * self.yvarphie[0,mif2] * self.yvarphiebar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[2,1] * self.yvarphie[0,mif2] * self.yvarphiebar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[2,1] * self.yvarphie[0,mif2] * self.yvarphiebar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,0] * self.ylbar[2,1] * self.yvarphie[0,mif2] * self.yvarphiebar[1,mif1] + 17/1152 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + 1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + -1/96 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[0,1] * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[0,1] * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,1] * self.ylbar[0,1] * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[1,1] * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[1,1] * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,1] * self.ylbar[1,1] * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[2,1] * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[2,1] * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,1] * self.ylbar[2,1] * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[0,1] * self.yvarphie[2,mif2] * self.yvarphiebar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[0,1] * self.yvarphie[2,mif2] * self.yvarphiebar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,2] * self.ylbar[0,1] * self.yvarphie[2,mif2] * self.yvarphiebar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[1,1] * self.yvarphie[2,mif2] * self.yvarphiebar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[1,1] * self.yvarphie[2,mif2] * self.yvarphiebar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,2] * self.ylbar[1,1] * self.yvarphie[2,mif2] * self.yvarphiebar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[2,1] * self.yvarphie[2,mif2] * self.yvarphiebar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[2,1] * self.yvarphie[2,mif2] * self.yvarphiebar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,2] * self.ylbar[2,1] * self.yvarphie[2,mif2] * self.yvarphiebar[1,mif1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[mif2,2] * self.yvarphie[0,0] * self.yvarphiebar[2,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[mif2,2] * self.yvarphie[1,0] * self.yvarphiebar[2,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[mif2,2] * self.yvarphie[2,0] * self.yvarphiebar[2,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[mif2,2] * self.yvarphie[0,1] * self.yvarphiebar[2,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[mif2,2] * self.yvarphie[1,1] * self.yvarphiebar[2,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[mif2,2] * self.yvarphie[2,1] * self.yvarphiebar[2,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[mif2,2] * self.yvarphie[0,2] * self.yvarphiebar[2,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[mif2,2] * self.yvarphie[1,2] * self.yvarphiebar[2,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[mif2,2] * self.yvarphie[2,2] * self.yvarphiebar[2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[0,2] * self.yvarphie[0,mif2] * self.yvarphiebar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[0,2] * self.yvarphie[0,mif2] * self.yvarphiebar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,0] * self.ylbar[0,2] * self.yvarphie[0,mif2] * self.yvarphiebar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[1,2] * self.yvarphie[0,mif2] * self.yvarphiebar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[1,2] * self.yvarphie[0,mif2] * self.yvarphiebar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,0] * self.ylbar[1,2] * self.yvarphie[0,mif2] * self.yvarphiebar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[2,2] * self.yvarphie[0,mif2] * self.yvarphiebar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[2,2] * self.yvarphie[0,mif2] * self.yvarphiebar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,0] * self.ylbar[2,2] * self.yvarphie[0,mif2] * self.yvarphiebar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[0,2] * self.yvarphie[1,mif2] * self.yvarphiebar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[0,2] * self.yvarphie[1,mif2] * self.yvarphiebar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,1] * self.ylbar[0,2] * self.yvarphie[1,mif2] * self.yvarphiebar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[1,2] * self.yvarphie[1,mif2] * self.yvarphiebar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[1,2] * self.yvarphie[1,mif2] * self.yvarphiebar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,1] * self.ylbar[1,2] * self.yvarphie[1,mif2] * self.yvarphiebar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[2,2] * self.yvarphie[1,mif2] * self.yvarphiebar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[2,2] * self.yvarphie[1,mif2] * self.yvarphiebar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,1] * self.ylbar[2,2] * self.yvarphie[1,mif2] * self.yvarphiebar[2,mif1] + 17/1152 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + 1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + -1/96 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[0,2] * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[0,2] * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,2] * self.ylbar[0,2] * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[1,2] * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[1,2] * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,2] * self.ylbar[1,2] * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[2,2] * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[2,2] * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,2] * self.ylbar[2,2] * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1])

    def alphaOHl3(self, mif1,mif2):
        return (-1/3840 * (self.g2)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[mif2,0] * self.yvarphie[0,0] * self.yvarphiebar[0,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[mif2,0] * self.yvarphie[1,0] * self.yvarphiebar[0,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[mif2,0] * self.yvarphie[2,0] * self.yvarphiebar[0,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[mif2,0] * self.yvarphie[0,1] * self.yvarphiebar[0,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[mif2,0] * self.yvarphie[1,1] * self.yvarphiebar[0,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[mif2,0] * self.yvarphie[2,1] * self.yvarphiebar[0,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[mif2,0] * self.yvarphie[0,2] * self.yvarphiebar[0,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[mif2,0] * self.yvarphie[1,2] * self.yvarphiebar[0,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[mif2,0] * self.yvarphie[2,2] * self.yvarphiebar[0,2] + 1/1152 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[mif2,1] * self.yvarphie[0,0] * self.yvarphiebar[1,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[mif2,1] * self.yvarphie[1,0] * self.yvarphiebar[1,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[mif2,1] * self.yvarphie[2,0] * self.yvarphiebar[1,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[mif2,1] * self.yvarphie[0,1] * self.yvarphiebar[1,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[mif2,1] * self.yvarphie[1,1] * self.yvarphiebar[1,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[mif2,1] * self.yvarphie[2,1] * self.yvarphiebar[1,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[mif2,1] * self.yvarphie[0,2] * self.yvarphiebar[1,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[mif2,1] * self.yvarphie[1,2] * self.yvarphiebar[1,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[mif2,1] * self.yvarphie[2,2] * self.yvarphiebar[1,2] + 1/1152 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[mif2,2] * self.yvarphie[0,0] * self.yvarphiebar[2,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[mif2,2] * self.yvarphie[1,0] * self.yvarphiebar[2,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[mif2,2] * self.yvarphie[2,0] * self.yvarphiebar[2,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[mif2,2] * self.yvarphie[0,1] * self.yvarphiebar[2,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[mif2,2] * self.yvarphie[1,1] * self.yvarphiebar[2,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[mif2,2] * self.yvarphie[2,1] * self.yvarphiebar[2,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[mif2,2] * self.yvarphie[0,2] * self.yvarphiebar[2,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[mif2,2] * self.yvarphie[1,2] * self.yvarphiebar[2,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[mif2,2] * self.yvarphie[2,2] * self.yvarphiebar[2,2] + 1/1152 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1])

    def alphaOHq1(self, mif1,mif2):
        return (-1/11520 * (self.g1)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,0] * self.yvarphid[0,0] * self.yvarphidbar[0,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,0] * self.yvarphid[1,0] * self.yvarphidbar[0,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,0] * self.yvarphid[2,0] * self.yvarphidbar[0,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,0] * self.yvarphid[0,1] * self.yvarphidbar[0,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,0] * self.yvarphid[1,1] * self.yvarphidbar[0,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,0] * self.yvarphid[2,1] * self.yvarphidbar[0,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,0] * self.yvarphid[0,2] * self.yvarphidbar[0,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,0] * self.yvarphid[1,2] * self.yvarphidbar[0,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,0] * self.yvarphid[2,2] * self.yvarphidbar[0,2] + 19/3456 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + 1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + -1/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,0] * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,0] * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,0] * self.yvarphid[1,mif2] * self.yvarphidbar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,0] * self.yvarphid[1,mif2] * self.yvarphidbar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,0] * self.yvarphid[1,mif2] * self.yvarphidbar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,0] * self.yvarphid[1,mif2] * self.yvarphidbar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,0] * self.yvarphid[1,mif2] * self.yvarphidbar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,0] * self.yvarphid[1,mif2] * self.yvarphidbar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,0] * self.yvarphid[1,mif2] * self.yvarphidbar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,0] * self.yvarphid[1,mif2] * self.yvarphidbar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,0] * self.yvarphid[1,mif2] * self.yvarphidbar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,0] * self.yvarphid[2,mif2] * self.yvarphidbar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,0] * self.yvarphid[2,mif2] * self.yvarphidbar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,0] * self.yvarphid[2,mif2] * self.yvarphidbar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,0] * self.yvarphid[2,mif2] * self.yvarphidbar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,0] * self.yvarphid[2,mif2] * self.yvarphidbar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,0] * self.yvarphid[2,mif2] * self.yvarphidbar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,0] * self.yvarphid[2,mif2] * self.yvarphidbar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,0] * self.yvarphid[2,mif2] * self.yvarphidbar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,0] * self.yvarphid[2,mif2] * self.yvarphidbar[0,mif1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,1] * self.yvarphid[0,0] * self.yvarphidbar[1,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,1] * self.yvarphid[1,0] * self.yvarphidbar[1,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,1] * self.yvarphid[2,0] * self.yvarphidbar[1,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,1] * self.yvarphid[0,1] * self.yvarphidbar[1,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,1] * self.yvarphid[1,1] * self.yvarphidbar[1,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,1] * self.yvarphid[2,1] * self.yvarphidbar[1,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,1] * self.yvarphid[0,2] * self.yvarphidbar[1,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,1] * self.yvarphid[1,2] * self.yvarphidbar[1,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,1] * self.yvarphid[2,2] * self.yvarphidbar[1,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,1] * self.yvarphid[0,mif2] * self.yvarphidbar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,1] * self.yvarphid[0,mif2] * self.yvarphidbar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,1] * self.yvarphid[0,mif2] * self.yvarphidbar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,1] * self.yvarphid[0,mif2] * self.yvarphidbar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,1] * self.yvarphid[0,mif2] * self.yvarphidbar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,1] * self.yvarphid[0,mif2] * self.yvarphidbar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,1] * self.yvarphid[0,mif2] * self.yvarphidbar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,1] * self.yvarphid[0,mif2] * self.yvarphidbar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,1] * self.yvarphid[0,mif2] * self.yvarphidbar[1,mif1] + 19/3456 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + 1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + -1/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,1] * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,1] * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,1] * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,1] * self.yvarphid[2,mif2] * self.yvarphidbar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,1] * self.yvarphid[2,mif2] * self.yvarphidbar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,1] * self.yvarphid[2,mif2] * self.yvarphidbar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,1] * self.yvarphid[2,mif2] * self.yvarphidbar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,1] * self.yvarphid[2,mif2] * self.yvarphidbar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,1] * self.yvarphid[2,mif2] * self.yvarphidbar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,1] * self.yvarphid[2,mif2] * self.yvarphidbar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,1] * self.yvarphid[2,mif2] * self.yvarphidbar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,1] * self.yvarphid[2,mif2] * self.yvarphidbar[1,mif1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,2] * self.yvarphid[0,0] * self.yvarphidbar[2,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,2] * self.yvarphid[1,0] * self.yvarphidbar[2,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,2] * self.yvarphid[2,0] * self.yvarphidbar[2,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,2] * self.yvarphid[0,1] * self.yvarphidbar[2,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,2] * self.yvarphid[1,1] * self.yvarphidbar[2,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,2] * self.yvarphid[2,1] * self.yvarphidbar[2,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,2] * self.yvarphid[0,2] * self.yvarphidbar[2,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,2] * self.yvarphid[1,2] * self.yvarphidbar[2,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,2] * self.yvarphid[2,2] * self.yvarphidbar[2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,2] * self.yvarphid[0,mif2] * self.yvarphidbar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,2] * self.yvarphid[0,mif2] * self.yvarphidbar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,2] * self.yvarphid[0,mif2] * self.yvarphidbar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,2] * self.yvarphid[0,mif2] * self.yvarphidbar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,2] * self.yvarphid[0,mif2] * self.yvarphidbar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,2] * self.yvarphid[0,mif2] * self.yvarphidbar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,2] * self.yvarphid[0,mif2] * self.yvarphidbar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,2] * self.yvarphid[0,mif2] * self.yvarphidbar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,2] * self.yvarphid[0,mif2] * self.yvarphidbar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,2] * self.yvarphid[1,mif2] * self.yvarphidbar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,2] * self.yvarphid[1,mif2] * self.yvarphidbar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,2] * self.yvarphid[1,mif2] * self.yvarphidbar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,2] * self.yvarphid[1,mif2] * self.yvarphidbar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,2] * self.yvarphid[1,mif2] * self.yvarphidbar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,2] * self.yvarphid[1,mif2] * self.yvarphidbar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,2] * self.yvarphid[1,mif2] * self.yvarphidbar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,2] * self.yvarphid[1,mif2] * self.yvarphidbar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,2] * self.yvarphid[1,mif2] * self.yvarphidbar[2,mif1] + 19/3456 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + 1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + -1/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,2] * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,2] * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,2] * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yubar[mif2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yubar[mif2,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yubar[mif2,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yubar[mif2,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yubar[mif2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yubar[mif2,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yubar[mif2,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yubar[mif2,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yubar[mif2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yubar[mif2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yubar[mif2,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yubar[mif2,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yubar[mif2,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yubar[mif2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yubar[mif2,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yubar[mif2,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yubar[mif2,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yubar[mif2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yubar[mif2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yubar[mif2,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yubar[mif2,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yubar[mif2,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yubar[mif2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yubar[mif2,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yubar[mif2,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yubar[mif2,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yubar[mif2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[0,0] * self.yvarphidbar[0,0] * self.yvarphiu[mif1,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[1,0] * self.yvarphidbar[0,1] * self.yvarphiu[mif1,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[2,0] * self.yvarphidbar[0,2] * self.yvarphiu[mif1,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[0,0] * self.yvarphidbar[1,0] * self.yvarphiu[mif1,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[1,0] * self.yvarphidbar[1,1] * self.yvarphiu[mif1,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[2,0] * self.yvarphidbar[1,2] * self.yvarphiu[mif1,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[0,0] * self.yvarphidbar[2,0] * self.yvarphiu[mif1,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[1,0] * self.yvarphidbar[2,1] * self.yvarphiu[mif1,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[2,0] * self.yvarphidbar[2,2] * self.yvarphiu[mif1,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[0,1] * self.yvarphidbar[0,0] * self.yvarphiu[mif1,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[1,1] * self.yvarphidbar[0,1] * self.yvarphiu[mif1,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[2,1] * self.yvarphidbar[0,2] * self.yvarphiu[mif1,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[0,1] * self.yvarphidbar[1,0] * self.yvarphiu[mif1,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[1,1] * self.yvarphidbar[1,1] * self.yvarphiu[mif1,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[2,1] * self.yvarphidbar[1,2] * self.yvarphiu[mif1,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[0,1] * self.yvarphidbar[2,0] * self.yvarphiu[mif1,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[1,1] * self.yvarphidbar[2,1] * self.yvarphiu[mif1,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[2,1] * self.yvarphidbar[2,2] * self.yvarphiu[mif1,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[0,2] * self.yvarphidbar[0,0] * self.yvarphiu[mif1,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[1,2] * self.yvarphidbar[0,1] * self.yvarphiu[mif1,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[2,2] * self.yvarphidbar[0,2] * self.yvarphiu[mif1,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[0,2] * self.yvarphidbar[1,0] * self.yvarphiu[mif1,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[1,2] * self.yvarphidbar[1,1] * self.yvarphiu[mif1,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[2,2] * self.yvarphidbar[1,2] * self.yvarphiu[mif1,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[0,2] * self.yvarphidbar[2,0] * self.yvarphiu[mif1,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[1,2] * self.yvarphidbar[2,1] * self.yvarphiu[mif1,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[2,2] * self.yvarphidbar[2,2] * self.yvarphiu[mif1,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yu[mif1,0] * self.yvarphid[0,mif2] * self.yvarphiubar[0,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yu[mif1,0] * self.yvarphid[1,mif2] * self.yvarphiubar[0,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yu[mif1,0] * self.yvarphid[2,mif2] * self.yvarphiubar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif2,0] * self.yvarphiu[0,0] * self.yvarphiubar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif2,1] * self.yvarphiu[0,1] * self.yvarphiubar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif2,2] * self.yvarphiu[0,2] * self.yvarphiubar[0,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yu[mif1,1] * self.yvarphid[0,mif2] * self.yvarphiubar[0,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yu[mif1,1] * self.yvarphid[1,mif2] * self.yvarphiubar[0,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yu[mif1,1] * self.yvarphid[2,mif2] * self.yvarphiubar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif2,0] * self.yvarphiu[0,0] * self.yvarphiubar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif2,1] * self.yvarphiu[0,1] * self.yvarphiubar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif2,2] * self.yvarphiu[0,2] * self.yvarphiubar[0,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yu[mif1,2] * self.yvarphid[0,mif2] * self.yvarphiubar[0,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yu[mif1,2] * self.yvarphid[1,mif2] * self.yvarphiubar[0,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yu[mif1,2] * self.yvarphid[2,mif2] * self.yvarphiubar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif2,0] * self.yvarphiu[0,0] * self.yvarphiubar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif2,1] * self.yvarphiu[0,1] * self.yvarphiubar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif2,2] * self.yvarphiu[0,2] * self.yvarphiubar[0,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yu[mif1,0] * self.yvarphid[0,mif2] * self.yvarphiubar[1,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yu[mif1,0] * self.yvarphid[1,mif2] * self.yvarphiubar[1,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yu[mif1,0] * self.yvarphid[2,mif2] * self.yvarphiubar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif2,0] * self.yvarphiu[1,0] * self.yvarphiubar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif2,1] * self.yvarphiu[1,1] * self.yvarphiubar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif2,2] * self.yvarphiu[1,2] * self.yvarphiubar[1,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yu[mif1,1] * self.yvarphid[0,mif2] * self.yvarphiubar[1,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yu[mif1,1] * self.yvarphid[1,mif2] * self.yvarphiubar[1,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yu[mif1,1] * self.yvarphid[2,mif2] * self.yvarphiubar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif2,0] * self.yvarphiu[1,0] * self.yvarphiubar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif2,1] * self.yvarphiu[1,1] * self.yvarphiubar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif2,2] * self.yvarphiu[1,2] * self.yvarphiubar[1,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yu[mif1,2] * self.yvarphid[0,mif2] * self.yvarphiubar[1,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yu[mif1,2] * self.yvarphid[1,mif2] * self.yvarphiubar[1,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yu[mif1,2] * self.yvarphid[2,mif2] * self.yvarphiubar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif2,0] * self.yvarphiu[1,0] * self.yvarphiubar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif2,1] * self.yvarphiu[1,1] * self.yvarphiubar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif2,2] * self.yvarphiu[1,2] * self.yvarphiubar[1,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yu[mif1,0] * self.yvarphid[0,mif2] * self.yvarphiubar[2,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yu[mif1,0] * self.yvarphid[1,mif2] * self.yvarphiubar[2,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yu[mif1,0] * self.yvarphid[2,mif2] * self.yvarphiubar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif2,0] * self.yvarphiu[2,0] * self.yvarphiubar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif2,1] * self.yvarphiu[2,1] * self.yvarphiubar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif2,2] * self.yvarphiu[2,2] * self.yvarphiubar[2,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yu[mif1,1] * self.yvarphid[0,mif2] * self.yvarphiubar[2,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yu[mif1,1] * self.yvarphid[1,mif2] * self.yvarphiubar[2,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yu[mif1,1] * self.yvarphid[2,mif2] * self.yvarphiubar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif2,0] * self.yvarphiu[2,0] * self.yvarphiubar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif2,1] * self.yvarphiu[2,1] * self.yvarphiubar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif2,2] * self.yvarphiu[2,2] * self.yvarphiubar[2,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yu[mif1,2] * self.yvarphid[0,mif2] * self.yvarphiubar[2,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yu[mif1,2] * self.yvarphid[1,mif2] * self.yvarphiubar[2,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yu[mif1,2] * self.yvarphid[2,mif2] * self.yvarphiubar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif2,0] * self.yvarphiu[2,0] * self.yvarphiubar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif2,1] * self.yvarphiu[2,1] * self.yvarphiubar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif2,2] * self.yvarphiu[2,2] * self.yvarphiubar[2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[0,0] * self.yvarphid[0,0] * self.yvarphiubar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[1,0] * self.yvarphid[0,1] * self.yvarphiubar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[2,0] * self.yvarphid[0,2] * self.yvarphiubar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[0,0] * self.yvarphid[1,0] * self.yvarphiubar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[1,0] * self.yvarphid[1,1] * self.yvarphiubar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[2,0] * self.yvarphid[1,2] * self.yvarphiubar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[0,0] * self.yvarphid[2,0] * self.yvarphiubar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[1,0] * self.yvarphid[2,1] * self.yvarphiubar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[2,0] * self.yvarphid[2,2] * self.yvarphiubar[mif2,0] + -35/3456 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + -1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + 1/144 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[0,1] * self.yvarphid[0,0] * self.yvarphiubar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[1,1] * self.yvarphid[0,1] * self.yvarphiubar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[2,1] * self.yvarphid[0,2] * self.yvarphiubar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[0,1] * self.yvarphid[1,0] * self.yvarphiubar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[1,1] * self.yvarphid[1,1] * self.yvarphiubar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[2,1] * self.yvarphid[1,2] * self.yvarphiubar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[0,1] * self.yvarphid[2,0] * self.yvarphiubar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[1,1] * self.yvarphid[2,1] * self.yvarphiubar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[2,1] * self.yvarphid[2,2] * self.yvarphiubar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,1] + -35/3456 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + -1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + 1/144 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[0,2] * self.yvarphid[0,0] * self.yvarphiubar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[1,2] * self.yvarphid[0,1] * self.yvarphiubar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[2,2] * self.yvarphid[0,2] * self.yvarphiubar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[0,2] * self.yvarphid[1,0] * self.yvarphiubar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[1,2] * self.yvarphid[1,1] * self.yvarphiubar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[2,2] * self.yvarphid[1,2] * self.yvarphiubar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[0,2] * self.yvarphid[2,0] * self.yvarphiubar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[1,2] * self.yvarphid[2,1] * self.yvarphiubar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[2,2] * self.yvarphid[2,2] * self.yvarphiubar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,2] + -35/3456 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + -1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + 1/144 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2])

    def alphaOHq3(self, mif1,mif2):
        return (-1/3840 * (self.g2)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,0] * self.yvarphid[0,0] * self.yvarphidbar[0,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,0] * self.yvarphid[1,0] * self.yvarphidbar[0,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,0] * self.yvarphid[2,0] * self.yvarphidbar[0,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,0] * self.yvarphid[0,1] * self.yvarphidbar[0,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,0] * self.yvarphid[1,1] * self.yvarphidbar[0,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,0] * self.yvarphid[2,1] * self.yvarphidbar[0,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,0] * self.yvarphid[0,2] * self.yvarphidbar[0,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,0] * self.yvarphid[1,2] * self.yvarphidbar[0,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,0] * self.yvarphid[2,2] * self.yvarphidbar[0,2] + 1/1152 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,1] * self.yvarphid[0,0] * self.yvarphidbar[1,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,1] * self.yvarphid[1,0] * self.yvarphidbar[1,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,1] * self.yvarphid[2,0] * self.yvarphidbar[1,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,1] * self.yvarphid[0,1] * self.yvarphidbar[1,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,1] * self.yvarphid[1,1] * self.yvarphidbar[1,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,1] * self.yvarphid[2,1] * self.yvarphidbar[1,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,1] * self.yvarphid[0,2] * self.yvarphidbar[1,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,1] * self.yvarphid[1,2] * self.yvarphidbar[1,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,1] * self.yvarphid[2,2] * self.yvarphidbar[1,2] + 1/1152 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,2] * self.yvarphid[0,0] * self.yvarphidbar[2,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,2] * self.yvarphid[1,0] * self.yvarphidbar[2,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,2] * self.yvarphid[2,0] * self.yvarphidbar[2,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,2] * self.yvarphid[0,1] * self.yvarphidbar[2,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,2] * self.yvarphid[1,1] * self.yvarphidbar[2,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,2] * self.yvarphid[2,1] * self.yvarphidbar[2,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif2,2] * self.yvarphid[0,2] * self.yvarphidbar[2,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif2,2] * self.yvarphid[1,2] * self.yvarphidbar[2,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif2,2] * self.yvarphid[2,2] * self.yvarphidbar[2,2] + 1/1152 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yubar[mif2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yubar[mif2,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yubar[mif2,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yubar[mif2,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yubar[mif2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yubar[mif2,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yubar[mif2,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yubar[mif2,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yubar[mif2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yubar[mif2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yubar[mif2,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yubar[mif2,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yubar[mif2,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yubar[mif2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yubar[mif2,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yubar[mif2,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yubar[mif2,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yubar[mif2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yubar[mif2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yubar[mif2,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yubar[mif2,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yubar[mif2,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yubar[mif2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yubar[mif2,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yubar[mif2,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yubar[mif2,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yubar[mif2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[0,0] * self.yvarphidbar[0,0] * self.yvarphiu[mif1,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[1,0] * self.yvarphidbar[0,1] * self.yvarphiu[mif1,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[2,0] * self.yvarphidbar[0,2] * self.yvarphiu[mif1,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[0,0] * self.yvarphidbar[1,0] * self.yvarphiu[mif1,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[1,0] * self.yvarphidbar[1,1] * self.yvarphiu[mif1,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[2,0] * self.yvarphidbar[1,2] * self.yvarphiu[mif1,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[0,0] * self.yvarphidbar[2,0] * self.yvarphiu[mif1,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[1,0] * self.yvarphidbar[2,1] * self.yvarphiu[mif1,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[2,0] * self.yvarphidbar[2,2] * self.yvarphiu[mif1,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[0,1] * self.yvarphidbar[0,0] * self.yvarphiu[mif1,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[1,1] * self.yvarphidbar[0,1] * self.yvarphiu[mif1,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[2,1] * self.yvarphidbar[0,2] * self.yvarphiu[mif1,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[0,1] * self.yvarphidbar[1,0] * self.yvarphiu[mif1,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[1,1] * self.yvarphidbar[1,1] * self.yvarphiu[mif1,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[2,1] * self.yvarphidbar[1,2] * self.yvarphiu[mif1,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[0,1] * self.yvarphidbar[2,0] * self.yvarphiu[mif1,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[1,1] * self.yvarphidbar[2,1] * self.yvarphiu[mif1,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[2,1] * self.yvarphidbar[2,2] * self.yvarphiu[mif1,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[0,2] * self.yvarphidbar[0,0] * self.yvarphiu[mif1,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[1,2] * self.yvarphidbar[0,1] * self.yvarphiu[mif1,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[2,2] * self.yvarphidbar[0,2] * self.yvarphiu[mif1,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[0,2] * self.yvarphidbar[1,0] * self.yvarphiu[mif1,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[1,2] * self.yvarphidbar[1,1] * self.yvarphiu[mif1,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[2,2] * self.yvarphidbar[1,2] * self.yvarphiu[mif1,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[0,2] * self.yvarphidbar[2,0] * self.yvarphiu[mif1,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[1,2] * self.yvarphidbar[2,1] * self.yvarphiu[mif1,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[2,2] * self.yvarphidbar[2,2] * self.yvarphiu[mif1,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yu[mif1,0] * self.yvarphid[0,mif2] * self.yvarphiubar[0,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yu[mif1,0] * self.yvarphid[1,mif2] * self.yvarphiubar[0,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yu[mif1,0] * self.yvarphid[2,mif2] * self.yvarphiubar[0,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif2,0] * self.yvarphiu[0,0] * self.yvarphiubar[0,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif2,1] * self.yvarphiu[0,1] * self.yvarphiubar[0,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif2,2] * self.yvarphiu[0,2] * self.yvarphiubar[0,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yu[mif1,1] * self.yvarphid[0,mif2] * self.yvarphiubar[0,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yu[mif1,1] * self.yvarphid[1,mif2] * self.yvarphiubar[0,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yu[mif1,1] * self.yvarphid[2,mif2] * self.yvarphiubar[0,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif2,0] * self.yvarphiu[0,0] * self.yvarphiubar[0,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif2,1] * self.yvarphiu[0,1] * self.yvarphiubar[0,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif2,2] * self.yvarphiu[0,2] * self.yvarphiubar[0,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yu[mif1,2] * self.yvarphid[0,mif2] * self.yvarphiubar[0,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yu[mif1,2] * self.yvarphid[1,mif2] * self.yvarphiubar[0,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yu[mif1,2] * self.yvarphid[2,mif2] * self.yvarphiubar[0,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif2,0] * self.yvarphiu[0,0] * self.yvarphiubar[0,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif2,1] * self.yvarphiu[0,1] * self.yvarphiubar[0,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif2,2] * self.yvarphiu[0,2] * self.yvarphiubar[0,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yu[mif1,0] * self.yvarphid[0,mif2] * self.yvarphiubar[1,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yu[mif1,0] * self.yvarphid[1,mif2] * self.yvarphiubar[1,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yu[mif1,0] * self.yvarphid[2,mif2] * self.yvarphiubar[1,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif2,0] * self.yvarphiu[1,0] * self.yvarphiubar[1,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif2,1] * self.yvarphiu[1,1] * self.yvarphiubar[1,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif2,2] * self.yvarphiu[1,2] * self.yvarphiubar[1,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yu[mif1,1] * self.yvarphid[0,mif2] * self.yvarphiubar[1,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yu[mif1,1] * self.yvarphid[1,mif2] * self.yvarphiubar[1,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yu[mif1,1] * self.yvarphid[2,mif2] * self.yvarphiubar[1,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif2,0] * self.yvarphiu[1,0] * self.yvarphiubar[1,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif2,1] * self.yvarphiu[1,1] * self.yvarphiubar[1,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif2,2] * self.yvarphiu[1,2] * self.yvarphiubar[1,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yu[mif1,2] * self.yvarphid[0,mif2] * self.yvarphiubar[1,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yu[mif1,2] * self.yvarphid[1,mif2] * self.yvarphiubar[1,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yu[mif1,2] * self.yvarphid[2,mif2] * self.yvarphiubar[1,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif2,0] * self.yvarphiu[1,0] * self.yvarphiubar[1,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif2,1] * self.yvarphiu[1,1] * self.yvarphiubar[1,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif2,2] * self.yvarphiu[1,2] * self.yvarphiubar[1,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yu[mif1,0] * self.yvarphid[0,mif2] * self.yvarphiubar[2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yu[mif1,0] * self.yvarphid[1,mif2] * self.yvarphiubar[2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yu[mif1,0] * self.yvarphid[2,mif2] * self.yvarphiubar[2,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif2,0] * self.yvarphiu[2,0] * self.yvarphiubar[2,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif2,1] * self.yvarphiu[2,1] * self.yvarphiubar[2,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif2,2] * self.yvarphiu[2,2] * self.yvarphiubar[2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yu[mif1,1] * self.yvarphid[0,mif2] * self.yvarphiubar[2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yu[mif1,1] * self.yvarphid[1,mif2] * self.yvarphiubar[2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yu[mif1,1] * self.yvarphid[2,mif2] * self.yvarphiubar[2,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif2,0] * self.yvarphiu[2,0] * self.yvarphiubar[2,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif2,1] * self.yvarphiu[2,1] * self.yvarphiubar[2,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif2,2] * self.yvarphiu[2,2] * self.yvarphiubar[2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yu[mif1,2] * self.yvarphid[0,mif2] * self.yvarphiubar[2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yu[mif1,2] * self.yvarphid[1,mif2] * self.yvarphiubar[2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yu[mif1,2] * self.yvarphid[2,mif2] * self.yvarphiubar[2,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif2,0] * self.yvarphiu[2,0] * self.yvarphiubar[2,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif2,1] * self.yvarphiu[2,1] * self.yvarphiubar[2,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif2,2] * self.yvarphiu[2,2] * self.yvarphiubar[2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[0,0] * self.yvarphid[0,0] * self.yvarphiubar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[1,0] * self.yvarphid[0,1] * self.yvarphiubar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[2,0] * self.yvarphid[0,2] * self.yvarphiubar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[0,0] * self.yvarphid[1,0] * self.yvarphiubar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[1,0] * self.yvarphid[1,1] * self.yvarphiubar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[2,0] * self.yvarphid[1,2] * self.yvarphiubar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[0,0] * self.yvarphid[2,0] * self.yvarphiubar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[1,0] * self.yvarphid[2,1] * self.yvarphiubar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[2,0] * self.yvarphid[2,2] * self.yvarphiubar[mif2,0] + 1/1152 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[0,1] * self.yvarphid[0,0] * self.yvarphiubar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[1,1] * self.yvarphid[0,1] * self.yvarphiubar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[2,1] * self.yvarphid[0,2] * self.yvarphiubar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[0,1] * self.yvarphid[1,0] * self.yvarphiubar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[1,1] * self.yvarphid[1,1] * self.yvarphiubar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[2,1] * self.yvarphid[1,2] * self.yvarphiubar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[0,1] * self.yvarphid[2,0] * self.yvarphiubar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[1,1] * self.yvarphid[2,1] * self.yvarphiubar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[2,1] * self.yvarphid[2,2] * self.yvarphiubar[mif2,1] + 1/1152 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[0,2] * self.yvarphid[0,0] * self.yvarphiubar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[1,2] * self.yvarphid[0,1] * self.yvarphiubar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[2,2] * self.yvarphid[0,2] * self.yvarphiubar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[0,2] * self.yvarphid[1,0] * self.yvarphiubar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[1,2] * self.yvarphid[1,1] * self.yvarphiubar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[2,2] * self.yvarphid[1,2] * self.yvarphiubar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[0,2] * self.yvarphid[2,0] * self.yvarphiubar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[1,2] * self.yvarphid[2,1] * self.yvarphiubar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[2,2] * self.yvarphid[2,2] * self.yvarphiubar[mif2,2] + 1/1152 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2])

    def alphaOHu(self, mif1,mif2):
        return (-1/2880 * (self.g1)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[0,mif1] * self.yvarphid[0,0] * self.yvarphidbar[0,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[0,mif1] * self.yvarphid[0,1] * self.yvarphidbar[0,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[0,mif1] * self.yvarphid[0,2] * self.yvarphidbar[0,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[1,mif1] * self.yvarphid[0,0] * self.yvarphidbar[0,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[1,mif1] * self.yvarphid[0,1] * self.yvarphidbar[0,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[1,mif1] * self.yvarphid[0,2] * self.yvarphidbar[0,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[2,mif1] * self.yvarphid[0,0] * self.yvarphidbar[0,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[2,mif1] * self.yvarphid[0,1] * self.yvarphidbar[0,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[2,mif1] * self.yvarphid[0,2] * self.yvarphidbar[0,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[0,mif1] * self.yvarphid[1,0] * self.yvarphidbar[1,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[0,mif1] * self.yvarphid[1,1] * self.yvarphidbar[1,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[0,mif1] * self.yvarphid[1,2] * self.yvarphidbar[1,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[1,mif1] * self.yvarphid[1,0] * self.yvarphidbar[1,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[1,mif1] * self.yvarphid[1,1] * self.yvarphidbar[1,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[1,mif1] * self.yvarphid[1,2] * self.yvarphidbar[1,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[2,mif1] * self.yvarphid[1,0] * self.yvarphidbar[1,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[2,mif1] * self.yvarphid[1,1] * self.yvarphidbar[1,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[2,mif1] * self.yvarphid[1,2] * self.yvarphidbar[1,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[0,mif1] * self.yvarphid[2,0] * self.yvarphidbar[2,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[0,mif1] * self.yvarphid[2,1] * self.yvarphidbar[2,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[0,mif1] * self.yvarphid[2,2] * self.yvarphidbar[2,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[1,mif1] * self.yvarphid[2,0] * self.yvarphidbar[2,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[1,mif1] * self.yvarphid[2,1] * self.yvarphidbar[2,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[1,mif1] * self.yvarphid[2,2] * self.yvarphidbar[2,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[2,mif1] * self.yvarphid[2,0] * self.yvarphidbar[2,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[2,mif1] * self.yvarphid[2,1] * self.yvarphidbar[2,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[2,mif1] * self.yvarphid[2,2] * self.yvarphidbar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yubar[0,mif1] * self.yvarphidbar[0,0] * self.yvarphiu[0,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yubar[1,mif1] * self.yvarphidbar[0,1] * self.yvarphiu[0,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yubar[2,mif1] * self.yvarphidbar[0,2] * self.yvarphiu[0,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yubar[0,mif1] * self.yvarphidbar[1,0] * self.yvarphiu[0,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yubar[1,mif1] * self.yvarphidbar[1,1] * self.yvarphiu[0,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yubar[2,mif1] * self.yvarphidbar[1,2] * self.yvarphiu[0,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yubar[0,mif1] * self.yvarphidbar[2,0] * self.yvarphiu[0,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yubar[1,mif1] * self.yvarphidbar[2,1] * self.yvarphiu[0,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yubar[2,mif1] * self.yvarphidbar[2,2] * self.yvarphiu[0,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yubar[0,mif1] * self.yvarphidbar[0,0] * self.yvarphiu[1,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yubar[1,mif1] * self.yvarphidbar[0,1] * self.yvarphiu[1,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yubar[2,mif1] * self.yvarphidbar[0,2] * self.yvarphiu[1,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yubar[0,mif1] * self.yvarphidbar[1,0] * self.yvarphiu[1,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yubar[1,mif1] * self.yvarphidbar[1,1] * self.yvarphiu[1,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yubar[2,mif1] * self.yvarphidbar[1,2] * self.yvarphiu[1,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yubar[0,mif1] * self.yvarphidbar[2,0] * self.yvarphiu[1,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yubar[1,mif1] * self.yvarphidbar[2,1] * self.yvarphiu[1,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yubar[2,mif1] * self.yvarphidbar[2,2] * self.yvarphiu[1,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yubar[0,mif1] * self.yvarphidbar[0,0] * self.yvarphiu[2,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yubar[1,mif1] * self.yvarphidbar[0,1] * self.yvarphiu[2,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yubar[2,mif1] * self.yvarphidbar[0,2] * self.yvarphiu[2,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yubar[0,mif1] * self.yvarphidbar[1,0] * self.yvarphiu[2,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yubar[1,mif1] * self.yvarphidbar[1,1] * self.yvarphiu[2,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yubar[2,mif1] * self.yvarphidbar[1,2] * self.yvarphiu[2,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yubar[0,mif1] * self.yvarphidbar[2,0] * self.yvarphiu[2,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yubar[1,mif1] * self.yvarphidbar[2,1] * self.yvarphiu[2,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yubar[2,mif1] * self.yvarphidbar[2,2] * self.yvarphiu[2,mif2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[0,mif1] * self.yvarphiu[0,0] * self.yvarphiubar[0,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[1,mif1] * self.yvarphiu[1,0] * self.yvarphiubar[0,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[2,mif1] * self.yvarphiu[2,0] * self.yvarphiubar[0,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[0,mif1] * self.yvarphiu[0,1] * self.yvarphiubar[0,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[1,mif1] * self.yvarphiu[1,1] * self.yvarphiubar[0,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[2,mif1] * self.yvarphiu[2,1] * self.yvarphiubar[0,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[0,mif1] * self.yvarphiu[0,2] * self.yvarphiubar[0,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[1,mif1] * self.yvarphiu[1,2] * self.yvarphiubar[0,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[2,mif1] * self.yvarphiu[2,2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yu[0,mif2] * self.yvarphid[0,0] * self.yvarphiubar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yu[1,mif2] * self.yvarphid[0,1] * self.yvarphiubar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yu[2,mif2] * self.yvarphid[0,2] * self.yvarphiubar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yu[0,mif2] * self.yvarphid[1,0] * self.yvarphiubar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yu[1,mif2] * self.yvarphid[1,1] * self.yvarphiubar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yu[2,mif2] * self.yvarphid[1,2] * self.yvarphiubar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yu[0,mif2] * self.yvarphid[2,0] * self.yvarphiubar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yu[1,mif2] * self.yvarphid[2,1] * self.yvarphiubar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yu[2,mif2] * self.yvarphid[2,2] * self.yvarphiubar[0,mif1] + -5/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + -1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,0] * self.yubar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,1] * self.yubar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,2] * self.yubar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[0,mif1] * self.yvarphiu[0,0] * self.yvarphiubar[1,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[1,mif1] * self.yvarphiu[1,0] * self.yvarphiubar[1,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[2,mif1] * self.yvarphiu[2,0] * self.yvarphiubar[1,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[0,mif1] * self.yvarphiu[0,1] * self.yvarphiubar[1,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[1,mif1] * self.yvarphiu[1,1] * self.yvarphiubar[1,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[2,mif1] * self.yvarphiu[2,1] * self.yvarphiubar[1,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[0,mif1] * self.yvarphiu[0,2] * self.yvarphiubar[1,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[1,mif1] * self.yvarphiu[1,2] * self.yvarphiubar[1,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[2,mif1] * self.yvarphiu[2,2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yu[0,mif2] * self.yvarphid[0,0] * self.yvarphiubar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yu[1,mif2] * self.yvarphid[0,1] * self.yvarphiubar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yu[2,mif2] * self.yvarphid[0,2] * self.yvarphiubar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yu[0,mif2] * self.yvarphid[1,0] * self.yvarphiubar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yu[1,mif2] * self.yvarphid[1,1] * self.yvarphiubar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yu[2,mif2] * self.yvarphid[1,2] * self.yvarphiubar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yu[0,mif2] * self.yvarphid[2,0] * self.yvarphiubar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yu[1,mif2] * self.yvarphid[2,1] * self.yvarphiubar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yu[2,mif2] * self.yvarphid[2,2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + -5/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + -1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,0] * self.yubar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,1] * self.yubar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,2] * self.yubar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[0,mif1] * self.yvarphiu[0,0] * self.yvarphiubar[2,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[1,mif1] * self.yvarphiu[1,0] * self.yvarphiubar[2,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[2,mif1] * self.yvarphiu[2,0] * self.yvarphiubar[2,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[0,mif1] * self.yvarphiu[0,1] * self.yvarphiubar[2,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[1,mif1] * self.yvarphiu[1,1] * self.yvarphiubar[2,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[2,mif1] * self.yvarphiu[2,1] * self.yvarphiubar[2,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[0,mif1] * self.yvarphiu[0,2] * self.yvarphiubar[2,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[1,mif1] * self.yvarphiu[1,2] * self.yvarphiubar[2,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[2,mif1] * self.yvarphiu[2,2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yu[0,mif2] * self.yvarphid[0,0] * self.yvarphiubar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yu[1,mif2] * self.yvarphid[0,1] * self.yvarphiubar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yu[2,mif2] * self.yvarphid[0,2] * self.yvarphiubar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yu[0,mif2] * self.yvarphid[1,0] * self.yvarphiubar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yu[1,mif2] * self.yvarphid[1,1] * self.yvarphiubar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yu[2,mif2] * self.yvarphid[1,2] * self.yvarphiubar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yu[0,mif2] * self.yvarphid[2,0] * self.yvarphiubar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yu[1,mif2] * self.yvarphid[2,1] * self.yvarphiubar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yu[2,mif2] * self.yvarphid[2,2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + -5/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + -1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + 1/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,0] * self.yubar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,1] * self.yubar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,2] * self.yubar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1])

    def alphaOHud(self, mif1,mif2):
        return (1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yubar[0,mif1] * self.yvarphid[0,0] * self.yvarphidbar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yubar[0,mif1] * self.yvarphid[0,1] * self.yvarphidbar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yubar[0,mif1] * self.yvarphid[0,2] * self.yvarphidbar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yubar[1,mif1] * self.yvarphid[0,0] * self.yvarphidbar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yubar[1,mif1] * self.yvarphid[0,1] * self.yvarphidbar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yubar[1,mif1] * self.yvarphid[0,2] * self.yvarphidbar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yubar[2,mif1] * self.yvarphid[0,0] * self.yvarphidbar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yubar[2,mif1] * self.yvarphid[0,1] * self.yvarphidbar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yubar[2,mif1] * self.yvarphid[0,2] * self.yvarphidbar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yubar[0,mif1] * self.yvarphid[1,0] * self.yvarphidbar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yubar[0,mif1] * self.yvarphid[1,1] * self.yvarphidbar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yubar[0,mif1] * self.yvarphid[1,2] * self.yvarphidbar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yubar[1,mif1] * self.yvarphid[1,0] * self.yvarphidbar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yubar[1,mif1] * self.yvarphid[1,1] * self.yvarphidbar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yubar[1,mif1] * self.yvarphid[1,2] * self.yvarphidbar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yubar[2,mif1] * self.yvarphid[1,0] * self.yvarphidbar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yubar[2,mif1] * self.yvarphid[1,1] * self.yvarphidbar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yubar[2,mif1] * self.yvarphid[1,2] * self.yvarphidbar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yubar[0,mif1] * self.yvarphid[2,0] * self.yvarphidbar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yubar[0,mif1] * self.yvarphid[2,1] * self.yvarphidbar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yubar[0,mif1] * self.yvarphid[2,2] * self.yvarphidbar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yubar[1,mif1] * self.yvarphid[2,0] * self.yvarphidbar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yubar[1,mif1] * self.yvarphid[2,1] * self.yvarphidbar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yubar[1,mif1] * self.yvarphid[2,2] * self.yvarphidbar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yubar[2,mif1] * self.yvarphid[2,0] * self.yvarphidbar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yubar[2,mif1] * self.yvarphid[2,1] * self.yvarphidbar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yubar[2,mif1] * self.yvarphid[2,2] * self.yvarphidbar[2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,0] * self.yubar[0,mif1] * self.yvarphidbar[mif2,0] * self.yvarphiu[0,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,mif1] * self.yubar[1,0] * self.yvarphidbar[mif2,1] * self.yvarphiu[0,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,mif1] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[0,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,1] * self.yubar[0,mif1] * self.yvarphidbar[mif2,0] * self.yvarphiu[0,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,mif1] * self.yubar[1,1] * self.yvarphidbar[mif2,1] * self.yvarphiu[0,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,mif1] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[0,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,2] * self.yubar[0,mif1] * self.yvarphidbar[mif2,0] * self.yvarphiu[0,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,mif1] * self.yubar[1,2] * self.yvarphidbar[mif2,1] * self.yvarphiu[0,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,mif1] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[0,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,0] * self.yubar[1,mif1] * self.yvarphidbar[mif2,0] * self.yvarphiu[1,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,0] * self.yubar[1,mif1] * self.yvarphidbar[mif2,1] * self.yvarphiu[1,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,mif1] * self.yubar[2,0] * self.yvarphidbar[mif2,2] * self.yvarphiu[1,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,1] * self.yubar[1,mif1] * self.yvarphidbar[mif2,0] * self.yvarphiu[1,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,1] * self.yubar[1,mif1] * self.yvarphidbar[mif2,1] * self.yvarphiu[1,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,mif1] * self.yubar[2,1] * self.yvarphidbar[mif2,2] * self.yvarphiu[1,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,2] * self.yubar[1,mif1] * self.yvarphidbar[mif2,0] * self.yvarphiu[1,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,2] * self.yubar[1,mif1] * self.yvarphidbar[mif2,1] * self.yvarphiu[1,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,mif1] * self.yubar[2,2] * self.yvarphidbar[mif2,2] * self.yvarphiu[1,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,0] * self.yubar[2,mif1] * self.yvarphidbar[mif2,0] * self.yvarphiu[2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,0] * self.yubar[2,mif1] * self.yvarphidbar[mif2,1] * self.yvarphiu[2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,0] * self.yubar[2,mif1] * self.yvarphidbar[mif2,2] * self.yvarphiu[2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,1] * self.yubar[2,mif1] * self.yvarphidbar[mif2,0] * self.yvarphiu[2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,1] * self.yubar[2,mif1] * self.yvarphidbar[mif2,1] * self.yvarphiu[2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,1] * self.yubar[2,mif1] * self.yvarphidbar[mif2,2] * self.yvarphiu[2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[0,2] * self.yubar[2,mif1] * self.yvarphidbar[mif2,0] * self.yvarphiu[2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[1,2] * self.yubar[2,mif1] * self.yvarphidbar[mif2,1] * self.yvarphiu[2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yubar[2,2] * self.yubar[2,mif1] * self.yvarphidbar[mif2,2] * self.yvarphiu[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yubar[0,mif1] * self.yvarphiu[0,0] * self.yvarphiubar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yubar[1,mif1] * self.yvarphiu[1,0] * self.yvarphiubar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yubar[2,mif1] * self.yvarphiu[2,0] * self.yvarphiubar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yubar[0,mif1] * self.yvarphiu[0,1] * self.yvarphiubar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yubar[1,mif1] * self.yvarphiu[1,1] * self.yvarphiubar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yubar[2,mif1] * self.yvarphiu[2,1] * self.yvarphiubar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yubar[0,mif1] * self.yvarphiu[0,2] * self.yvarphiubar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yubar[1,mif1] * self.yvarphiu[1,2] * self.yvarphiubar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yubar[2,mif1] * self.yvarphiu[2,2] * self.yvarphiubar[0,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[0,mif2] * self.yvarphid[0,0] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[1,mif2] * self.yvarphid[0,1] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yd[2,mif2] * self.yvarphid[0,2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[0,mif2] * self.yvarphid[1,0] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[1,mif2] * self.yvarphid[1,1] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yd[2,mif2] * self.yvarphid[1,2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[0,mif2] * self.yvarphid[2,0] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[1,mif2] * self.yvarphid[2,1] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yd[2,mif2] * self.yvarphid[2,2] * self.yvarphiubar[0,mif1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yubar[0,mif1] * self.yvarphiu[0,0] * self.yvarphiubar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yubar[1,mif1] * self.yvarphiu[1,0] * self.yvarphiubar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yubar[2,mif1] * self.yvarphiu[2,0] * self.yvarphiubar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yubar[0,mif1] * self.yvarphiu[0,1] * self.yvarphiubar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yubar[1,mif1] * self.yvarphiu[1,1] * self.yvarphiubar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yubar[2,mif1] * self.yvarphiu[2,1] * self.yvarphiubar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yubar[0,mif1] * self.yvarphiu[0,2] * self.yvarphiubar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yubar[1,mif1] * self.yvarphiu[1,2] * self.yvarphiubar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yubar[2,mif1] * self.yvarphiu[2,2] * self.yvarphiubar[1,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[1,0] * self.yvarphid[0,0] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[1,mif2] * self.yvarphid[0,1] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yd[2,mif2] * self.yvarphid[0,2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[1,1] * self.yvarphid[1,0] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[1,mif2] * self.yvarphid[1,1] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yd[2,mif2] * self.yvarphid[1,2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[1,2] * self.yvarphid[2,0] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[1,mif2] * self.yvarphid[2,1] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yd[2,mif2] * self.yvarphid[2,2] * self.yvarphiubar[1,mif1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yubar[0,mif1] * self.yvarphiu[0,0] * self.yvarphiubar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yubar[1,mif1] * self.yvarphiu[1,0] * self.yvarphiubar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yubar[2,mif1] * self.yvarphiu[2,0] * self.yvarphiubar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yubar[0,mif1] * self.yvarphiu[0,1] * self.yvarphiubar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yubar[1,mif1] * self.yvarphiu[1,1] * self.yvarphiubar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yubar[2,mif1] * self.yvarphiu[2,1] * self.yvarphiubar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yubar[0,mif1] * self.yvarphiu[0,2] * self.yvarphiubar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yubar[1,mif1] * self.yvarphiu[1,2] * self.yvarphiubar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif2] * self.yubar[2,mif1] * self.yvarphiu[2,2] * self.yvarphiubar[2,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[2,0] * self.yvarphid[0,0] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[2,0] * self.yvarphid[0,1] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yd[2,mif2] * self.yvarphid[0,2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[2,1] * self.yvarphid[1,0] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[2,1] * self.yvarphid[1,1] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yd[2,mif2] * self.yvarphid[1,2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif2] * self.yd[2,2] * self.yvarphid[2,0] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif2] * self.yd[2,2] * self.yvarphid[2,1] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yd[2,mif2] * self.yvarphid[2,2] * self.yvarphiubar[2,mif1])

    def alphaOld(self, mif1,mif2,mif3,mif4):
        return (-1/5760 * (self.g1)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 11/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + 1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + -1/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + 11/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + 1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + -1/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + 11/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + 1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + -1/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yl[mif1,0] * self.yvarphidbar[mif4,0] * self.yvarphie[0,mif2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yl[mif1,0] * self.yvarphidbar[mif4,0] * self.yvarphie[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yl[mif1,0] * self.yvarphidbar[mif4,0] * self.yvarphie[0,mif2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yl[mif1,0] * self.yvarphidbar[mif4,1] * self.yvarphie[0,mif2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yl[mif1,0] * self.yvarphidbar[mif4,1] * self.yvarphie[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yl[mif1,0] * self.yvarphidbar[mif4,1] * self.yvarphie[0,mif2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yl[mif1,0] * self.yvarphidbar[mif4,2] * self.yvarphie[0,mif2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yl[mif1,0] * self.yvarphidbar[mif4,2] * self.yvarphie[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yl[mif1,0] * self.yvarphidbar[mif4,2] * self.yvarphie[0,mif2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yl[mif1,1] * self.yvarphidbar[mif4,0] * self.yvarphie[1,mif2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yl[mif1,1] * self.yvarphidbar[mif4,0] * self.yvarphie[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yl[mif1,1] * self.yvarphidbar[mif4,0] * self.yvarphie[1,mif2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yl[mif1,1] * self.yvarphidbar[mif4,1] * self.yvarphie[1,mif2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yl[mif1,1] * self.yvarphidbar[mif4,1] * self.yvarphie[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yl[mif1,1] * self.yvarphidbar[mif4,1] * self.yvarphie[1,mif2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yl[mif1,1] * self.yvarphidbar[mif4,2] * self.yvarphie[1,mif2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yl[mif1,1] * self.yvarphidbar[mif4,2] * self.yvarphie[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yl[mif1,1] * self.yvarphidbar[mif4,2] * self.yvarphie[1,mif2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yl[mif1,2] * self.yvarphidbar[mif4,0] * self.yvarphie[2,mif2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yl[mif1,2] * self.yvarphidbar[mif4,0] * self.yvarphie[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yl[mif1,2] * self.yvarphidbar[mif4,0] * self.yvarphie[2,mif2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yl[mif1,2] * self.yvarphidbar[mif4,1] * self.yvarphie[2,mif2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yl[mif1,2] * self.yvarphidbar[mif4,1] * self.yvarphie[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yl[mif1,2] * self.yvarphidbar[mif4,1] * self.yvarphie[2,mif2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yl[mif1,2] * self.yvarphidbar[mif4,2] * self.yvarphie[2,mif2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yl[mif1,2] * self.yvarphidbar[mif4,2] * self.yvarphie[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yl[mif1,2] * self.yvarphidbar[mif4,2] * self.yvarphie[2,mif2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ylbar[mif2,0] * self.yvarphid[mif3,0] * self.yvarphiebar[0,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ylbar[mif2,0] * self.yvarphid[mif3,0] * self.yvarphiebar[0,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ylbar[mif2,0] * self.yvarphid[mif3,0] * self.yvarphiebar[0,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ylbar[mif2,0] * self.yvarphid[mif3,1] * self.yvarphiebar[0,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ylbar[mif2,0] * self.yvarphid[mif3,1] * self.yvarphiebar[0,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ylbar[mif2,0] * self.yvarphid[mif3,1] * self.yvarphiebar[0,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ylbar[mif2,0] * self.yvarphid[mif3,2] * self.yvarphiebar[0,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ylbar[mif2,0] * self.yvarphid[mif3,2] * self.yvarphiebar[0,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ylbar[mif2,0] * self.yvarphid[mif3,2] * self.yvarphiebar[0,mif1] + -17/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + -1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + 1/144 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ylbar[mif2,1] * self.yvarphid[mif3,0] * self.yvarphiebar[1,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ylbar[mif2,1] * self.yvarphid[mif3,0] * self.yvarphiebar[1,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ylbar[mif2,1] * self.yvarphid[mif3,0] * self.yvarphiebar[1,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ylbar[mif2,1] * self.yvarphid[mif3,1] * self.yvarphiebar[1,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ylbar[mif2,1] * self.yvarphid[mif3,1] * self.yvarphiebar[1,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ylbar[mif2,1] * self.yvarphid[mif3,1] * self.yvarphiebar[1,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ylbar[mif2,1] * self.yvarphid[mif3,2] * self.yvarphiebar[1,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ylbar[mif2,1] * self.yvarphid[mif3,2] * self.yvarphiebar[1,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ylbar[mif2,1] * self.yvarphid[mif3,2] * self.yvarphiebar[1,mif1] + -17/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + -1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + 1/144 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ylbar[mif2,2] * self.yvarphid[mif3,0] * self.yvarphiebar[2,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ylbar[mif2,2] * self.yvarphid[mif3,0] * self.yvarphiebar[2,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ylbar[mif2,2] * self.yvarphid[mif3,0] * self.yvarphiebar[2,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ylbar[mif2,2] * self.yvarphid[mif3,1] * self.yvarphiebar[2,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ylbar[mif2,2] * self.yvarphid[mif3,1] * self.yvarphiebar[2,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ylbar[mif2,2] * self.yvarphid[mif3,1] * self.yvarphiebar[2,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ylbar[mif2,2] * self.yvarphid[mif3,2] * self.yvarphiebar[2,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ylbar[mif2,2] * self.yvarphid[mif3,2] * self.yvarphiebar[2,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ylbar[mif2,2] * self.yvarphid[mif3,2] * self.yvarphiebar[2,mif1] + -17/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + -1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + 1/144 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1])

    def alphaOle(self, mif1,mif2,mif3,mif4):
        return (-1/1920 * (self.g1)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif4] * self.ylbar[0,0] * self.yvarphie[mif3,mif2] * self.yvarphiebar[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif4] * self.ylbar[1,0] * self.yvarphie[mif3,mif2] * self.yvarphiebar[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif4] * self.ylbar[2,0] * self.yvarphie[mif3,mif2] * self.yvarphiebar[0,2] + -17/576 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + -1/48 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + 1/48 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif4] * self.ylbar[mif2,0] * self.yvarphie[mif3,0] * self.yvarphiebar[0,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif4] * self.ylbar[mif2,0] * self.yvarphie[mif3,0] * self.yvarphiebar[0,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,mif4] * self.ylbar[mif2,0] * self.yvarphie[mif3,0] * self.yvarphiebar[0,mif1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif4] * self.ylbar[mif2,0] * self.yvarphie[mif3,1] * self.yvarphiebar[0,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif4] * self.ylbar[mif2,0] * self.yvarphie[mif3,1] * self.yvarphiebar[0,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,mif4] * self.ylbar[mif2,0] * self.yvarphie[mif3,1] * self.yvarphiebar[0,mif1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif4] * self.ylbar[mif2,0] * self.yvarphie[mif3,2] * self.yvarphiebar[0,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif4] * self.ylbar[mif2,0] * self.yvarphie[mif3,2] * self.yvarphiebar[0,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,mif4] * self.ylbar[mif2,0] * self.yvarphie[mif3,2] * self.yvarphiebar[0,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif4] * self.ylbar[0,1] * self.yvarphie[mif3,mif2] * self.yvarphiebar[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif4] * self.ylbar[1,1] * self.yvarphie[mif3,mif2] * self.yvarphiebar[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif4] * self.ylbar[2,1] * self.yvarphie[mif3,mif2] * self.yvarphiebar[1,2] + -17/576 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + -1/48 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + 1/48 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif4] * self.ylbar[mif2,1] * self.yvarphie[mif3,0] * self.yvarphiebar[1,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif4] * self.ylbar[mif2,1] * self.yvarphie[mif3,0] * self.yvarphiebar[1,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,mif4] * self.ylbar[mif2,1] * self.yvarphie[mif3,0] * self.yvarphiebar[1,mif1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif4] * self.ylbar[mif2,1] * self.yvarphie[mif3,1] * self.yvarphiebar[1,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif4] * self.ylbar[mif2,1] * self.yvarphie[mif3,1] * self.yvarphiebar[1,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,mif4] * self.ylbar[mif2,1] * self.yvarphie[mif3,1] * self.yvarphiebar[1,mif1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif4] * self.ylbar[mif2,1] * self.yvarphie[mif3,2] * self.yvarphiebar[1,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif4] * self.ylbar[mif2,1] * self.yvarphie[mif3,2] * self.yvarphiebar[1,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,mif4] * self.ylbar[mif2,1] * self.yvarphie[mif3,2] * self.yvarphiebar[1,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif4] * self.ylbar[0,2] * self.yvarphie[mif3,mif2] * self.yvarphiebar[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif4] * self.ylbar[1,2] * self.yvarphie[mif3,mif2] * self.yvarphiebar[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif4] * self.ylbar[2,2] * self.yvarphie[mif3,mif2] * self.yvarphiebar[2,2] + -17/576 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + -1/48 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + 1/48 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif4] * self.ylbar[mif2,2] * self.yvarphie[mif3,0] * self.yvarphiebar[2,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif4] * self.ylbar[mif2,2] * self.yvarphie[mif3,0] * self.yvarphiebar[2,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,mif4] * self.ylbar[mif2,2] * self.yvarphie[mif3,0] * self.yvarphiebar[2,mif1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif4] * self.ylbar[mif2,2] * self.yvarphie[mif3,1] * self.yvarphiebar[2,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif4] * self.ylbar[mif2,2] * self.yvarphie[mif3,1] * self.yvarphiebar[2,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,mif4] * self.ylbar[mif2,2] * self.yvarphie[mif3,1] * self.yvarphiebar[2,mif1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif4] * self.ylbar[mif2,2] * self.yvarphie[mif3,2] * self.yvarphiebar[2,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif4] * self.ylbar[mif2,2] * self.yvarphie[mif3,2] * self.yvarphiebar[2,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,mif4] * self.ylbar[mif2,2] * self.yvarphie[mif3,2] * self.yvarphiebar[2,mif1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[0,mif3] * self.yvarphie[0,mif2] * self.yvarphiebar[mif4,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[0,mif3] * self.yvarphie[0,mif2] * self.yvarphiebar[mif4,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,0] * self.ylbar[0,mif3] * self.yvarphie[0,mif2] * self.yvarphiebar[mif4,0] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[0,mif3] * self.yvarphie[1,mif2] * self.yvarphiebar[mif4,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[0,mif3] * self.yvarphie[1,mif2] * self.yvarphiebar[mif4,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,1] * self.ylbar[0,mif3] * self.yvarphie[1,mif2] * self.yvarphiebar[mif4,0] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[0,mif3] * self.yvarphie[2,mif2] * self.yvarphiebar[mif4,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[0,mif3] * self.yvarphie[2,mif2] * self.yvarphiebar[mif4,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,2] * self.ylbar[0,mif3] * self.yvarphie[2,mif2] * self.yvarphiebar[mif4,0] + -7/576 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[mif3,0] * self.yvarphiebar[mif4,0] + -1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[mif3,0] * self.yvarphiebar[mif4,0] + 1/96 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[mif3,0] * self.yvarphiebar[mif4,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif2] * self.yvarphie[mif3,0] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif4,0] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,0] * self.yvarphie[mif3,mif2] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif4,0] + 3/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,0] * self.yvarphie[mif3,mif2] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif4,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[0,0] * self.yvarphie[mif3,mif2] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif4,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,mif2] * self.yvarphie[mif3,0] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif4,0] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,0] * self.yvarphie[mif3,mif2] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif4,0] + 3/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,0] * self.yvarphie[mif3,mif2] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif4,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[1,0] * self.yvarphie[mif3,mif2] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif4,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,mif2] * self.yvarphie[mif3,0] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif4,0] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,0] * self.yvarphie[mif3,mif2] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif4,0] + 3/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,0] * self.yvarphie[mif3,mif2] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif4,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[2,0] * self.yvarphie[mif3,mif2] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif4,0] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[1,mif3] * self.yvarphie[0,mif2] * self.yvarphiebar[mif4,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[1,mif3] * self.yvarphie[0,mif2] * self.yvarphiebar[mif4,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,0] * self.ylbar[1,mif3] * self.yvarphie[0,mif2] * self.yvarphiebar[mif4,1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[1,mif3] * self.yvarphie[1,mif2] * self.yvarphiebar[mif4,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[1,mif3] * self.yvarphie[1,mif2] * self.yvarphiebar[mif4,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,1] * self.ylbar[1,mif3] * self.yvarphie[1,mif2] * self.yvarphiebar[mif4,1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[1,mif3] * self.yvarphie[2,mif2] * self.yvarphiebar[mif4,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[1,mif3] * self.yvarphie[2,mif2] * self.yvarphiebar[mif4,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,2] * self.ylbar[1,mif3] * self.yvarphie[2,mif2] * self.yvarphiebar[mif4,1] + -7/576 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[mif3,1] * self.yvarphiebar[mif4,1] + -1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[mif3,1] * self.yvarphiebar[mif4,1] + 1/96 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[mif3,1] * self.yvarphiebar[mif4,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif2] * self.yvarphie[mif3,1] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif4,1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,1] * self.yvarphie[mif3,mif2] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif4,1] + 3/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,1] * self.yvarphie[mif3,mif2] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif4,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[0,1] * self.yvarphie[mif3,mif2] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif4,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,mif2] * self.yvarphie[mif3,1] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif4,1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,1] * self.yvarphie[mif3,mif2] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif4,1] + 3/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,1] * self.yvarphie[mif3,mif2] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif4,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[1,1] * self.yvarphie[mif3,mif2] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif4,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,mif2] * self.yvarphie[mif3,1] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif4,1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,1] * self.yvarphie[mif3,mif2] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif4,1] + 3/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,1] * self.yvarphie[mif3,mif2] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif4,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[2,1] * self.yvarphie[mif3,mif2] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif4,1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[2,mif3] * self.yvarphie[0,mif2] * self.yvarphiebar[mif4,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[2,mif3] * self.yvarphie[0,mif2] * self.yvarphiebar[mif4,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,0] * self.ylbar[2,mif3] * self.yvarphie[0,mif2] * self.yvarphiebar[mif4,2] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[2,mif3] * self.yvarphie[1,mif2] * self.yvarphiebar[mif4,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[2,mif3] * self.yvarphie[1,mif2] * self.yvarphiebar[mif4,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,1] * self.ylbar[2,mif3] * self.yvarphie[1,mif2] * self.yvarphiebar[mif4,2] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[2,mif3] * self.yvarphie[2,mif2] * self.yvarphiebar[mif4,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[2,mif3] * self.yvarphie[2,mif2] * self.yvarphiebar[mif4,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,2] * self.ylbar[2,mif3] * self.yvarphie[2,mif2] * self.yvarphiebar[mif4,2] + -7/576 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[mif3,2] * self.yvarphiebar[mif4,2] + -1/96 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[mif3,2] * self.yvarphiebar[mif4,2] + 1/96 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[mif3,2] * self.yvarphiebar[mif4,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif2] * self.yvarphie[mif3,2] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif4,2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,2] * self.yvarphie[mif3,mif2] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif4,2] + 3/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,2] * self.yvarphie[mif3,mif2] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif4,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[0,2] * self.yvarphie[mif3,mif2] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif4,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,mif2] * self.yvarphie[mif3,2] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif4,2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,2] * self.yvarphie[mif3,mif2] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif4,2] + 3/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,2] * self.yvarphie[mif3,mif2] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif4,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[1,2] * self.yvarphie[mif3,mif2] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif4,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,mif2] * self.yvarphie[mif3,2] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif4,2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,2] * self.yvarphie[mif3,mif2] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif4,2] + 3/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,2] * self.yvarphie[mif3,mif2] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif4,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[2,2] * self.yvarphie[mif3,mif2] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif4,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.ylbar[mif2,mif3] * self.yvarphie[0,0] * self.yvarphiebar[mif4,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.ylbar[mif2,mif3] * self.yvarphie[0,1] * self.yvarphiebar[mif4,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.ylbar[mif2,mif3] * self.yvarphie[0,2] * self.yvarphiebar[mif4,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.ylbar[mif2,mif3] * self.yvarphie[1,0] * self.yvarphiebar[mif4,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.ylbar[mif2,mif3] * self.yvarphie[1,1] * self.yvarphiebar[mif4,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.ylbar[mif2,mif3] * self.yvarphie[1,2] * self.yvarphiebar[mif4,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.ylbar[mif2,mif3] * self.yvarphie[2,0] * self.yvarphiebar[mif4,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.ylbar[mif2,mif3] * self.yvarphie[2,1] * self.yvarphiebar[mif4,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.ylbar[mif2,mif3] * self.yvarphie[2,2] * self.yvarphiebar[mif4,mif1] + -1/2 * (self.Mvarphi)**(-2) * self.yvarphie[mif3,mif2] * self.yvarphiebar[mif4,mif1] + -9/256 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif3,mif2] * self.yvarphiebar[mif4,mif1] + -27/256 * self.epsilonbar * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif3,mif2] * self.yvarphiebar[mif4,mif1] + -3/256 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif3,mif2] * self.yvarphiebar[mif4,mif1] + -9/256 * self.epsilonbar * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif3,mif2] * self.yvarphiebar[mif4,mif1] + -9/128 * self.epsilonbar * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif3,mif2] * self.yvarphiebar[mif4,mif1] + -3/128 * self.epsilonbar * (self.g2)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif3,mif2] * self.yvarphiebar[mif4,mif1] + 9/128 * self.epsilonbar * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[mif3,mif2] * self.yvarphiebar[mif4,mif1] + 3/128 * self.epsilonbar * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[mif3,mif2] * self.yvarphiebar[mif4,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif2] * self.yvarphie[mif3,0] * self.yvarphiebar[0,0] * self.yvarphiebar[mif4,mif1] + 3/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif2] * self.yvarphie[mif3,0] * self.yvarphiebar[0,0] * self.yvarphiebar[mif4,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[0,mif2] * self.yvarphie[mif3,0] * self.yvarphiebar[0,0] * self.yvarphiebar[mif4,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif2] * self.yvarphie[mif3,1] * self.yvarphiebar[0,1] * self.yvarphiebar[mif4,mif1] + 3/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif2] * self.yvarphie[mif3,1] * self.yvarphiebar[0,1] * self.yvarphiebar[mif4,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[0,mif2] * self.yvarphie[mif3,1] * self.yvarphiebar[0,1] * self.yvarphiebar[mif4,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif2] * self.yvarphie[mif3,2] * self.yvarphiebar[0,2] * self.yvarphiebar[mif4,mif1] + 3/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif2] * self.yvarphie[mif3,2] * self.yvarphiebar[0,2] * self.yvarphiebar[mif4,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[0,mif2] * self.yvarphie[mif3,2] * self.yvarphiebar[0,2] * self.yvarphiebar[mif4,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,mif2] * self.yvarphie[mif3,0] * self.yvarphiebar[1,0] * self.yvarphiebar[mif4,mif1] + 3/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,mif2] * self.yvarphie[mif3,0] * self.yvarphiebar[1,0] * self.yvarphiebar[mif4,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[1,mif2] * self.yvarphie[mif3,0] * self.yvarphiebar[1,0] * self.yvarphiebar[mif4,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,mif2] * self.yvarphie[mif3,1] * self.yvarphiebar[1,1] * self.yvarphiebar[mif4,mif1] + 3/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,mif2] * self.yvarphie[mif3,1] * self.yvarphiebar[1,1] * self.yvarphiebar[mif4,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[1,mif2] * self.yvarphie[mif3,1] * self.yvarphiebar[1,1] * self.yvarphiebar[mif4,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,mif2] * self.yvarphie[mif3,2] * self.yvarphiebar[1,2] * self.yvarphiebar[mif4,mif1] + 3/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,mif2] * self.yvarphie[mif3,2] * self.yvarphiebar[1,2] * self.yvarphiebar[mif4,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[1,mif2] * self.yvarphie[mif3,2] * self.yvarphiebar[1,2] * self.yvarphiebar[mif4,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,mif2] * self.yvarphie[mif3,0] * self.yvarphiebar[2,0] * self.yvarphiebar[mif4,mif1] + 3/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,mif2] * self.yvarphie[mif3,0] * self.yvarphiebar[2,0] * self.yvarphiebar[mif4,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[2,mif2] * self.yvarphie[mif3,0] * self.yvarphiebar[2,0] * self.yvarphiebar[mif4,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,mif2] * self.yvarphie[mif3,1] * self.yvarphiebar[2,1] * self.yvarphiebar[mif4,mif1] + 3/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,mif2] * self.yvarphie[mif3,1] * self.yvarphiebar[2,1] * self.yvarphiebar[mif4,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[2,mif2] * self.yvarphie[mif3,1] * self.yvarphiebar[2,1] * self.yvarphiebar[mif4,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,mif2] * self.yvarphie[mif3,2] * self.yvarphiebar[2,2] * self.yvarphiebar[mif4,mif1] + 3/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,mif2] * self.yvarphie[mif3,2] * self.yvarphiebar[2,2] * self.yvarphiebar[mif4,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[2,mif2] * self.yvarphie[mif3,2] * self.yvarphiebar[2,2] * self.yvarphiebar[mif4,mif1])

    def alphaOledq(self, mif1,mif2,mif3,mif4):
        return (-3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yl[mif1,mif2] * self.yvarphid[mif3,mif4] * self.yvarphidbar[0,0] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yl[mif1,mif2] * self.yvarphid[mif3,mif4] * self.yvarphidbar[0,1] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yl[mif1,mif2] * self.yvarphid[mif3,mif4] * self.yvarphidbar[0,2] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yl[mif1,mif2] * self.yvarphid[mif3,mif4] * self.yvarphidbar[1,0] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yl[mif1,mif2] * self.yvarphid[mif3,mif4] * self.yvarphidbar[1,1] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yl[mif1,mif2] * self.yvarphid[mif3,mif4] * self.yvarphidbar[1,2] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yl[mif1,mif2] * self.yvarphid[mif3,mif4] * self.yvarphidbar[2,0] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yl[mif1,mif2] * self.yvarphid[mif3,mif4] * self.yvarphidbar[2,1] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yl[mif1,mif2] * self.yvarphid[mif3,mif4] * self.yvarphidbar[2,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphie[0,0] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,0] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphie[0,0] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif4] * self.yvarphie[0,0] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphie[1,0] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,0] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphie[1,0] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif4] * self.yvarphie[1,0] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphie[2,0] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,0] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphie[2,0] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif4] * self.yvarphie[2,0] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphie[0,1] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,1] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphie[0,1] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif4] * self.yvarphie[0,1] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphie[1,1] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,1] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphie[1,1] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif4] * self.yvarphie[1,1] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphie[2,1] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,1] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphie[2,1] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif4] * self.yvarphie[2,1] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphie[0,2] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,2] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphie[0,2] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif4] * self.yvarphie[0,2] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphie[1,2] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,2] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphie[1,2] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif4] * self.yvarphie[1,2] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphie[2,2] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,2] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphie[2,2] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif4] * self.yvarphie[2,2] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,2] + (self.Mvarphi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphiebar[mif2,mif1] + 1/128 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphiebar[mif2,mif1] + 3/128 * self.epsilonbar * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphiebar[mif2,mif1] + 3/128 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphiebar[mif2,mif1] + 9/128 * self.epsilonbar * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphiebar[mif2,mif1] + 1/64 * self.epsilonbar * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphiebar[mif2,mif1] + 3/64 * self.epsilonbar * (self.g2)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif4] * self.yvarphiebar[mif2,mif1] + -1/64 * self.epsilonbar * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif4] * self.yvarphiebar[mif2,mif1] + -3/64 * self.epsilonbar * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif4] * self.yvarphiebar[mif2,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif4] * self.yvarphid[mif3,0] * self.yvarphidbar[0,0] * self.yvarphiebar[mif2,mif1] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif4] * self.yvarphid[mif3,0] * self.yvarphidbar[0,0] * self.yvarphiebar[mif2,mif1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif4] * self.yvarphid[mif3,0] * self.yvarphidbar[0,0] * self.yvarphiebar[mif2,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif4] * self.yvarphid[mif3,1] * self.yvarphidbar[0,1] * self.yvarphiebar[mif2,mif1] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif4] * self.yvarphid[mif3,1] * self.yvarphidbar[0,1] * self.yvarphiebar[mif2,mif1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif4] * self.yvarphid[mif3,1] * self.yvarphidbar[0,1] * self.yvarphiebar[mif2,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif4] * self.yvarphid[mif3,2] * self.yvarphidbar[0,2] * self.yvarphiebar[mif2,mif1] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif4] * self.yvarphid[mif3,2] * self.yvarphidbar[0,2] * self.yvarphiebar[mif2,mif1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif4] * self.yvarphid[mif3,2] * self.yvarphidbar[0,2] * self.yvarphiebar[mif2,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif4] * self.yvarphid[mif3,0] * self.yvarphidbar[1,0] * self.yvarphiebar[mif2,mif1] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif4] * self.yvarphid[mif3,0] * self.yvarphidbar[1,0] * self.yvarphiebar[mif2,mif1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif4] * self.yvarphid[mif3,0] * self.yvarphidbar[1,0] * self.yvarphiebar[mif2,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif4] * self.yvarphid[mif3,1] * self.yvarphidbar[1,1] * self.yvarphiebar[mif2,mif1] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif4] * self.yvarphid[mif3,1] * self.yvarphidbar[1,1] * self.yvarphiebar[mif2,mif1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif4] * self.yvarphid[mif3,1] * self.yvarphidbar[1,1] * self.yvarphiebar[mif2,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif4] * self.yvarphid[mif3,2] * self.yvarphidbar[1,2] * self.yvarphiebar[mif2,mif1] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif4] * self.yvarphid[mif3,2] * self.yvarphidbar[1,2] * self.yvarphiebar[mif2,mif1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif4] * self.yvarphid[mif3,2] * self.yvarphidbar[1,2] * self.yvarphiebar[mif2,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif4] * self.yvarphid[mif3,0] * self.yvarphidbar[2,0] * self.yvarphiebar[mif2,mif1] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif4] * self.yvarphid[mif3,0] * self.yvarphidbar[2,0] * self.yvarphiebar[mif2,mif1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif4] * self.yvarphid[mif3,0] * self.yvarphidbar[2,0] * self.yvarphiebar[mif2,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif4] * self.yvarphid[mif3,1] * self.yvarphidbar[2,1] * self.yvarphiebar[mif2,mif1] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif4] * self.yvarphid[mif3,1] * self.yvarphidbar[2,1] * self.yvarphiebar[mif2,mif1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif4] * self.yvarphid[mif3,1] * self.yvarphidbar[2,1] * self.yvarphiebar[mif2,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif4] * self.yvarphid[mif3,2] * self.yvarphidbar[2,2] * self.yvarphiebar[mif2,mif1] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif4] * self.yvarphid[mif3,2] * self.yvarphidbar[2,2] * self.yvarphiebar[mif2,mif1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif4] * self.yvarphid[mif3,2] * self.yvarphidbar[2,2] * self.yvarphiebar[mif2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yl[0,0] * self.yvarphie[0,0] * self.yvarphiebar[mif2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yl[1,0] * self.yvarphie[0,1] * self.yvarphiebar[mif2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yl[2,0] * self.yvarphie[0,2] * self.yvarphiebar[mif2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yl[0,1] * self.yvarphie[1,0] * self.yvarphiebar[mif2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yl[1,1] * self.yvarphie[1,1] * self.yvarphiebar[mif2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yl[2,1] * self.yvarphie[1,2] * self.yvarphiebar[mif2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yl[0,2] * self.yvarphie[2,0] * self.yvarphiebar[mif2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yl[1,2] * self.yvarphie[2,1] * self.yvarphiebar[mif2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,mif3] * self.yl[2,2] * self.yvarphie[2,2] * self.yvarphiebar[mif2,mif1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[0,0] * self.yvarphid[mif3,0] * self.yvarphiubar[mif4,0] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[0,0] * self.yvarphid[mif3,0] * self.yvarphiubar[mif4,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[0,0] * self.yvarphid[mif3,0] * self.yvarphiubar[mif4,0] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[1,0] * self.yvarphid[mif3,1] * self.yvarphiubar[mif4,0] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[1,0] * self.yvarphid[mif3,1] * self.yvarphiubar[mif4,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[1,0] * self.yvarphid[mif3,1] * self.yvarphiubar[mif4,0] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[2,0] * self.yvarphid[mif3,2] * self.yvarphiubar[mif4,0] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[2,0] * self.yvarphid[mif3,2] * self.yvarphiubar[mif4,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[2,0] * self.yvarphid[mif3,2] * self.yvarphiubar[mif4,0] + 7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,0] * self.yvarphiubar[mif4,0] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,0] * self.yvarphiubar[mif4,0] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,0] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,0] * self.yvarphiubar[mif4,0] + 7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,0] * self.yvarphiubar[mif4,0] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,0] * self.yvarphiubar[mif4,0] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,1] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,0] * self.yvarphiubar[mif4,0] + 7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,0] * self.yvarphiubar[mif4,0] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,0] * self.yvarphiubar[mif4,0] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,2] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,0] * self.yvarphiubar[mif4,0] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[0,1] * self.yvarphid[mif3,0] * self.yvarphiubar[mif4,1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[0,1] * self.yvarphid[mif3,0] * self.yvarphiubar[mif4,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[0,1] * self.yvarphid[mif3,0] * self.yvarphiubar[mif4,1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[1,1] * self.yvarphid[mif3,1] * self.yvarphiubar[mif4,1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[1,1] * self.yvarphid[mif3,1] * self.yvarphiubar[mif4,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[1,1] * self.yvarphid[mif3,1] * self.yvarphiubar[mif4,1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[2,1] * self.yvarphid[mif3,2] * self.yvarphiubar[mif4,1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[2,1] * self.yvarphid[mif3,2] * self.yvarphiubar[mif4,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[2,1] * self.yvarphid[mif3,2] * self.yvarphiubar[mif4,1] + 7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,1] * self.yvarphiubar[mif4,1] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,1] * self.yvarphiubar[mif4,1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,0] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,1] * self.yvarphiubar[mif4,1] + 7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,1] * self.yvarphiubar[mif4,1] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,1] * self.yvarphiubar[mif4,1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,1] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,1] * self.yvarphiubar[mif4,1] + 7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,1] * self.yvarphiubar[mif4,1] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,1] * self.yvarphiubar[mif4,1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,2] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,1] * self.yvarphiubar[mif4,1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[0,2] * self.yvarphid[mif3,0] * self.yvarphiubar[mif4,2] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[0,2] * self.yvarphid[mif3,0] * self.yvarphiubar[mif4,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[0,2] * self.yvarphid[mif3,0] * self.yvarphiubar[mif4,2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[1,2] * self.yvarphid[mif3,1] * self.yvarphiubar[mif4,2] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[1,2] * self.yvarphid[mif3,1] * self.yvarphiubar[mif4,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[1,2] * self.yvarphid[mif3,1] * self.yvarphiubar[mif4,2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[2,2] * self.yvarphid[mif3,2] * self.yvarphiubar[mif4,2] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[2,2] * self.yvarphid[mif3,2] * self.yvarphiubar[mif4,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,mif2] * self.yu[2,2] * self.yvarphid[mif3,2] * self.yvarphiubar[mif4,2] + 7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,2] * self.yvarphiubar[mif4,2] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,2] * self.yvarphiubar[mif4,2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,0] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,2] * self.yvarphiubar[mif4,2] + 7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,2] * self.yvarphiubar[mif4,2] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,2] * self.yvarphiubar[mif4,2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,1] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,2] * self.yvarphiubar[mif4,2] + 7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,2] * self.yvarphiubar[mif4,2] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,2] * self.yvarphiubar[mif4,2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,2] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,2] * self.yvarphiubar[mif4,2])

    def alphaOlequ1(self, mif1,mif2,mif3,mif4):
        return (1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,0] * self.yu[mif3,mif4] * self.yvarphie[0,0] * self.yvarphiebar[mif2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,0] * self.yu[mif3,mif4] * self.yvarphie[0,1] * self.yvarphiebar[mif2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,0] * self.yu[mif3,mif4] * self.yvarphie[0,2] * self.yvarphiebar[mif2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,1] * self.yu[mif3,mif4] * self.yvarphie[1,0] * self.yvarphiebar[mif2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,1] * self.yu[mif3,mif4] * self.yvarphie[1,1] * self.yvarphiebar[mif2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,1] * self.yu[mif3,mif4] * self.yvarphie[1,2] * self.yvarphiebar[mif2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,2] * self.yu[mif3,mif4] * self.yvarphie[2,0] * self.yvarphiebar[mif2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,2] * self.yu[mif3,mif4] * self.yvarphie[2,1] * self.yvarphiebar[mif2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,2] * self.yu[mif3,mif4] * self.yvarphie[2,2] * self.yvarphiebar[mif2,mif1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yl[mif1,mif2] * self.yvarphidbar[0,mif3] * self.yvarphiu[0,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yl[mif1,mif2] * self.yvarphidbar[0,mif3] * self.yvarphiu[0,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,0] * self.yl[mif1,mif2] * self.yvarphidbar[0,mif3] * self.yvarphiu[0,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yl[mif1,mif2] * self.yvarphidbar[1,mif3] * self.yvarphiu[0,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yl[mif1,mif2] * self.yvarphidbar[1,mif3] * self.yvarphiu[0,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,1] * self.yl[mif1,mif2] * self.yvarphidbar[1,mif3] * self.yvarphiu[0,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yl[mif1,mif2] * self.yvarphidbar[2,mif3] * self.yvarphiu[0,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yl[mif1,mif2] * self.yvarphidbar[2,mif3] * self.yvarphiu[0,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,2] * self.yl[mif1,mif2] * self.yvarphidbar[2,mif3] * self.yvarphiu[0,mif4] + 7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,0] * self.yvarphidbar[0,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,mif4] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,0] * self.yvarphidbar[0,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,mif4] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,0] * self.yvarphidbar[0,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,mif4] + 7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,0] * self.yvarphidbar[1,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,mif4] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,0] * self.yvarphidbar[1,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,mif4] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,0] * self.yvarphidbar[1,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,mif4] + 7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,0] * self.yvarphidbar[2,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,mif4] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,0] * self.yvarphidbar[2,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,mif4] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,0] * self.yvarphidbar[2,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yl[mif1,mif2] * self.yvarphidbar[0,mif3] * self.yvarphiu[1,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yl[mif1,mif2] * self.yvarphidbar[0,mif3] * self.yvarphiu[1,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,0] * self.yl[mif1,mif2] * self.yvarphidbar[0,mif3] * self.yvarphiu[1,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yl[mif1,mif2] * self.yvarphidbar[1,mif3] * self.yvarphiu[1,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yl[mif1,mif2] * self.yvarphidbar[1,mif3] * self.yvarphiu[1,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,1] * self.yl[mif1,mif2] * self.yvarphidbar[1,mif3] * self.yvarphiu[1,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yl[mif1,mif2] * self.yvarphidbar[2,mif3] * self.yvarphiu[1,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yl[mif1,mif2] * self.yvarphidbar[2,mif3] * self.yvarphiu[1,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,2] * self.yl[mif1,mif2] * self.yvarphidbar[2,mif3] * self.yvarphiu[1,mif4] + 7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,1] * self.yvarphidbar[0,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,mif4] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,1] * self.yvarphidbar[0,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,mif4] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,1] * self.yvarphidbar[0,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,mif4] + 7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,1] * self.yvarphidbar[1,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,mif4] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,1] * self.yvarphidbar[1,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,mif4] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,1] * self.yvarphidbar[1,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,mif4] + 7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,1] * self.yvarphidbar[2,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,mif4] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,1] * self.yvarphidbar[2,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,mif4] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,1] * self.yvarphidbar[2,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yl[mif1,mif2] * self.yvarphidbar[0,mif3] * self.yvarphiu[2,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yl[mif1,mif2] * self.yvarphidbar[0,mif3] * self.yvarphiu[2,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,0] * self.yl[mif1,mif2] * self.yvarphidbar[0,mif3] * self.yvarphiu[2,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yl[mif1,mif2] * self.yvarphidbar[1,mif3] * self.yvarphiu[2,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yl[mif1,mif2] * self.yvarphidbar[1,mif3] * self.yvarphiu[2,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,1] * self.yl[mif1,mif2] * self.yvarphidbar[1,mif3] * self.yvarphiu[2,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yl[mif1,mif2] * self.yvarphidbar[2,mif3] * self.yvarphiu[2,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yl[mif1,mif2] * self.yvarphidbar[2,mif3] * self.yvarphiu[2,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,2] * self.yl[mif1,mif2] * self.yvarphidbar[2,mif3] * self.yvarphiu[2,mif4] + 7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,2] * self.yvarphidbar[0,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,mif4] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,2] * self.yvarphidbar[0,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,mif4] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,2] * self.yvarphidbar[0,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,mif4] + 7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,2] * self.yvarphidbar[1,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,mif4] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,2] * self.yvarphidbar[1,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,mif4] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,2] * self.yvarphidbar[1,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,mif4] + 7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,2] * self.yvarphidbar[2,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,mif4] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,2] * self.yvarphidbar[2,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,mif4] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,2] * self.yvarphidbar[2,mif3] * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,0] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,0] * self.yvarphiu[mif3,mif4] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,0] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,0] * self.yvarphiu[mif3,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[0,0] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,0] * self.yvarphiu[mif3,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,0] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,0] * self.yvarphiu[mif3,mif4] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,0] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,0] * self.yvarphiu[mif3,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[1,0] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,0] * self.yvarphiu[mif3,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,0] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,0] * self.yvarphiu[mif3,mif4] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,0] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,0] * self.yvarphiu[mif3,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[2,0] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,0] * self.yvarphiu[mif3,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,1] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,1] * self.yvarphiu[mif3,mif4] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,1] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,1] * self.yvarphiu[mif3,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[0,1] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,1] * self.yvarphiu[mif3,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,1] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,1] * self.yvarphiu[mif3,mif4] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,1] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,1] * self.yvarphiu[mif3,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[1,1] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,1] * self.yvarphiu[mif3,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,1] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,1] * self.yvarphiu[mif3,mif4] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,1] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,1] * self.yvarphiu[mif3,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[2,1] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,1] * self.yvarphiu[mif3,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,2] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,2] * self.yvarphiu[mif3,mif4] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,2] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,2] * self.yvarphiu[mif3,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[0,2] * self.yvarphiebar[0,mif1] * self.yvarphiebar[mif2,2] * self.yvarphiu[mif3,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,2] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,2] * self.yvarphiu[mif3,mif4] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,2] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,2] * self.yvarphiu[mif3,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[1,2] * self.yvarphiebar[1,mif1] * self.yvarphiebar[mif2,2] * self.yvarphiu[mif3,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,2] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,2] * self.yvarphiu[mif3,mif4] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,2] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,2] * self.yvarphiu[mif3,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[2,2] * self.yvarphiebar[2,mif1] * self.yvarphiebar[mif2,2] * self.yvarphiu[mif3,mif4] + (self.Mvarphi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[mif3,mif4] + -5/128 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[mif3,mif4] + 15/256 * self.epsilonbar * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[mif3,mif4] + -3/128 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[mif3,mif4] + 9/256 * self.epsilonbar * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[mif3,mif4] + 5/128 * self.epsilonbar * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[mif3,mif4] + 3/128 * self.epsilonbar * (self.g2)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[mif3,mif4] + -5/128 * self.epsilonbar * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[mif3,mif4] + -3/128 * self.epsilonbar * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[mif3,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,mif4] * self.yvarphiu[mif3,0] * self.yvarphiubar[0,0] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,mif4] * self.yvarphiu[mif3,0] * self.yvarphiubar[0,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,mif4] * self.yvarphiu[mif3,0] * self.yvarphiubar[0,0] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[0,0] * self.yvarphiu[mif3,mif4] * self.yvarphiubar[0,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,mif4] * self.yvarphiu[mif3,1] * self.yvarphiubar[0,1] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,mif4] * self.yvarphiu[mif3,1] * self.yvarphiubar[0,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,mif4] * self.yvarphiu[mif3,1] * self.yvarphiubar[0,1] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[0,1] * self.yvarphiu[mif3,mif4] * self.yvarphiubar[0,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,mif4] * self.yvarphiu[mif3,2] * self.yvarphiubar[0,2] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,mif4] * self.yvarphiu[mif3,2] * self.yvarphiubar[0,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[0,mif4] * self.yvarphiu[mif3,2] * self.yvarphiubar[0,2] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[0,2] * self.yvarphiu[mif3,mif4] * self.yvarphiubar[0,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,mif4] * self.yvarphiu[mif3,0] * self.yvarphiubar[1,0] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,mif4] * self.yvarphiu[mif3,0] * self.yvarphiubar[1,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,mif4] * self.yvarphiu[mif3,0] * self.yvarphiubar[1,0] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[1,0] * self.yvarphiu[mif3,mif4] * self.yvarphiubar[1,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,mif4] * self.yvarphiu[mif3,1] * self.yvarphiubar[1,1] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,mif4] * self.yvarphiu[mif3,1] * self.yvarphiubar[1,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,mif4] * self.yvarphiu[mif3,1] * self.yvarphiubar[1,1] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[1,1] * self.yvarphiu[mif3,mif4] * self.yvarphiubar[1,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,mif4] * self.yvarphiu[mif3,2] * self.yvarphiubar[1,2] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,mif4] * self.yvarphiu[mif3,2] * self.yvarphiubar[1,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[1,mif4] * self.yvarphiu[mif3,2] * self.yvarphiubar[1,2] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[1,2] * self.yvarphiu[mif3,mif4] * self.yvarphiubar[1,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,mif4] * self.yvarphiu[mif3,0] * self.yvarphiubar[2,0] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,mif4] * self.yvarphiu[mif3,0] * self.yvarphiubar[2,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,mif4] * self.yvarphiu[mif3,0] * self.yvarphiubar[2,0] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[2,0] * self.yvarphiu[mif3,mif4] * self.yvarphiubar[2,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,mif4] * self.yvarphiu[mif3,1] * self.yvarphiubar[2,1] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,mif4] * self.yvarphiu[mif3,1] * self.yvarphiubar[2,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,mif4] * self.yvarphiu[mif3,1] * self.yvarphiubar[2,1] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[2,1] * self.yvarphiu[mif3,mif4] * self.yvarphiubar[2,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,mif4] * self.yvarphiu[mif3,2] * self.yvarphiubar[2,2] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,mif4] * self.yvarphiu[mif3,2] * self.yvarphiubar[2,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[2,mif4] * self.yvarphiu[mif3,2] * self.yvarphiubar[2,2] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,mif2] * self.yu[2,2] * self.yvarphiu[mif3,mif4] * self.yvarphiubar[2,2])

    def alphaOlequ3(self, mif1,mif2,mif3,mif4):
        return (15/512 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[mif3,mif4] + 9/512 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[mif3,mif4] + 5/256 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[mif3,mif4] + 3/256 * (self.g2)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[mif3,mif4] + -5/256 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[mif3,mif4] + -3/256 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiebar[mif2,mif1] * self.yvarphiu[mif3,mif4])

    def alphaOll(self, mif1,mif2,mif3,mif4):
        return (-1/3840 * (self.g2)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.kronecker_delta(mif2,mif3) + -1/7680 * (self.g1)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 1/7680 * (self.g2)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -17/2304 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + -1/2304 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + -1/192 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + 1/192 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif3,0] * self.ylbar[mif4,0] * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif3,0] * self.ylbar[mif4,0] * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif3,0] * self.ylbar[mif4,0] * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + 1/1152 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphie[0,mif4] * self.yvarphiebar[0,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif3,1] * self.ylbar[mif4,0] * self.yvarphie[1,mif2] * self.yvarphiebar[0,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif3,1] * self.ylbar[mif4,0] * self.yvarphie[1,mif2] * self.yvarphiebar[0,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif3,1] * self.ylbar[mif4,0] * self.yvarphie[1,mif2] * self.yvarphiebar[0,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif3,2] * self.ylbar[mif4,0] * self.yvarphie[2,mif2] * self.yvarphiebar[0,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif3,2] * self.ylbar[mif4,0] * self.yvarphie[2,mif2] * self.yvarphiebar[0,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif3,2] * self.ylbar[mif4,0] * self.yvarphie[2,mif2] * self.yvarphiebar[0,mif1] + 1/1152 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif3] + -17/2304 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[0,mif4] * self.yvarphiebar[0,mif3] + -1/2304 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[0,mif4] * self.yvarphiebar[0,mif3] + -1/192 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[0,mif4] * self.yvarphiebar[0,mif3] + 1/192 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[0,mif4] * self.yvarphiebar[0,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[mif2,0] * self.yvarphie[0,mif4] * self.yvarphiebar[0,mif3] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[mif2,0] * self.yvarphie[0,mif4] * self.yvarphiebar[0,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,0] * self.ylbar[mif2,0] * self.yvarphie[0,mif4] * self.yvarphiebar[0,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[mif2,0] * self.yvarphie[1,mif4] * self.yvarphiebar[0,mif3] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[mif2,0] * self.yvarphie[1,mif4] * self.yvarphiebar[0,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,1] * self.ylbar[mif2,0] * self.yvarphie[1,mif4] * self.yvarphiebar[0,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[mif2,0] * self.yvarphie[2,mif4] * self.yvarphiebar[0,mif3] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[mif2,0] * self.yvarphie[2,mif4] * self.yvarphiebar[0,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,2] * self.ylbar[mif2,0] * self.yvarphie[2,mif4] * self.yvarphiebar[0,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif2] * self.yvarphie[0,mif4] * self.yvarphiebar[0,mif1] * self.yvarphiebar[0,mif3] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif3,0] * self.ylbar[mif4,1] * self.yvarphie[0,mif2] * self.yvarphiebar[1,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif3,0] * self.ylbar[mif4,1] * self.yvarphie[0,mif2] * self.yvarphiebar[1,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif3,0] * self.ylbar[mif4,1] * self.yvarphie[0,mif2] * self.yvarphiebar[1,mif1] + -17/2304 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + -1/2304 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + -1/192 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + 1/192 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif3,1] * self.ylbar[mif4,1] * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif3,1] * self.ylbar[mif4,1] * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif3,1] * self.ylbar[mif4,1] * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + 1/1152 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphie[1,mif4] * self.yvarphiebar[1,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif3,2] * self.ylbar[mif4,1] * self.yvarphie[2,mif2] * self.yvarphiebar[1,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif3,2] * self.ylbar[mif4,1] * self.yvarphie[2,mif2] * self.yvarphiebar[1,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif3,2] * self.ylbar[mif4,1] * self.yvarphie[2,mif2] * self.yvarphiebar[1,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif2] * self.yvarphie[1,mif4] * self.yvarphiebar[0,mif3] * self.yvarphiebar[1,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[mif2,1] * self.yvarphie[0,mif4] * self.yvarphiebar[1,mif3] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[mif2,1] * self.yvarphie[0,mif4] * self.yvarphiebar[1,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,0] * self.ylbar[mif2,1] * self.yvarphie[0,mif4] * self.yvarphiebar[1,mif3] + 1/1152 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif3] + -17/2304 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[1,mif4] * self.yvarphiebar[1,mif3] + -1/2304 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[1,mif4] * self.yvarphiebar[1,mif3] + -1/192 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[1,mif4] * self.yvarphiebar[1,mif3] + 1/192 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[1,mif4] * self.yvarphiebar[1,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[mif2,1] * self.yvarphie[1,mif4] * self.yvarphiebar[1,mif3] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[mif2,1] * self.yvarphie[1,mif4] * self.yvarphiebar[1,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,1] * self.ylbar[mif2,1] * self.yvarphie[1,mif4] * self.yvarphiebar[1,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[mif2,1] * self.yvarphie[2,mif4] * self.yvarphiebar[1,mif3] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[mif2,1] * self.yvarphie[2,mif4] * self.yvarphiebar[1,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,2] * self.ylbar[mif2,1] * self.yvarphie[2,mif4] * self.yvarphiebar[1,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif4] * self.yvarphie[1,mif2] * self.yvarphiebar[0,mif1] * self.yvarphiebar[1,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,mif2] * self.yvarphie[1,mif4] * self.yvarphiebar[1,mif1] * self.yvarphiebar[1,mif3] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif3,0] * self.ylbar[mif4,2] * self.yvarphie[0,mif2] * self.yvarphiebar[2,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif3,0] * self.ylbar[mif4,2] * self.yvarphie[0,mif2] * self.yvarphiebar[2,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif3,0] * self.ylbar[mif4,2] * self.yvarphie[0,mif2] * self.yvarphiebar[2,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif3,1] * self.ylbar[mif4,2] * self.yvarphie[1,mif2] * self.yvarphiebar[2,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif3,1] * self.ylbar[mif4,2] * self.yvarphie[1,mif2] * self.yvarphiebar[2,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif3,1] * self.ylbar[mif4,2] * self.yvarphie[1,mif2] * self.yvarphiebar[2,mif1] + -17/2304 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + -1/2304 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + -1/192 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + 1/192 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif3,2] * self.ylbar[mif4,2] * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif3,2] * self.ylbar[mif4,2] * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif3,2] * self.ylbar[mif4,2] * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + 1/1152 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphie[2,mif4] * self.yvarphiebar[2,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif2] * self.yvarphie[2,mif4] * self.yvarphiebar[0,mif3] * self.yvarphiebar[2,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,mif2] * self.yvarphie[2,mif4] * self.yvarphiebar[1,mif3] * self.yvarphiebar[2,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[mif2,2] * self.yvarphie[0,mif4] * self.yvarphiebar[2,mif3] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.ylbar[mif2,2] * self.yvarphie[0,mif4] * self.yvarphiebar[2,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,0] * self.ylbar[mif2,2] * self.yvarphie[0,mif4] * self.yvarphiebar[2,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[mif2,2] * self.yvarphie[1,mif4] * self.yvarphiebar[2,mif3] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.ylbar[mif2,2] * self.yvarphie[1,mif4] * self.yvarphiebar[2,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,1] * self.ylbar[mif2,2] * self.yvarphie[1,mif4] * self.yvarphiebar[2,mif3] + 1/1152 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif3] + -17/2304 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[2,mif4] * self.yvarphiebar[2,mif3] + -1/2304 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[2,mif4] * self.yvarphiebar[2,mif3] + -1/192 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[2,mif4] * self.yvarphiebar[2,mif3] + 1/192 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[2,mif4] * self.yvarphiebar[2,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[mif2,2] * self.yvarphie[2,mif4] * self.yvarphiebar[2,mif3] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.ylbar[mif2,2] * self.yvarphie[2,mif4] * self.yvarphiebar[2,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,2] * self.ylbar[mif2,2] * self.yvarphie[2,mif4] * self.yvarphiebar[2,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif4] * self.yvarphie[2,mif2] * self.yvarphiebar[0,mif1] * self.yvarphiebar[2,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,mif4] * self.yvarphie[2,mif2] * self.yvarphiebar[1,mif1] * self.yvarphiebar[2,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,mif2] * self.yvarphie[2,mif4] * self.yvarphiebar[2,mif1] * self.yvarphiebar[2,mif3])

    def alphaOlq1(self, mif1,mif2,mif3,mif4):
        return (1/11520 * (self.g1)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -19/3456 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif3] + -1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif3] + 1/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif3] + -19/3456 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif3] + -1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif3] + 1/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif3] + -19/3456 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif3] + -1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif3] + 1/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif3] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yl[mif1,0] * self.yvarphidbar[0,mif3] * self.yvarphie[0,mif2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yl[mif1,0] * self.yvarphidbar[0,mif3] * self.yvarphie[0,mif2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,0] * self.yl[mif1,0] * self.yvarphidbar[0,mif3] * self.yvarphie[0,mif2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yl[mif1,0] * self.yvarphidbar[1,mif3] * self.yvarphie[0,mif2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yl[mif1,0] * self.yvarphidbar[1,mif3] * self.yvarphie[0,mif2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,1] * self.yl[mif1,0] * self.yvarphidbar[1,mif3] * self.yvarphie[0,mif2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yl[mif1,0] * self.yvarphidbar[2,mif3] * self.yvarphie[0,mif2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yl[mif1,0] * self.yvarphidbar[2,mif3] * self.yvarphie[0,mif2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,2] * self.yl[mif1,0] * self.yvarphidbar[2,mif3] * self.yvarphie[0,mif2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yl[mif1,1] * self.yvarphidbar[0,mif3] * self.yvarphie[1,mif2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yl[mif1,1] * self.yvarphidbar[0,mif3] * self.yvarphie[1,mif2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,0] * self.yl[mif1,1] * self.yvarphidbar[0,mif3] * self.yvarphie[1,mif2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yl[mif1,1] * self.yvarphidbar[1,mif3] * self.yvarphie[1,mif2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yl[mif1,1] * self.yvarphidbar[1,mif3] * self.yvarphie[1,mif2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,1] * self.yl[mif1,1] * self.yvarphidbar[1,mif3] * self.yvarphie[1,mif2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yl[mif1,1] * self.yvarphidbar[2,mif3] * self.yvarphie[1,mif2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yl[mif1,1] * self.yvarphidbar[2,mif3] * self.yvarphie[1,mif2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,2] * self.yl[mif1,1] * self.yvarphidbar[2,mif3] * self.yvarphie[1,mif2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yl[mif1,2] * self.yvarphidbar[0,mif3] * self.yvarphie[2,mif2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yl[mif1,2] * self.yvarphidbar[0,mif3] * self.yvarphie[2,mif2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,0] * self.yl[mif1,2] * self.yvarphidbar[0,mif3] * self.yvarphie[2,mif2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yl[mif1,2] * self.yvarphidbar[1,mif3] * self.yvarphie[2,mif2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yl[mif1,2] * self.yvarphidbar[1,mif3] * self.yvarphie[2,mif2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,1] * self.yl[mif1,2] * self.yvarphidbar[1,mif3] * self.yvarphie[2,mif2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yl[mif1,2] * self.yvarphidbar[2,mif3] * self.yvarphie[2,mif2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yl[mif1,2] * self.yvarphidbar[2,mif3] * self.yvarphie[2,mif2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,2] * self.yl[mif1,2] * self.yvarphidbar[2,mif3] * self.yvarphie[2,mif2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.ylbar[mif2,0] * self.yvarphid[0,mif4] * self.yvarphiebar[0,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.ylbar[mif2,0] * self.yvarphid[0,mif4] * self.yvarphiebar[0,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,0] * self.ylbar[mif2,0] * self.yvarphid[0,mif4] * self.yvarphiebar[0,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.ylbar[mif2,0] * self.yvarphid[1,mif4] * self.yvarphiebar[0,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.ylbar[mif2,0] * self.yvarphid[1,mif4] * self.yvarphiebar[0,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,1] * self.ylbar[mif2,0] * self.yvarphid[1,mif4] * self.yvarphiebar[0,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.ylbar[mif2,0] * self.yvarphid[2,mif4] * self.yvarphiebar[0,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.ylbar[mif2,0] * self.yvarphid[2,mif4] * self.yvarphiebar[0,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,2] * self.ylbar[mif2,0] * self.yvarphid[2,mif4] * self.yvarphiebar[0,mif1] + 17/3456 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + 1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + -1/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif3] * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif3] * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif3] * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.ylbar[mif2,1] * self.yvarphid[0,mif4] * self.yvarphiebar[1,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.ylbar[mif2,1] * self.yvarphid[0,mif4] * self.yvarphiebar[1,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,0] * self.ylbar[mif2,1] * self.yvarphid[0,mif4] * self.yvarphiebar[1,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.ylbar[mif2,1] * self.yvarphid[1,mif4] * self.yvarphiebar[1,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.ylbar[mif2,1] * self.yvarphid[1,mif4] * self.yvarphiebar[1,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,1] * self.ylbar[mif2,1] * self.yvarphid[1,mif4] * self.yvarphiebar[1,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.ylbar[mif2,1] * self.yvarphid[2,mif4] * self.yvarphiebar[1,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.ylbar[mif2,1] * self.yvarphid[2,mif4] * self.yvarphiebar[1,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,2] * self.ylbar[mif2,1] * self.yvarphid[2,mif4] * self.yvarphiebar[1,mif1] + 17/3456 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + 1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + -1/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif3] * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif3] * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif3] * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.ylbar[mif2,2] * self.yvarphid[0,mif4] * self.yvarphiebar[2,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.ylbar[mif2,2] * self.yvarphid[0,mif4] * self.yvarphiebar[2,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,0] * self.ylbar[mif2,2] * self.yvarphid[0,mif4] * self.yvarphiebar[2,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.ylbar[mif2,2] * self.yvarphid[1,mif4] * self.yvarphiebar[2,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.ylbar[mif2,2] * self.yvarphid[1,mif4] * self.yvarphiebar[2,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,1] * self.ylbar[mif2,2] * self.yvarphid[1,mif4] * self.yvarphiebar[2,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.ylbar[mif2,2] * self.yvarphid[2,mif4] * self.yvarphiebar[2,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.ylbar[mif2,2] * self.yvarphid[2,mif4] * self.yvarphiebar[2,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,2] * self.ylbar[mif2,2] * self.yvarphid[2,mif4] * self.yvarphiebar[2,mif1] + 17/3456 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + 1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + -1/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif3] * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif3] * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif3] * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,0] * self.yubar[mif4,0] * self.yvarphiebar[0,mif1] * self.yvarphiu[mif3,0] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,0] * self.yubar[mif4,0] * self.yvarphiebar[0,mif1] * self.yvarphiu[mif3,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,0] * self.yubar[mif4,0] * self.yvarphiebar[0,mif1] * self.yvarphiu[mif3,0] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,1] * self.yubar[mif4,0] * self.yvarphiebar[1,mif1] * self.yvarphiu[mif3,0] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,1] * self.yubar[mif4,0] * self.yvarphiebar[1,mif1] * self.yvarphiu[mif3,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,1] * self.yubar[mif4,0] * self.yvarphiebar[1,mif1] * self.yvarphiu[mif3,0] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,2] * self.yubar[mif4,0] * self.yvarphiebar[2,mif1] * self.yvarphiu[mif3,0] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,2] * self.yubar[mif4,0] * self.yvarphiebar[2,mif1] * self.yvarphiu[mif3,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,2] * self.yubar[mif4,0] * self.yvarphiebar[2,mif1] * self.yvarphiu[mif3,0] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,0] * self.yubar[mif4,1] * self.yvarphiebar[0,mif1] * self.yvarphiu[mif3,1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,0] * self.yubar[mif4,1] * self.yvarphiebar[0,mif1] * self.yvarphiu[mif3,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,0] * self.yubar[mif4,1] * self.yvarphiebar[0,mif1] * self.yvarphiu[mif3,1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,1] * self.yubar[mif4,1] * self.yvarphiebar[1,mif1] * self.yvarphiu[mif3,1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,1] * self.yubar[mif4,1] * self.yvarphiebar[1,mif1] * self.yvarphiu[mif3,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,1] * self.yubar[mif4,1] * self.yvarphiebar[1,mif1] * self.yvarphiu[mif3,1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,2] * self.yubar[mif4,1] * self.yvarphiebar[2,mif1] * self.yvarphiu[mif3,1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,2] * self.yubar[mif4,1] * self.yvarphiebar[2,mif1] * self.yvarphiu[mif3,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,2] * self.yubar[mif4,1] * self.yvarphiebar[2,mif1] * self.yvarphiu[mif3,1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,0] * self.yubar[mif4,2] * self.yvarphiebar[0,mif1] * self.yvarphiu[mif3,2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,0] * self.yubar[mif4,2] * self.yvarphiebar[0,mif1] * self.yvarphiu[mif3,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,0] * self.yubar[mif4,2] * self.yvarphiebar[0,mif1] * self.yvarphiu[mif3,2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,1] * self.yubar[mif4,2] * self.yvarphiebar[1,mif1] * self.yvarphiu[mif3,2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,1] * self.yubar[mif4,2] * self.yvarphiebar[1,mif1] * self.yvarphiu[mif3,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,1] * self.yubar[mif4,2] * self.yvarphiebar[1,mif1] * self.yvarphiu[mif3,2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,2] * self.yubar[mif4,2] * self.yvarphiebar[2,mif1] * self.yvarphiu[mif3,2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,2] * self.yubar[mif4,2] * self.yvarphiebar[2,mif1] * self.yvarphiu[mif3,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,2] * self.yubar[mif4,2] * self.yvarphiebar[2,mif1] * self.yvarphiu[mif3,2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yu[mif3,0] * self.yvarphie[0,mif2] * self.yvarphiubar[mif4,0] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yu[mif3,0] * self.yvarphie[0,mif2] * self.yvarphiubar[mif4,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,0] * self.yu[mif3,0] * self.yvarphie[0,mif2] * self.yvarphiubar[mif4,0] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yu[mif3,0] * self.yvarphie[1,mif2] * self.yvarphiubar[mif4,0] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yu[mif3,0] * self.yvarphie[1,mif2] * self.yvarphiubar[mif4,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,1] * self.yu[mif3,0] * self.yvarphie[1,mif2] * self.yvarphiubar[mif4,0] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yu[mif3,0] * self.yvarphie[2,mif2] * self.yvarphiubar[mif4,0] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yu[mif3,0] * self.yvarphie[2,mif2] * self.yvarphiubar[mif4,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,2] * self.yu[mif3,0] * self.yvarphie[2,mif2] * self.yvarphiubar[mif4,0] + 35/3456 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[mif3,0] * self.yvarphiubar[mif4,0] + 1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[mif3,0] * self.yvarphiubar[mif4,0] + -1/144 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif3,0] * self.yvarphiubar[mif4,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif4,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif4,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif4,0] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yu[mif3,1] * self.yvarphie[0,mif2] * self.yvarphiubar[mif4,1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yu[mif3,1] * self.yvarphie[0,mif2] * self.yvarphiubar[mif4,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,0] * self.yu[mif3,1] * self.yvarphie[0,mif2] * self.yvarphiubar[mif4,1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yu[mif3,1] * self.yvarphie[1,mif2] * self.yvarphiubar[mif4,1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yu[mif3,1] * self.yvarphie[1,mif2] * self.yvarphiubar[mif4,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,1] * self.yu[mif3,1] * self.yvarphie[1,mif2] * self.yvarphiubar[mif4,1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yu[mif3,1] * self.yvarphie[2,mif2] * self.yvarphiubar[mif4,1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yu[mif3,1] * self.yvarphie[2,mif2] * self.yvarphiubar[mif4,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,2] * self.yu[mif3,1] * self.yvarphie[2,mif2] * self.yvarphiubar[mif4,1] + 35/3456 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[mif3,1] * self.yvarphiubar[mif4,1] + 1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[mif3,1] * self.yvarphiubar[mif4,1] + -1/144 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif3,1] * self.yvarphiubar[mif4,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif4,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif4,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif4,1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yu[mif3,2] * self.yvarphie[0,mif2] * self.yvarphiubar[mif4,2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yu[mif3,2] * self.yvarphie[0,mif2] * self.yvarphiubar[mif4,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,0] * self.yu[mif3,2] * self.yvarphie[0,mif2] * self.yvarphiubar[mif4,2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yu[mif3,2] * self.yvarphie[1,mif2] * self.yvarphiubar[mif4,2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yu[mif3,2] * self.yvarphie[1,mif2] * self.yvarphiubar[mif4,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,1] * self.yu[mif3,2] * self.yvarphie[1,mif2] * self.yvarphiubar[mif4,2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yu[mif3,2] * self.yvarphie[2,mif2] * self.yvarphiubar[mif4,2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yu[mif3,2] * self.yvarphie[2,mif2] * self.yvarphiubar[mif4,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,2] * self.yu[mif3,2] * self.yvarphie[2,mif2] * self.yvarphiubar[mif4,2] + 35/3456 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[mif3,2] * self.yvarphiubar[mif4,2] + 1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[mif3,2] * self.yvarphiubar[mif4,2] + -1/144 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif3,2] * self.yvarphiubar[mif4,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif4,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif4,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif4,2])

    def alphaOlq3(self, mif1,mif2,mif3,mif4):
        return (-1/3840 * (self.g2)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 1/1152 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif3] + 1/1152 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif3] + 1/1152 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif3] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yl[mif1,0] * self.yvarphidbar[0,mif3] * self.yvarphie[0,mif2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yl[mif1,0] * self.yvarphidbar[0,mif3] * self.yvarphie[0,mif2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,0] * self.yl[mif1,0] * self.yvarphidbar[0,mif3] * self.yvarphie[0,mif2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yl[mif1,0] * self.yvarphidbar[1,mif3] * self.yvarphie[0,mif2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yl[mif1,0] * self.yvarphidbar[1,mif3] * self.yvarphie[0,mif2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,1] * self.yl[mif1,0] * self.yvarphidbar[1,mif3] * self.yvarphie[0,mif2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yl[mif1,0] * self.yvarphidbar[2,mif3] * self.yvarphie[0,mif2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yl[mif1,0] * self.yvarphidbar[2,mif3] * self.yvarphie[0,mif2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,2] * self.yl[mif1,0] * self.yvarphidbar[2,mif3] * self.yvarphie[0,mif2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yl[mif1,1] * self.yvarphidbar[0,mif3] * self.yvarphie[1,mif2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yl[mif1,1] * self.yvarphidbar[0,mif3] * self.yvarphie[1,mif2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,0] * self.yl[mif1,1] * self.yvarphidbar[0,mif3] * self.yvarphie[1,mif2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yl[mif1,1] * self.yvarphidbar[1,mif3] * self.yvarphie[1,mif2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yl[mif1,1] * self.yvarphidbar[1,mif3] * self.yvarphie[1,mif2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,1] * self.yl[mif1,1] * self.yvarphidbar[1,mif3] * self.yvarphie[1,mif2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yl[mif1,1] * self.yvarphidbar[2,mif3] * self.yvarphie[1,mif2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yl[mif1,1] * self.yvarphidbar[2,mif3] * self.yvarphie[1,mif2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,2] * self.yl[mif1,1] * self.yvarphidbar[2,mif3] * self.yvarphie[1,mif2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yl[mif1,2] * self.yvarphidbar[0,mif3] * self.yvarphie[2,mif2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yl[mif1,2] * self.yvarphidbar[0,mif3] * self.yvarphie[2,mif2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,0] * self.yl[mif1,2] * self.yvarphidbar[0,mif3] * self.yvarphie[2,mif2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yl[mif1,2] * self.yvarphidbar[1,mif3] * self.yvarphie[2,mif2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yl[mif1,2] * self.yvarphidbar[1,mif3] * self.yvarphie[2,mif2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,1] * self.yl[mif1,2] * self.yvarphidbar[1,mif3] * self.yvarphie[2,mif2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yl[mif1,2] * self.yvarphidbar[2,mif3] * self.yvarphie[2,mif2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yl[mif1,2] * self.yvarphidbar[2,mif3] * self.yvarphie[2,mif2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,2] * self.yl[mif1,2] * self.yvarphidbar[2,mif3] * self.yvarphie[2,mif2] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.ylbar[mif2,0] * self.yvarphid[0,mif4] * self.yvarphiebar[0,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.ylbar[mif2,0] * self.yvarphid[0,mif4] * self.yvarphiebar[0,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,0] * self.ylbar[mif2,0] * self.yvarphid[0,mif4] * self.yvarphiebar[0,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.ylbar[mif2,0] * self.yvarphid[1,mif4] * self.yvarphiebar[0,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.ylbar[mif2,0] * self.yvarphid[1,mif4] * self.yvarphiebar[0,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,1] * self.ylbar[mif2,0] * self.yvarphid[1,mif4] * self.yvarphiebar[0,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.ylbar[mif2,0] * self.yvarphid[2,mif4] * self.yvarphiebar[0,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.ylbar[mif2,0] * self.yvarphid[2,mif4] * self.yvarphiebar[0,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,2] * self.ylbar[mif2,0] * self.yvarphid[2,mif4] * self.yvarphiebar[0,mif1] + 1/1152 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif3] * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif3] * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif3] * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.ylbar[mif2,1] * self.yvarphid[0,mif4] * self.yvarphiebar[1,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.ylbar[mif2,1] * self.yvarphid[0,mif4] * self.yvarphiebar[1,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,0] * self.ylbar[mif2,1] * self.yvarphid[0,mif4] * self.yvarphiebar[1,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.ylbar[mif2,1] * self.yvarphid[1,mif4] * self.yvarphiebar[1,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.ylbar[mif2,1] * self.yvarphid[1,mif4] * self.yvarphiebar[1,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,1] * self.ylbar[mif2,1] * self.yvarphid[1,mif4] * self.yvarphiebar[1,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.ylbar[mif2,1] * self.yvarphid[2,mif4] * self.yvarphiebar[1,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.ylbar[mif2,1] * self.yvarphid[2,mif4] * self.yvarphiebar[1,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,2] * self.ylbar[mif2,1] * self.yvarphid[2,mif4] * self.yvarphiebar[1,mif1] + 1/1152 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif3] * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif3] * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif3] * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.ylbar[mif2,2] * self.yvarphid[0,mif4] * self.yvarphiebar[2,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.ylbar[mif2,2] * self.yvarphid[0,mif4] * self.yvarphiebar[2,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,0] * self.ylbar[mif2,2] * self.yvarphid[0,mif4] * self.yvarphiebar[2,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.ylbar[mif2,2] * self.yvarphid[1,mif4] * self.yvarphiebar[2,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.ylbar[mif2,2] * self.yvarphid[1,mif4] * self.yvarphiebar[2,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,1] * self.ylbar[mif2,2] * self.yvarphid[1,mif4] * self.yvarphiebar[2,mif1] + 3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.ylbar[mif2,2] * self.yvarphid[2,mif4] * self.yvarphiebar[2,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.ylbar[mif2,2] * self.yvarphid[2,mif4] * self.yvarphiebar[2,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,2] * self.ylbar[mif2,2] * self.yvarphid[2,mif4] * self.yvarphiebar[2,mif1] + 1/1152 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif3] * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif3] * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif3] * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + -3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,0] * self.yubar[mif4,0] * self.yvarphiebar[0,mif1] * self.yvarphiu[mif3,0] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,0] * self.yubar[mif4,0] * self.yvarphiebar[0,mif1] * self.yvarphiu[mif3,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,0] * self.yubar[mif4,0] * self.yvarphiebar[0,mif1] * self.yvarphiu[mif3,0] + -3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,1] * self.yubar[mif4,0] * self.yvarphiebar[1,mif1] * self.yvarphiu[mif3,0] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,1] * self.yubar[mif4,0] * self.yvarphiebar[1,mif1] * self.yvarphiu[mif3,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,1] * self.yubar[mif4,0] * self.yvarphiebar[1,mif1] * self.yvarphiu[mif3,0] + -3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,2] * self.yubar[mif4,0] * self.yvarphiebar[2,mif1] * self.yvarphiu[mif3,0] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,2] * self.yubar[mif4,0] * self.yvarphiebar[2,mif1] * self.yvarphiu[mif3,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,2] * self.yubar[mif4,0] * self.yvarphiebar[2,mif1] * self.yvarphiu[mif3,0] + -3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,0] * self.yubar[mif4,1] * self.yvarphiebar[0,mif1] * self.yvarphiu[mif3,1] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,0] * self.yubar[mif4,1] * self.yvarphiebar[0,mif1] * self.yvarphiu[mif3,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,0] * self.yubar[mif4,1] * self.yvarphiebar[0,mif1] * self.yvarphiu[mif3,1] + -3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,1] * self.yubar[mif4,1] * self.yvarphiebar[1,mif1] * self.yvarphiu[mif3,1] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,1] * self.yubar[mif4,1] * self.yvarphiebar[1,mif1] * self.yvarphiu[mif3,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,1] * self.yubar[mif4,1] * self.yvarphiebar[1,mif1] * self.yvarphiu[mif3,1] + -3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,2] * self.yubar[mif4,1] * self.yvarphiebar[2,mif1] * self.yvarphiu[mif3,1] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,2] * self.yubar[mif4,1] * self.yvarphiebar[2,mif1] * self.yvarphiu[mif3,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,2] * self.yubar[mif4,1] * self.yvarphiebar[2,mif1] * self.yvarphiu[mif3,1] + -3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,0] * self.yubar[mif4,2] * self.yvarphiebar[0,mif1] * self.yvarphiu[mif3,2] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,0] * self.yubar[mif4,2] * self.yvarphiebar[0,mif1] * self.yvarphiu[mif3,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,0] * self.yubar[mif4,2] * self.yvarphiebar[0,mif1] * self.yvarphiu[mif3,2] + -3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,1] * self.yubar[mif4,2] * self.yvarphiebar[1,mif1] * self.yvarphiu[mif3,2] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,1] * self.yubar[mif4,2] * self.yvarphiebar[1,mif1] * self.yvarphiu[mif3,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,1] * self.yubar[mif4,2] * self.yvarphiebar[1,mif1] * self.yvarphiu[mif3,2] + -3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,2] * self.yubar[mif4,2] * self.yvarphiebar[2,mif1] * self.yvarphiu[mif3,2] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,2] * self.yubar[mif4,2] * self.yvarphiebar[2,mif1] * self.yvarphiu[mif3,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,2] * self.yubar[mif4,2] * self.yvarphiebar[2,mif1] * self.yvarphiu[mif3,2] + -3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yu[mif3,0] * self.yvarphie[0,mif2] * self.yvarphiubar[mif4,0] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yu[mif3,0] * self.yvarphie[0,mif2] * self.yvarphiubar[mif4,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,0] * self.yu[mif3,0] * self.yvarphie[0,mif2] * self.yvarphiubar[mif4,0] + -3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yu[mif3,0] * self.yvarphie[1,mif2] * self.yvarphiubar[mif4,0] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yu[mif3,0] * self.yvarphie[1,mif2] * self.yvarphiubar[mif4,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,1] * self.yu[mif3,0] * self.yvarphie[1,mif2] * self.yvarphiubar[mif4,0] + -3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yu[mif3,0] * self.yvarphie[2,mif2] * self.yvarphiubar[mif4,0] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yu[mif3,0] * self.yvarphie[2,mif2] * self.yvarphiubar[mif4,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,2] * self.yu[mif3,0] * self.yvarphie[2,mif2] * self.yvarphiubar[mif4,0] + 1/1152 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[mif3,0] * self.yvarphiubar[mif4,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif4,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif4,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif4,0] + -3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yu[mif3,1] * self.yvarphie[0,mif2] * self.yvarphiubar[mif4,1] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yu[mif3,1] * self.yvarphie[0,mif2] * self.yvarphiubar[mif4,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,0] * self.yu[mif3,1] * self.yvarphie[0,mif2] * self.yvarphiubar[mif4,1] + -3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yu[mif3,1] * self.yvarphie[1,mif2] * self.yvarphiubar[mif4,1] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yu[mif3,1] * self.yvarphie[1,mif2] * self.yvarphiubar[mif4,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,1] * self.yu[mif3,1] * self.yvarphie[1,mif2] * self.yvarphiubar[mif4,1] + -3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yu[mif3,1] * self.yvarphie[2,mif2] * self.yvarphiubar[mif4,1] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yu[mif3,1] * self.yvarphie[2,mif2] * self.yvarphiubar[mif4,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,2] * self.yu[mif3,1] * self.yvarphie[2,mif2] * self.yvarphiubar[mif4,1] + 1/1152 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[mif3,1] * self.yvarphiubar[mif4,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif4,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif4,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif4,1] + -3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yu[mif3,2] * self.yvarphie[0,mif2] * self.yvarphiubar[mif4,2] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yu[mif3,2] * self.yvarphie[0,mif2] * self.yvarphiubar[mif4,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,0] * self.yu[mif3,2] * self.yvarphie[0,mif2] * self.yvarphiubar[mif4,2] + -3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yu[mif3,2] * self.yvarphie[1,mif2] * self.yvarphiubar[mif4,2] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yu[mif3,2] * self.yvarphie[1,mif2] * self.yvarphiubar[mif4,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,1] * self.yu[mif3,2] * self.yvarphie[1,mif2] * self.yvarphiubar[mif4,2] + -3/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yu[mif3,2] * self.yvarphie[2,mif2] * self.yvarphiubar[mif4,2] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yu[mif3,2] * self.yvarphie[2,mif2] * self.yvarphiubar[mif4,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,2] * self.yu[mif3,2] * self.yvarphie[2,mif2] * self.yvarphiubar[mif4,2] + 1/1152 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[mif3,2] * self.yvarphiubar[mif4,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif4,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif4,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif4,2])

    def alphaOlu(self, mif1,mif2,mif3,mif4):
        return (1/2880 * (self.g1)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 17/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + 1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + -1/72 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] + 17/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + 1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + -1/72 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] + 17/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + 1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + -1/72 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,0] * self.yubar[0,mif3] * self.yvarphiebar[0,mif1] * self.yvarphiu[0,mif4] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,0] * self.yubar[0,mif3] * self.yvarphiebar[0,mif1] * self.yvarphiu[0,mif4] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,0] * self.yubar[0,mif3] * self.yvarphiebar[0,mif1] * self.yvarphiu[0,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,1] * self.yubar[0,mif3] * self.yvarphiebar[1,mif1] * self.yvarphiu[0,mif4] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,1] * self.yubar[0,mif3] * self.yvarphiebar[1,mif1] * self.yvarphiu[0,mif4] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,1] * self.yubar[0,mif3] * self.yvarphiebar[1,mif1] * self.yvarphiu[0,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,2] * self.yubar[0,mif3] * self.yvarphiebar[2,mif1] * self.yvarphiu[0,mif4] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,2] * self.yubar[0,mif3] * self.yvarphiebar[2,mif1] * self.yvarphiu[0,mif4] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,2] * self.yubar[0,mif3] * self.yvarphiebar[2,mif1] * self.yvarphiu[0,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,0] * self.yubar[1,mif3] * self.yvarphiebar[0,mif1] * self.yvarphiu[1,mif4] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,0] * self.yubar[1,mif3] * self.yvarphiebar[0,mif1] * self.yvarphiu[1,mif4] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,0] * self.yubar[1,mif3] * self.yvarphiebar[0,mif1] * self.yvarphiu[1,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,1] * self.yubar[1,mif3] * self.yvarphiebar[1,mif1] * self.yvarphiu[1,mif4] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,1] * self.yubar[1,mif3] * self.yvarphiebar[1,mif1] * self.yvarphiu[1,mif4] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,1] * self.yubar[1,mif3] * self.yvarphiebar[1,mif1] * self.yvarphiu[1,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,2] * self.yubar[1,mif3] * self.yvarphiebar[2,mif1] * self.yvarphiu[1,mif4] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,2] * self.yubar[1,mif3] * self.yvarphiebar[2,mif1] * self.yvarphiu[1,mif4] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,2] * self.yubar[1,mif3] * self.yvarphiebar[2,mif1] * self.yvarphiu[1,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,0] * self.yubar[2,mif3] * self.yvarphiebar[0,mif1] * self.yvarphiu[2,mif4] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,0] * self.yubar[2,mif3] * self.yvarphiebar[0,mif1] * self.yvarphiu[2,mif4] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,0] * self.yubar[2,mif3] * self.yvarphiebar[0,mif1] * self.yvarphiu[2,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,1] * self.yubar[2,mif3] * self.yvarphiebar[1,mif1] * self.yvarphiu[2,mif4] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,1] * self.yubar[2,mif3] * self.yvarphiebar[1,mif1] * self.yvarphiu[2,mif4] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,1] * self.yubar[2,mif3] * self.yvarphiebar[1,mif1] * self.yvarphiu[2,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,2] * self.yubar[2,mif3] * self.yvarphiebar[2,mif1] * self.yvarphiu[2,mif4] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[mif2,2] * self.yubar[2,mif3] * self.yvarphiebar[2,mif1] * self.yvarphiu[2,mif4] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[mif2,2] * self.yubar[2,mif3] * self.yvarphiebar[2,mif1] * self.yvarphiu[2,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yu[0,mif4] * self.yvarphie[0,mif2] * self.yvarphiubar[0,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yu[0,mif4] * self.yvarphie[0,mif2] * self.yvarphiubar[0,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,0] * self.yu[0,mif4] * self.yvarphie[0,mif2] * self.yvarphiubar[0,mif3] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yu[0,mif4] * self.yvarphie[1,mif2] * self.yvarphiubar[0,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yu[0,mif4] * self.yvarphie[1,mif2] * self.yvarphiubar[0,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,1] * self.yu[0,mif4] * self.yvarphie[1,mif2] * self.yvarphiubar[0,mif3] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yu[0,mif4] * self.yvarphie[2,mif2] * self.yvarphiubar[0,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yu[0,mif4] * self.yvarphie[2,mif2] * self.yvarphiubar[0,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,2] * self.yu[0,mif4] * self.yvarphie[2,mif2] * self.yvarphiubar[0,mif3] + 5/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + 1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + -1/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yu[1,mif4] * self.yvarphie[0,mif2] * self.yvarphiubar[1,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yu[1,mif4] * self.yvarphie[0,mif2] * self.yvarphiubar[1,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,0] * self.yu[1,mif4] * self.yvarphie[0,mif2] * self.yvarphiubar[1,mif3] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yu[1,mif4] * self.yvarphie[1,mif2] * self.yvarphiubar[1,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yu[1,mif4] * self.yvarphie[1,mif2] * self.yvarphiubar[1,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,1] * self.yu[1,mif4] * self.yvarphie[1,mif2] * self.yvarphiubar[1,mif3] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yu[1,mif4] * self.yvarphie[2,mif2] * self.yvarphiubar[1,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yu[1,mif4] * self.yvarphie[2,mif2] * self.yvarphiubar[1,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,2] * self.yu[1,mif4] * self.yvarphie[2,mif2] * self.yvarphiubar[1,mif3] + 5/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + 1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + -1/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yu[2,mif4] * self.yvarphie[0,mif2] * self.yvarphiubar[2,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,0] * self.yu[2,mif4] * self.yvarphie[0,mif2] * self.yvarphiubar[2,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,0] * self.yu[2,mif4] * self.yvarphie[0,mif2] * self.yvarphiubar[2,mif3] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yu[2,mif4] * self.yvarphie[1,mif2] * self.yvarphiubar[2,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,1] * self.yu[2,mif4] * self.yvarphie[1,mif2] * self.yvarphiubar[2,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,1] * self.yu[2,mif4] * self.yvarphie[1,mif2] * self.yvarphiubar[2,mif3] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yu[2,mif4] * self.yvarphie[2,mif2] * self.yvarphiubar[2,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[mif1,2] * self.yu[2,mif4] * self.yvarphie[2,mif2] * self.yvarphiubar[2,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[mif1,2] * self.yu[2,mif4] * self.yvarphie[2,mif2] * self.yvarphiubar[2,mif3] + 5/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + 1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + -1/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[0,mif2] * self.yvarphiebar[0,mif1] * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[1,mif2] * self.yvarphiebar[1,mif1] * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[2,mif2] * self.yvarphiebar[2,mif1] * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3])

    def alphaOqd1(self, mif1,mif2,mif3,mif4):
        return (1/17280 * (self.g1)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.ydbar[0,0] * self.yvarphid[mif3,mif2] * self.yvarphidbar[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.ydbar[1,0] * self.yvarphid[mif3,mif2] * self.yvarphidbar[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.ydbar[2,0] * self.yvarphid[mif3,mif2] * self.yvarphidbar[0,2] + -19/5184 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + -1/432 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + 1/432 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[mif2,0] * self.yvarphid[mif3,0] * self.yvarphidbar[0,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[mif2,0] * self.yvarphid[mif3,0] * self.yvarphidbar[0,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ydbar[mif2,0] * self.yvarphid[mif3,0] * self.yvarphidbar[0,mif1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[mif2,0] * self.yvarphid[mif3,1] * self.yvarphidbar[0,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[mif2,0] * self.yvarphid[mif3,1] * self.yvarphidbar[0,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ydbar[mif2,0] * self.yvarphid[mif3,1] * self.yvarphidbar[0,mif1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[mif2,0] * self.yvarphid[mif3,2] * self.yvarphidbar[0,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[mif2,0] * self.yvarphid[mif3,2] * self.yvarphidbar[0,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ydbar[mif2,0] * self.yvarphid[mif3,2] * self.yvarphidbar[0,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.ydbar[0,1] * self.yvarphid[mif3,mif2] * self.yvarphidbar[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.ydbar[1,1] * self.yvarphid[mif3,mif2] * self.yvarphidbar[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.ydbar[2,1] * self.yvarphid[mif3,mif2] * self.yvarphidbar[1,2] + -19/5184 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + -1/432 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + 1/432 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[mif2,1] * self.yvarphid[mif3,0] * self.yvarphidbar[1,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[mif2,1] * self.yvarphid[mif3,0] * self.yvarphidbar[1,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ydbar[mif2,1] * self.yvarphid[mif3,0] * self.yvarphidbar[1,mif1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[mif2,1] * self.yvarphid[mif3,1] * self.yvarphidbar[1,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[mif2,1] * self.yvarphid[mif3,1] * self.yvarphidbar[1,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ydbar[mif2,1] * self.yvarphid[mif3,1] * self.yvarphidbar[1,mif1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[mif2,1] * self.yvarphid[mif3,2] * self.yvarphidbar[1,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[mif2,1] * self.yvarphid[mif3,2] * self.yvarphidbar[1,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ydbar[mif2,1] * self.yvarphid[mif3,2] * self.yvarphidbar[1,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.ydbar[0,2] * self.yvarphid[mif3,mif2] * self.yvarphidbar[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.ydbar[1,2] * self.yvarphid[mif3,mif2] * self.yvarphidbar[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.ydbar[2,2] * self.yvarphid[mif3,mif2] * self.yvarphidbar[2,2] + -19/5184 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + -1/432 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + 1/432 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[mif2,2] * self.yvarphid[mif3,0] * self.yvarphidbar[2,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[mif2,2] * self.yvarphid[mif3,0] * self.yvarphidbar[2,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ydbar[mif2,2] * self.yvarphid[mif3,0] * self.yvarphidbar[2,mif1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[mif2,2] * self.yvarphid[mif3,1] * self.yvarphidbar[2,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[mif2,2] * self.yvarphid[mif3,1] * self.yvarphidbar[2,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ydbar[mif2,2] * self.yvarphid[mif3,1] * self.yvarphidbar[2,mif1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[mif2,2] * self.yvarphid[mif3,2] * self.yvarphidbar[2,mif1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[mif2,2] * self.yvarphid[mif3,2] * self.yvarphidbar[2,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ydbar[mif2,2] * self.yvarphid[mif3,2] * self.yvarphidbar[2,mif1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[0,mif3] * self.yvarphid[0,mif2] * self.yvarphidbar[mif4,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[0,mif3] * self.yvarphid[0,mif2] * self.yvarphidbar[mif4,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[0,mif3] * self.yvarphid[0,mif2] * self.yvarphidbar[mif4,0] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[0,mif3] * self.yvarphid[1,mif2] * self.yvarphidbar[mif4,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[0,mif3] * self.yvarphid[1,mif2] * self.yvarphidbar[mif4,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[0,mif3] * self.yvarphid[1,mif2] * self.yvarphidbar[mif4,0] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[0,mif3] * self.yvarphid[2,mif2] * self.yvarphidbar[mif4,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[0,mif3] * self.yvarphid[2,mif2] * self.yvarphidbar[mif4,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[0,mif3] * self.yvarphid[2,mif2] * self.yvarphidbar[mif4,0] + -11/5184 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + -1/864 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + 1/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphid[mif3,0] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,0] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,0] * self.yvarphid[mif3,mif2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,0] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,0] * self.yvarphid[mif3,mif2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,0] * self.yvarphid[mif3,mif2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphid[mif3,0] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,0] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,0] * self.yvarphid[mif3,mif2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,0] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,0] * self.yvarphid[mif3,mif2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,0] * self.yvarphid[mif3,mif2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphid[mif3,0] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,0] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,0] * self.yvarphid[mif3,mif2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,0] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,0] * self.yvarphid[mif3,mif2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,0] * self.yvarphid[mif3,mif2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,0] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[1,mif3] * self.yvarphid[0,mif2] * self.yvarphidbar[mif4,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[1,mif3] * self.yvarphid[0,mif2] * self.yvarphidbar[mif4,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[1,mif3] * self.yvarphid[0,mif2] * self.yvarphidbar[mif4,1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[1,mif3] * self.yvarphid[1,mif2] * self.yvarphidbar[mif4,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[1,mif3] * self.yvarphid[1,mif2] * self.yvarphidbar[mif4,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[1,mif3] * self.yvarphid[1,mif2] * self.yvarphidbar[mif4,1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[1,mif3] * self.yvarphid[2,mif2] * self.yvarphidbar[mif4,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[1,mif3] * self.yvarphid[2,mif2] * self.yvarphidbar[mif4,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[1,mif3] * self.yvarphid[2,mif2] * self.yvarphidbar[mif4,1] + -11/5184 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + -1/864 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + 1/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphid[mif3,1] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,1] * self.yvarphid[mif3,mif2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,1] * self.yvarphid[mif3,mif2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,1] * self.yvarphid[mif3,mif2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphid[mif3,1] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,1] * self.yvarphid[mif3,mif2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,1] * self.yvarphid[mif3,mif2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,1] * self.yvarphid[mif3,mif2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphid[mif3,1] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,1] * self.yvarphid[mif3,mif2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,1] * self.yvarphid[mif3,mif2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,1] * self.yvarphid[mif3,mif2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[2,mif3] * self.yvarphid[0,mif2] * self.yvarphidbar[mif4,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[2,mif3] * self.yvarphid[0,mif2] * self.yvarphidbar[mif4,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[2,mif3] * self.yvarphid[0,mif2] * self.yvarphidbar[mif4,2] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[2,mif3] * self.yvarphid[1,mif2] * self.yvarphidbar[mif4,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[2,mif3] * self.yvarphid[1,mif2] * self.yvarphidbar[mif4,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[2,mif3] * self.yvarphid[1,mif2] * self.yvarphidbar[mif4,2] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[2,mif3] * self.yvarphid[2,mif2] * self.yvarphidbar[mif4,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[2,mif3] * self.yvarphid[2,mif2] * self.yvarphidbar[mif4,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[2,mif3] * self.yvarphid[2,mif2] * self.yvarphidbar[mif4,2] + -11/5184 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + -1/864 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + 1/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphid[mif3,2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,2] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,2] * self.yvarphid[mif3,mif2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,2] * self.yvarphid[mif3,mif2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,2] * self.yvarphid[mif3,mif2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphid[mif3,2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,2] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,2] * self.yvarphid[mif3,mif2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,2] * self.yvarphid[mif3,mif2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,2] * self.yvarphid[mif3,mif2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphid[mif3,2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,2] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,2] * self.yvarphid[mif3,mif2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,2] * self.yvarphid[mif3,mif2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,2] * self.yvarphid[mif3,mif2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[mif2,mif3] * self.yvarphid[0,0] * self.yvarphidbar[mif4,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[mif2,mif3] * self.yvarphid[0,1] * self.yvarphidbar[mif4,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[mif2,mif3] * self.yvarphid[0,2] * self.yvarphidbar[mif4,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[mif2,mif3] * self.yvarphid[1,0] * self.yvarphidbar[mif4,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[mif2,mif3] * self.yvarphid[1,1] * self.yvarphidbar[mif4,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[mif2,mif3] * self.yvarphid[1,2] * self.yvarphidbar[mif4,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[mif2,mif3] * self.yvarphid[2,0] * self.yvarphidbar[mif4,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[mif2,mif3] * self.yvarphid[2,1] * self.yvarphidbar[mif4,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[mif2,mif3] * self.yvarphid[2,2] * self.yvarphidbar[mif4,mif1] + -1/6 * (self.Mvarphi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + -1/6912 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + -1/2304 * self.epsilonbar * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + -1/256 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + -3/256 * self.epsilonbar * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + -1/36 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + -1/12 * self.epsilonbar * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + -1/3456 * self.epsilonbar * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + -1/128 * self.epsilonbar * (self.g2)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + -1/18 * self.epsilonbar * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + 1/3456 * self.epsilonbar * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + 1/128 * self.epsilonbar * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + 1/18 * self.epsilonbar * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphid[mif3,0] * self.yvarphidbar[0,0] * self.yvarphidbar[mif4,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphid[mif3,0] * self.yvarphidbar[0,0] * self.yvarphidbar[mif4,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif2] * self.yvarphid[mif3,0] * self.yvarphidbar[0,0] * self.yvarphidbar[mif4,mif1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphid[mif3,1] * self.yvarphidbar[0,1] * self.yvarphidbar[mif4,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphid[mif3,1] * self.yvarphidbar[0,1] * self.yvarphidbar[mif4,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif2] * self.yvarphid[mif3,1] * self.yvarphidbar[0,1] * self.yvarphidbar[mif4,mif1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphid[mif3,2] * self.yvarphidbar[0,2] * self.yvarphidbar[mif4,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphid[mif3,2] * self.yvarphidbar[0,2] * self.yvarphidbar[mif4,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif2] * self.yvarphid[mif3,2] * self.yvarphidbar[0,2] * self.yvarphidbar[mif4,mif1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphid[mif3,0] * self.yvarphidbar[1,0] * self.yvarphidbar[mif4,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphid[mif3,0] * self.yvarphidbar[1,0] * self.yvarphidbar[mif4,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif2] * self.yvarphid[mif3,0] * self.yvarphidbar[1,0] * self.yvarphidbar[mif4,mif1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphid[mif3,1] * self.yvarphidbar[1,1] * self.yvarphidbar[mif4,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphid[mif3,1] * self.yvarphidbar[1,1] * self.yvarphidbar[mif4,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif2] * self.yvarphid[mif3,1] * self.yvarphidbar[1,1] * self.yvarphidbar[mif4,mif1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphid[mif3,2] * self.yvarphidbar[1,2] * self.yvarphidbar[mif4,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphid[mif3,2] * self.yvarphidbar[1,2] * self.yvarphidbar[mif4,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif2] * self.yvarphid[mif3,2] * self.yvarphidbar[1,2] * self.yvarphidbar[mif4,mif1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphid[mif3,0] * self.yvarphidbar[2,0] * self.yvarphidbar[mif4,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphid[mif3,0] * self.yvarphidbar[2,0] * self.yvarphidbar[mif4,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif2] * self.yvarphid[mif3,0] * self.yvarphidbar[2,0] * self.yvarphidbar[mif4,mif1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphid[mif3,1] * self.yvarphidbar[2,1] * self.yvarphidbar[mif4,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphid[mif3,1] * self.yvarphidbar[2,1] * self.yvarphidbar[mif4,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif2] * self.yvarphid[mif3,1] * self.yvarphidbar[2,1] * self.yvarphidbar[mif4,mif1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphid[mif3,2] * self.yvarphidbar[2,2] * self.yvarphidbar[mif4,mif1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphid[mif3,2] * self.yvarphidbar[2,2] * self.yvarphidbar[mif4,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif2] * self.yvarphid[mif3,2] * self.yvarphidbar[2,2] * self.yvarphidbar[mif4,mif1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[0,0] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,0] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[0,0] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yubar[0,0] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yubar[mif2,0] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yubar[mif2,0] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yubar[mif2,0] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[1,0] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,0] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[1,0] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yubar[1,0] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yubar[mif2,0] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yubar[mif2,0] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yubar[mif2,0] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[2,0] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,0] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[2,0] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yubar[2,0] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yubar[mif2,0] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yubar[mif2,0] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yubar[mif2,0] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[0,1] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,1] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[0,1] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yubar[0,1] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yubar[mif2,1] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yubar[mif2,1] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yubar[mif2,1] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[1,1] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,1] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[1,1] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yubar[1,1] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yubar[mif2,1] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yubar[mif2,1] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yubar[mif2,1] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[2,1] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,1] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[2,1] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yubar[2,1] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yubar[mif2,1] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yubar[mif2,1] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yubar[mif2,1] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[0,2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,2] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[0,2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yubar[0,2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yubar[mif2,2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yubar[mif2,2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yubar[mif2,2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[1,2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,2] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[1,2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yubar[1,2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yubar[mif2,2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yubar[mif2,2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yubar[mif2,2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[2,2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,2] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[2,2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yubar[2,2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yubar[mif2,2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yubar[mif2,2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yubar[mif2,2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,2] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[0,0] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,0] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[0,0] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yu[0,0] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[mif1,0] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[mif1,0] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.yu[mif1,0] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[1,0] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,0] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[1,0] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yu[1,0] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[mif1,0] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[mif1,0] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.yu[mif1,0] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[2,0] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,0] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[2,0] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,0] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yu[2,0] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[mif1,0] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[mif1,0] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.yu[mif1,0] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,0] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[0,0] * self.yvarphiubar[mif2,0] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[0,0] * self.yvarphiubar[mif2,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[0,0] * self.yvarphiubar[mif2,0] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[1,0] * self.yvarphiubar[mif2,0] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[1,0] * self.yvarphiubar[mif2,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[1,0] * self.yvarphiubar[mif2,0] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[2,0] * self.yvarphiubar[mif2,0] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[2,0] * self.yvarphiubar[mif2,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[2,0] * self.yvarphiubar[mif2,0] + 35/5184 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + 1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + -1/216 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[0,1] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,1] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[0,1] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yu[0,1] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[mif1,1] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[mif1,1] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.yu[mif1,1] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[1,1] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,1] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[1,1] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yu[1,1] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[mif1,1] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[mif1,1] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.yu[mif1,1] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[2,1] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,1] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[2,1] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,1] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yu[2,1] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[mif1,1] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[mif1,1] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.yu[mif1,1] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,1] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[0,1] * self.yvarphiubar[mif2,1] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[0,1] * self.yvarphiubar[mif2,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[0,1] * self.yvarphiubar[mif2,1] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[1,1] * self.yvarphiubar[mif2,1] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[1,1] * self.yvarphiubar[mif2,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[1,1] * self.yvarphiubar[mif2,1] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[2,1] * self.yvarphiubar[mif2,1] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[2,1] * self.yvarphiubar[mif2,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[2,1] * self.yvarphiubar[mif2,1] + 35/5184 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + 1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + -1/216 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[0,2] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,2] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[0,2] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yu[0,2] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[mif1,2] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[mif1,2] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.yu[mif1,2] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[1,2] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,2] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[1,2] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yu[1,2] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[mif1,2] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[mif1,2] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.yu[mif1,2] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[2,2] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,2] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[2,2] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,2] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yu[2,2] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[mif1,2] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[mif1,2] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.yu[mif1,2] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,2] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[0,2] * self.yvarphiubar[mif2,2] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[0,2] * self.yvarphiubar[mif2,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[0,2] * self.yvarphiubar[mif2,2] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[1,2] * self.yvarphiubar[mif2,2] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[1,2] * self.yvarphiubar[mif2,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[1,2] * self.yvarphiubar[mif2,2] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[2,2] * self.yvarphiubar[mif2,2] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[2,2] * self.yvarphiubar[mif2,2] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[2,2] * self.yvarphiubar[mif2,2] + 35/5184 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + 1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + -1/216 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2])

    def alphaOqd8(self, mif1,mif2,mif3,mif4):
        return (3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.ydbar[0,0] * self.yvarphid[mif3,mif2] * self.yvarphidbar[0,0] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.ydbar[1,0] * self.yvarphid[mif3,mif2] * self.yvarphidbar[0,1] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.ydbar[2,0] * self.yvarphid[mif3,mif2] * self.yvarphidbar[0,2] + -1/36 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + -1/48 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + 1/48 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.ydbar[0,1] * self.yvarphid[mif3,mif2] * self.yvarphidbar[1,0] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.ydbar[1,1] * self.yvarphid[mif3,mif2] * self.yvarphidbar[1,1] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.ydbar[2,1] * self.yvarphid[mif3,mif2] * self.yvarphidbar[1,2] + -1/36 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + -1/48 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + 1/48 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.ydbar[0,2] * self.yvarphid[mif3,mif2] * self.yvarphidbar[2,0] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.ydbar[1,2] * self.yvarphid[mif3,mif2] * self.yvarphidbar[2,1] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.ydbar[2,2] * self.yvarphid[mif3,mif2] * self.yvarphidbar[2,2] + -1/36 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + -1/48 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + 1/48 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + -1/18 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + -1/24 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + 1/24 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,0] * self.yvarphid[mif3,mif2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,0] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,0] * self.yvarphid[mif3,mif2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,0] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,0] * self.yvarphid[mif3,mif2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,0] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,0] * self.yvarphid[mif3,mif2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,0] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,0] * self.yvarphid[mif3,mif2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,0] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,0] * self.yvarphid[mif3,mif2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,0] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,0] * self.yvarphid[mif3,mif2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,0] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,0] * self.yvarphid[mif3,mif2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,0] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,0] * self.yvarphid[mif3,mif2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,0] + -1/18 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + -1/24 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + 1/24 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,1] * self.yvarphid[mif3,mif2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,1] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,1] * self.yvarphid[mif3,mif2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,1] * self.yvarphid[mif3,mif2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,1] * self.yvarphid[mif3,mif2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,1] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,1] * self.yvarphid[mif3,mif2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,1] * self.yvarphid[mif3,mif2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,1] * self.yvarphid[mif3,mif2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,1] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,1] * self.yvarphid[mif3,mif2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,1] * self.yvarphid[mif3,mif2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,1] + -1/18 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + -1/24 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + 1/24 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,2] * self.yvarphid[mif3,mif2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,2] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,2] * self.yvarphid[mif3,mif2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,2] * self.yvarphid[mif3,mif2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,2] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,2] * self.yvarphid[mif3,mif2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,2] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,2] * self.yvarphid[mif3,mif2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,2] * self.yvarphid[mif3,mif2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,2] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,2] * self.yvarphid[mif3,mif2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,2] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,2] * self.yvarphid[mif3,mif2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,2] * self.yvarphid[mif3,mif2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,2] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[mif2,mif3] * self.yvarphid[0,0] * self.yvarphidbar[mif4,mif1] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[mif2,mif3] * self.yvarphid[0,1] * self.yvarphidbar[mif4,mif1] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[mif2,mif3] * self.yvarphid[0,2] * self.yvarphidbar[mif4,mif1] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[mif2,mif3] * self.yvarphid[1,0] * self.yvarphidbar[mif4,mif1] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[mif2,mif3] * self.yvarphid[1,1] * self.yvarphidbar[mif4,mif1] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[mif2,mif3] * self.yvarphid[1,2] * self.yvarphidbar[mif4,mif1] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[mif2,mif3] * self.yvarphid[2,0] * self.yvarphidbar[mif4,mif1] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[mif2,mif3] * self.yvarphid[2,1] * self.yvarphidbar[mif4,mif1] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[mif2,mif3] * self.yvarphid[2,2] * self.yvarphidbar[mif4,mif1] + -1 * (self.Mvarphi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + -1/1152 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + -1/384 * self.epsilonbar * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + -3/128 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + -9/128 * self.epsilonbar * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + 1/48 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + 1/16 * self.epsilonbar * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + -1/576 * self.epsilonbar * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + -3/64 * self.epsilonbar * (self.g2)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + 1/24 * self.epsilonbar * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + 1/576 * self.epsilonbar * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + 3/64 * self.epsilonbar * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + -1/24 * self.epsilonbar * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,mif1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphid[mif3,0] * self.yvarphidbar[0,0] * self.yvarphidbar[mif4,mif1] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphid[mif3,0] * self.yvarphidbar[0,0] * self.yvarphidbar[mif4,mif1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif2] * self.yvarphid[mif3,0] * self.yvarphidbar[0,0] * self.yvarphidbar[mif4,mif1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphid[mif3,1] * self.yvarphidbar[0,1] * self.yvarphidbar[mif4,mif1] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphid[mif3,1] * self.yvarphidbar[0,1] * self.yvarphidbar[mif4,mif1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif2] * self.yvarphid[mif3,1] * self.yvarphidbar[0,1] * self.yvarphidbar[mif4,mif1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphid[mif3,2] * self.yvarphidbar[0,2] * self.yvarphidbar[mif4,mif1] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphid[mif3,2] * self.yvarphidbar[0,2] * self.yvarphidbar[mif4,mif1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif2] * self.yvarphid[mif3,2] * self.yvarphidbar[0,2] * self.yvarphidbar[mif4,mif1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphid[mif3,0] * self.yvarphidbar[1,0] * self.yvarphidbar[mif4,mif1] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphid[mif3,0] * self.yvarphidbar[1,0] * self.yvarphidbar[mif4,mif1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif2] * self.yvarphid[mif3,0] * self.yvarphidbar[1,0] * self.yvarphidbar[mif4,mif1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphid[mif3,1] * self.yvarphidbar[1,1] * self.yvarphidbar[mif4,mif1] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphid[mif3,1] * self.yvarphidbar[1,1] * self.yvarphidbar[mif4,mif1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif2] * self.yvarphid[mif3,1] * self.yvarphidbar[1,1] * self.yvarphidbar[mif4,mif1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphid[mif3,2] * self.yvarphidbar[1,2] * self.yvarphidbar[mif4,mif1] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphid[mif3,2] * self.yvarphidbar[1,2] * self.yvarphidbar[mif4,mif1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif2] * self.yvarphid[mif3,2] * self.yvarphidbar[1,2] * self.yvarphidbar[mif4,mif1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphid[mif3,0] * self.yvarphidbar[2,0] * self.yvarphidbar[mif4,mif1] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphid[mif3,0] * self.yvarphidbar[2,0] * self.yvarphidbar[mif4,mif1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif2] * self.yvarphid[mif3,0] * self.yvarphidbar[2,0] * self.yvarphidbar[mif4,mif1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphid[mif3,1] * self.yvarphidbar[2,1] * self.yvarphidbar[mif4,mif1] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphid[mif3,1] * self.yvarphidbar[2,1] * self.yvarphidbar[mif4,mif1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif2] * self.yvarphid[mif3,1] * self.yvarphidbar[2,1] * self.yvarphidbar[mif4,mif1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphid[mif3,2] * self.yvarphidbar[2,2] * self.yvarphidbar[mif4,mif1] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphid[mif3,2] * self.yvarphidbar[2,2] * self.yvarphidbar[mif4,mif1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif2] * self.yvarphid[mif3,2] * self.yvarphidbar[2,2] * self.yvarphidbar[mif4,mif1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[0,0] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[0,0] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yubar[0,0] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[1,0] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[1,0] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yubar[1,0] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[2,0] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[2,0] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yubar[2,0] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[0,1] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[0,1] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yubar[0,1] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[1,1] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[1,1] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yubar[1,1] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[2,1] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[2,1] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yubar[2,1] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[0,2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[0,2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yubar[0,2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[1,2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[1,2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yubar[1,2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[2,2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,mif3] * self.yubar[2,2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,mif3] * self.yubar[2,2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,2] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,mif2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[0,0] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[0,0] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yu[0,0] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[1,0] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[1,0] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yu[1,0] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[2,0] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,0] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[2,0] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yu[2,0] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,0] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[0,0] * self.yvarphiubar[mif2,0] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[0,0] * self.yvarphiubar[mif2,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[0,0] * self.yvarphiubar[mif2,0] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[1,0] * self.yvarphiubar[mif2,0] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[1,0] * self.yvarphiubar[mif2,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[1,0] * self.yvarphiubar[mif2,0] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[2,0] * self.yvarphiubar[mif2,0] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[2,0] * self.yvarphiubar[mif2,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[2,0] * self.yvarphiubar[mif2,0] + -1/36 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + -1/48 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + 1/48 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[0,1] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[0,1] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yu[0,1] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[1,1] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[1,1] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yu[1,1] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[2,1] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[2,1] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yu[2,1] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,1] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[0,1] * self.yvarphiubar[mif2,1] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[0,1] * self.yvarphiubar[mif2,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[0,1] * self.yvarphiubar[mif2,1] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[1,1] * self.yvarphiubar[mif2,1] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[1,1] * self.yvarphiubar[mif2,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[1,1] * self.yvarphiubar[mif2,1] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[2,1] * self.yvarphiubar[mif2,1] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[2,1] * self.yvarphiubar[mif2,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[2,1] * self.yvarphiubar[mif2,1] + -1/36 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + -1/48 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + 1/48 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[0,2] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[0,2] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yu[0,2] * self.yvarphid[mif3,0] * self.yvarphiubar[mif2,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[1,2] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[1,2] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yu[1,2] * self.yvarphid[mif3,1] * self.yvarphiubar[mif2,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[2,2] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,mif4] * self.yu[2,2] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,mif4] * self.yu[2,2] * self.yvarphid[mif3,2] * self.yvarphiubar[mif2,2] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[0,2] * self.yvarphiubar[mif2,2] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[0,2] * self.yvarphiubar[mif2,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[0,2] * self.yvarphiubar[mif2,2] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[1,2] * self.yvarphiubar[mif2,2] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[1,2] * self.yvarphiubar[mif2,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[1,2] * self.yvarphiubar[mif2,2] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[2,2] * self.yvarphiubar[mif2,2] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[2,2] * self.yvarphiubar[mif2,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,mif1] * self.yvarphiu[2,2] * self.yvarphiubar[mif2,2] + -1/36 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + -1/48 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + 1/48 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2])

    def alphaOqe(self, mif1,mif2,mif3,mif4):
        return (1/5760 * (self.g1)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -19/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + -1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + 1/144 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + -19/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + -1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + 1/144 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + -19/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + -1/144 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + 1/144 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yl[0,mif4] * self.yvarphidbar[0,mif1] * self.yvarphie[mif3,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yl[0,mif4] * self.yvarphidbar[0,mif1] * self.yvarphie[mif3,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,0] * self.yl[0,mif4] * self.yvarphidbar[0,mif1] * self.yvarphie[mif3,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yl[0,mif4] * self.yvarphidbar[1,mif1] * self.yvarphie[mif3,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yl[0,mif4] * self.yvarphidbar[1,mif1] * self.yvarphie[mif3,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,1] * self.yl[0,mif4] * self.yvarphidbar[1,mif1] * self.yvarphie[mif3,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yl[0,mif4] * self.yvarphidbar[2,mif1] * self.yvarphie[mif3,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yl[0,mif4] * self.yvarphidbar[2,mif1] * self.yvarphie[mif3,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,2] * self.yl[0,mif4] * self.yvarphidbar[2,mif1] * self.yvarphie[mif3,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yl[1,mif4] * self.yvarphidbar[0,mif1] * self.yvarphie[mif3,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yl[1,mif4] * self.yvarphidbar[0,mif1] * self.yvarphie[mif3,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,0] * self.yl[1,mif4] * self.yvarphidbar[0,mif1] * self.yvarphie[mif3,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yl[1,mif4] * self.yvarphidbar[1,mif1] * self.yvarphie[mif3,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yl[1,mif4] * self.yvarphidbar[1,mif1] * self.yvarphie[mif3,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,1] * self.yl[1,mif4] * self.yvarphidbar[1,mif1] * self.yvarphie[mif3,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yl[1,mif4] * self.yvarphidbar[2,mif1] * self.yvarphie[mif3,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yl[1,mif4] * self.yvarphidbar[2,mif1] * self.yvarphie[mif3,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,2] * self.yl[1,mif4] * self.yvarphidbar[2,mif1] * self.yvarphie[mif3,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yl[2,mif4] * self.yvarphidbar[0,mif1] * self.yvarphie[mif3,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yl[2,mif4] * self.yvarphidbar[0,mif1] * self.yvarphie[mif3,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,0] * self.yl[2,mif4] * self.yvarphidbar[0,mif1] * self.yvarphie[mif3,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yl[2,mif4] * self.yvarphidbar[1,mif1] * self.yvarphie[mif3,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yl[2,mif4] * self.yvarphidbar[1,mif1] * self.yvarphie[mif3,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,1] * self.yl[2,mif4] * self.yvarphidbar[1,mif1] * self.yvarphie[mif3,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yl[2,mif4] * self.yvarphidbar[2,mif1] * self.yvarphie[mif3,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yl[2,mif4] * self.yvarphidbar[2,mif1] * self.yvarphie[mif3,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,2] * self.yl[2,mif4] * self.yvarphidbar[2,mif1] * self.yvarphie[mif3,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ylbar[0,mif3] * self.yvarphid[0,mif2] * self.yvarphiebar[mif4,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ylbar[0,mif3] * self.yvarphid[0,mif2] * self.yvarphiebar[mif4,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ylbar[0,mif3] * self.yvarphid[0,mif2] * self.yvarphiebar[mif4,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ylbar[0,mif3] * self.yvarphid[1,mif2] * self.yvarphiebar[mif4,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ylbar[0,mif3] * self.yvarphid[1,mif2] * self.yvarphiebar[mif4,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ylbar[0,mif3] * self.yvarphid[1,mif2] * self.yvarphiebar[mif4,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ylbar[0,mif3] * self.yvarphid[2,mif2] * self.yvarphiebar[mif4,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ylbar[0,mif3] * self.yvarphid[2,mif2] * self.yvarphiebar[mif4,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ylbar[0,mif3] * self.yvarphid[2,mif2] * self.yvarphiebar[mif4,0] + 7/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[mif3,0] * self.yvarphiebar[mif4,0] + 1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[mif3,0] * self.yvarphiebar[mif4,0] + -1/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[mif3,0] * self.yvarphiebar[mif4,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] * self.yvarphie[mif3,0] * self.yvarphiebar[mif4,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] * self.yvarphie[mif3,0] * self.yvarphiebar[mif4,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] * self.yvarphie[mif3,0] * self.yvarphiebar[mif4,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ylbar[1,mif3] * self.yvarphid[0,mif2] * self.yvarphiebar[mif4,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ylbar[1,mif3] * self.yvarphid[0,mif2] * self.yvarphiebar[mif4,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ylbar[1,mif3] * self.yvarphid[0,mif2] * self.yvarphiebar[mif4,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ylbar[1,mif3] * self.yvarphid[1,mif2] * self.yvarphiebar[mif4,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ylbar[1,mif3] * self.yvarphid[1,mif2] * self.yvarphiebar[mif4,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ylbar[1,mif3] * self.yvarphid[1,mif2] * self.yvarphiebar[mif4,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ylbar[1,mif3] * self.yvarphid[2,mif2] * self.yvarphiebar[mif4,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ylbar[1,mif3] * self.yvarphid[2,mif2] * self.yvarphiebar[mif4,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ylbar[1,mif3] * self.yvarphid[2,mif2] * self.yvarphiebar[mif4,1] + 7/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[mif3,1] * self.yvarphiebar[mif4,1] + 1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[mif3,1] * self.yvarphiebar[mif4,1] + -1/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[mif3,1] * self.yvarphiebar[mif4,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] * self.yvarphie[mif3,1] * self.yvarphiebar[mif4,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] * self.yvarphie[mif3,1] * self.yvarphiebar[mif4,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] * self.yvarphie[mif3,1] * self.yvarphiebar[mif4,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ylbar[2,mif3] * self.yvarphid[0,mif2] * self.yvarphiebar[mif4,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ylbar[2,mif3] * self.yvarphid[0,mif2] * self.yvarphiebar[mif4,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ylbar[2,mif3] * self.yvarphid[0,mif2] * self.yvarphiebar[mif4,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ylbar[2,mif3] * self.yvarphid[1,mif2] * self.yvarphiebar[mif4,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ylbar[2,mif3] * self.yvarphid[1,mif2] * self.yvarphiebar[mif4,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ylbar[2,mif3] * self.yvarphid[1,mif2] * self.yvarphiebar[mif4,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ylbar[2,mif3] * self.yvarphid[2,mif2] * self.yvarphiebar[mif4,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ylbar[2,mif3] * self.yvarphid[2,mif2] * self.yvarphiebar[mif4,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ylbar[2,mif3] * self.yvarphid[2,mif2] * self.yvarphiebar[mif4,2] + 7/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[mif3,2] * self.yvarphiebar[mif4,2] + 1/288 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphie[mif3,2] * self.yvarphiebar[mif4,2] + -1/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphie[mif3,2] * self.yvarphiebar[mif4,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] * self.yvarphie[mif3,2] * self.yvarphiebar[mif4,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] * self.yvarphie[mif3,2] * self.yvarphiebar[mif4,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] * self.yvarphie[mif3,2] * self.yvarphiebar[mif4,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[0,mif3] * self.yubar[mif2,0] * self.yvarphiebar[mif4,0] * self.yvarphiu[mif1,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[0,mif3] * self.yubar[mif2,0] * self.yvarphiebar[mif4,0] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[0,mif3] * self.yubar[mif2,0] * self.yvarphiebar[mif4,0] * self.yvarphiu[mif1,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[1,mif3] * self.yubar[mif2,0] * self.yvarphiebar[mif4,1] * self.yvarphiu[mif1,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[1,mif3] * self.yubar[mif2,0] * self.yvarphiebar[mif4,1] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[1,mif3] * self.yubar[mif2,0] * self.yvarphiebar[mif4,1] * self.yvarphiu[mif1,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[2,mif3] * self.yubar[mif2,0] * self.yvarphiebar[mif4,2] * self.yvarphiu[mif1,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[2,mif3] * self.yubar[mif2,0] * self.yvarphiebar[mif4,2] * self.yvarphiu[mif1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[2,mif3] * self.yubar[mif2,0] * self.yvarphiebar[mif4,2] * self.yvarphiu[mif1,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[0,mif3] * self.yubar[mif2,1] * self.yvarphiebar[mif4,0] * self.yvarphiu[mif1,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[0,mif3] * self.yubar[mif2,1] * self.yvarphiebar[mif4,0] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[0,mif3] * self.yubar[mif2,1] * self.yvarphiebar[mif4,0] * self.yvarphiu[mif1,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[1,mif3] * self.yubar[mif2,1] * self.yvarphiebar[mif4,1] * self.yvarphiu[mif1,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[1,mif3] * self.yubar[mif2,1] * self.yvarphiebar[mif4,1] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[1,mif3] * self.yubar[mif2,1] * self.yvarphiebar[mif4,1] * self.yvarphiu[mif1,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[2,mif3] * self.yubar[mif2,1] * self.yvarphiebar[mif4,2] * self.yvarphiu[mif1,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[2,mif3] * self.yubar[mif2,1] * self.yvarphiebar[mif4,2] * self.yvarphiu[mif1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[2,mif3] * self.yubar[mif2,1] * self.yvarphiebar[mif4,2] * self.yvarphiu[mif1,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[0,mif3] * self.yubar[mif2,2] * self.yvarphiebar[mif4,0] * self.yvarphiu[mif1,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[0,mif3] * self.yubar[mif2,2] * self.yvarphiebar[mif4,0] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[0,mif3] * self.yubar[mif2,2] * self.yvarphiebar[mif4,0] * self.yvarphiu[mif1,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[1,mif3] * self.yubar[mif2,2] * self.yvarphiebar[mif4,1] * self.yvarphiu[mif1,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[1,mif3] * self.yubar[mif2,2] * self.yvarphiebar[mif4,1] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[1,mif3] * self.yubar[mif2,2] * self.yvarphiebar[mif4,1] * self.yvarphiu[mif1,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[2,mif3] * self.yubar[mif2,2] * self.yvarphiebar[mif4,2] * self.yvarphiu[mif1,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ylbar[2,mif3] * self.yubar[mif2,2] * self.yvarphiebar[mif4,2] * self.yvarphiu[mif1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ylbar[2,mif3] * self.yubar[mif2,2] * self.yvarphiebar[mif4,2] * self.yvarphiu[mif1,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif4] * self.yu[mif1,0] * self.yvarphie[mif3,0] * self.yvarphiubar[mif2,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif4] * self.yu[mif1,0] * self.yvarphie[mif3,0] * self.yvarphiubar[mif2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,mif4] * self.yu[mif1,0] * self.yvarphie[mif3,0] * self.yvarphiubar[mif2,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif4] * self.yu[mif1,0] * self.yvarphie[mif3,1] * self.yvarphiubar[mif2,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif4] * self.yu[mif1,0] * self.yvarphie[mif3,1] * self.yvarphiubar[mif2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,mif4] * self.yu[mif1,0] * self.yvarphie[mif3,1] * self.yvarphiubar[mif2,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif4] * self.yu[mif1,0] * self.yvarphie[mif3,2] * self.yvarphiubar[mif2,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif4] * self.yu[mif1,0] * self.yvarphie[mif3,2] * self.yvarphiubar[mif2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,mif4] * self.yu[mif1,0] * self.yvarphie[mif3,2] * self.yvarphiubar[mif2,0] + 35/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + 1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + -1/72 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif3,0] * self.yvarphiebar[mif4,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif3,1] * self.yvarphiebar[mif4,1] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif3,2] * self.yvarphiebar[mif4,2] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif4] * self.yu[mif1,1] * self.yvarphie[mif3,0] * self.yvarphiubar[mif2,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif4] * self.yu[mif1,1] * self.yvarphie[mif3,0] * self.yvarphiubar[mif2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,mif4] * self.yu[mif1,1] * self.yvarphie[mif3,0] * self.yvarphiubar[mif2,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif4] * self.yu[mif1,1] * self.yvarphie[mif3,1] * self.yvarphiubar[mif2,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif4] * self.yu[mif1,1] * self.yvarphie[mif3,1] * self.yvarphiubar[mif2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,mif4] * self.yu[mif1,1] * self.yvarphie[mif3,1] * self.yvarphiubar[mif2,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif4] * self.yu[mif1,1] * self.yvarphie[mif3,2] * self.yvarphiubar[mif2,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif4] * self.yu[mif1,1] * self.yvarphie[mif3,2] * self.yvarphiubar[mif2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,mif4] * self.yu[mif1,1] * self.yvarphie[mif3,2] * self.yvarphiubar[mif2,1] + 35/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + 1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + -1/72 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif3,0] * self.yvarphiebar[mif4,0] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif3,1] * self.yvarphiebar[mif4,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif3,2] * self.yvarphiebar[mif4,2] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif4] * self.yu[mif1,2] * self.yvarphie[mif3,0] * self.yvarphiubar[mif2,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[0,mif4] * self.yu[mif1,2] * self.yvarphie[mif3,0] * self.yvarphiubar[mif2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[0,mif4] * self.yu[mif1,2] * self.yvarphie[mif3,0] * self.yvarphiubar[mif2,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif4] * self.yu[mif1,2] * self.yvarphie[mif3,1] * self.yvarphiubar[mif2,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[1,mif4] * self.yu[mif1,2] * self.yvarphie[mif3,1] * self.yvarphiubar[mif2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[1,mif4] * self.yu[mif1,2] * self.yvarphie[mif3,1] * self.yvarphiubar[mif2,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif4] * self.yu[mif1,2] * self.yvarphie[mif3,2] * self.yvarphiubar[mif2,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yl[2,mif4] * self.yu[mif1,2] * self.yvarphie[mif3,2] * self.yvarphiubar[mif2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yl[2,mif4] * self.yu[mif1,2] * self.yvarphie[mif3,2] * self.yvarphiubar[mif2,2] + 35/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + 1/72 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + -1/72 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif3,0] * self.yvarphiebar[mif4,0] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif3,1] * self.yvarphiebar[mif4,1] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphie[mif3,2] * self.yvarphiebar[mif4,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2])

    def alphaOqq1(self, mif1,mif2,mif3,mif4):
        return (-1/69120 * (self.g1)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 19/20736 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + 1/432 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + 1/1728 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + 1/576 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + -1/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + -1/576 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif1] + -1/384 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif1] + 1/384 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.ydbar[mif2,0] * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.ydbar[mif2,0] * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,0] * self.ydbar[mif2,0] * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.ydbar[mif2,0] * self.yvarphid[1,mif4] * self.yvarphidbar[0,mif1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.ydbar[mif2,0] * self.yvarphid[1,mif4] * self.yvarphidbar[0,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,1] * self.ydbar[mif2,0] * self.yvarphid[1,mif4] * self.yvarphidbar[0,mif1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.ydbar[mif2,0] * self.yvarphid[2,mif4] * self.yvarphidbar[0,mif1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.ydbar[mif2,0] * self.yvarphid[2,mif4] * self.yvarphidbar[0,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,2] * self.ydbar[mif2,0] * self.yvarphid[2,mif4] * self.yvarphidbar[0,mif1] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif3] + -1/384 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif3] + 1/384 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif3] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif4,0] * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif3] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif4,0] * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[mif4,0] * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif3] + 19/20736 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif3] + 1/432 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif3] + 1/1728 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif3] + 1/576 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif3] + -1/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif3] + -1/576 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif3] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif4,0] * self.yvarphid[1,mif2] * self.yvarphidbar[0,mif3] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif4,0] * self.yvarphid[1,mif2] * self.yvarphidbar[0,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[mif4,0] * self.yvarphid[1,mif2] * self.yvarphidbar[0,mif3] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif4,0] * self.yvarphid[2,mif2] * self.yvarphidbar[0,mif3] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif4,0] * self.yvarphid[2,mif2] * self.yvarphidbar[0,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[mif4,0] * self.yvarphid[2,mif2] * self.yvarphidbar[0,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif1] * self.yvarphidbar[0,mif3] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.ydbar[mif2,1] * self.yvarphid[0,mif4] * self.yvarphidbar[1,mif1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.ydbar[mif2,1] * self.yvarphid[0,mif4] * self.yvarphidbar[1,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,0] * self.ydbar[mif2,1] * self.yvarphid[0,mif4] * self.yvarphidbar[1,mif1] + 19/20736 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + 1/432 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + 1/1728 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + 1/576 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + -1/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + -1/576 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif1] + -1/384 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif1] + 1/384 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.ydbar[mif2,1] * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.ydbar[mif2,1] * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,1] * self.ydbar[mif2,1] * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.ydbar[mif2,1] * self.yvarphid[2,mif4] * self.yvarphidbar[1,mif1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.ydbar[mif2,1] * self.yvarphid[2,mif4] * self.yvarphidbar[1,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,2] * self.ydbar[mif2,1] * self.yvarphid[2,mif4] * self.yvarphidbar[1,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif4] * self.yvarphid[1,mif2] * self.yvarphidbar[0,mif3] * self.yvarphidbar[1,mif1] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif4,1] * self.yvarphid[0,mif2] * self.yvarphidbar[1,mif3] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif4,1] * self.yvarphid[0,mif2] * self.yvarphidbar[1,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[mif4,1] * self.yvarphid[0,mif2] * self.yvarphidbar[1,mif3] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif3] + -1/384 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif3] + 1/384 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif3] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif4,1] * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif3] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif4,1] * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[mif4,1] * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif3] + 19/20736 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif3] + 1/432 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif3] + 1/1728 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif3] + 1/576 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif3] + -1/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif3] + -1/576 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif3] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif4,1] * self.yvarphid[2,mif2] * self.yvarphidbar[1,mif3] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif4,1] * self.yvarphid[2,mif2] * self.yvarphidbar[1,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[mif4,1] * self.yvarphid[2,mif2] * self.yvarphidbar[1,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphid[1,mif4] * self.yvarphidbar[0,mif1] * self.yvarphidbar[1,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif1] * self.yvarphidbar[1,mif3] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.ydbar[mif2,2] * self.yvarphid[0,mif4] * self.yvarphidbar[2,mif1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.ydbar[mif2,2] * self.yvarphid[0,mif4] * self.yvarphidbar[2,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,0] * self.ydbar[mif2,2] * self.yvarphid[0,mif4] * self.yvarphidbar[2,mif1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.ydbar[mif2,2] * self.yvarphid[1,mif4] * self.yvarphidbar[2,mif1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.ydbar[mif2,2] * self.yvarphid[1,mif4] * self.yvarphidbar[2,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,1] * self.ydbar[mif2,2] * self.yvarphid[1,mif4] * self.yvarphidbar[2,mif1] + 19/20736 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + 1/432 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + 1/1728 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + 1/576 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + -1/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + -1/576 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif1] + -1/384 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif1] + 1/384 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.ydbar[mif2,2] * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.ydbar[mif2,2] * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,2] * self.ydbar[mif2,2] * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif4] * self.yvarphid[2,mif2] * self.yvarphidbar[0,mif3] * self.yvarphidbar[2,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif4] * self.yvarphid[2,mif2] * self.yvarphidbar[1,mif3] * self.yvarphidbar[2,mif1] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif4,2] * self.yvarphid[0,mif2] * self.yvarphidbar[2,mif3] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif4,2] * self.yvarphid[0,mif2] * self.yvarphidbar[2,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[mif4,2] * self.yvarphid[0,mif2] * self.yvarphidbar[2,mif3] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif4,2] * self.yvarphid[1,mif2] * self.yvarphidbar[2,mif3] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif4,2] * self.yvarphid[1,mif2] * self.yvarphidbar[2,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[mif4,2] * self.yvarphid[1,mif2] * self.yvarphidbar[2,mif3] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif3] + -1/384 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif3] + 1/384 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif3] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif4,2] * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif3] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif4,2] * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[mif4,2] * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif3] + 19/20736 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif3] + 1/432 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif3] + 1/1728 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif3] + 1/576 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif3] + -1/1728 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif3] + -1/576 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphid[2,mif4] * self.yvarphidbar[0,mif1] * self.yvarphidbar[2,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphid[2,mif4] * self.yvarphidbar[1,mif1] * self.yvarphidbar[2,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif1] * self.yvarphidbar[2,mif3] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yubar[mif2,0] * self.yvarphidbar[0,mif3] * self.yvarphiu[mif1,0] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yubar[mif2,0] * self.yvarphidbar[0,mif3] * self.yvarphiu[mif1,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,0] * self.yubar[mif2,0] * self.yvarphidbar[0,mif3] * self.yvarphiu[mif1,0] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yubar[mif2,0] * self.yvarphidbar[1,mif3] * self.yvarphiu[mif1,0] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yubar[mif2,0] * self.yvarphidbar[1,mif3] * self.yvarphiu[mif1,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,1] * self.yubar[mif2,0] * self.yvarphidbar[1,mif3] * self.yvarphiu[mif1,0] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yubar[mif2,0] * self.yvarphidbar[2,mif3] * self.yvarphiu[mif1,0] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yubar[mif2,0] * self.yvarphidbar[2,mif3] * self.yvarphiu[mif1,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,2] * self.yubar[mif2,0] * self.yvarphidbar[2,mif3] * self.yvarphiu[mif1,0] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yubar[mif2,1] * self.yvarphidbar[0,mif3] * self.yvarphiu[mif1,1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yubar[mif2,1] * self.yvarphidbar[0,mif3] * self.yvarphiu[mif1,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,0] * self.yubar[mif2,1] * self.yvarphidbar[0,mif3] * self.yvarphiu[mif1,1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yubar[mif2,1] * self.yvarphidbar[1,mif3] * self.yvarphiu[mif1,1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yubar[mif2,1] * self.yvarphidbar[1,mif3] * self.yvarphiu[mif1,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,1] * self.yubar[mif2,1] * self.yvarphidbar[1,mif3] * self.yvarphiu[mif1,1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yubar[mif2,1] * self.yvarphidbar[2,mif3] * self.yvarphiu[mif1,1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yubar[mif2,1] * self.yvarphidbar[2,mif3] * self.yvarphiu[mif1,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,2] * self.yubar[mif2,1] * self.yvarphidbar[2,mif3] * self.yvarphiu[mif1,1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yubar[mif2,2] * self.yvarphidbar[0,mif3] * self.yvarphiu[mif1,2] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yubar[mif2,2] * self.yvarphidbar[0,mif3] * self.yvarphiu[mif1,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,0] * self.yubar[mif2,2] * self.yvarphidbar[0,mif3] * self.yvarphiu[mif1,2] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yubar[mif2,2] * self.yvarphidbar[1,mif3] * self.yvarphiu[mif1,2] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yubar[mif2,2] * self.yvarphidbar[1,mif3] * self.yvarphiu[mif1,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,1] * self.yubar[mif2,2] * self.yvarphidbar[1,mif3] * self.yvarphiu[mif1,2] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yubar[mif2,2] * self.yvarphidbar[2,mif3] * self.yvarphiu[mif1,2] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yubar[mif2,2] * self.yvarphidbar[2,mif3] * self.yvarphiu[mif1,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,2] * self.yubar[mif2,2] * self.yvarphidbar[2,mif3] * self.yvarphiu[mif1,2] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[mif4,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[mif3,0] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[mif4,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[mif3,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,0] * self.yubar[mif4,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[mif3,0] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[mif4,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[mif3,0] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[mif4,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[mif3,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,1] * self.yubar[mif4,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[mif3,0] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[mif4,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[mif3,0] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[mif4,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[mif3,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,2] * self.yubar[mif4,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[mif3,0] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[mif4,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[mif3,1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[mif4,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[mif3,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,0] * self.yubar[mif4,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[mif3,1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[mif4,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[mif3,1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[mif4,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[mif3,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,1] * self.yubar[mif4,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[mif3,1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[mif4,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[mif3,1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[mif4,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[mif3,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,2] * self.yubar[mif4,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[mif3,1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[mif4,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[mif3,2] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[mif4,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[mif3,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,0] * self.yubar[mif4,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[mif3,2] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[mif4,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[mif3,2] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[mif4,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[mif3,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,1] * self.yubar[mif4,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[mif3,2] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[mif4,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[mif3,2] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[mif4,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[mif3,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,2] * self.yubar[mif4,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[mif3,2] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.yu[mif1,0] * self.yvarphid[0,mif4] * self.yvarphiubar[mif2,0] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.yu[mif1,0] * self.yvarphid[0,mif4] * self.yvarphiubar[mif2,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,0] * self.yu[mif1,0] * self.yvarphid[0,mif4] * self.yvarphiubar[mif2,0] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.yu[mif1,0] * self.yvarphid[1,mif4] * self.yvarphiubar[mif2,0] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.yu[mif1,0] * self.yvarphid[1,mif4] * self.yvarphiubar[mif2,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,1] * self.yu[mif1,0] * self.yvarphid[1,mif4] * self.yvarphiubar[mif2,0] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.yu[mif1,0] * self.yvarphid[2,mif4] * self.yvarphiubar[mif2,0] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.yu[mif1,0] * self.yvarphid[2,mif4] * self.yvarphiubar[mif2,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,2] * self.yu[mif1,0] * self.yvarphid[2,mif4] * self.yvarphiubar[mif2,0] + -35/20736 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + 1/432 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + -1/864 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + 1/576 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + 1/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + -1/576 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif3] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif3] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif3] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,0] + -1/384 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,0] + 1/384 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,0] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif4,0] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,0] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif4,0] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[mif4,0] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,0] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif4,1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,0] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif4,1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[mif4,1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,0] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif4,2] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,0] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif4,2] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[mif4,2] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,0] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.yu[mif1,1] * self.yvarphid[0,mif4] * self.yvarphiubar[mif2,1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.yu[mif1,1] * self.yvarphid[0,mif4] * self.yvarphiubar[mif2,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,0] * self.yu[mif1,1] * self.yvarphid[0,mif4] * self.yvarphiubar[mif2,1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.yu[mif1,1] * self.yvarphid[1,mif4] * self.yvarphiubar[mif2,1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.yu[mif1,1] * self.yvarphid[1,mif4] * self.yvarphiubar[mif2,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,1] * self.yu[mif1,1] * self.yvarphid[1,mif4] * self.yvarphiubar[mif2,1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.yu[mif1,1] * self.yvarphid[2,mif4] * self.yvarphiubar[mif2,1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.yu[mif1,1] * self.yvarphid[2,mif4] * self.yvarphiubar[mif2,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,2] * self.yu[mif1,1] * self.yvarphid[2,mif4] * self.yvarphiubar[mif2,1] + -35/20736 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + 1/432 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + -1/864 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + 1/576 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + 1/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + -1/576 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif3] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif3] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif3] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif4,0] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif4,0] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[mif4,0] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,1] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,1] + -1/384 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,1] + 1/384 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,1] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif4,1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif4,1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[mif4,1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,1] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif4,2] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif4,2] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[mif4,2] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.yu[mif1,2] * self.yvarphid[0,mif4] * self.yvarphiubar[mif2,2] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.yu[mif1,2] * self.yvarphid[0,mif4] * self.yvarphiubar[mif2,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,0] * self.yu[mif1,2] * self.yvarphid[0,mif4] * self.yvarphiubar[mif2,2] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.yu[mif1,2] * self.yvarphid[1,mif4] * self.yvarphiubar[mif2,2] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.yu[mif1,2] * self.yvarphid[1,mif4] * self.yvarphiubar[mif2,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,1] * self.yu[mif1,2] * self.yvarphid[1,mif4] * self.yvarphiubar[mif2,2] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.yu[mif1,2] * self.yvarphid[2,mif4] * self.yvarphiubar[mif2,2] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.yu[mif1,2] * self.yvarphid[2,mif4] * self.yvarphiubar[mif2,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,2] * self.yu[mif1,2] * self.yvarphid[2,mif4] * self.yvarphiubar[mif2,2] + -35/20736 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + 1/432 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + -1/864 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + 1/576 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + 1/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + -1/576 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif3] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif3] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif3] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif4,0] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,2] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif4,0] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[mif4,0] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,2] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif4,1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,2] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif4,1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[mif4,1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,2] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,2] + -1/384 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,2] + 1/384 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,2] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif4,2] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,2] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif4,2] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[mif4,2] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,2] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[mif3,0] * self.yvarphid[0,mif2] * self.yvarphiubar[mif4,0] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[mif3,0] * self.yvarphid[0,mif2] * self.yvarphiubar[mif4,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.yu[mif3,0] * self.yvarphid[0,mif2] * self.yvarphiubar[mif4,0] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[mif3,0] * self.yvarphid[1,mif2] * self.yvarphiubar[mif4,0] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[mif3,0] * self.yvarphid[1,mif2] * self.yvarphiubar[mif4,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.yu[mif3,0] * self.yvarphid[1,mif2] * self.yvarphiubar[mif4,0] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[mif3,0] * self.yvarphid[2,mif2] * self.yvarphiubar[mif4,0] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[mif3,0] * self.yvarphid[2,mif2] * self.yvarphiubar[mif4,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.yu[mif3,0] * self.yvarphid[2,mif2] * self.yvarphiubar[mif4,0] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif4,0] + -1/384 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif4,0] + 1/384 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif4,0] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,0] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif4,0] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,0] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif4,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif3,0] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif4,0] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,0] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif4,0] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,0] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif4,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif3,0] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif4,0] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,0] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif4,0] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,0] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif4,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif3,0] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif4,0] + -35/20736 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[mif3,0] * self.yvarphiubar[mif4,0] + 1/432 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[mif3,0] * self.yvarphiubar[mif4,0] + -1/864 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[mif3,0] * self.yvarphiubar[mif4,0] + 1/576 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[mif3,0] * self.yvarphiubar[mif4,0] + 1/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif3,0] * self.yvarphiubar[mif4,0] + -1/576 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif3,0] * self.yvarphiubar[mif4,0] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif4,0] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif4,0] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif4,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,0] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,0] * self.yvarphiubar[mif4,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,1] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,1] * self.yvarphiubar[mif4,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,2] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,2] * self.yvarphiubar[mif4,0] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[mif3,1] * self.yvarphid[0,mif2] * self.yvarphiubar[mif4,1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[mif3,1] * self.yvarphid[0,mif2] * self.yvarphiubar[mif4,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.yu[mif3,1] * self.yvarphid[0,mif2] * self.yvarphiubar[mif4,1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[mif3,1] * self.yvarphid[1,mif2] * self.yvarphiubar[mif4,1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[mif3,1] * self.yvarphid[1,mif2] * self.yvarphiubar[mif4,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.yu[mif3,1] * self.yvarphid[1,mif2] * self.yvarphiubar[mif4,1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[mif3,1] * self.yvarphid[2,mif2] * self.yvarphiubar[mif4,1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[mif3,1] * self.yvarphid[2,mif2] * self.yvarphiubar[mif4,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.yu[mif3,1] * self.yvarphid[2,mif2] * self.yvarphiubar[mif4,1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,1] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif4,1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,1] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif4,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif3,1] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif4,1] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif4,1] + -1/384 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif4,1] + 1/384 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif4,1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,1] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif4,1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,1] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif4,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif3,1] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif4,1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,1] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif4,1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,1] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif4,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif3,1] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif4,1] + -35/20736 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[mif3,1] * self.yvarphiubar[mif4,1] + 1/432 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[mif3,1] * self.yvarphiubar[mif4,1] + -1/864 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[mif3,1] * self.yvarphiubar[mif4,1] + 1/576 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[mif3,1] * self.yvarphiubar[mif4,1] + 1/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif3,1] * self.yvarphiubar[mif4,1] + -1/576 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif3,1] * self.yvarphiubar[mif4,1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif4,1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif4,1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif4,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,0] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,0] * self.yvarphiubar[mif4,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,1] * self.yvarphiubar[mif4,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,2] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,2] * self.yvarphiubar[mif4,1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[mif3,2] * self.yvarphid[0,mif2] * self.yvarphiubar[mif4,2] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[mif3,2] * self.yvarphid[0,mif2] * self.yvarphiubar[mif4,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.yu[mif3,2] * self.yvarphid[0,mif2] * self.yvarphiubar[mif4,2] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[mif3,2] * self.yvarphid[1,mif2] * self.yvarphiubar[mif4,2] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[mif3,2] * self.yvarphid[1,mif2] * self.yvarphiubar[mif4,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.yu[mif3,2] * self.yvarphid[1,mif2] * self.yvarphiubar[mif4,2] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[mif3,2] * self.yvarphid[2,mif2] * self.yvarphiubar[mif4,2] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[mif3,2] * self.yvarphid[2,mif2] * self.yvarphiubar[mif4,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.yu[mif3,2] * self.yvarphid[2,mif2] * self.yvarphiubar[mif4,2] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,2] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif4,2] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,2] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif4,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif3,2] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif4,2] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,2] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif4,2] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,2] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif4,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif3,2] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif4,2] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif4,2] + -1/384 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif4,2] + 1/384 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif4,2] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,2] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif4,2] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,2] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif4,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif3,2] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif4,2] + -35/20736 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[mif3,2] * self.yvarphiubar[mif4,2] + 1/432 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[mif3,2] * self.yvarphiubar[mif4,2] + -1/864 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[mif3,2] * self.yvarphiubar[mif4,2] + 1/576 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[mif3,2] * self.yvarphiubar[mif4,2] + 1/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif3,2] * self.yvarphiubar[mif4,2] + -1/576 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif3,2] * self.yvarphiubar[mif4,2] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif4,2] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif4,2] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif4,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,0] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,0] * self.yvarphiubar[mif4,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,1] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,1] * self.yvarphiubar[mif4,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,2] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,2] * self.yvarphiubar[mif4,2])

    def alphaOqq3(self, mif1,mif2,mif3,mif4):
        return (-1/7680 * (self.g2)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 1/2304 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif1] + -1/384 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif1] + 1/384 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.ydbar[mif2,0] * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.ydbar[mif2,0] * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,0] * self.ydbar[mif2,0] * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.ydbar[mif2,0] * self.yvarphid[1,mif4] * self.yvarphidbar[0,mif1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.ydbar[mif2,0] * self.yvarphid[1,mif4] * self.yvarphidbar[0,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,1] * self.ydbar[mif2,0] * self.yvarphid[1,mif4] * self.yvarphidbar[0,mif1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.ydbar[mif2,0] * self.yvarphid[2,mif4] * self.yvarphidbar[0,mif1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.ydbar[mif2,0] * self.yvarphid[2,mif4] * self.yvarphidbar[0,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,2] * self.ydbar[mif2,0] * self.yvarphid[2,mif4] * self.yvarphidbar[0,mif1] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif3] + -1/384 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif3] + 1/384 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif3] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif4,0] * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif3] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif4,0] * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[mif4,0] * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif3] + 1/2304 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif3] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif4,0] * self.yvarphid[1,mif2] * self.yvarphidbar[0,mif3] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif4,0] * self.yvarphid[1,mif2] * self.yvarphidbar[0,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[mif4,0] * self.yvarphid[1,mif2] * self.yvarphidbar[0,mif3] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif4,0] * self.yvarphid[2,mif2] * self.yvarphidbar[0,mif3] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif4,0] * self.yvarphid[2,mif2] * self.yvarphidbar[0,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[mif4,0] * self.yvarphid[2,mif2] * self.yvarphidbar[0,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif1] * self.yvarphidbar[0,mif3] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.ydbar[mif2,1] * self.yvarphid[0,mif4] * self.yvarphidbar[1,mif1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.ydbar[mif2,1] * self.yvarphid[0,mif4] * self.yvarphidbar[1,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,0] * self.ydbar[mif2,1] * self.yvarphid[0,mif4] * self.yvarphidbar[1,mif1] + 1/2304 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif1] + -1/384 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif1] + 1/384 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.ydbar[mif2,1] * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.ydbar[mif2,1] * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,1] * self.ydbar[mif2,1] * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.ydbar[mif2,1] * self.yvarphid[2,mif4] * self.yvarphidbar[1,mif1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.ydbar[mif2,1] * self.yvarphid[2,mif4] * self.yvarphidbar[1,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,2] * self.ydbar[mif2,1] * self.yvarphid[2,mif4] * self.yvarphidbar[1,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif4] * self.yvarphid[1,mif2] * self.yvarphidbar[0,mif3] * self.yvarphidbar[1,mif1] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif4,1] * self.yvarphid[0,mif2] * self.yvarphidbar[1,mif3] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif4,1] * self.yvarphid[0,mif2] * self.yvarphidbar[1,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[mif4,1] * self.yvarphid[0,mif2] * self.yvarphidbar[1,mif3] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif3] + -1/384 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif3] + 1/384 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif3] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif4,1] * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif3] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif4,1] * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[mif4,1] * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif3] + 1/2304 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif3] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif4,1] * self.yvarphid[2,mif2] * self.yvarphidbar[1,mif3] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif4,1] * self.yvarphid[2,mif2] * self.yvarphidbar[1,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[mif4,1] * self.yvarphid[2,mif2] * self.yvarphidbar[1,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphid[1,mif4] * self.yvarphidbar[0,mif1] * self.yvarphidbar[1,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif1] * self.yvarphidbar[1,mif3] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.ydbar[mif2,2] * self.yvarphid[0,mif4] * self.yvarphidbar[2,mif1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.ydbar[mif2,2] * self.yvarphid[0,mif4] * self.yvarphidbar[2,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,0] * self.ydbar[mif2,2] * self.yvarphid[0,mif4] * self.yvarphidbar[2,mif1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.ydbar[mif2,2] * self.yvarphid[1,mif4] * self.yvarphidbar[2,mif1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.ydbar[mif2,2] * self.yvarphid[1,mif4] * self.yvarphidbar[2,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,1] * self.ydbar[mif2,2] * self.yvarphid[1,mif4] * self.yvarphidbar[2,mif1] + 1/2304 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif1] + -1/384 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif1] + 1/384 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.ydbar[mif2,2] * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.ydbar[mif2,2] * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,2] * self.ydbar[mif2,2] * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif4] * self.yvarphid[2,mif2] * self.yvarphidbar[0,mif3] * self.yvarphidbar[2,mif1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif4] * self.yvarphid[2,mif2] * self.yvarphidbar[1,mif3] * self.yvarphidbar[2,mif1] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif4,2] * self.yvarphid[0,mif2] * self.yvarphidbar[2,mif3] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[mif4,2] * self.yvarphid[0,mif2] * self.yvarphidbar[2,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[mif4,2] * self.yvarphid[0,mif2] * self.yvarphidbar[2,mif3] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif4,2] * self.yvarphid[1,mif2] * self.yvarphidbar[2,mif3] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[mif4,2] * self.yvarphid[1,mif2] * self.yvarphidbar[2,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[mif4,2] * self.yvarphid[1,mif2] * self.yvarphidbar[2,mif3] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif3] + -1/384 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif3] + 1/384 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif3] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif4,2] * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif3] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[mif4,2] * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[mif4,2] * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif3] + 1/2304 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphid[2,mif4] * self.yvarphidbar[0,mif1] * self.yvarphidbar[2,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphid[2,mif4] * self.yvarphidbar[1,mif1] * self.yvarphidbar[2,mif3] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif1] * self.yvarphidbar[2,mif3] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yubar[mif2,0] * self.yvarphidbar[0,mif3] * self.yvarphiu[mif1,0] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yubar[mif2,0] * self.yvarphidbar[0,mif3] * self.yvarphiu[mif1,0] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,0] * self.yubar[mif2,0] * self.yvarphidbar[0,mif3] * self.yvarphiu[mif1,0] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yubar[mif2,0] * self.yvarphidbar[1,mif3] * self.yvarphiu[mif1,0] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yubar[mif2,0] * self.yvarphidbar[1,mif3] * self.yvarphiu[mif1,0] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,1] * self.yubar[mif2,0] * self.yvarphidbar[1,mif3] * self.yvarphiu[mif1,0] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yubar[mif2,0] * self.yvarphidbar[2,mif3] * self.yvarphiu[mif1,0] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yubar[mif2,0] * self.yvarphidbar[2,mif3] * self.yvarphiu[mif1,0] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,2] * self.yubar[mif2,0] * self.yvarphidbar[2,mif3] * self.yvarphiu[mif1,0] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yubar[mif2,1] * self.yvarphidbar[0,mif3] * self.yvarphiu[mif1,1] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yubar[mif2,1] * self.yvarphidbar[0,mif3] * self.yvarphiu[mif1,1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,0] * self.yubar[mif2,1] * self.yvarphidbar[0,mif3] * self.yvarphiu[mif1,1] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yubar[mif2,1] * self.yvarphidbar[1,mif3] * self.yvarphiu[mif1,1] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yubar[mif2,1] * self.yvarphidbar[1,mif3] * self.yvarphiu[mif1,1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,1] * self.yubar[mif2,1] * self.yvarphidbar[1,mif3] * self.yvarphiu[mif1,1] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yubar[mif2,1] * self.yvarphidbar[2,mif3] * self.yvarphiu[mif1,1] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yubar[mif2,1] * self.yvarphidbar[2,mif3] * self.yvarphiu[mif1,1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,2] * self.yubar[mif2,1] * self.yvarphidbar[2,mif3] * self.yvarphiu[mif1,1] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yubar[mif2,2] * self.yvarphidbar[0,mif3] * self.yvarphiu[mif1,2] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,0] * self.yubar[mif2,2] * self.yvarphidbar[0,mif3] * self.yvarphiu[mif1,2] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,0] * self.yubar[mif2,2] * self.yvarphidbar[0,mif3] * self.yvarphiu[mif1,2] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yubar[mif2,2] * self.yvarphidbar[1,mif3] * self.yvarphiu[mif1,2] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,1] * self.yubar[mif2,2] * self.yvarphidbar[1,mif3] * self.yvarphiu[mif1,2] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,1] * self.yubar[mif2,2] * self.yvarphidbar[1,mif3] * self.yvarphiu[mif1,2] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yubar[mif2,2] * self.yvarphidbar[2,mif3] * self.yvarphiu[mif1,2] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif4,2] * self.yubar[mif2,2] * self.yvarphidbar[2,mif3] * self.yvarphiu[mif1,2] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif4,2] * self.yubar[mif2,2] * self.yvarphidbar[2,mif3] * self.yvarphiu[mif1,2] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[mif4,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[mif3,0] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[mif4,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[mif3,0] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,0] * self.yubar[mif4,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[mif3,0] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[mif4,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[mif3,0] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[mif4,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[mif3,0] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,1] * self.yubar[mif4,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[mif3,0] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[mif4,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[mif3,0] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[mif4,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[mif3,0] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,2] * self.yubar[mif4,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[mif3,0] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[mif4,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[mif3,1] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[mif4,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[mif3,1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,0] * self.yubar[mif4,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[mif3,1] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[mif4,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[mif3,1] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[mif4,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[mif3,1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,1] * self.yubar[mif4,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[mif3,1] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[mif4,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[mif3,1] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[mif4,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[mif3,1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,2] * self.yubar[mif4,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[mif3,1] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[mif4,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[mif3,2] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[mif4,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[mif3,2] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,0] * self.yubar[mif4,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[mif3,2] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[mif4,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[mif3,2] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[mif4,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[mif3,2] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,1] * self.yubar[mif4,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[mif3,2] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[mif4,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[mif3,2] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[mif4,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[mif3,2] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,2] * self.yubar[mif4,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[mif3,2] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.yu[mif1,0] * self.yvarphid[0,mif4] * self.yvarphiubar[mif2,0] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.yu[mif1,0] * self.yvarphid[0,mif4] * self.yvarphiubar[mif2,0] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,0] * self.yu[mif1,0] * self.yvarphid[0,mif4] * self.yvarphiubar[mif2,0] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.yu[mif1,0] * self.yvarphid[1,mif4] * self.yvarphiubar[mif2,0] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.yu[mif1,0] * self.yvarphid[1,mif4] * self.yvarphiubar[mif2,0] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,1] * self.yu[mif1,0] * self.yvarphid[1,mif4] * self.yvarphiubar[mif2,0] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.yu[mif1,0] * self.yvarphid[2,mif4] * self.yvarphiubar[mif2,0] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.yu[mif1,0] * self.yvarphid[2,mif4] * self.yvarphiubar[mif2,0] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,2] * self.yu[mif1,0] * self.yvarphid[2,mif4] * self.yvarphiubar[mif2,0] + 1/2304 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif3] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif3] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif3] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,0] + -1/384 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,0] + 1/384 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,0] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif4,0] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,0] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif4,0] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[mif4,0] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,0] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif4,1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,0] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif4,1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[mif4,1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,0] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif4,2] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,0] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[mif4,2] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[mif4,2] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,0] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.yu[mif1,1] * self.yvarphid[0,mif4] * self.yvarphiubar[mif2,1] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.yu[mif1,1] * self.yvarphid[0,mif4] * self.yvarphiubar[mif2,1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,0] * self.yu[mif1,1] * self.yvarphid[0,mif4] * self.yvarphiubar[mif2,1] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.yu[mif1,1] * self.yvarphid[1,mif4] * self.yvarphiubar[mif2,1] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.yu[mif1,1] * self.yvarphid[1,mif4] * self.yvarphiubar[mif2,1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,1] * self.yu[mif1,1] * self.yvarphid[1,mif4] * self.yvarphiubar[mif2,1] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.yu[mif1,1] * self.yvarphid[2,mif4] * self.yvarphiubar[mif2,1] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.yu[mif1,1] * self.yvarphid[2,mif4] * self.yvarphiubar[mif2,1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,2] * self.yu[mif1,1] * self.yvarphid[2,mif4] * self.yvarphiubar[mif2,1] + 1/2304 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif3] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif3] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif3] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif4,0] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif4,0] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[mif4,0] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,1] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,1] + -1/384 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,1] + 1/384 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,1] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif4,1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif4,1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[mif4,1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,1] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif4,2] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[mif4,2] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[mif4,2] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,1] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.yu[mif1,2] * self.yvarphid[0,mif4] * self.yvarphiubar[mif2,2] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.yu[mif1,2] * self.yvarphid[0,mif4] * self.yvarphiubar[mif2,2] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,0] * self.yu[mif1,2] * self.yvarphid[0,mif4] * self.yvarphiubar[mif2,2] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.yu[mif1,2] * self.yvarphid[1,mif4] * self.yvarphiubar[mif2,2] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.yu[mif1,2] * self.yvarphid[1,mif4] * self.yvarphiubar[mif2,2] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,1] * self.yu[mif1,2] * self.yvarphid[1,mif4] * self.yvarphiubar[mif2,2] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.yu[mif1,2] * self.yvarphid[2,mif4] * self.yvarphiubar[mif2,2] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.yu[mif1,2] * self.yvarphid[2,mif4] * self.yvarphiubar[mif2,2] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,2] * self.yu[mif1,2] * self.yvarphid[2,mif4] * self.yvarphiubar[mif2,2] + 1/2304 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif4] * self.yvarphidbar[0,mif3] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif4] * self.yvarphidbar[1,mif3] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif4] * self.yvarphidbar[2,mif3] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif4,0] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,2] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif4,0] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[mif4,0] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,2] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif4,1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,2] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif4,1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[mif4,1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,2] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,2] + -1/384 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,2] + 1/384 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,2] + -1/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif4,2] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,2] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[mif4,2] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[mif4,2] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,2] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[mif3,0] * self.yvarphid[0,mif2] * self.yvarphiubar[mif4,0] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[mif3,0] * self.yvarphid[0,mif2] * self.yvarphiubar[mif4,0] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.yu[mif3,0] * self.yvarphid[0,mif2] * self.yvarphiubar[mif4,0] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[mif3,0] * self.yvarphid[1,mif2] * self.yvarphiubar[mif4,0] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[mif3,0] * self.yvarphid[1,mif2] * self.yvarphiubar[mif4,0] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.yu[mif3,0] * self.yvarphid[1,mif2] * self.yvarphiubar[mif4,0] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[mif3,0] * self.yvarphid[2,mif2] * self.yvarphiubar[mif4,0] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[mif3,0] * self.yvarphid[2,mif2] * self.yvarphiubar[mif4,0] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.yu[mif3,0] * self.yvarphid[2,mif2] * self.yvarphiubar[mif4,0] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif4,0] + -1/384 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif4,0] + 1/384 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif4,0] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,0] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif4,0] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,0] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif4,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif3,0] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif4,0] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,0] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif4,0] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,0] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif4,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif3,0] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif4,0] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,0] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif4,0] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,0] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif4,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif3,0] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif4,0] + 1/2304 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[mif3,0] * self.yvarphiubar[mif4,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif4,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif4,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif4,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,0] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,0] * self.yvarphiubar[mif4,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,1] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,1] * self.yvarphiubar[mif4,0] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,2] * self.yvarphiu[mif3,0] * self.yvarphiubar[mif2,2] * self.yvarphiubar[mif4,0] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[mif3,1] * self.yvarphid[0,mif2] * self.yvarphiubar[mif4,1] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[mif3,1] * self.yvarphid[0,mif2] * self.yvarphiubar[mif4,1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.yu[mif3,1] * self.yvarphid[0,mif2] * self.yvarphiubar[mif4,1] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[mif3,1] * self.yvarphid[1,mif2] * self.yvarphiubar[mif4,1] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[mif3,1] * self.yvarphid[1,mif2] * self.yvarphiubar[mif4,1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.yu[mif3,1] * self.yvarphid[1,mif2] * self.yvarphiubar[mif4,1] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[mif3,1] * self.yvarphid[2,mif2] * self.yvarphiubar[mif4,1] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[mif3,1] * self.yvarphid[2,mif2] * self.yvarphiubar[mif4,1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.yu[mif3,1] * self.yvarphid[2,mif2] * self.yvarphiubar[mif4,1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,1] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif4,1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,1] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif4,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif3,1] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif4,1] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif4,1] + -1/384 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif4,1] + 1/384 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif4,1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,1] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif4,1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,1] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif4,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif3,1] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif4,1] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,1] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif4,1] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,1] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif4,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif3,1] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif4,1] + 1/2304 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[mif3,1] * self.yvarphiubar[mif4,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif4,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif4,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif4,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,0] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,0] * self.yvarphiubar[mif4,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,1] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,1] * self.yvarphiubar[mif4,1] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,2] * self.yvarphiu[mif3,1] * self.yvarphiubar[mif2,2] * self.yvarphiubar[mif4,1] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[mif3,2] * self.yvarphid[0,mif2] * self.yvarphiubar[mif4,2] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[mif3,2] * self.yvarphid[0,mif2] * self.yvarphiubar[mif4,2] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.yu[mif3,2] * self.yvarphid[0,mif2] * self.yvarphiubar[mif4,2] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[mif3,2] * self.yvarphid[1,mif2] * self.yvarphiubar[mif4,2] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[mif3,2] * self.yvarphid[1,mif2] * self.yvarphiubar[mif4,2] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.yu[mif3,2] * self.yvarphid[1,mif2] * self.yvarphiubar[mif4,2] + -3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[mif3,2] * self.yvarphid[2,mif2] * self.yvarphiubar[mif4,2] + -1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[mif3,2] * self.yvarphid[2,mif2] * self.yvarphiubar[mif4,2] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.yu[mif3,2] * self.yvarphid[2,mif2] * self.yvarphiubar[mif4,2] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,2] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif4,2] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,2] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif4,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif3,2] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[mif4,2] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,2] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif4,2] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,2] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif4,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif3,2] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[mif4,2] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif4,2] + -1/384 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif4,2] + 1/384 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif4,2] + 3/512 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,2] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif4,2] + 1/256 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif3,2] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif4,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif3,2] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[mif4,2] + 1/2304 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[mif3,2] * self.yvarphiubar[mif4,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif4,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif4,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif4,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,0] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,0] * self.yvarphiubar[mif4,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,1] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,1] * self.yvarphiubar[mif4,2] + -1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,2] * self.yvarphiu[mif3,2] * self.yvarphiubar[mif2,2] * self.yvarphiubar[mif4,2])

    def alphaOqu1(self, mif1,mif2,mif3,mif4):
        return (-1/8640 * (self.g1)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + 19/2592 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + 1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + -1/216 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + 19/2592 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + 1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + -1/216 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + 19/2592 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + 1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + -1/216 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[0,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif4] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[0,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif4] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,0] * self.yubar[0,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif4] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yubar[mif2,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif4] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yubar[mif2,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif4] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,0] * self.yubar[mif2,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[0,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif4] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[0,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif4] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,1] * self.yubar[0,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif4] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yubar[mif2,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif4] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yubar[mif2,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif4] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,1] * self.yubar[mif2,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[0,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif4] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[0,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif4] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,2] * self.yubar[0,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif4] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yubar[mif2,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif4] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yubar[mif2,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif4] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,2] * self.yubar[mif2,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[1,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif4] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[1,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif4] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,0] * self.yubar[1,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif4] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yubar[mif2,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif4] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yubar[mif2,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif4] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,0] * self.yubar[mif2,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[1,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif4] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[1,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif4] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,1] * self.yubar[1,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif4] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yubar[mif2,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif4] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yubar[mif2,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif4] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,1] * self.yubar[mif2,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[1,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif4] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[1,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif4] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,2] * self.yubar[1,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif4] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yubar[mif2,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif4] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yubar[mif2,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif4] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,2] * self.yubar[mif2,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[2,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif4] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,0] * self.yubar[2,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif4] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,0] * self.yubar[2,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif4] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yubar[mif2,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif4] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yubar[mif2,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif4] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,0] * self.yubar[mif2,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[2,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif4] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,1] * self.yubar[2,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif4] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,1] * self.yubar[2,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif4] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yubar[mif2,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif4] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yubar[mif2,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif4] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,1] * self.yubar[mif2,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif4] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[2,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif4] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[mif2,2] * self.yubar[2,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif4] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[mif2,2] * self.yubar[2,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif4] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yubar[mif2,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif4] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yubar[mif2,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif4] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,2] * self.yubar[mif2,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif4] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[mif2,mif3] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[mif2,mif3] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[mif2,mif3] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[0,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[0,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[0,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[0,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.yu[0,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[0,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yu[mif1,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[0,mif3] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yu[mif1,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[0,mif3] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yu[mif1,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[0,mif3] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[0,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[0,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[0,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[0,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.yu[0,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[0,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yu[mif1,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[0,mif3] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yu[mif1,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[0,mif3] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yu[mif1,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[0,mif3] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[0,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[0,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[0,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[0,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.yu[0,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[0,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yu[mif1,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[0,mif3] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yu[mif1,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[0,mif3] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yu[mif1,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[0,mif3] + -5/5184 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + -1/864 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + 1/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif4] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif4] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,mif4] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,mif3] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif4] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif4] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,mif4] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,mif3] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif4] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif4] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,mif4] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,mif3] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif2] * self.yvarphidbar[0,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif2] * self.yvarphidbar[1,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif2] * self.yvarphidbar[2,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[mif2,mif3] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[mif2,mif3] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[mif2,mif3] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[1,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[1,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[1,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[1,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.yu[1,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[1,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yu[mif1,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[1,mif3] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yu[mif1,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[1,mif3] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yu[mif1,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[1,mif3] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[1,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[1,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[1,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[1,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.yu[1,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[1,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yu[mif1,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[1,mif3] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yu[mif1,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[1,mif3] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yu[mif1,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[1,mif3] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[1,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[1,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[1,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[1,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.yu[1,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[1,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yu[mif1,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[1,mif3] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yu[mif1,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[1,mif3] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yu[mif1,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[1,mif3] + -5/5184 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + -1/864 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + 1/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif4] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif4] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,mif4] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,mif3] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif4] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif4] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,mif4] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,mif3] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif4] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif4] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,mif4] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,mif3] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif2] * self.yvarphidbar[0,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif2] * self.yvarphidbar[1,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif2] * self.yvarphidbar[2,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[mif2,mif3] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[mif2,mif3] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[mif2,mif3] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,2] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[2,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[2,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[2,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[2,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.yu[2,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[2,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yu[mif1,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[2,mif3] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yu[mif1,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[2,mif3] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yu[mif1,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[2,mif3] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[2,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[2,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[2,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[2,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.yu[2,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[2,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yu[mif1,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[2,mif3] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yu[mif1,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[2,mif3] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.yu[mif1,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[2,mif3] + -3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[2,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[2,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[2,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[2,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.yu[2,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[2,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yu[mif1,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[2,mif3] + 1/192 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yu[mif1,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[2,mif3] + -1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.yu[mif1,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[2,mif3] + -5/5184 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + -1/864 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + 1/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif4] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif4] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,mif4] * self.yubar[mif2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,mif3] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif4] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif4] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,mif4] * self.yubar[mif2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,mif3] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif4] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,mif3] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif4] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,mif4] * self.yubar[mif2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,mif3] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif2] * self.yvarphidbar[0,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif2] * self.yvarphidbar[1,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif2] * self.yvarphidbar[2,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[0,mif3] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[0,mif3] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[0,mif3] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,0] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[1,mif3] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[1,mif3] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[1,mif3] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,0] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[2,mif3] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,0] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[2,mif3] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[2,mif3] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,0] + -35/2592 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + -1/108 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + 1/108 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif4] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,mif3] * self.yvarphiubar[mif2,0] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] * self.yvarphiubar[mif2,0] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] * self.yvarphiubar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] * self.yvarphiubar[mif2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif4] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,mif3] * self.yvarphiubar[mif2,0] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] * self.yvarphiubar[mif2,0] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] * self.yvarphiubar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] * self.yvarphiubar[mif2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,mif4] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,mif3] * self.yvarphiubar[mif2,0] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] * self.yvarphiubar[mif2,0] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] * self.yvarphiubar[mif2,0] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] * self.yvarphiubar[mif2,0] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[0,mif3] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[0,mif3] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[0,mif3] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[1,mif3] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[1,mif3] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[1,mif3] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[2,mif3] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,1] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[2,mif3] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[2,mif3] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,1] + -35/2592 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + -1/108 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + 1/108 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif4] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,mif3] * self.yvarphiubar[mif2,1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] * self.yvarphiubar[mif2,1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] * self.yvarphiubar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] * self.yvarphiubar[mif2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif4] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,mif3] * self.yvarphiubar[mif2,1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] * self.yvarphiubar[mif2,1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] * self.yvarphiubar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] * self.yvarphiubar[mif2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,mif4] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,mif3] * self.yvarphiubar[mif2,1] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] * self.yvarphiubar[mif2,1] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] * self.yvarphiubar[mif2,1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] * self.yvarphiubar[mif2,1] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[0,mif3] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[0,mif3] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[0,mif3] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,2] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[1,mif3] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[1,mif3] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[1,mif3] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,2] + -5/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[2,mif3] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,2] + -1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[2,mif3] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[2,mif3] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,2] + -35/2592 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + -1/108 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + 1/108 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif4] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,mif3] * self.yvarphiubar[mif2,2] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] * self.yvarphiubar[mif2,2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] * self.yvarphiubar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] * self.yvarphiubar[mif2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif4] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,mif3] * self.yvarphiubar[mif2,2] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] * self.yvarphiubar[mif2,2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] * self.yvarphiubar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] * self.yvarphiubar[mif2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,mif4] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,mif3] * self.yvarphiubar[mif2,2] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] * self.yvarphiubar[mif2,2] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] * self.yvarphiubar[mif2,2] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] * self.yvarphiubar[mif2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif4] * self.yubar[0,0] * self.yvarphiu[0,0] * self.yvarphiubar[mif2,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif4] * self.yubar[0,1] * self.yvarphiu[0,1] * self.yvarphiubar[mif2,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif4] * self.yubar[0,2] * self.yvarphiu[0,2] * self.yvarphiubar[mif2,mif3] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,mif3] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,mif3] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,mif3] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,mif3] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,mif3] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif4] * self.yubar[1,0] * self.yvarphiu[1,0] * self.yvarphiubar[mif2,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif4] * self.yubar[1,1] * self.yvarphiu[1,1] * self.yvarphiubar[mif2,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif4] * self.yubar[1,2] * self.yvarphiu[1,2] * self.yvarphiubar[mif2,mif3] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,mif3] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,mif3] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,mif3] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,mif3] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,mif3] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif4] * self.yubar[2,0] * self.yvarphiu[2,0] * self.yvarphiubar[mif2,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif4] * self.yubar[2,1] * self.yvarphiu[2,1] * self.yvarphiubar[mif2,mif3] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif4] * self.yubar[2,2] * self.yvarphiu[2,2] * self.yvarphiubar[mif2,mif3] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,mif3] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,mif3] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,mif3] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,mif3] + -7/768 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,mif3] + -1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,mif3] + 1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,mif3] + -1/6 * (self.Mvarphi)**(-2) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + -25/6912 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + -25/2304 * self.epsilonbar * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + -1/256 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + -3/256 * self.epsilonbar * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + -1/36 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + -1/12 * self.epsilonbar * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + -25/3456 * self.epsilonbar * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + -1/128 * self.epsilonbar * (self.g2)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + -1/18 * self.epsilonbar * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + 25/3456 * self.epsilonbar * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + 1/128 * self.epsilonbar * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + 1/18 * self.epsilonbar * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif4] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] * self.yvarphiubar[mif2,mif3] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif4] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] * self.yvarphiubar[mif2,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,mif4] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] * self.yvarphiubar[mif2,mif3] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif4] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] * self.yvarphiubar[mif2,mif3] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif4] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] * self.yvarphiubar[mif2,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,mif4] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] * self.yvarphiubar[mif2,mif3] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif4] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] * self.yvarphiubar[mif2,mif3] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif4] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] * self.yvarphiubar[mif2,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,mif4] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] * self.yvarphiubar[mif2,mif3] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif4] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] * self.yvarphiubar[mif2,mif3] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif4] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] * self.yvarphiubar[mif2,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,mif4] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] * self.yvarphiubar[mif2,mif3] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif4] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] * self.yvarphiubar[mif2,mif3] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif4] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] * self.yvarphiubar[mif2,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,mif4] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] * self.yvarphiubar[mif2,mif3] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif4] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] * self.yvarphiubar[mif2,mif3] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif4] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] * self.yvarphiubar[mif2,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,mif4] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] * self.yvarphiubar[mif2,mif3] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,mif4] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] * self.yvarphiubar[mif2,mif3] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,mif4] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] * self.yvarphiubar[mif2,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,mif4] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] * self.yvarphiubar[mif2,mif3] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,mif4] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] * self.yvarphiubar[mif2,mif3] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,mif4] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] * self.yvarphiubar[mif2,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,mif4] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] * self.yvarphiubar[mif2,mif3] + 1/256 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,mif4] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] * self.yvarphiubar[mif2,mif3] + 1/128 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,mif4] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] * self.yvarphiubar[mif2,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,mif4] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] * self.yvarphiubar[mif2,mif3])

    def alphaOqu8(self, mif1,mif2,mif3,mif4):
        return (-1/36 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + -1/48 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + 1/48 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif2] * self.yvarphidbar[0,mif1] + -1/36 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + -1/48 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + 1/48 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif2] * self.yvarphidbar[1,mif1] + -1/36 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + -1/48 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + 1/48 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif2] * self.yvarphidbar[2,mif1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yubar[mif2,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yubar[mif2,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,0] * self.yubar[mif2,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yubar[mif2,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yubar[mif2,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,1] * self.yubar[mif2,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yubar[mif2,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yubar[mif2,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,2] * self.yubar[mif2,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yubar[mif2,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yubar[mif2,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,0] * self.yubar[mif2,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yubar[mif2,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yubar[mif2,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,1] * self.yubar[mif2,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yubar[mif2,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yubar[mif2,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,2] * self.yubar[mif2,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yubar[mif2,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yubar[mif2,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,0] * self.yubar[mif2,mif3] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yubar[mif2,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yubar[mif2,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,1] * self.yubar[mif2,mif3] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif4] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yubar[mif2,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif4] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yubar[mif2,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif4] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,2] * self.yubar[mif2,mif3] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif4] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yubar[mif2,mif3] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,0] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yubar[mif2,mif3] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,1] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yubar[mif2,mif3] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yu[mif1,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[0,mif3] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yu[mif1,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[0,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.yu[mif1,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[0,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yu[mif1,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[0,mif3] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yu[mif1,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[0,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.yu[mif1,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[0,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yu[mif1,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[0,mif3] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yu[mif1,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[0,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.yu[mif1,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[0,mif3] + -1/18 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + -1/24 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + 1/24 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif2] * self.yvarphidbar[0,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif2] * self.yvarphidbar[1,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif2] * self.yvarphidbar[2,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yubar[mif2,mif3] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,0] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yubar[mif2,mif3] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,1] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yubar[mif2,mif3] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yu[mif1,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[1,mif3] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yu[mif1,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[1,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.yu[mif1,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[1,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yu[mif1,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[1,mif3] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yu[mif1,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[1,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.yu[mif1,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[1,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yu[mif1,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[1,mif3] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yu[mif1,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[1,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.yu[mif1,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[1,mif3] + -1/18 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + -1/24 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + 1/24 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif2] * self.yvarphidbar[0,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif2] * self.yvarphidbar[1,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif2] * self.yvarphidbar[2,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yubar[mif2,mif3] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,0] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yubar[mif2,mif3] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,1] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yubar[mif2,mif3] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yu[mif1,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[2,mif3] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yu[mif1,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[2,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.yu[mif1,mif4] * self.yvarphid[0,mif2] * self.yvarphiubar[2,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yu[mif1,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[2,mif3] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yu[mif1,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[2,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.yu[mif1,mif4] * self.yvarphid[1,mif2] * self.yvarphiubar[2,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yu[mif1,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[2,mif3] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yu[mif1,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[2,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.yu[mif1,mif4] * self.yvarphid[2,mif2] * self.yvarphiubar[2,mif3] + -1/18 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + -1/24 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + 1/24 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,mif2] * self.yvarphidbar[0,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,mif2] * self.yvarphidbar[0,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,mif2] * self.yvarphidbar[1,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,mif2] * self.yvarphidbar[1,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,mif2] * self.yvarphidbar[2,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,mif2] * self.yvarphidbar[2,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] + -1/36 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + -1/48 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + 1/48 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,0] * self.yvarphiubar[mif2,0] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] * self.yvarphiubar[mif2,0] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] * self.yvarphiubar[mif2,0] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] * self.yvarphiubar[mif2,0] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] * self.yvarphiubar[mif2,0] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] * self.yvarphiubar[mif2,0] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] * self.yvarphiubar[mif2,0] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] * self.yvarphiubar[mif2,0] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] * self.yvarphiubar[mif2,0] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,0] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] * self.yvarphiubar[mif2,0] + -1/36 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + -1/48 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + 1/48 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,1] * self.yvarphiubar[mif2,1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] * self.yvarphiubar[mif2,1] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] * self.yvarphiubar[mif2,1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] * self.yvarphiubar[mif2,1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] * self.yvarphiubar[mif2,1] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] * self.yvarphiubar[mif2,1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] * self.yvarphiubar[mif2,1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] * self.yvarphiubar[mif2,1] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] * self.yvarphiubar[mif2,1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,1] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] * self.yvarphiubar[mif2,1] + -1/36 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + -1/48 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + 1/48 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,2] * self.yvarphiubar[mif2,2] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] * self.yvarphiubar[mif2,2] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] * self.yvarphiubar[mif2,2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[0,mif3] * self.yvarphiubar[mif2,2] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] * self.yvarphiubar[mif2,2] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] * self.yvarphiubar[mif2,2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[1,mif3] * self.yvarphiubar[mif2,2] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] * self.yvarphiubar[mif2,2] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] * self.yvarphiubar[mif2,2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,2] * self.yvarphiu[mif1,mif4] * self.yvarphiubar[2,mif3] * self.yvarphiubar[mif2,2] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif4] * self.yubar[0,0] * self.yvarphiu[0,0] * self.yvarphiubar[mif2,mif3] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif4] * self.yubar[0,1] * self.yvarphiu[0,1] * self.yvarphiubar[mif2,mif3] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif4] * self.yubar[0,2] * self.yvarphiu[0,2] * self.yvarphiubar[mif2,mif3] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,mif3] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,mif3] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,mif3] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,mif3] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,mif3] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif4] * self.yvarphiubar[mif2,mif3] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif4] * self.yubar[1,0] * self.yvarphiu[1,0] * self.yvarphiubar[mif2,mif3] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif4] * self.yubar[1,1] * self.yvarphiu[1,1] * self.yvarphiubar[mif2,mif3] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif4] * self.yubar[1,2] * self.yvarphiu[1,2] * self.yvarphiubar[mif2,mif3] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,mif3] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,mif3] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,mif3] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,mif3] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,mif3] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif4] * self.yvarphiubar[mif2,mif3] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif4] * self.yubar[2,0] * self.yvarphiu[2,0] * self.yvarphiubar[mif2,mif3] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif4] * self.yubar[2,1] * self.yvarphiu[2,1] * self.yvarphiubar[mif2,mif3] + 3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif4] * self.yubar[2,2] * self.yvarphiu[2,2] * self.yvarphiubar[mif2,mif3] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,mif3] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,mif3] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,mif3] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,mif3] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,mif3] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,mif3] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif4] * self.yvarphiubar[mif2,mif3] + -1 * (self.Mvarphi)**(-2) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + -25/1152 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + -25/384 * self.epsilonbar * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + -3/128 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + -9/128 * self.epsilonbar * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + 1/48 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + 1/16 * self.epsilonbar * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + -25/576 * self.epsilonbar * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + -3/64 * self.epsilonbar * (self.g2)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + 1/24 * self.epsilonbar * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + 25/576 * self.epsilonbar * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + 3/64 * self.epsilonbar * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + -1/24 * self.epsilonbar * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,mif4] * self.yvarphiubar[mif2,mif3] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif4] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] * self.yvarphiubar[mif2,mif3] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif4] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] * self.yvarphiubar[mif2,mif3] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,mif4] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] * self.yvarphiubar[mif2,mif3] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif4] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] * self.yvarphiubar[mif2,mif3] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif4] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] * self.yvarphiubar[mif2,mif3] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,mif4] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] * self.yvarphiubar[mif2,mif3] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif4] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] * self.yvarphiubar[mif2,mif3] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif4] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] * self.yvarphiubar[mif2,mif3] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,mif4] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] * self.yvarphiubar[mif2,mif3] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif4] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] * self.yvarphiubar[mif2,mif3] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif4] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] * self.yvarphiubar[mif2,mif3] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,mif4] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] * self.yvarphiubar[mif2,mif3] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif4] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] * self.yvarphiubar[mif2,mif3] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif4] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] * self.yvarphiubar[mif2,mif3] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,mif4] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] * self.yvarphiubar[mif2,mif3] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif4] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] * self.yvarphiubar[mif2,mif3] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif4] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] * self.yvarphiubar[mif2,mif3] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,mif4] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] * self.yvarphiubar[mif2,mif3] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,mif4] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] * self.yvarphiubar[mif2,mif3] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,mif4] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] * self.yvarphiubar[mif2,mif3] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,mif4] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] * self.yvarphiubar[mif2,mif3] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,mif4] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] * self.yvarphiubar[mif2,mif3] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,mif4] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] * self.yvarphiubar[mif2,mif3] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,mif4] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] * self.yvarphiubar[mif2,mif3] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,mif4] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] * self.yvarphiubar[mif2,mif3] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,mif4] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] * self.yvarphiubar[mif2,mif3] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,mif4] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] * self.yvarphiubar[mif2,mif3])

    def alphaOquqd1(self, mif1,mif2,mif3,mif4):
        return (1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.yu[0,mif2] * self.yvarphid[0,0] * self.yvarphidbar[mif4,mif1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.yu[1,mif2] * self.yvarphid[0,1] * self.yvarphidbar[mif4,mif1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.yu[2,mif2] * self.yvarphid[0,2] * self.yvarphidbar[mif4,mif1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.yu[0,mif2] * self.yvarphid[1,0] * self.yvarphidbar[mif4,mif1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.yu[1,mif2] * self.yvarphid[1,1] * self.yvarphidbar[mif4,mif1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.yu[2,mif2] * self.yvarphid[1,2] * self.yvarphidbar[mif4,mif1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.yu[0,mif2] * self.yvarphid[2,0] * self.yvarphidbar[mif4,mif1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.yu[1,mif2] * self.yvarphid[2,1] * self.yvarphidbar[mif4,mif1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.yu[2,mif2] * self.yvarphid[2,2] * self.yvarphidbar[mif4,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[0,mif2] * self.yvarphid[0,0] * self.yvarphidbar[mif4,mif3] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.yu[mif1,mif2] * self.yvarphid[0,0] * self.yvarphidbar[mif4,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[1,mif2] * self.yvarphid[0,1] * self.yvarphidbar[mif4,mif3] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.yu[mif1,mif2] * self.yvarphid[0,1] * self.yvarphidbar[mif4,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[2,mif2] * self.yvarphid[0,2] * self.yvarphidbar[mif4,mif3] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.yu[mif1,mif2] * self.yvarphid[0,2] * self.yvarphidbar[mif4,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[0,mif2] * self.yvarphid[1,0] * self.yvarphidbar[mif4,mif3] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.yu[mif1,mif2] * self.yvarphid[1,0] * self.yvarphidbar[mif4,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[1,mif2] * self.yvarphid[1,1] * self.yvarphidbar[mif4,mif3] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.yu[mif1,mif2] * self.yvarphid[1,1] * self.yvarphidbar[mif4,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[2,mif2] * self.yvarphid[1,2] * self.yvarphidbar[mif4,mif3] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.yu[mif1,mif2] * self.yvarphid[1,2] * self.yvarphidbar[mif4,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[0,mif2] * self.yvarphid[2,0] * self.yvarphidbar[mif4,mif3] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.yu[mif1,mif2] * self.yvarphid[2,0] * self.yvarphidbar[mif4,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[1,mif2] * self.yvarphid[2,1] * self.yvarphidbar[mif4,mif3] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.yu[mif1,mif2] * self.yvarphid[2,1] * self.yvarphidbar[mif4,mif3] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[2,mif2] * self.yvarphid[2,2] * self.yvarphidbar[mif4,mif3] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.yu[mif1,mif2] * self.yvarphid[2,2] * self.yvarphidbar[mif4,mif3] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.ydbar[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[0,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[0,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.ydbar[0,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.ydbar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[0,mif2] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[0,mif2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[0,mif2] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[0,mif2] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[0,mif2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[0,mif2] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[0,mif2] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[0,mif2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[0,mif2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[1,mif2] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[1,mif2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[1,mif2] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[1,mif2] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[1,mif2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[1,mif2] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[1,mif2] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[1,mif2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[1,mif2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif3,mif4] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[2,mif2] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[2,mif2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[2,mif2] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[2,mif2] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[2,mif2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[2,mif2] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[2,mif2] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[2,mif2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] * self.yvarphidbar[mif4,mif3] * self.yvarphiu[2,mif2] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,0] * self.yvarphidbar[0,mif3] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,mif2] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,0] * self.yvarphidbar[0,mif3] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,mif2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,0] * self.yvarphidbar[0,mif3] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,mif2] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,0] * self.yvarphidbar[1,mif3] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,mif2] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,0] * self.yvarphidbar[1,mif3] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,mif2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,0] * self.yvarphidbar[1,mif3] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,mif2] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,0] * self.yvarphidbar[2,mif3] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,mif2] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,0] * self.yvarphidbar[2,mif3] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,mif2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,0] * self.yvarphidbar[2,mif3] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,mif2] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,1] * self.yvarphidbar[0,mif3] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,mif2] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,1] * self.yvarphidbar[0,mif3] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,mif2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,1] * self.yvarphidbar[0,mif3] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,mif2] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,1] * self.yvarphidbar[1,mif3] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,mif2] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,1] * self.yvarphidbar[1,mif3] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,mif2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,1] * self.yvarphidbar[1,mif3] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,mif2] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,1] * self.yvarphidbar[2,mif3] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,mif2] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,1] * self.yvarphidbar[2,mif3] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,mif2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,1] * self.yvarphidbar[2,mif3] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,mif2] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,2] * self.yvarphidbar[0,mif3] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,mif2] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,2] * self.yvarphidbar[0,mif3] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,mif2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,2] * self.yvarphidbar[0,mif3] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,mif2] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,2] * self.yvarphidbar[1,mif3] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,mif2] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,2] * self.yvarphidbar[1,mif3] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,mif2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,2] * self.yvarphidbar[1,mif3] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,mif2] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,2] * self.yvarphidbar[2,mif3] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,mif2] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,2] * self.yvarphidbar[2,mif3] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,mif2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,2] * self.yvarphidbar[2,mif3] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,mif2] + -1 * (self.Mvarphi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[mif1,mif2] + 5/288 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[mif1,mif2] + -5/768 * self.epsilonbar * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[mif1,mif2] + 3/32 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[mif1,mif2] + -9/256 * self.epsilonbar * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[mif1,mif2] + 5/576 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[mif1,mif2] + -5/1152 * self.epsilonbar * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[mif1,mif2] + 3/64 * (self.g2)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[mif1,mif2] + -3/128 * self.epsilonbar * (self.g2)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[mif1,mif2] + -5/576 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[mif1,mif2] + 5/1152 * self.epsilonbar * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[mif1,mif2] + -3/64 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[mif1,mif2] + 3/128 * self.epsilonbar * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[mif1,mif2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif2] * self.yubar[0,0] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif3,0] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif2] * self.yubar[0,0] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif3,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,mif2] * self.yubar[0,0] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif3,0] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif2] * self.yubar[1,0] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif3,0] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif2] * self.yubar[1,0] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif3,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,mif2] * self.yubar[1,0] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif3,0] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif2] * self.yubar[2,0] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif3,0] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif2] * self.yubar[2,0] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif3,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,mif2] * self.yubar[2,0] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif3,0] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif2] * self.yubar[0,1] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif3,1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif2] * self.yubar[0,1] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif3,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,mif2] * self.yubar[0,1] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif3,1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif2] * self.yubar[1,1] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif3,1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif2] * self.yubar[1,1] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif3,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,mif2] * self.yubar[1,1] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif3,1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif2] * self.yubar[2,1] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif3,1] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif2] * self.yubar[2,1] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif3,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,mif2] * self.yubar[2,1] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif3,1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif2] * self.yubar[0,2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif3,2] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif2] * self.yubar[0,2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif3,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,mif2] * self.yubar[0,2] * self.yvarphidbar[mif4,0] * self.yvarphiu[mif3,2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif2] * self.yubar[1,2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif3,2] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif2] * self.yubar[1,2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif3,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,mif2] * self.yubar[1,2] * self.yvarphidbar[mif4,1] * self.yvarphiu[mif3,2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif2] * self.yubar[2,2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif3,2] + -1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif2] * self.yubar[2,2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif3,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,mif2] * self.yubar[2,2] * self.yvarphidbar[mif4,2] * self.yvarphiu[mif3,2] + -5/576 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif1] * self.yvarphiu[mif3,mif2] + -3/64 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif1] * self.yvarphiu[mif3,mif2] + 1/3 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif1] * self.yvarphiu[mif3,mif2] + -5/864 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif1] * self.yvarphiu[mif3,mif2] + -1/32 * (self.g2)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif1] * self.yvarphiu[mif3,mif2] + 2/9 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif1] * self.yvarphiu[mif3,mif2] + 5/864 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,mif1] * self.yvarphiu[mif3,mif2] + 1/32 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,mif1] * self.yvarphiu[mif3,mif2] + -2/9 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,mif1] * self.yvarphiu[mif3,mif2] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[0,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[0,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[0,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yu[0,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[mif3,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,0] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,0] * self.yvarphiubar[0,0] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,0] * self.yvarphiubar[0,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,0] * self.yvarphiubar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[mif1,0] * self.yvarphiu[mif3,mif2] * self.yvarphiubar[0,0] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[0,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[0,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[0,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yu[0,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[mif3,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,1] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,1] * self.yvarphiubar[0,1] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,1] * self.yvarphiubar[0,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,1] * self.yvarphiubar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[mif1,1] * self.yvarphiu[mif3,mif2] * self.yvarphiubar[0,1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[0,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[0,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[0,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yu[0,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[mif3,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,2] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,2] * self.yvarphiubar[0,2] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,2] * self.yvarphiubar[0,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,0] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,2] * self.yvarphiubar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[mif1,2] * self.yvarphiu[mif3,mif2] * self.yvarphiubar[0,2] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[1,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[1,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[1,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yu[1,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[mif3,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,0] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,0] * self.yvarphiubar[1,0] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,0] * self.yvarphiubar[1,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,0] * self.yvarphiubar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[mif1,0] * self.yvarphiu[mif3,mif2] * self.yvarphiubar[1,0] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[1,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[1,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[1,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yu[1,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[mif3,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,1] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,1] * self.yvarphiubar[1,1] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,1] * self.yvarphiubar[1,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,1] * self.yvarphiubar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[mif1,1] * self.yvarphiu[mif3,mif2] * self.yvarphiubar[1,1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[1,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[1,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[1,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yu[1,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[mif3,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,2] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,2] * self.yvarphiubar[1,2] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,2] * self.yvarphiubar[1,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,1] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,2] * self.yvarphiubar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[mif1,2] * self.yvarphiu[mif3,mif2] * self.yvarphiubar[1,2] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[2,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[2,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[2,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yu[2,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,0] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[mif3,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,0] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,0] * self.yvarphiubar[2,0] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,0] * self.yvarphiubar[2,0] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,0] * self.yvarphiubar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[mif1,0] * self.yvarphiu[mif3,mif2] * self.yvarphiubar[2,0] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[2,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[2,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[2,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yu[2,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[mif3,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,1] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,1] * self.yvarphiubar[2,1] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,1] * self.yvarphiubar[2,1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,1] * self.yvarphiubar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[mif1,1] * self.yvarphiu[mif3,mif2] * self.yvarphiubar[2,1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[2,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + 3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[2,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + -3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[2,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,mif4] * self.yu[2,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[mif3,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,2] + -7/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,2] * self.yvarphiubar[2,2] + -3/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,2] * self.yvarphiubar[2,2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,2] * self.yvarphiu[mif1,mif2] * self.yvarphiu[mif3,2] * self.yvarphiubar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[mif1,2] * self.yvarphiu[mif3,mif2] * self.yvarphiubar[2,2])

    def alphaOquqd8(self, mif1,mif2,mif3,mif4):
        return (1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.yu[0,mif2] * self.yvarphid[0,0] * self.yvarphidbar[mif4,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.yu[1,mif2] * self.yvarphid[0,1] * self.yvarphidbar[mif4,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,0] * self.yu[2,mif2] * self.yvarphid[0,2] * self.yvarphidbar[mif4,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.yu[0,mif2] * self.yvarphid[1,0] * self.yvarphidbar[mif4,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.yu[1,mif2] * self.yvarphid[1,1] * self.yvarphidbar[mif4,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,1] * self.yu[2,mif2] * self.yvarphid[1,2] * self.yvarphidbar[mif4,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.yu[0,mif2] * self.yvarphid[2,0] * self.yvarphidbar[mif4,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.yu[1,mif2] * self.yvarphid[2,1] * self.yvarphidbar[mif4,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif3,2] * self.yu[2,mif2] * self.yvarphid[2,2] * self.yvarphidbar[mif4,mif1] + -1/2 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[mif1,mif2] + 3/16 * self.epsilonbar * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[mif1,mif2] + -1/4 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[mif1,mif2] + 1/8 * self.epsilonbar * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[mif1,mif2] + 1/4 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[mif1,mif2] + -1/8 * self.epsilonbar * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,mif3] * self.yvarphiu[mif1,mif2] + -5/96 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif1] * self.yvarphiu[mif3,mif2] + -9/32 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif1] * self.yvarphiu[mif3,mif2] + -1/4 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif1] * self.yvarphiu[mif3,mif2] + -5/144 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif1] * self.yvarphiu[mif3,mif2] + -3/16 * (self.g2)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif1] * self.yvarphiu[mif3,mif2] + -1/6 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphidbar[mif4,mif1] * self.yvarphiu[mif3,mif2] + 5/144 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,mif1] * self.yvarphiu[mif3,mif2] + 3/16 * (self.g2)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,mif1] * self.yvarphiu[mif3,mif2] + 1/6 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphidbar[mif4,mif1] * self.yvarphiu[mif3,mif2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[mif1,0] * self.yvarphiu[mif3,mif2] * self.yvarphiubar[0,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[mif1,1] * self.yvarphiu[mif3,mif2] * self.yvarphiubar[0,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[mif1,2] * self.yvarphiu[mif3,mif2] * self.yvarphiubar[0,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[mif1,0] * self.yvarphiu[mif3,mif2] * self.yvarphiubar[1,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[mif1,1] * self.yvarphiu[mif3,mif2] * self.yvarphiubar[1,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[mif1,2] * self.yvarphiu[mif3,mif2] * self.yvarphiubar[1,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[mif1,0] * self.yvarphiu[mif3,mif2] * self.yvarphiubar[2,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[mif1,1] * self.yvarphiu[mif3,mif2] * self.yvarphiubar[2,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[mif1,2] * self.yvarphiu[mif3,mif2] * self.yvarphiubar[2,2])

    def alphaOuB(self, mif1,mif2):
        return (-7/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] + -7/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] + -7/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] + -7/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] + -7/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] + -7/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] + -7/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] + -7/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] + -7/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] + -1/256 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/384 * self.g1 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + -1/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + -1/256 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/384 * self.g1 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + -1/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + -1/256 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/384 * self.g1 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + -1/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + -1/256 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/384 * self.g1 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + -1/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + -1/256 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/384 * self.g1 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + -1/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + -1/256 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/384 * self.g1 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + -1/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + -1/256 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/384 * self.g1 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + -1/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + -1/256 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/384 * self.g1 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + -1/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + -1/256 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 1/384 * self.g1 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + -1/384 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + -1/1152 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,0] + 11/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + -5/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,0] + -1/1152 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,1] + 11/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + -5/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,1] + -1/1152 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,2] + 11/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + -5/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,2] + -1/1152 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,0] + 11/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + -5/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,0] + -1/1152 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,1] + 11/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + -5/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,1] + -1/1152 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,2] + 11/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + -5/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,2] + -1/1152 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,0] + 11/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + -5/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,0] + -1/1152 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,1] + 11/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + -5/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,1] + -1/1152 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,2] + 11/2304 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + -5/128 * self.g1 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,2])

    def alphaOud1(self, mif1,mif2,mif3,mif4):
        return (1/4320 * (self.g1)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -11/1296 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + -1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + 1/216 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[0,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + 1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[0,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + -1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yubar[0,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[0,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,0] + 1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[0,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,0] + -1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yubar[0,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[0,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,0] + 1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[0,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,0] + -1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yubar[0,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[1,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,1] + 1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[1,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,1] + -1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yubar[1,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,1] + -11/1296 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + -1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + 1/216 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[1,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + 1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[1,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + -1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yubar[1,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[1,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,1] + 1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[1,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,1] + -1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yubar[1,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[2,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,2] + 1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[2,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,2] + -1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yubar[2,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[2,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,2] + 1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[2,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,2] + -1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yubar[2,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,2] + -11/1296 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + -1/216 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + 1/216 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[2,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + 1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[2,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + -1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yubar[2,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yubar[0,mif1] * self.yvarphidbar[mif4,0] * self.yvarphiu[0,mif2] + 1/48 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yubar[0,mif1] * self.yvarphidbar[mif4,0] * self.yvarphiu[0,mif2] + -1/48 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yubar[0,mif1] * self.yvarphidbar[mif4,0] * self.yvarphiu[0,mif2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yubar[0,mif1] * self.yvarphidbar[mif4,1] * self.yvarphiu[0,mif2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yubar[0,mif1] * self.yvarphidbar[mif4,1] * self.yvarphiu[0,mif2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yubar[0,mif1] * self.yvarphidbar[mif4,1] * self.yvarphiu[0,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yubar[1,mif1] * self.yvarphidbar[mif4,1] * self.yvarphiu[0,mif2] + -1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yubar[1,mif1] * self.yvarphidbar[mif4,1] * self.yvarphiu[0,mif2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yubar[1,mif1] * self.yvarphidbar[mif4,1] * self.yvarphiu[0,mif2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yubar[0,mif1] * self.yvarphidbar[mif4,2] * self.yvarphiu[0,mif2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yubar[0,mif1] * self.yvarphidbar[mif4,2] * self.yvarphiu[0,mif2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yubar[0,mif1] * self.yvarphidbar[mif4,2] * self.yvarphiu[0,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yubar[2,mif1] * self.yvarphidbar[mif4,2] * self.yvarphiu[0,mif2] + -1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yubar[2,mif1] * self.yvarphidbar[mif4,2] * self.yvarphiu[0,mif2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yubar[2,mif1] * self.yvarphidbar[mif4,2] * self.yvarphiu[0,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yubar[0,mif1] * self.yvarphidbar[mif4,0] * self.yvarphiu[1,mif2] + -1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yubar[0,mif1] * self.yvarphidbar[mif4,0] * self.yvarphiu[1,mif2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yubar[0,mif1] * self.yvarphidbar[mif4,0] * self.yvarphiu[1,mif2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yubar[1,mif1] * self.yvarphidbar[mif4,0] * self.yvarphiu[1,mif2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yubar[1,mif1] * self.yvarphidbar[mif4,0] * self.yvarphiu[1,mif2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yubar[1,mif1] * self.yvarphidbar[mif4,0] * self.yvarphiu[1,mif2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yubar[1,mif1] * self.yvarphidbar[mif4,1] * self.yvarphiu[1,mif2] + 1/48 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yubar[1,mif1] * self.yvarphidbar[mif4,1] * self.yvarphiu[1,mif2] + -1/48 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yubar[1,mif1] * self.yvarphidbar[mif4,1] * self.yvarphiu[1,mif2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yubar[1,mif1] * self.yvarphidbar[mif4,2] * self.yvarphiu[1,mif2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yubar[1,mif1] * self.yvarphidbar[mif4,2] * self.yvarphiu[1,mif2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yubar[1,mif1] * self.yvarphidbar[mif4,2] * self.yvarphiu[1,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yubar[2,mif1] * self.yvarphidbar[mif4,2] * self.yvarphiu[1,mif2] + -1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yubar[2,mif1] * self.yvarphidbar[mif4,2] * self.yvarphiu[1,mif2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yubar[2,mif1] * self.yvarphidbar[mif4,2] * self.yvarphiu[1,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yubar[0,mif1] * self.yvarphidbar[mif4,0] * self.yvarphiu[2,mif2] + -1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yubar[0,mif1] * self.yvarphidbar[mif4,0] * self.yvarphiu[2,mif2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yubar[0,mif1] * self.yvarphidbar[mif4,0] * self.yvarphiu[2,mif2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yubar[2,mif1] * self.yvarphidbar[mif4,0] * self.yvarphiu[2,mif2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yubar[2,mif1] * self.yvarphidbar[mif4,0] * self.yvarphiu[2,mif2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yubar[2,mif1] * self.yvarphidbar[mif4,0] * self.yvarphiu[2,mif2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yubar[1,mif1] * self.yvarphidbar[mif4,1] * self.yvarphiu[2,mif2] + -1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yubar[1,mif1] * self.yvarphidbar[mif4,1] * self.yvarphiu[2,mif2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yubar[1,mif1] * self.yvarphidbar[mif4,1] * self.yvarphiu[2,mif2] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yubar[2,mif1] * self.yvarphidbar[mif4,1] * self.yvarphiu[2,mif2] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yubar[2,mif1] * self.yvarphidbar[mif4,1] * self.yvarphiu[2,mif2] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yubar[2,mif1] * self.yvarphidbar[mif4,1] * self.yvarphiu[2,mif2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yubar[2,mif1] * self.yvarphidbar[mif4,2] * self.yvarphiu[2,mif2] + 1/48 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yubar[2,mif1] * self.yvarphidbar[mif4,2] * self.yvarphiu[2,mif2] + -1/48 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yubar[2,mif1] * self.yvarphidbar[mif4,2] * self.yvarphiu[2,mif2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[0,mif2] * self.yvarphid[mif3,0] * self.yvarphiubar[0,mif1] + 1/48 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[0,mif2] * self.yvarphid[mif3,0] * self.yvarphiubar[0,mif1] + -1/48 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.yu[0,mif2] * self.yvarphid[mif3,0] * self.yvarphiubar[0,mif1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[0,mif2] * self.yvarphid[mif3,1] * self.yvarphiubar[0,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[0,mif2] * self.yvarphid[mif3,1] * self.yvarphiubar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.yu[0,mif2] * self.yvarphid[mif3,1] * self.yvarphiubar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[1,mif2] * self.yvarphid[mif3,1] * self.yvarphiubar[0,mif1] + -1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[1,mif2] * self.yvarphid[mif3,1] * self.yvarphiubar[0,mif1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.yu[1,mif2] * self.yvarphid[mif3,1] * self.yvarphiubar[0,mif1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[0,mif2] * self.yvarphid[mif3,2] * self.yvarphiubar[0,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[0,mif2] * self.yvarphid[mif3,2] * self.yvarphiubar[0,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.yu[0,mif2] * self.yvarphid[mif3,2] * self.yvarphiubar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[2,mif2] * self.yvarphid[mif3,2] * self.yvarphiubar[0,mif1] + -1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[2,mif2] * self.yvarphid[mif3,2] * self.yvarphiubar[0,mif1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.yu[2,mif2] * self.yvarphid[mif3,2] * self.yvarphiubar[0,mif1] + 5/2592 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/432 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + -1/432 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[0,mif3] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[0,mif3] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + -1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ydbar[0,mif3] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[1,mif3] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + 1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[1,mif3] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + -1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ydbar[1,mif3] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + -1/48 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[2,mif3] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + 1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[2,mif3] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + -1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ydbar[2,mif3] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + -1/48 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[0,mif2] * self.yvarphid[mif3,0] * self.yvarphiubar[1,mif1] + -1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[0,mif2] * self.yvarphid[mif3,0] * self.yvarphiubar[1,mif1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.yu[0,mif2] * self.yvarphid[mif3,0] * self.yvarphiubar[1,mif1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[1,mif2] * self.yvarphid[mif3,0] * self.yvarphiubar[1,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[1,mif2] * self.yvarphid[mif3,0] * self.yvarphiubar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.yu[1,mif2] * self.yvarphid[mif3,0] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[1,mif2] * self.yvarphid[mif3,1] * self.yvarphiubar[1,mif1] + 1/48 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[1,mif2] * self.yvarphid[mif3,1] * self.yvarphiubar[1,mif1] + -1/48 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.yu[1,mif2] * self.yvarphid[mif3,1] * self.yvarphiubar[1,mif1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[1,mif2] * self.yvarphid[mif3,2] * self.yvarphiubar[1,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[1,mif2] * self.yvarphid[mif3,2] * self.yvarphiubar[1,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.yu[1,mif2] * self.yvarphid[mif3,2] * self.yvarphiubar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[2,mif2] * self.yvarphid[mif3,2] * self.yvarphiubar[1,mif1] + -1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[2,mif2] * self.yvarphid[mif3,2] * self.yvarphiubar[1,mif1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.yu[2,mif2] * self.yvarphid[mif3,2] * self.yvarphiubar[1,mif1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[0,mif3] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + 1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[0,mif3] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + -1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ydbar[0,mif3] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + -1/48 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + 5/2592 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/432 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + -1/432 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[1,mif3] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[1,mif3] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + -1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ydbar[1,mif3] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[2,mif3] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + 1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[2,mif3] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + -1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ydbar[2,mif3] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + -1/48 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[0,mif2] * self.yvarphid[mif3,0] * self.yvarphiubar[2,mif1] + -1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[0,mif2] * self.yvarphid[mif3,0] * self.yvarphiubar[2,mif1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.yu[0,mif2] * self.yvarphid[mif3,0] * self.yvarphiubar[2,mif1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[2,mif2] * self.yvarphid[mif3,0] * self.yvarphiubar[2,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[2,mif2] * self.yvarphid[mif3,0] * self.yvarphiubar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.yu[2,mif2] * self.yvarphid[mif3,0] * self.yvarphiubar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[1,mif2] * self.yvarphid[mif3,1] * self.yvarphiubar[2,mif1] + -1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[1,mif2] * self.yvarphid[mif3,1] * self.yvarphiubar[2,mif1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.yu[1,mif2] * self.yvarphid[mif3,1] * self.yvarphiubar[2,mif1] + 3/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[2,mif2] * self.yvarphid[mif3,1] * self.yvarphiubar[2,mif1] + 1/32 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[2,mif2] * self.yvarphid[mif3,1] * self.yvarphiubar[2,mif1] + -1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.yu[2,mif2] * self.yvarphid[mif3,1] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[2,mif2] * self.yvarphid[mif3,2] * self.yvarphiubar[2,mif1] + 1/48 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[2,mif2] * self.yvarphid[mif3,2] * self.yvarphiubar[2,mif1] + -1/48 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.yu[2,mif2] * self.yvarphid[mif3,2] * self.yvarphiubar[2,mif1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[0,mif3] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + 1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[0,mif3] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + -1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ydbar[0,mif3] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + -1/48 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[1,mif3] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + 1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[1,mif3] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + -1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ydbar[1,mif3] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + -1/48 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + 5/2592 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + 1/432 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + -1/432 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[2,mif3] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + 1/96 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[2,mif3] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + -1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ydbar[2,mif3] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1])

    def alphaOud8(self, mif1,mif2,mif3,mif4):
        return (-1/18 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + -1/24 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + 1/24 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[0,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[0,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yubar[0,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[0,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[0,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yubar[0,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[0,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,0] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[0,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,0] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yubar[0,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,0] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[1,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[1,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yubar[1,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,1] + -1/18 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + -1/24 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + 1/24 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[1,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[1,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yubar[1,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[1,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[1,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yubar[1,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[2,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[2,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yubar[2,mif1] * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[2,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[2,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yubar[2,mif1] * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,2] + -1/18 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + -1/24 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + 1/24 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[2,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[2,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yubar[2,mif1] * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yubar[0,mif1] * self.yvarphidbar[mif4,0] * self.yvarphiu[0,mif2] + -1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yubar[0,mif1] * self.yvarphidbar[mif4,0] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yubar[0,mif1] * self.yvarphidbar[mif4,0] * self.yvarphiu[0,mif2] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yubar[1,mif1] * self.yvarphidbar[mif4,1] * self.yvarphiu[0,mif2] + -1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yubar[1,mif1] * self.yvarphidbar[mif4,1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yubar[1,mif1] * self.yvarphidbar[mif4,1] * self.yvarphiu[0,mif2] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yubar[2,mif1] * self.yvarphidbar[mif4,2] * self.yvarphiu[0,mif2] + -1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,mif3] * self.yubar[2,mif1] * self.yvarphidbar[mif4,2] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,mif3] * self.yubar[2,mif1] * self.yvarphidbar[mif4,2] * self.yvarphiu[0,mif2] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yubar[0,mif1] * self.yvarphidbar[mif4,0] * self.yvarphiu[1,mif2] + -1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yubar[0,mif1] * self.yvarphidbar[mif4,0] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yubar[0,mif1] * self.yvarphidbar[mif4,0] * self.yvarphiu[1,mif2] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yubar[1,mif1] * self.yvarphidbar[mif4,1] * self.yvarphiu[1,mif2] + -1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yubar[1,mif1] * self.yvarphidbar[mif4,1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yubar[1,mif1] * self.yvarphidbar[mif4,1] * self.yvarphiu[1,mif2] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yubar[2,mif1] * self.yvarphidbar[mif4,2] * self.yvarphiu[1,mif2] + -1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,mif3] * self.yubar[2,mif1] * self.yvarphidbar[mif4,2] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,mif3] * self.yubar[2,mif1] * self.yvarphidbar[mif4,2] * self.yvarphiu[1,mif2] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yubar[0,mif1] * self.yvarphidbar[mif4,0] * self.yvarphiu[2,mif2] + -1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yubar[0,mif1] * self.yvarphidbar[mif4,0] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yubar[0,mif1] * self.yvarphidbar[mif4,0] * self.yvarphiu[2,mif2] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yubar[1,mif1] * self.yvarphidbar[mif4,1] * self.yvarphiu[2,mif2] + -1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yubar[1,mif1] * self.yvarphidbar[mif4,1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yubar[1,mif1] * self.yvarphidbar[mif4,1] * self.yvarphiu[2,mif2] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yubar[2,mif1] * self.yvarphidbar[mif4,2] * self.yvarphiu[2,mif2] + -1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,mif3] * self.yubar[2,mif1] * self.yvarphidbar[mif4,2] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,mif3] * self.yubar[2,mif1] * self.yvarphidbar[mif4,2] * self.yvarphiu[2,mif2] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[0,mif2] * self.yvarphid[mif3,0] * self.yvarphiubar[0,mif1] + -1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[0,mif2] * self.yvarphid[mif3,0] * self.yvarphiubar[0,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.yu[0,mif2] * self.yvarphid[mif3,0] * self.yvarphiubar[0,mif1] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[1,mif2] * self.yvarphid[mif3,1] * self.yvarphiubar[0,mif1] + -1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[1,mif2] * self.yvarphid[mif3,1] * self.yvarphiubar[0,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.yu[1,mif2] * self.yvarphid[mif3,1] * self.yvarphiubar[0,mif1] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[2,mif2] * self.yvarphid[mif3,2] * self.yvarphiubar[0,mif1] + -1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.yu[2,mif2] * self.yvarphid[mif3,2] * self.yvarphiubar[0,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.yu[2,mif2] * self.yvarphid[mif3,2] * self.yvarphiubar[0,mif1] + -1/18 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + -1/24 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/24 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[0,mif3] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[0,mif3] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ydbar[0,mif3] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + -1/8 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[1,mif3] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[1,mif3] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ydbar[1,mif3] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + -1/8 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[2,mif3] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,mif4] * self.ydbar[2,mif3] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,mif4] * self.ydbar[2,mif3] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + -1/8 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif1] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[0,mif2] * self.yvarphid[mif3,0] * self.yvarphiubar[1,mif1] + -1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[0,mif2] * self.yvarphid[mif3,0] * self.yvarphiubar[1,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.yu[0,mif2] * self.yvarphid[mif3,0] * self.yvarphiubar[1,mif1] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[1,mif2] * self.yvarphid[mif3,1] * self.yvarphiubar[1,mif1] + -1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[1,mif2] * self.yvarphid[mif3,1] * self.yvarphiubar[1,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.yu[1,mif2] * self.yvarphid[mif3,1] * self.yvarphiubar[1,mif1] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[2,mif2] * self.yvarphid[mif3,2] * self.yvarphiubar[1,mif1] + -1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.yu[2,mif2] * self.yvarphid[mif3,2] * self.yvarphiubar[1,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.yu[2,mif2] * self.yvarphid[mif3,2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[0,mif3] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[0,mif3] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ydbar[0,mif3] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + -1/8 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif1] + -1/18 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + -1/24 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/24 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[1,mif3] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[1,mif3] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ydbar[1,mif3] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + -1/8 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[2,mif3] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,mif4] * self.ydbar[2,mif3] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,mif4] * self.ydbar[2,mif3] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + -1/8 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif1] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[0,mif2] * self.yvarphid[mif3,0] * self.yvarphiubar[2,mif1] + -1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[0,mif2] * self.yvarphid[mif3,0] * self.yvarphiubar[2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.yu[0,mif2] * self.yvarphid[mif3,0] * self.yvarphiubar[2,mif1] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[1,mif2] * self.yvarphid[mif3,1] * self.yvarphiubar[2,mif1] + -1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[1,mif2] * self.yvarphid[mif3,1] * self.yvarphiubar[2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.yu[1,mif2] * self.yvarphid[mif3,1] * self.yvarphiubar[2,mif1] + -3/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[2,mif2] * self.yvarphid[mif3,2] * self.yvarphiubar[2,mif1] + -1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.yu[2,mif2] * self.yvarphid[mif3,2] * self.yvarphiubar[2,mif1] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.yu[2,mif2] * self.yvarphid[mif3,2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[0,mif3] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[0,mif3] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ydbar[0,mif3] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + -1/8 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,0] * self.yvarphidbar[mif4,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[1,mif3] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[1,mif3] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ydbar[1,mif3] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + -1/8 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,1] * self.yvarphidbar[mif4,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif1] + -1/18 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + -1/24 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + 1/24 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + 1/32 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[2,mif3] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,mif4] * self.ydbar[2,mif3] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,mif4] * self.ydbar[2,mif3] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + -1/8 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[mif3,2] * self.yvarphidbar[mif4,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1])

    def alphaOuG(self, mif1,mif2):
        return (1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] + -3/64 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + -1/32 * self.g3 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/32 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + -3/64 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + -1/32 * self.g3 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/32 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + -3/64 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + -1/32 * self.g3 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/32 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + -3/64 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + -1/32 * self.g3 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/32 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + -3/64 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + -1/32 * self.g3 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/32 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + -3/64 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + -1/32 * self.g3 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/32 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + -3/64 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + -1/32 * self.g3 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/32 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + -3/64 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + -1/32 * self.g3 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/32 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + -3/64 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + -1/32 * self.g3 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 1/32 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 1/96 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,0] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + 1/96 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,1] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + 1/96 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,2] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + 1/96 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,0] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + 1/96 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,1] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + 1/96 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,2] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + 1/96 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,0] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + 1/96 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,1] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + 1/96 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,2] + 1/192 * self.g3 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2])

    def alphaOuH(self, mif1,mif2):
        return (-1/3840 * (self.g2)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif2] + 1/192 * (self.lambdaHatPrimevarphi)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif2] + 1/16 * self.lambdavarphi * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,mif2] + -1/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[0,mif2] * self.yvarphid[0,0] + -1/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[1,mif2] * self.yvarphid[0,1] + -1/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.yu[2,mif2] * self.yvarphid[0,2] + -1/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[0,mif2] * self.yvarphid[1,0] + -1/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[1,mif2] * self.yvarphid[1,1] + -1/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.yu[2,mif2] * self.yvarphid[1,2] + -1/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[0,mif2] * self.yvarphid[2,0] + -1/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[1,mif2] * self.yvarphid[2,1] + -1/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.yu[2,mif2] * self.yvarphid[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphid[0,0] * self.yvarphidbar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphid[0,0] * self.yvarphidbar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphid[0,0] * self.yvarphidbar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphid[0,1] * self.yvarphidbar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphid[0,1] * self.yvarphidbar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphid[0,1] * self.yvarphidbar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphid[0,2] * self.yvarphidbar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphid[0,2] * self.yvarphidbar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphid[0,2] * self.yvarphidbar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphid[0,0] * self.yvarphidbar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphid[0,0] * self.yvarphidbar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphid[0,0] * self.yvarphidbar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphid[0,1] * self.yvarphidbar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphid[0,1] * self.yvarphidbar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphid[0,1] * self.yvarphidbar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphid[0,2] * self.yvarphidbar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphid[0,2] * self.yvarphidbar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphid[0,2] * self.yvarphidbar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphid[0,0] * self.yvarphidbar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphid[0,0] * self.yvarphidbar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphid[0,0] * self.yvarphidbar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphid[0,1] * self.yvarphidbar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphid[0,1] * self.yvarphidbar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphid[0,1] * self.yvarphidbar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphid[0,2] * self.yvarphidbar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphid[0,2] * self.yvarphidbar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphid[0,2] * self.yvarphidbar[0,2] + -1/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yu[0,mif2] * self.yvarphidbar[0,mif1] + -1/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yu[0,mif2] * self.yvarphidbar[0,mif1] + 1/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,0] * self.yu[0,mif2] * self.yvarphidbar[0,mif1] + -1/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yu[1,mif2] * self.yvarphidbar[0,mif1] + -1/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yu[1,mif2] * self.yvarphidbar[0,mif1] + 1/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,0] * self.yu[1,mif2] * self.yvarphidbar[0,mif1] + -1/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yu[2,mif2] * self.yvarphidbar[0,mif1] + -1/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yu[2,mif2] * self.yvarphidbar[0,mif1] + 1/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,0] * self.yu[2,mif2] * self.yvarphidbar[0,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yu[0,mif2] * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yu[0,mif2] * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yu[0,mif2] * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yu[1,mif2] * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yu[1,mif2] * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yu[1,mif2] * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yu[2,mif2] * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yu[2,mif2] * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yu[2,mif2] * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,0] * self.yu[0,mif2] * self.yvarphid[1,0] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,0] * self.yu[0,mif2] * self.yvarphid[1,0] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,0] * self.yu[0,mif2] * self.yvarphid[1,0] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,0] * self.yu[1,mif2] * self.yvarphid[1,1] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,0] * self.yu[1,mif2] * self.yvarphid[1,1] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,0] * self.yu[1,mif2] * self.yvarphid[1,1] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,0] * self.yu[2,mif2] * self.yvarphid[1,2] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,0] * self.yu[2,mif2] * self.yvarphid[1,2] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,0] * self.yu[2,mif2] * self.yvarphid[1,2] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,0] * self.yu[0,mif2] * self.yvarphid[2,0] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,0] * self.yu[0,mif2] * self.yvarphid[2,0] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,0] * self.yu[0,mif2] * self.yvarphid[2,0] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,0] * self.yu[1,mif2] * self.yvarphid[2,1] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,0] * self.yu[1,mif2] * self.yvarphid[2,1] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,0] * self.yu[1,mif2] * self.yvarphid[2,1] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,0] * self.yu[2,mif2] * self.yvarphid[2,2] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,0] * self.yu[2,mif2] * self.yvarphid[2,2] * self.yvarphidbar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,0] * self.yu[2,mif2] * self.yvarphid[2,2] * self.yvarphidbar[0,mif1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphid[1,0] * self.yvarphidbar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphid[1,0] * self.yvarphidbar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphid[1,0] * self.yvarphidbar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphid[1,1] * self.yvarphidbar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphid[1,1] * self.yvarphidbar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphid[1,1] * self.yvarphidbar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphid[1,2] * self.yvarphidbar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphid[1,2] * self.yvarphidbar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphid[1,2] * self.yvarphidbar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphid[1,0] * self.yvarphidbar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphid[1,0] * self.yvarphidbar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphid[1,0] * self.yvarphidbar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphid[1,1] * self.yvarphidbar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphid[1,1] * self.yvarphidbar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphid[1,1] * self.yvarphidbar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphid[1,2] * self.yvarphidbar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphid[1,2] * self.yvarphidbar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphid[1,2] * self.yvarphidbar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphid[1,0] * self.yvarphidbar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphid[1,0] * self.yvarphidbar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphid[1,0] * self.yvarphidbar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphid[1,1] * self.yvarphidbar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphid[1,1] * self.yvarphidbar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphid[1,1] * self.yvarphidbar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphid[1,2] * self.yvarphidbar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphid[1,2] * self.yvarphidbar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphid[1,2] * self.yvarphidbar[1,2] + -1/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yu[0,mif2] * self.yvarphidbar[1,mif1] + -1/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yu[0,mif2] * self.yvarphidbar[1,mif1] + 1/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,1] * self.yu[0,mif2] * self.yvarphidbar[1,mif1] + -1/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yu[1,mif2] * self.yvarphidbar[1,mif1] + -1/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yu[1,mif2] * self.yvarphidbar[1,mif1] + 1/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,1] * self.yu[1,mif2] * self.yvarphidbar[1,mif1] + -1/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yu[2,mif2] * self.yvarphidbar[1,mif1] + -1/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yu[2,mif2] * self.yvarphidbar[1,mif1] + 1/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,1] * self.yu[2,mif2] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,1] * self.yu[0,mif2] * self.yvarphid[0,0] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,1] * self.yu[0,mif2] * self.yvarphid[0,0] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,1] * self.yu[0,mif2] * self.yvarphid[0,0] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,1] * self.yu[1,mif2] * self.yvarphid[0,1] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,1] * self.yu[1,mif2] * self.yvarphid[0,1] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,1] * self.yu[1,mif2] * self.yvarphid[0,1] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,1] * self.yu[2,mif2] * self.yvarphid[0,2] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,1] * self.yu[2,mif2] * self.yvarphid[0,2] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,1] * self.yu[2,mif2] * self.yvarphid[0,2] * self.yvarphidbar[1,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yu[0,mif2] * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yu[0,mif2] * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yu[0,mif2] * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yu[1,mif2] * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yu[1,mif2] * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yu[1,mif2] * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yu[2,mif2] * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yu[2,mif2] * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yu[2,mif2] * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,1] * self.yu[0,mif2] * self.yvarphid[2,0] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,1] * self.yu[0,mif2] * self.yvarphid[2,0] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,1] * self.yu[0,mif2] * self.yvarphid[2,0] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,1] * self.yu[1,mif2] * self.yvarphid[2,1] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,1] * self.yu[1,mif2] * self.yvarphid[2,1] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,1] * self.yu[1,mif2] * self.yvarphid[2,1] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,1] * self.yu[2,mif2] * self.yvarphid[2,2] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,1] * self.yu[2,mif2] * self.yvarphid[2,2] * self.yvarphidbar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,1] * self.yu[2,mif2] * self.yvarphid[2,2] * self.yvarphidbar[1,mif1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphid[2,0] * self.yvarphidbar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphid[2,0] * self.yvarphidbar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphid[2,0] * self.yvarphidbar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphid[2,1] * self.yvarphidbar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphid[2,1] * self.yvarphidbar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphid[2,1] * self.yvarphidbar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphid[2,2] * self.yvarphidbar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphid[2,2] * self.yvarphidbar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphid[2,2] * self.yvarphidbar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphid[2,0] * self.yvarphidbar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphid[2,0] * self.yvarphidbar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphid[2,0] * self.yvarphidbar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphid[2,1] * self.yvarphidbar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphid[2,1] * self.yvarphidbar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphid[2,1] * self.yvarphidbar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphid[2,2] * self.yvarphidbar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphid[2,2] * self.yvarphidbar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphid[2,2] * self.yvarphidbar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphid[2,0] * self.yvarphidbar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphid[2,0] * self.yvarphidbar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphid[2,0] * self.yvarphidbar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphid[2,1] * self.yvarphidbar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphid[2,1] * self.yvarphidbar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphid[2,1] * self.yvarphidbar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphid[2,2] * self.yvarphidbar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphid[2,2] * self.yvarphidbar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphid[2,2] * self.yvarphidbar[2,2] + -1/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yu[0,mif2] * self.yvarphidbar[2,mif1] + -1/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yu[0,mif2] * self.yvarphidbar[2,mif1] + 1/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,2] * self.yu[0,mif2] * self.yvarphidbar[2,mif1] + -1/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yu[1,mif2] * self.yvarphidbar[2,mif1] + -1/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yu[1,mif2] * self.yvarphidbar[2,mif1] + 1/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,2] * self.yu[1,mif2] * self.yvarphidbar[2,mif1] + -1/64 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yu[2,mif2] * self.yvarphidbar[2,mif1] + -1/32 * self.invepsilonbar * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yu[2,mif2] * self.yvarphidbar[2,mif1] + 1/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,2] * self.yu[2,mif2] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,2] * self.yu[0,mif2] * self.yvarphid[0,0] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,2] * self.yu[0,mif2] * self.yvarphid[0,0] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,2] * self.yu[0,mif2] * self.yvarphid[0,0] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,2] * self.yu[1,mif2] * self.yvarphid[0,1] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,2] * self.yu[1,mif2] * self.yvarphid[0,1] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,2] * self.yu[1,mif2] * self.yvarphid[0,1] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,2] * self.yu[2,mif2] * self.yvarphid[0,2] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,2] * self.yu[2,mif2] * self.yvarphid[0,2] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,2] * self.yu[2,mif2] * self.yvarphid[0,2] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,2] * self.yu[0,mif2] * self.yvarphid[1,0] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,2] * self.yu[0,mif2] * self.yvarphid[1,0] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,2] * self.yu[0,mif2] * self.yvarphid[1,0] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,2] * self.yu[1,mif2] * self.yvarphid[1,1] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,2] * self.yu[1,mif2] * self.yvarphid[1,1] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,2] * self.yu[1,mif2] * self.yvarphid[1,1] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,2] * self.yu[2,mif2] * self.yvarphid[1,2] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,2] * self.yu[2,mif2] * self.yvarphid[1,2] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,2] * self.yu[2,mif2] * self.yvarphid[1,2] * self.yvarphidbar[2,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yu[0,mif2] * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yu[0,mif2] * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yu[0,mif2] * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yu[1,mif2] * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yu[1,mif2] * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yu[1,mif2] * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yu[2,mif2] * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yu[2,mif2] * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yu[2,mif2] * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yu[0,mif2] * self.yubar[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yu[1,mif2] * self.yubar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yu[2,mif2] * self.yubar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yu[0,mif2] * self.yubar[0,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yu[1,mif2] * self.yubar[1,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yu[2,mif2] * self.yubar[2,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yu[0,mif2] * self.yubar[0,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yu[1,mif2] * self.yubar[1,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yu[2,mif2] * self.yubar[2,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yu[0,mif2] * self.yubar[0,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yu[1,mif2] * self.yubar[1,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yu[2,mif2] * self.yubar[2,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yu[0,mif2] * self.yubar[0,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yu[1,mif2] * self.yubar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yu[2,mif2] * self.yubar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yu[0,mif2] * self.yubar[0,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yu[1,mif2] * self.yubar[1,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yu[2,mif2] * self.yubar[2,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yu[0,mif2] * self.yubar[0,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yu[1,mif2] * self.yubar[1,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yu[2,mif2] * self.yubar[2,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yu[0,mif2] * self.yubar[0,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yu[1,mif2] * self.yubar[1,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yu[2,mif2] * self.yubar[2,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yu[0,mif2] * self.yubar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yu[1,mif2] * self.yubar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yu[2,mif2] * self.yubar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,2] + 1/16 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphiu[0,mif2] + -1/16 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[0,0] * self.yvarphiu[0,mif2] + 1/16 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphiu[0,mif2] + -1/16 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[0,1] * self.yvarphiu[0,mif2] + 1/16 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphiu[0,mif2] + -1/16 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[0,2] * self.yvarphiu[0,mif2] + -13/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphiu[0,mif2] + -5/32 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphiu[0,mif2] + 5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphiu[0,mif2] + -13/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphiu[0,mif2] + -5/32 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphiu[0,mif2] + 5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphiu[0,mif2] + -13/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphiu[0,mif2] + -5/32 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphiu[0,mif2] + 5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphidbar[0,0] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphidbar[0,0] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphidbar[0,0] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphidbar[0,1] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphidbar[0,1] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphidbar[0,1] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphidbar[0,2] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphidbar[0,2] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphidbar[0,2] * self.yvarphiu[0,mif2] + -3/32 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + -1/16 * self.invepsilonbar * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * (self.ydbar[0,0])**(2) * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * (self.ydbar[0,0])**(2) * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,0] * (self.ydbar[0,0])**(2) * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[0,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[0,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[0,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[0,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[0,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[0,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + -7/128 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + -3/64 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 3/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphidbar[1,0] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphidbar[1,0] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphidbar[1,0] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphidbar[1,1] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphidbar[1,1] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphidbar[1,1] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphidbar[1,2] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphidbar[1,2] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphidbar[1,2] * self.yvarphiu[0,mif2] + -3/32 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + -1/16 * self.invepsilonbar * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.ydbar[0,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.ydbar[0,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] * self.ydbar[0,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * (self.ydbar[0,1])**(2) * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * (self.ydbar[0,1])**(2) * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,1] * (self.ydbar[0,1])**(2) * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[0,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[0,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[0,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + -7/128 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + -3/64 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 3/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphidbar[2,0] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphidbar[2,0] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphidbar[2,0] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphidbar[2,1] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphidbar[2,1] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphidbar[2,1] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphidbar[2,2] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphidbar[2,2] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphidbar[2,2] * self.yvarphiu[0,mif2] + -3/32 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + -1/16 * self.invepsilonbar * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.ydbar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.ydbar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] * self.ydbar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.ydbar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.ydbar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,1] * self.ydbar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * (self.ydbar[0,2])**(2) * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * (self.ydbar[0,2])**(2) * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,2] * (self.ydbar[0,2])**(2) * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[0,0] * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[0,1] * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[0,2] * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[0,0] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[0,1] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[0,2] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + -7/128 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + -3/64 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 3/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yu[0,mif2] * self.yubar[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yu[1,mif2] * self.yubar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yu[2,mif2] * self.yubar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yu[0,mif2] * self.yubar[0,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yu[1,mif2] * self.yubar[1,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yu[2,mif2] * self.yubar[2,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yu[0,mif2] * self.yubar[0,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yu[1,mif2] * self.yubar[1,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yu[2,mif2] * self.yubar[2,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yu[0,mif2] * self.yubar[0,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yu[1,mif2] * self.yubar[1,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yu[2,mif2] * self.yubar[2,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yu[0,mif2] * self.yubar[0,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yu[1,mif2] * self.yubar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yu[2,mif2] * self.yubar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yu[0,mif2] * self.yubar[0,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yu[1,mif2] * self.yubar[1,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yu[2,mif2] * self.yubar[2,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yu[0,mif2] * self.yubar[0,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yu[1,mif2] * self.yubar[1,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yu[2,mif2] * self.yubar[2,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yu[0,mif2] * self.yubar[0,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yu[1,mif2] * self.yubar[1,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yu[2,mif2] * self.yubar[2,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yu[0,mif2] * self.yubar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yu[1,mif2] * self.yubar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yu[2,mif2] * self.yubar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,2] + 1/16 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphiu[1,mif2] + -1/16 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[1,0] * self.yvarphiu[1,mif2] + 1/16 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphiu[1,mif2] + -1/16 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[1,1] * self.yvarphiu[1,mif2] + 1/16 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphiu[1,mif2] + -1/16 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[1,2] * self.yvarphiu[1,mif2] + -13/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphiu[1,mif2] + -5/32 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphiu[1,mif2] + 5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphiu[1,mif2] + -13/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphiu[1,mif2] + -5/32 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphiu[1,mif2] + 5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphiu[1,mif2] + -13/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphiu[1,mif2] + -5/32 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphiu[1,mif2] + 5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphidbar[0,0] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphidbar[0,0] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphidbar[0,0] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphidbar[0,1] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphidbar[0,1] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphidbar[0,1] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphidbar[0,2] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphidbar[0,2] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphidbar[0,2] * self.yvarphiu[1,mif2] + -3/32 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + -1/16 * self.invepsilonbar * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * (self.ydbar[1,0])**(2) * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * (self.ydbar[1,0])**(2) * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,0] * (self.ydbar[1,0])**(2) * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[1,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[1,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[1,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,0] * self.ydbar[1,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,0] * self.ydbar[1,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,0] * self.ydbar[1,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[1,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[1,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[1,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,0] * self.ydbar[1,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,0] * self.ydbar[1,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,0] * self.ydbar[1,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + -7/128 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + -3/64 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 3/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphidbar[1,0] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphidbar[1,0] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphidbar[1,0] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphidbar[1,1] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphidbar[1,1] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphidbar[1,1] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphidbar[1,2] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphidbar[1,2] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphidbar[1,2] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,1] * self.ydbar[1,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,1] * self.ydbar[1,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,1] * self.ydbar[1,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + -3/32 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + -1/16 * self.invepsilonbar * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,1] * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * (self.ydbar[1,1])**(2) * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * (self.ydbar[1,1])**(2) * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,1] * (self.ydbar[1,1])**(2) * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[1,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[1,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[1,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,1] * self.ydbar[1,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,1] * self.ydbar[1,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,1] * self.ydbar[1,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + -7/128 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + -3/64 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 3/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphidbar[2,0] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphidbar[2,0] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphidbar[2,0] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphidbar[2,1] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphidbar[2,1] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphidbar[2,1] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphidbar[2,2] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphidbar[2,2] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphidbar[2,2] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,2] * self.ydbar[1,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,2] * self.ydbar[1,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,2] * self.ydbar[1,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,2] * self.ydbar[1,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,2] * self.ydbar[1,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,2] * self.ydbar[1,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + -3/32 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + -1/16 * self.invepsilonbar * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,2] * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,1] * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * (self.ydbar[1,2])**(2) * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * (self.ydbar[1,2])**(2) * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,2] * (self.ydbar[1,2])**(2) * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[1,0] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[1,1] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[1,2] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + -7/128 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + -3/64 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 3/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yu[0,mif2] * self.yubar[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yu[1,mif2] * self.yubar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yu[2,mif2] * self.yubar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yu[0,mif2] * self.yubar[0,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yu[1,mif2] * self.yubar[1,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yu[2,mif2] * self.yubar[2,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yu[0,mif2] * self.yubar[0,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yu[1,mif2] * self.yubar[1,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yu[2,mif2] * self.yubar[2,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yu[0,mif2] * self.yubar[0,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yu[1,mif2] * self.yubar[1,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yu[2,mif2] * self.yubar[2,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yu[0,mif2] * self.yubar[0,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yu[1,mif2] * self.yubar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yu[2,mif2] * self.yubar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yu[0,mif2] * self.yubar[0,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yu[1,mif2] * self.yubar[1,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yu[2,mif2] * self.yubar[2,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yu[0,mif2] * self.yubar[0,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yu[1,mif2] * self.yubar[1,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yu[2,mif2] * self.yubar[2,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yu[0,mif2] * self.yubar[0,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yu[1,mif2] * self.yubar[1,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yu[2,mif2] * self.yubar[2,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yu[0,mif2] * self.yubar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yu[1,mif2] * self.yubar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yu[2,mif2] * self.yubar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,2] + 1/16 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphiu[2,mif2] + -1/16 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,0] * self.ydbar[2,0] * self.yvarphiu[2,mif2] + 1/16 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphiu[2,mif2] + -1/16 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,1] * self.ydbar[2,1] * self.yvarphiu[2,mif2] + 1/16 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphiu[2,mif2] + -1/16 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[mif1,2] * self.ydbar[2,2] * self.yvarphiu[2,mif2] + -13/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphiu[2,mif2] + -5/32 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphiu[2,mif2] + 5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphiu[2,mif2] + -13/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphiu[2,mif2] + -5/32 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphiu[2,mif2] + 5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphiu[2,mif2] + -13/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphiu[2,mif2] + -5/32 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphiu[2,mif2] + 5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphidbar[0,0] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphidbar[0,0] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphidbar[0,0] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphidbar[0,1] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphidbar[0,1] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphidbar[0,1] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphidbar[0,2] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphidbar[0,2] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphidbar[0,2] * self.yvarphiu[2,mif2] + -3/32 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + -1/16 * self.invepsilonbar * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,0] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,0] * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * (self.ydbar[2,0])**(2) * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * (self.ydbar[2,0])**(2) * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,0] * (self.ydbar[2,0])**(2) * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[2,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[2,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,0] * self.ydbar[2,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,0] * self.ydbar[2,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,0] * self.ydbar[2,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,0] * self.ydbar[2,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,0] * self.ydbar[2,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,0] * self.ydbar[2,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,0] * self.ydbar[2,1] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[2,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[2,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,0] * self.ydbar[2,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,0] * self.ydbar[2,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,0] * self.ydbar[2,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,0] * self.ydbar[2,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,0] * self.ydbar[2,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,0] * self.ydbar[2,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,0] * self.ydbar[2,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + -7/128 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + -3/64 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 3/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphidbar[1,0] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphidbar[1,0] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphidbar[1,0] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphidbar[1,1] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphidbar[1,1] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphidbar[1,1] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphidbar[1,2] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphidbar[1,2] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphidbar[1,2] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,1] * self.ydbar[2,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,1] * self.ydbar[2,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,1] * self.ydbar[2,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,1] * self.ydbar[2,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,1] * self.ydbar[2,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,1] * self.ydbar[2,0] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + -3/32 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + -1/16 * self.invepsilonbar * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,1] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,1] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,0] * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * (self.ydbar[2,1])**(2) * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * (self.ydbar[2,1])**(2) * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,1] * (self.ydbar[2,1])**(2) * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[2,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[2,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,1] * self.ydbar[2,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,1] * self.ydbar[2,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,1] * self.ydbar[2,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,1] * self.ydbar[2,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,1] * self.ydbar[2,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,1] * self.ydbar[2,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,2] * self.ydbar[2,1] * self.ydbar[2,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + -7/128 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + -3/64 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 3/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphidbar[2,0] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphidbar[2,0] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphidbar[2,0] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphidbar[2,1] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphidbar[2,1] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphidbar[2,1] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphidbar[2,2] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphidbar[2,2] * self.yvarphiu[2,mif2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphidbar[2,2] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,2] * self.ydbar[2,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,2] * self.ydbar[2,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,0] * self.ydbar[0,2] * self.ydbar[2,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,2] * self.ydbar[2,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,2] * self.ydbar[2,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,0] * self.ydbar[1,2] * self.ydbar[2,0] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,2] * self.ydbar[2,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,2] * self.ydbar[2,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,1] * self.ydbar[0,2] * self.ydbar[2,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,2] * self.ydbar[2,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,2] * self.ydbar[2,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,1] * self.ydbar[1,2] * self.ydbar[2,1] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + -3/32 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + -1/16 * self.invepsilonbar * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[0,2] * self.ydbar[0,2] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[1,2] * self.ydbar[1,2] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,0] * self.ydbar[2,0] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,1] * self.ydbar[2,1] * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * (self.ydbar[2,2])**(2) * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 1/16 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * (self.ydbar[2,2])**(2) * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + -1/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yd[2,2] * (self.ydbar[2,2])**(2) * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + -7/128 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + -3/64 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 3/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[0,0] * self.yvarphiu[mif1,0] + -1/8 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[0,0] * self.yvarphiu[mif1,0] + 1/8 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yubar[0,0] * self.yvarphiu[mif1,0] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[1,0] * self.yvarphiu[mif1,0] + -1/8 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[1,0] * self.yvarphiu[mif1,0] + 1/8 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yubar[1,0] * self.yvarphiu[mif1,0] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[2,0] * self.yvarphiu[mif1,0] + -1/8 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[2,0] * self.yvarphiu[mif1,0] + 1/8 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yubar[2,0] * self.yvarphiu[mif1,0] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[0,1] * self.yvarphiu[mif1,1] + -1/8 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[0,1] * self.yvarphiu[mif1,1] + 1/8 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yubar[0,1] * self.yvarphiu[mif1,1] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[1,1] * self.yvarphiu[mif1,1] + -1/8 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[1,1] * self.yvarphiu[mif1,1] + 1/8 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yubar[1,1] * self.yvarphiu[mif1,1] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[2,1] * self.yvarphiu[mif1,1] + -1/8 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[2,1] * self.yvarphiu[mif1,1] + 1/8 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yubar[2,1] * self.yvarphiu[mif1,1] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[0,2] * self.yvarphiu[mif1,2] + -1/8 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[0,2] * self.yvarphiu[mif1,2] + 1/8 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yubar[0,2] * self.yvarphiu[mif1,2] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[1,2] * self.yvarphiu[mif1,2] + -1/8 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[1,2] * self.yvarphiu[mif1,2] + 1/8 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yubar[1,2] * self.yvarphiu[mif1,2] + -5/32 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[2,2] * self.yvarphiu[mif1,2] + -1/8 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[2,2] * self.yvarphiu[mif1,2] + 1/8 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yubar[2,2] * self.yvarphiu[mif1,2] + -1 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.yvarphiu[mif1,mif2] + -1/4 * self.lambdaHatPrimevarphi * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,mif2] + -1/4 * self.invepsilonbar * self.lambdaHatPrimevarphi * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,mif2] + -3/16 * self.lambdaHatvarphi * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,mif2] + -3/16 * self.invepsilonbar * self.lambdaHatvarphi * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[mif1,mif2] + 1/4 * self.lambdaHatPrimevarphi * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,mif2] + 3/16 * self.lambdaHatvarphi * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[mif1,mif2] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yvarphiubar[0,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphiu[0,0] * self.yvarphiubar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphiu[0,0] * self.yvarphiubar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphiu[0,0] * self.yvarphiubar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphiu[0,0] * self.yvarphiubar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphiu[0,0] * self.yvarphiubar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,1] * self.yvarphiu[0,1] * self.yvarphiubar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,1] * self.yvarphiu[0,1] * self.yvarphiubar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,1] * self.yvarphiu[0,1] * self.yvarphiubar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,2] * self.yvarphiu[0,2] * self.yvarphiubar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,2] * self.yvarphiu[0,2] * self.yvarphiubar[0,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,2] * self.yvarphiu[0,2] * self.yvarphiubar[0,0] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,0] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yu[mif1,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yu[mif1,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yu[mif1,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[mif1,0] * self.yubar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[mif1,0] * self.yubar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphiu[1,0] * self.yvarphiubar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphiu[1,0] * self.yvarphiubar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphiu[1,0] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[1,0] * self.yu[mif1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[1,1] * self.yu[mif1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[1,2] * self.yu[mif1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[mif1,0] * self.yubar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[mif1,0] * self.yubar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphiu[2,0] * self.yvarphiubar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphiu[2,0] * self.yvarphiubar[0,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphiu[2,0] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[2,0] * self.yu[mif1,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[2,1] * self.yu[mif1,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[2,2] * self.yu[mif1,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[mif1,0] * self.yubar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[mif1,0] * self.yubar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,0] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[0,mif2] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[1,0] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[2,0] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + 3/128 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + 3/64 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + -3/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[0,mif2] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[1,0] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[2,0] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[0,mif2] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[1,0] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[2,0] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,0] + -3/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yu[0,0])**(2) * self.yubar[0,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[0,1] * self.yubar[0,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[0,2] * self.yubar[0,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[1,0] * self.yubar[1,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[1,0] * self.yubar[1,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[1,0] * self.yubar[1,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[2,0] * self.yubar[2,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[2,0] * self.yubar[2,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[2,0] * self.yubar[2,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,0] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yvarphiubar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,0] * self.yvarphiu[0,0] * self.yvarphiubar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,0] * self.yvarphiu[0,0] * self.yvarphiubar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,0] * self.yvarphiu[0,0] * self.yvarphiubar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphiu[0,1] * self.yvarphiubar[0,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphiu[0,1] * self.yvarphiubar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphiu[0,1] * self.yvarphiubar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphiu[0,1] * self.yvarphiubar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphiu[0,1] * self.yvarphiubar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,2] * self.yvarphiu[0,2] * self.yvarphiubar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,2] * self.yvarphiu[0,2] * self.yvarphiubar[0,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,2] * self.yvarphiu[0,2] * self.yvarphiubar[0,1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,1] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yu[mif1,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yu[mif1,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yu[mif1,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[mif1,1] * self.yubar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[mif1,1] * self.yubar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphiu[1,1] * self.yvarphiubar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphiu[1,1] * self.yvarphiubar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphiu[1,1] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[1,0] * self.yu[mif1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[1,1] * self.yu[mif1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[1,2] * self.yu[mif1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[mif1,1] * self.yubar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[mif1,1] * self.yubar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphiu[2,1] * self.yvarphiubar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphiu[2,1] * self.yvarphiubar[0,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphiu[2,1] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[2,0] * self.yu[mif1,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[2,1] * self.yu[mif1,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[2,2] * self.yu[mif1,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[mif1,1] * self.yubar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[mif1,1] * self.yubar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[0,mif2] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[1,1] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[2,1] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[0,mif2] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[1,1] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[2,1] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + 3/128 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + 3/64 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + -3/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[0,mif2] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[1,1] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[2,1] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,1] + -3/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[0,1] * self.yubar[0,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yu[0,1])**(2) * self.yubar[0,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[0,2] * self.yubar[0,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[1,1] * self.yubar[1,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[1,1] * self.yubar[1,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[1,1] * self.yubar[1,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[2,1] * self.yubar[2,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[2,1] * self.yubar[2,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[2,1] * self.yubar[2,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,1] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yvarphiubar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,0] * self.yvarphiu[0,0] * self.yvarphiubar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,0] * self.yvarphiu[0,0] * self.yvarphiubar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,0] * self.yvarphiu[0,0] * self.yvarphiubar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,1] * self.yvarphiu[0,1] * self.yvarphiubar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,1] * self.yvarphiu[0,1] * self.yvarphiubar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,1] * self.yvarphiu[0,1] * self.yvarphiubar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphiu[0,2] * self.yvarphiubar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphiu[0,2] * self.yvarphiubar[0,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphiu[0,2] * self.yvarphiubar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphiu[0,2] * self.yvarphiubar[0,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphiu[0,2] * self.yvarphiubar[0,2] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,2] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[0,0] * self.yu[mif1,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[0,1] * self.yu[mif1,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[0,2] * self.yu[mif1,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[mif1,2] * self.yubar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[mif1,2] * self.yubar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphiu[1,2] * self.yvarphiubar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphiu[1,2] * self.yvarphiubar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphiu[1,2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[1,0] * self.yu[mif1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[1,1] * self.yu[mif1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[1,2] * self.yu[mif1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[mif1,2] * self.yubar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[mif1,2] * self.yubar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphiu[2,2] * self.yvarphiubar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphiu[2,2] * self.yvarphiubar[0,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphiu[2,2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,0] * self.ydbar[2,0] * self.yu[mif1,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,1] * self.ydbar[2,1] * self.yu[mif1,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[0,2] * self.ydbar[2,2] * self.yu[mif1,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[mif1,2] * self.yubar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[mif1,2] * self.yubar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[0,mif2] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[1,2] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[2,2] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[0,mif2] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[1,2] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[2,2] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,2] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[0,mif2] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[1,2] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[2,2] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + 3/128 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + 3/64 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + -3/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + -3/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[0,2] * self.yubar[0,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[0,2] * self.yubar[0,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yu[0,2])**(2) * self.yubar[0,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[1,2] * self.yubar[1,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[1,2] * self.yubar[1,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[1,2] * self.yubar[1,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[2,2] * self.yubar[2,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[2,2] * self.yubar[2,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[2,2] * self.yubar[2,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,2] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yvarphiubar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphiu[0,0] * self.yvarphiubar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphiu[0,0] * self.yvarphiubar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphiu[0,0] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.yu[mif1,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.yu[mif1,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.yu[mif1,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yu[mif1,0] * self.yubar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yu[mif1,0] * self.yubar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphiu[1,0] * self.yvarphiubar[1,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphiu[1,0] * self.yvarphiubar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphiu[1,0] * self.yvarphiubar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphiu[1,0] * self.yvarphiubar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphiu[1,0] * self.yvarphiubar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,1] * self.yvarphiu[1,1] * self.yvarphiubar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,1] * self.yvarphiu[1,1] * self.yvarphiubar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,1] * self.yvarphiu[1,1] * self.yvarphiubar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,2] * self.yvarphiu[1,2] * self.yvarphiubar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,2] * self.yvarphiu[1,2] * self.yvarphiubar[1,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,2] * self.yvarphiu[1,2] * self.yvarphiubar[1,0] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,0] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yu[mif1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yu[mif1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yu[mif1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yu[mif1,0] * self.yubar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yu[mif1,0] * self.yubar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphiu[2,0] * self.yvarphiubar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphiu[2,0] * self.yvarphiubar[1,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphiu[2,0] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[2,0] * self.yu[mif1,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[2,1] * self.yu[mif1,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[2,2] * self.yu[mif1,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yu[mif1,0] * self.yubar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yu[mif1,0] * self.yubar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,0] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[1,mif2] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[1,mif2] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[2,0] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + 3/128 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + 3/64 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + -3/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[1,mif2] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[1,mif2] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[2,0] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[1,mif2] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[1,mif2] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[2,0] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,0] + -3/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[1,0] * self.yubar[0,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[1,1] * self.yubar[0,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[1,2] * self.yubar[0,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yu[1,0])**(2) * self.yubar[1,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[1,1] * self.yubar[1,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[1,2] * self.yubar[1,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[2,0] * self.yubar[2,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yu[2,0] * self.yubar[2,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yu[2,0] * self.yubar[2,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,0] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yvarphiubar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphiu[0,1] * self.yvarphiubar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphiu[0,1] * self.yvarphiubar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphiu[0,1] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.yu[mif1,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.yu[mif1,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.yu[mif1,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[mif1,1] * self.yubar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yu[mif1,1] * self.yubar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,0] * self.yvarphiu[1,0] * self.yvarphiubar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,0] * self.yvarphiu[1,0] * self.yvarphiubar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,0] * self.yvarphiu[1,0] * self.yvarphiubar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphiu[1,1] * self.yvarphiubar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphiu[1,1] * self.yvarphiubar[1,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphiu[1,1] * self.yvarphiubar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphiu[1,1] * self.yvarphiubar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphiu[1,1] * self.yvarphiubar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,2] * self.yvarphiu[1,2] * self.yvarphiubar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,2] * self.yvarphiu[1,2] * self.yvarphiubar[1,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,2] * self.yvarphiu[1,2] * self.yvarphiubar[1,1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,1] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yu[mif1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yu[mif1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yu[mif1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[mif1,1] * self.yubar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yu[mif1,1] * self.yubar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphiu[2,1] * self.yvarphiubar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphiu[2,1] * self.yvarphiubar[1,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphiu[2,1] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[2,0] * self.yu[mif1,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[2,1] * self.yu[mif1,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[2,2] * self.yu[mif1,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[mif1,1] * self.yubar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yu[mif1,1] * self.yubar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[1,mif2] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yu[1,mif2] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[2,1] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[1,mif2] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yu[1,mif2] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[2,1] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + 3/128 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + 3/64 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + -3/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[1,mif2] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yu[1,mif2] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[2,1] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,1] + -3/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[1,0] * self.yubar[0,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[1,1] * self.yubar[0,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[1,2] * self.yubar[0,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[1,1] * self.yubar[1,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yu[1,1])**(2) * self.yubar[1,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yu[1,2] * self.yubar[1,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[2,1] * self.yubar[2,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yu[2,1] * self.yubar[2,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yu[2,1] * self.yubar[2,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,1] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yvarphiubar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphiu[0,2] * self.yvarphiubar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphiu[0,2] * self.yvarphiubar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphiu[0,2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[0,0] * self.yu[mif1,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[0,1] * self.yu[mif1,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[0,2] * self.yu[mif1,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[mif1,2] * self.yubar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yu[mif1,2] * self.yubar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,0] * self.yvarphiu[1,0] * self.yvarphiubar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,0] * self.yvarphiu[1,0] * self.yvarphiubar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,0] * self.yvarphiu[1,0] * self.yvarphiubar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,1] * self.yvarphiu[1,1] * self.yvarphiubar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,1] * self.yvarphiu[1,1] * self.yvarphiubar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,1] * self.yvarphiu[1,1] * self.yvarphiubar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphiu[1,2] * self.yvarphiubar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphiu[1,2] * self.yvarphiubar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphiu[1,2] * self.yvarphiubar[1,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphiu[1,2] * self.yvarphiubar[1,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphiu[1,2] * self.yvarphiubar[1,2] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,2] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[1,0] * self.yu[mif1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[1,1] * self.yu[mif1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[1,2] * self.yu[mif1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[mif1,2] * self.yubar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yu[mif1,2] * self.yubar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphiu[2,2] * self.yvarphiubar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphiu[2,2] * self.yvarphiubar[1,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphiu[2,2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,0] * self.ydbar[2,0] * self.yu[mif1,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,1] * self.ydbar[2,1] * self.yu[mif1,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[1,2] * self.ydbar[2,2] * self.yu[mif1,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[mif1,2] * self.yubar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yu[mif1,2] * self.yubar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[1,mif2] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yu[1,mif2] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[2,2] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[1,mif2] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yu[1,mif2] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[2,2] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,2] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[1,mif2] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yu[1,mif2] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[2,2] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + 3/128 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + 3/64 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + -3/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + -3/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[1,0] * self.yubar[0,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[1,1] * self.yubar[0,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[1,2] * self.yubar[0,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[1,2] * self.yubar[1,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yu[1,2] * self.yubar[1,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yu[1,2])**(2) * self.yubar[1,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[2,2] * self.yubar[2,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yu[2,2] * self.yubar[2,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yu[2,2] * self.yubar[2,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,2] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yvarphiubar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphiu[0,0] * self.yvarphiubar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphiu[0,0] * self.yvarphiubar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphiu[0,0] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.yu[mif1,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.yu[mif1,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.yu[mif1,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yu[mif1,0] * self.yubar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yu[mif1,0] * self.yubar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphiu[1,0] * self.yvarphiubar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphiu[1,0] * self.yvarphiubar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphiu[1,0] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.yu[mif1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.yu[mif1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.yu[mif1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yu[mif1,0] * self.yubar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yu[mif1,0] * self.yubar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphiu[2,0] * self.yvarphiubar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphiu[2,0] * self.yvarphiubar[2,0] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphiu[2,0] * self.yvarphiubar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphiu[2,0] * self.yvarphiubar[2,0] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphiu[2,0] * self.yvarphiubar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,1] * self.yvarphiu[2,1] * self.yvarphiubar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,1] * self.yvarphiu[2,1] * self.yvarphiubar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,1] * self.yvarphiu[2,1] * self.yvarphiubar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,0] * self.yubar[0,2] * self.yvarphiu[2,2] * self.yvarphiubar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,0] * self.yubar[1,2] * self.yvarphiu[2,2] * self.yvarphiubar[2,0] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,2] * self.yvarphiu[2,2] * self.yvarphiubar[2,0] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,0] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yu[mif1,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yu[mif1,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yu[mif1,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yu[mif1,0] * self.yubar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yu[mif1,0] * self.yubar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,0] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[2,mif2] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[2,mif2] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yu[2,mif2] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + 3/128 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + 3/64 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + -3/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[2,mif2] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[2,mif2] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yu[2,mif2] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[2,mif2] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[2,mif2] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,0] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yu[2,mif2] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,0] + -3/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[2,0] * self.yubar[0,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[2,1] * self.yubar[0,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yu[2,2] * self.yubar[0,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[2,0] * self.yubar[1,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[2,1] * self.yubar[1,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yu[2,2] * self.yubar[1,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yu[2,0])**(2) * self.yubar[2,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yu[2,1] * self.yubar[2,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,0] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yu[2,2] * self.yubar[2,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,0] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yvarphiubar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphiu[0,1] * self.yvarphiubar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphiu[0,1] * self.yvarphiubar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphiu[0,1] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.yu[mif1,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.yu[mif1,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.yu[mif1,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yu[mif1,1] * self.yubar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yu[mif1,1] * self.yubar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphiu[1,1] * self.yvarphiubar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphiu[1,1] * self.yvarphiubar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphiu[1,1] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.yu[mif1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.yu[mif1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.yu[mif1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yu[mif1,1] * self.yubar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yu[mif1,1] * self.yubar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,0] * self.yvarphiu[2,0] * self.yvarphiubar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,0] * self.yvarphiu[2,0] * self.yvarphiubar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,0] * self.yvarphiu[2,0] * self.yvarphiubar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphiu[2,1] * self.yvarphiubar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphiu[2,1] * self.yvarphiubar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphiu[2,1] * self.yvarphiubar[2,1] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphiu[2,1] * self.yvarphiubar[2,1] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphiu[2,1] * self.yvarphiubar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,1] * self.yubar[0,2] * self.yvarphiu[2,2] * self.yvarphiubar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,1] * self.yubar[1,2] * self.yvarphiu[2,2] * self.yvarphiubar[2,1] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,2] * self.yvarphiu[2,2] * self.yvarphiubar[2,1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,1] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yu[mif1,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yu[mif1,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yu[mif1,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yu[mif1,1] * self.yubar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yu[mif1,1] * self.yubar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[2,mif2] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yu[2,mif2] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yu[2,mif2] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,1] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[2,mif2] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yu[2,mif2] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yu[2,mif2] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + 3/128 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + 3/64 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + -3/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[2,mif2] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yu[2,mif2] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yu[2,mif2] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,1] + -3/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[2,0] * self.yubar[0,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[2,1] * self.yubar[0,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yu[2,2] * self.yubar[0,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yu[2,0] * self.yubar[1,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yu[2,1] * self.yubar[1,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yu[2,2] * self.yubar[1,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yu[2,1] * self.yubar[2,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yu[2,1])**(2) * self.yubar[2,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,1] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yu[2,2] * self.yubar[2,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,1] + 5/32 * self.lambdavarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yvarphiubar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[0,0] * self.yvarphiu[0,2] * self.yvarphiubar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[0,1] * self.yvarphiu[0,2] * self.yvarphiubar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphiu[0,2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[0,0] * self.yu[mif1,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[0,1] * self.yu[mif1,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[0,2] * self.yu[mif1,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yu[mif1,2] * self.yubar[0,0] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yu[mif1,2] * self.yubar[0,1] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[1,0] * self.yvarphiu[1,2] * self.yvarphiubar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[1,1] * self.yvarphiu[1,2] * self.yvarphiubar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphiu[1,2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[1,0] * self.yu[mif1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[1,1] * self.yu[mif1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[1,2] * self.yu[mif1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yu[mif1,2] * self.yubar[1,0] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yu[mif1,2] * self.yubar[1,1] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,0] * self.yvarphiu[2,0] * self.yvarphiubar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,0] * self.yvarphiu[2,0] * self.yvarphiubar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,0] * self.yvarphiu[2,0] * self.yvarphiubar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,1] * self.yvarphiu[2,1] * self.yvarphiubar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,1] * self.yvarphiu[2,1] * self.yvarphiubar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,1] * self.yvarphiu[2,1] * self.yvarphiubar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yu[mif1,2] * self.yubar[0,2] * self.yvarphiu[2,2] * self.yvarphiubar[2,2] + 1/96 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yu[mif1,2] * self.yubar[1,2] * self.yvarphiu[2,2] * self.yvarphiubar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,0] * self.yubar[2,0] * self.yvarphiu[2,2] * self.yvarphiubar[2,2] + 1/192 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,1] * self.yubar[2,1] * self.yvarphiu[2,2] * self.yvarphiubar[2,2] + 1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphiu[2,2] * self.yvarphiubar[2,2] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,2] + 1/32 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[mif1,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,0] * self.ydbar[2,0] * self.yu[mif1,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,1] * self.ydbar[2,1] * self.yu[mif1,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yd[2,2] * self.ydbar[2,2] * self.yu[mif1,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yu[mif1,2] * self.yubar[2,0] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yu[mif1,2] * self.yubar[2,1] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yu[mif1,2] * self.yubar[2,2] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[2,mif2] * self.yubar[0,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yu[2,mif2] * self.yubar[1,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yu[2,mif2] * self.yubar[2,0] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[2,mif2] * self.yubar[0,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yu[2,mif2] * self.yubar[1,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yu[2,mif2] * self.yubar[2,1] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,2] + 1/64 * self.lambdaHatPrimevarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + 1/64 * self.lambdaHatvarphi * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[2,mif2] * self.yubar[0,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yu[2,mif2] * self.yubar[1,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yu[2,mif2] * self.yubar[2,2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + 3/128 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + 3/64 * self.invepsilonbar * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + -3/64 * self.lambdavarphibar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + -3/16 * self.lam * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[2,0] * self.yubar[0,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[2,1] * self.yubar[0,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yu[2,2] * self.yubar[0,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yu[2,0] * self.yubar[1,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yu[2,1] * self.yubar[1,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yu[2,2] * self.yubar[1,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yu[2,2] * self.yubar[2,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yu[2,2] * self.yubar[2,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,2] + 3/16 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * (self.yu[2,2])**(2) * self.yubar[2,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,2])

    def alphaOuu(self, mif1,mif2,mif3,mif4):
        return (-1/4320 * (self.g1)**(4) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.kronecker_delta(mif3,mif4) + -5/2592 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/216 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + -1/432 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/288 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + 1/432 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif1] + -1/72 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif1] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif1] + 1/96 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[0,mif3] * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif1] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[0,mif3] * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yubar[0,mif3] * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[1,mif3] * self.yvarphiu[1,mif4] * self.yvarphiubar[0,mif1] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[1,mif3] * self.yvarphiu[1,mif4] * self.yvarphiubar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yubar[1,mif3] * self.yvarphiu[1,mif4] * self.yvarphiubar[0,mif1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[2,mif3] * self.yvarphiu[2,mif4] * self.yvarphiubar[0,mif1] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yubar[2,mif3] * self.yvarphiu[2,mif4] * self.yvarphiubar[0,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,mif2] * self.yubar[2,mif3] * self.yvarphiu[2,mif4] * self.yvarphiubar[0,mif1] + -1/72 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif3] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif3] + 1/96 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif4] * self.yubar[0,mif1] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif3] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif4] * self.yubar[0,mif1] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,mif4] * self.yubar[0,mif1] * self.yvarphiu[0,mif2] * self.yvarphiubar[0,mif3] + -5/2592 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + 1/216 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + -1/432 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + 1/288 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + 1/432 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif4] * self.yubar[1,mif1] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif3] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif4] * self.yubar[1,mif1] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,mif4] * self.yubar[1,mif1] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif4] * self.yubar[2,mif1] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif3] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif4] * self.yubar[2,mif1] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[0,mif4] * self.yubar[2,mif1] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif2] * self.yvarphiu[0,mif4] * self.yvarphiubar[0,mif1] * self.yvarphiubar[0,mif3] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[0,mif3] * self.yvarphiu[0,mif4] * self.yvarphiubar[1,mif1] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[0,mif3] * self.yvarphiu[0,mif4] * self.yvarphiubar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yubar[0,mif3] * self.yvarphiu[0,mif4] * self.yvarphiubar[1,mif1] + -5/2592 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/216 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + -1/432 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/288 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + 1/432 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif1] + -1/72 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif1] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif1] + 1/96 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[1,mif3] * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif1] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[1,mif3] * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yubar[1,mif3] * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[2,mif3] * self.yvarphiu[2,mif4] * self.yvarphiubar[1,mif1] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yubar[2,mif3] * self.yvarphiu[2,mif4] * self.yvarphiubar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,mif2] * self.yubar[2,mif3] * self.yvarphiu[2,mif4] * self.yvarphiubar[1,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif4] * self.yvarphiu[1,mif2] * self.yvarphiubar[0,mif3] * self.yvarphiubar[1,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif4] * self.yubar[0,mif1] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif3] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif4] * self.yubar[0,mif1] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,mif4] * self.yubar[0,mif1] * self.yvarphiu[0,mif2] * self.yvarphiubar[1,mif3] + -1/72 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif3] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif3] + 1/96 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif4] * self.yubar[1,mif1] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif3] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif4] * self.yubar[1,mif1] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,mif4] * self.yubar[1,mif1] * self.yvarphiu[1,mif2] * self.yvarphiubar[1,mif3] + -5/2592 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + 1/216 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + -1/432 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + 1/288 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + 1/432 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif4] * self.yubar[2,mif1] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif3] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif4] * self.yubar[2,mif1] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[1,mif4] * self.yubar[2,mif1] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif2] * self.yvarphiu[1,mif4] * self.yvarphiubar[0,mif1] * self.yvarphiubar[1,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif2] * self.yvarphiu[1,mif4] * self.yvarphiubar[1,mif1] * self.yvarphiubar[1,mif3] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[0,mif3] * self.yvarphiu[0,mif4] * self.yvarphiubar[2,mif1] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[0,mif3] * self.yvarphiu[0,mif4] * self.yvarphiubar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yubar[0,mif3] * self.yvarphiu[0,mif4] * self.yvarphiubar[2,mif1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[1,mif3] * self.yvarphiu[1,mif4] * self.yvarphiubar[2,mif1] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[1,mif3] * self.yvarphiu[1,mif4] * self.yvarphiubar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yubar[1,mif3] * self.yvarphiu[1,mif4] * self.yvarphiubar[2,mif1] + -5/2592 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + 1/216 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + -1/432 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + 1/288 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + 1/432 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif3,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif1] + -1/72 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif1] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif1] + 1/96 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif2,mif3) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif1] + 3/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[2,mif3] * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif1] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yubar[2,mif3] * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,mif2] * self.yubar[2,mif3] * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif4] * self.yvarphiu[2,mif2] * self.yvarphiubar[0,mif3] * self.yvarphiubar[2,mif1] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif4] * self.yvarphiu[2,mif2] * self.yvarphiubar[1,mif3] * self.yvarphiubar[2,mif1] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif4] * self.yubar[0,mif1] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif3] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif4] * self.yubar[0,mif1] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,mif4] * self.yubar[0,mif1] * self.yvarphiu[0,mif2] * self.yvarphiubar[2,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif4] * self.yubar[1,mif1] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif3] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif4] * self.yubar[1,mif1] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,mif4] * self.yubar[1,mif1] * self.yvarphiu[1,mif2] * self.yvarphiubar[2,mif3] + -1/72 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif3] + -1/96 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif3] + 1/96 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif4) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif3] + -1/128 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif4] * self.yubar[2,mif1] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif3] + 1/64 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif4] * self.yubar[2,mif1] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yu[2,mif4] * self.yubar[2,mif1] * self.yvarphiu[2,mif2] * self.yvarphiubar[2,mif3] + -5/2592 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + 1/216 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + -1/432 * (self.g1)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + 1/288 * (self.g3)**(2) * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + 1/432 * (self.g1)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + -1/288 * (self.g3)**(2) * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.kronecker_delta(mif1,mif2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[0,mif2] * self.yvarphiu[2,mif4] * self.yvarphiubar[0,mif1] * self.yvarphiubar[2,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[1,mif2] * self.yvarphiu[2,mif4] * self.yvarphiubar[1,mif1] * self.yvarphiubar[2,mif3] + -1/64 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yvarphiu[2,mif2] * self.yvarphiu[2,mif4] * self.yvarphiubar[2,mif1] * self.yvarphiubar[2,mif3])

    def alphaOuW(self, mif1,mif2):
        return (-1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphid[0,0] * self.yvarphidbar[0,mif1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphid[0,1] * self.yvarphidbar[0,mif1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphid[0,2] * self.yvarphidbar[0,mif1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphid[1,0] * self.yvarphidbar[1,mif1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphid[1,1] * self.yvarphidbar[1,mif1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphid[1,2] * self.yvarphidbar[1,mif1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphid[2,0] * self.yvarphidbar[2,mif1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphid[2,1] * self.yvarphidbar[2,mif1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphid[2,2] * self.yvarphidbar[2,mif1] + 1/256 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/128 * self.g2 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[0,mif2] + 1/256 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/128 * self.g2 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[0,mif2] + 1/256 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/128 * self.g2 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[0,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[0,mif2] + 1/256 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/128 * self.g2 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[1,mif2] + 1/256 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/128 * self.g2 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[1,mif2] + 1/256 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/128 * self.g2 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[1,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[1,mif2] + 1/256 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/128 * self.g2 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,0] * self.yvarphidbar[0,mif1] * self.yvarphiu[2,mif2] + 1/256 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/128 * self.g2 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,1] * self.yvarphidbar[1,mif1] * self.yvarphiu[2,mif2] + 1/256 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + 1/128 * self.g2 * self.invepsilonbar * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + -1/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * np.log((self.Mvarphi)**(2) * (self.mu)**(-2)) * self.ydbar[2,2] * self.yvarphidbar[2,mif1] * self.yvarphiu[2,mif2] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[0,0] + -3/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,0] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[0,1] + -3/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[0,2] + -3/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[0,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[0,2] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[1,0] + -3/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,0] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[1,1] + -3/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[1,2] + -3/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[1,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[1,2] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphiu[mif1,0] * self.yvarphiubar[2,0] + -3/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,0] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,0] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphiu[mif1,1] * self.yvarphiubar[2,1] + -3/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,1] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,1] + -1/768 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,mif2] * self.yvarphiu[mif1,2] * self.yvarphiubar[2,2] + -3/128 * self.g2 * (self.Mvarphi)**(-2) * self.onelooporder * (np.pi)**(-2) * self.yu[2,2] * self.yvarphiu[mif1,mif2] * self.yvarphiubar[2,2])
